/* A Bison parser, made by GNU Bison 3.0.4.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.4"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs


/* Copy the first part of user declarations.  */
#line 1 "gram.y" /* yacc.c:339  */


/*#define YYDEBUG 1*/
/*-------------------------------------------------------------------------
 *
 * gram.y
 *	  POSTGRESQL BISON rules/actions
 *
 * Portions Copyright (c) 1996-2024, PostgreSQL Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 *
 * IDENTIFICATION
 *	  src/backend/parser/gram.y
 *
 * HISTORY
 *	  AUTHOR			DATE			MAJOR EVENT
 *	  Andrew Yu			Sept, 1994		POSTQUEL to SQL conversion
 *	  Andrew Yu			Oct, 1994		lispy code conversion
 *
 * NOTES
 *	  CAPITALS are used to represent terminal symbols.
 *	  non-capitals are used to represent non-terminals.
 *
 *	  In general, nothing in this file should initiate database accesses
 *	  nor depend on changeable state (such as SET variables).  If you do
 *	  database accesses, your code will fail when we have aborted the
 *	  current transaction and are just parsing commands to find the next
 *	  ROLLBACK or COMMIT.  If you make use of SET variables, then you
 *	  will do the wrong thing in multi-query strings like this:
 *			SET constraint_exclusion TO off; SELECT * FROM foo;
 *	  because the entire string is parsed by gram.y before the SET gets
 *	  executed.  Anything that depends on the database or changeable state
 *	  should be handled during parse analysis so that it happens at the
 *	  right time not the wrong time.
 *
 * WARNINGS
 *	  If you use a list, make sure the datum is a node so that the printing
 *	  routines work.
 *
 *	  Sometimes we assign constants to makeStrings. Make sure we don't free
 *	  those.
 *
 *-------------------------------------------------------------------------
 */
#include "postgres.h"

#include <ctype.h>
#include <limits.h>

#include "access/tableam.h"
#include "catalog/index.h"
#include "catalog/namespace.h"
#include "catalog/pg_am.h"
#include "catalog/pg_trigger.h"
#include "commands/defrem.h"
#include "commands/trigger.h"
#include "gramparse.h"
#include "nodes/makefuncs.h"
#include "nodes/nodeFuncs.h"
#include "parser/parser.h"
#include "storage/lmgr.h"
#include "utils/date.h"
#include "utils/datetime.h"
#include "utils/numeric.h"
#include "utils/xml.h"


/*
 * Location tracking support --- simpler than bison's default, since we only
 * want to track the start position not the end position of each nonterminal.
 */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if ((N) > 0) \
			(Current) = (Rhs)[1]; \
		else \
			(Current) = (-1); \
	} while (0)

/*
 * The above macro assigns -1 (unknown) as the parse location of any
 * nonterminal that was reduced from an empty rule, or whose leftmost
 * component was reduced from an empty rule.  This is problematic
 * for nonterminals defined like
 *		OptFooList: / * EMPTY * / { ... } | OptFooList Foo { ... } ;
 * because we'll set -1 as the location during the first reduction and then
 * copy it during each subsequent reduction, leaving us with -1 for the
 * location even when the list is not empty.  To fix that, do this in the
 * action for the nonempty rule(s):
 *		if (@$ < 0) @$ = @2;
 * (Although we have many nonterminals that follow this pattern, we only
 * bother with fixing @$ like this when the nonterminal's parse location
 * is actually referenced in some rule.)
 *
 * A cleaner answer would be to make YYLLOC_DEFAULT scan all the Rhs
 * locations until it's found one that's not -1.  Then we'd get a correct
 * location for any nonterminal that isn't entirely empty.  But this way
 * would add overhead to every rule reduction, and so far there's not been
 * a compelling reason to pay that overhead.
 */

/*
 * Bison doesn't allocate anything that needs to live across parser calls,
 * so we can easily have it use palloc instead of malloc.  This prevents
 * memory leaks if we error out during parsing.
 */
#define YYMALLOC palloc
#define YYFREE   pfree

/* Private struct for the result of privilege_target production */
typedef struct PrivTarget
{
	GrantTargetType targtype;
	ObjectType	objtype;
	List	   *objs;
} PrivTarget;

/* Private struct for the result of import_qualification production */
typedef struct ImportQual
{
	ImportForeignSchemaType type;
	List	   *table_names;
} ImportQual;

/* Private struct for the result of opt_select_limit production */
typedef struct SelectLimit
{
	Node	   *limitOffset;
	Node	   *limitCount;
	LimitOption limitOption;
} SelectLimit;

/* Private struct for the result of group_clause production */
typedef struct GroupClause
{
	bool		distinct;
	List	   *list;
} GroupClause;

/* Private structs for the result of key_actions and key_action productions */
typedef struct KeyAction
{
	char		action;
	List	   *cols;
} KeyAction;

typedef struct KeyActions
{
	KeyAction *updateAction;
	KeyAction *deleteAction;
} KeyActions;

/* ConstraintAttributeSpec yields an integer bitmask of these flags: */
#define CAS_NOT_DEFERRABLE			0x01
#define CAS_DEFERRABLE				0x02
#define CAS_INITIALLY_IMMEDIATE		0x04
#define CAS_INITIALLY_DEFERRED		0x08
#define CAS_NOT_VALID				0x10
#define CAS_NO_INHERIT				0x20


#define parser_yyerror(msg)  scanner_yyerror(msg, yyscanner)
#define parser_errposition(pos)  scanner_errposition(pos, yyscanner)

static void base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner,
						 const char *msg);
static RawStmt *makeRawStmt(Node *stmt, int stmt_location);
static void updateRawStmtEnd(RawStmt *rs, int end_location);
static Node *makeColumnRef(char *colname, List *indirection,
						   int location, core_yyscan_t yyscanner);
static Node *makeTypeCast(Node *arg, TypeName *typename, int location);
static Node *makeStringConst(char *str, int location);
static Node *makeStringConstCast(char *str, int location, TypeName *typename);
static Node *makeIntConst(int val, int location);
static Node *makeFloatConst(char *str, int location);
static Node *makeBoolAConst(bool state, int location);
static Node *makeBitStringConst(char *str, int location);
static Node *makeNullAConst(int location);
static Node *makeAConst(Node *v, int location);
static RoleSpec *makeRoleSpec(RoleSpecType type, int location);
static void check_qualified_name(List *names, core_yyscan_t yyscanner);
static List *check_func_name(List *names, core_yyscan_t yyscanner);
static List *check_indirection(List *indirection, core_yyscan_t yyscanner);
static List *extractArgTypes(List *parameters);
static List *extractAggrArgTypes(List *aggrargs);
static List *makeOrderedSetArgs(List *directargs, List *orderedargs,
								core_yyscan_t yyscanner);
static void insertSelectOptions(SelectStmt *stmt,
								List *sortClause, List *lockingClause,
								SelectLimit *limitClause,
								WithClause *withClause,
								core_yyscan_t yyscanner);
static Node *makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg);
static Node *doNegate(Node *n, int location);
static void doNegateFloat(Float *v);
static Node *makeAndExpr(Node *lexpr, Node *rexpr, int location);
static Node *makeOrExpr(Node *lexpr, Node *rexpr, int location);
static Node *makeNotExpr(Node *expr, int location);
static Node *makeAArrayExpr(List *elements, int location);
static Node *makeSQLValueFunction(SQLValueFunctionOp op, int32 typmod,
								  int location);
static Node *makeXmlExpr(XmlExprOp op, char *name, List *named_args,
						 List *args, int location);
static List *mergeTableFuncParameters(List *func_args, List *columns);
static TypeName *TableFuncTypeName(List *columns);
static RangeVar *makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner);
static RangeVar *makeRangeVarFromQualifiedName(char *name, List *namelist, int location,
											   core_yyscan_t yyscanner);
static void SplitColQualList(List *qualList,
							 List **constraintList, CollateClause **collClause,
							 core_yyscan_t yyscanner);
static void processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner);
static PartitionStrategy parsePartitionStrategy(char *strategy);
static void preprocess_pubobj_list(List *pubobjspec_list,
								   core_yyscan_t yyscanner);
static Node *makeRecursiveViewSelect(char *relname, List *aliases, Node *query);


#line 294 "gram.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "gram.h".  */
#ifndef YY_BASE_YY_GRAM_H_INCLUDED
# define YY_BASE_YY_GRAM_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    IDENT = 258,
    UIDENT = 259,
    FCONST = 260,
    SCONST = 261,
    USCONST = 262,
    BCONST = 263,
    XCONST = 264,
    Op = 265,
    ICONST = 266,
    PARAM = 267,
    TYPECAST = 268,
    DOT_DOT = 269,
    COLON_EQUALS = 270,
    EQUALS_GREATER = 271,
    LESS_EQUALS = 272,
    GREATER_EQUALS = 273,
    NOT_EQUALS = 274,
    ABORT_P = 275,
    ABSENT = 276,
    ABSOLUTE_P = 277,
    ACCESS = 278,
    ACTION = 279,
    ADD_P = 280,
    ADMIN = 281,
    AFTER = 282,
    AGGREGATE = 283,
    ALL = 284,
    ALSO = 285,
    ALTER = 286,
    ALWAYS = 287,
    ANALYSE = 288,
    ANALYZE = 289,
    AND = 290,
    ANY = 291,
    ARRAY = 292,
    AS = 293,
    ASC = 294,
    ASENSITIVE = 295,
    ASSERTION = 296,
    ASSIGNMENT = 297,
    ASYMMETRIC = 298,
    ATOMIC = 299,
    AT = 300,
    ATTACH = 301,
    ATTRIBUTE = 302,
    AUTHORIZATION = 303,
    BACKWARD = 304,
    BEFORE = 305,
    BEGIN_P = 306,
    BETWEEN = 307,
    BIGINT = 308,
    BINARY = 309,
    BIT = 310,
    BOOLEAN_P = 311,
    BOTH = 312,
    BREADTH = 313,
    BY = 314,
    CACHE = 315,
    CALL = 316,
    CALLED = 317,
    CASCADE = 318,
    CASCADED = 319,
    CASE = 320,
    CAST = 321,
    CATALOG_P = 322,
    CHAIN = 323,
    CHAR_P = 324,
    CHARACTER = 325,
    CHARACTERISTICS = 326,
    CHECK = 327,
    CHECKPOINT = 328,
    CLASS = 329,
    CLOSE = 330,
    CLUSTER = 331,
    COALESCE = 332,
    COLLATE = 333,
    COLLATION = 334,
    COLUMN = 335,
    COLUMNS = 336,
    COMMENT = 337,
    COMMENTS = 338,
    COMMIT = 339,
    COMMITTED = 340,
    COMPRESSION = 341,
    CONCURRENTLY = 342,
    CONFIGURATION = 343,
    CONFLICT = 344,
    CONNECTION = 345,
    CONSTRAINT = 346,
    CONSTRAINTS = 347,
    CONTENT_P = 348,
    CONTINUE_P = 349,
    CONVERSION_P = 350,
    COPY = 351,
    COST = 352,
    CREATE = 353,
    CROSS = 354,
    CSV = 355,
    CUBE = 356,
    CURRENT_P = 357,
    CURRENT_CATALOG = 358,
    CURRENT_DATE = 359,
    CURRENT_ROLE = 360,
    CURRENT_SCHEMA = 361,
    CURRENT_TIME = 362,
    CURRENT_TIMESTAMP = 363,
    CURRENT_USER = 364,
    CURSOR = 365,
    CYCLE = 366,
    DATA_P = 367,
    DATABASE = 368,
    DAY_P = 369,
    DEALLOCATE = 370,
    DEC = 371,
    DECIMAL_P = 372,
    DECLARE = 373,
    DEFAULT = 374,
    DEFAULTS = 375,
    DEFERRABLE = 376,
    DEFERRED = 377,
    DEFINER = 378,
    DELETE_P = 379,
    DELIMITER = 380,
    DELIMITERS = 381,
    DEPENDS = 382,
    DEPTH = 383,
    DESC = 384,
    DETACH = 385,
    DICTIONARY = 386,
    DISABLE_P = 387,
    DISCARD = 388,
    DISTINCT = 389,
    DO = 390,
    DOCUMENT_P = 391,
    DOMAIN_P = 392,
    DOUBLE_P = 393,
    DROP = 394,
    EACH = 395,
    ELSE = 396,
    ENABLE_P = 397,
    ENCODING = 398,
    ENCRYPTED = 399,
    END_P = 400,
    ENUM_P = 401,
    ESCAPE = 402,
    EVENT = 403,
    EXCEPT = 404,
    EXCLUDE = 405,
    EXCLUDING = 406,
    EXCLUSIVE = 407,
    EXECUTE = 408,
    EXISTS = 409,
    EXPLAIN = 410,
    EXPRESSION = 411,
    EXTENSION = 412,
    EXTERNAL = 413,
    EXTRACT = 414,
    FALSE_P = 415,
    FAMILY = 416,
    FETCH = 417,
    FILTER = 418,
    FINALIZE = 419,
    FIRST_P = 420,
    FLOAT_P = 421,
    FOLLOWING = 422,
    FOR = 423,
    FORCE = 424,
    FOREIGN = 425,
    FORMAT = 426,
    FORWARD = 427,
    FREEZE = 428,
    FROM = 429,
    FULL = 430,
    FUNCTION = 431,
    FUNCTIONS = 432,
    GENERATED = 433,
    GLOBAL = 434,
    GRANT = 435,
    GRANTED = 436,
    GREATEST = 437,
    GROUP_P = 438,
    GROUPING = 439,
    GROUPS = 440,
    HANDLER = 441,
    HAVING = 442,
    HEADER_P = 443,
    HOLD = 444,
    HOUR_P = 445,
    IDENTITY_P = 446,
    IF_P = 447,
    ILIKE = 448,
    IMMEDIATE = 449,
    IMMUTABLE = 450,
    IMPLICIT_P = 451,
    IMPORT_P = 452,
    IN_P = 453,
    INCLUDE = 454,
    INCLUDING = 455,
    INCREMENT = 456,
    INDENT = 457,
    INDEX = 458,
    INDEXES = 459,
    INHERIT = 460,
    INHERITS = 461,
    INITIALLY = 462,
    INLINE_P = 463,
    INNER_P = 464,
    INOUT = 465,
    INPUT_P = 466,
    INSENSITIVE = 467,
    INSERT = 468,
    INSTEAD = 469,
    INT_P = 470,
    INTEGER = 471,
    INTERSECT = 472,
    INTERVAL = 473,
    INTO = 474,
    INVOKER = 475,
    IS = 476,
    ISNULL = 477,
    ISOLATION = 478,
    JOIN = 479,
    JSON = 480,
    JSON_ARRAY = 481,
    JSON_ARRAYAGG = 482,
    JSON_OBJECT = 483,
    JSON_OBJECTAGG = 484,
    JSON_SCALAR = 485,
    JSON_SERIALIZE = 486,
    KEY = 487,
    KEYS = 488,
    LABEL = 489,
    LANGUAGE = 490,
    LARGE_P = 491,
    LAST_P = 492,
    LATERAL_P = 493,
    LEADING = 494,
    LEAKPROOF = 495,
    LEAST = 496,
    LEFT = 497,
    LEVEL = 498,
    LIKE = 499,
    LIMIT = 500,
    LISTEN = 501,
    LOAD = 502,
    LOCAL = 503,
    LOCALTIME = 504,
    LOCALTIMESTAMP = 505,
    LOCATION = 506,
    LOCK_P = 507,
    LOCKED = 508,
    LOGGED = 509,
    MAPPING = 510,
    MATCH = 511,
    MATCHED = 512,
    MATERIALIZED = 513,
    MAXVALUE = 514,
    MERGE = 515,
    METHOD = 516,
    MINUTE_P = 517,
    MINVALUE = 518,
    MODE = 519,
    MONTH_P = 520,
    MOVE = 521,
    NAME_P = 522,
    NAMES = 523,
    NATIONAL = 524,
    NATURAL = 525,
    NCHAR = 526,
    NEW = 527,
    NEXT = 528,
    NFC = 529,
    NFD = 530,
    NFKC = 531,
    NFKD = 532,
    NO = 533,
    NONE = 534,
    NORMALIZE = 535,
    NORMALIZED = 536,
    NOT = 537,
    NOTHING = 538,
    NOTIFY = 539,
    NOTNULL = 540,
    NOWAIT = 541,
    NULL_P = 542,
    NULLIF = 543,
    NULLS_P = 544,
    NUMERIC = 545,
    OBJECT_P = 546,
    OF = 547,
    OFF = 548,
    OFFSET = 549,
    OIDS = 550,
    OLD = 551,
    ON = 552,
    ONLY = 553,
    OPERATOR = 554,
    OPTION = 555,
    OPTIONS = 556,
    OR = 557,
    ORDER = 558,
    ORDINALITY = 559,
    OTHERS = 560,
    OUT_P = 561,
    OUTER_P = 562,
    OVER = 563,
    OVERLAPS = 564,
    OVERLAY = 565,
    OVERRIDING = 566,
    OWNED = 567,
    OWNER = 568,
    PARALLEL = 569,
    PARAMETER = 570,
    PARSER = 571,
    PARTIAL = 572,
    PARTITION = 573,
    PASSING = 574,
    PASSWORD = 575,
    PLACING = 576,
    PLANS = 577,
    POLICY = 578,
    POSITION = 579,
    PRECEDING = 580,
    PRECISION = 581,
    PRESERVE = 582,
    PREPARE = 583,
    PREPARED = 584,
    PRIMARY = 585,
    PRIOR = 586,
    PRIVILEGES = 587,
    PROCEDURAL = 588,
    PROCEDURE = 589,
    PROCEDURES = 590,
    PROGRAM = 591,
    PUBLICATION = 592,
    QUOTE = 593,
    RANGE = 594,
    READ = 595,
    REAL = 596,
    REASSIGN = 597,
    RECHECK = 598,
    RECURSIVE = 599,
    REF_P = 600,
    REFERENCES = 601,
    REFERENCING = 602,
    REFRESH = 603,
    REINDEX = 604,
    RELATIVE_P = 605,
    RELEASE = 606,
    RENAME = 607,
    REPEATABLE = 608,
    REPLACE = 609,
    REPLICA = 610,
    RESET = 611,
    RESTART = 612,
    RESTRICT = 613,
    RETURN = 614,
    RETURNING = 615,
    RETURNS = 616,
    REVOKE = 617,
    RIGHT = 618,
    ROLE = 619,
    ROLLBACK = 620,
    ROLLUP = 621,
    ROUTINE = 622,
    ROUTINES = 623,
    ROW = 624,
    ROWS = 625,
    RULE = 626,
    SAVEPOINT = 627,
    SCALAR = 628,
    SCHEMA = 629,
    SCHEMAS = 630,
    SCROLL = 631,
    SEARCH = 632,
    SECOND_P = 633,
    SECURITY = 634,
    SELECT = 635,
    SEQUENCE = 636,
    SEQUENCES = 637,
    SERIALIZABLE = 638,
    SERVER = 639,
    SESSION = 640,
    SESSION_USER = 641,
    SET = 642,
    SETS = 643,
    SETOF = 644,
    SHARE = 645,
    SHOW = 646,
    SIMILAR = 647,
    SIMPLE = 648,
    SKIP = 649,
    SMALLINT = 650,
    SNAPSHOT = 651,
    SOME = 652,
    SQL_P = 653,
    STABLE = 654,
    STANDALONE_P = 655,
    START = 656,
    STATEMENT = 657,
    STATISTICS = 658,
    STDIN = 659,
    STDOUT = 660,
    STORAGE = 661,
    STORED = 662,
    STRICT_P = 663,
    STRIP_P = 664,
    SUBSCRIPTION = 665,
    SUBSTRING = 666,
    SUPPORT = 667,
    SYMMETRIC = 668,
    SYSID = 669,
    SYSTEM_P = 670,
    SYSTEM_USER = 671,
    TABLE = 672,
    TABLES = 673,
    TABLESAMPLE = 674,
    TABLESPACE = 675,
    TEMP = 676,
    TEMPLATE = 677,
    TEMPORARY = 678,
    TEXT_P = 679,
    THEN = 680,
    TIES = 681,
    TIME = 682,
    TIMESTAMP = 683,
    TO = 684,
    TRAILING = 685,
    TRANSACTION = 686,
    TRANSFORM = 687,
    TREAT = 688,
    TRIGGER = 689,
    TRIM = 690,
    TRUE_P = 691,
    TRUNCATE = 692,
    TRUSTED = 693,
    TYPE_P = 694,
    TYPES_P = 695,
    UESCAPE = 696,
    UNBOUNDED = 697,
    UNCOMMITTED = 698,
    UNENCRYPTED = 699,
    UNION = 700,
    UNIQUE = 701,
    UNKNOWN = 702,
    UNLISTEN = 703,
    UNLOGGED = 704,
    UNTIL = 705,
    UPDATE = 706,
    USER = 707,
    USING = 708,
    VACUUM = 709,
    VALID = 710,
    VALIDATE = 711,
    VALIDATOR = 712,
    VALUE_P = 713,
    VALUES = 714,
    VARCHAR = 715,
    VARIADIC = 716,
    VARYING = 717,
    VERBOSE = 718,
    VERSION_P = 719,
    VIEW = 720,
    VIEWS = 721,
    VOLATILE = 722,
    WHEN = 723,
    WHERE = 724,
    WHITESPACE_P = 725,
    WINDOW = 726,
    WITH = 727,
    WITHIN = 728,
    WITHOUT = 729,
    WORK = 730,
    WRAPPER = 731,
    WRITE = 732,
    XML_P = 733,
    XMLATTRIBUTES = 734,
    XMLCONCAT = 735,
    XMLELEMENT = 736,
    XMLEXISTS = 737,
    XMLFOREST = 738,
    XMLNAMESPACES = 739,
    XMLPARSE = 740,
    XMLPI = 741,
    XMLROOT = 742,
    XMLSERIALIZE = 743,
    XMLTABLE = 744,
    YEAR_P = 745,
    YES_P = 746,
    ZONE = 747,
    FORMAT_LA = 748,
    NOT_LA = 749,
    NULLS_LA = 750,
    WITH_LA = 751,
    WITHOUT_LA = 752,
    MODE_TYPE_NAME = 753,
    MODE_PLPGSQL_EXPR = 754,
    MODE_PLPGSQL_ASSIGN1 = 755,
    MODE_PLPGSQL_ASSIGN2 = 756,
    MODE_PLPGSQL_ASSIGN3 = 757,
    UMINUS = 758
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 232 "gram.y" /* yacc.c:355  */

	core_YYSTYPE core_yystype;
	/* these fields must match core_YYSTYPE: */
	int			ival;
	char	   *str;
	const char *keyword;

	char		chr;
	bool		boolean;
	JoinType	jtype;
	DropBehavior dbehavior;
	OnCommitAction oncommit;
	List	   *list;
	Node	   *node;
	ObjectType	objtype;
	TypeName   *typnam;
	FunctionParameter *fun_param;
	FunctionParameterMode fun_param_mode;
	ObjectWithArgs *objwithargs;
	DefElem	   *defelt;
	SortBy	   *sortby;
	WindowDef  *windef;
	JoinExpr   *jexpr;
	IndexElem  *ielem;
	StatsElem  *selem;
	Alias	   *alias;
	RangeVar   *range;
	IntoClause *into;
	WithClause *with;
	InferClause	*infer;
	OnConflictClause *onconflict;
	A_Indices  *aind;
	ResTarget  *target;
	struct PrivTarget *privtarget;
	AccessPriv *accesspriv;
	struct ImportQual *importqual;
	InsertStmt *istmt;
	VariableSetStmt *vsetstmt;
	PartitionElem *partelem;
	PartitionSpec *partspec;
	PartitionBoundSpec *partboundspec;
	RoleSpec   *rolespec;
	PublicationObjSpec *publicationobjectspec;
	struct SelectLimit *selectlimit;
	SetQuantifier setquantifier;
	struct GroupClause *groupclause;
	MergeWhenClause *mergewhen;
	struct KeyActions *keyactions;
	struct KeyAction *keyaction;

#line 889 "gram.c" /* yacc.c:355  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif



int base_yyparse (core_yyscan_t yyscanner);

#endif /* !YY_BASE_YY_GRAM_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 919 "gram.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  910
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   117650

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  521
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  708
/* YYNRULES -- Number of rules.  */
#define YYNRULES  3303
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  6262

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   758

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   510,     2,     2,
     515,   516,   508,   506,   519,   507,   517,   509,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   520,   518,
     503,   505,   504,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   513,     2,   514,   511,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   512
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   901,   901,   906,   910,   915,   923,   931,   951,   963,
     977,   978,   982,   983,   984,   985,   986,   987,   988,   989,
     990,   991,   992,   993,   994,   995,   996,   997,   998,   999,
    1000,  1001,  1002,  1003,  1004,  1005,  1006,  1007,  1008,  1009,
    1010,  1011,  1012,  1013,  1014,  1015,  1016,  1017,  1018,  1019,
    1020,  1021,  1022,  1023,  1024,  1025,  1026,  1027,  1028,  1029,
    1030,  1031,  1032,  1033,  1034,  1035,  1036,  1037,  1038,  1039,
    1040,  1041,  1042,  1043,  1044,  1045,  1046,  1047,  1048,  1049,
    1050,  1051,  1052,  1053,  1054,  1055,  1056,  1057,  1058,  1059,
    1060,  1061,  1062,  1063,  1064,  1065,  1066,  1067,  1068,  1069,
    1070,  1071,  1072,  1073,  1074,  1075,  1076,  1077,  1078,  1079,
    1080,  1081,  1082,  1083,  1084,  1085,  1086,  1087,  1088,  1089,
    1090,  1091,  1092,  1093,  1094,  1095,  1096,  1097,  1098,  1099,
    1100,  1101,  1102,  1103,  1104,  1105,  1107,  1114,  1115,  1119,
    1120,  1124,  1125,  1129,  1130,  1131,  1140,  1156,  1168,  1169,
    1170,  1179,  1180,  1184,  1185,  1189,  1194,  1198,  1208,  1216,
    1220,  1224,  1229,  1233,  1281,  1283,  1287,  1291,  1295,  1299,
    1313,  1332,  1341,  1353,  1354,  1358,  1367,  1376,  1385,  1407,
    1415,  1423,  1431,  1439,  1447,  1465,  1484,  1496,  1497,  1508,
    1519,  1530,  1546,  1565,  1572,  1580,  1581,  1582,  1583,  1584,
    1585,  1599,  1606,  1613,  1623,  1632,  1641,  1645,  1654,  1663,
    1671,  1682,  1683,  1692,  1704,  1712,  1721,  1733,  1742,  1751,
    1759,  1769,  1780,  1781,  1785,  1786,  1789,  1791,  1795,  1796,
    1797,  1798,  1802,  1803,  1804,  1810,  1822,  1826,  1830,  1847,
    1855,  1856,  1857,  1861,  1862,  1863,  1867,  1868,  1872,  1876,
    1877,  1885,  1893,  1904,  1912,  1923,  1924,  1929,  1930,  1935,
    1942,  1949,  1956,  1963,  1974,  1985,  1986,  1990,  1991,  1999,
    2015,  2022,  2029,  2036,  2043,  2063,  2073,  2083,  2093,  2103,
    2115,  2127,  2137,  2147,  2157,  2169,  2181,  2191,  2201,  2211,
    2221,  2231,  2241,  2253,  2265,  2275,  2288,  2289,  2294,  2308,
    2321,  2337,  2354,  2364,  2374,  2384,  2394,  2404,  2413,  2422,
    2432,  2441,  2451,  2461,  2477,  2487,  2497,  2507,  2517,  2534,
    2544,  2554,  2564,  2575,  2589,  2605,  2615,  2624,  2640,  2649,
    2660,  2671,  2679,  2688,  2697,  2705,  2713,  2722,  2731,  2740,
    2748,  2756,  2765,  2773,  2781,  2790,  2799,  2808,  2817,  2826,
    2835,  2846,  2854,  2863,  2872,  2881,  2890,  2899,  2908,  2916,
    2924,  2932,  2939,  2950,  2951,  2955,  2964,  2968,  2969,  2973,
    2981,  2989,  2997,  3008,  3011,  3012,  3016,  3017,  3022,  3026,
    3030,  3035,  3042,  3044,  3049,  3053,  3057,  3068,  3075,  3076,
    3081,  3134,  3147,  3161,  3173,  3180,  3184,  3198,  3211,  3212,
    3217,  3227,  3238,  3249,  3276,  3283,  3317,  3353,  3376,  3377,
    3381,  3382,  3391,  3392,  3393,  3396,  3397,  3402,  3403,  3407,
    3411,  3415,  3419,  3423,  3427,  3431,  3435,  3439,  3443,  3447,
    3451,  3455,  3459,  3463,  3472,  3476,  3480,  3484,  3488,  3489,
    3494,  3498,  3505,  3512,  3513,  3514,  3515,  3516,  3520,  3524,
    3532,  3543,  3563,  3583,  3604,  3625,  3646,  3680,  3681,  3682,
    3683,  3684,  3691,  3698,  3699,  3703,  3704,  3708,  3709,  3713,
    3717,  3724,  3728,  3735,  3736,  3737,  3741,  3742,  3745,  3769,
    3788,  3810,  3811,  3815,  3816,  3820,  3821,  3825,  3826,  3830,
    3831,  3835,  3843,  3844,  3845,  3877,  3888,  3896,  3909,  3921,
    3934,  3944,  3954,  3978,  3998,  3999,  4000,  4004,  4005,  4024,
    4032,  4040,  4048,  4060,  4072,  4073,  4074,  4078,  4079,  4080,
    4081,  4082,  4083,  4084,  4085,  4086,  4087,  4096,  4104,  4108,
    4122,  4136,  4154,  4170,  4187,  4203,  4223,  4246,  4247,  4251,
    4252,  4256,  4257,  4260,  4266,  4267,  4270,  4274,  4282,  4287,
    4293,  4294,  4298,  4303,  4310,  4311,  4315,  4325,  4335,  4343,
    4352,  4365,  4377,  4384,  4392,  4400,  4408,  4416,  4426,  4427,
    4431,  4432,  4435,  4447,  4448,  4451,  4462,  4473,  4487,  4488,
    4493,  4494,  4495,  4498,  4499,  4500,  4501,  4504,  4505,  4508,
    4509,  4512,  4532,  4545,  4567,  4568,  4571,  4577,  4583,  4600,
    4609,  4631,  4645,  4662,  4678,  4679,  4680,  4692,  4706,  4723,
    4737,  4738,  4750,  4771,  4782,  4796,  4805,  4817,  4818,  4821,
    4822,  4825,  4826,  4829,  4833,  4837,  4841,  4845,  4849,  4853,
    4857,  4861,  4865,  4869,  4874,  4878,  4882,  4888,  4889,  4893,
    4894,  4895,  4902,  4905,  4906,  4918,  4934,  4950,  4951,  4959,
    4960,  4964,  4965,  4969,  4970,  4974,  4975,  4979,  4980,  4990,
    5002,  5003,  5016,  5024,  5042,  5051,  5063,  5066,  5070,  5074,
    5078,  5085,  5097,  5108,  5111,  5115,  5128,  5138,  5148,  5158,
    5168,  5178,  5188,  5198,  5208,  5218,  5228,  5238,  5248,  5267,
    5279,  5280,  5281,  5282,  5286,  5287,  5291,  5292,  5302,  5311,
    5324,  5325,  5329,  5333,  5341,  5345,  5349,  5356,  5360,  5365,
    5370,  5377,  5384,  5389,  5399,  5412,  5428,  5429,  5434,  5435,
    5439,  5440,  5450,  5460,  5469,  5487,  5508,  5529,  5551,  5585,
    5601,  5602,  5606,  5615,  5630,  5640,  5653,  5654,  5666,  5675,
    5693,  5718,  5736,  5751,  5752,  5756,  5757,  5761,  5762,  5766,
    5767,  5771,  5785,  5789,  5790,  5794,  5795,  5796,  5797,  5798,
    5808,  5820,  5821,  5832,  5855,  5887,  5888,  5889,  5893,  5895,
    5917,  5919,  5921,  5923,  5925,  5930,  5931,  5935,  5936,  5940,
    5952,  5953,  5957,  5966,  5970,  5974,  5979,  5989,  5990,  5994,
    5995,  5999,  6000,  6004,  6005,  6009,  6010,  6011,  6015,  6019,
    6020,  6021,  6025,  6026,  6031,  6032,  6059,  6060,  6061,  6062,
    6063,  6064,  6077,  6088,  6103,  6105,  6110,  6115,  6117,  6122,
    6133,  6134,  6135,  6136,  6147,  6166,  6178,  6191,  6202,  6213,
    6225,  6234,  6242,  6250,  6260,  6270,  6280,  6290,  6300,  6311,
    6321,  6334,  6337,  6338,  6341,  6345,  6352,  6353,  6354,  6355,
    6356,  6357,  6360,  6363,  6364,  6372,  6379,  6380,  6383,  6385,
    6396,  6408,  6420,  6432,  6444,  6473,  6474,  6490,  6506,  6507,
    6511,  6524,  6535,  6544,  6554,  6564,  6565,  6568,  6569,  6572,
    6573,  6574,  6577,  6591,  6596,  6607,  6617,  6630,  6631,  6635,
    6644,  6657,  6668,  6682,  6693,  6716,  6727,  6746,  6757,  6768,
    6779,  6790,  6801,  6812,  6823,  6834,  6845,  6856,  6867,  6882,
    6883,  6884,  6885,  6886,  6887,  6888,  6889,  6890,  6891,  6892,
    6893,  6894,  6904,  6905,  6906,  6907,  6908,  6912,  6913,  6914,
    6915,  6916,  6917,  6918,  6919,  6924,  6925,  6926,  6930,  6931,
    6934,  6935,  6938,  6940,  6945,  6946,  6957,  6969,  6970,  6971,
    6981,  6990,  6999,  7008,  7017,  7026,  7035,  7044,  7053,  7062,
    7076,  7085,  7094,  7103,  7112,  7121,  7130,  7139,  7151,  7152,
    7166,  7177,  7188,  7199,  7210,  7221,  7232,  7243,  7254,  7265,
    7278,  7279,  7282,  7283,  7293,  7300,  7309,  7318,  7327,  7336,
    7345,  7354,  7363,  7372,  7381,  7390,  7399,  7408,  7417,  7426,
    7435,  7444,  7455,  7456,  7459,  7460,  7470,  7488,  7504,  7532,
    7534,  7536,  7538,  7546,  7556,  7557,  7560,  7568,  7576,  7584,
    7591,  7602,  7606,  7613,  7617,  7628,  7637,  7646,  7655,  7664,
    7673,  7682,  7691,  7700,  7709,  7718,  7727,  7736,  7744,  7753,
    7762,  7771,  7780,  7789,  7798,  7807,  7820,  7821,  7825,  7826,
    7831,  7832,  7842,  7853,  7867,  7879,  7897,  7898,  7902,  7909,
    7910,  7911,  7914,  7915,  7925,  7936,  7937,  7941,  7945,  7949,
    7960,  7974,  7989,  8007,  8008,  8009,  8010,  8011,  8012,  8024,
    8056,  8091,  8092,  8096,  8097,  8100,  8101,  8106,  8118,  8137,
    8142,  8147,  8154,  8155,  8158,  8159,  8162,  8163,  8167,  8168,
    8169,  8172,  8173,  8174,  8190,  8204,  8219,  8233,  8250,  8251,
    8254,  8255,  8259,  8260,  8264,  8265,  8270,  8284,  8292,  8300,
    8316,  8317,  8321,  8322,  8337,  8347,  8357,  8367,  8377,  8390,
    8391,  8392,  8393,  8394,  8400,  8404,  8419,  8420,  8426,  8436,
    8440,  8445,  8453,  8495,  8499,  8503,  8507,  8515,  8516,  8520,
    8532,  8533,  8538,  8539,  8544,  8545,  8552,  8556,  8560,  8564,
    8568,  8572,  8576,  8580,  8584,  8588,  8592,  8596,  8600,  8604,
    8608,  8612,  8617,  8624,  8628,  8632,  8636,  8640,  8646,  8647,
    8653,  8663,  8667,  8678,  8684,  8693,  8699,  8700,  8704,  8705,
    8709,  8710,  8713,  8726,  8730,  8745,  8754,  8763,  8776,  8777,
    8782,  8783,  8800,  8811,  8822,  8833,  8844,  8855,  8869,  8880,
    8894,  8905,  8919,  8927,  8929,  8931,  8936,  8938,  8943,  8944,
    8949,  8968,  8978,  8979,  8983,  8987,  8999,  9011,  9023,  9037,
    9038,  9039,  9043,  9056,  9057,  9067,  9080,  9084,  9088,  9092,
    9099,  9121,  9134,  9147,  9162,  9163,  9166,  9167,  9170,  9171,
    9181,  9191,  9209,  9219,  9229,  9239,  9249,  9259,  9269,  9279,
    9289,  9299,  9309,  9319,  9329,  9340,  9351,  9361,  9371,  9381,
    9391,  9401,  9411,  9422,  9433,  9444,  9455,  9466,  9477,  9488,
    9499,  9510,  9521,  9532,  9543,  9555,  9567,  9579,  9591,  9603,
    9615,  9626,  9637,  9649,  9661,  9672,  9683,  9692,  9702,  9712,
    9722,  9732,  9742,  9752,  9762,  9772,  9782,  9797,  9798,  9801,
    9802,  9812,  9822,  9832,  9842,  9853,  9863,  9875,  9876,  9886,
    9896,  9906,  9916,  9926,  9936,  9946,  9956,  9966,  9976,  9986,
    9996, 10006, 10016, 10026, 10036, 10046, 10056, 10066, 10076, 10086,
   10096, 10106, 10116, 10126, 10136, 10146, 10165, 10175, 10176, 10179,
   10181, 10183, 10189, 10190, 10191, 10192, 10193, 10205, 10221, 10230,
   10239, 10248, 10257, 10266, 10275, 10284, 10293, 10302, 10311, 10320,
   10329, 10338, 10347, 10356, 10365, 10374, 10383, 10392, 10401, 10410,
   10419, 10428, 10456, 10464, 10473, 10499, 10508, 10515, 10521, 10548,
   10559, 10568, 10576, 10578, 10600, 10608, 10618, 10628, 10647, 10666,
   10676, 10686, 10696, 10707, 10718, 10729, 10740, 10751, 10769, 10778,
   10795, 10813, 10814, 10815, 10820, 10826, 10835, 10836, 10837, 10838,
   10839, 10843, 10844, 10847, 10848, 10849, 10850, 10854, 10855, 10856,
   10868, 10879, 10880, 10883, 10893, 10900, 10920, 10930, 10939, 10949,
   10959, 10968, 10977, 10986, 10995, 11004, 11013, 11022, 11034, 11043,
   11055, 11056, 11057, 11061, 11064, 11067, 11070, 11073, 11080, 11082,
   11084, 11089, 11091, 11095, 11096, 11097, 11109, 11123, 11137, 11156,
   11178, 11179, 11180, 11181, 11191, 11208, 11219, 11220, 11224, 11225,
   11229, 11233, 11237, 11255, 11256, 11257, 11258, 11259, 11260, 11261,
   11268, 11269, 11280, 11288, 11296, 11305, 11315, 11333, 11342, 11351,
   11360, 11372, 11376, 11387, 11399, 11417, 11424, 11441, 11455, 11465,
   11474, 11483, 11493, 11505, 11517, 11528, 11529, 11540, 11551, 11563,
   11575, 11587, 11599, 11609, 11622, 11623, 11637, 11661, 11670, 11680,
   11692, 11704, 11718, 11719, 11731, 11752, 11763, 11775, 11787, 11791,
   11798, 11799, 11803, 11810, 11811, 11812, 11816, 11817, 11818, 11822,
   11823, 11827, 11828, 11831, 11832, 11835, 11836, 11840, 11841, 11845,
   11852, 11854, 11859, 11860, 11873, 11881, 11892, 11900, 11911, 11912,
   11913, 11914, 11915, 11916, 11917, 11918, 11919, 11920, 11930, 11941,
   11942, 11946, 11947, 11948, 11949, 11950, 11960, 11968, 11986, 12006,
   12007, 12017, 12026, 12035, 12044, 12063, 12081, 12085, 12093, 12099,
   12106, 12112, 12119, 12128, 12129, 12133, 12135, 12140, 12151, 12161,
   12171, 12177, 12186, 12195, 12201, 12202, 12213, 12228, 12229, 12240,
   12251, 12252, 12255, 12256, 12257, 12258, 12259, 12260, 12261, 12262,
   12265, 12266, 12270, 12271, 12272, 12283, 12302, 12303, 12307, 12312,
   12336, 12347, 12348, 12360, 12378, 12379, 12383, 12390, 12397, 12404,
   12414, 12427, 12428, 12432, 12445, 12458, 12467, 12476, 12485, 12494,
   12506, 12518, 12530, 12533, 12534, 12535, 12536, 12537, 12538, 12541,
   12542, 12543, 12591, 12592, 12596, 12597, 12612, 12613, 12620, 12628,
   12636, 12644, 12652, 12660, 12671, 12672, 12704, 12720, 12737, 12738,
   12757, 12761, 12765, 12780, 12787, 12794, 12804, 12805, 12808, 12824,
   12825, 12826, 12830, 12840, 12851, 12857, 12869, 12882, 12888, 12889,
   12893, 12905, 12913, 12918, 12923, 12928, 12933, 12941, 12949, 12954,
   12959, 12966, 12967, 12971, 12972, 12973, 12980, 12981, 12985, 12986,
   12990, 12991, 12995, 12996, 13000, 13004, 13005, 13008, 13017, 13030,
   13035, 13040, 13044, 13056, 13057, 13061, 13070, 13086, 13095, 13104,
   13113, 13125, 13128, 13133, 13134, 13142, 13162, 13163, 13165, 13170,
   13171, 13175, 13176, 13179, 13180, 13205, 13214, 13224, 13225, 13229,
   13230, 13231, 13232, 13233, 13237, 13250, 13257, 13264, 13271, 13272,
   13276, 13277, 13281, 13282, 13286, 13287, 13291, 13303, 13304, 13305,
   13306, 13310, 13311, 13321, 13328, 13347, 13348, 13352, 13353, 13359,
   13364, 13373, 13381, 13390, 13397, 13405, 13414, 13423, 13427, 13453,
   13457, 13471, 13492, 13514, 13527, 13544, 13550, 13555, 13561, 13568,
   13569, 13579, 13585, 13593, 13597, 13601, 13608, 13616, 13621, 13622,
   13623, 13624, 13628, 13629, 13644, 13648, 13656, 13663, 13670, 13677,
   13684, 13695, 13696, 13709, 13713, 13721, 13735, 13749, 13750, 13765,
   13776, 13789, 13794, 13795, 13798, 13799, 13802, 13803, 13808, 13809,
   13814, 13815, 13824, 13829, 13830, 13834, 13838, 13844, 13869, 13880,
   13894, 13895, 13899, 13913, 13970, 13984, 13986, 13991, 13993, 13995,
   13997, 14002, 14004, 14009, 14017, 14037, 14042, 14049, 14054, 14060,
   14065, 14074, 14076, 14079, 14083, 14084, 14085, 14086, 14087, 14088,
   14093, 14099, 14114, 14115, 14116, 14117, 14118, 14129, 14135, 14143,
   14144, 14150, 14155, 14160, 14165, 14170, 14175, 14180, 14185, 14191,
   14197, 14203, 14210, 14232, 14241, 14245, 14253, 14257, 14265, 14277,
   14298, 14302, 14308, 14312, 14325, 14333, 14343, 14345, 14347, 14349,
   14351, 14353, 14358, 14359, 14366, 14375, 14383, 14392, 14403, 14411,
   14412, 14413, 14417, 14419, 14421, 14423, 14425, 14427, 14429, 14434,
   14439, 14445, 14453, 14458, 14465, 14472, 14476, 14480, 14488, 14523,
   14524, 14526, 14535, 14542, 14558, 14560, 14562, 14564, 14566, 14568,
   14570, 14572, 14574, 14576, 14578, 14580, 14582, 14584, 14587, 14589,
   14592, 14594, 14596, 14598, 14601, 14606, 14615, 14620, 14629, 14634,
   14643, 14648, 14658, 14667, 14676, 14685, 14704, 14713, 14722, 14731,
   14740, 14757, 14766, 14775, 14784, 14793, 14802, 14811, 14815, 14819,
   14827, 14835, 14843, 14851, 14872, 14895, 14907, 14914, 14930, 14935,
   14941, 14948, 14955, 14963, 14971, 14988, 15007, 15033, 15035, 15037,
   15039, 15041, 15043, 15045, 15047, 15049, 15051, 15053, 15055, 15057,
   15059, 15061, 15063, 15065, 15067, 15069, 15073, 15077, 15082, 15098,
   15099, 15100, 15117, 15130, 15132, 15134, 15146, 15171, 15183, 15195,
   15203, 15214, 15225, 15235, 15241, 15250, 15260, 15270, 15283, 15293,
   15324, 15360, 15370, 15381, 15382, 15383, 15390, 15397, 15401, 15405,
   15409, 15413, 15417, 15421, 15425, 15429, 15433, 15437, 15441, 15445,
   15452, 15456, 15460, 15464, 15466, 15473, 15480, 15487, 15494, 15505,
   15519, 15529, 15540, 15556, 15566, 15573, 15580, 15587, 15591, 15599,
   15608, 15617, 15621, 15625, 15629, 15633, 15637, 15646, 15650, 15660,
   15664, 15668, 15673, 15684, 15690, 15704, 15715, 15729, 15745, 15757,
   15767, 15776, 15791, 15793, 15797, 15799, 15801, 15804, 15807, 15810,
   15811, 15814, 15822, 15832, 15833, 15836, 15837, 15838, 15841, 15842,
   15843, 15848, 15852, 15856, 15860, 15867, 15868, 15876, 15877, 15881,
   15882, 15890, 15891, 15895, 15896, 15901, 15910, 15912, 15927, 15930,
   15958, 15959, 15962, 15963, 15971, 15979, 15987, 15996, 16006, 16024,
   16070, 16079, 16088, 16097, 16106, 16118, 16119, 16120, 16121, 16122,
   16136, 16137, 16138, 16141, 16142, 16145, 16148, 16149, 16150, 16153,
   16154, 16157, 16158, 16159, 16160, 16161, 16162, 16163, 16164, 16165,
   16166, 16167, 16168, 16171, 16173, 16178, 16180, 16185, 16187, 16189,
   16191, 16193, 16195, 16207, 16211, 16218, 16222, 16228, 16232, 16242,
   16254, 16255, 16258, 16259, 16262, 16266, 16270, 16276, 16277, 16282,
   16292, 16293, 16294, 16295, 16296, 16297, 16298, 16299, 16303, 16304,
   16305, 16306, 16311, 16316, 16325, 16346, 16350, 16355, 16366, 16383,
   16389, 16390, 16391, 16394, 16402, 16412, 16427, 16428, 16432, 16444,
   16445, 16448, 16449, 16452, 16456, 16463, 16467, 16471, 16480, 16492,
   16493, 16497, 16498, 16502, 16503, 16506, 16507, 16512, 16521, 16538,
   16545, 16550, 16556, 16565, 16579, 16580, 16581, 16582, 16583, 16592,
   16593, 16594, 16595, 16596, 16600, 16602, 16612, 16615, 16621, 16622,
   16623, 16627, 16628, 16629, 16633, 16634, 16638, 16656, 16676, 16677,
   16686, 16687, 16691, 16692, 16695, 16703, 16711, 16719, 16742, 16743,
   16754, 16758, 16764, 16766, 16771, 16773, 16775, 16785, 16787, 16798,
   16802, 16806, 16810, 16814, 16823, 16831, 16863, 16867, 16874, 16882,
   16886, 16890, 16896, 16897, 16899, 16900, 16901, 16905, 16946, 16974,
   16978, 16982, 16988, 16990, 17004, 17040, 17053, 17054, 17057, 17058,
   17075, 17076, 17077, 17082, 17083, 17084, 17089, 17090, 17091, 17092,
   17098, 17099, 17100, 17101, 17102, 17108, 17109, 17129, 17130, 17131,
   17132, 17133, 17134, 17135, 17136, 17137, 17138, 17139, 17140, 17141,
   17142, 17143, 17144, 17145, 17146, 17147, 17148, 17149, 17150, 17151,
   17152, 17153, 17154, 17155, 17156, 17157, 17158, 17159, 17160, 17161,
   17162, 17163, 17164, 17165, 17166, 17167, 17168, 17169, 17170, 17171,
   17172, 17173, 17174, 17175, 17176, 17177, 17178, 17179, 17180, 17181,
   17182, 17183, 17184, 17185, 17186, 17187, 17188, 17189, 17190, 17191,
   17192, 17193, 17194, 17195, 17196, 17197, 17198, 17199, 17200, 17201,
   17202, 17203, 17204, 17205, 17206, 17207, 17208, 17209, 17210, 17211,
   17212, 17213, 17214, 17215, 17216, 17217, 17218, 17219, 17220, 17221,
   17222, 17223, 17224, 17225, 17226, 17227, 17228, 17229, 17230, 17231,
   17232, 17233, 17234, 17235, 17236, 17237, 17238, 17239, 17240, 17241,
   17242, 17243, 17244, 17245, 17246, 17247, 17248, 17249, 17250, 17251,
   17252, 17253, 17254, 17255, 17256, 17257, 17258, 17259, 17260, 17261,
   17262, 17263, 17264, 17265, 17266, 17267, 17268, 17269, 17270, 17271,
   17272, 17273, 17274, 17275, 17276, 17277, 17278, 17279, 17280, 17281,
   17282, 17283, 17284, 17285, 17286, 17287, 17288, 17289, 17290, 17291,
   17292, 17293, 17294, 17295, 17296, 17297, 17298, 17299, 17300, 17301,
   17302, 17303, 17304, 17305, 17306, 17307, 17308, 17309, 17310, 17311,
   17312, 17313, 17314, 17315, 17316, 17317, 17318, 17319, 17320, 17321,
   17322, 17323, 17324, 17325, 17326, 17327, 17328, 17329, 17330, 17331,
   17332, 17333, 17334, 17335, 17336, 17337, 17338, 17339, 17340, 17341,
   17342, 17343, 17344, 17345, 17346, 17347, 17348, 17349, 17350, 17351,
   17352, 17353, 17354, 17355, 17356, 17357, 17358, 17359, 17360, 17361,
   17362, 17363, 17364, 17365, 17366, 17367, 17368, 17369, 17370, 17371,
   17372, 17373, 17374, 17375, 17376, 17377, 17378, 17379, 17380, 17381,
   17382, 17383, 17384, 17385, 17386, 17387, 17388, 17389, 17390, 17391,
   17392, 17393, 17394, 17395, 17396, 17397, 17398, 17399, 17400, 17401,
   17402, 17403, 17404, 17405, 17406, 17407, 17408, 17409, 17410, 17411,
   17412, 17413, 17414, 17415, 17416, 17417, 17418, 17419, 17420, 17421,
   17422, 17423, 17424, 17425, 17426, 17427, 17428, 17429, 17430, 17431,
   17432, 17433, 17434, 17435, 17436, 17437, 17438, 17439, 17440, 17441,
   17442, 17456, 17457, 17458, 17459, 17460, 17461, 17462, 17463, 17464,
   17465, 17466, 17467, 17468, 17469, 17470, 17471, 17472, 17473, 17474,
   17475, 17476, 17477, 17478, 17479, 17480, 17481, 17482, 17483, 17484,
   17485, 17486, 17487, 17488, 17489, 17490, 17491, 17492, 17493, 17494,
   17495, 17496, 17497, 17498, 17499, 17500, 17501, 17502, 17503, 17504,
   17505, 17506, 17507, 17508, 17509, 17510, 17511, 17512, 17513, 17527,
   17528, 17529, 17530, 17531, 17532, 17533, 17534, 17535, 17536, 17537,
   17538, 17539, 17540, 17541, 17542, 17543, 17544, 17545, 17546, 17547,
   17548, 17549, 17559, 17560, 17561, 17562, 17563, 17564, 17565, 17566,
   17567, 17568, 17569, 17570, 17571, 17572, 17573, 17574, 17575, 17576,
   17577, 17578, 17579, 17580, 17581, 17582, 17583, 17584, 17585, 17586,
   17587, 17588, 17589, 17590, 17591, 17592, 17593, 17594, 17595, 17596,
   17597, 17598, 17599, 17600, 17601, 17602, 17603, 17604, 17605, 17606,
   17607, 17608, 17609, 17610, 17611, 17612, 17613, 17614, 17615, 17616,
   17617, 17618, 17619, 17620, 17621, 17622, 17623, 17624, 17625, 17626,
   17627, 17628, 17629, 17630, 17631, 17632, 17633, 17634, 17635, 17636,
   17649, 17650, 17651, 17652, 17653, 17654, 17655, 17656, 17657, 17658,
   17659, 17660, 17661, 17662, 17663, 17664, 17665, 17666, 17667, 17668,
   17669, 17670, 17671, 17672, 17673, 17674, 17675, 17676, 17677, 17678,
   17679, 17680, 17681, 17682, 17683, 17684, 17685, 17686, 17687, 17688,
   17689, 17690, 17691, 17692, 17693, 17694, 17695, 17696, 17697, 17698,
   17699, 17700, 17701, 17702, 17703, 17704, 17705, 17706, 17707, 17708,
   17709, 17710, 17711, 17712, 17713, 17714, 17715, 17716, 17717, 17718,
   17719, 17720, 17721, 17722, 17723, 17724, 17725, 17726, 17727, 17728,
   17729, 17730, 17731, 17732, 17733, 17734, 17735, 17736, 17737, 17738,
   17739, 17740, 17741, 17742, 17743, 17744, 17745, 17746, 17747, 17748,
   17749, 17750, 17751, 17752, 17753, 17754, 17755, 17756, 17757, 17758,
   17759, 17760, 17761, 17762, 17763, 17764, 17765, 17766, 17767, 17768,
   17769, 17770, 17771, 17772, 17773, 17774, 17775, 17776, 17777, 17778,
   17779, 17780, 17781, 17782, 17783, 17784, 17785, 17786, 17787, 17788,
   17789, 17790, 17791, 17792, 17793, 17794, 17795, 17796, 17797, 17798,
   17799, 17800, 17801, 17802, 17803, 17804, 17805, 17806, 17807, 17808,
   17809, 17810, 17811, 17812, 17813, 17814, 17815, 17816, 17817, 17818,
   17819, 17820, 17821, 17822, 17823, 17824, 17825, 17826, 17827, 17828,
   17829, 17830, 17831, 17832, 17833, 17834, 17835, 17836, 17837, 17838,
   17839, 17840, 17841, 17842, 17843, 17844, 17845, 17846, 17847, 17848,
   17849, 17850, 17851, 17852, 17853, 17854, 17855, 17856, 17857, 17858,
   17859, 17860, 17861, 17862, 17863, 17864, 17865, 17866, 17867, 17868,
   17869, 17870, 17871, 17872, 17873, 17874, 17875, 17876, 17877, 17878,
   17879, 17880, 17881, 17882, 17883, 17884, 17885, 17886, 17887, 17888,
   17889, 17890, 17891, 17892, 17893, 17894, 17895, 17896, 17897, 17898,
   17899, 17900, 17901, 17902, 17903, 17904, 17905, 17906, 17907, 17908,
   17909, 17910, 17911, 17912, 17913, 17914, 17915, 17916, 17917, 17918,
   17919, 17920, 17921, 17922, 17923, 17924, 17925, 17926, 17927, 17928,
   17929, 17930, 17931, 17932, 17933, 17934, 17935, 17936, 17937, 17938,
   17939, 17940, 17941, 17942, 17943, 17944, 17945, 17946, 17947, 17948,
   17949, 17950, 17951, 17952, 17953, 17954, 17955, 17956, 17957, 17958,
   17959, 17960, 17961, 17962, 17963, 17964, 17965, 17966, 17967, 17968,
   17969, 17970, 17971, 17972, 17973, 17974, 17975, 17976, 17977, 17978,
   17979, 17980, 17981, 17982, 17983, 17984, 17985, 17986, 17987, 17988,
   17989, 17990, 17991, 17992, 17993, 17994, 17995, 17996, 17997, 17998,
   17999, 18000, 18001, 18002, 18003, 18004, 18005, 18006, 18007, 18008,
   18009, 18010, 18011, 18012, 18013, 18014, 18015, 18016, 18017, 18018,
   18019, 18020, 18021, 18022, 18023, 18024, 18025, 18026, 18027, 18028,
   18029, 18030, 18031, 18032, 18033, 18034, 18035, 18036, 18037, 18038,
   18039, 18040, 18041, 18042, 18043, 18044, 18045, 18046, 18047, 18048,
   18049, 18050, 18051, 18052, 18053, 18054, 18055, 18056, 18057, 18058,
   18059, 18060, 18061, 18062, 18063, 18064, 18065, 18066, 18067, 18068,
   18069, 18070, 18071, 18072, 18073, 18074, 18075, 18076, 18077, 18078,
   18079, 18080, 18081, 18082
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "IDENT", "UIDENT", "FCONST", "SCONST",
  "USCONST", "BCONST", "XCONST", "Op", "ICONST", "PARAM", "TYPECAST",
  "DOT_DOT", "COLON_EQUALS", "EQUALS_GREATER", "LESS_EQUALS",
  "GREATER_EQUALS", "NOT_EQUALS", "ABORT_P", "ABSENT", "ABSOLUTE_P",
  "ACCESS", "ACTION", "ADD_P", "ADMIN", "AFTER", "AGGREGATE", "ALL",
  "ALSO", "ALTER", "ALWAYS", "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY",
  "AS", "ASC", "ASENSITIVE", "ASSERTION", "ASSIGNMENT", "ASYMMETRIC",
  "ATOMIC", "AT", "ATTACH", "ATTRIBUTE", "AUTHORIZATION", "BACKWARD",
  "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT", "BOOLEAN_P",
  "BOTH", "BREADTH", "BY", "CACHE", "CALL", "CALLED", "CASCADE",
  "CASCADED", "CASE", "CAST", "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER",
  "CHARACTERISTICS", "CHECK", "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER",
  "COALESCE", "COLLATE", "COLLATION", "COLUMN", "COLUMNS", "COMMENT",
  "COMMENTS", "COMMIT", "COMMITTED", "COMPRESSION", "CONCURRENTLY",
  "CONFIGURATION", "CONFLICT", "CONNECTION", "CONSTRAINT", "CONSTRAINTS",
  "CONTENT_P", "CONTINUE_P", "CONVERSION_P", "COPY", "COST", "CREATE",
  "CROSS", "CSV", "CUBE", "CURRENT_P", "CURRENT_CATALOG", "CURRENT_DATE",
  "CURRENT_ROLE", "CURRENT_SCHEMA", "CURRENT_TIME", "CURRENT_TIMESTAMP",
  "CURRENT_USER", "CURSOR", "CYCLE", "DATA_P", "DATABASE", "DAY_P",
  "DEALLOCATE", "DEC", "DECIMAL_P", "DECLARE", "DEFAULT", "DEFAULTS",
  "DEFERRABLE", "DEFERRED", "DEFINER", "DELETE_P", "DELIMITER",
  "DELIMITERS", "DEPENDS", "DEPTH", "DESC", "DETACH", "DICTIONARY",
  "DISABLE_P", "DISCARD", "DISTINCT", "DO", "DOCUMENT_P", "DOMAIN_P",
  "DOUBLE_P", "DROP", "EACH", "ELSE", "ENABLE_P", "ENCODING", "ENCRYPTED",
  "END_P", "ENUM_P", "ESCAPE", "EVENT", "EXCEPT", "EXCLUDE", "EXCLUDING",
  "EXCLUSIVE", "EXECUTE", "EXISTS", "EXPLAIN", "EXPRESSION", "EXTENSION",
  "EXTERNAL", "EXTRACT", "FALSE_P", "FAMILY", "FETCH", "FILTER",
  "FINALIZE", "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR", "FORCE", "FOREIGN",
  "FORMAT", "FORWARD", "FREEZE", "FROM", "FULL", "FUNCTION", "FUNCTIONS",
  "GENERATED", "GLOBAL", "GRANT", "GRANTED", "GREATEST", "GROUP_P",
  "GROUPING", "GROUPS", "HANDLER", "HAVING", "HEADER_P", "HOLD", "HOUR_P",
  "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE", "IMMUTABLE", "IMPLICIT_P",
  "IMPORT_P", "IN_P", "INCLUDE", "INCLUDING", "INCREMENT", "INDENT",
  "INDEX", "INDEXES", "INHERIT", "INHERITS", "INITIALLY", "INLINE_P",
  "INNER_P", "INOUT", "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD",
  "INT_P", "INTEGER", "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS",
  "ISNULL", "ISOLATION", "JOIN", "JSON", "JSON_ARRAY", "JSON_ARRAYAGG",
  "JSON_OBJECT", "JSON_OBJECTAGG", "JSON_SCALAR", "JSON_SERIALIZE", "KEY",
  "KEYS", "LABEL", "LANGUAGE", "LARGE_P", "LAST_P", "LATERAL_P", "LEADING",
  "LEAKPROOF", "LEAST", "LEFT", "LEVEL", "LIKE", "LIMIT", "LISTEN", "LOAD",
  "LOCAL", "LOCALTIME", "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "LOCKED",
  "LOGGED", "MAPPING", "MATCH", "MATCHED", "MATERIALIZED", "MAXVALUE",
  "MERGE", "METHOD", "MINUTE_P", "MINVALUE", "MODE", "MONTH_P", "MOVE",
  "NAME_P", "NAMES", "NATIONAL", "NATURAL", "NCHAR", "NEW", "NEXT", "NFC",
  "NFD", "NFKC", "NFKD", "NO", "NONE", "NORMALIZE", "NORMALIZED", "NOT",
  "NOTHING", "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P", "NULLIF", "NULLS_P",
  "NUMERIC", "OBJECT_P", "OF", "OFF", "OFFSET", "OIDS", "OLD", "ON",
  "ONLY", "OPERATOR", "OPTION", "OPTIONS", "OR", "ORDER", "ORDINALITY",
  "OTHERS", "OUT_P", "OUTER_P", "OVER", "OVERLAPS", "OVERLAY",
  "OVERRIDING", "OWNED", "OWNER", "PARALLEL", "PARAMETER", "PARSER",
  "PARTIAL", "PARTITION", "PASSING", "PASSWORD", "PLACING", "PLANS",
  "POLICY", "POSITION", "PRECEDING", "PRECISION", "PRESERVE", "PREPARE",
  "PREPARED", "PRIMARY", "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE",
  "PROCEDURES", "PROGRAM", "PUBLICATION", "QUOTE", "RANGE", "READ", "REAL",
  "REASSIGN", "RECHECK", "RECURSIVE", "REF_P", "REFERENCES", "REFERENCING",
  "REFRESH", "REINDEX", "RELATIVE_P", "RELEASE", "RENAME", "REPEATABLE",
  "REPLACE", "REPLICA", "RESET", "RESTART", "RESTRICT", "RETURN",
  "RETURNING", "RETURNS", "REVOKE", "RIGHT", "ROLE", "ROLLBACK", "ROLLUP",
  "ROUTINE", "ROUTINES", "ROW", "ROWS", "RULE", "SAVEPOINT", "SCALAR",
  "SCHEMA", "SCHEMAS", "SCROLL", "SEARCH", "SECOND_P", "SECURITY",
  "SELECT", "SEQUENCE", "SEQUENCES", "SERIALIZABLE", "SERVER", "SESSION",
  "SESSION_USER", "SET", "SETS", "SETOF", "SHARE", "SHOW", "SIMILAR",
  "SIMPLE", "SKIP", "SMALLINT", "SNAPSHOT", "SOME", "SQL_P", "STABLE",
  "STANDALONE_P", "START", "STATEMENT", "STATISTICS", "STDIN", "STDOUT",
  "STORAGE", "STORED", "STRICT_P", "STRIP_P", "SUBSCRIPTION", "SUBSTRING",
  "SUPPORT", "SYMMETRIC", "SYSID", "SYSTEM_P", "SYSTEM_USER", "TABLE",
  "TABLES", "TABLESAMPLE", "TABLESPACE", "TEMP", "TEMPLATE", "TEMPORARY",
  "TEXT_P", "THEN", "TIES", "TIME", "TIMESTAMP", "TO", "TRAILING",
  "TRANSACTION", "TRANSFORM", "TREAT", "TRIGGER", "TRIM", "TRUE_P",
  "TRUNCATE", "TRUSTED", "TYPE_P", "TYPES_P", "UESCAPE", "UNBOUNDED",
  "UNCOMMITTED", "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN", "UNLISTEN",
  "UNLOGGED", "UNTIL", "UPDATE", "USER", "USING", "VACUUM", "VALID",
  "VALIDATE", "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR", "VARIADIC",
  "VARYING", "VERBOSE", "VERSION_P", "VIEW", "VIEWS", "VOLATILE", "WHEN",
  "WHERE", "WHITESPACE_P", "WINDOW", "WITH", "WITHIN", "WITHOUT", "WORK",
  "WRAPPER", "WRITE", "XML_P", "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT",
  "XMLEXISTS", "XMLFOREST", "XMLNAMESPACES", "XMLPARSE", "XMLPI",
  "XMLROOT", "XMLSERIALIZE", "XMLTABLE", "YEAR_P", "YES_P", "ZONE",
  "FORMAT_LA", "NOT_LA", "NULLS_LA", "WITH_LA", "WITHOUT_LA",
  "MODE_TYPE_NAME", "MODE_PLPGSQL_EXPR", "MODE_PLPGSQL_ASSIGN1",
  "MODE_PLPGSQL_ASSIGN2", "MODE_PLPGSQL_ASSIGN3", "'<'", "'>'", "'='",
  "'+'", "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS", "'['", "']'", "'('",
  "')'", "'.'", "';'", "','", "':'", "$accept", "parse_toplevel",
  "stmtmulti", "toplevel_stmt", "stmt", "opt_single_name",
  "opt_qualified_name", "opt_concurrently", "opt_drop_behavior",
  "CallStmt", "CreateRoleStmt", "opt_with", "OptRoleList",
  "AlterOptRoleList", "AlterOptRoleElem", "CreateOptRoleElem",
  "CreateUserStmt", "AlterRoleStmt", "opt_in_database", "AlterRoleSetStmt",
  "DropRoleStmt", "CreateGroupStmt", "AlterGroupStmt", "add_drop",
  "CreateSchemaStmt", "OptSchemaEltList", "schema_stmt", "VariableSetStmt",
  "set_rest", "generic_set", "set_rest_more", "var_name", "var_list",
  "var_value", "iso_level", "opt_boolean_or_string", "zone_value",
  "opt_encoding", "NonReservedWord_or_Sconst", "VariableResetStmt",
  "reset_rest", "generic_reset", "SetResetClause",
  "FunctionSetResetClause", "VariableShowStmt", "ConstraintsSetStmt",
  "constraints_set_list", "constraints_set_mode", "CheckPointStmt",
  "DiscardStmt", "AlterTableStmt", "alter_table_cmds", "partition_cmd",
  "index_partition_cmd", "alter_table_cmd", "alter_column_default",
  "opt_collate_clause", "alter_using", "replica_identity", "reloptions",
  "opt_reloptions", "reloption_list", "reloption_elem",
  "alter_identity_column_option_list", "alter_identity_column_option",
  "set_statistics_value", "PartitionBoundSpec", "hash_partbound_elem",
  "hash_partbound", "AlterCompositeTypeStmt", "alter_type_cmds",
  "alter_type_cmd", "ClosePortalStmt", "CopyStmt", "copy_from",
  "opt_program", "copy_file_name", "copy_options", "copy_opt_list",
  "copy_opt_item", "opt_binary", "copy_delimiter", "opt_using",
  "copy_generic_opt_list", "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "column_compression", "opt_column_compression", "column_storage",
  "opt_column_storage", "ColQualList", "ColConstraint",
  "ColConstraintElem", "opt_unique_null_treatment", "generated_when",
  "ConstraintAttr", "TableLikeClause", "TableLikeOptionList",
  "TableLikeOption", "TableConstraint", "ConstraintElem", "opt_no_inherit",
  "opt_column_list", "columnList", "columnElem", "opt_c_include",
  "key_match", "ExclusionConstraintList", "ExclusionConstraintElem",
  "OptWhereClause", "key_actions", "key_update", "key_delete",
  "key_action", "OptInherit", "OptPartitionSpec", "PartitionSpec",
  "part_params", "part_elem", "table_access_method_clause", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace", "ExistingIndex",
  "CreateStatsStmt", "stats_params", "stats_param", "AlterStatsStmt",
  "CreateAsStmt", "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "OptParenthesizedSeqOptList",
  "SeqOptList", "SeqOptElem", "opt_by", "NumericOnly", "NumericOnly_list",
  "CreatePLangStmt", "opt_trusted", "handler_name", "opt_inline_handler",
  "validator_clause", "opt_validator", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "AlterForeignServerStmt",
  "CreateForeignTableStmt", "ImportForeignSchemaStmt",
  "import_qualification_type", "import_qualification",
  "CreateUserMappingStmt", "auth_ident", "DropUserMappingStmt",
  "AlterUserMappingStmt", "CreatePolicyStmt", "AlterPolicyStmt",
  "RowSecurityOptionalExpr", "RowSecurityOptionalWithCheck",
  "RowSecurityDefaultToRole", "RowSecurityOptionalToRole",
  "RowSecurityDefaultPermissive", "RowSecurityDefaultForCmd",
  "row_security_cmd", "CreateAmStmt", "am_type", "CreateTrigStmt",
  "TriggerActionTime", "TriggerEvents", "TriggerOneEvent",
  "TriggerReferencing", "TriggerTransitions", "TriggerTransition",
  "TransitionOldOrNew", "TransitionRowOrTable", "TransitionRelName",
  "TriggerForSpec", "TriggerForOptEach", "TriggerForType", "TriggerWhen",
  "FUNCTION_or_PROCEDURE", "TriggerFuncArgs", "TriggerFuncArg",
  "OptConstrFromTable", "ConstraintAttributeSpec",
  "ConstraintAttributeElem", "CreateEventTrigStmt",
  "event_trigger_when_list", "event_trigger_when_item",
  "event_trigger_value_list", "AlterEventTrigStmt", "enable_trigger",
  "CreateAssertionStmt", "DefineStmt", "definition", "def_list",
  "def_elem", "def_arg", "old_aggr_definition", "old_aggr_list",
  "old_aggr_elem", "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "opt_if_not_exists", "CreateOpClassStmt", "opclass_item_list",
  "opclass_item", "opt_default", "opt_opfamily", "opclass_purpose",
  "opt_recheck", "CreateOpFamilyStmt", "AlterOpFamilyStmt",
  "opclass_drop_list", "opclass_drop", "DropOpClassStmt",
  "DropOpFamilyStmt", "DropOwnedStmt", "ReassignOwnedStmt", "DropStmt",
  "object_type_any_name", "object_type_name", "drop_type_name",
  "object_type_name_on_any_name", "any_name_list", "any_name", "attrs",
  "type_name_list", "TruncateStmt", "opt_restart_seqs", "CommentStmt",
  "comment_text", "SecLabelStmt", "opt_provider", "security_label",
  "FetchStmt", "fetch_args", "from_in", "opt_from_in", "GrantStmt",
  "RevokeStmt", "privileges", "privilege_list", "privilege",
  "parameter_name_list", "parameter_name", "privilege_target",
  "grantee_list", "grantee", "opt_grant_grant_option", "GrantRoleStmt",
  "RevokeRoleStmt", "grant_role_opt_list", "grant_role_opt",
  "grant_role_opt_value", "opt_granted_by", "AlterDefaultPrivilegesStmt",
  "DefACLOptionList", "DefACLOption", "DefACLAction",
  "defacl_privilege_target", "IndexStmt", "opt_unique",
  "access_method_clause", "index_params", "index_elem_options",
  "index_elem", "opt_include", "index_including_params", "opt_collate",
  "opt_asc_desc", "opt_nulls_order", "CreateFunctionStmt",
  "opt_or_replace", "func_args", "func_args_list",
  "function_with_argtypes_list", "function_with_argtypes",
  "func_args_with_defaults", "func_args_with_defaults_list", "func_arg",
  "arg_class", "param_name", "func_return", "func_type",
  "func_arg_with_default", "aggr_arg", "aggr_args", "aggr_args_list",
  "aggregate_with_argtypes", "aggregate_with_argtypes_list",
  "opt_createfunc_opt_list", "createfunc_opt_list", "common_func_opt_item",
  "createfunc_opt_item", "func_as", "ReturnStmt", "opt_routine_body",
  "routine_body_stmt_list", "routine_body_stmt", "transform_type_list",
  "opt_definition", "table_func_column", "table_func_column_list",
  "AlterFunctionStmt", "alterfunc_opt_list", "opt_restrict",
  "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt", "oper_argtypes",
  "any_operator", "operator_with_argtypes_list", "operator_with_argtypes",
  "DoStmt", "dostmt_opt_list", "dostmt_opt_item", "CreateCastStmt",
  "cast_context", "DropCastStmt", "opt_if_exists", "CreateTransformStmt",
  "transform_element_list", "DropTransformStmt", "ReindexStmt",
  "reindex_target_relation", "reindex_target_all",
  "opt_reindex_option_list", "AlterTblSpcStmt", "RenameStmt", "opt_column",
  "opt_set_data", "AlterObjectDependsStmt", "opt_no",
  "AlterObjectSchemaStmt", "AlterOperatorStmt", "operator_def_list",
  "operator_def_elem", "operator_def_arg", "AlterTypeStmt",
  "AlterOwnerStmt", "CreatePublicationStmt", "PublicationObjSpec",
  "pub_obj_list", "AlterPublicationStmt", "CreateSubscriptionStmt",
  "AlterSubscriptionStmt", "DropSubscriptionStmt", "RuleStmt",
  "RuleActionList", "RuleActionMulti", "RuleActionStmt",
  "RuleActionStmtOrEmpty", "event", "opt_instead", "NotifyStmt",
  "notify_payload", "ListenStmt", "UnlistenStmt", "TransactionStmt",
  "TransactionStmtLegacy", "opt_transaction", "transaction_mode_item",
  "transaction_mode_list", "transaction_mode_list_or_empty",
  "opt_transaction_chain", "ViewStmt", "opt_check_option", "LoadStmt",
  "CreatedbStmt", "createdb_opt_list", "createdb_opt_items",
  "createdb_opt_item", "createdb_opt_name", "opt_equal",
  "AlterDatabaseStmt", "AlterDatabaseSetStmt", "DropdbStmt",
  "drop_option_list", "drop_option", "AlterCollationStmt",
  "AlterSystemStmt", "CreateDomainStmt", "AlterDomainStmt", "opt_as",
  "AlterTSDictionaryStmt", "AlterTSConfigurationStmt", "any_with",
  "CreateConversionStmt", "ClusterStmt", "cluster_index_specification",
  "VacuumStmt", "AnalyzeStmt", "utility_option_list", "analyze_keyword",
  "utility_option_elem", "utility_option_name", "utility_option_arg",
  "opt_analyze", "opt_verbose", "opt_full", "opt_freeze", "opt_name_list",
  "vacuum_relation", "vacuum_relation_list", "opt_vacuum_relation_list",
  "ExplainStmt", "ExplainableStmt", "PrepareStmt", "prep_type_clause",
  "PreparableStmt", "ExecuteStmt", "execute_param_clause",
  "DeallocateStmt", "InsertStmt", "insert_target", "insert_rest",
  "override_kind", "insert_column_list", "insert_column_item",
  "opt_on_conflict", "opt_conf_expr", "returning_clause", "DeleteStmt",
  "using_clause", "LockStmt", "opt_lock", "lock_type", "opt_nowait",
  "opt_nowait_or_skip", "UpdateStmt", "set_clause_list", "set_clause",
  "set_target", "set_target_list", "MergeStmt", "merge_when_list",
  "merge_when_clause", "opt_merge_when_condition", "merge_update",
  "merge_delete", "merge_insert", "merge_values_clause",
  "DeclareCursorStmt", "cursor_name", "cursor_options", "opt_hold",
  "SelectStmt", "select_with_parens", "select_no_parens", "select_clause",
  "simple_select", "with_clause", "cte_list", "common_table_expr",
  "opt_materialized", "opt_search_clause", "opt_cycle_clause",
  "opt_with_clause", "into_clause", "OptTempTableName", "opt_table",
  "set_quantifier", "distinct_clause", "opt_all_clause",
  "opt_distinct_clause", "opt_sort_clause", "sort_clause", "sortby_list",
  "sortby", "select_limit", "opt_select_limit", "limit_clause",
  "offset_clause", "select_limit_value", "select_offset_value",
  "select_fetch_first_value", "I_or_F_const", "row_or_rows",
  "first_or_next", "group_clause", "group_by_list", "group_by_item",
  "empty_grouping_set", "rollup_clause", "cube_clause",
  "grouping_sets_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "for_locking_strength", "locked_rels_list", "values_clause",
  "from_clause", "from_list", "table_ref", "joined_table", "alias_clause",
  "opt_alias_clause", "opt_alias_clause_for_join_using",
  "func_alias_clause", "join_type", "opt_outer", "join_qual",
  "relation_expr", "extended_relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "tablesample_clause", "opt_repeatable_clause",
  "func_table", "rowsfrom_item", "rowsfrom_list", "opt_col_def_list",
  "opt_ordinality", "where_clause", "where_or_current_clause",
  "OptTableFuncElementList", "TableFuncElementList", "TableFuncElement",
  "xmltable", "xmltable_column_list", "xmltable_column_el",
  "xmltable_column_option_list", "xmltable_column_option_el",
  "xml_namespace_list", "xml_namespace_el", "Typename", "opt_array_bounds",
  "SimpleTypename", "ConstTypename", "GenericType", "opt_type_modifiers",
  "Numeric", "opt_float", "Bit", "ConstBit", "BitWithLength",
  "BitWithoutLength", "Character", "ConstCharacter", "CharacterWithLength",
  "CharacterWithoutLength", "character", "opt_varying", "ConstDatetime",
  "ConstInterval", "opt_timezone", "opt_interval", "interval_second",
  "JsonType", "a_expr", "b_expr", "c_expr", "func_application",
  "func_expr", "func_expr_windowless", "func_expr_common_subexpr",
  "xml_root_version", "opt_xml_root_standalone", "xml_attributes",
  "xml_attribute_list", "xml_attribute_el", "document_or_content",
  "xml_indent_option", "xml_whitespace_option", "xmlexists_argument",
  "xml_passing_mech", "within_group_clause", "filter_clause",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "opt_window_exclusion_clause", "row", "explicit_row",
  "implicit_row", "sub_type", "all_Op", "MathOp", "qual_Op", "qual_all_Op",
  "subquery_Op", "expr_list", "func_arg_list", "func_arg_expr",
  "func_arg_list_opt", "type_list", "array_expr", "array_expr_list",
  "extract_list", "extract_arg", "unicode_normal_form", "overlay_list",
  "position_list", "substr_list", "trim_list", "in_expr", "case_expr",
  "when_clause_list", "when_clause", "case_default", "case_arg",
  "columnref", "indirection_el", "opt_slice_bound", "indirection",
  "opt_indirection", "opt_asymmetric", "json_value_expr",
  "json_format_clause", "json_format_clause_opt",
  "json_returning_clause_opt", "json_predicate_type_constraint",
  "json_key_uniqueness_constraint_opt", "json_name_and_value_list",
  "json_name_and_value", "json_object_constructor_null_clause_opt",
  "json_array_constructor_null_clause_opt", "json_value_expr_list",
  "json_aggregate_func", "json_array_aggregate_order_by_clause_opt",
  "opt_target_list", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "attr_name", "file_name",
  "func_name", "AexprConst", "Iconst", "Sconst", "SignedIconst", "RoleId",
  "RoleSpec", "role_list", "PLpgSQL_Expr", "PLAssignStmt",
  "plassign_target", "plassign_equals", "ColId", "type_function_name",
  "NonReservedWord", "ColLabel", "BareColLabel", "unreserved_keyword",
  "col_name_keyword", "type_func_name_keyword", "reserved_keyword",
  "bare_label_keyword", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   746,   747,   748,   749,   750,   751,   752,   753,   754,
     755,   756,   757,    60,    62,    61,    43,    45,    42,    47,
      37,    94,   758,    91,    93,    40,    41,    46,    59,    44,
      58
};
# endif

#define YYPACT_NINF -5408

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-5408)))

#define YYTABLE_NINF -2901

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-2901)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
    8732,  1461, 21049, -5408, -5408,  1461, 70748, -5408, 80058,  1054,
     824,  1664,   215, 20145, 80548, 90348,   916,  1119, 20746,  1461,
   90348,  1324, 61437, 76138,  1214, 90348,   496,  1034, 61437, 90348,
   90838,  1296,  1528,  1204, 91328, 81038, 75158,  1836, 90348,  1582,
     413, 91818, 81528,  1443, 82018,  1034, 56548,   144,  1370, 92308,
   90348,114778,   413, 82508, 82508, 82508,  2197,  1931,  1384, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408,  1163, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408,  2721, -5408,  1249,
    2733,  1420,  1099,  1450, -5408, -5408,  1967, 70748, 90348, 90348,
   90348,  1654, 90348,  1596, 90348,   203, 70748, 67318, 82998,  1765,
    1607, 52512, 92798, -5408, 70748, 90348, 64868, 70748, 90348, 90348,
   93288, 90348, 93778, 90348,   784, 78588, 90348,  1721, 90348, 90348,
   65358, 94268,  1878,  1264,   228, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408,  1651,  1799, -5408,   270, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, 61927, 90348, 20521,   496,  1967, -5408,
    2197, 90348,  1965, 90348,  1673, 94758, 90348, -5408, 90348,  1822,
   95248,   832,  2082, 67318,  2091, 53021,  1948, 90348, 90348, 67318,
   95738, 96228, 96718, 90348, 90348, -5408, -5408,  1936, 90348, -5408,
    2088, 67808,  1918,  2103,  2294,  2198,  1813, -5408, 83488, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, 70258,  1119, -5408,
   -5408,  2148, 71238,  2243, -5408, -5408, 97208,115254,  2012, -5408,
     871, 71728, 68298,  2363,  2011, 53530,  2467, -5408, 72218, -5408,
   68788, 72708, -5408, -5408, -5408, -5408, -5408, 97698, -5408, 98188,
    2172,  2243, -5408,115730, 69278, -5408,  2281, 98678, 99168, 99658,
    1967,  2038,   944,  1847, 47014, -5408, -5408, -5408,  2132, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,   355,  1885,
     281,   226,   316, -5408, -5408,   230,   235,   237,   355,  2596,
    2596, -5408, 90348, -5408, -5408,  1885,    69,  2226,  2097,  2097,
    2097,  2353,    23, -5408,  2097,  2293, -5408, -5408, -5408, -5408,
   82018, -5408,  2136,   496,  2144,  2643,  2211, 61927,  1206, 90348,
   -5408, -5408,  2670,  2233,  2508,  2218, -5408, -5408, -5408,  2439,
    2448,   131,   731,   496,   325, -5408,  2583, -5408,  2462, 32408,
   32408,   496, 83978,100148,   242, 70258,   496, 84468,  2289,  1444,
    2490, -5408, -5408, -5408,   792, -5408,  2763,  2314,  2592,  2218,
    1264, 48998, -5408, -5408,  2327,  1799, 82018, -5408, -5408, -5408,
   61927,  2648, 35456, 90348,  2329, -5408,  2339,  2329, -5408, -5408,
    2418, -5408,  2418,  2418,  2377,  2377,  2597,  2412, -5408, -5408,
   -5408, -5408,  2393,  2418,  2377, -5408,116682, -5408,  1993,  2013,
   -5408, -5408,  2859, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408,  2416, -5408,  1401, -5408,  2043, -5408, -5408, -5408, 32408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408,  2421,  2426,  1420,
   -5408, 12187, 61927, 90348,   433,   433,  2893,   433,   276,  1823,
   -5408,  3005, -5408,  2783,  2739,  2743, 82018,  2446,  1114, -5408,
     806,  2452,  1928,  2451,  1772,  1467, -5408,   243, 90348,   258,
    2515, 84958,  6352,  2465,  1799,  2496, -5408, -5408, -5408, -5408,
    2674,  1435, -5408, -5408, -5408, -5408,  2802,  2880,  7801,   353,
   85448, -5408, -5408, -5408, -5408, 90348, 90348, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408,  2520,  1211, -5408, -5408,
    2547,  2919,  2750,  7276,  1316,  2905,  2761,  1349,  9424,  2794,
     174,  2955, 12095,  1549,  2963,  1876,  2258, 85938, 90348,  2925,
    2983,  4165,  1490,   911,  2848,  1629,  2905,  2985,  2817,  1349,
    3009,  5948, 90348, -5408,  2931,  3054,   101, -5408,   827, -5408,
   25351, 35456, 56058, -5408,  1799, -5408,   -10, -5408, -5408, 60947,
   -5408,  2734,  2891,   884, 70748,  2693, 90348, 90348, -5408,114778,
   70748, -5408,  2946, 54039, 70748, -5408, 70748, -5408, -5408,  3073,
  114778, 90348, 90348, -5408, 90348, -5408, -5408,  2736, -5408, -5408,
   -5408, -5408, -5408,  2097, 90348,  3181,114778,  2980,   122,  1588,
    3225, 90348,  3001,  1588,  2815,100638, -5408, -5408,  1588, -5408,
   -5408, -5408, 90348, 90348,  2777,  1794,  2997,   156,  1588,  3013,
    3248,  3250,  3022,  2868,  3028,  2339, -5408,  3221,  2999,   995,
     236,  1959,  1588,  2849,101128,101618, 90348,  2850, 90348,  3226,
   70748,  2882, 70748, 70748, 90348,  3149, 90348, -5408,  2987, -5408,
   -5408,  1784, -5408, -5408, -5408, -5408, -5408,  3167, -5408,   202,
    3168,  2808,  3170,  1781,  3173,   273, -5408, -5408,  2853, -5408,
    3177,   275, -5408,  3179, -5408,  2819,102108, -5408,102598,103088,
    3180,   314, -5408, 67318,  3182,   275,  3192,  2819,  3193,   275,
    3197,   269,  3201, -5408,  1242,  3189,  3207,   273,  3208,  2010,
    2819, -5408,  3210,   322, -5408,  3213,   326, -5408,  3214,  3072,
   -5408, 35456, -5408,  2954, -5408,  1370,  1929,  1847,  1885, -5408,
   90348,  1885, 90348,  1885, 90348,  1885, 90348,  1885, 90348, 90348,
   90348,  1885, -5408, -5408, -5408, 90348,  2857, 90348, -5408, 90348,
   -5408, -5408, -5408, 77118, 67318, 77608, -5408, 90348, -5408,   754,
     496, -5408, -5408,114778,  3336, 67318,  3226,  2064, -5408, -5408,
    3226, -5408, -5408,  3226,  3226, -5408, -5408, -5408,  3132, 90348,
    3211, 77118, 67318,  3218, -5408,103578, -5408, 70258,  3079,  2863,
   -5408, -5408, -5408, -5408, -5408,  2059,  3375,   248,  3376, 35456,
    2873,   248,   248,  2874,  3222, -5408, -5408, -5408,   274,  2877,
    2878, -5408,   251,   251, -5408,  2879,  2881, -5408,   252,  2883,
    2885,  3391,  3395,   282,   289,  2887,  2889,  2890,  2892,  2896,
    2897,  2900,  2901,  2903,  2393,   248,  2904, 35456, -5408,  2908,
     251,  2909,  2911,  2913,  3397,  2914, -5408,  3402,  2915, -5408,
     328,   343,  2916,  2917, -5408,  3131, -5408,   292,  2918,  2920,
    2921,  2923,  2924,  2926,  2929,  2932, 35456, 35456, 35456, -5408,
   29863,  1799,   496, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408,   293, -5408, 52003, -5408,  2976, -5408, -5408,  3142, -5408,
   -5408, 35456, -5408, -5408,  3289,   810, -5408,   295, -5408, -5408,
   -5408,  1799,  3234,  2935, -5408, -5408,  1513,  2936, -5408,  1927,
   -5408, -5408, -5408, -5408, -5408, -5408, 69768,  3419, -5408,   369,
     496,   827,  2057,  3356, 59477, 59967, -5408, -5408,  3217, -5408,
   90348, -5408, -5408,  1799,   170,  2072, -5408,  2132, 18293,  2080,
    2329, 90348, 90348,  3423, -5408,  2948, -5408, -5408, 35456, -5408,
   -5408, -5408,  2596, -5408,  2418,  2418, -5408, -5408,  3428,  3039,
    3040,  2596, -5408,  2596, -5408,  2957,  2958,  2596,  3043,  3044,
    3046, -5408,  2953,  3048,  2596, -5408, -5408, 62908,  2069, -5408,
    3304,   245, -5408, -5408, -5408,  2130, -5408,  2965, -5408,  2339,
   -5408, -5408,  1420,  1420, 35456,  1420,   272,  1951, 32916, 35964,
    3319,  3194,   279,   918,  3323, -5408,  3200,   276,  1823, 82018,
   90348, 82018,104068,  3106, 35456, -5408,  3426,  3068,  3069,  3125,
   58508, -5408,  3071,  3041,  3074,  3130,  2989,  3080,  3081,  3134,
   -5408,  3266, -5408, -5408,  3083,  3434,  3086,104558, -5408, -5408,
    1991, -5408, -5408, -5408,  1991, -5408,  3011,  1587,  1065,  1482,
    3088,   468,  1022,  3430, -5408,  1419, -5408, -5408,  3145, -5408,
   19048, 90348,  3369,  7226,  3227,   353,  3146, -5408, -5408, -5408,
    3286,  3098, 90348,  3101,  3247,   353,   966,105048, -5408, -5408,
   90348, -5408, -5408, -5408, -5408,  5746,  3409, 28401, -5408,  2053,
    3111,  3090,  3128, 90348, 73688,   424,  3231,  3254,  1658,  2338,
     285,  3184, 90348,  1739,  3262, 90348,  3045,  3126,  3127,  3368,
    3049,   642,  3475,  3053, -5408, -5408, -5408,  3440, -5408,  2260,
    2473,  3261, -5408,  3377,  3424,  7274,  3129,  3136,113350, -5408,
    3152,   647, 54548, 90348, 90348,  3155,  3156,105538,  5746,  3460,
   78098, 78098,  3162,  3164, 48502,  3481,  1405,  3166, -5408, -5408,
   -5408,  1405,  3169,  3171,106028,  5746,  3469, 90348,  3172,  3174,
   90348,116682,   353, -5408,  3540,   353,   353,  1910,  3543,  3186,
     250,  3342,   915,  1588,  3053,  2222, -5408,  3187,  3190,   334,
   -5408,  3309, 90348,  3195,  3199,   741,  3274,   496, -5408,  3276,
   -5408,  3203,  3285,  3206,    77,  2777, -5408, -5408,  1260,  3224,
   82018,  3305,  3308,  1739,   458,  1012,  3053, -5408,  3216,  3220,
    3049,  3049, 90348, 90348, 90348, 90348, 90348,   223,  3583,   246,
    3228,   240,   691,  3118, -5408,  1405, 65848,  3232, -5408,  1405,
   90348,   231,  1016,  3053,  1356,  1637, -5408, -5408, -5408,  1264,
   -5408, 35456, 35456, 35456,  3135, -5408,  2521, 18293,   815, -5408,
     296,  8174,  3133, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   90348, 61927, -5408, -5408, -5408, -5408, -5408, -5408, -5408, 90348,
   -5408, 90348,  3429,114778,  3433,  3350,  3435,  3439,   353, 90348,
   90348,  3442,  3443,  3445,114778,  3446,  3447,  3448,  3383,  3244,
     183,  3235,  3185,  3643,  3529, 90348, 62908, -5408,  1991, -5408,
  114778,  3385,  3530, -5408, 90348,  3403,    75, -5408,  3567,  3236,
   -5408, -5408,    96, 90348, 76628,  2777, -5408, -5408,  3533, 67318,
     352,  3541,   496,  3230,  3542,  3404,   496, 67318,  3451, 90348,
   90348, 90348, 90348,   196, -5408, 65848,  3417, -5408, 90348,  3425,
    2222,  3427,  3667,    89,  2097,106518,  3538, -5408,107008,  3204,
   90348,  3205,  3205,  3670,114778,   371,  3480, -5408, -5408,  2139,
   -5408,  3334, -5408, 70748, -5408, -5408, 70748, -5408, -5408,114778,
   90348,  3215,114778,114778, -5408, -5408, 70748, 70748, -5408, 67318,
   67318,  3569,   322,  3571,  3273,  3574,  3278, 54548, 54548, -5408,
     349, 70748, -5408, 67318, 70748, -5408, 90348, -5408, 90348, -5408,
   -5408, -5408, -5408,114778,114778, -5408, 67318, 65848,  3575, 90348,
   90348, -5408, 90348, 90348, -5408, 90348, 90348,  2138,107498,  1847,
   -5408, 90348, -5408, 90348, -5408, 90348, -5408, 90348, -5408, 90348,
   -5408, -5408, -5408, 90348, -5408, 90348,  2156, -5408, -5408,  2167,
    1586, 90348, 90348,   216, 70748, 90348,  3450, 90348, 70748, 70748,
   90348, 90348, 90348, 90348, 90348,  3310,  2936,   809, -5408,   954,
     256, 82018,  3452, -5408, -5408,  2168,  2197,   976, 90348, -5408,
   90348, 90348, 90348, -5408, -5408, 76138,  3559,   398, 77608, 90348,
   -5408, -5408,  8622, 35456,  1799, 31895, -5408, -5408, 18293,  3269,
   35456, 35456,  3229,  2596,  2596, -5408,   717, 35456, 35456, 35456,
   29355, 35456, 33424, 35456, 35456, 35456, 35456,  2596,  2596, 35456,
    4512, 35456, 54548, 35456, 41044, 26379, 35456, 35456, 30371,   291,
    2879, 35456,  3476, 42054, 35456,  2057,  3478, 35456,  2057,  4512,
    3729,  3729,  2413,  6883,  3233,  1799, -5408,  2596,   982, -5408,
     460,114778, 35456, 35456, 35456, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   35456, -5408, 62908, -5408, -5408, -5408, -5408, -5408, -5408,   162,
   -5408, -5408, -5408, -5408, -5408, -5408,  1380, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   90348, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, 30879, -5408, -5408, -5408, -5408,  3239,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
    3416, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, 31387, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408,  3240, -5408, -5408, 35456, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
    3317, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408,   255, 35456, 35456, 35456, 35456, 35456, 35456, 35456,
   35456, 35456, -5408, 35456,   469, -5408, -5408,  3564,  3289,    49,
     561,  3242,  3453, 86428, 32408,  3304, 25351, -5408,   315,  3304,
   -5408, -5408, -5408, 90348,  3419, -5408, -5408,  3320, -5408, -5408,
   -5408, -5408, -5408,   300, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408,  3245, -5408, -5408, -5408, -5408,  3245, -5408,  3243,  3557,
    3576,   269, 90348,  2511, 35456,   162,   287, 90348, 35456,  3239,
    3416, 35456,  3240, 35456,  3317, -5408, 35456, -5408,  2178,  1990,
   35456,  2185,  3249, -5408, -5408,  3237,  2958,  3279,  3280,  3257,
    3258,  2596,   220,  3259,   205,   922,  3388,  2596,  3503,  3260,
   -5408, 62908, -5408, 44038,  3311, -5408, -5408, -5408,   413, 90348,
   90348, -5408,  3560, -5408,  3264, -5408, 13951,  3560, -5408, -5408,
   41549,  3389,  3552,  3487, -5408, -5408, -5408,  3268, 18293, 36472,
   36472, -5408,  2231, 18293,  2263, -5408, -5408, -5408, -5408, -5408,
   -5408,  1392, -5408, 90348,   811,  3319,   918,  3338,  1340,  3750,
    3339, 90348, -5408, 49494,  2195, -5408, 67318, 90348, 90348,  3483,
   -5408,  3740, -5408,116682, -5408,  3284, -5408,116206,112398, -5408,
   -5408,  1112, -5408,  1407, 67318, -5408, 90348, 90348, 67318, 90348,
   90348, -5408, 67318,  3337, 90348, 90348, -5408, -5408, -5408, -5408,
   -5408, 60457,    81, 76138,  3436, 75648, -5408, -5408,  3288, 90348,
    3349,  3572,  3520,  3577,   789, -5408, -5408,107988, -5408,  3521,
   67318, 90348, 90348, 35456,  3527, 90348, 90348, -5408,   324,  3387,
    3392, -5408, 90348,  3393, 70748,  3302,114778, 70748, 55057, 70748,
   70748,  3650,114778, 90348, 90348,   898, 82018,   238,  1020,  3053,
    3536, -5408,   970, -5408, 67318, -5408, 90348,  3537, -5408, -5408,
   -5408, 86918,  3777,  3441, -5408, -5408, -5408,108478, -5408, -5408,
    3539, -5408,  2203, -5408, 67318, 67318, 90348,  8034,108968,   689,
    3548, -5408, -5408,114778, -5408, 90348, 87408, 90348, 90348,  3590,
   90348, 79078,109458,109948,   739,  1304,  3592, 90348, 79568,  3595,
   -5408,  3471, 90348, -5408, -5408, 63398, 67318, 90348,   900, 62908,
   -5408,  3586, -5408, 90348, -5408,   307, -5408, 90348,  8430,  3553,
   -5408, -5408,  3422,  3438, 90348,   257,  1063,  3053,  3726, 90348,
   90348,  3341,  2204, 67318, 90348, 62908, -5408,  3558,   112, 67318,
   90348, 86918, -5408,  3578, -5408, 82018,  3656, -5408,  3347,  2097,
    2327,  1958,  3347, 67318, 90348, -5408,  3347, 90348,100148, -5408,
   67318,   983, -5408, 67318, 90348, 86918, -5408,  3580,  3504, 67318,
   90348, 14883, -5408, -5408, -5408,   353, -5408, -5408, -5408, -5408,
   -5408, 90348, 90348,   353, 90348, 90348,   353,  1466, -5408, 67318,
   90348, -5408, -5408, -5408,  3470, 67318, 90348, 90348,   355, 90348,
   -5408, 90348, 67318,  3396, 90348, 90348, -5408, -5408, 90348,  7560,
   90348, 90348, 90348, 90348, 90348, 90348, 67318, 90348, -5408, -5408,
    1780,    79,   129,  1383,  1437, 90348,  3680, 90348,110438,   496,
   67318, 90348, 90348,   496, 90348, 62908,  1696, -5408, -5408,  3494,
   -5408, 67318,   983, -5408,  8155, 90348, 90348, 90348,  3454,  3456,
     254,  3546, -5408, -5408, -5408,   852,   852,  3579, -5408, 35456,
   35456, 33932,  3364, -5408, -5408, 35456,  2734, -5408, -5408, -5408,
     337,  3843,   337,110928,   337,   337,  3666,  3444,  3449,   337,
     337,   337,  3657,   337,   337,   337, 90348,  3562, -5408, -5408,
    3562,   181, 35456,114778, 90348, -5408,  2210, -5408,  3394, -5408,
   -5408, 62908, 90348,   212,   158,  3739,  3602, 74178,  2788,  3732,
   90348,  3455, 90348,  3865,  3488,  1591, -5408,  2788, 90348, -5408,
    2549, 76138, -5408, -5408, -5408, -5408, -5408, -5408, -5408, 90348,
   -5408, -5408,  3735, 90348, 44534,  3570, -5408,   496,  2777,  2777,
    2777,  2777,  3398,  2777, 90348,  3524,  3755,  2788,  3399,  3756,
   -5408,  2222,  3757,  1777, 90348,  3623, 74178,  3463,  3457,  3635,
    3883,  2097,   496,  3640,  3626, -5408, 58987, -5408,  2777,  3897,
   28878,  6220,  6576,  3629,  3692, -5408, -5408,  3641,   864, 90348,
    3743,  3746,  3772, -5408,   202, -5408,  3903,  1781,  3778,   273,
   -5408,   275, -5408,  2819, -5408, 90348, -5408, 90348, 90348, 90348,
   90348,   314, -5408, -5408,   275,  2819,   275,   269, -5408,  3713,
     273,  2819,  3566,  3783,   322, -5408,   326, -5408,  3658,   269,
   -5408,  3671,  2097, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
    2214, -5408, 90348, -5408,  3759,  3760,  3761,  3763,  3764,  3461,
    3464,  3489, 90348,  3465,  3461,   353,  3466,  3462, -5408,  3465,
    3465,  3461,  2936,  2936,  3461,  3464, 66338,  3895, 62908, -5408,
   -5408,  3534,  3467,  3790,   218, -5408,   885,   729,  3702, -5408,
   -5408, -5408, -5408,114778, -5408, 67318,  3495, -5408, -5408, -5408,
    3672,  3468, 66338,   269,   159, -5408, 70748, 90348,114778, 70748,
    3677, 70748, 70748,114778, 90348, 90348,  2234, -5408,  1806, -5408,
    1867, 35456,   435, -5408, 14559,  2261, 35456,  3472,  3473, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408,  3474,  3796, -5408,  2270,
    2285, 14607,  2157,114778,  2773,  3485, -5408,  3477,   241,  3668,
    6278,  3516,  2300,  3479,   261, -5408,  6278,   342,  7203,  3631,
    2311,  3482,  3486,  6400,  6522,  3491, 14683,  3484,  3492,  3497,
    3490, 41044, 41044, 29863,   993, -5408, 41044,  3498,  3685,  2313,
    9722,  3499,  3500, 15482, 34440, 35456, 34440, 34440, 15900,  3502,
    3501, -5408,  3862, -5408,  2315, 62908,  3682, 16402,  2317, -5408,
   35456, 62908,  6632, 35456, -5408, 35456,  3506, -5408, -5408,  5864,
    5864,  5864,  4512, -5408, -5408,  3507, -5408, 41044, 41044, -5408,
    2404, 29863, -5408, -5408,  3812, -5408, -5408,   595, -5408, -5408,
   -5408, -5408, -5408,  3437, -5408, -5408, -5408,  3723,  2157,  3287,
   54548,  8019, 35456,   336, 35456,  3239, 35456,  3581,  5864,  5864,
    5864,   452,   452,   310,   310,   310,  1902,   561, -5408, -5408,
   -5408,  3496,  3511,  3453,  3513, 35456, -5408,  3549, 49990, -5408,
    2384,  2419, 90348,  3459,  4102,  4672, -5408, -5408, -5408,  3311,
     815,  3311, -5408,  1264,  2596,   982, 60947, -5408, -5408, -5408,
   -5408, -5408, -5408, 90348, 18293, -5408, -5408,  3771,  3531,  2325,
   -5408, -5408,  2596, -5408, -5408,  2068,  2068,  3505, -5408,  3554,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408,  3532, -5408, -5408,
   -5408,  3551, 45030,  3869,  3561, 43542, 87898,  3525,  2259, -5408,
   87898, 88388, 87898, -5408,  3582, -5408, -5408,  1799, 35456,  3864,
   -5408, -5408, -5408, 35456, -5408, -5408,   625,  3587,  1215,   105,
    2481,  2481,  2231,   738, -5408, -5408,  3603, -5408, 35456,  2320,
   -5408,  2340, -5408, -5408, -5408, -5408,  2936, -5408,  3802, -5408,
   -5408, -5408, 44038,  3598,  3613,  1453, 48006,  3780, -5408, 90348,
   44038, -5408, 90348,   298, -5408,  3584, -5408, -5408, -5408, -5408,
   -5408, -5408,112398,  2043, -5408,116206, -5408,116206, -5408,  2043,
    4016, -5408,112398,  1978, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, 67318, 67318,  3784,
   90348,  3785,  3786, 35456,  1297, 90348,  3585,  3588, 90348,  1103,
    3884,  3589, -5408,  3936,   269, -5408, -5408,  3662, -5408, 18293,
   -5408, -5408, -5408, -5408, -5408, 67318, 90348, -5408, 70258, -5408,
   -5408,114778, -5408, -5408, 90348, 90348, -5408, -5408, -5408,114778,
   -5408, -5408, -5408, 90348,   934,  3663,  3664, 90348, -5408,  1333,
    3309,  8679, 90348, 90348, 90348,  3886, -5408, -5408, -5408, -5408,
    3807, -5408,  3938, -5408,112398, -5408,  2819,   149,  3669,  3053,
    3823, -5408,  3952,  3701, -5408,  3721,   908, -5408, -5408,  3730,
   -5408, -5408, -5408, -5408,  3956,   269,  3957,   269, 90348, 90348,
   90348, 90348,  3733, -5408, -5408, -5408, -5408,  3734,  3871, -5408,
   62908, 62908, 62908,  2331, -5408, -5408,   496, -5408, -5408, -5408,
   -5408, -5408, -5408,  3912, -5408,  2333, -5408,  1788, 90348, -5408,
   -5408, -5408, -5408, -5408,  3959, 67318, 90348,  8737, 90348, 90348,
   90348,  3821,  1972,  1319,114778, -5408,113826, -5408, -5408,  2344,
   -5408,  3614, 90348,  3693, 67318,  3674, -5408, -5408, -5408,  3966,
    2097,  3762, 78098,  3660,  3660,  2111, -5408, -5408, -5408, -5408,
   -5408,  3888,  3811, -5408,   974,  3814, 67318,  3691, -5408, -5408,
   -5408, -5408,  3978,  3714, -5408, -5408,  3716,  1069,  3053,  2222,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,  3745,
   -5408, -5408, -5408, -5408,  1610,  1610, -5408, -5408, -5408,  1610,
     790,   463,  1239,  3053, -5408,   350,   370,  3717, -5408,  3720,
   -5408, -5408, -5408,  3887,  3899,  3900,  3731,  3737,  3789,  3741,
    3747,  3794, -5408,  3749,  3795,  3752,  3798,  3753,  4025,   269,
  114778,  3877,   496,  3792,  4029,   269, -5408, -5408,  3765, -5408,
    3769, -5408,  2355,  4137,  4138, -5408, 90348, -5408,   423,  1279,
    3053, -5408,  3770, -5408, 67318, 90348, -5408, -5408, -5408, 35456,
    3673,  3675,  3676, 18293, 18293, 35456, -5408, -5408, 18293,  3687,
   -5408, -5408, -5408, -5408,114778, -5408, 90348,  3965, -5408, -5408,
     337, 90348, 90348, -5408, -5408, -5408, 90348, -5408, -5408, -5408,
    3981, -5408,   467,   467, -5408, -5408,  4017,  7451,  3688,   379,
   -5408, 62908, 50985,  2217,   848,  1588, -5408, 70258, 90348, 70258,
   -5408,   158,  3904, 90348, 90348, 90348,  3694,  3689, -5408, -5408,
   -5408, -5408, 67318,   232, 67318,  2596, -5408, -5408,  3768, -5408,
   90348,  2097,  4209,  4045,  3396, -5408,  4166,  3250,   352,  2041,
     474,  2868,  4110,  2339, 35456,   365, -5408, -5408,  1799, 90348,
    3457, -5408, -5408, -5408, -5408,   496, -5408,  3707,  3705, -5408,
   90348,  4059, 90348, 90348, 90348, 90348,  3495,  3715, 90348,  3712,
  114778, 90348,  2194,  3049,  4191,  4077,  2197,  3463,  3804,  4081,
   82018,  3742,  2368, -5408, -5408,   864, -5408,  2369,   178, -5408,
     496, 70258,112874,  4068, -5408,   913,  6576, -5408, -5408,   913,
     988, 90348, -5408, -5408, -5408, -5408,  3945,  1670, -5408,  4052,
   -5408, -5408,  2197, -5408,114778,  3725, -5408,  2375, -5408, -5408,
   -5408,   322,  3797,   269,  3799,   269, -5408, -5408, -5408, -5408,
   90348, -5408, 90348, 65848, -5408, -5408, 90348, -5408,  4091, -5408,
   -5408,  3874,  3875,  3879,  3880,  3881, 90348,  3461, -5408,  3738,
   90348, 90348, 67318,  1634, -5408, -5408, 67318,   422, -5408,   171,
   -5408, 82018,  3872, -5408, -5408, -5408, -5408,  4106,  4107, -5408,
   -5408, -5408,   294, -5408, 77118,   430, -5408, 67318,  4039,  4041,
    4042,  4044,   353,  4046,  4047,  4048,  4051,  4053, -5408, -5408,
   -5408,  3766, 16753, 35456, -5408,  4128,114778, -5408,  7472, -5408,
   -5408, -5408, 35456, -5408, -5408,  4050, -5408, -5408,  3831,  3832,
    3767,  3485,  3631, -5408,  3983,  3984, 35456,  3631,  4225,  1031,
   35456, 35456, -5408, -5408,  3989,  3990, 35456,  2157,  2157, -5408,
    3775, -5408, -5408, -5408, -5408,  2361, 35456, -5408, 35456, -5408,
   -5408, 26893,  4275,  4275,  3773,114778, 41044, 41044, 41044, 41044,
     286,  2909, 41044, 41044, 41044, 41044, 41044, 41044, 41044, 41044,
   41044, 41044,   465, -5408,  3987, 35456, 35456, 34948, -5408, -5408,
  114778,  3782,  3502,  3787,  3793, 35456, -5408, -5408, -5408,  2381,
   42550,  3800, 62908, -5408, 35456, 14392,  2409,  3829, 16805,  1799,
    8706,   496, 35456,  1135,  1241, 35456,  2417, 35456, -5408, -5408,
   -5408, -5408,  4125, -5408, -5408, -5408, -5408, -5408, -5408,  4019,
    2157, -5408, -5408, 35456,  3805,  3335, 41044, 41044,  4143, -5408,
    4445, 35456, 29863, -5408,  3579, -5408, 27407,  3791, 35456,111908,
   -5408, -5408,  1034,  1034,  1034,  1034, -5408, 90348, 90348, 90348,
    3864,  3809,  3864,   827,  3810, -5408, -5408, -5408, -5408,  2197,
   -5408,  3788, -5408, -5408, -5408, -5408, -5408, 87898, 88388, 87898,
    3803, 43046, 27904,  2259,  3815, 90348, -5408, -5408,  3813, 44038,
    4082,  3994, -5408, 44038,  3994,  1937,  3994,  4084,  3892, 50486,
   -5408, -5408,  3817, -5408,  4001, -5408,  2053, 18293,  4253,  4126,
   -5408,  3820, -5408,  3587,  1623, -5408, -5408, -5408,   957, -5408,
    3889, -5408, -5408, -5408,  3525, 36980,  3954, -5408, -5408, -5408,
    3882,  2430, -5408, -5408,  4231,  3954, -5408,  2245, -5408,  2432,
   49494,  3598, 35456,  1799,  2440,  2031, -5408, -5408,112398, -5408,
    3891,  2819,  2819,  2037,  3461,  4169,  2037,  9425, -5408, -5408,
   45526, 90348, -5408, 90348, -5408, 90348, 90348,  1688, 90348, -5408,
   90348, -5408, -5408, -5408,  4300,  3890,  3893,  4109, -5408,  2451,
   -5408, -5408, 67318, 90348, -5408, -5408, -5408,   471,  1282,  3053,
   -5408,  3913, -5408, -5408,  4134, 90348, -5408,  4291,  3931, 90348,
    4198, 90348, 88878, -5408,  4267,  1688,  3961,  4187,  2084,  3049,
     250,  3458, -5408,   135, -5408, -5408,  3927, -5408, 90348, -5408,
   90348, -5408, -5408, -5408, -5408, -5408, -5408, -5408,  3992, -5408,
   -5408, -5408, -5408, 63398, -5408, -5408, 90348, -5408, 62908, 50985,
   62908, -5408, 90348, -5408,  1373,   475,  1317,  3053, -5408,  3940,
   -5408,  4215,  3944,  3946,  4000,   195,   914,  3947,  3948,  4004,
    3863,  3867,  3868, -5408, 62908, 51494,  4028, 90348,  2819,  3866,
    3914, 90348,  3660, 89368, -5408,  3870, -5408, -5408,  3660,   355,
     496, -5408, -5408,   496,  2819,   496, 90348, 90348, 90348, 90348,
     355, -5408, -5408, -5408,  4329,  3969, 90348, 90348, 90348, 90348,
   -5408,  3932, -5408, -5408, -5408, 90348, 90348,  4222,   234,  2086,
   67318, 90348, 90348, 67318, 90348, 90348, 90348, 90348, 90348, 90348,
   90348,  4095, -5408,  4317,  4244,  2113,  4289,  3963, 90348, -5408,
   90348,   496, -5408,  3309, 90348, 90348, 90348, 90348, -5408, -5408,
   -5408, -5408, -5408,  3579, -5408,  3894,  4182,   337, -5408,  4183,
    4185,  4186,   337, -5408, -5408,  1588, -5408,   896, 90348, -5408,
    2405, 90348, -5408, -5408, -5408,  3820,  2260,  2473, -5408, -5408,
   -5408, -5408, -5408, -5408,  3896, 90348, 90348, 41044, -5408,  1769,
    1764,   938, -5408,  4177, 90348,  3131, -5408, -5408, -5408,   909,
   90348, -5408, -5408, -5408, -5408,  3898, -5408,    76,  3715, -5408,
    4206, 74178,  2819, 67318, 67318,  2819, -5408,114778,  3901,  3457,
   -5408,   344,  3985, -5408, 67318,   352,111418,  3230,  3939,  4120,
    9445, 44038, 44534,  1610, -5408,  3902,  3905, -5408, -5408, 90348,
    3904, 65848,  2457,  2222,  4381,  1070,  2038, -5408, 74668,  4103,
    3715,  4206, -5408,  3049,  4127,  4123, -5408,  2197, 90348,  3495,
    3457,   496, 90348,  3349, 50985, -5408,  4420,  2102, -5408,112398,
   35456, 35456, -5408,  3906, -5408,  3911,  6576, -5408,  3988,  3909,
    4394, 35456, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
    4010,  3925, 90348, 90348,   864, 90348, -5408,  3929,  3778, -5408,
    3778, -5408, 90348, -5408, 90348, -5408,   269, -5408,  4057,   269,
   90348, 90348, 90348, 90348, 90348, 90348,  3461,   353,  3462, -5408,
   -5408,  4266, 66338,  4268, -5408, 62908, -5408, -5408, -5408, -5408,
   -5408,  2458, 90348, -5408, -5408, -5408,  4336,  4276,   269,   398,
     981,   981,   981,   981,  4230,   981,   981,   981,   981,   981,
   -5408, 35456, 18293, -5408,  3937, -5408, 18293,  4316,  4227,  4232,
   -5408, -5408,  3951,  4176,  4181, -5408,  3953, 35456,  3631, -5408,
   -5408,  4184,  4188, -5408,  3631,  3631, -5408,  3958, 10126, 17412,
   -5408,  2466, 35456, -5408,  1933,  1933,  1933,  1865,  4290, -5408,
    2768,  1933,  1933,  1933,   446,   446,   271,   271,   271,  4275,
     465, 17498, 17564, 17965,  3960, -5408, -5408, -5408,  3502, -5408,
   37488,  1067,  4411, 42054, -5408, -5408, -5408,  4002,  4003,  3964,
   -5408, 35456, 37996,  3962,116682,  4168, -5408,  1793, 35456, 35456,
    4548, -5408, 13592, 35456, -5408, -5408,  4548,   483, 35456,  1846,
    3528, 35456, 35456,  5346, 10396,  3967, -5408,  2483, 35456, 10534,
    4164, -5408, 90348, 90348, 90348, 90348, -5408, -5408, -5408,  4126,
     496,  4126,   496,  3968, -5408, -5408, -5408, -5408, 63888,  3970,
    3682, 87898,  3971, 90348,  2259, 44038, -5408, -5408,  2888, -5408,
   44038,  4265, -5408, 44038, 70748, -5408, 90348,  3977, 90348, -5408,
     433, 35456,  4022, 54548, -5408, -5408, -5408, -5408,  4069, -5408,
    4202, 18293, 32408, -5408,  2197,  1998, 90348,  1799,    90, -5408,
   35456,  3991, 90348, -5408,  3954, 18293, -5408,  4061,  2485, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408,  4072, 76138,  4328, -5408,
   35456,  2500, -5408,  4032,  4429,   222,  2504,  1688,  2506,  1688,
   -5408,  2512, -5408,  1768,  4303,   374, -5408,   269, -5408,114778,
   90348, 90348, 90348,  2989, -5408, -5408, 90348, 90348, 90348, 90348,
   -5408, -5408, 67318, 90348, -5408, 90348, -5408, -5408, -5408, 89858,
   -5408,  3904,   358,  1769,  4318,  4319,  4226, -5408,   353, -5408,
    4471,  1769,  4229,   358, -5408, -5408, -5408, -5408,  2843, -5408,
  114778,   269,   269, -5408, -5408, -5408, -5408, -5408,  4007, -5408,
    4455,  4098, 90348, 90348, 90348, 90348, 90348, 67318, 90348, 90348,
    2596,  2596,114778,  4005, -5408,  2596,  2596,  4008, -5408, 67318,
   90348, 90348, -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408,  4097, -5408, 35456,  4456, -5408, -5408, -5408,
   -5408, -5408, 35456, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, 67318, 90348,  4104, -5408,  4105, -5408,   902,
   -5408, -5408, 90348, 90348, 90348, 90348,  4378, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408, -5408,  4379, 90348,
   -5408, -5408,   496,   496,114778,   269,   269, -5408, -5408, -5408,
    4108, -5408, -5408,  4023,  4320,   337, -5408,   337,   337,   337,
   -5408,  4027, -5408,  1588,  4424, -5408,  1688,  1966,  4370, -5408,
   35456, -5408,  1487,  1865, -5408,  4432,  4515, -5408, -5408, -5408,
    4278,  3396,  2097,  3396, -5408, -5408, 70748,  1411, -5408,  4356,
     212, 62908,  4270, 74178,   350,  1949,  4055,  4175, -5408,  2819,
    2819,  4112, 90348,  4522, -5408, -5408, -5408, -5408, -5408, -5408,
   67318,  3674, -5408,  4281,  1164,  4402, 90348, 44534, -5408,  3525,
   -5408, -5408, -5408,   496, -5408, -5408,  4193,  3457, -5408,  1802,
   90348,  4286, 74178,  3495,  2514, -5408, -5408, -5408,  4111,  4521,
    3463, -5408,   350,  4103, -5408, -5408,  4497,  4162,  4114,  4546,
   -5408,  4162,  4413,  4292,  4073, -5408,  3742, -5408, 90348, -5408,
   18293, 18293,   496,117158,   913,114778,  4423, -5408, 18293, 90348,
     193,  4075,  4250, -5408,  4390,   269,  2523, -5408,   269,   269,
   -5408, 90348, -5408,  3461,  3461,  3461,  3461,  3461, -5408,  4301,
   -5408, -5408, -5408, -5408,  4383, -5408, 66338, -5408,   269, -5408,
   -5408, -5408, -5408, -5408, -5408,   981, -5408, -5408, -5408, -5408,
   -5408, 18293, -5408, 90348, -5408, -5408, -5408, -5408, -5408, -5408,
    3264,  4088, -5408, -5408,  4089,  4090, -5408, -5408, 35456, -5408,
   10644, 41044,  4433, -5408, 35456, 35456, 35456, -5408,  4093,  2524,
    2529, -5408, -5408,  1067, -5408,  4411, -5408, -5408, -5408, 11059,
    4151, 18293,  4210,  4096,  1261,  4548,  4548, 13592,  4548, 35456,
   35456,  4548,  4548, 35456, -5408, -5408, -5408, 11408, -5408,  4552,
    3579, -5408, -5408, -5408, -5408,  4022, -5408,  4022, -5408,  4236,
   -5408,  2530,  4576, 40028,  4535, -5408, 90348,  2535, -5408, 35456,
    4113, -5408, -5408, 44038,  2888,  4116,  2539, 90348,  2540,114778,
   38504, 18293, 90348,  3579,  4101, -5408, 90348,  2935, -5408,  1453,
   -5408, -5408,  4531, 45526,  4488, 18208, 35456, -5408, -5408, -5408,
   -5408, 66338,  4330, 66338,  1688, 11499,  4430, 45526, 55566, 90348,
   -5408, 90348, -5408,  4288,  4430,  4430, -5408, -5408, -5408, -5408,
   -5408, -5408,  4119, -5408, -5408, -5408, -5408,  4207, -5408, -5408,
      43,  3452, -5408, -5408, -5408, -5408, -5408, -5408, -5408,  4602,
    4491,  4492, -5408, -5408,  4132, -5408, -5408, -5408,  4317, -5408,
   -5408, 50985, 67318, 90348, -5408,  4213, -5408, -5408, -5408, -5408,
   -5408, -5408, 47510, 54548, -5408,   195,  4133,  4142,   914, -5408,
   -5408, -5408, 90348, 11539,  4145, 12410,    56,  3452, 90348, 90348,
    4148,  4149,  4150,  1569,  1460,  1835,  3461,  4498, 90348, -5408,
   -5408, -5408,  4317, -5408, -5408, 90348, -5408,   337, -5408, -5408,
   -5408, -5408, 62908, -5408,  3252,  4027,   496, 70748,  4629,  4629,
   12562,  4384, -5408, -5408,   121,  4463, -5408,  4217,  4417,  4217,
    4160, 90348,   909,  4161,  2541, -5408, 90348,  4163,  4294,  2469,
    2469, 90348, 90348, 90348,  2546,  2197,  2819,  3914,   352,  4527,
   74178,  4570,  3904,   392, -5408, 90348,  4645, 90348,  3495,  3715,
   90348,  4170, -5408, -5408, 74668,  4387,  2217, 90348,  2194,  4103,
    3463,   266, 90348, -5408,  1628, -5408,  2197, -5408, 90348, 82018,
   45526,  4511, -5408,116206, -5408,  2559, -5408, -5408, -5408,  4251,
   19428,  3311,  4293,  4295,  4178,  2049,  4524, 90348,   746, -5408,
   -5408, -5408, -5408, -5408, -5408, 90348,   430, -5408, -5408, -5408,
   -5408, -5408, -5408, 18536, -5408,  3926, 41044, 18293, 18293, 18293,
   35456, -5408, 35456, -5408, -5408, -5408, -5408,   776, -5408, -5408,
    4495,  4190,  4548,  4548,  4548, -5408, 35456,   211, -5408, -5408,
    1427,  4588,  3582, 63888,  4189, -5408, 41044,  2561, -5408,  3852,
   90348,  2563, -5408, 18293, 90348, -5408, -5408, 35456, -5408,  2565,
   -5408,  4194,    29,  4196, 25865,  4199, -5408, -5408, -5408, -5408,
   -5408, 18293,  4200, -5408,  4662,   918, -5408, -5408,  4243, 90348,
    2569, -5408,   973,  1886,  4240, -5408, 18293,  1634,  2037,   360,
    4429,  4205,  3396, -5408,  4212, -5408, -5408,   400,  3049, 90348,
    3396,  3396, -5408, 90348,  4297, -5408,  2217,  4530, -5408, -5408,
   35456,  4271, -5408,   701,  3452, 90348,114778, -5408,   126,  4557,
   -5408,114778,114778, -5408, -5408, -5408, 35456, -5408,  4308, -5408,
   -5408, -5408, 35456, 35456, 73198, -5408, -5408, 90348, 90348, 90348,
   90348, 90348, -5408,   269, -5408, -5408,  2570, -5408, 46518, -5408,
   -5408,  3225,   496,  3225,  1999, -5408, -5408,  3225,  3225, -5408,
    3311, -5408,  4629,  1180, -5408, -5408,  4278,  4214, 35456, -5408,
    4528, -5408,  1025,  4435, -5408,  4219, -5408, 70748,  4724, -5408,
   62908,  3715,  4206, 90348, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408,  2571,  3904,  4575,  3457,
    4114, -5408, 90348,  4261, -5408, 44038,  3904,  2197,  2038, -5408,
    4103,  3715,  4206, -5408, -5408,  4223,  4123,  3463,  2194,  4369,
   -5408,  4373, -5408,  4668,  4447,  4673,  3495, -5408,  3349,  2591,
   90348, -5408, -5408,  6576,117158,114778, -5408, -5408, -5408,  4233,
    4613,  4280,  4283, -5408, -5408, -5408,  2049, -5408,   114,  4610,
    4285, -5408,  4302, 90348, -5408, -5408,  3904,   269, 35456,  3926,
    2595,  2599,  4304, -5408, -5408, -5408,  3502, 39012, 39012, 39012,
    4245,  4595,  4598, 90348, -5408, -5408, -5408, 90348,  1865,  4247,
   40028, 62908,  2603, -5408,114302, -5408,  2608,  2617, -5408, 35456,
    4249, 35456, -5408, 38504, 90348,  4252,  3319,  2197, -5408,  3311,
   45526, -5408,  4382,  4733,  4514, -5408, -5408,  4599, -5408, -5408,
   90348,  4217, 54548,  3587,   400,  2097,  4217,  4217, -5408, 90348,
    4214, 12714, 35456, -5408,  4352, -5408, -5408,  2619,  1431,  4431,
    4431,  2623,  2625, 12752, 90348,  2627,  2645, -5408,  2652,  2596,
    3464,  1835,  3464, -5408,  3461, -5408, -5408, 62908, -5408, 66828,
   -5408, -5408, -5408,   496, -5408,   496,  4493, 57038, 57528,   496,
     496, -5408, -5408, -5408, -5408, -5408,  2222, -5408, 13112,  4355,
   -5408, -5408, -5408,   924, -5408,  4481,  4482, -5408,  4279, -5408,
    2664, -5408,   350,  4398,  3904, -5408, -5408, 90348,  4745,  4748,
   -5408,  1355, 90348,  3525, -5408,  4114,  3495,  3463,   350,  4103,
    2217, 46022,  4162,  2194,  4123, -5408, -5408,  4490, -5408,  4496,
   -5408,  4284,  4592, -5408,  2050,   913, -5408, -5408, -5408,   383,
    4617,  4619, -5408, -5408, -5408,  3225, -5408,  1106,  4287,  4647,
   -5408, -5408, -5408, -5408, 18293, -5408, -5408, -5408, 40536,  4434,
     920, 13884,  4651, -5408,  4651,  4651, -5408,  4746,  4747,  1101,
    2665, 42054, -5408, -5408, -5408, 90348,  4504,   332,  4771,  4457,
    2682, 38504,  2688, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   49494, 35456,  4388,  4733, 66338,  2690,  3660,  4296, -5408,  3587,
    4417, -5408, -5408,  3452, -5408, -5408, 18293, 90348, 70748,  4755,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408,  3452,  4386, -5408,
   -5408, 73198, -5408, 90348, -5408, -5408,  2696, -5408, -5408, -5408,
   58018, -5408,  4075, -5408,  4075, -5408, -5408,  2051,  4409, 90348,
    1122,  1122,  4693, -5408,  4367, -5408,  4306, -5408,  4813,  4436,
   90348, -5408, -5408,   195,  2197, 74178,  3904, -5408, -5408,  2194,
    4103,  3463, 35456,  2697, -5408,  4429,   222, -5408,  4123,  4162,
   -5408, -5408, 45526,  4309,  3131,  4685, -5408, -5408, -5408,  2488,
   70748, 70748, 90348, -5408, -5408, -5408, 35456,   909,  4791, -5408,
   -5408, -5408, -5408, -5408,  1250, -5408, -5408, -5408, 90348, 90348,
   90348, -5408,  3682, -5408, -5408, 41044, 41044,  4540, -5408,   332,
   -5408, 90348, -5408,  4313, -5408, -5408,  2714, -5408,   -11, 18293,
     921,  4404,   360, -5408, -5408, -5408, -5408,  4435,  1688,  1688,
   -5408,  3452, -5408, 90348, -5408,  4323, -5408, -5408, -5408, 66828,
   -5408,  4075, -5408, -5408, -5408, -5408,  4808, -5408,  1365, -5408,
   -5408, -5408, -5408, 90348,  3904,  4005,  4114, -5408,  4123,  3463,
    2194, 13272, -5408, 46022, 90348, 90348,  4162, -5408,  2719, 45526,
    3457,  4466, -5408,  2633, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408,   955,  4324,  4325, -5408, -5408, 13434, 70748, 39520,  4470,
   -5408,  4537, -5408,  1294,  1329,  1935,  4764,  1865,  1865, -5408,
   -5408, -5408, 35456, -5408, -5408, -5408,  4565,  4462, -5408, -5408,
     312, -5408,  1688, -5408, -5408, -5408, 35456, -5408, -5408,  2097,
    2097,  3904, -5408, -5408,  4162,  2194,  4123,  4429, -5408, -5408,
   -5408, -5408,  4592, -5408,  2723,  4162,  4285,  2337, -5408, -5408,
    2400,  2426,  4421,  4677, -5408,  4341, -5408, -5408, -5408, 90348,
   90348, 64378, 90348, 90348, 13504, -5408, 49494,  4577,   566, -5408,
    1688,  2729, -5408, -5408, -5408, -5408,  4123,  4162, 90348,  3131,
   -5408, 45526,  3311,  4705, -5408,  2633,  4464,  4465, 62418, -5408,
   -5408,  4855,   303,  4749, -5408,  2742, -5408,  4347, -5408,  4408,
    1453,  4354, 90348, -5408, -5408,  4162, -5408, -5408,  3457, -5408,
   -5408,   909, -5408,  4399,  4400, -5408,  2748, -5408, -5408, -5408,
   -5408, 35456, 64378, -5408, -5408,  4412, 35456,  2756, -5408,  4162,
   70748,  4697,  4698, -5408, 62418,   852,  4422,  4418,  2757,  1134,
    3311,  4363, 70748, 70748, -5408,  4364, 90348, -5408, -5408,  1453,
   -5408, -5408, 62418, -5408, -5408,   496, -5408,  4425,  2758,  4418,
   -5408, -5408
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    1709,  1452,   658,  1541,  1540,  1452,     0,   269,     0,  1552,
       0,  1452,   435,  1109,     0,     0,     0,     0,   658,  1452,
       0,  1709,     0,     0,     0,     0,     0,  1722,     0,     0,
       0,     0,     0,  1249,     0,     0,     0,  1452,     0,     0,
    1729,     0,     0,     0,     0,  1722,     0,  1554,     0,     0,
       0,     0,  1729,     0,     0,     0,     0,     0,     2,     9,
      10,    45,    80,    81,    38,    37,    98,    63,    24,    71,
     133,   132,   134,    50,    46,    88,    33,    35,    47,    51,
      73,    75,    40,    53,    64,   110,    72,    31,    70,    76,
      96,    58,    19,    20,    59,    21,    60,    22,    61,   106,
      82,    99,    43,    69,    30,    52,    78,    79,    12,    54,
      86,    18,    65,    66,    68,    91,    92,    93,   116,    94,
     128,    49,   125,   103,   104,   122,   105,   123,    16,   107,
      62,    23,   119,   118,   120,    89,    55,    90,    77,    97,
     117,    34,   121,    25,    26,    28,    29,    27,    67,    36,
      74,    39,    95,   124,   114,   109,   129,   127,    11,   135,
     111,    83,    14,    15,   100,    13,    32,    57,    17,    42,
      41,    56,    48,   131,    44,  1552,   102,   115,   101,    84,
     108,    87,   112,   130,   113,    85,   126,  1673,  1672,  1733,
    1676,  1708,     0,  1688,  1451,  1450,  1465,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   657,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1462,  2380,  2397,  2398,  2399,  2400,  2401,
    2402,  2403,  2404,  2405,  2406,  2407,  2408,  2409,  2410,  2411,
    2413,  2412,  2414,  2415,  2769,  2416,  2417,  2418,  2711,  2712,
    2770,  2713,  2714,  2419,  2420,  2421,  2422,  2423,  2424,  2425,
    2426,  2427,  2715,  2716,  2428,  2429,  2430,  2431,  2432,  2717,
    2771,  2433,  2434,  2435,  2436,  2437,  2438,  2772,  2439,  2440,
    2441,  2442,  2443,  2444,  2445,  2446,  2447,  2773,  2448,  2449,
    2450,  2774,  2451,  2452,  2453,  2454,  2455,  2456,  2718,  2719,
    2457,  2458,  2459,  2460,  2461,  2462,  2463,  2464,  2465,  2466,
    2467,  2468,  2469,  2470,  2471,  2472,  2473,  2474,  2475,  2476,
    2477,  2478,  2479,  2480,  2481,  2482,  2483,  2484,  2720,  2485,
    2486,  2487,  2488,  2721,  2489,  2490,  2491,  2492,  2722,  2493,
    2494,  2495,  2496,  2775,  2776,  2497,  2498,  2499,  2500,  2501,
    2723,  2724,  2502,  2503,  2504,  2505,  2506,  2507,  2508,  2777,
    2509,  2510,  2511,  2512,  2513,  2514,  2515,  2516,  2517,  2518,
    2519,  2520,  2521,  2778,  2725,  2522,  2523,  2524,  2525,  2726,
    2727,  2728,  2526,  2779,  2780,  2527,  2781,  2729,  2730,  2731,
    2732,  2733,  2734,  2735,  2528,  2529,  2530,  2531,  2532,  2533,
    2534,  2736,  2782,  2535,  2783,  2536,  2537,  2538,  2539,  2540,
    2541,  2542,  2543,  2544,  2545,  2546,  2547,  2548,  2549,  2550,
    2551,  2552,  2553,  2554,  2555,  2556,  2737,  2784,  2738,  2557,
    2558,  2559,  2560,  2561,  2562,  2563,  2739,  2740,  2564,  2565,
    2566,  2785,  2567,  2741,  2568,  2742,  2569,  2570,  2571,  2572,
    2573,  2574,  2575,  2576,  2577,  2578,  2743,  2786,  2579,  2787,
    2744,  2580,  2581,  2582,  2583,  2584,  2585,  2586,  2587,  2588,
    2589,  2590,  2591,  2745,  2592,  2746,  2595,  2593,  2594,  2596,
    2597,  2598,  2599,  2600,  2601,  2602,  2603,  2604,  2605,  2747,
    2606,  2607,  2608,  2609,  2610,  2611,  2612,  2613,  2614,  2615,
    2616,  2617,  2618,  2619,  2620,  2621,  2622,  2623,  2624,  2788,
    2625,  2626,  2627,  2628,  2629,  2748,  2630,  2631,  2632,  2633,
    2634,  2635,  2636,  2637,  2638,  2639,  2640,  2641,  2642,  2643,
    2644,  2645,  2646,  2749,  2647,  2648,  2789,  2649,  2650,  2750,
    2651,  2652,  2653,  2654,  2655,  2656,  2657,  2658,  2659,  2660,
    2661,  2662,  2663,  2664,  2751,  2665,  2666,  2667,  2668,  2790,
    2669,  2670,  2671,  2672,  2673,  2674,  2752,  2753,  2675,  2676,
    2754,  2677,  2755,  2678,  2679,  2680,  2681,  2682,  2683,  2684,
    2685,  2686,  2687,  2688,  2689,  2690,  2691,  2692,  2693,  2694,
    2695,  2756,  2757,  2696,  2791,  2697,  2698,  2699,  2700,  2701,
    2702,  2703,  2704,  2705,  2706,  2707,  2758,  2759,  2760,  2761,
    2762,  2763,  2764,  2765,  2766,  2767,  2768,  2708,  2709,  2710,
     146,     0,     0,  2347,  2381,  2382,  2385,  2380,   405,   404,
    1662,  2344,  2381,  1551,     0,  1530,   658,     0,  1465,   434,
    1709,     0,     0,     0,     0,     0,     0,   875,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     138,     0,   140,     0,     0,   458,   457,     0,     0,  1081,
     463,     0,     0,     0,     0,     0,   648,  1593,  2593,  1591,
    1663,   270,   273,   274,   271,   272,  2363,     0,  1221,  1222,
    1224,     0,     0,  1234,   915,   916,     0,     0,     0,   929,
       0,     0,     0,   913,     0,     0,     0,   935,     0,   932,
       0,     0,   936,   933,   910,   934,   917,     0,   909,     0,
       0,  1234,   937,     0,     0,   911,     0,     0,     0,     0,
    1465,  1590,   464,  1709,     0,  1574,  1575,  1576,  1552,  1564,
    1577,  1569,  1571,  1570,  1572,  1573,  1568,  2362,  2399,  1005,
    1005,  1005,  1005,  1002,  1003,  1005,  1005,  1005,  2613,     0,
       0,   984,     0,   986,  2364,  1005,  1010,  2407,   540,   540,
     540,     0,  1009,  1014,   540,     0,  1433,  1474,  2346,  1721,
       0,   985,  1432,  2675,  1580,     0,     0,     0,     0,  2632,
    1442,   254,  2644,  2752,  2675,   253,   248,   249,   222,     0,
       0,  1009,   540,     0,  1465,  1440,   981,  1728,  1726,     0,
    2331,  2426,  2442,  2538,   245,  2625,  2634,  2644,  2752,  2675,
    2707,   201,   211,   206,     0,   263,  2644,  2752,  2675,   259,
    1462,     0,  1689,  1837,  1836,  2340,     0,  1435,  1434,  1553,
       0,  1556,     0,  2608,  1693,  1696,  1558,  1694,  2383,  1914,
    1943,  1921,  1943,  1943,  1910,  1910,  2472,  1923,  1911,  1912,
    1948,  1968,     0,  1943,  1910,  1915,     0,  1913,  1951,  1951,
    1938,     3,  1893,  1894,  1895,  1896,  1924,  1925,  1897,  1930,
    1931,  1935,  1898,  1965,  1901,  1910,  2384,  1730,  1731,  2331,
       4,  2377,     5,  2293,  2376,     6,     7,  1685,     0,     0,
       1,  1709,     0,  1563,  1725,  1725,     0,  1725,     0,  1677,
    1685,  1680,  1684,     0,     0,     0,     0,     0,     0,  1436,
       0,     0,     0,   940,     0,  1477,  1066,     0,     0,     0,
       0,     0,  1318,     0,  1118,  1117,  2386,  2369,  2370,  2371,
       0,  2367,  2368,  2387,  2388,  2389,     0,  2508,  1318,     0,
       0,  2209,  2220,  2221,  2222,  2430,  2489,  2217,  2218,  2219,
    2211,  2212,  2213,  2214,  2215,  2216,     0,     0,  1216,  2210,
       0,  2508,     0,  1318,     0,   173,     0,   150,  1318,     0,
       0,  2508,     0,     0,  2508,     0,     0,     0,     0,     0,
    2508,     0,     0,     0,     0,     0,   173,  2543,     0,   150,
    2508,     0,     0,  1456,     0,     0,     0,  1458,  1461,  1448,
       0,  2290,     0,  2291,  2348,  1545,     0,  1544,  1538,  1548,
    1543,  1533,     0,  2340,     0,     0,     0,     0,   923,     0,
       0,   913,     0,     0,     0,   924,     0,   925,   926,     0,
       0,     0,     0,   922,     0,  1446,  1438,     0,  1582,  1584,
    1583,  1585,  1581,   540,     0,     0,     0,  2508,     0,   150,
    1516,     0,  2508,   150,     0,     0,   462,   461,   150,  2367,
     460,   459,  2430,  2489,     0,  1108,     0,  1191,   150,  2508,
       0,   194,  2508,   717,  2508,  1558,   139,     0,   661,     0,
     829,  2543,   150,     0,     0,     0,     0,     0,     0,   142,
       0,     0,     0,     0,     0,     0,     0,   647,   658,  1594,
    1592,     0,  1225,   247,   246,  1223,   927,  2508,  1150,   145,
       0,     0,  2508,  1497,  2508,   145,   944,   928,     0,   914,
    2508,   145,  1114,  2508,  2372,   183,     0,   912,  2430,  2489,
    2508,   145,  1218,     0,  2508,   145,  2508,   179,  2508,   145,
    2508,   145,  2508,   662,     0,     0,  2508,   145,  2508,  2543,
     181,   931,  2508,   145,   938,  2508,   145,  2342,  2508,     0,
    1449,     0,  1586,     0,  1566,  2756,     0,  1709,  1005,  1004,
       0,  1005,     0,  1005,     0,  1005,     0,  1005,     0,     0,
       0,  1005,  2365,  2366,   987,     0,  1011,     0,  1019,     0,
    1018,  1017,  1016,     0,     0,     0,  1020,     0,  1841,  1621,
       0,  1430,  1445,     0,     0,     0,   142,     0,  1247,  1244,
     142,  1246,  1245,   142,   142,  1441,   252,   250,     0,     0,
       0,     0,     0,     0,  1447,     0,  1439,     0,     0,     0,
    2350,  2352,  2353,  2223,  2293,     0,  2712,  2713,  2714,  2282,
       0,  2715,  2716,  2717,  2771,  2101,  2087,  2096,  2102,  2088,
    2090,  2097,  2718,  2719,  2036,  2720,  2721,  2360,  2722,  2723,
    2724,  2726,  2727,  2728,  2729,  2730,  2731,  2732,  2733,  2734,
    2735,  2736,  2092,  2094,  2737,  2738,  2740,     0,  2361,  2741,
    2742,  2574,  2744,  2745,  2747,  2748,  2098,  2750,  2751,  2099,
    2752,  2753,  2754,  2755,  2359,   506,  2100,  2757,  2759,  2760,
    2761,  2762,  2764,  2765,  2766,  2767,     0,     0,     0,  2337,
       0,  2065,     0,  1902,  1903,  1926,  1927,  1904,  1932,  1933,
    1905,     0,  1906,  2336,  1969,  2168,  2064,  2082,     0,  2070,
    2071,     0,  2063,  2059,  2170,  1711,  2332,     0,  2060,  2349,
    2351,  2283,  1711,  2330,   214,   265,     0,   266,  2338,  2644,
     202,   244,   216,   243,   217,   215,     0,  2428,   203,     0,
       0,   204,     0,     0,     0,     0,   262,   260,     0,  1437,
       0,  1839,  1838,  2341,   949,     0,  1555,  1552,  2233,     0,
    1695,     0,     0,     0,  1942,  1929,  1937,  1936,     0,  1919,
    1918,  1917,     0,  1916,  1943,  1943,  1941,  1920,  1893,     0,
       0,     0,  1947,     0,  1945,  1889,  1885,     0,  1954,  1955,
    1956,  1953,  1966,  1952,     0,  1899,  1957,     0,  1910,  1907,
    1796,     0,  1675,  1674,     8,     0,  1560,  1562,  1536,  1558,
    1723,  1724,     0,     0,     0,     0,     0,     0,     0,     0,
    1783,  1741,  1742,  1744,  1780,  1784,  1792,     0,  1681,     0,
       0,     0,  1843,     0,     0,  1463,     0,     0,     0,     0,
       0,  1149,     0,     0,     0,     0,   941,     0,     0,     0,
    1483,     0,  1485,  1486,  1487,     0,     0,     0,  1488,  1489,
    1477,   256,  1496,  1493,  1476,  1478,  1491,     0,     0,     0,
       0,     0,     0,     0,  1508,     0,   187,   188,     0,   674,
     658,     0,  2508,     0,     0,     0,     0,  1159,  1166,  1317,
       0,     0,     0,     0,     0,     0,     0,     0,  1160,  1158,
       0,  1161,   258,  1171,  1198,  1201,     0,     0,  1116,  1119,
       0,     0,     0,     0,     0,  1308,     0,     0,     0,  1308,
       0,     0,     0,  1317,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   281,   283,   296,   362,     0,   639,     0,
       0,     0,   642,     0,  2508,  1318,     0,     0,     0,  1220,
       0,     0,     0,     0,     0,     0,     0,     0,  1201,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   148,   149,
     154,     0,     0,     0,     0,  1201,     0,     0,     0,     0,
       0,     0,     0,   625,   638,     0,     0,     0,     0,     0,
     635,     0,     0,   150,   286,   615,   621,     0,     0,     0,
     724,   723,     0,     0,     0,     0,     0,     0,  1406,     0,
    1405,     0,     0,     0,     0,     0,  1506,  1505,     0,     0,
       0,     0,     0,     0,  1308,     0,   275,   277,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   397,   398,     0,     0,     0,   154,     0,
       0,  1308,     0,   288,     0,     0,  1457,  1454,  1455,     0,
    1460,     0,     0,     0,     0,  2073,     0,  2237,  1733,  2235,
    1134,  2289,     0,  2390,  2792,  2793,  2794,  2795,  2796,  2797,
    2798,  2799,  2800,  2801,  2802,  2803,  2804,  2805,  2806,  2807,
    2808,  2809,  2810,  2811,  2812,  2813,  2814,  2815,  2816,  2817,
    2818,  2819,  2820,  2821,  2822,  2823,  2824,  2825,  2826,  2827,
    2828,  2829,  2830,  2831,  2832,  2833,  2834,  2835,  2836,  2837,
    2838,  2839,  2840,  2841,  2842,  2843,  2844,  2845,  2846,  2847,
    2848,  2849,  2850,  2851,  2852,  2853,  2854,  2855,  2856,  2857,
    2858,  2859,  2860,  2861,  2862,  2863,  2864,  2865,  2866,  2867,
    2868,  2869,  2286,  2285,  2345,  2391,  2392,  2393,  2394,  2292,
    1528,     0,   233,   234,   232,  1546,   235,  1547,  1542,     0,
    1529,     0,     0,     0,     0,     0,     0,     0,     0,  2430,
    2489,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   837,  1477,  1515,
       0,     0,     0,   667,     0,  2508,     0,   152,   876,     0,
     827,   463,     0,     0,     0,     0,  1382,   152,     0,     0,
     190,     0,     0,   721,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   828,     0,     0,   152,     0,  2508,
     618,  2508,     0,   540,   540,     0,     0,   141,   138,     0,
       0,     0,     0,     0,     0,     0,     0,  1667,  1666,  1669,
    1668,     0,  1665,     0,   143,   144,     0,  1208,  1233,     0,
       0,     0,     0,     0,   905,   930,     0,     0,  1202,     0,
       0,  2508,   145,  2508,     0,  2508,     0,     0,     0,  1210,
     145,     0,  1204,     0,     0,  1206,     0,  1408,     0,   921,
     919,   918,   920,     0,     0,   903,     0,     0,     0,     0,
       0,   898,     0,     0,   900,     0,     0,     0,     0,  1709,
    1565,     0,   995,     0,   999,     0,   990,     0,   996,     0,
     991,   988,   989,     0,   994,     0,     0,   541,   543,     0,
       0,  2454,  2471,     0,  2497,  2531,  2532,  2584,  2599,  2628,
    2634,  2640,     0,  2669,  2680,     0,  1025,  1063,  1015,   733,
       0,     0,  1631,  1431,  2242,     0,  1709,     0,     0,  1248,
       0,     0,   138,   251,   223,     0,     0,  1063,     0,  2632,
    1444,   980,   658,     0,  2061,     0,  2068,  2069,  2281,     0,
       0,     0,     0,     0,     0,  2067,     0,     0,     0,     0,
    2303,     0,  2303,     0,     0,     0,     0,     0,     0,     0,
    1992,     0,     0,  2241,     0,     0,  2241,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1993,
    1974,  1975,  2065,  2233,     0,  2066,  2356,     0,  1965,  2395,
    2223,     0,  2220,  2221,  2222,  2870,  2871,  2872,  2873,  2874,
    2875,  2876,  2877,  2878,  2879,  2880,  2881,  2882,  2883,  2884,
    2885,  2886,     0,  2887,  2888,  2889,  2890,  2891,  2893,  2892,
    2894,  2895,  2896,  2897,  2898,  2899,  2296,  2901,  2902,  2903,
    2904,  2905,  2906,  2907,  2908,  2909,  2910,  2911,  2912,  2913,
    2914,  2915,  2916,  2917,  2918,  2919,  2920,  2921,  2922,  2923,
    2924,  2925,  2926,  2927,  2928,  2929,  2930,  2931,  2932,  2933,
    2934,  2935,  2936,  2937,  2938,  2939,  2940,  2941,  2942,  2943,
    2944,  2945,  2946,  2947,  2948,  2949,  2950,  2951,  2952,  2953,
    2954,  2955,  2956,  2957,  2958,  2959,  2960,  2961,  2962,  2963,
    2964,  2965,  2966,  2967,  2968,  2969,  2970,  2971,  2972,  2973,
    2974,  2975,  2976,  2977,  2978,  2979,  2980,  2981,  2982,  2983,
    2984,  2985,  2986,  2987,  2988,  2989,  2990,  2991,  2992,  2993,
    2994,  2995,  2996,  2997,  2998,  2999,  3000,  3001,  3002,  3003,
    3004,  3005,  3006,  3007,  3008,  3009,  3010,  3011,  3012,  3013,
    3014,  3015,  3016,  3017,  3018,  3019,  3020,  3021,  3022,  3023,
    3024,  3025,  3026,  3027,  3028,  3029,  3030,  3031,  3032,  3033,
    3034,  3035,  3036,  3037,  3038,  3039,  3040,  3041,  3042,  3043,
    3044,  3045,  3046,  3047,  3048,  3049,  3050,  3051,  3052,  3053,
    3054,  2007,  3055,  3056,  3057,  3058,  3059,  3060,  3061,  3062,
    3063,  3064,  3065,  3066,  3067,  3068,  3069,  3070,  3071,  3072,
    3073,  3074,  3075,  3076,  3077,  3078,  3079,  3080,  3081,  3082,
    3083,  3084,  3085,  3086,  3087,  3088,  3089,  3090,  3091,  3092,
    3093,  3094,  3095,  3096,  3097,  3098,  3099,  3100,  3101,  3102,
    3103,  3104,  3105,  3106,  3107,  3108,  3109,  3110,  3111,  3112,
    3113,  2009,  3114,  3115,  3116,  3117,  3118,  3119,  3120,  3121,
    3122,  3123,  3124,  3125,  3126,  3127,  3128,  3129,  3130,  3131,
    3132,  3133,  3134,  3135,  3136,  3137,  3138,  3139,  3140,  3141,
    3142,  3143,  3144,  3145,  3146,  3147,  3148,  3151,  3149,  3150,
    3152,  3153,  3154,  3155,  3156,  3157,  3158,  3159,  3160,  3161,
    3162,  3163,  3164,  3165,  3166,  3167,  3168,  3169,  3170,  3171,
    3172,  3173,  3174,  3175,  3176,  3177,  3178,  3179,  3180,  3181,
    3182,  3183,  3184,  3185,  3186,  3187,  3188,  3189,  3190,  3191,
    3192,  3193,  3194,  3195,  3196,  3197,  3198,  3199,  3200,  3201,
    3202,  3203,  3204,  3205,  3206,  3207,  3209,  3208,  3210,  3211,
    3212,  3213,  3214,  3215,  3216,  3217,  3218,  3219,  3220,  3221,
    3222,  3223,  3224,  3225,  3226,  3227,  3228,  3229,  3230,  3231,
    3232,  3233,  3234,  3235,  3236,  3237,  3238,  3239,  3240,  3241,
    3242,  3243,  3244,  3245,  3246,  3247,  3248,  3249,  3250,  3251,
    3252,  3253,  3254,  3255,  3256,  3257,  3258,  3259,  3260,  3261,
    3262,  3263,  3264,  3265,  3266,  3267,  3268,  3269,  3270,  3271,
    3272,  3273,  3274,  3275,  3276,  3277,  3278,  3279,  3280,  3281,
    3282,  3283,  3284,  3285,  3286,  3287,  3288,  3289,  3290,  3291,
    3292,  3293,  3294,  3295,  3296,  3297,  3298,  3299,  3300,  3301,
    3302,  3303,     0,  2217,  2218,  2219,  2211,  2212,  2213,  2214,
    2215,  2216,  2227,     0,     0,  2335,  2396,     0,  2170,     0,
    1989,     0,  2178,     0,     0,  1796,     0,  2354,  2284,  1796,
     267,   268,   264,     0,     0,   219,   218,     0,   237,   241,
     242,   213,   240,     0,   236,   221,  2154,  2153,   220,   212,
     209,   207,   224,   226,   227,   210,   208,   261,     0,     0,
       0,   145,  1563,  1550,     0,     0,  2296,     0,  2231,     0,
       0,  2229,     0,     0,     0,  1793,     0,  1697,     0,  1701,
       0,     0,     0,  1940,  1939,  1890,  1886,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     942,     0,  1908,     0,  1859,  2378,  2379,  2294,  1729,  1563,
       0,  1559,  1692,  1691,  1734,  1735,  1100,  1690,  1763,  1764,
       0,     0,     0,     0,  1789,  1787,  1754,  1745,  1753,     0,
       0,  1751,     0,  1755,  1969,  1782,  1679,  1739,  1740,  1743,
    1678,     0,  1785,     0,  1634,  1783,  1744,  1618,     0,  1596,
       0,     0,  1844,     0,     0,  1464,     0,     0,     0,  1129,
    1131,     0,  1130,     0,  1133,     0,  1142,     0,     0,  1128,
    1147,     0,  1136,  1134,     0,  1504,     0,     0,     0,     0,
       0,  1484,     0,     0,     0,  2669,   255,  1487,  1492,  1479,
    1490,     0,     0,     0,     0,     0,  1065,  1064,     0,     0,
    1084,     0,     0,     0,   506,  1511,   528,     0,   364,     0,
       0,     0,     0,     0,     0,     0,     0,   823,   820,     0,
       0,   819,     0,   672,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   697,     0,  1308,     0,   294,
       0,  1168,     0,  1167,     0,  1172,     0,     0,  1169,  1164,
    1165,  2634,  2644,  2675,   257,  1170,  1200,     0,  1199,  1195,
       0,  1111,     0,  1112,     0,     0,     0,     0,     0,  2481,
    2508,   302,   326,     0,  1307,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     348,     0,     0,   351,   350,     0,     0,     0,     0,     0,
     356,     0,   334,     0,   335,     0,   355,     0,     0,     0,
     640,   641,     0,     0,     0,  1308,     0,   290,     0,     0,
       0,     0,     0,     0,     0,     0,  1217,     0,   750,     0,
       0,  2634,  1196,     0,  1391,     0,  2668,  1392,  1395,   540,
       0,   540,  1397,     0,     0,  1394,  1396,     0,     0,   176,
       0,   171,   175,     0,     0,  2634,  1197,     0,     0,     0,
       0,     0,   623,   624,   637,     0,   628,   629,   626,   630,
     631,     0,     0,     0,     0,     0,     0,     0,   622,     0,
       0,   719,   718,   722,     0,     0,     0,     0,     0,     0,
    1400,     0,     0,  1191,     0,     0,  1399,  1407,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1251,  1250,
       0,     0,     0,     0,  1318,     0,   866,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   178,   737,     0,
     736,     0,   172,   177,     0,     0,     0,     0,     0,     0,
       0,     0,   231,  1453,  1459,  1733,  1733,  1733,  2079,     0,
       0,     0,     0,  1732,  2287,  2290,  1533,  1539,  1532,  1531,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   411,   408,   409,
     411,     0,     0,     0,     0,   839,     0,   842,   845,  1475,
     490,     0,     0,   664,   697,     0,     0,   466,   185,     0,
       0,     0,     0,   752,     0,  1191,  1190,   147,   138,   194,
     464,     0,   193,   195,   197,   198,   199,   196,   200,     0,
     716,   720,     0,     0,     0,     0,   660,     0,     0,     0,
       0,     0,     0,     0,  1864,     0,     0,   170,     0,     0,
     613,   617,     0,     0,     0,     0,   466,   579,   375,  2508,
       0,   540,     0,  2508,     0,   137,     0,   826,     0,     0,
       0,  1153,  1153,     0,     0,   766,   765,     0,     0,     0,
       0,     0,     0,  1664,   145,  1151,     0,  1498,     0,   145,
     945,   145,  1115,   184,  2373,     0,   907,     0,     0,     0,
       0,   145,  1219,   895,   145,   180,   145,   145,   663,     0,
     145,   182,     0,     0,   145,   939,   145,  2343,     0,   145,
    1589,  2508,   540,  1567,   992,  1001,  1000,   998,   997,   993,
       0,  1012,     0,   539,     0,     0,     0,     0,     0,  1033,
    1034,     0,     0,  1030,  1035,     0,  1037,  1021,  1023,  1031,
    1032,  1038,  1027,  1026,  1039,  1040,     0,     0,     0,  1052,
     731,     0,     0,     0,     0,  1628,     0,  1626,     0,  1842,
    1630,  1619,  1579,     0,  1578,     0,   606,  1242,  1241,  1243,
       0,  1009,     0,   145,     0,  1443,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2246,     0,  2247,
       0,     0,  2280,  2276,     0,     0,     0,     0,     0,  2250,
    2253,  2254,  2255,  2252,  2256,  2251,     0,     0,  2257,     0,
       0,  2301,  2313,     0,  2065,  2301,  2324,     0,  2323,  2329,
    2237,  1969,     0,     0,  2320,  2314,     0,  2320,     0,  2303,
       0,     0,     0,     0,     0,     0,  2237,  2240,     0,     0,
    2748,     0,     0,     0,     0,  2037,     0,     0,  2204,     0,
    2237,     0,     0,     0,     0,     0,     0,     0,  2233,  2272,
       0,   504,     0,  2027,     0,     0,     0,  2152,     0,  2149,
       0,     0,     0,     0,  2293,     0,     0,  2357,  1970,  1985,
    1986,  1987,  1990,  2334,  1973,     0,  2295,     0,     0,  1971,
    1998,     0,  2273,  2023,     0,  2028,  2013,  2304,  2258,  2259,
    2260,  2261,  2030,     0,  2006,  2011,  2015,     0,  2313,  1994,
       0,  1991,     0,  2296,  2232,     0,  2230,     0,  1982,  1983,
    1984,  1976,  1977,  1978,  1979,  1980,  1981,  1988,  2208,  2206,
    2207,     0,     0,  2178,     0,     0,  2010,     0,     0,  2081,
    2500,  2538,     0,  1722,  1722,  1722,  1710,  1720,  2333,  1859,
    1733,  1859,  2339,     0,     0,  1965,     0,  1840,   947,   948,
     946,  1535,  1549,  1563,  2234,  1557,  1699,     0,     0,     0,
    1909,  1922,     0,  1949,  1950,  1951,  1951,     0,  1891,     0,
    1934,  1959,  1960,  1961,  1962,  1963,  1964,     0,  1958,  1900,
     943,  2729,     0,  2630,  2768,     0,  1820,  1795,  1797,  1807,
    1820,  1827,  1820,  2083,  1857,  2084,  2085,  2340,     0,  1766,
    2375,  1537,  1561,     0,  1098,  1099,     0,  1103,  2748,  2630,
       0,     0,     0,     0,  1756,  1790,     0,  1781,     0,  2350,
    1757,  2349,  1758,  1761,  1762,  1752,  1791,  1632,     0,  1786,
    1683,  1682,     0,  1862,     0,     0,     0,  1610,  1598,     0,
       0,  1845,     0,  1796,  1636,     0,  2293,  1794,  1358,  1252,
    1319,  1132,     0,  1910,  1143,     0,  1127,     0,  1126,  1910,
       0,  1144,     0,  1910,  1359,  1253,  1320,  1360,  1254,  1321,
    1361,  1495,  1255,  1494,  1482,  1481,  1480,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   804,  2508,   145,  1509,  1362,     0,  1256,   363,
    1510,  1322,  1514,   822,   821,     0,     0,  1323,     0,   673,
     678,     0,   680,   681,  2430,  2489,   682,   685,   686,     0,
     688,   677,   676,     0,     0,     0,     0,     0,   694,   699,
       0,     0,     0,     0,     0,     0,  1162,  1163,  1363,  1259,
       0,  1324,     0,  1110,     0,  1260,   186,     0,     0,   282,
    2508,   304,     0,   488,   804,     0,  1310,   301,   332,     0,
     347,   342,   343,   341,  2508,   145,  2508,   145,     0,     0,
       0,     0,     0,   344,   339,   340,   336,     0,     0,   349,
    2402,  2473,  2645,     0,   705,   707,     0,   712,   352,  1280,
     371,   370,   369,     0,   357,     0,   376,   379,     0,   354,
     333,   331,   328,   297,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1212,     0,  1366,  1325,     0,
    1347,  1351,     0,     0,     0,   744,  1369,  1266,  1328,     0,
     540,     0,     0,   555,   555,   540,  1380,  1267,   174,  1297,
     163,     0,     0,   159,     0,     0,     0,     0,   153,  1370,
    1268,  1329,     0,     0,  1371,  1269,     0,     0,   287,   616,
     627,   632,  1274,   636,   633,  1337,   634,  1378,  1270,     0,
    1374,  1300,  1332,   599,  1191,  1191,  1381,  1401,  1271,  1191,
       0,  1308,     0,   276,   278,     0,   142,     0,  1272,     0,
    1330,  1373,  1299,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1517,     0,     0,     0,     0,     0,     0,   145,
       0,     0,     0,  1310,  2508,   145,   864,  1372,     0,  1305,
       0,  1345,     0,     0,     0,   399,     0,  1298,  1308,     0,
     289,  1276,     0,  1339,     0,     0,   229,   228,   230,     0,
       0,     0,     0,  2238,  2239,     0,  2236,  2074,  2289,     0,
    1527,   969,   955,   968,     0,   951,  2471,     0,   954,   956,
       0,     0,     0,   957,   961,   962,     0,   953,   950,   952,
       0,   410,     0,     0,   761,   762,     0,     0,     0,     0,
     841,     0,     0,  1507,     0,   150,   671,     0,     0,     0,
     666,   696,   701,     0,     0,     0,     0,   465,   469,   473,
     474,   475,     0,     0,     0,     0,   164,   151,     0,   884,
       0,   540,     0,   754,  1191,  1384,     0,   194,   189,     0,
       0,   717,     0,  1558,     0,     0,   594,   597,   596,     0,
     375,   836,   834,   833,   835,   857,   832,     0,  1863,  1865,
       0,     0,     0,     0,     0,     0,   606,   468,     0,     0,
     543,     0,   582,     0,     0,     0,     0,   579,     0,     0,
       0,  2383,     0,   853,   825,     0,  1121,     0,  1139,  1122,
       0,     0,     0,     0,  1176,  1183,  1152,  1177,  1154,  1183,
       0,     0,   767,   771,   770,   774,   772,     0,   768,   645,
    1670,  1671,     0,  1209,     0,     0,  1503,     0,  1501,   906,
    1203,   145,     0,   145,     0,   145,  1211,  1205,  1207,  1409,
       0,   904,     0,     0,   897,   899,     0,   901,     0,  1013,
     542,     0,     0,     0,     0,     0,     0,  1029,   643,  1036,
       0,     0,     0,  1051,  1046,  1048,     0,  1063,  1057,     0,
     730,     0,     0,  1629,  1622,  1624,  1623,     0,     0,  1620,
    2243,   896,     0,   612,     0,  1063,  1054,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1727,  2244,
    2245,     0,     0,     0,  2277,     0,     0,  2118,     0,  2089,
    2091,  2104,     0,  2119,  2072,     0,  2300,  2297,     0,     0,
       0,  2301,  2303,  2138,     0,     0,     0,  2303,     0,  2323,
       0,     0,  2133,  2135,     0,     0,     0,  2313,  2313,  2140,
       0,  2120,  2093,  2095,  2105,     0,     0,  2224,     0,  2108,
    2107,     0,  2039,  2040,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2054,  2109,  2203,     0,     0,     0,  2111,  2110,
       0,     0,  2271,     0,     0,     0,  2116,   505,  2121,     0,
       0,     0,     0,  2127,     0,  2160,     0,     0,     0,  2062,
    2234,     0,     0,     0,     0,     0,     0,     0,  2306,  2307,
    2308,  2305,     0,  2029,  2014,  2032,  2008,  2012,  2016,     0,
    2313,  2031,  2034,     0,     0,  2002,     0,     0,  2000,  2024,
    1996,     0,     0,  2025,     0,  2080,     0,     0,     0,  2181,
    2176,  2177,  1722,  1722,  1722,  1722,  1719,     0,     0,     0,
    1766,     0,  1766,   205,     0,   238,   225,  1534,  1700,  1709,
    1928,     0,  1946,  1944,  1887,  1892,  1967,  1820,  1827,  1820,
       0,     0,  1685,     0,  1807,     0,  1819,  1805,  1818,     0,
       0,  1833,  1831,     0,  1833,     0,  1833,     0,  1799,     0,
    1823,  1801,  1818,  1803,     0,  1849,  2341,  1858,     0,  1779,
    1736,     0,  2225,  1103,     0,  1738,  1760,  1759,     0,  1749,
       0,  1788,  1746,  1633,  1617,     0,  1615,  1602,  1604,  1603,
       0,     0,  1605,  2293,     0,  1615,  1597,     0,  1641,     0,
       0,  1862,     0,  1640,     0,  1910,  1124,  1125,     0,  1148,
       0,  1068,  1069,     0,  1067,     0,     0,     0,   527,  1083,
       0,     0,   804,     0,   804,     0,     0,   532,     0,  1512,
       0,  1379,  1296,   675,     0,     0,     0,     0,   690,   649,
     691,   693,     0,     0,   692,   695,   698,  1308,     0,   295,
    1282,     0,  1343,  1156,     0,     0,  1113,     0,     0,     0,
       0,     0,     0,   487,   484,   327,     0,     0,     0,     0,
     384,     0,   306,   319,   382,   325,     0,   359,     0,   330,
       0,   323,   345,   337,   346,   338,   358,   360,     0,   709,
     710,   708,   704,     0,   711,   713,     0,   373,     0,     0,
       0,   353,     0,  1365,     0,  1308,     0,   291,  1278,     0,
    1341,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1346,     0,     0,     0,     0,   749,     0,
     746,     0,   555,     0,  1393,     0,  1390,  1388,   555,     0,
       0,   156,   155,     0,   162,     0,     0,     0,     0,     0,
       0,  1402,  1403,  1404,     0,     0,     0,     0,     0,     0,
     393,     0,   298,   300,   299,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   400,   366,     0,   860,     0,     0,     0,   402,
       0,     0,  1357,     0,     0,     0,     0,     0,  1364,  1261,
    2077,  2078,  2075,  1733,  2288,     0,     0,     0,   966,     0,
       0,     0,     0,   413,   414,   150,   412,   437,     0,   804,
       0,     0,   838,   843,   851,  2574,  2211,  2212,   849,   844,
     846,   848,   850,   847,     0,     0,     0,     0,   509,     0,
       0,     0,   496,     0,     0,   506,   489,   492,   493,     0,
       0,   667,   670,   668,   669,     0,   689,     0,   468,   516,
     569,     0,   166,     0,     0,   167,   165,     0,     0,   375,
     751,     0,   748,  1383,     0,   192,     0,   721,     0,     0,
       0,     0,     0,  1191,   659,     0,   856,   858,   830,     0,
     701,     0,     0,   618,     0,   540,  1590,   601,     0,   571,
     468,   569,   578,     0,     0,   586,   374,     0,     0,   606,
     375,     0,     0,  1084,     0,   852,     0,     0,  1120,     0,
       0,     0,  1173,  1178,  1174,     0,  1153,  1135,     0,  1175,
       0,     0,  1181,  1106,  1155,  1107,  1425,  1426,  1423,  1424,
       0,     0,     0,     0,     0,     0,  1661,     0,     0,  1499,
       0,   908,     0,   891,     0,   893,   145,   738,     0,   145,
       0,     0,     0,     0,     0,     0,  1028,     0,  1022,  1024,
    1049,     0,     0,  1063,  1062,     0,  1053,  1061,  1059,  1060,
    1058,     0,     0,  1627,  1625,   604,     0,     0,   145,  1063,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2248,     0,  2279,  2275,     0,  2086,  2249,  2299,  2310,  2312,
    2139,  2302,     0,     0,     0,  2325,     0,     0,  2303,  2317,
    2316,     0,     0,  2315,  2303,  2303,  2141,     0,     0,     0,
    2204,     0,     0,  2038,  2050,  2051,  2052,  2264,     0,  2057,
       0,  2047,  2048,  2049,  2041,  2042,  2043,  2044,  2045,  2046,
    2053,  2268,  2267,     0,     0,  2113,  2114,  2115,  2270,  2122,
       0,  2420,  2161,     0,  2126,  2151,  2150,     0,     0,     0,
    2129,     0,     0,  2147,     0,  2205,  2358,  1972,     0,     0,
    1999,  2274,  2017,     0,  2033,  2035,  1995,  2224,     0,     0,
       0,     0,     0,  2004,     0,     0,  2201,     0,     0,     0,
    2183,  2180,     0,     0,     0,     0,  1713,  1712,  1718,  1779,
    2074,  1779,     0,     0,  1888,  1806,  1802,  1804,     0,  2763,
       0,  1809,  1816,     0,  1798,     0,  1832,  1828,     0,  1829,
       0,     0,  1830,     0,     0,  1800,     0,  1816,     0,  1856,
    1725,     0,  2172,     0,  1737,  1101,  1102,  1747,     0,  1750,
    2450,  1860,     0,  1616,     0,     0,     0,  1607,  1613,  1595,
       0,     0,     0,  1637,  1615,  1638,  1145,     0,     0,  1137,
    1074,  1075,  1078,  1076,  1073,  1077,     0,     0,     0,   804,
       0,     0,   550,     0,  1097,  1097,     0,   530,     0,   534,
     591,     0,   807,     0,     0,     0,   805,   145,  1257,     0,
       0,     0,     0,   650,  1377,  1258,     0,     0,     0,     0,
    1157,  1311,     0,     0,  1281,     0,   303,   486,   485,     0,
     483,   701,     0,     0,   310,   320,     0,   315,     0,  1309,
       0,     0,     0,     0,   314,   317,   316,   386,     0,   383,
       0,   145,   145,   361,   706,   372,   377,   378,   381,  1316,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   885,   868,     0,     0,   886,   887,     0,
       0,     0,  1214,  1215,  1213,  1348,  1349,  1355,  1352,  1350,
    1354,  1356,  1353,     0,  1264,     0,     0,   742,  1312,  1385,
    1387,  1386,     0,  1389,   160,   157,   158,   161,  1313,  1294,
    1275,  1338,   600,     0,     0,     0,  1273,     0,  1331,     0,
    1290,  1284,     0,     0,     0,     0,     0,  1376,  1304,  1336,
    1375,  1302,  1334,  1301,  1333,  1303,  1335,  1295,     0,     0,
    1867,   865,     0,     0,     0,   145,   145,   863,   740,  1277,
       0,  1340,  1286,     0,     0,     0,   958,     0,     0,     0,
     960,   418,   438,   150,     0,   760,   824,     0,     0,   840,
       0,   494,     0,   500,   507,     0,     0,   511,   512,   510,
     538,  1191,   540,  1191,   793,   794,     0,     0,   814,     0,
     665,     0,     0,   466,     0,   513,     0,     0,   470,   169,
     168,     0,     0,     0,   755,   759,   757,   756,   758,   753,
       0,   744,   194,  2508,     0,     0,     0,     0,   598,   592,
     595,  1398,   831,     0,  1866,   734,     0,   375,   614,     0,
       0,     0,   466,   606,     0,   471,   476,   477,   490,     0,
     579,   570,     0,   571,   580,   581,     0,   588,  1473,     0,
     607,   588,     0,     0,     0,   855,     0,   854,     0,  1123,
    1140,  1141,     0,     0,  1183,     0,     0,  1185,  1180,     0,
       0,   773,   776,   769,   652,   145,     0,  1502,   145,   145,
    1240,     0,   902,  1043,  1044,  1045,  1042,  1041,   644,     0,
    1047,  1006,  1056,   732,     0,   605,     0,  1007,   145,   983,
     975,   982,   971,   974,   976,     0,   978,   979,   973,   970,
     972,  2278,  2103,     0,  2309,  2311,  2137,  2322,  2321,  2136,
    2328,     0,  2319,  2318,     0,     0,  2106,  2117,     0,  2203,
    2234,     0,     0,  2058,     0,     0,     0,  2112,  2758,     0,
       0,  2165,  2166,     0,  2162,  2163,  2158,  2159,  2128,     0,
    2563,  2142,     0,     0,  2157,  2021,  2019,  2018,  2003,     0,
       0,  2001,  1997,     0,  2026,  2167,  2200,  2234,  2169,     0,
    1733,  1717,  1716,  1715,  1714,  2172,  2355,  2172,   239,  1704,
    1852,     0,  1855,     0,     0,  1808,     0,     0,  1810,     0,
       0,  1812,  1814,     0,     0,     0,     0,     0,     0,  2344,
       0,  1778,     0,  1733,     0,  1748,     0,  1614,  1599,     0,
    1600,  1606,     0,     0,     0,     0,     0,  1642,  1635,  1138,
    1146,     0,     0,     0,   529,     0,   545,     0,     0,     0,
    1090,   140,  1089,     0,   545,   545,   809,   808,   811,   806,
     810,  1513,     0,   683,   684,   687,  1283,     0,  1344,  1292,
       0,  1631,   305,   482,   481,   490,   389,   313,   388,     0,
       0,     0,   307,   385,     0,   387,   308,   312,   366,   329,
     322,     0,     0,     0,  1279,     0,  1342,  1288,  1315,  1367,
    1262,  1326,     0,     0,   874,     0,     0,     0,     0,  1368,
    1263,  1327,     0,     0,     0,     0,     0,  1631,     0,     0,
       0,     0,     0,     0,     0,     0,  1522,     0,     0,   365,
     862,   861,   366,   401,  1306,     0,  2076,     0,   959,   964,
     965,   963,     0,   407,   415,   418,     0,     0,  1231,  1231,
       0,     0,   491,   508,     0,     0,   495,   590,   549,   590,
       0,     0,     0,     0,     0,   702,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   747,   746,   191,     0,
     466,     0,   701,     0,   859,     0,     0,     0,   606,   468,
       0,     0,  1587,   467,     0,     0,   479,     0,   582,   571,
     579,     0,     0,   603,     0,  1466,     0,   609,     0,     0,
       0,   803,  1179,     0,  1193,     0,  1134,  1104,  1188,     0,
    1709,  1859,     0,     0,     0,     0,   786,     0,   656,  1232,
    1500,   892,   894,   739,  1050,     0,  1063,  1055,   977,  2298,
    2327,  2134,  2326,  2263,  2205,  2055,     0,  2266,  2265,  2269,
       0,  2123,     0,  2124,  2164,  2130,  2143,     0,  2131,  2155,
       0,     0,  2022,  2020,  2005,  2202,     0,  2187,  1687,  1686,
       0,  1707,  1857,     0,     0,  1851,     0,     0,  1881,     0,
       0,     0,  1817,  1835,     0,  1813,  1811,     0,  1824,     0,
    1826,  2449,  2724,  2627,     0,  1765,  1767,  1770,  1772,  1771,
    1773,  1769,  2171,  2173,     0,  1744,  2226,  1861,     0,     0,
       0,  1085,     0,     0,  1643,  1644,  1639,  1051,     0,   145,
    1097,     0,  1191,   551,  2574,   552,  1096,  1100,   139,     0,
    1191,  1191,   679,     0,     0,   284,   478,     0,   311,   321,
       0,   368,   380,     0,  1631,     0,     0,   872,   881,   881,
     869,     0,     0,   888,  1265,   743,     0,   554,     0,   279,
    1291,  1285,     0,     0,     0,  1524,  1525,     0,     0,     0,
       0,     0,  1314,   145,  1287,   967,     0,   440,   447,   419,
     423,  1516,     0,  1516,     0,   420,   424,  1516,  1516,   417,
    1859,   436,  1231,     0,  1228,  1227,   538,   620,     0,   537,
       0,   498,     0,   560,   497,     0,   815,     0,     0,   700,
       0,   468,   569,     0,   526,   517,   518,   519,   520,   522,
     521,   523,   524,   525,   515,   514,     0,   701,   878,   375,
    1473,   741,     0,     0,   714,     0,   701,     0,  1590,   602,
     571,   468,   569,   472,   490,     0,   586,   579,   582,     0,
     583,     0,   587,     0,     0,     0,   606,  1526,  1084,     0,
       0,   804,  1192,  1153,     0,     0,  1182,  1186,  1187,     0,
       0,     0,     0,  1235,   780,   781,   775,   777,     0,   788,
     792,   651,     0,     0,   655,   646,   701,   145,     0,  2056,
       0,     0,  2145,  2144,  2156,  2132,  2182,     0,     0,     0,
       0,     0,     0,     0,  1698,  1850,  1853,     0,  1884,     0,
       0,     0,     0,  1870,     0,  1815,     0,     0,  1825,     0,
       0,     0,  1774,     0,     0,     0,  1783,     0,  1612,  1859,
       0,  1609,     0,  1652,     0,  1645,  1070,     0,  1071,  1091,
       0,   590,     0,  1103,  1100,   540,   590,   590,  1293,     0,
     620,     0,     0,   324,     0,   292,  1289,     0,     0,   883,
     883,     0,     0,     0,     0,     0,     0,   395,     0,     0,
    1518,     0,  1519,  1520,  1523,   403,   416,     0,   445,     0,
     443,   442,   444,     0,   433,     0,     0,     0,     0,     0,
       0,   406,  1226,  1230,  1229,   499,     0,   501,     0,     0,
     546,   547,   548,     0,   503,   556,   557,   812,     0,   817,
       0,   703,     0,     0,   701,   568,   725,     0,     0,     0,
    1467,     0,     0,   593,   735,  1473,   606,   579,     0,   571,
     480,     0,   588,   582,   586,   584,   585,     0,  1470,     0,
     608,     0,  1093,   802,     0,  1183,  1194,  1189,  1184,  1429,
       0,     0,   778,   783,   782,  1516,   787,     0,     0,     0,
     654,   653,   729,  1008,  2262,  2148,  2125,  2146,  2711,  2450,
    2683,     0,  2199,  2188,  2199,  2199,  2179,     0,     0,     0,
       0,     0,  1882,  1883,  1868,     0,     0,  1872,  1822,  1848,
       0,     0,     0,  1768,  2174,  2175,  2374,  1601,  1611,  1086,
       0,     0,     0,  1652,     0,     0,   555,     0,  1087,  1103,
     549,   804,   804,  1631,   318,   309,   367,     0,     0,     0,
     879,   882,   870,   871,   890,   889,   745,  1631,     0,   391,
     390,     0,   394,     0,   441,   450,     0,   448,   421,   426,
       0,   432,   431,   428,   427,   422,   425,     0,     0,     0,
       0,     0,     0,   558,     0,   559,     0,   816,     0,     0,
       0,   727,   877,     0,     0,   466,   701,  1468,  1588,   582,
     571,   579,     0,     0,   573,  1097,  1097,   453,   586,   588,
    1471,  1472,     0,     0,   506,     0,  1105,  1428,  1427,  1709,
       0,     0,     0,   789,   790,   785,     0,     0,     0,  2192,
    2191,  2190,  2194,  2193,     0,  2186,  2184,  2185,     0,     0,
       0,  1854,     0,  1871,  1874,     0,     0,     0,  1880,  1873,
    1875,     0,  1834,     0,  1846,  1776,     0,  1775,  1859,  1651,
       0,     0,   145,   544,   804,   553,  1088,   560,   533,   531,
     285,  1631,   873,     0,   280,     0,   396,  1521,   446,     0,
     430,   429,   619,   502,   589,   565,     0,   564,     0,   562,
     561,   813,   818,     0,   701,   867,  1473,   715,   586,   579,
     582,     0,   572,     0,   140,   140,   588,   451,     0,     0,
     375,     0,  1411,  1709,  1410,  1412,  1420,  1417,  1419,  1418,
    1416,     0,  1238,  1239,   779,   784,     0,     0,     0,     0,
    2196,     0,  2197,     0,     0,     0,     0,  1877,  1878,  1879,
    1876,  1821,     0,  1777,  1608,  1654,     0,     0,  1646,  1647,
       0,  1072,   535,   804,   293,   880,     0,   449,   563,   540,
     540,   701,   726,  1469,   588,   582,   586,  1097,   574,   576,
     575,   455,  1093,  1094,     0,   588,   792,     0,  1421,  1415,
    1685,  1672,     0,     0,   791,     0,  2189,  2195,  2198,     0,
       0,     0,     0,     0,     0,  1649,     0,     0,     0,  1648,
     536,     0,   567,   566,   728,   454,   586,   588,   140,   506,
    1092,     0,  1859,     0,  1413,  1709,     0,     0,   797,  1703,
    1702,  2729,     0,     0,  1706,     0,  1847,  1653,  1650,     0,
       0,     0,     0,  1655,   392,   588,   452,   577,   375,  1095,
    1079,     0,  1414,     0,     0,   799,     0,   795,   798,   800,
     801,     0,     0,  1869,  1659,     0,     0,     0,   456,   588,
       0,     0,     0,   763,     0,  1733,     0,     0,     0,     0,
    1859,     0,     0,     0,   796,     0,     0,  1656,  1660,     0,
    1657,  1080,   797,  1236,  1237,     0,  1705,     0,     0,     0,
     764,  1658
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -5408, -5408, -5408,  3973,  -538, -1721, -5067, -1118,  4665, -5408,
   -5408,  -956,   339,  3202, -2415, -5408, -5408, -5408,  1378, -5408,
   -5408, -5408, -5408,  3934, -5408, -2910, -5408, -5408,   182,  3908,
   -1378,   153,  3509,  1511, -5408, -1002, -5408, -5408,  -598,     1,
   -5408,  3910,   633, -5408, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408,  -853,  1969, -5408,  2063,  1306, -3379, -5408, -5408, -1516,
   -3757, -5408,   567, -5408,   593,    36, -4810, -1034, -5408, -5408,
   -5408,  1954, -5408, -5408, -5408,  1901,  1100,  -443, -5408, -5408,
   -5408, -5408, -5408, -5408,  -869, -5408, -5408, -1138,     7,  -653,
   -2933, -4315, -5408, -5408,   421,  -480, -1489, -5408,   614, -5408,
     617, -5408, -4846, -5408,   -73, -2665, -2595, -5408, -5408, -5408,
    -450, -1460,  1408,  -675,  -741, -1155,  1782, -2480,  -987, -5408,
    -322, -3559, -1111,  -878,  -876, -1021, -4360, -4876, -5408, -5408,
   -1142, -3781, -5185, -5407, -4897, -4749,  1413, -5408,  -104,   425,
   -5408,    10, -3656, -3739,    11,   396, -5408,    14,    15, -5408,
     412,  -814,  -963, -1580, -5408,  -909, -5408, -5408, -5408, -3453,
   -5408, -5408, -5408,   167, -5408, -5408, -5408, -5408,   457, -5408,
   -5408, -5408, -5408, -5408, -5408, -2508,  1930,  1932, -5408, -4350,
   -5408,  -933, -5408,   618, -3477,  1331, -5408, -5408,  1092,  3955,
     438, -5408, -5408, -5408, -5408, -5408, -5408, -1785, -5408, -5408,
   -5408, -5408,   -82,  -430, -5408, -5408, -5408, -5408, -5408, -5408,
   -5408,    17, -5408,  1055,   386, -5408, -5408,  -719, -5408, -5408,
   -5408, -5408, -5408, -5408, -1185, -5181, -1290, -1270, -5408, -3484,
   -5408, -5408, -5408,  -398, -5408, -5408, -5408, -5408, -5408,  -828,
   -5408,  1154, -4153, -5408, -5408,   426, -5408, -5408, -5408, -5408,
   -5408,  -996,  -337,  3122, -5408,  -575,  -789, -5408, -5408, -5408,
    -332, -5408, -5408, -5408, -5408, -5408,  -516, -1291,  4959,  4332,
   -1113, 11727,  -832,  -561, -5408, -5408, -5408, -2744, -5408, -5408,
   -4275, -5408,  4951,  2474,   399,    18, -5408,     0,    87,  3774,
   -5408,  1023, -1162, -3106,   378,  -532, -5408, -5408, -5408,   381,
   -5408, -1941, -5408, -5408, -5408, -5408, -4099,    19, -5408, -4364,
   -5177, -4610, -4108, -1151, -5408, -4339, -4287, -4082, -5408,  1962,
   -5408, -5408,  -568,  -193,  3104, -5408, -1477,  2305, -1418, -5408,
   -2596,   448,  1506,  3110, -3279,  -102,  3099, -2984, -5408,  -710,
    1097, -5408,  -413, -3791, -5408, -5408, -5408, -2831,  -655, -5408,
   -5408,  1438, -1098, -5408, -5408, -5408, -5408,  -645,  3084,  -189,
   -5408, -5408,  4310, -5408, -4329, -5408,  4282, -5408, -5408, -5408,
   -5408, -5408, -5408, -5408, -5408, -5408, -1474,  1267, -5408,  -820,
   -5408, -5408,  2067,   660, -5408, -5408, -5408, -5408,  1363, -1236,
   -5408, -5408, -5408, -5408, -5408, -5408, -5408,  -961, -1159, -5408,
   -5408, -4341, -5408, -5408, -5408, -5408, -5408,  2442,  -962,  -748,
    4195,   843,    28, -5371, -5408, -5408,  -887, -5408,  3523, -5408,
   -5408, -5408, -5408, -5408,   451,   450, -5408, -5408, -5408, -5408,
   -3396, -5408, -5408, -4999, -5408, -5408,  2058, -5408, -5408,   805,
       9,  3238, -5408, -5408, -5408,   -15, -5408, -5408, -1015,  2403,
   -5408, -2366, -5408,  -578, -5408, -5408, -1904,    31, -4351, -5408,
       5, -5408, -5408, -5051, -1166,   259, -5408, -5408, -4004,    12,
   -5408, -5408, -5408, -5408, -5064, -5408,    16, -4839,   807, -3338,
   -5408,     8, -5408,  -476,  -863, -5408, -5408, -5408, -3843,    32,
      34, -5408, -5408,     3,   320,   -52,   -42,   -27,     2,   147,
    3645, -5408, -5408, -5408, -4305,  3679, -5408,    -5,  -851,  5004,
    5008, -5408,  -896,  -142,   402,  1617,  -693, -2597,  3591,  3599,
   -5408,  1603,  2422, -2452, -2446, -5408, -1140,  -830,  -660, -5408,
   -5408, -5408, -5408, -1670,  -690, -2598, -5408,  3600, -5408, -5408,
   -5408, -2356, -3365, -3284,  1650, -3278, -3200, -5408,   899,   881,
   -1027,  -146,    52, -1476,  -772,  1778, -5408, -5408,  1659,  -401,
   -5408, -5408,  -399, -3296,   845, -5408, -4583, -2808,  1662, -1085,
    -804, -5408,  -937, -5408,  -626,  1441,  3678,  -825, -5408, -5408,
    -787, 14555, -5408, -5408, -5408, 14648, 15583, -5408, -5408, 15886,
   16001, -5408,  -559, 16914, 13788,  -791, -1934,   -84, 17243, 19058,
   -1858, -1302,   150, -5408, -2736, -2421, -5408, -5408, -5408,  -362,
     996,   508, -5408, -5408, -4598, -4379, -5408,  2553, -1915, -5408,
    -632,  1740,  -631, -5408, -5408, -5408, -2904, -4767, -3075,  2556,
   -5408, -5408, -5408,  -205, -5408, 19259, -3256, -5408,  -493,  -976,
   -1594,  3047, -3121, -1899, -5408, -5408, -5408, -3114, -5408, -5408,
   -5408,  -656,  1766, -5408, -5408,  1887, -5408, -5408, -5408,  -967,
    2125,  -762, -1186,  1773, -1900, -5408, -3036, -1906,  1779, -3136,
   -5408, -1932,  1860,  1082, -5408, -2357, -5408,  4216,  -773,  2568,
    -796, 18161,  -376, 11457, -1271, -5408,   476, -4656,  6979,  7397,
      13,  -123,   277,  -662,  2491,  2811, -5408, -5408,  5278,  8662,
    -583,  -988, -5408,    -6, 12846, 12607, -3661, -5408
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,    57,    58,    59,    60,  1090,  1095,  1888,  1907,    61,
      62,  1610,  3018,  2871,  3836,  3837,    63,    64,  1606,    65,
      66,    67,    68,  1520,    69,  1860,  3032,    70,  2706,   832,
     833,   834,  2571,  2572,  2963,  2573,  2561,  1372,  1806,  1542,
     806,   807,  1502,  1543,    72,    73,  1366,  2552,    74,    75,
      76,  1573,  1667,  1574,  1575,  1514,  4960,  5753,  3624,  2826,
    3884,  3625,  3626,  4303,  4304,  5277,  4392,  5767,  5768,    77,
    1683,  1684,    78,    79,  3000,  3802,  4445,  5343,  5344,  5589,
     651,  4983,  4984,  5576,  5577,  5781,  5936,  5937,  3033,   682,
    3879,  4529,  3827,  5054,  3828,  5055,  3829,  5056,  4850,  4851,
    4293,  4294,  3813,  4476,  4477,  2060,  4996,  4478,  3830,  5015,
    5624,  3831,  2726,  5356,  3067,  1979,  1977,  5522,  5603,  4811,
    4812,  4366,  5804,  5805,  5806,  6059,  5017,  5060,  5061,  5973,
    5974,  3882,  4535,  5067,  5403,  5601,  3522,    81,  3855,  3856,
      82,   745,  1882,  3983,   746,  3070,   683,   747,  3034,    87,
    3060,  5797,  3061,  1636,  2885,  4458,  3959,    88,  1118,  4268,
    5428,  5684,  5685,   736,    89,  1868,    90,    91,  3013,  3820,
      92,  2743,  3539,    93,    94,  3558,  3559,  3560,    95,  4486,
    5364,  1576,  3613,  3614,  3615,  3616,  4324,    96,  1863,  3041,
    3042,    97,    98,    99,  3172,  3173,   100,  2949,   101,   102,
     103,   104,  4360,  4917,  5031,  3655,  3843,  4502,  5029,   105,
    3806,  3035,  3088,  3917,  3918,  5426,  5676,  5677,  5678,  5855,
    6094,  5680,  5857,  5995,  5859,  5006,  6216,  6217,  5661,  4257,
    4826,   107,  5007,  5008,  5810,   108,  2741,   109,   110,  1837,
    3006,  3007,  4459,  3077,  3892,  3893,  4515,  4516,   111,  3742,
     112,  4893,  4894,   684,  5818,  5759,  5922,   113,   114,  4897,
    4898,   115,   116,   117,   118,   119,   737,  1052,  1053,   739,
    1173,  1174,  3493,  1135,   120,  2581,   121,  3782,   122,  1248,
    5120,   123,   771,  1189,  1190,  3036,   125,   781,  3191,   783,
    3156,  3157,  1995,  3963,  3964,  4603,   126,   127,  3967,  3968,
    4610,  3169,   128,  1507,  2716,  2717,  4806,  3037,   685,  3516,
    5510,  5250,  5511,  5984,  6144,  5251,  3437,  4205,   130,   686,
    1548,  2782,  1141,  1142,  3081,  3897,  2686,  2687,  1706,  4556,
    2689,  3899,  2690,  1481,  2691,  1128,  1129,  3905,  3906,  3907,
    3908,  4552,  4562,  4563,  5420,  5669,  4559,  1856,  5414,  5415,
     131,  1545,  2779,   132,   133,   134,  1589,   976,  1151,  1152,
     135,   698,   699,   136,  5594,   137,  1131,   138,  5424,   139,
     140,  1233,  1234,   798,   141,   142,  2796,  4306,   143,  1546,
     144,   145,  3649,  3650,  4909,   146,   147,   148,  2857,  2858,
     149,   150,   151,   152,   153,  6084,  6147,  6148,  6149,  4570,
    5989,   154,  1221,   155,   156,   157,   158,   196,  1017,  1018,
    1019,   929,  3038,  5405,   160,   161,  1503,  1504,  1505,  1506,
    2711,   162,   163,   164,  3927,  3928,   165,   166,   167,   168,
    1840,   169,   170,  5567,   171,   172,  1810,   173,   174,  1026,
    1027,  1028,  1029,  1808,  3383,   645,   851,  1397,  1403,  1446,
    1447,  1448,   176,   749,   177,  1224,  1057,   750,  1182,   179,
     751,  2668,  3467,  4220,  4221,  4222,  4225,  5234,  4783,   752,
    3463,   182,  2002,  3178,  3181,  3459,   753,  3473,  3474,  3475,
    4229,   754,  5514,  5515,  5902,  6118,  6119,  6169,  6203,   755,
     773,  1121,  3092,   756,  1331,   188,   189,   190,   909,   854,
     855,  3388,  5471,  5704,   192,  2545,  3366,   790,  1452,   897,
     898,   899,   918,  2973,  2634,  2635,  2659,  2660,  1461,  1462,
    2647,  2651,  2652,  3450,  3443,  2640,  4199,  5495,  5496,  5497,
    5498,  5499,  5500,  4772,  2655,  2656,  1464,  1465,  1466,  2664,
     193,  2624,  3417,  3418,  3419,  4176,  4177,  6022,  4191,  4187,
    4757,  5211,  3420,   843,  1219,  1473,  4765,  6024,  3421,  5200,
    5201,  5475,  4195,  3429,  4216,  3867,  3868,  3869,  3422,  5712,
    5713,  6019,  6020,  5477,  5478,  2692,  1426,   882,  1332,   883,
    1439,  1333,  1413,   885,  1334,  1335,  1336,   888,  1337,  1338,
    1339,   891,  1405,  1340,  1341,  1422,  1435,  1436,  1342,  1398,
    5479,  1344,  1345,  1346,  3424,  1347,  4703,  5173,  5159,  3288,
    3289,  2568,  5461,  4699,  4091,  4693,  2538,  2542,  5223,  5502,
    5503,  3359,  4140,  4730,  5190,  5700,  5872,  5873,  6005,  1348,
    1349,  1350,  3351,  2532,   979,  1351,  4461,  2534,  3279,  3257,
    1709,  3258,  2005,  2027,  3210,  3226,  3227,  3327,  3259,  3267,
    3272,  3280,  3313,  1352,  3212,  3213,  4005,  2029,  1353,  1023,
    1712,  1024,  1441,  3308,  3232,  4016,  4017,  3237,  3328,  4020,
    3244,  3245,  4037,  4027,  3238,  1354,  4029,  1362,  1363,  1356,
    1996,   844,  5207,  1177,  1793,   787,  1357,  1358,  1359,  1360,
    1582,   950,  1144,  1145,   900,   902,   903,  2628,   641,   633,
     952,  3617,  2535,   642,   635,   636,  1798,  2536
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     634,    71,   191,   186,   908,   180,   978,    80,   184,   175,
      83,    84,   181,   942,    85,    86,   183,   106,   124,   129,
    1084,   983,   977,   191,   988,  1467,  1367,  1805,   159,  1635,
     748,   178,   185,  1922,  1794,   775,   810,  1210,  1211,  1212,
     846,   775,   639,  1216,  1708,   896,  1355,   919,  2725,   690,
    1581,  1418,  1976,  1688,  2820,  2898,  1700,  1799,  1157,  3521,
    1640,  1030,  2688,  1438,  1453,  2791,  1455,  3460,  2024,  3461,
    2783,  1216,  1170,  4150,  1394,  4152,  3193,  1409,  1410,  2016,
    1865,  1381,  3707,  1393,  3826,  2803,  3985,  1417,  1424,  1183,
    3055,  3486,  3488,   986,  2792,   930,   842,  4214,  3909,  1122,
    4295,  1486,  3184,  4514,  4274,  4367,  4540,  1008,  2008,  2967,
     782,  3247,  2010,  1838,  1124,  2011,  2012,  1843,  4565,  3848,
    1807,  4774,  1847,   811,  2859,  2859,  3209,  3739,  2859,  2688,
    1051,  4173,  1857,  4319,  4228,  4321,  3243,  4527,  1577,  1634,
    3236,  3239,  4813,  4190,  3297,  3249,  1877,  4808,  1666,   921,
    1155,  4463,  5204,  1159,  2928,  2929,   630,  2654,  1693,  2774,
     913,  1030,  3122,  1599,   922,  1184,  2620,  3074,  1616,   232,
    5045,  5063,  1167,  5014,  5407,  5053,  4877,  1911,  5508,  5074,
    4203,  5607,  1549,  5216,  5527,  5218,  4227,  5400,   805,  3369,
    2924,   634,  4122,  3371,  3845,   839,  3264,   857,  3452,  4022,
     634,   953,  3425,  4234,  5368,  5252,  3455,  5535,   634,  4119,
     953,   634,  5396,  5646,  1030,  5062,  3381,  2956,  4524,  2774,
    4188,  4789,  4193,   831,   953,  1460, -2492,  1374,  1463,  2754,
   -2533,   757,  1544,  5659, -2383, -2558,  2774, -2596,  3785,  5832,
    3788,  3789,  1124, -2383, -2383,  3793,  3794,  3795,   696,  3797,
    3798,  3799,  5399,  5559, -1943,  -150,  1850, -1910, -1923,  5820,
    2625,  -150,  4024,  3431,  2579,  1904,  3426,  1030,  1508,   649,
    2935,  1393,  1874,  1544,  1873,  3816, -2384,  1001,  1544,  3174,
   -2774, -2416,  4034,  1516,  4055, -2384, -2384,  2941, -1948, -2774,
   -2774,  3189,   757,  2938,  5758, -1968,  1835,  4550, -1938,   696,
    5249,   696, -2347,  1406,  1407,  1242,   696,  3333,  3857,   696,
    1191,  2794,  5597,  5164,  1416,   940, -2496,  2804,  2794,   849,
     187, -2348,  1830,  2081,  1854,  5569,  5570,   757,  3151,  1030,
    3306,  4607,  1904,  3987, -1951,  6015,  1904,  2794,  1904,  3766,
     696,   187,  3052,   696,  3553,  1195,  5122,  5123,  5124, -1951,
    5126,  5127,  5128,  5129,  5130,  2585,  3533,  2998,  1578,  1399,
     928,  1371,  1176,  4034,   757,  2862,   757,  5422,  2866,   757,
    3973,  4890,  2558,  5024,  1578,   696,   907,  1904,  2859,  3306,
     757,  3064,  1509,  3630,  3804,  1904,  3817,  5232,  2587,  1904,
    5649,  5075,  3729,  3016,  5012,  3401,  5697,  1517,  3085,  1697,
     763,  1206,  4943, -1762,   763,  5650,  4615,  3065,  3175,   763,
    3304,   763,  1904,  5987,  2915,  4493, -2556,  5720,  3354,  1700,
    4668,  3086,  4669,  1904,   764,  3281,  1799,  5979,   764,  5536,
    5534,  3730,  1852,   764,  2631,   764,  3554,  2638,  1456,  3434,
    3021,  1456,   817,  5558,  1457,  3507,  1124,  6167,  3334,  1794,
    3030,  6016,  1214,  3335,  5967,   763,  3678,  1887,  3428,  4055,
     978,  4287,  1450,  5834,  3653,  2081,  3731,  3402,  5025,  4390,
    2562,  4608,  2623,   696,  2627,  2574,  2574,  5276,  4055,   764,
    5755,  3733,   631,  5853,   951,  1409,  1410,  1618,  2559, -2209,
     763,  1930,  4300,   987,  4891,  5259, -2209,  2585,  3348,  3336,
    2852,  5275,   696,  2794,  2794,  3349,  1800,  1009,  4230,  1801,
     978,   920, -2228,  1417,   764,  2795,  3734,  2876,  4391, -2228,
    1424,  1458,  4868,  5647,  1458,  6168,  1619,  2580,  4025,  3435,
    2587,  5854,  3031,  3508,  4393,  3053,  4288,  3678,  2794,  4511,
    1078,  3654,  1215,  2794,  2038,  2639,  1088,   818,  4035,  2922,
    5698,  2794,  1997,  4451,  4386,  2794,  1510,  5026,  1102,  2731,
    1905,  3022,  1920,  2007,  3355,  1111,  5635,  1451,  4670,  2075,
    1459,  6076,  4616,  3282,  2081,  1920,  4003, -1762,  1698,  3167,
    2017,  5699,  1799,  1432,  1207,  3087,  3818,   870,  4944,  3305,
    3017,  5013,  1836,  5651,  1836,  1511,  4494,  5988,  3805,  2548,
    3152,  4892,  3631,  3167,  3066,  5233,  2585,  4609,  3974,  1960,
    5604,  3167,  2999,  2708,  6017,  3557,  2761,  2560,  3025,  6018,
     941,  2901,  5423,  3425,  3781,  3176,  2768,  1905,  1855,  4035,
    1512,  1905,  4108,  1905,  5489,   961,  5598,  1836,   953,  2587,
    2805,  1588,   962,   963,   964,  1518,  3177,  3337,  5978,  2021,
    1215,  2622,   191,  1062,  2806,  1058,  2807,   953,  1061,   850,
    2955,  6134,  1059,   953,  1124,  2821,  1060,  3562,  4463,  2942,
    2759, -2556,  1905,   931,  2893,   953,  3819,  2896,  1215,  3534,
    1905,  2936,   943,  4551,  1905,  6199,  3638,  3426,  1957,  2001,
     943,   953,   908,   943,  4912,  6133,   634,  3767,  2943,  1513,
    3307,   896,  1406,  1407,  2939,   634,   953,  1905,  2903,  1519,
    1404,  3054,   634,  2883,   953,   634,  2886,  2887,  1905,  2808,
    3219,  1906,  1608,   696,  5027,  2965,  2966,   896,   953,  6177,
     650,  3205,  2837,  1187,  3398,  1021,  1416,  2964,   953,  1022,
    3241,  3241,  5023, -2383, -2492,   191,  1609, -2556, -2533,  4126,
    2626,  1836,  3265, -2558,  1245, -2596,  -150,  -150,  1021, -2556,
    4026,  3286,  1022, -1943,  5827,  2838,  1408,  1412,  4817,  6205,
    4819,  1188,  5933,  1193,  2665,  1197,  2865,  2666,  2556,  1468,
    4036,  1201,  4070,  5071,  6068, -2384,  5454,   769,   770, -2774,
    5238,   953,  1913,  1124,  1917,  5028,  2882, -1948,  5830, -2416,
    5070,  1124,  1124,  4919,  2039,  6078,  1204, -1938,  2077,  4923,
    2546, -2347,  2972,   634,   634,  3374,  6097,  4230,  6221,   953,
    3140,  2531,   769,   770,  1419,  1420,  2916,  2917,  1021,  5260,
   -2348,  3220,  1022,  1928, -2496,  2778,  3124,  2074,   978,  1419,
    1420,  1950,  1218,  1421,   953,  1953,   634,  1817,  3008,  6040,
    5438,  1822,  4424,  1823,  1821,  2603,  2604, -2209,  1423,  1579,
    1580,   769,   770,  6044,   769,   770,  3350,   921,  1920,  3150,
     896,  4443,  4444,  4381,  4382,  1579,  1580,  6200,  4383,  4602,
   -2228,  3165,   922,  4463,  4512,  6136,  4109,  2923,  2778,  4236,
    4190,  4237,  4387,   634,  1836,  4754,  2822,  2732,  1218,  4758,
    4836,  4654,  4655,  3211,  4882,  2778,   953,  3221,  1116,  2986,
    5739,  4512,    71,   191,   186,  2601,   180,  1920,    80,   184,
     175,    83,    84,   181,  4201,    85,    86,   183,   106,   124,
     129,  4657,  1812,  4297,  4524,  5977,  1501,  4505,  2821,   159,
    1079,  4605,   178,   185,  1074,   691,  1079,  2846,  1013,  4602,
    6176,  3009,  2000,  5971,  4067,  4068,  4069,  4070,  1079,  4798,
    2528,  2529,  2530,  2531,  4560,  4986,  1383,  4745,  4110,  4747,
     187,  4065,  4066,  4067,  4068,  4069,  4070,  6124,  1472,  3222,
     696,  2674,  3223,  1138,  4715,  4641,  3670,   696,  3913,  3452,
    3167,  3425,  5906,  1523,  3425,  4985,  4208,  5911,  5912,  1672,
    1400,  4479,  5959,  1253,  2753,  1370,  4055,  6139,  6140,  1378,
    4056,  4057,  4058,  4503,   634,   634,  1795,  4157,  5970,  3620,
    5595,  2844,  -439,   953,  5682,  6201,  2598,  3026,   634,  2543,
    6230,  1243,  5634,   896,   634,  2821,  4209,  3975,   634,  2821,
     634,  3425,  1673,  2821,   896,  6115,  4438,  4298,  5950,  3425,
    1014,  4275,  4024,  4111,  5692,  3426,  6116,  2627,  3426,  4999,
     896,  6028,  2823,   187,   907,  2944,  3242,  2526,  2527,  2528,
    2529,  2530,  2531,  3671,  5640,  3621,  5320,  3914,  2059,   923,
    1456,  6202,  6077,  1869,  3553,  5004,  2821,  6000,  5754,  2769,
    4895,  2824,  2821,  3566,  6069,  3224,  1428,  3457,  3977,  4910,
    5321,  5998,  4384,  3170,   634,  3426,   634,   634,  1799,  1015,
    3598,  6207,  4566,  3426,  3303,  2907,  2825,  4231,   916,  1477,
    4270,   646,  5094,   662,  5880,   696,  1870,  3672,   967,   968,
     969,   970,   971,   972,   973,   974,   975,  2718,  5542,  4813,
     997,  2733,  3515,  3068,  2908,  1253,  5039,   953,  4055,  6225,
     805,  1658,  4056,  4057,  4058,   916,  2719,  2819,  1478,  1192,
    1194,  1196,  2845,  1458,  1198,  1199,  1200,  1016,   924,  2822,
    4708,   998,  1429,  3599,  1205,   634,  3554,  4385,   931,  6141,
    3978, -2344,  1475,  3622,  3404,  6055,  2770,   943,  3673,   191,
    3567,  4059,   664,  1479,   943,  3162,  3163,   943,  6257,  3171,
    5800,  4567,  -611,  5683, -1084,  3458,  2945,  3225,   953,  1566,
    4210,  3555,  1459,  4896,  4060,  2720,  4460,   896,  1030,   953,
    1920,  1384,  5793,   923,  1962,  5000,  1964,  1674,  1966,   920,
    1968,   187,  1970,  1971,  1972,  2721,   953,  6175,   692,  1974,
    5743,   953,  3520,  5005,  1430,  6001,  1209,  1431,  6182,  1075,
    3556,  1253,  5813,   634,  4055,  4777,  5731,  3103,  4056,  4057,
    4058,  4371,  2821,  5792,  4299,  4300,  2822,  5693,  5119,  3485,
    2822,  3115,  4561,  2001,  2822,  3976,  4709,  5816,   908,  5398,
    6206,  3168,  5829,  3563,  3121,  1896,  5824,  5826,  1139,  2895,
    5386,   634,  4061,  5417,  5841,  4301,  5812,  1385,   693,  3581,
    1432,  3915,  2821,  3674,  2734,  2821,  4557,  3846,  6228,  1239,
    2075,  1871,   924,  4275,  5392,  3916,  4480,  2822,  4025,  1228,
     634,   634,   634,  2822,   634,  5244,  5828,  6197,  1920,  2544,
    1939,  6156,  6240,  1675,  2971,  2823,  5862,   694,  3444,   695,
    2821,  1600,  5801,  4040,  4345,   634,  1699,  2722,  3101,  4982,
    3410,  3099,  6099,  3623,   697,  3557,  4060,     3,     4,   925,
    1432,  3639,  5050,  3114,  2824,   675,  3116,   676,  4568,  2718,
     953,  3769,  6117,  1940,  5322,  5951,  5794,  3776,   953,   953,
   -2900,  3133,  2583,  3120,   785,  1013,  2925,   978,  5051,  2825,
    2957,  4271,  1476,   680,  3564,  2723,  2735,  1021,   914,  2774,
    6056,  1022,   634,  4052,  4053,  3185,   926,  3255,  4072,  1229,
    2632,  2633,  5161,  2637,  6106,  3490,  3153,  1872,  5802,  5737,
    3159,  3160,   742,  3306,  5732,   922,   922,  3675,   922,  4778,
    2819,  1795,  2823,  6100,  4061,  3676,  2823,  3640,  3677,  4569,
    2823,  4155,    15,  4379, -1910,  6249,  5361,  2720,   634,  4103,
    4104,   789,   634,   634,  5237,  1601,  3064,  5909,  4346,  3464,
    1516,  2824,  4060,  5459,  5961,  2824,   915,  2721,   634,  2824,
    1490,  5208,  1433,  5205,   896,  5993,  5212,    20, -2900,  5214,
    6057,  2898,  3065,  2823,  6129,  5701,  2825,  1014,  6010,  2823,
    2825,  1056,   881,  2822,  2825,  1920,  4062,  4063,  4064,  4065,
    4066,  4067,  4068,  4069,  4070,  6193,  3204,   187,  5994,  6058,
     931,  2724,  2824, -1761,  4814,  1428,   943,   643,  2824,  3553,
     943,  1472,   943,  1472,  1590,  5162, -1910,  2819,  6101, -2900,
    3206,  2819,  3208,  2822,  5365,  2819,  2822,  2825,  3215,  5460,
    4061,   896, -2900,  2825,  3229,  3230,  1015,  1605, -2900,  1186,
     926,  2737,   916,  3250, -2900,  5702,  3520,  1491,  1941,  4464,
   -2900,  2738,  3269, -2900,  5362,  1013,  6236, -2900,  3284,   644,
    3370,  2822,  5084,  2727,  1517,  2026,  3126,  2888,  2819,  2722,
    1230,  1799,   896,  1180,  2819,  5052,  1889,  1961,  1891,  1892,
    1963,  1429,  1965,  6201,  1967,  2035,  1969, -2900,  1591, -2900,
    1973,  2728,  1227,  3898,  1016,  3149,  4467,  1501,   795,  3154,
    1492,  3554,  1501,  4389,  3161,   896,  6067,  3164,  4253,  5648,
    3142,  1231,  5899,  1232,  2641, -2900,   643,  2723,  3491,  1602,
    4463,  3492,  4347,  1794,  -696,  2550,  6074,  6075,  4062,  4063,
    4064,  4065,  4066,  4067,  4068,  4069,  4070,  5050,  6086,  5639,
    2072,  3465,  6130,  4426,  1677,  1395,  4838,  1246,  2688,  2823,
    1678,  5908,  2688,  1430,  1942,  4469,  1431,  1014,  1603,  2958,
    2642,  4348,    32,  5051, -2900,  3600,  6102, -2900,   912,  5380,
     953,  6159,  5041, -2900,  6091,  4880,  1501, -1761,  2824,  1384,
    1501,  4884,  5653,  4976,   917,   634,   634,   634,  4980,  2823,
    5654, -2367,  2823,  1604,    40,  -173,  4349,  2551,  2959,  3505,
   -1910,  5044,  2919,  2825,  6132,  1529,  6160,  1445,  1493,   797,
      40,  3753,   978,   978,  3102,  2889,  1015,  1678,  2824,  2890,
    4051,  2824,  2739,  4460,  5919,  3735,  -173,  2823,  3601,  3112,
   -2900,    44,  6086,  2724,  4062,  4063,  4064,  4065,  4066,  4067,
    4068,  4069,  4070,  2825,  2819,  2712,  2825,    44,  3425,  4908,
    4881,    35,  3425,  3144,  2729,  1385,  2824,  2713,  1679,  5351,
    3736,  2740,   920,   920,  4472,   920,  3857,  1239,  6091,  1432,
    1494,  6174,  2644,    48,  1016,  2714,   796,   743,  4775,  3737,
    3557,  2825,  2868,  3307,  2819,   953,    49,  2819,  6178,    48,
      40,  4994,  3506,  1668,  3095,  3723,  2081,   896,  5920,  4822,
    5003,  3724,    49,  3142,  5568,  1495,   816,  4473,   896,  1496,
      50,  1608,  3426,    35,  1897, -2900,  3426,  6036,  4995,  3425,
    1795,  3627,  2819,  4474,   896,  3754,    50,    44,  1898,   744,
    1380,  1110,  1669,  2645,  6086,  1609,  1670,   978,  3142, -2900,
    1566, -2900, -2900,   953,  1497,  3466,  1253,  3651,  1418,  4055,
    4776,   953,  1637,  4056,  4057,  4058,  5833,  3456,  4218,   953,
    5965,  2587,  5819, -2900,   840,  1253,  5655,  1671,  4055,    48,
    6091,  5179,  4056,  4057,  4058,   852,  4997,  1498,   896,  1499,
    5256,  1433,   194,  3426,  1899,  4823, -2900,   634, -2900, -2900,
     634,  1638,   911,   896,  1111,  4219,   896,   896,  2811,  5541,
     634,   634, -1910,   953,   953,  2081,  1434,  5840,  3689,  3725,
   -1910,  3145,  1408, -1910,  1437,   634, -1910,   953,   634,  5485,
    3875,   910,  5565,  4475,  3579,    56,   195,   896,   896,  1500,
     953,   953,  1680,  1253,  2812,   742,  4055,  2585,  4460,  2715,
   -2901, -2901, -2901,  5573,  3146,  5387,  5566,  3651,  4998,  3265,
    3265,   191,  5257,  2950,  3265,    15,  4824,  4573,  3147,   927,
    4825,  6143,  4574,   662,  5681,  1376,  3690,  2960,   634,  1953,
    2587,  1681,   634,   634,  3693, -1732,   936,  3696,  3235,  1112,
    2961, -1732,  3931,   647,  1490,  3134,  1900,  3135,  2554,  3136,
      20,  3137,   928,  3138,  3148,  3265,  3265,  3139,   191,  1062,
    5436,  1058,  5202,  1639,  1061,  3190,  1682,   634,  1059,   634,
    2962,  2888,  1060,  3814,   634,   634,  4606,  2799,  3688,  2800,
     938,   634,   634,   634,   634,   634,   634,   634,   634,   634,
     634,  5565,   664,   634,  4618,   634,  5969,   634,   634,   634,
     634,   634,   634,  3179,  5986,   634,   959,   634,   634,   763,
    1608,   634,  1901,  1855,  2688,  5566,  3713,  4060, -1732,  3770,
    3771,  3772,   960,  6209,  2688,   896,   634,   634,   634,  2811,
    5367,  1491,  1855,   764,  1609,  1487,  4060,  5968,  1953,  1621,
    3425,  3425,  2801,  3726,   634,   194,  1795,  4286,  1003,  3665,
    5369,  3760,  4630,  3732,  4653,  3194,  4601,  3389,  4099,  2898,
    3662,  1622,  4181,  1012,  3738,  2812,  4642, -1732,  3663,  5391,
    3664,  4646,  5378,  3576,  1488,  5670,  4645,  1875,  1124,  1953,
    4649,  4650,  3727,  5811,  1492,  5517,  3029,  5519,  -464,   195,
    4962,  3925,  5347,  5733,  3046,  4061,  4182,  1113,  1136,  5370,
    2566,  1876,  2950,  4602,  3426,  3426,  2688,    40,  4588,  1489,
    1902,  4760,  1623,  4963,  4061,   813,  1020,  3728,  5734,  2889,
    5357,  4822,  5359,  2890,  1136,  3776,  5348,  5844,  1947,  4184,
    3969,  4433,    40,  2641,  1114,  5783,  2859,  5785,  1066,  1643,
    6070,  5789,  5790,  2567,    44,    32,  3027,  3104,  4664,  4665,
    4666,  4667,  1948,  2728,  4671,  4672,  4673,  4674,  4675,  4676,
    4677,  4678,  4679,  4680,  4800,   675,  3057,   676,  5985,    44,
    3861,  3862,  3863,  3864,  2950,  3866,  1064,    40,  1644,  2642,
    5861,  5338,  4061,  5339,  5340,  5341,    48,  4388,   634,  2869,
    4854,  1482,  1493,  1851,  2872,  1115,  3958,  1116,  3386,    49,
    3894,  1117,  1624,  1608,  4945,  4743,  1071,  4823,  5279,  -464,
    1621,    48,  1103,  1645,    44,  2830,  5285,   194,  4719,  4720,
    5823,   757,  3387,    50,    49,  4855,  1483,  1609,  4946,   187,
    1484,  5786,  1622,  1646,  4425,  4342,  5787,   634,  6135,  4464,
    4233,  2643,    56,  4329,  5791,  4465,  -150,  4089,    50,  1104,
    4186,  3857,  1085,  4096,  2707,  4330,    48,  5565,  4466,  5229,
    1625,   195,  1021,  1099,  1626,  1485,  1022,    56,  2947,    49,
    3999,  5674,  2953,  6145,  4343,  2596,   187,  3425,  4824,  2897,
    3887,  5566,  4825,  1623,  3425,  1105,  4467,  5788,  4468,  3425,
     634,  2644,  3425,    50,  4180,  5675,  -610,  6034,  1647,  4062,
    4063,  4064,  4065,  4066,  4067,  4068,  4069,  4070,  4180,  4344,
    3234,  1107,    56,  1628,  6161,  1611,  4856,  4536,  4062,  4063,
    4064,  4065,  4066,  4067,  4068,  4069,  4070,  3849,    40,   931,
    3283,  4000,   931,  1106,  1685,  1103,  4001,  1689,  6162,  1108,
    1648,  3426,   943,   943,  6247,  4469,  6250,  1649,  3426,  5078,
    1650,  1109,  2645,  3426,  4574,  4801,  3426,   943,  1630,  1126,
     943,  1498,  4802,  1499,  2080,    44,  6261,  2081,  2794,  4803,
    4181,  1598,  1104,  1624,  4470,  5757,  1615,  6038,  6039,  2802,
    5761,  5762,  1631,  5898,  4181,  1130, -2901, -2901, -2901,  4065,
    4066,  4067,  4068,  4069,  4070,  1959,  1137,   233,  1801,  2585,
    1146,  6229,  1633,   648,  4182,  4804, -2901,    48,  4506,  5992,
     943,   740,  1414,  1415,   943,   943, -2340,  2574,  4182,  4183,
      49,  1021,  2075,  1209,  4151,  1022,  1147,  4805,  2831,   814,
    1816,  1625,  2587,  4183,   757,  1626,  4206,  4184,  4240,  1419,
    1420,  1825,   757,  1408,    50,  2621,   772,  4814,  5614,  4471,
    2897,  4184,   772,  1076,  4472,  1077,  1106,  1833,  1421,  1419,
    1420,  4814,  1080,    56,  1081,  4185,  1171,   634,   634,   634,
     634,   634,   634,   634,   634,   634,  1153,   634,  1423,  4185,
    3403,  3405,  3406,  3704,  1628,  3705,  2969,  2970,   634,  3709,
     634,  4797,  4790,   978,     3,     4,  1408,  4473,  2621,  1164,
    6122,  4105,  5615,  1181,  3543,  5616,  3547,  3548,  1408,  3546,
    1437,  5617, -1685,  4474,  1419,  1420,  1021,  6052, -2348,  3312,
    1022,  1651,  2025,  3290,    56, -1685,  3293,    40,   634,  1630,
    2009, -1685,   634,  1801,  1408,   634,  2621,   634,  2582,  5618,
     634,  1801,  3382,  5575,   634,   643,  2595, -2901,  4394,  2596,
    3453,  3454, -2901,  1631,  4162,  4163,  1652,   757,  4186,  4993,
    1653,  3090,  1209,  3091,    44,  1795,  3425,   634,  4081, -2341,
    4083,  4084,  4186,  1633,  1021,  4153,  1209,  4276,  1022,  4018,
   -1685,  4019, -1756, -1756,   634,  3318,  3319,  3320,  3321,  6170,
   -1109,  1208,  3540,   634,   634,  1654,  2629,  5619, -2901,  1801,
    1213,  4235,  1655,  4305,  3130,  1220,    48,  2596, -1685,  1223,
    5620,  3575,  5111,  4475,  2004,  4196,  4533,  1217,  4534,    49,
     953,  3468,  3141,  5621,  4814,  3142,  1226,   896,  5118,  5845,
    3426,   896,   896,  3143,  3182,  4124,  3142,  3183,   953, -1760,
   -1760,  5741,   953,    50,  3385,  4460,   953,  1953,  1799,  5746,
    5747,  3390,  1225,  2592,  2596,   953,  2622, -1685,  4279, -1759,
   -1759,  3477,    56,  3509,  2596,  3512, -1685,  4522,  1236,  3573,
    3645,  4867,  3574,  3646,   953,  1237,  3810,   634,   662,  3811,
    3949,  1238,  6114,  3142,  3241,  1239,  5046,  5202,   634,  1240,
     896,   634,  5141,   634,   634,  1241,   896,  3669,  5144,  5145,
    3998,  1247, -1082,  2596,  3265,  3265,  3265,  3265,   953,  1249,
    3265,  3265,  3265,  3265,  3265,  3265,  3265,  3265,  3265,  3265,
    4054,  6082,    29,  3423,  5530,  5531,  3957,  4007,   953,   953,
    2596,  1379,  4082,  4857,  4337,  4864,  4013,   896,  4692,  2596,
    1382,  3670,  3425,  1124,  5874,  5875, -2901,   664,  6032,  6006,
    6007,  4014,  4846,  4837,  2596,  4142,  1387,  4143,  3561,  1795,
     953,  1386,  3425,  1795,  3832,  1388,  4032,  5662,  4106,  3769,
    2688,  1396,  4617,  3008,  3265,  3265,  3425,  4041,  3757,  4074,
    2596,  4088,  2596,  4093,  2596,  1392,  4094,   953,  4509,  1795,
    4144,  4160,  4145,   953,  2596,  4241,  4242,  4322,  1401,  4327,
    4323,   666,  4328,  6184,  1402,  6185,  3426,   953, -1685,  4481,
    4353,  4883,  4137,  4354,   953,   905,   906,   953,    40,  4750,
   -1685,  4422,  5622,   953,  4354,  5623,  3426,  4987,  3671,  4988,
    1404,  1621, -1684, -1685,  4545,  4548,  6210,  4546,  4549, -1685,
    3426,  4579,  1408,   953,  4580, -1684,  1425,  4689, -2901,   953,
    4690, -1684,  5152,  1622,  5153,    44,   953,  3660,  5726,  3312,
    2526,  2527,  2528,  2529,  2530,  2531,  1442,    29, -1673,  4362,
     953,  3703, -1685,  1411,  4368,  4700,  1021,  1412,  4701,  1442,
    1022,  1427,  3672,  4711,   953, -1685,  2596,  1442, -1685,  1795,
    4263, -1685,  1443,  3416,  6251,   953,  4785,    48,  4791,  4786,
   -1684,  4792,  1454,  3478,  1623,  1124,  4796,  1469,  1470,  3492,
      49,  1474,  1471,   634,   634,   634, -1685,  1480,  1437,   634,
     675,  3494,   676,  5047,  5113,  3497,  3142,  2001, -1684,  3500,
    1547,  4452,  5149, -1109,    50,  2596,  3833,  4180,   187,  3425,
   -1685,  1521,  4358,  3673,  4814,   679,   634,   896,  1851,  5186,
    1552,  5240,  2596,  6083,  3492,  1795,  3991,  3526,  3993,  3994,
    4739, -2385,  4741,    40,  4374, -1685,  5246,  5064, -1685,  5247,
    5253,  4861,  5254,  3142, -1685,  3142,  1550, -1684,  5255,  2842,
    5393,  3142,  5391,  5394,  1553,  1588, -1684,  4787,   634,  5430,
    5451,  3568,  4580,  5452,  1624,  5453,  5472,  1594,  2596,  5473,
      44,  5482,  3425,  3426,  1953,  5488,  5490,  5609,  4519,  4519,
    5610,  1079,  5629,  4181,  1592,  3142,  3876, -1685,  5057,  5195,
     896,  5197,  3898,  1593,   896,  5663, -1685,  5709,  5664,  5715,
    5710,  5718,  1953,  4624,  4519,  5729,  5776,  5815,  5730,  5777,
    2553,  1617,    48,  3618,  3988,  5975,  4816,  4182,  4818,   631,
    4499,  4821,  1625,  1605,  4695,    49,  1626,  5842,  3674,  1620,
    5730,  5865,  4183,  1607,  4094,  5866,  3426,  1642,  2596,  5884,
    3647,  2897,  5885,  1659,  5888,   978,  3656,  1953,  5896,    50,
    4184,  2688,  2627,  5889,  4244,  5918,  2596,  1660,  3183,  5924,
    3666,  5925,  3183,  5928,  3183,  1676,  2596,  1079,    56, -1422,
    3679, -1422,  3834,  1686,   914,  1628,  3684,  4759,  4185,  4762,
     953,  5929,  1795,  1690,  2596,  3265, -1685, -1733,  5930,  1687,
    4492,  5931,  4495, -1733,  1695,  1696,  3697,   896, -1684,   953,
    5957,  6011,  3700,  5958,  4519,  5209,   953,  1809,  1811,  3706,
     634,  1700,   896,   634,  3423,   634,   634,   896,  6025,  4611,
    1630,  2596,  3835,  3721,  6027,   634,  6033,  2596,  1813,  3142,
     634,   908,  6048,  6072,  3425,  6049,  6073,  3747, -1685,  4482,
     931,  4484,   915,   943,  1631,   943,   943,   896,  1079,  1799,
    6113,  4202,  3675,  5723,  1124,  6142,  1124,  1818,  5730,  6180,
    3676,  1824,  6181,  3677,  1633,  6204,  4814,  2667,  2596,  2670,
   -1733,  4186,  1829,  1832,  2981,   634,   634,   634,  6223,   908,
     634,  5885,  1834,  1839,  6233,  2992,  2627,  6234,   634,   634,
     634,   634,  6239,  6248,  6260,  4786,  2596,  6234,  3426,  1795,
    5468,  3010,  5469,  1842,   634,  1795,  1021,   634,  4867,   634,
    1022,  1844,  1836,  5445,  1853,  1858,  1859,  2080,  -137, -1733,
    2081,   634,   634,  4554,  1861,   634,  5579,  1862,   916,  3425,
    1864,  1866,  1867,  1887,  1878,  1885,  1890,  1894,  1124,  6080,
     213,  1903,  1908,  1909,  1910,  4619,   634,  1912,   634,  1915,
     634,  1916,  2585,  1919,  1927,  3084,  1931,  5975,  1920, -2901,
    3627,  5210,  4878,  4814,  4858,  2080,  1933,  1934,  2081,   634,
    3096,  1936,  5580,  1136,  3100,  1938,  5272,  1943,  4147,  4148,
    4149,  1944,  1946,   908,  1949,  2587,  3651,  1952,  1955,  1956,
     953,  1958,  1975,  3426,  2006,  2013,  2022,  5581,  2023,  2015,
    2585, -1914, -1921,   187,  3119,  1136,  2018, -2901,  2030,  2031,
    2032,  5165,  2033,  2034,    56,  5582,  2036, -1911,  2037,  5583,
    2038, -1912,  2040, -1915,  2041,  2042,   634,  2043, -1913,   634,
    3425,  2044,  2045,  2587,   908,  2046,  2047,  5091,  2048,  2049,
    2059,  5584,   634,  2051,  2052,  5585,  2053,   634,  2054,  2055,
    2056,  2057,  2058,  2061,  4123,  2062,  2063,  4833,  2064,  2065,
    5586,  2066,   634,  3965,  2067,  4814,  4907,  2068,  2622,  2537,
     917,  2539,  2541,  2543,  2544,  2553,   634,  2557,  2569, -2670,
    2577,  2599,  3981,  2600,   634,  2605,  2607,  2608,  2617,  3965,
    2611,  2612,  2614,  2615,  3426,  2616,   896,  2618,  2623,   896,
   -2901,   896,  4718,  4513,  2630, -2901,   896,  1457,  1459,  4981,
    4968,  2661,  2663,  2673,  2675,  5687,  1621,  2676,  2677,  2678,
    2694,   953,   953,  2696,  2697,  2695,  2621,   634,  2700,  2698,
    2699,  2701,  2702,  2703,  6208,  2704,  2710,  2730,  1622,  2742,
     631,  2736,  3298,  2756,  2760,  2762,  2763,  2764, -2901,   953,
    2766, -2901,   953, -2901,  2767,   896,  2780,  4973,  1253,  5587,
    2784,  4055,  2785,   896,  4849,  4056,  4057,  4058,  2786,  2797,
    3314,  2798,  3315,  2809,  2813,  2816,  2817, -2670,  4661,  2818,
    2815,  3425,  3423,  5180,  2819,  3423,  2827,  2829,   896,  1623,
    4859,  4112,  2828,  4113,  2832,  2833,  3316,  2733,  2834, -2901,
    4596,  2843,  2839,  2072,  2849,  2850,  2592,  2853,  5689,  2840,
    5588,  2863,  4688,  2864,  2867,  2870,  2877,  4114,  2873,  2884,
    2874,  2879,  2891,  2880,  1795,  1795,  1795,  4202, -2670,  2894,
    1566,  2909,  3423,  2911,  4860,  2892,  2899,  3969,  5708,  2900,
    3423, -2670,  2913,  2920,  2905,  3426,  2921, -2670,  2906,   953,
    2937,  2072,  2912, -2670,  2592,  2914,  4861,  2946,   896, -2670,
     896,  3317, -2670,  4727,  2918,  2926, -2670,  2983,   953,  2927,
    2980,  2968,  3425,  2975,  2982,  3312,  2984,  2940,  3425,  1624,
    2985,  2951,  3317,  2989,  2990,  5413,  2991,  2993,  2994,  2995,
     953,  4133,   931,  2997,  3001,   943, -2670,   943,   943, -2901,
    2996,  3003,  3011,  3004,  3012,  3015,   657,  3028,  5108,  3020,
    3318,  3319,  3320,  3321,  1639,  3039,  3043,  3322,  3323,  3056,
    3002,  3044,  3047,  3324, -2670,  3063,  3072,  3059,  3083,  3062,
    3093,  3318,  3319,  3320,  3321,  3089,  3426,  1625,  4115,  3076,
    3080,  1626,  3426,  3105,  4116,  3107,  3108, -2901,  3109,  3123,
    3098,  3110,  4167,  3192,   896,  4172,  2897,  3211,  3180,  3166,
    4862,  3155,  2081,  3285,  3216,  3291,  3332,  3352,  3378,  4060,
    3392,  3373,  3295, -2670,  3311,  3330, -2670,  3357,   953,  3377,
    3425,  3358, -2670,   634,  3376,  3391,  1432,  3379,  3408,   634,
    1628,  3393,  3394,  3395,  3396,  3400,  3409,   915,   896,  3445,
    3428, -2901,  3416,  3433,  3446,  3447,   907,  3448,  3469,  3481,
    3416,  3462,  3470,  2526,  2527,  2528,  2529,  2530,  2531,  3482,
    3484,  3501,  3515,  3513,  3517,  1795,   896,  3518,  3525,  3519,
    3510,   953,  4261,   953,  3530,  1630,  3535,  3541,  3549, -2670,
    2627,  3536,  3538,  3565,  3426,  1376,   953,  4061,   953, -2901,
    3582,  5019,  5020,  3589,  3570,  3602,  3572,  1380,  3607,  1631,
    3608,  2526,  2527,  2528,  2529,  2530,  2531,  3628,   634,  3265,
    3634,  3635,  3325,  3641,  3661,  3652,  3683,  3699,  3636,  1633,
    3644,  4863,  1253,  3326,  4292,  4055,  3662,  5374,  1855,  4056,
    4057,  4058,  3741,  4117,   896,  3659,   789,  3682,  3756,  5174,
    3777,  3784,   916,  3764,  4118,  3765,  3768,  3790,   631,  4539,
    5711,   631,  3796,  3823,  3824,   953,   896,  3791,  3801,  3812,
    3838,  3265,  3792,  3842, -2670,  3852,  3844,  3859,  3870,  3871,
    3873,  3874,  4333,  3865,  3872,  3878,  3881,  3885,   896,  5220,
    3840,  3886,  3889,  3890,  3895,  4576,  3910,  3911, -2670,  3883,
   -2670, -2670,  3920,  3912,  5057,  3921,  1253,   953,   631,  4055,
    3922,  3924,  4543,  4056,  4057,  4058,   631,  3926,  3940,  5283,
    3942,  3943, -2670,  3948,  3966,  3946,   953,  3951,  3952,  3953,
     953,  3954,  3955,  3970,  3972,  3956,  3979,  3982,  3992,  3984,
    4012,  4028, -2670,  2819,  4031, -2670, -2670, -2670,  4015,  3961,
    1953,   953,  3971,  1950,  1917,  3960,  4107,  1215,  4009,  4010,
    4011,  3233,  4725,  4023, -2201,  4033,  4087,   634,  4042,  4102,
     896,  4090,  4043,  3769,  4121,  4051,   634,  4047,  4049,  5227,
    4131,  4132,  5744,  4050,  4073,  4078,  4079,  4086,  4138,  4164,
     634,  2596,  4101,  1218,   634,   634,  4134,  5345,  4136,  4158,
     634,  4062,  4063,  4064,  4065,  4066,  4067,  4068,  4069,  4070,
     634,  4428,   634,  4170,  4179,   634,  4159,  4198,  4166,   896,
     634,   634,   634,   634,  4211,  4213,   634,   634,   634,   634,
     634,   634,   634,   634,   634,   634,  2039,  4215,  4165,   634,
     634,   634,  4217,  4060,   896,  4238,  4171,  4224,  4194,   634,
     908,  4243,  4204,  4246,   634,  4245,  1795,  4255,   634,  4232,
    4258,  4260,  4272,  4273,  4284,  4285,   634,  4283,  4289,   634,
    4250,   634, -2672,  4251,  4256,  4290,  4291,  4292,  4296,  4307,
    4308,  4310,  4316,  4317,  4318,  4326,  4332,   634,  4341,  4355,
     634,   634,  4357,  4361,  4202,   634,   634,  4359,  5224,  4365,
     634,  4370,   634,  4369,  4373,  4376,  4363,  4732,  4733,  4734,
    4735,  4375,  4397,  4377,  3265,  4378,  4395, -2901,  4380,  4396,
    4202,  4061,  4411,  2080,  4398,  4399,  2081,  6107,  6108,  4414,
    4400,   191,  1062,  4402,  1058,   634,  4401,  1061,  4405,  4407,
    4403,  1059,  4409,   634,  3265,  1060,  4404,   634,  4406,  4416,
    5270,  4408,  4410,  4418,  2935,  2938,  4437,  3542,  2585,  4430,
    1554,  4431,  4432,  3550,  4420, -2901,  1555,  5160,  4421,  4427,
   -2672,  4434,  4442,  4448,  4450,  4485,   187,  4497,  4491,   634,
    4490,  1661,  4500,  4501,  4504,  5103,  5104,  5105,  5106,  5107,
    2950,  2587,  4508,  4518,  4519,  4061,   634,  4521,  4531,  4537,
    4528,  4538,   896,  4541,  3583,  4542,  4558,  4572,  4575,  4600,
    4578,  1557,   187,  4604,   634,  4590,  5413,  4544,  4591,  4592,
    4582, -2672,  4584,  4593,  4594,  4595,  4612,  4597,  4613,  4614,
    4620,  5358,  4621,  4622, -2672,  4623,   953,  4625,  4626,  4627,
   -2672,  5316,  4628,  4633,  4629,  4637, -2672,  4638,  4639,  2025,
    4643,  4644, -2672,  4640,  4647, -2672,  4651,  4652,  4055, -2672,
    4721,  4656,  4662,  4702,  5467,  1662, -2200,  1558,  4685,  4713,
    4714,  4756,  4744,  4686,  1559,  4769,  4755,  1560,  4763,  4687,
    4728,  4764,  4770,  4771,  4782,  4779,  4694,  1795,  4748, -2672,
    4788,  4717,  1795,   896,  1795,  4740,  4742,  5505,  4753,  3423,
    4799,  4751,  4768,  3423,  1561,  4773, -2901,  4807,  4829,  4202,
    4784, -2901,  4839,  4830,  4832,  4840,  4831, -2672,  1795,   896,
    4842,  4843,  4845,  4849,  5578,  4062,  4063,  4064,  4065,  4066,
    4067,  4068,  4069,  4070,  4852,  4853,  4870,  2898,  5376,  4885,
    1562,  4873,  4886,  4887,  4889,  4888,  4899,  4900,  4901,  4902,
    4913,  4915,  4924,  4903,  4904,  4922,  4916, -2901,  4933,  4934,
    4942,  4939,  4958,  4932,   953,  4959, -2672,   953,  4961, -2672,
    3423,  4859,  4964,  4975,  4977, -2672,  4978,  4979,  3265,  5001,
    4974,  4990,  5016,  5011,  5030,  5036,  5022,  5037,  5042,  5049,
    5066,  5059,  5065,  5076,  5043,  5082,  5083,  5085,  5086,  4062,
    4063,  4064,  4065,  4066,  4067,  4068,  4069,  4070,  5087,  5089,
    5090,  5101,  2592,  1663,  3808,  5095,  5109,  1564,  5115,  3167,
    5116,  5125,  2072,  5132,  5770,  2080,  5772,  1565,  2081,  5133,
    5134,   634, -2672,  5137,  5151,  5135,  1566,  5136,  5138,  5139,
    5163,  5142,  5166,  5167,  5146,  5143,  5157, -2202,  1567,   187,
    5168,  5172,  5189,  5185,  5199,  5203,  5206,   953,   953,  5213,
    2585,   896,  5217,  5222,  5226,  5225,  5236, -2901,   953,  3416,
    5239,  5241,  5243,  3416,  5248,   634,   634,  5249,  5258,  5284,
    5280,  5281,  5291,  5282,  5292,   953,  5286,  1664,  5293,   789,
    1569,  1570,  2080,  2587,  5305,  2081,  5312,  5308,  5314,  2082,
    2083,  2084,  5327,  5318,  5319, -2901,  5328,  5335,   896,  5336,
    5068,  5337,  5342,   896,   634,   634,  5349, -2672,  5879,  4834,
    5346,  5353,  1665,  5354,  5363,   634,  5355,  2585,  2080,  5372,
    5375,  2081,  5366,  5379,  2586,  5373,  5323,  5324,   978,  5326,
    5371, -2672,  5381, -2672, -2672,  5626,  5780,  5385,  5390,  6012,
    5397,  5401,  5402,  5395,  5406,  5905,  5404,  5408,  5410,  5409,
    2587,  5419,  4722,  2585,  3142, -2672,   953,  5425,  5427,  1795,
   -2901,  5434,  5435,  5525,  5440,  5441,  5442,  5446,  5450,  5456,
    5457,  5466,  5458,  5470,  5474, -2672,  5480,  5506, -2672, -2672,
   -2672,  1572,  5509,  5512,  3980,   634,  2587,  5518,  5484,  5521,
    5543,  5487,  5942,  5944,  5529,  5532,  5533, -2901, -2901,  3990,
    5537,   634,  5545, -2901,  3995,  5538,  5539,  5540,  5551,  2526,
    2527,  2528,  2529,  2530,  2531,   631,   634,  5552,  5548,   631,
    5556,  3423,  3423,  5562,  5563,  5564,  5571,  5593,  5599,  5782,
    5600,  5000, -2688,  5602,  4021,  5605,  5608,  4947,  5613,  5612,
    4950,  5632,  5633,  5637,   634,  5660,  5642,   634,  5644, -2901,
    5665,  5671,  5679,  5672,  5673,   634,   634,  5694,   896,  5703,
    5725,  5727,   634,   634,  5707,  2588,  5695,   634,  5513,  5719,
    2589,  5721,   634,  3265,  3265,   634,   634,  5749,  5723,  5724,
    5740,  5750,   634,  5883,  5752,  5758,   631,  5742,  5764,  5796,
    5809,  5799,  5803,  2590,  2271,  5807,  5817,  5822,  5831,  5835,
    5837, -2901,   634,  5836,  2592,  5839, -2901,  5838,  5849,   634,
    5856,  5848,  5850,  5858,   634,  5851,  2591,   634,   634,  5860,
    5877,  5876,  5867,  5878,  5891,   634,  5881,  4139,  5901,  5900,
   -2688,  5903,  5917,  5904,  5921,  5949,   634,  5935,  5952,  5954,
    5940,  5032,  5960,  5963,   634,  6051,  5964,  5228,  5230,  5578,
    5980,  5983, -2901,  5990,  5956,  5991,  5981,  2331,  2950,  5982,
    5997,  6004,  5996,  5999,   634,  6008,  6009,  5242,  6014,  6021,
    6023,  2592,  6035,  6030,  6043,  6045,  6053,  5950,  5951,  6062,
    6063, -2688,  6061,   896,  6079,  6081,  6098,  6109,  6112,  6120,
    5481,  3416,  6128,  5947, -2688,  6146,   953, -2901,  6126,  6157,
   -2688,  5481,  6158,  6152,  6153,  6163, -2688,  2592,  6165,  6166,
    6186,  6187, -2688,  6103,  6104, -2688,  6188,   187,  6211, -2688,
    6198, -1968,  6213,  6214,   896,  5278,  4230,  6224,  6222,  6226,
    6237,  6231,  6232,  6242,  6243,  6246,  5278,  6201,  6252,  3965,
    6255,   953,  5667,  6259,  1444,  1551,   896,  4156,  3714, -2688,
    2952,  3633,  4302,   953,  2576,  4876,  4869,  6046,  3423,  5287,
    3755,  3803,  5590,  4447,  2594,  3423,  1657,  1656,  5934,   634,
    3423,  6127,  5018,  3423,  5643,  4865,   634, -2688,  4866,  5352,
    5625,  5795,  4248,  6037,  3950,  5523,  6123,   953,  5955,  5953,
    6060,  6138,  4254,  5383,  5069,  5048,  5914,  5040,  5010, -2901,
   -2901,  4874,  4320,  4507,  3821,  5035,  3822,  5631,  1641,  5377,
    4547,  2526,  2527,  2528,  2529,  2530,  2531,  5852,   896,  5691,
    5093,  6183,  6258,  5606,  6244,  4453, -2688,  6065,  5550, -2688,
    3019,  5923,  5077,  5696,  5760, -2688,  5553,   738,  1054,   791,
    5110,  5769,  4264,  4598,   634,  5736,  5112,   631,   631,  1998,
    4267,  6179,  3850,  3487,  5717,  1124,  3082,  5079,  4239,  3078,
     634,  2074,  3094,  4564,  5910,  1795,  2522,  5668,  1125,  5846,
    4417,  3111,  3752,  1165,  4905,  2523,  2524,  2525,  2526,  2527,
    2528,  2529,  2530,  2531,   953,  4364,  6212,  2709,  6085,  5096,
    5097,   634, -2688,  3432,  3780,  1389,  6227,  4793,  5735,  2977,
    6031,  2549, -2901,   978,   819,  5231,  2597,  5935,   820,  5140,
    4200,  4212,  5388,  2658,  2526,  2527,  2528,  2529,  2530,  2531,
    2657,  6026,  3442,  5893,  2662,  4174,  4761,  4746,  5486,  5765,
    5766,  4168,  5706,  5705,  4169,  3416,  4794,   896,  6195,   896,
    3416,  6013,  6110,  3416,  5882,  4350,  4202,  4352,  5690,   789,
    4696,  3353,  5894,  4135,  5895,  3356,  2606,  5907,   978,  4004,
    3779,  4129,  4120,  3271,   187,   187,  4127,  4038,  5716,  5547,
     953,  4648,  3368,     0,  5549,  1440,     0, -2688,     0,  3430,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0, -2688,   634, -2688, -2688,   634,     0,     0,   634,   634,
     634,     0,     0,     0,  5592,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5299, -2688,     0,     0,     0,     0,
       0,     0,     0,   634,   634,     0,  5309,   634,     0,     0,
       0,  4413,     0,     0,     0, -2688,     0,  3423, -2688, -2688,
   -2688,     0,     0,     0,     0,  5774,  1124,   634,     0,     0,
    6220,     0,     0,   634,     0,     0,     0,   634,     0,     0,
       0,     0,     0,   896,   634,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   631,  4435,  5890,   634,  5892,     0,
     634,   631,     0,     0,     0,   953,   631,   953,     0,   631,
    5215,   634,     0,     0,     0,  6235,  6220,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5507,     0,     0,     0,  6220,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   632,   896,   953,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   634,     0,     0,     0,
       0,   784,     0,   786,     0,     0,     0,   792,     0,     0,
       0,     0,   800,   808,   812,     0,   815,     0,     0,   808,
     808,  3583,   845,     0,   848,     0,     0,     0,     0,     0,
       0,   904,   904,   904,     0,     0,  1795,     0,     0,  6245,
       0,   634,     0,     0,     0,     0,     0,     0,  5769,     0,
       0,     0,     0,     0,     0,     0,  2080,     0,     0,  2081,
       0,     0,     0,  3423,     0,  4577,     0,     0,     0,   187,
       0,     0,     0,     0,     0,     0,     0,     0,  5630,     0,
       0,     0,     0,  3423,     0,     0,     0,     0,  6172,  6173,
       0,  2585,     0,  3965,     0,     0,     0,  3423, -2901,     0,
       0,     0,     0,     0,   634,     0,     0,   896,     0,  5656,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    71,   191,   186,  2587,   180,     0,    80,   184,   175,
      83,    84,   181,     0,    85,    86,   183,   106,   124,   129,
     634,     0,   908,     0,   634,     0,   634,  4634,   159,     0,
       0,   178,   185,     0,     0,     0,     0,     0,     0,     0,
     634,  5658,     0,     0,     0,     0,  1124,   634,     0,     0,
     634,     0,     0,     0,     0,   632,   933,   933,     0,     0,
     933,   634,  5360,     0,   944,     0,   845,     0,   634,   980,
       0,     0,   944,  5183,     0,   944,  4663,     0,   845,     0,
     933,     0,     0,   845,     0,     0,     0,   933,     0,   845,
       0,     0,     0,   631,     0,     0,     0,     0,  3965,     0,
    3965,  4684,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3416,   634,     0,     0,   978,     0, -2901,
     896,     0,     0,     0, -2901,   896,   896,     0,     0,     0,
     634,     0,     0,     0,     0,     0,   634,   634,   953,     0,
    3423,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   953,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
   -2901,     0,   634,     0,     0,     0,     0,     0,     0,     0,
       0,   634,     0,     0,  1795,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3423,     0,     0,     0,     0,     0,   634,
       0,     0,     0,  6171,     0,     0,     0,     0,     0,     0,
    5825,     0,     0,     0,     0,  2592,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   896,   896,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   634,     0,     0,     0,     0,     0,     0,   631,
       0,   634,   634,   634,     0,   187,     0,     0,     0,     0,
       0,     0,     0,     0,   634,  1795,     0,     0,   896,   631,
       0,     0,     0,   634,     0,   634,     0,   634,     0,     0,
       0,     0,     0,   631,   634,  6042,   187,     0,     0,     0,
    5897,     0,     0,  6238,     0,     0,     0,     0, -2901,     0,
     187,     0,     0,     0,     0,     0,   634,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1795,     0,   953,     0,     0,     0,     0,   943,     0,
       0,     0,     0,     0,     0,  3423,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  6092,  6093,     0,
    1914,     0,     0,     0,     0,     0,  1918,     0,  1524,     0,
       0,     0,     0,     0,  2072,     0,  1929,     0,     0,     0,
    1932,     0,     0,   943,  1935,   634,  1937,     0,     0,     0,
       0,     0,  1945,     0,     0,     0,     0,     0,  1951,     0,
   -2901,  1954,     0,  1525,     0,     0,     0,     0,     0,     0,
       0,     0,  2526,  2527,  2528,  2529,  2530,  2531,     0,     0,
       0,     0,   634,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2080,   634,     0,  2081,     0,     0,
    3423, -2901, -2901, -2901,     0,   634,   631,     0,     0,     0,
       0,     0,     0,     0,     0,   634,     0,     0,   953,     0,
       0,     0,     0,     0,  1526,     0,     0,     0,     0,  2585,
       0,     0,   634,     0,     0,     0,  2586,     0,     0,     0,
       0,     0,     0,  1033,     0,   953,     0,     0,     0,   845,
       0,   933,     0,   933,     0,     0,   933,     0,  5021,     0,
       0,  1527,  2587,   980,     0,     0,     0,     0,  1091,   631,
     933,     0,     0,     0,     0,  3416,   933,   187,     0,     0,
       0,     0,     0,     0,     0,     0,   634,  6066,     0,     0,
       0,     0,     0,  1554,     0,     0,   634,     0,     0,  1555,
     632,  3423,     0,     0,   634,   634,  1528,     0,     0,   944,
     634,   191,  6090,   980,  6087,     0,   944,     0,     0,   944,
       0,  6088,     0,     0,     0,  6089,     0,     0,     0,   634,
     634,     0,     0,     0,     0,   933,     0,     0,     0,     0,
       0,     0,     0,     0,  1557,     0,     0,     0,  1530,     0,
       0,  6151,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   953,     0,     0,     0,   187,     0,  6253,
    6254,     0,     0,     0,     0,     0,     0,  2588,     0,     0,
    1532,     0,  2589,     0,     0,     0,     0,   634,   845,     0,
       0,     0,     0,   634,     0,     0,     0,  1235,     0,     0,
    1558,     0,     0,  5808,     0,   191,  6090,  1559,  6087,     0,
    1560,   634,   634,     0,     0,  6088,     0,  1361,  1361,  6089,
     845,   808,    35,     0,  2776,   808,   634,  1534,  2591,     0,
       0,   631,     0,     0,     0,     0,  1535,  1561,     0,   845,
     634,     0,     0,     0,   845,  1536,     0,     0,     0,     0,
    1361,     0,  3423,  2777,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1538,     0,     0,     0,     0,
       0,     0,     0,  1562,  1539,   634,     0,     0,  1540,     0,
       0,     0,     0,  2592,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   634,     0,  1361,     0,     0,
       0,  3965,  1795,     0,     0,     0,     0,   191,  6090,     0,
    6087,   845,     0,     0,     0,     0,     0,  6088,     0,     0,
       0,  6089,     0,     0,   845,     0,   631,     0,     0,     0,
       0,     0,     0,  1541,     0,   634,   634,     0,     0,   845,
     634,     0,     0,  3423,   634,     0,  1663,     0,  1795,  3423,
    1564,     0,     0,     0,     0,     0,   634,   634,   845,     0,
    1565,     0,     0,   933,   933,     0,  1795,     0,     0,  1566,
       0,     0,     0,     0,     0,     0,  2594,     0,  3900,     0,
       0,  1567,     0,     0,     0,     0,     0,     0,     0,     0,
    5262,     0,     0,     0,     0,   808,   808,     0,     0,     0,
       0,     0,  1524,     0,   187,     0,     0,     0,  2080,     0,
       0,  2081,     0,     0,     0,  2082,  2083,  2084,  1361,  1361,
    1691,     0,     0,  1569,  1570,     0,     0,   631,     0,   187,
       0,  5288,   632,  2584,   933,     0,     0,  1525,   944,     0,
       0,   980,   944,  2585,   944,     0,     0,     0,     0,   933,
    2586,  3423,     0,  5304,     0,  1692,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   845,     0,     0,  2587,     0,  2522,     0,
     933,   933,     0,     0,     0,     0,     0, -2901, -2901, -2901,
    2526,  2527,  2528,  2529,  2530,  2531,     0,     0,  1526,     0,
       0,     0,   845,   845,   845,     0,   933,     0,   632,     0,
     632,   632,     0,     0,   943,     0,     0,     0,     0,     0,
       0,     0,     0,  6150,  1572,  5332,     0,     0,     0,     0,
    2080,     0,     0,  2081,  1524,  1527,     0,  2082,  2083,  2084,
       0,     0,     0,     0,   933,     0,   933,   933,     0,     0,
       0,     0,     0,     0,     0,  2584,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2585,     0,     0,     0,  1525,
       0,     0,  2586,     0,     0,  3901,     0,     0,   631,  1361,
    1528,     0,     0,     0,     0,     0,   943,   943,     0,     0,
       0,  2588,     0,     0,     0,     0,  2589,     0,  2587,     0,
       0,     0,     0,     0,     0,  1978,     0,  1978,     0,     0,
       0,   845,     0,   784,     0,     0,     0,     0,     0,  2590,
    2271,     0,  1530,     0,     0,   187,     0,     0,     0,     0,
    1526,     0,     0,     0,     0,     0,     0,  2014,     0,   845,
       0,     0,  2591,  2020,     0,     0,  5418,     0,     0,     0,
       0,     0,  2080,     0,  1532,  2081,     0,  1361,     0,  2082,
    2083,  2084,     0,     0,     0,     0,     0,  1527,     0,   631,
       0,     0,     0,     0,     0,   631,     0,  2584,     0,     0,
       0,     0,     0,  2331,     0,     0,     0,  2585,     0,     0,
       0,     0,     0,  6155,  2586,  1361,    35,  2592,     0,     0,
    2593,  3902,     0,     0,     0,     0,     0,  3106,     0,     0,
    1535,     0,  1528,  2588,     0,  3113,     0,     0,  2589,  1536,
    2587,     0,     0,     0,  1361,  1361,  1361,  2777,  1361,     0,
       0,     0,     0,     0,  3900,     0,     0,     0,     0,  1538,
       0,  2590,  2271,     0,     0,     0,     0,     0,  1539,  1361,
    1529,     0,  1540,     0,  1530,     0,     0,  6192,  1524,     0,
       0,     0,  2080,     0,  2591,  2081,     0,     0,     0,  2082,
    2083,  2084,  3903,     0,     0,     0,     0,   631,     0,     0,
    4413,     0,     0,     0,     0,  1531,  1532,  2584,   845,     0,
    2594,     0,     0,  1525,     0,     0,     0,  2585,     0,     0,
       0,     0,     0,     0,  2586,  2331,  1361,  1541,     0,     0,
       0,  3904,     0,     0,     0,     0,     0,     0,  6192,  2592,
       0,     0,  2593,     0,  1533,     0,  6241,     0,    35,     0,
    2587,     0,     0,  1534,     0,  2588,     0,     0,   943,   943,
    2589,     0,  1535,     0,     0,     0,     0,     0,     0,     0,
       0,  1536,  1361,     0,  1526,     0,  1361,  1361,     0,  1537,
       0,     0,     0,  2590,  2271,     0,     0,   845,   845,   845,
    2672,  1538,  1361,     0,     0,     0,     0,     0,     0,     0,
    1539,     0,     0,     0,  1540,     0,  2591,     0,     0,     0,
       0,  1527,  2522,     0,     0,   808,     0,     0,     0,     0,
       0,  2523,  2524,  2525,  2526,  2527,  2528,  2529,  2530,  2531,
       0,     0,  2594,     0,     0,     0,     0,     0,  4030,     0,
       0,     0,     0,     0,     0,     0,     0,  2331,     0,     0,
    2765,  3901,     0,     0,     0,   808,  1528,     0,   933,  1541,
       0,  2592,     0,     0,  2593,  2588,     0,     0,     0,     0,
    2589,   845,  2793,     0,     0,     0,     0,     0,     0,     0,
     845,     0,     0,   933,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2590,  2271,     0,     0,     0,  1530,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     980,     0,   845,     0,     0,   808,  2591,     0,  2861,  2861,
       0,     0,  2861,     0,     0,     0,     0,     0,     0,     0,
    1532,     0,   808,  2080,  2522,   845,  2081,     0,   845,     0,
    2082,  2083,  2084,  2523,  2524,  2525,  2526,  2527,  2528,  2529,
    2530,  2531,     0,     0,  2594,     0,  4044,  2331,  2584,  4045,
     933,     0,     0,     0,     0,     0,     0,     0,  2585,     0,
       0,  2592,    35,     0,  2593,  2586,     0,  1534,   845,     0,
       0,     0,     0,     0,     0,     0,  1535,     0,     0,     0,
     933,   933,   933,   933,   845,  1536,     0,     0,     0,     0,
       0,  2587,     0,  2777,     0,     0,     0,     0,   845,     0,
       0,     0,     0,     0,     0,  1538,     0,     0,     0,  1361,
    1361,  1361,     0,     0,  1539,     0,     0,  2004,  1540,     0,
       0,     0,  2004,  2004,     0,     0,     0,     0,     0,     0,
       0,   774,     0,     0,     0,     0,     0,   774,  3903,     0,
       0,     0,     0,     0,     0,     0,  2522,     0,     0,     0,
       0,     0,     0,     0,  2594,  2523,  2524,  2525,  2526,  2527,
    2528,  2529,  2530,  2531,     0,     0,     0,     0,     0,     0,
       0,  4046,     0,  1541,     0,     0,     0,  3904,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2588,     0,   845,     0,
       0,  2589,     0,     0,     0,     0,     0,     0,     0,   845,
       0,     0,     0,     0,     0,     0,     0,   933,   933,     0,
       0,     0,     0,     0,  2590,  2271,  5847,     0,     0,     0,
       0,     0,     0,   933,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2522,  2591,     0,     0,
       0,   845,  2861,     0,     0,  2523,  2524,  2525,  2526,  2527,
    2528,  2529,  2530,  2531,     0,     0,     0,   933,   933,   933,
     933,  4097,     0,     0,     0,  5887,   845,     0,     0,     0,
       0,     0,     0,   845,     0,     0,  3075,     0,  2331,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   632,  2592,     0,   632,  2593,     0,     0,     0,     0,
       0,     0,     0,     0,   944,   944,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   980,   980,     0,     0,   944,
       0,     0,   944,  2080,     0,     0,  2081,     0,     0,     0,
    2082,  2083,  2084,     0,     0,     0,     0,   933,   933,     0,
       0,     0,     0,     0,   933,     0,   845,     0,  2584,     0,
       0,     0,     0,     0,     0,     0,  3380,     0,  2585,     0,
       0,  1554,     0,  1978,     0,  2586,     0,  1555,     0,     0,
     933,     0,   944,     0,     0,  3158,   944,   944,     0,   845,
     845,     0,   933,     0,     0,  2594,     0,     0,     0,   845,
       0,  2587,     0,     0,     0,     0,   845,     0,     0,   845,
    3075,     0,     0,   784,     0,     0,   784,  3195,     0,  1554,
       0,  1361,  1557,  1361,     0,  1555,     0,     0,  1361,  1361,
       0,     0,     0,     0,     0,  1361,  1361,  1361,  1361,  1361,
    1361,  1361,  1361,  1361,  1361,     0,     0,  1361,     0,  1361,
     980,  1361,  1361,  1361,  1361,  1361,  1361,     0,  1524,  1361,
       0,  1361,  1361,     0,     0,  1361,     0,     0,     0,     0,
    1557,     0,     0,     0,     0,     0,     0,     0,  1558,     0,
    1361,  1361,  1361,     0,     0,  1559,     0,     0,  1560,     0,
       0,     0,     0,  1525,     0,     0,     0,  2522,  1361,     0,
       0,     0,     0,     0,     0,     0,  2523,  2524,  2525,  2526,
    2527,  2528,  2529,  2530,  2531,  1561,  2588,     0,     0,  3294,
       0,  2589,     0,     0,     0,     0,  1558,     0,     0,     0,
       0,     0,     0,  1559,   700,     0,  1560,     0,   933,     0,
       0,     0,     0,   788,  2590,  2271,     0,     0,     0,     0,
       0,  1562,     0,     0,  1526,     0,     0,     0,     0,     0,
       0,     0,     0,  1561,     0,     0,     0,  2591,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2080,     0,     0,  2081,     0,     0,     0,  2082,  2083,
    2084,  1527,     0,     0,     0,     0,     0,     0,     0,  1562,
       0,     0,  2080,     0,     0,  2081,  2584,     0,  2331,  2082,
    2083,  2084,     0,     0,     0,     0,  2585,     0,     0,     0,
       0,     0,  2592,  2586,  1663,  2593,     0,  2584,  1564,     0,
       0,     0,     0,     0,     0,     0,  1528,  2585,  1565,     0,
       0,     0,  1361,     0,  2586,     0,     0,  1566,     0,  2587,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1567,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2587,     0,  1563,     0,  1529,     0,  1564,     0,  1530,     0,
       0,     0,     0,     0,     0,     0,  1565,     0,     0,     0,
       0,  1361,     0,     0,     0,  1566,     0,     0,  2757,     0,
       0,  1569,  1570,     0,     0,  1554,     0,  1567,     0,  1595,
    1532,  1555,     0,     0,     0,  2594,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1661,     0,     0,     0,
       0,     0,     0,  2758,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1361,     0,  2835,     0,  1596,  1569,
    1570,     0,    35,     0,     0,     0,  1557,  1534,     0,     0,
       0,     0,     0,     0,  2588,     0,  1535,     0,     0,  2589,
       0,     0,     0,     0,     0,  1536,     0,     0,     0,     0,
       0,  2836,     0,  1597,     0,  2588,     0,     0,     0,     0,
    2589,     0,  2590,  2271,     0,  1538,     0,     0,     0,     0,
       0,     0,  1572,     0,  1539,     0,     0,     0,  1540,     0,
    1662,     0,  1558,  2590,  2271,  2591,     0,  2522,     0,  1559,
       0,     0,  1560,     0,     0,     0,  2523,  2524,  2525,  2526,
    2527,  2528,  2529,  2530,  2531,     0,  2591,     0,     0,  4039,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1561,
    1572,     0,     0,     0,     0,     0,  2331,   774,     0,   774,
       0,   774,     0,  1541,     0,     0,     0,   774,  1202,  1203,
    2592,     0,     0,  2593,     0,     0,     0,  2331,     0,  3923,
       0,     0,     0,     0,  3929,  1562,  3930,     0,     0,     0,
       0,  2592,     0,     0,  2593,     0,  3936,     0,     0,  3937,
       0,  3938,  3939,     0,     0,  3941,     0,     0,     0,  3944,
       0,  3945,     0,     0,  3947,     0,     0,     0,     0,     0,
       0,  1361,  1361,  1361,  1361,  1361,  1361,  1361,  1361,  1361,
       0,  1361,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   845,  1361,     0,  1361,     0,  1554,     0,     0,     0,
       0,   845,  1555,     0,     0,     0,     0,     0,  1663,     0,
       0,     0,  1564,  2594,     0,     0,     0,  1556,     0,     0,
       0,     0,  1565,     0,     0,     0,     0,     0,  3986,     0,
     845,  1566,  1361,     0,  2594,   933,  1361,     0,     0,  1361,
       0,  1361,     0,  1567,  1361,     0,     0,  1557,  1361,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3427,     0,     0,     0,     0,     0,   845,   845,     0,
       0,     0,  3711,     0,     0,  1569,  1570,     0,  1361,     0,
       0,     0,     0,     0,     0,     0,     0,  1361,  1361,     0,
       0,     0,     0,  1558,     0,     0,     0,     0,   774,     0,
    1559,   845,     0,  1560,     0,  2522,     0,  3712,     0,  3471,
       0,  3476,     0,     0,  2523,  2524,  2525,  2526,  2527,  2528,
    2529,  2530,  2531,     0,     0,     0,  2522,  4449,     0,     0,
    1561,     0,     0,     0,     0,  2523,  2524,  2525,  2526,  2527,
    2528,  2529,  2530,  2531,     0,     0,     0,     0,  4635,     0,
       0,   784,     0,   784,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1562,     0,   774,     0,
       0,  1361,     0,     0,     0,     0,  1572,     0,     0,     0,
       0,     0,   632,     0,     0,   944,   980,   944,   944,  2080,
       0,   933,  2081,     0,   845,     0,  2082,  2083,  2084,     0,
       0,     0,     0,     0,  1055,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2584,   808,     0,     0,     0,  1554,
       0,     0,     0,     0,  2585,  1555,  2793,     0,     0,     0,
       0,  2586,     0,     0,  3586,   845,     0,     0,     0,  1563,
       0,  3597,     0,  1564,     0,     0,     0,     0,     0,     0,
     845,     0,     0,  1565,  1123,   700,     0,  2587,     0,     0,
       0,     0,  1566,     0,     0,     0,     0,     0,     0,     0,
    1557,     0,   845,     0,  1567,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   845,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   808,     0,     0,     0,
       0,     0,     0,  1568,     0,     0,  1569,  1570,     0,     0,
       0,     0,     0,     0,     0,     0,  1558,     0,     0,   933,
       0,     0,   933,  1559,     0,     0,  1560,     0,     0,     0,
    1554,     0,     0,     0,  2080,     0,  1555,  2081,  1571,  4259,
    1222,  2082,  2083,  2084,     0,     0,     0,     0,   845,   845,
       0,     0,     0,  1561,     0,     0,     0,     0,     0,  2584,
    1244,     0,  2588,  3740,     0,  3743,  3745,  2589,  1364,  2585,
       0,  1373,  1123,  1375,     0,     0,  2586,     0,     0,     0,
       0,  1557,     0,     0,     0,     0,     0,     0,     0,  1562,
    2590,  2271,     0,     0,     0,     0,     0,  1361,  1361,  1361,
       0,     0,  2587,  1361,     0,     0,     0,  1572,     0,     0,
    4309,   933,  4311,  2591,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   933,     0,     0,     0,     0,     0,
    1361,     0,   933,     0,     0,     0,     0,  1558,     0,     0,
       0,     0,     0,     0,  1559,  2793,     0,  1560,     0,     0,
     845,     0,     0,     0,  2331,     0,  3847,     0,     0,   784,
       0,     0,  1663,     0,     0,     0,  1564,     0,  2592,     0,
       0,   933,  3858,     0,  1561,     0,  1565,     0,     0,     0,
       0,     0,  3740,     0,     0,  1566,     0,     0,     0,     0,
       0,     0,   933,     0,  3880,     0,     0,  1567,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   774,     0,
    1562,     0,     0,   774,   774,     0,     0,  2588,     0,     0,
       0,     0,  2589,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   933,     0,   933,  3578,   933,     0,  1569,
    1570,  2602,     0,     0,     0,  2590,  2271,     0,     0,     0,
    2609,     0,  2610,     0,  4412,     0,  2613,     0,     0,     0,
    4419,  2594,     0,  2619,     0,     0,     0,     0,  2591,     0,
    1978,  1571,     0,     0,     0,     0,  1123,     0,     0,     0,
       0,     0,     0,  1663,     0,     0,     0,  1564,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1565,     0,     0,
       0,     0,     0,     0,     0,  1554,  1566,     0,     0,  2331,
       0,  1555,     0,     0,     0,     0,     0,     0,  1567,     0,
       0,     0,     0,  2592,   632,   933,  2593,   944,     0,   944,
     944,     0,   933,     0,     0,     0,     0,     0,     0,  1361,
    1572,     0,     0,     0,  1361,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   774,     0,  1557,  3758,     0,     0,
    1569,  1570,     0,  2522,   774,     0,     0,     0,     0,     0,
       0,     0,  2523,  2524,  2525,  2526,  2527,  2528,  2529,  2530,
    2531,     0,     0,     0,     0,     0,     0,     0,     0,  1361,
    1361,  1361,  3759,     0,  1361,     0,     0,     0,     0,     0,
       0,     0,  1361,  1361,  1361,  1361,     0,     0,  1202,  1203,
       0,     0,  1558,     0,     0,     0,  2594,     0,  1361,  1559,
       0,  1361,  1560,  1361,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1361,  1361,     0,     0,  1361,
       0,     0,     0,     0,     0,     0,  4581,     0,  4583,  1561,
    4585,   774,     0,     0,   774,   774,     0,     0,   980,     0,
    1361,  1572,  1361,     0,  1361,     0,     0,  2003,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1361,     0,  1562,  4141,     0,     0,     0,
     845,     0,     0,     0,  1123,   701,     0,     0,     0,     0,
    3196,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   845,     0,     0,     0,     0,     0,     0,  2522,     0,
       0,     0,     0,     0,     0,     0,     0,  2523,  2524,  2525,
    2526,  2527,  2528,  2529,  2530,  2531,     0,     0,  2974,     0,
     632,     0,     0,  3427,  4178,     0,     0,     0,  4178,  4192,
    4178,   704,  3197,     0,  1554,     0,  1361,     0,  1663,     0,
    1555,  1361,  1564,   895,     0,     0,  2080,   705,     0,  2081,
       0,     0,  1565,  2082,  2083,  2084,  1361,     0,     0,  2076,
       0,  1566,  -136,     0,     0,  1038,     0,     0,  2078,     0,
    3427,  2584,     0,  1567,  4223,     0,     0,  4226,  3427,     0,
    3476,  2585,     1,     0,  2547,  1557,     0,     0,  2586,  3198,
       0,     0,  1554,     2,     0,     3,     4,     0,  1555,     0,
     708,     0,     0,  1123,     0,     0,  2564,  2565,     0,   709,
       0,  1123,  1123,     5,  2587,  1569,  1570,     0,     0,     0,
       0,  1361,   710,     6,     0,     0,  4252,   774,  3199,     0,
       0,     0,     0,     0,     0,     7,     0,     8,     9,     0,
       0,  1558,     0,  1557,    10,     0,    11,  1571,  1559,     0,
       0,  1560,   933,   933,     0,  1041,     0,     0,    12,     0,
      13,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    14,  1561,     0,
      15,     0,     0,     0,     0,     0,     0,     0,  3200,     0,
       0,     0,     0,     0,     0,    16,     0,    17,     0,  1558,
       0,    18,     0,     0,     0,     0,  1559,    19,     0,  1560,
     714,     0,     0,     0,  1562,    20,  1572,    21,     0,     0,
       0,     0,     0,     0,    22,     0,     0,     0,     0,  2588,
       0,     0,     0,     0,  2589,     0,  1561,     0,     0,     0,
       0,     0,    23,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2590,  2271,    24,
     845,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2861,     0,  1562,     0,     0,     0,     0,     0,     0,     0,
    2591,     0,     0,     0,     0,   213,  3201,  1663,     0,   719,
       0,  1564,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1565,     0,     0,     0,     0,     0,     0,    25,    26,
    1566,     0,     0,     0,    27,     0,  1045,     0,     0,  3202,
       0,  2331,  1567,     0,     0,     0,   723,     0,    28,     0,
       0,     0,     0,   724,     0,  2592,   725,     0,  2593,     0,
       0,     0,  3217,  3218,     0,  1663,    29,     0,     0,  1564,
       0,     0,     0,     0,     0,   726,  3251,  3252,     0,  1565,
       0,  4277,  1047,     0,  1569,  1570,  2902,     0,  1566,   728,
       0,     0,  1048,     0,  2910,     0,   730,  1361,     0,     0,
    1567,     0,     0,  1361,     0,     0,  3296,     0,     0,     0,
      30,  3203,     0,     0,   933,     0,  4278,     0,     0,     0,
       0,     0,     0,     0,    31,     0,     0,     0,     0,     0,
      32,    33,     0,    34,     0,     0,     0,   735,    35,  4335,
       0,     0,  1569,  1570,    36,     0,     0,    37,  2594,     0,
       0,   845,   845,   845,    38,     0,     0,     0,     0,     0,
       0,    39,    40,     0,     0,     0,     0,     0,   845,    41,
       0,     0,     0,    42,  4336,     0,     0,     0,     0,     0,
       0,     0,  1361,    43,     0,  1572,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    44,
    1978,   845,   845,     0,     0,     0,   845,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   845,    45,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      46,     0,     0,     0,     0,     0,    47,     0,     0,     0,
       0,    48,     0,  1572,     0,     0,     0,     0,     0,     0,
    2522,     0,     0,     0,    49,     0,     0,     0,     0,  2523,
    2524,  2525,  2526,  2527,  2528,  2529,  2530,  2531,     0,     0,
       0,     0,  4705,     0,   933,     0,     0,     0,    50,     0,
      51,    52,    53,    54,    55,     0,     0,     0,  3158,  4599,
       0,     0,     0,     0,     0,     0,     0,    56,     0,   845,
    -136,  5100,     0,     0,  5102,     0,     0,     0,     0,  3040,
       0,     0,   845,  3045,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1361,     0,  5117,     0,     0,     0,     0,     0,     0,
    1361,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1361,     0,     0,     0,  1361,  1361,
       0,     0,     0,     0,  1361,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1361,     0,  1361,     0,     0,  1361,
       0,     0,     0,     0,  1361,  1361,  1361,  1361,     0,     0,
    1361,  1361,  1361,  1361,  1361,  1361,  1361,  1361,  1361,  1361,
       0,     0,     0,  1361,  1361,  1361,     0,     0,     0,     0,
       0,     0,     0,  1361,     0,     0,     0,     0,  1361,   895,
       0,     0,  1361,     0,     0,     0,     0,     0,     0,     0,
    1361,     0,     0,  1361,     0,  1361,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   895,     0,     0,     0,     0,
       0,  1361,     0,     0,  1361,  1361,     0,     0,     0,  1361,
    1361,     0,     0,     0,  1361,     0,  1361,  4731,     0,     0,
       0,     0,     0,     0,     0,   845,   845,   845,     0,     0,
       0,     0,     0,  3228,     0,  2080,     0,     0,  2081,     0,
       0,     0,  2082,  2083,  2084,  4178,  4192,  4178,     0,  1361,
    4178,     0,     0,  4752,     0,  2080,     0,  3427,  2081,     0,
    2584,  3427,  2082,  2083,  2084,     0,     0,  4767,     0,     0,
    2585,     0,     0,     0,     0,     0,     0,  2586,     0,     0,
    2584,     0,     0,     0,     0,     0,  1524,     0,     0,     0,
    2585,     0,  5261,  1361,     0,     0,     0,  2586,     0,     0,
       0,     0,     0,  2587,     0,     0,     0,     0,  3476,     0,
    1361,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1525,     0,  2587,     0,     0,     0,     0,  4815,  1978,
       0,  1978,     0,     0,  1978,     0,  5289,  5290,   895,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2793,
    4848,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1526,     0,     0,     0,     0,     0,  4872,     0,
    3397,  3399,     0,     0,     0,     0,  3407,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2588,  1527,
       0,     0,     0,  2589,     0,     0,     0,     0,  3451,  3451,
    5333,  5334,     0,     0,     0,     0,     0,     0,  2588,     0,
       0,  4921,     0,  2589,     0,     0,  2590,  2271,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1528,     0,  2590,  2271,     0,  2591,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1710,     0,     0,     0,     0,     0,     0,  2591,
     774,     0,     0,     0,     0,     0,  4965,     0,     0,     0,
       0,   895,  1529,     0,     0,     0,  1530,     0,     0,     0,
    2331,     0,   895,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2592,     0,     0,  2593,   895,   933,
    2331,     0,  2080,     0,     0,  2081,     0,  1612,  1532,  2082,
    2083,  2084,     0,   933,  2592,  1361,     0,  2593,     0,     0,
       0,     0,   845,     0,     0,     0,     0,  2584,  5009,     0,
    5429,     0,     0,  5431,  5432,     0,     0,  2585,     0,  2793,
       0,     0,     0,     0,  2586,  3585,  1613,     0,     0,     0,
      35,     0,     0,  5437,   845,  1534,     0,     0,     0,  3427,
    3858,     0,     0,     0,  1535,     0,     0,  3740,     0,     0,
    2587,     0,     0,  1536,     0,     0,  5058,     0,     0,     0,
       0,  1614,     0,     0,     0,     0,   845,  2594,     0,     0,
       0,     0,     0,  1538,     0,     0,     0,     0,  1361,  1361,
       0,     0,  1539,     0,     0,     0,  1540,  2594,     0,  1361,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1978,   845,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   774,     0,     0,     0,   845,     0,
       0,     0,   774,     0,     0,   774,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   895,     0,   774,     0,     0,
    4075,  1541,     0,     0,     0,     0,  4076,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1361,
       0,     0,     0,     0,     0,  2588,     0,     0,     0,  2522,
    2589,     0,     0,     0,     0,  1361,     0,     0,  2523,  2524,
    2525,  2526,  2527,  2528,  2529,  2530,  2531,     0,     0,  2522,
    1361,  4809,     0,  2590,  2271,     0,     0,     0,  2523,  2524,
    2525,  2526,  2527,  2528,  2529,  2530,  2531,     0,     0,     0,
    3375,  5038,     0,     0,     0,     0,  2591,     0,  1361,     0,
       0,  1361,     0,     0,     0,     0,     0,     0,     0,  1361,
    1361,     0,     0,     0,     0,     0,  1361,  1361,     0,     0,
       0,  1361,     0,     0,     0,     0,  1361,     0,     0,  1361,
    1361,     0,     0,     0,     0,     0,  1361,  2331,     0,     0,
     845,   845,   845,   845,     0,     0,     0,     0,     0,     0,
       0,  2592,     0,     0,  2593,     0,   632,     0,     0,  4178,
       0,     0,     0,  3427,     0,     0,     0,     0,  3427,     0,
       0,  3427,   632,     0,  3740,     0,  5219,     0,     0,  1361,
       0,   980,     0,     0,     0,     0,     0,     0,     0,     0,
    1361,     0,     0,     0,  4223,     0,     0,     0,  1361,     0,
    3476,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   784,     0,     0,  1361,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1123,     0,
       0,     0,     0,     0,  4077,     0,     0,     0,     0,     0,
       0,     0,     0,  2793,     0,     0,     0,  5274,     0,     0,
       0,     0,     0,     0,   774,     0,  2080,     0,     0,  2081,
       0,     0,  2693,  2082,  2083,  2084,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2584,     0,     0,     0,     0,     0,     0,  1375,     0,
       0,  2585,     0,     0,     0,     0,     0,     0,  2586,     0,
       0,     0,     0,     0,  5738,     0,     0,     0,     0,     0,
       0,     0,     0,  1361,     0,     0,     0,     0,     0,     0,
    1361,     0,     0,     0,  2587,     0,     0,     0,     0,  2693,
       0,     0,     0,     0,     0,     0,  2522,     0,     0,     0,
       0,     0,   933,     0,     0,  2523,  2524,  2525,  2526,  2527,
    2528,  2529,  2530,  2531,     0,     0,     0,   933,  5775,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1375,     0,
     895,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1361,     0,
       0,     0,  1375,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   895,   632,     0,     0,     0,     0,     0,
       0,  2793,     0,     0,     0,     0,     0,     0,     0,     0,
    1978,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3858,     0,     0,     0,  2588,
       0,     0,     0,     0,  2589,     0,     0,     0,   933,     0,
    3880,     0,     0,     0,     0,     0,  3746,     0,     0,     0,
    3750,     0,     0,     0,     0,     0,     0,  2590,  2271,     0,
       0,     0,  5863,  4154,     0,   774,   845,     0,     0,     0,
       0,     0,     0,  1710,  1710,  1710,     0,   845,     0,     0,
    2591,  4161,     0,     0,     0,     0,     0,  3783,     0,  3783,
       0,  3783,  3783,     0,     0,     0,  3783,  3783,  3783,     0,
    3783,  3783,  3783,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2080,     0,     0,  2081,
       0,  2331,     0,  2082,  2083,  2084,     0,     0,     0,  4207,
    4207,     0,     0,     0,     0,  2592,  1361,     0,  2593,  1361,
       0,  2584,  1361,  1361,  1361,     0,     0,     0,     0,     0,
       0,  2585,     0,     0,  3860,     0,     0,     0,  2586,     0,
       0,     0,     0,     0,     0,     0,     0,  1361,  1361,     0,
       0,  1361,     0,     0,     0,     0,     0,     0,     0,  3888,
       0,     0,     0,     0,  2587,   895,     0,     0,     0,     0,
       0,  1361,     0,     0,     0,     0,   895,  1361,     0,     0,
       0,  3427,     0,     0,     0,  5219,     0,     0,  1361,     0,
    5504,     0,   895,     0,     0,     0,     0,     0,     0,     0,
       0,  4815,     0,     0,  1361,     0,     0,     0,  2594,     0,
       0,     0,     0,     0,     0,  4815,   980,   933,     0,   933,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2080,     0,     0,  2081,     0,     0,
       0,  2082,  2083,  2084,     0,     0,   895,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2584,
       0,   895,     0,     0,   895,   895,     0,     0,     0,  2585,
     944,   980,     0,     0,     0,     0,  2586,     0,     0,  2588,
       0,     0,     0,     0,  2589,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   895,   895,     0,     0,     0,
       0,     0,  2587,     0,     0,     0,     0,  2590,  2271,     0,
    2522,     0,     0,     0,     0,   944,     0,     0,     0,  2523,
    2524,  2525,  2526,  2527,  2528,  2529,  2530,  2531,     0,  5009,
    2591,     0,  5147,     0,   845,     0,     0,     0,     0,   845,
       0,     0,     0,     0,  2080,     0,     0,  2081,  2793,     0,
       0,  2082,  2083,  2084,     0,     0,     0,     0,   845,     0,
       0,     0,  5058,     0,     0,  5645,     0,     0,     0,  2584,
       0,  2331,     0,     0,     0,     0,   933,   845,  4815,  2585,
       0,     0,     0,     0,     0,  2592,  2586,  6121,  2593,     0,
       0,     0,     0,     0,  1710,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1710,     0,     0,  1710,     0,
       0,     0,  2587,     0,  1361,     0,     0,  2588,  1361,     0,
    1361,     0,  2589,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   895,  1361,     0,     0,     0,     0,     0,
       0,   632,     0,     0,  1361,  2590,  2271,     0,  5714,     0,
       0,     0,     0,     0,     0,  1361,     0,     0,     0,     0,
       0,     0,  1361,  1123,     0,     0,     0,     0,  2591,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2594,     0,
       0,   774,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   845,     0,     0,
       0,     0,     0,     0,  4496,     0,     0,     0,  1361,  2331,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2592,  1361,     0,  2593,  2588,     0,     0,
    1361,  1361,  2589,     0,     0,   933,   933,   933,   933,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2590,  2271,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1361,     0,     0,     0,
       0,     0,     0,     0,     0,   632,     0,     0,  2591,     0,
    2522,     0,     0,     0,     0,     0,     0,     0,     0,  2523,
    2524,  2525,  2526,  2527,  2528,  2529,  2530,  2531,     0,     0,
     845,     0,  5184,  3427,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2594,     0,     0,  2331,
       0,     0,     0,     0,     0,  1123,     0,     0,   845,     0,
       0,     0,     0,  2592,     0,     0,  2593,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1361,     0,     0,     0,
       0,   774,     0,     0,     0,  1361,  1361,  1361,     0,     0,
       0,  1978,     0,     0,     0,  3740,     0,     0,  1361,     0,
       0,     0,     0,     0,     0,     0,     0,  1361,     0,  1361,
       0,  1361,  5504,     0,     0,     0,     0,     0,  4815,     0,
       0,     0,     0,  4325,     0,     0,     0,     0,  1978,     0,
     980,     0,     0,     0,     0,     0,     0,     0,  2522,     0,
    1361,     0,     0,     0,     0,     0,  2594,  2523,  2524,  2525,
    2526,  2527,  2528,  2529,  2530,  2531,     0,     0,     0,     0,
    5188,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1978,  1978,     0,     0,  2080,
       0,  4372,  2081,     0,     0,     0,  2082,  2083,  2084,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2584,   933,     0,     0,     0,     0,
       0,     0,     0,     0,  2585,     0,     0,     0,     0,  5976,
       0,  2586,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2587,  2522,  4415,
       0,     0,     0,     0,     0,     0,  1361,  2523,  2524,  2525,
    2526,  2527,  2528,  2529,  2530,  2531,     0,     0,     0,  1361,
    5444,     0,     0,  5714,     0,     0,     0,     0,     0,  1361,
       0,     0,     0,     0,     0,     0,     0,     0,  3476,  1361,
       0,     0,     0,     0,     0,     0,     0,  3783,     0,     0,
       0,     0,     0,     0,     0,     0,   944,     0,     0,  4446,
    4446,     0,     0,     0,     0,     0,     0,     0,  1710,  4462,
       0,   933,     0,     0,  1123,     0,  1123,     0,  1978,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2793,     0,     0,     0,     0,     0,     0,
    1361,     0,  2588,     0,     0,     0,     0,  2589,     0,     0,
    4815,     0,  4517,     0,     0,     0,     0,     0,   944,   944,
    6095,     0,     0,     0,  1361,     0,     0,     0,     0,     0,
    2590,  2271,     0,     0,     0,     0,  1978,  1978,  6105,     0,
       0,     0,     0,  1361,  1361,     0,     0,  4553,  1123,  6111,
       0,     0,     0,  2591,     0,     0,     0,     0,   774,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   933,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   774,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2331,  3483,     0,     0,   774,  2693,
    3489,  5976,   933,   933,     0,     0,     0,  4815,  2592,   774,
       0,  2593,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   632,  1361,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1361,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1361,     0,     0,     0,   895,     0,
       0,     0,     0,     0,   895,     0,     0,     0,  2080,     0,
       0,  2081,     0,     0,     0,  2082,  2083,  2084,     0,     0,
       0,     0,     0,     0,     0,  1202,  1203,  6189,  6190,   632,
    6194,  5714,     0,  2584,  3476,     0,     0,     0,     0,     0,
       0,  2594,     0,  2585,     0,   895,   933,     0,     0,  4815,
    2586,     0,     0,     0,     0,   640,     0,     0,     0,     0,
       0,   689,   640,     0,     0,     0,     0,   741,     0,   640,
    4223,     0,     0,     0,     0,   640,  2587,   794,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4706,  1361,
     632,     0,     0,     0,  1361,     0,   856,   856,   632,  2080,
       0,     0,  2081,     0,     0,     0,  2082,  2083,  2084,     0,
     944,   944,     0,   774,  6256,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2584,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2585,     0,     0,     0,     0,  2080,
       0,  2586,  2081,  2522,     0,     0,  2082,  2083,  2084,     0,
       0,     0,  2523,  2524,  2525,  2526,  2527,  2528,  2529,  2530,
    2531,     0,     0,     0,  2584,  5455,   774,  2587,     0,     0,
       0,     0,     0,     0,  2585,     0,     0,     0,     0,     0,
       0,  2586,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2588,     0,     0,     0,     0,  2589,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2587,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2590,
    2271,     0,     0,  1710,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2591,     0,     0,     0,     0,   935,     0,     0,
       0,   939,     0,     0,     0,   895,     0,     0,     0,   982,
       0,     0,   984,     0,     0,   989,   990,     0,   993,     0,
     996,     0,     0,  1002,     0,  1004,     0,     0,     0,     0,
       0,     0,  2588,  2331,     0,     0,     0,  2589,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2592,     0,     0,
    2593,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2590,  2271,     0,     0,     0,     0,  4462,     0,     0,     0,
       0,     0,  2588,     0,     0,     0,     0,  2589,  2693,     0,
       0,     0,  2693,  2591,     0,     0,     0,     0,     0,     0,
       0,     0,  4911,     0,     0,     0,     0,     0,     0,     0,
    2590,  2271,     0,     0,     0,     0,     0,  4925,     0,     0,
    4926,     0,  4927,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2591,  2331,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2592,     0,
    2594,  2593,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4967,     0,
       0,     0,     0,     0,  2331,     0,     0,     0,     0,     0,
       0,   774,     0,     0,  3783,     0,     0,   774,  2592,  3783,
       0,  2593,   774,     0,     0,   895,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     895,     0,     0,     0,     0,   895,     0,     0,     0,  5302,
    5303,     0,     0,     0,  5306,  5307,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2594,     0,     0,     0,   895,     0,     0,     0,     0,
       0,     0,  2522,     0,     0,     0,     0,     0,     0,     0,
       0,  2523,  2524,  2525,  2526,  2527,  2528,  2529,  2530,  2531,
       0,     0,     0,     0,  5465,   932,   934,     0,     0,   937,
       0,  2594,     0,     0,     0,     0,     0,     0,  5072,     0,
       0,  4462,     0,     0,     0,     0,     0,     0,     0,   995,
       0,     0,     0,     0,     0,     0,  1005,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2522,     0,     0,     0,     0,     0,     0,
       0,     0,  2523,  2524,  2525,  2526,  2527,  2528,  2529,  2530,
    2531,     0,     0,     0,     0,  5520,     0,  5121,  5121,  5121,
    5121,     0,  5121,  5121,  5121,  5121,  5121,     0,     0,     0,
       0,     0,     0,  2522,     0,     0,     0,     0,     0,     0,
       0,     0,  2523,  2524,  2525,  2526,  2527,  2528,  2529,  2530,
    2531,     0,     0,     0,     0,  5555,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1032,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1069,     0,     0,     0,  1073,     0,     0,
    1554,     0,     0,     0,  1086,  1087,  1555,     0,  1093,     0,
    1097,  1098,     0,  1621,     0,     0,     0,  5196,     0,  5198,
       0,     0,     0,     0,  2693,  1120,     0,  3489,     0,  3489,
       0,     0,     0,     0,  2693,  1622,     0,     0,     0,     0,
       0,     0,     0,  1133,     0,     0,     0,     0,     0,     0,
       0,  1557,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1161,     0,  1163,  -136,     0,     0,
       0,     0,     0,     0,     0,     0,  1179,     0,     0,     0,
       0,     0,     0,   895,     0,     0,  1623,     1,     0,     0,
       0,   895,     0,     0,     0,     0,     0,     0,     2,     0,
       3,     4,     0,     0,     0,     0,     0,  1558,     0,   640,
       0,     0,     0,     0,  1559,     0,  2693,  1560,     5,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     6,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       7,     0,     8,     9,  1561,     0,     0,     0,     0,    10,
     774,    11,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    12,     0,    13,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1624,     0,     0,     0,
    1562,     0,    14,     0,     0,    15,   895,     0,   895,     0,
     856,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      16,     0,    17,     0,     0,     0,    18,     0,     0,     0,
       0,     0,    19,     0,     0,     0,     0,     0,     0,     0,
      20,     0,    21,     0,     0,     0,     0,     0,     0,    22,
       0,     0,     0,     0,  1625,     0,     0,     0,  1626,  5330,
    5331,     0,     0,     0,     0,     0,     0,    23,     0,     0,
       0,     0,  3783,  1627,  3783,  3783,  3783,  1564,     0,     0,
    1065,     0,  1068,     0,    24,  1070,     0,  1565,     0,     0,
       0,     0,     0,     0,     0,  1515,  1566,     0,     0,  1096,
       0,     0,   895,     0,     0,  1100,     0,  1628,  1567,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2080,     0,     0,  2081,     0,     0,     0,  2082,  2083,  2084,
       0,  1710,     0,    25,    26,     0,     0,  1710,     0,    27,
    5384,     0,     0,     0,     0,  2584,   895,  1629,     0,     0,
    1569,  1570,  1630,    28,     0,  2585,     0,     0,     0,     0,
       0,     0,  2586,     0,     0,     0,     0,     0,     0,  1694,
       0,    29,     0,     0,  3489,     0,  1631,     0,     0,  5412,
       0,     0,  1632,     0,     0,     0,     0,     0,  2587,     0,
       0,     0,     0,     0,  1815,     0,  1633,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1827,
       0,  1828,     0,     0,     0,    30,     0,     0,     0,     0,
       0,  1831,  5121,     0,     0,     0,     0,     0,  1841,    31,
       0,     0,     0,     0,     0,    32,    33,     0,    34,     0,
       0,     0,   895,    35,     0,     0,     0,     0,     0,    36,
       0,  1572,    37,     0,     0,     0,     0,   774,     0,    38,
       0,     0,     0,     0,  3489,     0,    39,    40,     0,     0,
       0,  1893,  2080,  1895,    41,  2081,     0,     0,    42,  2082,
    2083,  2084,     0,     0,     0,     0,   895,     0,    43,     0,
       0,     0,     0,     0,     0,     0,     0,  2584,     0,     0,
       0,     0,     0,  2588,    44,     0,     0,  2585,  2589,     0,
       0,     0,     0,     0,  2586,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    45,     0,     0,     0,     0,     0,
       0,  2590,  2271,     0,     0,    46,     0,     0,     0,     0,
    2587,    47,     0,     0,     0,     0,    48,   640,     0,   640,
       0,   640,     0,   640,  2591,   640,   640,   640,     0,    49,
       0,     0,   640,     0,     0,     0,     0,     0,   895,     0,
       0,     0,     0,     0,  1999,     0,     0,     0,     0,     0,
       0,     0,     0,    50,     0,     0,     0,     0,  4462,     0,
       0,     0,  1586,  1587,     0,  2331,     0,     0,     0,     0,
       0,     0,    56,     0,     0,  -136,     0,     0,     0,  2592,
       0,     0,  2593,     0,     0,     0,     0,   895,     0,     0,
       0,     0,     0,     0,  2080,     0,     0,  2081,     0,     0,
       0,  2082,  2083,  2084,  3783,     0,     0,     0,     0,     0,
       0,     0,   895,  5591,     0,     0,     0,     0,  5932,  2584,
       0,     0,     0,     0,     0,  2588,     0,     0,     0,  2585,
    2589,     0,  2080,  1814,     0,  2081,  2586,     0,     0,  2082,
    2083,  2084,     0,     0,     0,     0,     0,     0,  1826,     0,
       0,     0,     0,  2590,  2271,     0,     0,  2584,     0,     0,
       0,     0,  2587,     0,     0,     0,     0,  2585,     0,     0,
       0,     0,  2594,     0,  2586,     0,  2591,     0,     0,  1848,
    1849,     0,     0,   945,   955,     0,     0,     0,     0,     0,
       0,   945,     0,   955,   945,     0,     0,     0,     0,     0,
    2587,     0,     0,     0,     0,  1886,     0,   955,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2331,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   856,     0,
       0,  2592,     0,     0,  2593,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1924,  1926,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2693,     0,     0,     0,  2522,     0,     0,  2588,     0,     0,
       0,     0,  2589,  2523,  2524,  2525,  2526,  2527,  2528,  2529,
    2530,  2531,     0,     0,     0,     0,  5557,     0,     0,     0,
       0,     0,     0,     0,     0,  2590,  2271,     0,     0,     0,
       0,     0,     0,     0,     0,  2588,     0,     0,     0,     0,
    2589,     0,     0,     0,  2594,     0,     0,     0,  2591,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2590,  2271,  1123,     0,     0,  2755,  5784,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3489,     0,     0,     0,     0,  2591,     0,     0,  2331,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2592,     0,     0,  2593,  3489,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2331,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2847,  2592,     0,   954,  2593,     0,  2522,     0,     0,     0,
       0,     0,   954,     0,     0,  2523,  2524,  2525,  2526,  2527,
    2528,  2529,  2530,  2531,     0,     0,   954,     0,  5596,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2594,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2080,     0,     0,  2081,     0,     0,     0,  2082,
    2083,  2084,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2594,     0,     0,  2584,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2585,     0,   895,
       0,     0,     0,     0,  2586,     0,     0,  6218,     0,     0,
       0,     0,     0,     0,     0,     0,  1123,     0,     0,     0,
    5938,     0,  5939,     0,     0,     0,  5945,  5946,     0,     0,
    2587,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3489,     0,  2522,     0,
       0,  2693,     0,  6218,     0,     0,     0,  2523,  2524,  2525,
    2526,  2527,  2528,  2529,  2530,  2531,     0,     0,     0,     0,
    5915,  6218,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2522,     0,     0,     0,
       0,   955,     0,     0,     0,  2523,  2524,  2525,  2526,  2527,
    2528,  2529,  2530,  2531,     0,     0,  2978,  2775,  5926,     0,
     955,     0,     0,     0,     0,     0,   955,     0,     0,     0,
       0,     0,  2080,     0,     0,  2081,     0,     0,   955,  2082,
    2083,  2084,  2814,     0,     0,     0,     0,     0,     0,     0,
       0,  3014,     0,     0,   955,  2588,     0,  2584,     0,     0,
    2589,     0,     0,     0,     0,     0,     0,  2585,   945,   955,
       0,     0,     0,     0,  2586,   945,     0,   955,   945,     0,
       0,     0,     0,  2590,  2271,     0,     0,     0,     0,     0,
       0,   955,     0,     0,     0,     0,     0,  3079,     0,     0,
    2587,   955,     0,     0,     0,     0,  2591,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   895,  3097,     0,  2904,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3117,     0,  3118,     0,  2331,     0,  2930,
    2931,  2932,  2933,     0,   955,     0,     0,     0,     0,     0,
    3127,  2592,  3128,     0,  2593,     0,     0,     0,   640,     0,
     640,     0,   640,     0,   640,     0,   640,     0,     0,     0,
     640,     0,   955,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2080,     0,  1123,  2081,     0,     0,
       0,  2082,  2083,  2084,     0,     0,     0,   955,     0,     0,
       0,     0,     0,     0,     0,  2588,     0,  3187,     0,  2584,
    2589,     0,     0,     0,     0,     0,     0,     0,     0,  2585,
       0,     0,     0,     0,     0,     0,  2586,     0,     0,     0,
     954,   895,     0,  2590,  2271,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2594,     0,     0,     0,     0,   954,
       0,     0,  2587,     0,  2080,   954,  2591,  2081,     0,   955,
       0,  2082,  2083,  2084,     0,     0,     0,   954,     0,     0,
       0,     0,   895,     0,     0,     0,     0,     0,     0,  2584,
       0,     0,     0,   954,     0,     0,  2987,  2988,     0,  2585,
       0,     0,     0,     0,   895,     0,  2586,  2331,   954,     0,
       0,     0,  3005,     0,     0,     0,   954,     0,     0,     0,
       0,  2592,     0,     0,  2593,     0,     0,     0,     0,     0,
     954,     0,  2587,     0,     0,  6219,     0,     0,     0,  2547,
     954,     0,     0,     0,     0,     0,  3048,  3049,  3050,  3051,
       0,     0,  2080,     0,     0,  2081,  2522,     0,     0,  2082,
    2083,  2084,     0,     0,     0,  2523,  2524,  2525,  2526,  2527,
    2528,  2529,  2530,  2531,     0,     0,   895,  2588,  5948,  1797,
       0,  6219,  2589,     0,     0,     0,   955,  2585,     0,     0,
       0,     0,     0,   954,  2586,     0,     0,   945,     0,  6219,
       0,   945,  5196,   945,     0,  2590,  2271,     0,     0,     0,
       0,     0,     0,     0,  2594,     0,     0,     0,     0,     0,
    2587,   954,     0,     0,     0,     0,     0,  3125,  2591,     0,
       0,     0,     0,  3129,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   954,  2588,     0,     0,
       0,     0,  2589,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2331,
       0,     0,     0,     0,     0,  2590,  2271,     0,     0,     0,
       0,     0,     0,  2592,     0,     0,  2593,     0,     0,     0,
       0,     0,     0,     0,     0,  5416,     0,   895,  2591,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   954,     0,
     955,     0,     0,     0,     0,     0,  2522,     0,     0,     0,
       0,     0,     0,     0,     0,  2523,  2524,  2525,  2526,  2527,
    2528,  2529,  2530,  2531,     0,  2588,     0,     0,  6137,  2331,
    2589,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2592,     0,     0,  2593,     0,     0,     0,
       0,     0,     0, -2901, -2901,     0,     0,     0,     0,     0,
       0,   955,     0,     0,     0,     0,  2594,     0,     0,     0,
       0,     0,   955,     0,     0,     0,  2591,     0,     0,   893,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   955,
       0,     0,     0,     0,   955,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3309,  1796,     0,
       0,     0,     0,     0,     0,   954,     0, -2901,     0,     0,
       0,   895,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2592,     0,     0,  2080,     0,  2594,  2081,     0,     0,
       0,  2082,  2083,  2084,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2584,
       0,     0,     0,     0,     0,     0,     0,     0,  2522,  2585,
       0,     0,     0,     0,     0,     0,  2586,  2523,  2524,  2525,
    2526,  2527,  2528,  2529,  2530,  2531,     0,     0,     0,     0,
    6154,     0,     0,  3489,     0,     0,     0,     0,     0,     0,
       0,  2080,  2587,     0,  2081,     0,     0,     0,  2082,  2083,
    2084,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   955,  2594,     0,  2584,     0,     0,     0,
    3434,   955,   955,     0,     0,     0,  2585,     0,  2522,   954,
       0,     0,     0,  2586,     0,     0,     0,  2523,  2524,  2525,
    2526,  2527,  2528,  2529,  2530,  2531,     0,     0,     0,     0,
    6196,     0,     0,     0,     0,     0,     0,     0,     0,  2587,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1797,     0,     0,     0,     0,     0,
       0,  6002,     0,     0,     0,     0,     0,     0,     0,     0,
     954,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   954,     0,     0,     0,  3489,     0,  2588,     0,     0,
    3435,     0,  2589,     0,     0,     0,  2522,     0,   954,     0,
       0,     0,     0,   954,     0,  2523,  2524,  2525,  2526,  2527,
    2528,  2529,  2530,  2531,     0,  2590,  2271,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2591,     0,
       0,     0,     0,     0,  3479,  3480,     0,     0,     0,     0,
       0,     0,     0,     0,  2588,     0,     0,     0,     0,  2589,
       0,     0,     0,  3495,  3496,     0,  3498,  3499,     0,     0,
       0,  3502,  3503,     0,     0,     0,     0,     0,     0,  2331,
       0,     0,  2590,  2271,     0,     0,  3514,     0,     0,     0,
       0,     0,     0,  2592,  3524,     0,  2593,     0,  3527,  3528,
       0,     0,  3531,  3532,     0,  2591,     0,     0,     0,  3537,
       0,     0,     0,     0,     0,     0,     0,     0,   895,  6003,
       0,  3552,     0,   895,   895,     0,     0,     0,     0,     0,
       0,     0,   954,  3569,     0,     0,     0,     0,  3571,     0,
     954,   954,     0,     0,     0,     0,  2331,     0,     0,     0,
       0,     0,     0,  3577,     0,     0,     0,     0,     0,     0,
    2592,     0,  3584,  2593,     0,  3588,     0,  3590,  3593,  3595,
       0,     0,     0,     0,  3603,  3606,     0,     0,     0,     0,
       0,     0,     0,     0,  3619,     0,  2594,     0,     0,     0,
    3629,     0,     0,  1796,  3632,     0,     0,     0,     0,     0,
       0,     0,     0,   955,     0,     0,  3642,  3643,     0,     0,
       0,  3648,     0,     0,     0,     0,     0,  3657,  3658,     0,
       0,     0,     0,     0,  3309,     0,     0,     0,     0,     0,
       0,  3667,     0,     0,  3668,     0,  5416,   895,     0,     0,
       0,  3680,  3681,     0,     0,     0,     0,  3685,     0,     0,
       0,     0,     0,  2594,     0,     0,     0,     0,     0,  3692,
       0,     0,  3695,     0,     0,     0,     0,  3698,     0,     0,
       0,     0,     0,  3701,  3702,     0,     0,     0,     0,     0,
       0,  3708,     0,     0,     0,  3710,   895,     0,  2522,  3717,
    3718,  3719,  3720,     0,  3722,     0,     0,  2523,  2524,  2525,
    2526,  2527,  2528,  2529,  2530,  2531,     0,     0,  3748,  3749,
       0,  3751,  2080,     0,  3436,  2081,     0,     0,   955,  2082,
    2083,  2084,  3761,  3762,  3763,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2584,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2585,     0,     0,
       0,     0,     0,  1797,  2586,  2522,     0,     0,     0,     0,
       0,     0,     0,     0,  2523,  2524,  2525,  2526,  2527,  2528,
    2529,  2530,  2531,     0,     0,     0,   955,     0,     0,  3815,
    2587,     0,     0,     0,   955,     0,     0,  3839,     0,     0,
    3551,     0,   955,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   893,  3851,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   893,     0,   945,   945,     0,   955,   955,     0,     0,
       0,     0,   954,     0,     0,     0,     0,     0,   945,     0,
     955,   945,     0,     0,     0,     0,  3919,     0,     0,     0,
       0,     0,     0,   955,   955,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3933,     0,  3935,     0,  2080,
       0,     0,  2081,     0,     0,     0,  2082,  2083,  2084,     0,
       0,     0,     0,     0,     0,  2588,     0,     0,     0,     0,
    2589,   945,     0,     0,  2584,   945,   945,  4006,     0,     0,
       0,     0,     0,     0,  2585,     0,   884,     0,     0,     0,
       0,  2586,     0,  2590,  2271,     0,     0,  2080,  3691,     0,
    2081,  3694,     0,     0,  2082,  2083,  2084,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2591,  2587,     0,     0,
       0,     0,  2584,     0,     0,     0,     0,   954,     0,     0,
       0,     0,  2585,     0,     0,     0,     0,     0,     0,  2586,
       0,     0,  3997,     0,   893,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2331,     0,     0,
       0,     0,  1796,     0,     0,  2587,     0,     0,     0,     0,
       0,  2592,     0,  2080,  2593,     0,  2081,     0,     0,   886,
    2082,  2083,  2084,     0,     0,   954,     0,     0,     0,  1797,
    3787,     0,     0,   954,     0,     0,     0,     0,  2584,  4697,
       0,   954,     0,  3800,     0,     0,     0,     0,  2585,     0,
       0,  3809,     0,     0,     0,  2586,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2588,     0,     0,     0,     0,  2589,     0,     0,
       0,  2587,     0,     0,     0,   954,   954,     0,     0,     0,
    3853,     0,     0,     0,     0,     0,     0,     0,     0,   954,
    2590,  2271,     0,     0,  2594,     0,     0,     0,     0,     0,
       0,  3877,   954,   954,     0,     0,     0,     0,     0,     0,
    2588,  4698,     0,  2591,     0,  2589,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   893,  2590,  2271,
       0,     0,     0,     0,  3932,     0,  3934,     0,   893,     0,
       0,     0,     0,     0,  2331,     0,     0,     0,     0,     0,
       0,  2591,     0,     0,   893,     0,     0,     0,  2592,     0,
       0,  2593,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2588,     0,     0,     0,
       0,  2589,     0,  1710,     0,     0,  2522,     0,     0,     0,
       0,     0,  2331,     0,     0,  2523,  2524,  2525,  2526,  2527,
    2528,  2529,  2530,  2531,  2590,  2271,  2592,     0,  1554,  2593,
       0,     0,     0,     0,  1555,     0,     0,     0,     0,     0,
       0,  1621,     0,     0,  3989,     0,     0,  2591,     0,     0,
       0,  3996,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1622,     0,     0,     0,     0,  1796,     0,
       0,  2594,     0,     0,     0,     0,     0,     0,     0,  1557,
       0,     0,     0,     0,     0,     0,     0,     0,  2331,     0,
       0,     0,  4249,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2592,     0,     0,  2593,     0,     0,     0,     0,
       0,     0,     0,  4262,  1623,     0,     0,     0,     0,  2594,
       0,     0,     0,     0,  4048,     0,     0,     0,     0,     0,
    4269,   893,     0,     0,  4269,  1558,     0,     0,     0,  4280,
    4281,  4282,  1559,     0,     0,  1560,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1561,  2522,     0,  4312,  4313,  4314,  4315,     0,
       0,     0,  2523,  2524,  2525,  2526,  2527,  2528,  2529,  2530,
    2531,     0,     0,     0,     0,  2594,     0,     0,     0,     0,
       0,     0,     0,     0,  1624,  4331,     0,     0,  1562,     0,
       0,     0,     0,  4334,     0,  4338,  4339,  4340,     0,     0,
    4015,  2522,     0,     0,     0,     0,     0,     0,     0,     0,
    2523,  2524,  2525,  2526,  2527,  2528,  2529,  2530,  2531,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1625,     0,     0,     0,  1626,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1627,     0,     0,     0,  1564,     0,  2563,     0,     0,
       0,     0,     0,     0,     0,  1565,     0,  2522,     0,     0,
       0,     0,     0,     0,  1566,     0,  2523,  2524,  2525,  2526,
    2527,  2528,  2529,  2530,  2531,  1628,  1567,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4423,     0,     0,     0,     0,     0,     0,
       0,     0,  4429,     0,     0,     0,     0,     0,  1797,     0,
       0,     0,     0,     0,     0,  3686,     0,     0,  1569,  1570,
    1630,     0,     0,     0,     0,     0,     0,     0,  4439,  4440,
       0,     0,     0,  4441,     0,     0,     0,     0,     0,     0,
       0,     0,   884,     0,  1631,     0,     0,     0,   893,     0,
    3687,  4265,  4266,     0,     0,  4483,     0,     0,     0,     0,
       0,     0,     0,   955,  1633,     0,     0,     0,   884,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   955,     0,     0,     0,   955,     0,     0,     0,   955,
       0,     0,     0,     0,     0,     0,     0,     0,   955,     0,
       0,     0,     0,     0,     0,     0,     0,  4520,     0,     0,
       0,     0,  4526,     0,     0,   893,     0,   955,  4532,  1572,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   945,   886,   945,   945,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4571,     0,
       0,   955,     0,     0,     0,     0,   893,     0,     0,     0,
       0,   886,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   955,   955,     0,     0,     0,     0,  4586,     0,  4587,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   893,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1797,   955,     0,     0,  1797,     0,     0,     0,
       0,   884,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     955,     0,  1797,     0,     0,     0,   955,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1796,     0,     0,
     955,     0,     0,     0,     0,     0,     0,   955,     0,     0,
     955,     0,     0,     0,     0,     0,   955,     0,     0,     0,
       0,     0,  2080,     0,     0,  2081,     0,     0,     0,  2082,
    2083,  2084,     0,     0,     0,     0,   955,     0,     0,     0,
       0,     0,   955,  4436,     0,     0,     0,  2584,     0,   955,
    4080,     0,   954,     0,   886,     0,     0,  2585,     0,     0,
       0,     0,     0,   955,  2586,     0,     0,     0,     0,     0,
     954,     0,     0,     0,   954,     0,     0,   955,   954,     0,
       0,     0,  1797,     0,     0,     0,     0,   954,   955,     0,
    2587,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   954,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   884,     0,     0,     0,     0,     0,
       0,   893,     0,     0,     0,   884,     0,     0,     0,     0,
     954,     0,   893,     0,     0,     0,     0,     0,  1797,     0,
       0,   884,     0,     0,     0,     0,     0,     0,   893,     0,
     954,   954,     0,     0,   887,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1796,   954,     0,     0,  1796,     0,     0,     0,     0,
       0,     0,     0,  4589,     0,  2588,     0,     0,     0,     0,
    2589,     0,   893,     0,     0,     0,     0,   886,     0,   954,
       0,  1796,     0,     0,     0,   954,     0,   893,   886,     0,
     893,   893,     0,  2590,  2271,     0,     0,     0,     0,   954,
       0,     0,  4820,     0,   886,  4827,   954,  4828,     0,   954,
       0,     0,     0,     0,     0,   954,  2591,     0,     0,     0,
    4835,   893,   893,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4841,     0,     0,   954,  4844,     0,     0,     0,
       0,   954,     0,     0,     0,     0,     0,     0,   954,     0,
       0,     0,     0,     0,     0,  4871,     0,  2331,     0,     0,
       0,     0,   954,   955,     0,  1797,     0,     0,   884,     0,
       0,  2592,     0,  4875,  2593,     0,   954,     0,     0,  4879,
       0,  1796,   955,     0,     0,     0,     0,   954,     0,   955,
       0,     0,     0,     0,     0,     0,   945,     0,   945,   945,
       0,     0,     0,     0,  4914,     0,     0,     0,  4918,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4928,  4929,  4930,  4931,     0,     0,     0,
       0,     0,     0,  4935,  4936,  4937,  4938,     0,     0,     0,
       0,     0,  4940,  4941,     0,     0,     0,  1796,  4948,  4949,
       0,  4951,  4952,  4953,  4954,  4955,  4956,  4957,     0,   893,
       0,   886,     0,     0,  2594,     0,     0,  4966,     0,     0,
       0,  4969,  4970,  4971,  4972,     0,     0,     0,     0,     0,
       0,     0,  1797,     0,     0,     0,     0,     0,  1797,     0,
       0,     0,     0,     0,     0,  4269,     0,     0,     0,     0,
    2080,     0,     0,  2081,     0,     0,     0,  2082,  2083,  2084,
       0,     0,     0,  4992,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2584,     0,   889,     0,     0,
       0,     0,     0,     0,     0,  2585,     0,     0,     0,     0,
       0,     0,  2586,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2522,     0,  2587,     0,
       0,     0,     0,   955,     0,  2523,  2524,  2525,  2526,  2527,
    2528,  2529,  2530,  2531,     0,     0,     0,     0,     0,  5073,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   954,     0,  1796,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   954,  4269,     0,     0,   884,     0,     0,   954,  5098,
       0,  5099,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   890,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5114,
       0,     0,     0,     0,  4085,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2588,     0,     0,     0,     0,  2589,     0,
       0,     0,   884,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   955,   955,     0,     0,     0,     0,
       0,  2590,  2271,     0,     0,     0,     0,     0,   886,     0,
       0,  1796,     0,     0,     0,     0,     0,  1796,     0,     0,
       0,     0,   955,   884,  2591,   955,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   884,     0,  4989,     0,
       0,     0,     0,     0,     0,  2331,     0,     0,     0,     0,
       0,     0,  4991,     0,     0,   886,     0,     0,     0,  2592,
       0,     0,  2593,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1797,  1797,  1797,
       0,     0,   954,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   886,     0,     0,     0,
       0,     0,   955,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   955,     0,     0,     0,     0,     0,     0,     0,   886,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   955,     0,     0,     0,  5263,  5264,  5265,
     887,     0,  2594,  5266,  5267,  5268,  5269,     0,     0,     0,
    5271,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   887,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5294,
    5295,  5296,  5297,  5298,     0,  5300,  5301,     0,     0,     0,
       0,     0,     0,   954,   954,     0,     0,  5310,  5311,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   884,     0,
       0,   955,     0,     0,     0,     0,     0,     0,     0,   884,
       0,   954,     0,     0,   954,     0,     0,     0,     0,     0,
       0,  5317,     0,     0,  2522,   884,     0,     0,     0,     0,
       0,     0,     0,  2523,  2524,  2525,  2526,  2527,  2528,  2529,
    2530,  2531,  2080,     0,     0,  2081,     0,     0,  1797,  2082,
    2083,  2084,     0,     0,   955,     0,   955,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2584,     0,   955,
    4092,   955,     0,     0,     0,     0,     0,  2585,     0,   884,
       0,     0,     0,     0,  2586,     0,  1796,  1796,  1796,   887,
       0,   886,     0,     0,   884,     0,     0,   884,   884,     0,
       0,   893,   886,     0,     0,   893,   893,     0,     0,     0,
    2587,   954,     0,     0,     0,     0,     0,     0,   886,     0,
       0,     0,     0,  5382,     0,     0,     0,     0,   884,   884,
     954,     0,     0,     0,     0,     0,     0,     0,   955,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   954,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   893,     0,     0,     0,     0,     0,
     893,     0,   886,     0,     0,     0,     0,     0,     0,     0,
     955,     0,     0,     0,     0,     0,     0,   886,  5433,     0,
     886,   886,     0,     0,     0,     0,     0,     0,     0,   955,
       0,     0,     0,   955,     0,     0,     0,     0,     0,     0,
       0,   893,     0,     0,     0,     0,     0,     0,     0,     0,
    5439,   886,   886,   889,   955,  2588,     0,     0,     0,     0,
    2589,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     954,     0,     0,     0,     0,     0,     0,     0,     0,   889,
       0,     0,   887,  2590,  2271,     0,     0,     0,     0,     0,
       0,     0,     0,   887,     0,     0,   884,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2591,     0,     0,   887,
       0,     0,     0,     0,     0,     0,     0,  1796,     0,     0,
       0,     0,     0,   954,     0,   954,     0,     0,     0,     0,
       0,  5325,     0,     0,     0,     0,     0,     0,   954,     0,
     954,     0,     0,   640,     0,     0,  5329,  2331,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1797,
       0,  2592,     0,     0,  2593,     0,     0,     0,   890,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   886,
       0,     0,     0,     0,   890,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   954,     0,     0,
    5544,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   889,  2080,     0,     0,  2081,     0,     0,  5554,
    2082,  2083,  2084,     0,     0,  5560,  5561,  5389,     0,     0,
       0,     0,     0,     0,     0,  5572,     0,     0,  2584,   954,
       0,   893,  5574,     0,  2594,     0,     0,     0,  2585,     0,
       0,     0,     0,     0,     0,  2586,   887,     0,   954,     0,
       0,     0,   954,     0,     0,  2080,     0,     0,  2081,     0,
       0,     0,  2082,  2083,  2084,     0,     0,     0,     0,  5627,
    5628,  2587,     0,   954,     0,     0,     0,     0,     0,     0,
    2584,     0,  5636,  4704,  5638,     0,     0,     0,     0,     0,
    2585,     0,     0,     0,     0,     0,     0,  2586,     0,  5652,
       0,     0,     0,     0,   893,     0,     0,     0,   893,     0,
       0,     0,     0,     0,     0,     0,     0,   890,     0,   955,
       0,     0,     0,  2587,  4269,     0,     0,     0,     0,     0,
       0,     0,  5686,     0,     0,     0,  2522,     0,     0,     0,
       0,     0,     0,     0,     0,  2523,  2524,  2525,  2526,  2527,
    2528,  2529,  2530,  2531,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   889,     0,     0,     0,     0,
    1797,     0,     0,     0,     0,  1797,   889,  1797,  1796,     0,
       0,     0,     0,     0,     0,     0,  2588,     0,     0,     0,
       0,  2589,   889,     0,     0,     0,     0,     0,     0,     0,
       0,  1797,     0,     0,     0,   892,  5728,     0,     0,     0,
       0,   893,     0,     0,  2590,  2271,  5526,     0,  5528,     0,
       0,     0,     0,     0,     0,     0,   893,     0,     0,     0,
    5748,   893,     0,     0,     0,     0,     0,  2591,  2588,     0,
       0,     0,  5756,  2589,     0,     0,     0,   955,     0,     0,
     955,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   893,     0,     0,     0,     0,  2590,  2271,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2331,     0,
     890,     0,     0,     0,     0,     0,     0,     0,     0,  2591,
       0,   890,  2592,     0,     0,  2593,     0,     0,     0,     0,
       0,     0,     0,   887,     0,     0,     0,   890,     0,     0,
    5814,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2331,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     955,   955,     0,     0,  2592,     0,     0,  2593,     0,   889,
       0,   955,     0,     0,     0,     0,     0,     0,   954,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   955,     0,
     887,     0,     0,     0,     0,  5657,     0,     0,     0,     0,
    4269,     0,     0,     0,     0,  2594,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1796,
       0,   887,     0,     0,  1796,     0,  1796,     0,  4631,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2594,     0,     0,
    1796,     0,     0,     0,   887,     0,  5913,     0,     0,   955,
       0,     0,  1797,     0,     0,     0,     0,     0,     0,     0,
       0,  5927,     0,     0,   890,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   884,     0,
       0,     0,   884,   884,     0,     0,   954,  2522,     0,   954,
       0,     0,     0,     0,     0,     0,  2523,  2524,  2525,  2526,
    2527,  2528,  2529,  2530,  2531,     0,     0,     0,     0,     0,
     893,     0,     0,   893,     0,   893,     0,     0,     0,  5966,
     893,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   894,  5771,     0,  5773,     0,  2522,
       0,   884,     0,     0,     0,     0,     0,   884,  2523,  2524,
    2525,  2526,  2527,  2528,  2529,  2530,  2531,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   893,
       0,   886,     0,     0,     0,   886,   886,   893,     0,   954,
     954,     0,     0,     0,     0,     0,     0,     0,   884,     0,
     954,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   893,     0,     0,     0,   889,   954,     0,     0,
       0,     0,     0,     0,  6041,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   886,     0,   887,     0,     0,     0,
     886,     0,     0,     0,     0,     0,  6054,   887,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  6064,     0,     0,
       0,     0,  2080,   887,     0,  2081,     0,     0,     0,  2082,
    2083,  2084,   893,   889,   893,     0,     0,     0,     0,     0,
       0,   886,     0,     0,     0,     0,     0,  2584,   954,   955,
       0,  1796,     0,     0,     0,     0,     0,  2585,     0,     0,
       0,     0,     0,     0,  2586,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   889,     0,     0,   887,     0,     0,
       0,   890,     0,     0,     0,     0,     0,     0,     0,     0,
    2587,     0,   887,     0,   955,   887,   887,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   955,   889,  2080,     0,
       0,  2081,     0,     0,     0,  2082,  2083,  2084,     0,     0,
    6131,     0,     0,     0,     0,     0,   887,   887,   893,     0,
       0,     0,     0,  2584,     0,     0,     0,     0,     0,     0,
     955,     0,     0,  2585,  5962,     0,     0,     0,   890,     0,
    2586,     0,     0,     0,     0,     0,     0,     0,   884,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   893,     0,  2080,     0,  2587,  2081,     0,     0,
       0,  2082,  2083,  2084,     0,     0,  5148,     0,     0,   890,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2584,
     893,     0,     0,     0,     0,  2588,     0,     0,     0,  2585,
    2589,     0,     0,     0,     0,     0,  2586,     0,  1797,     0,
       0,   892,   890,     0,     0,     0,     0,     0,     0,     0,
       0,   884,     0,  2590,  2271,   884,     0,   955,     0,     0,
       0,     0,  2587,     0,     0,     0,     0,   892,     0,     0,
       0,   886,     0,     0,     0,     0,  2591,     0,     0,     0,
    6047,     0,     0,     0,   887,     0,     0,     0,   893,     0,
       0,     0,  5154,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   954,     0,
     893,  2588,     0,     0,     0,     0,  2589,  2331,     0,   889,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     889,  2592,   893,     0,  2593,     0,     0,     0,     0,  2590,
    2271,     0,     0,   955,   886,     0,   889,     0,   886,     0,
       0,     0,  5155,   954,     0,     0,     0,     0,   884,     0,
       0,     0,  2591,     0,     0,   954,     0,     0,     0,     0,
       0,     0,     0,   884,     0,     0,     0,  2588,   884,     0,
       0,     0,  2589,     0,     0,     0,     0,     0,     0,     0,
    6125,     0,     0,     0,     0,     0,     0,     0,     0,   954,
     889,     0,     0,  2331,     0,  2590,  2271,     0,   884,     0,
     892,     0,     0,     0,   893,   889,     0,  2592,   889,   889,
    2593,  1096,  1096,     0,  2594,     0,     0,     0,  2591,     0,
       0,     0,     0,     0,   890,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   890,     0,     0,     0,   889,
     889,   886,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   890,     0,   893,     0,     0,   886,     0,   955,  2331,
     955,   886,     0,     0,     0,     0,     0,  1796,     0,     0,
       0,     0,     0,  2592,     0,     0,  2593,     0,   893,     0,
       0,     0,     0,     0,     0,     0,   954,     0,     0,     0,
       0,   886,     0,     0,     0,     0,     0,     0,     0,     0,
    2594,     0,     0,     0,     0,   890,     0,     0,     0,   955,
       0,     0,     0,     0,     0,  1096,  2522,     0,     0,   945,
     890,     0,     0,   890,   890,  2523,  2524,  2525,  2526,  2527,
    2528,  2529,  2530,  2531,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   890,   890,     0,     0,     0,  1797,
     894,     0,     0,   892,   945,     0,  2594,     0,     0,     0,
       0,     0,   954,     0,   892,     0,     0,   889,     0,     0,
       0,     0,     0,     0,     0,  2080,   894,     0,  2081,     0,
     892,     0,  2082,  2083,  2084,     0,     0,     0,     0,     0,
       0,     0,  2522,     0,     0,     0,     0,     0,     0,     0,
    2584,  2523,  2524,  2525,  2526,  2527,  2528,  2529,  2530,  2531,
    2585,     0,     0,     0,     0,     0,     0,  2586,     0,     0,
       0,     0,     0,     0,     0,     0,   893,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   884,     0,     0,
     884,     0,   884,  2587,     0,     0,     0,   884,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2522,     0,
       0,     0,     0,     0,     0,     0,     0,  2523,  2524,  2525,
    2526,  2527,  2528,  2529,  2530,  2531,     0,     0,     0,     0,
       0,     0,   890,     0,     0,     0,     0,   954,     0,   954,
       0,     0,     0,     0,     0,     0,   884,     0,     0,     0,
       0,     0,     0,     0,   884,     0,     0,     0,     0,     0,
       0,     0,  5156,     0,     0,     0,     0,   893,     0,   894,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   884,
     886,     0,     0,   886,     0,   886,     0,   892,   954,     0,
     886,     0,     0,   893,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2588,     0,
       0,     0,     0,  2589,     0,     0,     0,     0,     0,     0,
       0,   955,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   955,  2590,  2271,  1796,   886,
       0,     0,     0,     0,     0,     0,     0,   886,     0,   884,
       0,   884,     0,     0,     0,     0,     0,     0,     0,  2591,
       0,     0,     0,     0,     0,     0,     0,  1797,  2080,     0,
       0,  2081,   886,     0,     0,  2082,  2083,  2084,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2584,     0,     0,     0,     0,     0,     0,
    2331,     0,     0,  2585,     0,     0,     0,     0,     0,     0,
    2586,     0,     0,     0,  2592,     0,   887,  2593,     0,     0,
     887,   887,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   894,     0,     0,   893,  2587,     0,     0,     0,
       0,     0,   886,   894,   886,   884,     0,     0,     0,     0,
       0,     0,     0,  2080,     0,     0,  2081,     0,     0,   894,
    2082,  2083,  2084,     0,     0,     0,     0,     0,  1797,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2584,   887,
       0,     0,   893,     0,     0,   887,     0,   893,  2585,   884,
       0,     0,     0,     0,     0,  2586,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2594,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   884,     0,   958,
       0,  2587,     0,     0,     0,     0,   887,     0,     0,     0,
       0,   992,     0,     0,  1797,     0,   955,     0,   886,     0,
       0,     0,  1011,     0,   892,     0,     0,     0,     0,     0,
       0,  2588,     0,     0,     0,     0,  2589,     0,     0,     0,
     954,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   954,     0,     0,     0,     0,  2590,
    2271,     0,   886,     0,     0,   884,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2591,     0,     0,     0,  1796,   884,     0,  2522,
     886,   892,     0,     0,     0,     0,   894,     0,  2523,  2524,
    2525,  2526,  2527,  2528,  2529,  2530,  2531,     0,     0,   884,
       0,     0,     0,     0,     0,     0,  2588,     0,     0,     0,
       0,  2589,   893,  2331,     0,     0,     0,     0,     0,     0,
       0,     0,   892,     0,     0,     0,     0,  2592,     0,     0,
    2593,   955,     0,     0,  2590,  2271,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   945,     0,     0,   886,     0,
       0,     0,     0,     0,     0,   892,     0,  2591,   955,     0,
       0,     0,     0,     0,     0,     0,  2080,     0,     0,  2081,
     886,     0,     0,  2082,  2083,  2084,     0,  1796,     0,     0,
       0,   884,     0,     0,     0,     0,     0,     0,     0,   889,
       0,  2584,   886,   889,   889,     0,     0,     0,  2331,     0,
       0,  2585,     0,     0,     0,     0,   887,     0,  2586,     0,
       0,     0,  2592,     0,     0,  2593,     0,   945,   945,     0,
    2594,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     884,     0,     0,     0,  2587,     0,     0,   893,     0,     0,
       0,     0,     0,  1796,     0,   954,     0,     0,     0,     0,
       0,     0,   889,     0,     0,   884,     0,     0,   889,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   886,     0,   955,     0,   893,   887,
       0,     0,     0,   887,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5513,     0,     0,   889,
     893,     0,     0,     0,   890,  2594,     0,     0,   890,   890,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2522,   886,  5688,     0,     0,     0,     0,     0,
       0,  2523,  2524,  2525,  2526,  2527,  2528,  2529,  2530,  2531,
       0,     0,     0,   894,     0,     0,     0,   892,   886,  2588,
       0,     0,     0,     0,  2589,     0,     0,     0,   892,     0,
       0,     0,     0,     0,     0,     0,     0,   890,     0,     0,
     954,     0,   893,   890,   892,     0,     0,  2590,  2271,     0,
       0,     0,     0,     0,     0,     0,   887,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   954,     0,     0,
    2591,   887,     0,     0,     0,     0,   887,  2522,     0,     0,
     894,     0,     0,   884,   890,  1797,  2523,  2524,  2525,  2526,
    2527,  2528,  2529,  2530,  2531,     0,  1031,     0,   892,     0,
       0,     0,  1063,     0,     0,     0,   887,     0,     0,     0,
       0,  2331,     0,   892,     0,     0,   892,   892,     0,     0,
       0,   894,     0,     0,     0,  2592,     0,     0,  2593,     0,
       0,  1797,     0,     0,     0,     0,     0,     0,     0,   945,
     945,     0,     0,     0,     0,     0,     0,   892,   892,  1797,
       0,     0,     0,     0,   894,     0,     0,     0,     0,     0,
       0,     0,     0,   893,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   884,     0,   886,     0,     0,   889,
       0,     0,     0,     0,     0,   954,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     884,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2594,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   889,     0,     0,     0,   889,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   886,     0,     0,
       0,     0,     0,  1368,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   892,     0,     0,     0,     0,
       0,     0,  1391,   886,   890,     0,     0,   893,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2522,     0,     0,     0,  1796,     0,     0,     0,     0,  2523,
    2524,  2525,  2526,  2527,  2528,  2529,  2530,  2531,     0,     0,
       0,     0,   884,     0,     0,     0,   894,     0,     0,     0,
       0,     0,     0,     0,     0,   887,     0,   894,   887,   889,
     887,   701,     0,     0,  1449,   887,  2744,   890,     0,   893,
    1796,   890,     0,   894,   889,     0,     0,     0,     0,   889,
       0,     0,     0,     0,     0,     0,     0,     0,  1796,   884,
       0,     0,     0,     0,   884,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2745,     0,     0,     0,     0,   889,
       0,  1585,     0,     0,   887,     0,     0,   704,     0,     0,
       0,     0,   887,     0,     0,     0,     0,   894,     0,     0,
       0,     0,     0,   705,     0,   886,     0,     0,     0,     0,
       0,     0,   894,     0,     0,   894,   894,   887,     0,     0,
       0,  1038,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   890,  2746,   894,   894,     0,     0,
       0,     0,   886,     0,     0,     0,   708,   886,     0,   890,
       0,   893,     0,     0,   890,   709,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   710,     0,
       0,     0,     0,     0,  2747,     0,     0,   887,     0,   887,
       0,     0,     0,     0,   890,     0,  1846,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1041,     0,     0,     0,     0,     0,     0,     0,   884,
       0,     0,     0,     0,     0,  1880,  1883,  1884,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   887,   894,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   893,     0,     0,     0,     0,   893,
     893,     0,     0,     0,     0,     0,     0,  2748,     0,     0,
       0,     0,   886,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   887,   889,     0,
       0,   889,     0,   889,  1368,     0,     0,     0,   889,     0,
       0,   213,  2749,     0,   884,   719,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   887,     0,     0,     0,     0,
       0,     0,  1368,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1045,     0,     0,  2750,     0,     0,     0,     0,
       0,     0,   723,     0,     0,   884,     0,   889,     0,   724,
       0,     0,   725,     0,     0,   889,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   884,     1,     0,
       0,   726,     0,   893,     0,     0,     0,     0,  1047,     2,
     889,     3,     4,   887,     0,   728,     0,     0,  1048,     0,
       0,     0,   730,     0,     0,     0,     0,   886,     0,     0,
    2751,     0,     0,   890,     0,   887,   890,  2752,   890,     6,
       0,     0,     0,   890,     0,     0,     0,     0,     0,     0,
       0,     7,   893,     8,     9,     0,     0,   887,     0,     0,
      10,     0,    11,   735,     0,     0,     0,     0,   886,   884,
       0,     0,     0,     0,    12,     0,    13,     0,     0,     0,
     889,     0,   889,     0,     0,     0,     0,     0,     0,     0,
     886,     0,   890,    14,     0,     0,    15,     0,     0,     0,
     890,  2578,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    16,     0,    17,     0,     0,     0,    18,     0,     0,
       0,     0,     0,  5666,     0,   890,     0,     0,     0,     0,
       0,    20,     0,    21,     0,     0,     0,     0,     0,   887,
      22,     0,     0,     0,     0,     0,     0,   892,     0,     0,
       0,   892,   892,     0,     0,     0,     0,     0,    23,     0,
       0,     0,   886,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    24,   889,     0,     0,     0,
       0,  2669,     0,     0,     0,     0,     0,     0,   887,     0,
     884,     0,     0,     0,     0,   890,     0,   890,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     892,     0,     0,   887,     0,     0,   892,     0,     0,     0,
     889,     0,     0,     0,    25,    26,     0,     0,     0,     0,
      27,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    28,     0,     0,     0,   889,     0,
       0,     0,     0,     0,     0,     0,     0,   892,     0,     0,
       0,     0,    29,     0,  2787,     0,     0,     0,     0,     0,
       0,     0,     0,  2810,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   886,     0,     0,     0,     0,     0,     0,
       0,   890,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2848,    30,     0,     0,     0,
       0,  2860,  2860,     0,     0,  2860,   889,     0,     0,     0,
      31,     0,     0,     0,   884,     0,    32,    33,  2878,    34,
       0,  2881,     0,     0,    35,   890,     0,  4561,   889,     0,
      36,     0,     0,    37,     0,     0,     0,     0,     0,     0,
      38,     0,     0,     0,     0,     0,     0,    39,    40,     0,
     889,     0,     0,   890,     0,    41,     0,     0,     0,    42,
       0,   887,     0,     0,     0,     0,     0,     0,     0,    43,
       0,     0,     0,     0,     0,     0,     0,  2934,     0,     0,
       0,     0,     0,     0,     0,    44,   884,     0,     0,     0,
       0,  2954,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    45,     0,   886,     0,     0,
       0,     0,     0,     0,     0,     0,    46,  1343,  1343,     0,
       0,   890,    47,     0,     0,     0,     0,    48,     0,     0,
       0,     0,   889,     0,     0,     0,     0,     0,     0,     0,
      49,     0,     0,   890,     0,     0,     0,     0,     0,     0,
       0,     0,   887,     0,     0,     0,     0,   892,     0,     0,
       0,     0,     0,     0,    50,   890,   894,     0,     0,     0,
     894,   894,     0,     0,     0,     0,     0,     0,   887,   886,
       0,   889,     0,    56,     0,     0,  -136,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1343,     0,     0,
       0,  2976,     0,     0,     0,     0,   889,     0,   884,     0,
       0,     0,  2979,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   894,
     892,     0,     0,     0,   892,   894,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   890,     0,     0,
       0,     0,     0,     0,  3023,  2860,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   894,     0,     0,  3058,
       0,     0,     0,     0,     0,     0,  3071,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   890,     0,     0,     0,
       0,   886,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1707,  1711,
     887,   890,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   892,     0,     0,
       0,   884,     0,     0,     0,     0,   884,   884,     0,     0,
       0,     0,   892,     0,     0,     0,     0,   892,     0,  3132,
       0,     0,     0,     0,   889,     0,     0,   887,     0,     0,
       0,     0,   887,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   892,     0,     0,
       0,     0,  1368,  1368,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   652,  3186,
       0,     0,  3188,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   653,     0,     0,     0,
       0,     0,     0,     0,   886,     0,     0,     0,     0,   886,
     886,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   654,     0,     0,     0,   889,     0,     0,     0,     0,
     884,     0,     0,     0,   655,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   890,
    -876,   889,     0,     0,     0,     0,   894,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   656,     0,
       0,     0,     0,     0,   657,     0,     0,     0,     0,   884,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   658,     0,     0,     0,     0,   887,     0,     0,
       0,     0,     0,   659,     0,     0,     0,     0,     0,     0,
       0,     0,   660,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   886,     0,   661,     0,  2028,     0,   894,
       0,     0,     0,   894,   662,     0,     0,     0,   663,     0,
     890,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0, -1082,     0,
       0,     0,     0,     0,     0,  2050,   890,     0,     0,     0,
       0,     0,   886,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   889,  2069,  2070,  2071,     0,  2073,     0,
       0,     0,     0,   664,     0,     0,   892,     0,     0,   892,
       0,   892,     0,  -611,     0,     0,   892,     0,     0,  2540,
       0,     0,   887,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   894,     0,     0,     0,
     889,     0,     0,     0,     0,   889,     0,     0,     0,     0,
       0,   894,     0,     0,   665,     0,   894,   666,     0,     0,
       0,     0,     0,   887,     0,   892,     0,     0,     0,     0,
       0,     0,     0,   892,     0,     0,     0,     0,   667,     0,
       0,     0,     0,     0,     0,   887,   894,     0,     0,     0,
       0,     0,   668,     0,     0,     0,     0,     0,   892,  -464,
       0,     0,     0,     0,     0,     0,     0,     0,   890,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   669,
       0,     0,  2636,     0,     0,     0,  2648,  2653,     0,   670,
       0,     0,     0,     0,     0,     0,  -464,     0,     0,   671,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   701,   890,     0,   887,   672,  1034,
     890,     0,     0,     0,     0,   673,     0,     0,   892,     0,
     892,     0,  -464,     0,     0,   674,   675,     0,   676,   677,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   678,     0,     0,  1035,     0,     0,
     889,   679,     0,     0,   680,     0,     0,   681,     0,     0,
     704,  1036,  2533,     0,     0,     0,     0,     0,     0,     0,
    -464,     0,  1037,     0,     0,     0,   705,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1038,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   892,     0,     0,  2533,  1039,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   887,   708,
       0,     0,     0,     0,     0,     0,     0,     0,   709,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   710,     0,     0,     0,     0,     0,  1040,   892,     0,
       0,     0,     0,     0,  3367,   890,     0,     0,     0,     0,
       0,     0,     0,     0,  3372,   889,     0,     0,     0,     0,
       0,     0,     0,     0,  1041,   894,   892,     0,   894,     0,
     894,     0,     0,     0,     0,   894,     0,     0,     0,     0,
       0,     0,     0,  1449,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   889,  1042,     0,  1707,
    1707,  1707,     0,     0,     0,     0,     0,     0,     0,   701,
       0,     0,     0,     0,   702,     0,     0,     0,   889,   714,
       0,     0,     0,     0,   894,     0,     0,     0,     0,     0,
    1449,  1449,   894,     0,   892,     0,     0,     0,     0,     0,
       0,     0,   887,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   703,     0,     0,     0,   892,   894,     0,     0,
    1043,     0,     0,     0,  1368,   704,     0,     0,     0,     0,
     890,     0,     0,     0,     0,     0,     0,     0,   892,     0,
       0,   705,     0,     0,   717,     0,     0,     0,     0,     0,
     889,     0,     0,     0,   213,  1044,     0,     0,   719,   706,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   890,     0,     0,   887,     0,     0,     0,     0,     0,
       0,     0,     0,   707,     0,  1045,     0,   894,  1046,   894,
       0,     0,   722,   890,   708,   723,     0,     0,     0,     0,
       0,     0,   724,   709,     0,   725,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   710,     0,     0,     0,
     892,     0,   711,     0,   726,     0,     0,     0,     0,   712,
       0,  1047,     0,     0,     0,     0,     0,     0,   728,     0,
       0,  1048,     0,     0,     0,   730,     0,     0,     0,   713,
       0,     0,     0,  1049,     0,   732,     0,     0,  3587,     0,
    1050,     0,     0,     0,     0,   890,  2533,     0,     0,   892,
    2533,   889,     0,  3609,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   894,     0,     0,   735,     0,     0,     0,
       0,     0,     0,     0,   892,  3637,   887,     0,     0,     0,
       0,     0,     0,     0,   714,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   894,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   715,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   894,     0,     0,   716,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   717,
       0,     0,     0,     0,     0,     0,     0,   197,     0,   213,
     718,  3715,  3716,   719,     0,     0,   890,     0,  3214,     0,
       0,     0,     0,     0,     0,     0,     0,  3231,  3231,  3231,
    3240,  3246,  3248,  3231,     0,   889,     0,  3253,     0,  3254,
     720,  3256,     0,   721,  3270,  3273,  3278,   722,     0,     0,
     723,     0,  3287,   894,     0,  3292,     0,   724,   198,   887,
     725,     0,     0,     0,   887,   887,     0,     0,     0,     0,
    3299,  3300,  3301,     0,   199,   894,     0,     0,     0,   726,
       0,     0,   892,     0,     0,     0,   727,     0,  3302,     0,
       0,     0,   200,   728,     0,     0,   729,   894,   201,     0,
     730,     0,     0,     0,     0,     0,     0,   889,   731,     0,
     732,     0,     0,  3841,     0,   733,   202,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   203,   734,     0,
       0,     0,     0,     0,     0,     0,   204,     0,     0,     0,
       0,   735,     0,     0,     0,     0,     0,     0,     0,   205,
     890,     0,     0,     0,     0,   206,     0,     0,     0,     0,
       0,     0,   207,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   892,     0,     0,     0,     0,   887,   894,
       0,     0,   208,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   892,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   209,     0,  2533,     0,     0,
       0,     0,   890,     0,     0,     0,     0,   887,   894,   889,
       0,     0,  3310,     0,     0,     0,     0,   210,     0,  2533,
       0,     0,     0,  3266,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   894,     0,     0,     0,     0,  2533,  2533,
    2533,     0,  2533,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,     0,
       0,  3329,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   212,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   213,   214,     0,     0,   215,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3331,     0,     0,     0,     0,     0,
       0,   892,     0,   216,   890,     0,   217,     0,     0,     0,
     218,     0,     0,   219,     0,     0,     0,     0,     0,     0,
     220,     0,   889,   221,     0,     0,     0,   889,   889,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   222,     0,     0,     0,     0,     0,   892,   223,
       0,     0,     0,   892,   224,     0,   225,     0,     0,   226,
       0,     0,     0,   227,     0,     0,     0,     0,     0,     0,
       0,   894,     0,   228,     0,     0,     0,     0,   229,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   230,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   231,     0,     0,     0,     0,     0,
       0,     0,     0,  4146,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1449,     0,     0,   890,     0,     0,
       0,   889,   890,   890,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   894,     0,     0,     0,     0,     0,     0,     0,
       0,  3338,  3339,  3340,  3341,  3342,  3343,  3344,  3345,  3346,
       0,  3347,     0,     0,     0,     0,     0,     0,   894,     0,
     889,     0,  1343,     0,  1707,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   892,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3302,     0,     0,     0,  3310,     0,     0,  3329,
       0,  3331,     0,     0,  3384,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   890,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2070,  2071,     0,
       0,     0,     0,     0,     0,   890,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     894,     0,     0,   892,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   892,     0,     0,   894,     0,     0,
       0,  3529,   894,     0,     0,     0,     0,     0,     0,  2533,
       0,     0,     0,     0,     0,     0,   892,     0,     0,     0,
       0,     0,     0,  4356,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2860,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   892,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2533,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2533,     0,     0,
       0,     0,  2533,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   894,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4487,  4488,  4489,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   892,
       0,  4498,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3773,  3774,  1707,
       0,     0,     0,  3778,  4523,  4525,     0,     0,     0,  4530,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3807,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   894,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   894,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   892,     0,   894,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1368,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   892,     0,   894,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4002,
       0,     0,     0,     0,  4008,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4736,  4737,
    4738,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2073,     0,     0,     0,     0,     0,   892,   894,     0,
       0,     0,  3278,     0,  3278,  3278,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4095,     0,
       0,  4098,     0,  4100,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4125,     0,  4128,     0,  4130,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     892,     0,   894,     0,     0,   892,   892,     0,     0,     0,
       0,     0,     0,  2533,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4197,     0,     0,     0,
    2533,  2636,     0,     0,     0,     0,     0,     0,     0,  2533,
       0,     0,     0,     0,     0,  2533,  2653,  2533,     0,     0,
       0,     0,  2533,  2533,     0,  2533,     0,     0,     0,     0,
    3266,  3266,     0,  4071,     0,  3266,     0,     0,     0,  2533,
       0,     0,  2533,     0,   894,     0,     0,  2533,     0,     0,
       0,     0,     0,     0,     0,     0,  2533,     0,     0,     0,
       0,  2533,     0,     0,     0,     0,     0,     0,  2533,  2533,
    2533,  2533,     0,     0,     0,     0,  3266,  3266,     0,  2533,
       0,  4247,     0,     0,     0,     0,     0,     0,     0,   892,
       0,     0,     0,     0,     0,     0,     0,     0,  2533,     0,
    2533,     0,     0,     0,     0,     0,     0,  2533,  2533,  2533,
    2533,  2533,  2533,  2533,  2533,  2533,  2533,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   892,     0,
       0,     0,     0,     0,     0,  5002,     0,     0,     0,     0,
       0,     0,     0,  2533,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   894,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5034,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3071,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5092,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3132,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2533,   894,
       0,     0,     0,     0,   894,   894,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1707,     0,     0,
       0,     0,     0,  1707,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5191,  5192,  5193,  5194,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   894,     0,
       0,     0,  4510,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   894,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2533,  2533,     0,     0,     0,  2533,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4632,     0,     0,     0,     0,  2533,     0,     0,     0,
    4636,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3231,     0,     0,     0,  3231,  3231,
       0,     0,     0,     0,  3246,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4658,     0,  4659,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4681,  4682,  4683,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3287,     0,     0,     0,     0,     0,     0,     0,
    4707,     0,     0,  4710,     0,  4712,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4716,     0,     0,     0,     0,     0,     0,     0,  4723,
    4724,     0,     0,     0,     0,     0,  4729,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5411,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5421,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2533,     0,     0,     0,     0,     0,  2533,     0,     0,
       0,     0,     0,  4781,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4795,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4071,  4071,     0,     0,  3266,  3266,  3266,  3266,     0,
       0,  3266,  3266,  3266,  3266,  3266,  3266,  3266,  3266,  3266,
    3266,  4071,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2533,     0,     0,  2533,     0,  2533,
       0,     0,  4071,  4071,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2533,  3266,  3266,  2533,     0,  2533,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2533,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2533,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5611,     0,     0,
       0,     0,  1368,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5641,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5080,  5081,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5088,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5131,
    5745,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2636,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5150,     0,     0,     0,     0,     0,  3266,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5169,
    5171,     0,     0,     0,     0,     0,  5175,  5176,     0,  2533,
       0,  5177,     0,     0,     0,     0,  5178,     0,     0,  5181,
    5182,     0,     0,     0,     0,     0,  5187,     0,     0,     0,
       0,     0,     0,  5821,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5843,     0,     0,     0,     0,     0,     0,     0,  5221,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1343,     0,     0,     0,     0,     0,     0,     0,  5235,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5245,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2533,     0,     0,     0,  2533,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2533,  2533,     0,
       0,     0,     0,  4071,  4071,  4071,  4071,     0,     0,     0,
    4071,  4071,  4071,  4071,  4071,  4071,  4071,  4071,  4071,  4071,
    2533,  2533,  2533,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2533,     0,     0,  2533,
       0,  2533,     0,  5313,     0,  2533,     0,     0,  4071,  4071,
    5315,     0,  2533,  2533,     0,     0,     0,     0,  2533,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2533,     0,     0,     0,     0,     0,     0,     0,  5350,     0,
       0,     0,     0,     0,  2533,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5443,     0,     0,     0,
       0,     0,  5447,  5448,  5449,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5462,  5463,     0,
       0,  5464,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4071,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5483,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5501,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5516,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2533,
    2533,     0,     0,     0,     0,     0,     0,  2533,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2533,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2533,
    3266,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2533,     0,
    2533,     0,     0,     0,  2533,  2533,  2533,  2533,     0,     0,
    2533,  2533,     0,     0,     0,     0,  2533,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3266,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2533,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2533,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2533,     0,     0,     0,  3287,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2073,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2533,     0,  2533,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5751,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2533,
       0,     0,     0,     0,  5763,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5798,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2533,     0,  4071,  3266,  2533,  2533,  2533,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2533,  2533,  2533,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3266,     0,     0,  4071,     0,
       0,     0,  2533,     0,     0,     0,  5864,     0,     0,     0,
       0,     0,     0,     0,     0,  5871,  5871,  5871,     0,     0,
    2533,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2533,     0,     0,     0,     0,
       0,  5501,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5916,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5871,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4071,  5501,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  6029,
       0,     0,     0,     0,     0,     0,     0,  4071,     0,  3266,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2533,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2533,     0,     0,     0,     0,     0,     0,     0,
    6071,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  6096,     0,     0,  2533,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2533,     0,     0,     0,     0,     0,     0,
    2533,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5871,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    6164,     0,     0,     0,     0,  2533,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3266,  3266,     0,     0,     0,  1707,
       0,     0,     0,     0,     0,     0,     0,     0,  2533,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2533,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   234,  2533,  1250,   696,     0,  1251,
    1252,  1253,   757,  1254,     0,     0,  4071,  4071,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
    1701,   244,   245,   246,     0,     0,     0,     0,  1255,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,   258,  1256,   260,  1257,  1258,     0,   263,
     264,   265,   266,   267,   268,   269,  1259,  1260,   270,   271,
    1261,  1262,   274,  2533,   275,   276,   277,   278,  1263,     0,
    1264,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,     0,   291,   292,   293,   294,   295,   296,     0,
     297,   298,   299,   300,  1265,  1266,  1267,  1268,  1269,  1270,
    1271,   302,   303,   304,   305,   306,   307,  1272,  1273,   310,
    1274,   311,     0,   312,   313,   314,   315,   316,   317,   318,
       0,   319,   320,   321,   322,  1702,     0,   323,   324,   866,
     326,   327,     0,   328,   329,   330,     0,   331,   332,   333,
       0,   334,   335,   336,   337,  1275,   339,   340,   341,   342,
    1276,  1277,   344,     0,   345,   346,   347,  1278,   349,     0,
     350,     0,   351,   352,   353,     0,   354,   355,   356,   357,
     358,     0,   359,  1279,     0,  1280,   362,   363,     0,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,     0,
     374,   375,   376,   377,   378,   379,   380,   381,     0,   382,
     383,   384,   385,   386,   387,   388,  1281,  1282,     0,  1283,
       0,   392,   393,   394,   395,   396,  1284,  1285,  1286,  1287,
    1288,  1289,  1290,   404,   405,   406,   407,   408,   409,     0,
       0,   410,  1291,   412,   413,   414,     0,   415,   416,   417,
    1292,  1293,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
    1294,   437,  1295,   439,   440,   441,   442,   443,   444,   445,
     446,  1296,   448,  1297,   449,   450,   451,   452,  1298,  1299,
     454,  1300,   456,   457,   458,     0,   459,   460,     0,     0,
    1301,   462,   463,     0,     0,   464,   465,   466,   467,   468,
     469,  1302,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,     0,   481,   482,  1303,   484,   485,   486,   487,
     488,     0,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,  1304,   500,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,     0,   517,   518,   519,   520,   521,   522,   523,   524,
    1305,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,     0,   536,   537,   538,   539,   540,  1306,   541,   542,
     543,   544,   545,   546,   547,   548,  1307,   550,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,  1308,   565,     0,   566,   567,  1309,     0,   568,
     569,   570,   571,   572,   573,   574,     0,   575,  1310,  1311,
       0,     0,   578,   579,  1312,   581,  1313,  1314,   583,   584,
     585,   586,   587,   588,   589,   590,     0,  1315,   591,   592,
     593,   594,   595,  1316,     0,   596,   597,   598,   599,   600,
     601,  1317,  1703,   603,   604,   605,   606,   607,   608,     0,
       0,   609,     0,     0,   610,   611,   612,   613,   614,   615,
     616,  1318,  1319,  1320,  1321,   621,  1322,  1323,  1324,  1325,
     626,   627,   628,   629,     0,  1326,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1327,  1328,  1704,
       0,     0,     0,     0,     0,     0,  1330,  1705,   234,     0,
    1250,   696,     0,  1251,  1252,  1253,   757,  1254,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,  1255,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,  1256,   260,
    1257,  1258,     0,   263,   264,   265,   266,   267,   268,   269,
    1259,  1260,   270,   271,  1261,  1262,   274,     0,   275,   276,
     277,   278,  1263,     0,  1264,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,  1265,  1266,
    1267,  1268,  1269,  1270,  1271,   302,   303,   304,   305,   306,
     307,  1272,  1273,   310,  1274,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   866,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,  1275,
     339,   340,   341,   342,  1276,  1277,   344,     0,   345,   346,
     347,  1278,   349,     0,   350,     0,   351,   352,   353,     0,
     354,   355,   356,   357,   358,     0,   359,  1279,     0,  1280,
     362,   363,     0,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,   383,   384,   385,   386,   387,   388,
    1281,  1282,     0,  1283,     0,   392,   393,   394,   395,   396,
    1284,  1285,  1286,  1287,  1288,  1289,  1290,   404,   405,   406,
     407,   408,   409,     0,     0,   410,  1291,   412,   413,   414,
       0,   415,   416,   417,  1292,  1293,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,  1294,   437,  1295,   439,   440,   441,
     442,   443,   444,   445,   446,  1296,   448,  1297,   449,   450,
     451,   452,  1298,  1299,   454,  1300,   456,   457,   458,     0,
     459,   460,     0,     0,  1301,   462,   463,     0,     0,   464,
     465,   466,   467,   468,   469,  1302,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,  1303,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,  1304,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,   519,   520,
     521,   522,   523,   524,  1305,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,    40,   536,   537,   538,   539,
     540,  1306,   541,   542,   543,   544,   545,   546,   547,   548,
    1307,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,  1308,   565,     0,   566,
     567,  1309,    44,   568,   569,   570,   571,   572,   573,   574,
       0,   575,  1310,  1311,     0,     0,   578,   579,  1312,   581,
    1313,  1314,   583,   584,   585,   586,   587,   588,   589,   590,
       0,  1315,   591,   592,   593,   594,   595,  1316,     0,   596,
     597,   598,   599,   600,  1185,  1317,     0,   603,   604,   605,
     606,   607,   608,     0,     0,   609,     0,    49,   610,   611,
     612,   613,   614,   615,   616,  1318,  1319,  1320,  1321,   621,
    1322,  1323,  1324,  1325,   626,   627,   628,   629,     0,  1326,
       0,    50,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1327,  1328,     0,     0,     0,     0,     0,     0,     0,
    1330,  5722,   234,     0,  1250,   696,     0,  1251,  1252,  1253,
     757,  1254,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,  1255,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,   258,  1256,   260,  1257,  1258,     0,   263,   264,   265,
     266,   267,   268,   269,  1259,  1260,   270,   271,  1261,  1262,
     274,     0,   275,   276,   277,   278,  1263,     0,  1264,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
       0,   291,   292,   293,   294,   295,   296,     0,   297,   298,
     299,   300,  1265,  1266,  1267,  1268,  1269,  1270,  1271,   302,
     303,   304,   305,   306,   307,  1272,  1273,   310,  1274,   311,
       0,   312,   313,   314,   315,   316,   317,   318,     0,   319,
     320,   321,   322,     0,     0,   323,   324,   866,   326,   327,
       0,   328,   329,   330,     0,   331,   332,   333,     0,   334,
     335,   336,   337,  1275,   339,   340,   341,   342,  1276,  1277,
     344,     0,   345,   346,   347,  1278,   349,     0,   350,     0,
     351,   352,   353,     0,   354,   355,   356,   357,   358,     0,
     359,  1279,     0,  1280,   362,   363,     0,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,     0,   374,   375,
     376,   377,   378,   379,   380,   381,     0,   382,   383,   384,
     385,   386,   387,   388,  1281,  1282,     0,  1283,     0,   392,
     393,   394,   395,   396,  1284,  1285,  1286,  1287,  1288,  1289,
    1290,   404,   405,   406,   407,   408,   409,     0,     0,   410,
    1291,   412,   413,   414,     0,   415,   416,   417,  1292,  1293,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,  1294,   437,
    1295,   439,   440,   441,   442,   443,   444,   445,   446,  1296,
     448,  1297,   449,   450,   451,   452,  1298,  1299,   454,  1300,
     456,   457,   458,     0,   459,   460,     0,     0,  1301,   462,
     463,     0,     0,   464,   465,   466,   467,   468,   469,  1302,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
       0,   481,   482,  1303,   484,   485,   486,   487,   488,     0,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
    1304,   500,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,     0,
     517,   518,   519,   520,   521,   522,   523,   524,  1305,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,     0,
     536,   537,   538,   539,   540,  1306,   541,   542,   543,   544,
     545,   546,   547,   548,  1307,   550,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
    1308,   565,     0,   566,   567,  1309,     0,   568,   569,   570,
     571,   572,   573,   574,     0,   575,  1310,  1311,     0,     0,
     578,   579,  1312,   581,  1313,  1314,   583,   584,   585,   586,
     587,   588,   589,   590,     0,  1315,   591,   592,   593,   594,
     595,  1316,     0,   596,   597,   598,   599,   600,   601,  1317,
       0,   603,   604,   605,   606,   607,   608,     0,     0,   609,
       0,     0,   610,   611,   612,   613,   614,   615,   616,  1318,
    1319,  1320,  1321,   621,  1322,  1323,  1324,  1325,   626,   627,
     628,   629,     0,  1326,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1327,  1328,     0,     0,     0,
       0,     0,     0,     0,  1330,  3268,   234,     0,  1250,   696,
       0,  1251,  1252,  1253,   757,  1254,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
    1255,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,   258,  1256,   260,  1257,  1258,
       0,   263,   264,   265,   266,   267,   268,   269,  1259,  1260,
     270,   271,  1261,  1262,   274,     0,   275,   276,   277,   278,
    1263,     0,  1264,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,     0,   291,   292,   293,   294,   295,
     296,     0,   297,   298,   299,   300,  1265,  1266,  1267,  1268,
    1269,  1270,  1271,   302,   303,   304,   305,   306,   307,  1272,
    1273,   310,  1274,   311,     0,   312,   313,   314,   315,   316,
     317,   318,     0,   319,   320,   321,   322,     0,     0,   323,
     324,   866,   326,   327,     0,   328,   329,   330,     0,   331,
     332,   333,     0,   334,   335,   336,   337,  1275,   339,   340,
     341,   342,  1276,  1277,   344,     0,   345,   346,   347,  1278,
     349,     0,   350,     0,   351,   352,   353,     0,   354,   355,
     356,   357,   358,     0,   359,  1279,     0,  1280,   362,   363,
       0,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,     0,   374,   375,   376,   377,   378,   379,   380,   381,
       0,   382,   383,   384,   385,   386,   387,   388,  1281,  1282,
       0,  1283,     0,   392,   393,   394,   395,   396,  1284,  1285,
    1286,  1287,  1288,  1289,  1290,   404,   405,   406,   407,   408,
     409,     0,     0,   410,  1291,   412,   413,   414,     0,   415,
     416,   417,  1292,  1293,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,  1294,   437,  1295,   439,   440,   441,   442,   443,
     444,   445,   446,  1296,   448,  1297,   449,   450,   451,   452,
    1298,  1299,   454,  1300,   456,   457,   458,     0,   459,   460,
       0,     0,  1301,   462,   463,     0,     0,   464,   465,   466,
     467,   468,   469,  1302,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,     0,   481,   482,  1303,   484,   485,
     486,   487,   488,     0,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,  1304,   500,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,     0,   517,   518,   519,   520,   521,   522,
     523,   524,  1305,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,     0,   536,   537,   538,   539,   540,  1306,
     541,   542,   543,   544,   545,   546,   547,   548,  1307,   550,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,  1308,   565,     0,   566,   567,  1309,
       0,   568,   569,   570,   571,   572,   573,   574,     0,   575,
    1310,  1311,     0,     0,   578,   579,  1312,   581,  1313,  1314,
     583,   584,   585,   586,   587,   588,   589,   590,     0,  1315,
     591,   592,   593,   594,   595,  1316,     0,   596,   597,   598,
     599,   600,   601,  1317,     0,   603,   604,   605,   606,   607,
     608,     0,     0,   609,     0,     0,   610,   611,   612,   613,
     614,   615,   616,  1318,  1319,  1320,  1321,   621,  1322,  1323,
    1324,  1325,   626,   627,   628,   629,     0,  1326,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1327,
    1328,     0,     0,     0,     0,     0,     0,     0,  1330,  4660,
     234,     0,  1250,   696,     0,  1251,  1252,  1253,   757,  1254,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,  1255,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
    1256,   260,  1257,  1258,     0,   263,   264,   265,   266,   267,
     268,   269,  1259,  1260,   270,   271,  1261,  1262,   274,     0,
     275,   276,   277,   278,  1263,     0,  1264,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
    1265,  1266,  1267,  1268,  1269,  1270,  1271,   302,   303,   304,
     305,   306,   307,  1272,  1273,   310,  1274,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   866,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,  1275,   339,   340,   341,   342,  1276,  1277,   344,     0,
     345,   346,   347,  1278,   349,     0,   350,     0,   351,   352,
     353,     0,   354,   355,   356,   357,   358,     0,   359,  1279,
       0,  1280,   362,   363,     0,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,   383,   384,   385,   386,
     387,   388,  1281,  1282,     0,  1283,     0,   392,   393,   394,
     395,   396,  1284,  1285,  1286,  1287,  1288,  1289,  1290,   404,
     405,   406,   407,   408,   409,     0,     0,   410,  1291,   412,
     413,   414,     0,   415,   416,   417,  1292,  1293,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,  1294,   437,  1295,   439,
     440,   441,   442,   443,   444,   445,   446,  1296,   448,  1297,
     449,   450,   451,   452,  1298,  1299,   454,  1300,   456,   457,
     458,     0,   459,   460,     0,     0,  1301,   462,   463,     0,
       0,   464,   465,   466,   467,   468,   469,  1302,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,  1303,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,  1304,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
     519,   520,   521,   522,   523,   524,  1305,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,  1306,   541,   542,   543,   544,   545,   546,
     547,   548,  1307,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,  1308,   565,
       0,   566,   567,  1309,     0,   568,   569,   570,   571,   572,
     573,   574,     0,   575,  1310,  1311,     0,     0,   578,   579,
    1312,   581,  1313,  1314,   583,   584,   585,   586,   587,   588,
     589,   590,     0,  1315,   591,   592,   593,   594,   595,  1316,
       0,   596,   597,   598,   599,   600,   601,  1317,     0,   603,
     604,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,  1318,  1319,  1320,
    1321,   621,  1322,  1323,  1324,  1325,   626,   627,   628,   629,
       0,  1326,     0,     0,     0,     0,     0,   637,     0,     0,
       0,     0,     0,  1327,  1328,     0,     0,     0,     0,     0,
       0,     0,  1330,  4726,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,  4175,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,     0,   291,   292,   293,   294,
     295,   296,     0, -1820,   298,   299,   300,     0,     0,     0,
       0,     0,     0,     0,   302,   303,   304,   305,   306,   307,
     308,   309,   310,     0,   311,     0,   312,   313,   314,   315,
     316,   317,   318,     0,   319,   320,   321,   322,     0,     0,
     323,   324,   325,   326,   327,     0,   328,   329,   330,     0,
     331,   332,   333,     0,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,     0,   344,     0,   345,   346,   347,
     348,   349,     0,   350,     0,   351,   352,     0,     0, -1820,
     355,   356,   357,   358,     0,   359,   360,     0,   361,   362,
     363,     0,   364,   365,   366,   367,   368,     0,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382, -1820,   384,   385,   386,   387,   388,   389,
     390,     0,   391,     0,   392,     0,     0,   395, -1820,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,     0,   410,   411, -1820,   413,     0,     0,
     415,   416,   417,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436, -1820,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,     0,   449,   450,     0,
     452,     0,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,     0,   461,   462,   463,     0,     0,   464,   465,
     466,     0,   468,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,     0,   481,   482,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,     0,   517,   518, -1820,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,     0,   536,   537,   538,   539,   540,
       0,   541,   542,   543,   544,   545,     0,   547,   548,   549,
     550,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,   565,     0,   566,   567,
       0,     0,   568,     0,   570,   571,   572,   573,   574,     0,
     575,   576,   577,     0,     0,   578,   579,   580,   581,   582,
       0,   583,   584,   585,   586,   587,   588,   589,   590,     0,
       0,   591,   592,   593,   594,   595,     0,     0,   596,   597,
     598,   599,   600,   601,   602,     0,   603,     0,   605,   606,
     607,   608,     0,     0,   609,     0,     0,   610,   611,   612,
     613,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,     0,     0,
       0,     0,     0,     0,   858,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1442,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,     0,   859,   260,   860,   861,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     862,   863,   274,     0,   275,   276,   277,   278,     0,     0,
     280,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,     0,   291,   292,   293,   294,   295,   296,     0,
     297,   298,   299,   300,     0,     0,     0,   301,     0,     0,
       0,   302,   303,   304,   305,   306,   307,   864,   865,   310,
       0,   311,     0,   312,   313,   314,   315,   316,   317,   318,
       0,   319,   320,   321,   322,     0,     0,   323,   324,   866,
     326,   327,     0,   328,   329,   330,     0,   331,   332,   333,
       0,   334,   335,   336,   337,     0,   339,   340,   341,   342,
       0,     0,   344,     0,   345,   346,   347,   867,   349,     0,
     350,     0,   351,   352,   353,     0,   354,   355,   356,   357,
     358,     0,   359,     0,     0,     0,   362,   363,     0,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,  2679,
     374,   375,   376,   377,   378,   379,   380,   381,     0,   382,
     383,  2680,   385,   386,   387,   388,   868,   869,     0,   870,
       0,   392,   393,   394,   395,   396,   871,     0,     0,     0,
       0,     0,     0,   404,   405,   406,   407,   408,   409,     0,
       0,   410,     0,   412,   413,   414,     0,   415,   416,   417,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     872,   437,   873,   439,   440,   441,   442,   443,   444,   445,
       0,     0,   448,     0,   449,   450,   451,   452,     0,     0,
     454,   874,   456,   457,   458,     0,   459,   460,     0,     0,
     461,   462,   463,     0,     0,   464,   465,  2682,   467,   468,
     469,     0,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,     0,   481,   482,     0,   484,     0,   486,   487,
     488,     0,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   875,   500,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,     0,   517,   518,   519,   520,   521,   522,   523,   524,
       0,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,     0,   536,   537,   538,   539,   540,     0,   541,   542,
    2683,   544,   545,   546,   547,   548,   877,   550,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,     0,   565,     0,   566,   567,     0,     0,   568,
     569,   570,   571,   572,   573,   574,     0,   575,   878,   879,
       0,     0,   578,   579,     0,   581,     0,     0,   583,   584,
     585,   586,   587,   588,   589,   590,     0,     0,   591,   592,
     593,   594,   595,     0,     0,   596,   597,   598,   599,   600,
       0,   880,  2684,   603,   604,   605,   606,   607,   608,     0,
       0,   609,     0,     0,   610,   611,   612,   613,   614,   615,
       0,   858,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   627,   628,   629,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,  2781,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
       0,   859,   260,   860,   861,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   862,   863,   274,
       0,   275,   276,   277,   278,     0,     0,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,   297,   298,   299,
     300,     0,     0,     0,   301,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   864,   865,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   866,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,     0,   339,   340,   341,   342,     0,     0,   344,
       0,   345,   346,   347,   867,   349,     0,   350,     0,   351,
     352,   353,     0,   354,   355,   356,   357,   358,     0,   359,
       0,     0,     0,   362,   363,     0,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,  2679,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,   383,  2680,   385,
     386,   387,   388,   868,   869,     0,   870,     0,   392,   393,
     394,   395,   396,   871,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,     0,     0,   410,     0,
     412,   413,   414,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   872,   437,   873,
     439,   440,   441,   442,   443,   444,   445,     0,     0,   448,
       0,   449,   450,   451,   452,     0,     0,   454,   874,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,  2682,   467,   468,   469,     0,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,     0,   484,     0,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   875,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,   519,   520,   521,   522,   523,   524,     0,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,  2683,   544,   545,
     546,   547,   548,   877,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,     0,
     565,     0,   566,   567,     0,     0,   568,   569,   570,   571,
     572,   573,   574,     0,   575,   878,   879,     0,     0,   578,
     579,     0,   581,     0,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,     0,   880,  2684,
     603,   604,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,     0,   234,     0,
    1250,   696,     0,  1251,  1252,  1253,   757,  1254,   627,   628,
     629,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,  1255,     0,  3896,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,  1256,   260,
    1257,  1258,     0,   263,   264,   265,   266,   267,   268,   269,
    1259,  1260,   270,   271,  1261,  1262,   274,     0,   275,   276,
     277,   278,  1263,     0,  1264,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,  1265,  1266,
    1267,  1268,  1269,  1270,  1271,   302,   303,   304,   305,   306,
     307,  1272,  1273,   310,  1274,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   866,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,  1275,
     339,   340,   341,   342,  1276,  1277,   344,     0,   345,   346,
     347,  1278,   349,     0,   350,     0,   351,   352,   353,     0,
     354,   355,   356,   357,   358,     0,   359,  1279,     0,  1280,
     362,   363,     0,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,   383,   384,   385,   386,   387,   388,
    1281,  1282,     0,  1283,     0,   392,   393,   394,   395,   396,
    1284,  1285,  1286,  1287,  1288,  1289,  1290,   404,   405,   406,
     407,   408,   409,     0,     0,   410,  1291,   412,   413,   414,
       0,   415,   416,   417,  1292,  1293,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,  1294,   437,  1295,   439,   440,   441,
     442,   443,   444,   445,   446,  1296,   448,  1297,   449,   450,
     451,   452,  1298,  1299,   454,  1300,   456,   457,   458,     0,
     459,   460,     0,     0,  1301,   462,   463,     0,     0,   464,
     465,   466,   467,   468,   469,  1302,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,  1303,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,  1304,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,  3233,   517,   518,   519,   520,
     521,   522,   523,   524,  1305,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,    40,   536,   537,   538,   539,
     540,  1306,   541,   542,   543,   544,   545,   546,   547,   548,
    1307,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,  1308,   565,     0,   566,
     567,  1309,    44,   568,   569,   570,   571,   572,   573,   574,
       0,   575,  1310,  1311,     0,     0,   578,   579,  1312,   581,
    1313,  1314,   583,   584,   585,   586,   587,   588,   589,   590,
       0,  1315,   591,   592,   593,   594,   595,  1316,     0,   596,
     597,   598,   599,   600,  1185,  1317,     0,   603,   604,   605,
     606,   607,   608,     0,     0,   609,     0,    49,   610,   611,
     612,   613,   614,   615,   616,  1318,  1319,  1320,  1321,   621,
    1322,  1323,  1324,  1325,   626,   627,   628,   629,     0,  1326,
       0,    50,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1327,  1328,     0,     0,     0,   234,     0,  1250,   696,
    1330,  1251,  1252,  1253,   757,  1254,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
    1255,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,   258,  1256,   260,  1257,  1258,
       0,   263,   264,   265,   266,   267,   268,   269,  1259,  1260,
     270,   271,  1261,  1262,   274,     0,   275,   276,   277,   278,
    1263,     0,  1264,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,     0,   291,   292,   293,   294,   295,
     296,     0,   297,   298,   299,   300,  1265,  1266,  1267,  1268,
    1269,  1270,  1271,   302,   303,   304,   305,   306,   307,  1272,
    1273,   310,  1274,   311,     0,   312,   313,   314,   315,   316,
     317,   318,     0,   319,   320,   321,   322,     0,     0,   323,
     324,   866,   326,   327,     0,   328,   329,   330,     0,   331,
     332,   333,     0,   334,   335,   336,   337,  1275,   339,   340,
     341,   342,  1276,  1277,   344,     0,   345,   346,   347,  1278,
     349,     0,   350,     0,   351,   352,   353,     0,   354,   355,
     356,   357,   358,     0,   359,  1279,     0,  1280,   362,   363,
       0,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,     0,   374,   375,   376,   377,   378,   379,   380,   381,
       0,   382,   383,   384,   385,   386,   387,   388,  1281,  1282,
       0,  1283,     0,   392,   393,   394,   395,   396,  1284,  1285,
    1286,  1287,  1288,  1289,  1290,   404,   405,   406,   407,   408,
     409,     0,     0,   410,  1291,   412,   413,   414,     0,   415,
     416,   417,  1292,  1293,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,  1294,   437,  1295,   439,   440,   441,   442,   443,
     444,   445,   446,  1296,   448,  1297,   449,   450,   451,   452,
    1298,  1299,   454,  1300,   456,   457,   458,     0,   459,   460,
       0,     0,  1301,   462,   463,     0,     0,   464,   465,   466,
     467,   468,   469,  1302,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,     0,   481,   482,  1303,   484,   485,
     486,   487,   488,     0,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,  1304,   500,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,     0,   517,   518,   519,   520,   521,   522,
     523,   524,  1305,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,    40,   536,   537,   538,   539,   540,  1306,
     541,   542,   543,   544,   545,   546,   547,   548,  1307,   550,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,  1308,   565,     0,   566,   567,  1309,
      44,   568,   569,   570,   571,   572,   573,   574,     0,   575,
    1310,  1311,     0,     0,   578,   579,  1312,   581,  1313,  1314,
     583,   584,   585,   586,   587,   588,   589,   590,     0,  1315,
     591,   592,   593,   594,   595,  1316,     0,   596,   597,   598,
     599,   600,  1185,  1317,     0,   603,   604,   605,   606,   607,
     608,     0,     0,   609,     0,    49,   610,   611,   612,   613,
     614,   615,   616,  1318,  1319,  1320,  1321,   621,  1322,  1323,
    1324,  1325,   626,   627,   628,   629,     0,  1326,     0,    50,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1327,
    1328,     0,     0,     0,   234,     0,  1250,   696,  1330,  1251,
    1252,  1253,   757,  1254,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,  1255,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,   258,  1256,   260,  1257,  1258,  3274,   263,
     264,   265,   266,   267,   268,   269,  1259,  1260,   270,   271,
    1261,  1262,   274,     0,   275,   276,   277,   278,  1263,     0,
    1264,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,     0,   291,   292,   293,   294,   295,   296,     0,
     297,   298,   299,   300,  1265,  1266,  1267,  1268,  1269,  1270,
    1271,   302,   303,   304,   305,   306,   307,  1272,  1273,   310,
    1274,   311,     0,   312,   313,   314,   315,   316,   317,   318,
       0,   319,   320,   321,   322,     0,     0,   323,   324,   866,
     326,   327,     0,   328,   329,   330,     0,   331,   332,   333,
       0,   334,   335,   336,   337,  1275,   339,   340,   341,   342,
    1276,  1277,   344,     0,   345,   346,   347,  1278,   349,     0,
     350,     0,   351,   352,   353,  3275,   354,   355,   356,   357,
     358,     0,   359,  1279,     0,  1280,   362,   363,     0,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,     0,
     374,   375,   376,   377,   378,   379,   380,   381,     0,   382,
     383,   384,   385,   386,   387,   388,  1281,  1282,     0,  1283,
       0,   392,   393,   394,   395,   396,  1284,  1285,  1286,  1287,
    1288,  1289,  1290,   404,   405,   406,   407,   408,   409,     0,
    3276,   410,  1291,   412,   413,   414,     0,   415,   416,   417,
    1292,  1293,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
    1294,   437,  1295,   439,   440,   441,   442,   443,   444,   445,
     446,  1296,   448,  1297,   449,   450,   451,   452,  1298,  1299,
     454,  1300,   456,   457,   458,     0,   459,   460,     0,     0,
    1301,   462,   463,     0,     0,   464,   465,   466,   467,   468,
     469,  1302,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,     0,   481,   482,  1303,   484,   485,   486,   487,
     488,     0,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,  1304,   500,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,     0,   517,   518,   519,   520,   521,   522,   523,   524,
    1305,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,     0,   536,   537,   538,   539,   540,  1306,   541,   542,
     543,   544,   545,   546,   547,   548,  1307,   550,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,  1308,   565,     0,   566,   567,  1309,     0,   568,
     569,   570,   571,   572,   573,   574,     0,   575,  1310,  1311,
       0,  3277,   578,   579,  1312,   581,  1313,  1314,   583,   584,
     585,   586,   587,   588,   589,   590,     0,  1315,   591,   592,
     593,   594,   595,  1316,     0,   596,   597,   598,   599,   600,
     601,  1317,     0,   603,   604,   605,   606,   607,   608,     0,
       0,   609,     0,     0,   610,   611,   612,   613,   614,   615,
     616,  1318,  1319,  1320,  1321,   621,  1322,  1323,  1324,  1325,
     626,   627,   628,   629,     0,  1326,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1327,  1328,     0,
       0,     0,   234,     0,  1250,   696,  1330,  1251,  1252,  1253,
     757,  1254,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243, -2231,   244,
     245,   246,     0,     0,     0, -2231,  1255,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,   258,  1256,   260,  1257,  1258,     0,   263,   264,   265,
     266,   267,   268,   269,  1259,  1260,   270,   271,  1261,  1262,
     274,     0,   275,   276,   277,   278,  1263,     0,  1264,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
       0,   291,   292,   293,   294,   295,   296,     0,   297,   298,
     299,   300,  1265,  1266,  1267,  1268,  1269,  1270,  1271,   302,
     303,   304,   305,   306,   307,  1272,  1273,   310,  1274,   311,
       0,   312,   313,   314,   315,   316,   317,   318,     0,   319,
     320,   321,   322,     0,     0,   323,   324,   866,   326,   327,
       0,   328,   329,   330,     0,   331,   332,   333,     0,   334,
     335,   336,   337,  1275,   339,   340,   341,   342,  1276,  1277,
     344,     0,   345,   346,   347,  1278,   349,     0,   350,     0,
     351,   352,   353,     0,   354,   355,   356,   357,   358,     0,
     359,  1279,     0,  1280,   362,   363,     0,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,     0,   374,   375,
     376,   377,   378,   379,   380,   381,     0,   382,   383,   384,
     385,   386,   387,   388,  1281,  1282,     0,  1283,     0,   392,
     393,   394,   395,   396,  1284,  1285,  1286,  1287,  1288,  1289,
    1290,   404,   405,   406,   407,   408,   409,     0,     0,   410,
    1291,   412,   413,   414,     0,   415,   416,   417,  1292,  1293,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,  1294,   437,
    1295,   439,   440,   441,   442,   443,   444,   445,   446,  1296,
     448,  1297,   449,   450,   451,   452,  1298,  1299,   454,  1300,
     456,   457,   458,     0,   459,   460,     0,     0,  1301,   462,
     463,     0,     0,   464,   465,   466,   467,   468,   469,  1302,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
       0,   481,   482,  1303,   484,   485,   486,   487,   488,     0,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
    1304,   500,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,     0,
     517,   518,   519,   520,   521,   522,   523,   524,  1305,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,     0,
     536,   537,   538,   539,   540,  1306,   541,   542,   543,   544,
     545,   546,   547,   548,  1307,   550, -2231,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
    1308,   565,     0,   566,   567,  1309,     0,   568,   569,   570,
     571,   572,   573,   574,     0,   575,  1310,  1311,     0,     0,
     578,   579,  1312,   581,  1313,  1314,   583,   584,   585,   586,
     587,   588,   589,   590,     0,  1315,   591,   592,   593,   594,
     595,  1316,     0,   596,   597,   598,   599,   600,   601,  1317,
       0,   603,   604,   605,   606,   607,   608,     0,     0,   609,
       0,     0,   610,   611,   612,   613,   614,   615,   616,  1318,
    1319,  1320,  1321,   621,  1322,  1323,  1324,  1325,   626,   627,
     628,   629,     0,  1326,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1327,  1328,     0,     0,     0,
     234,     0,  1250,   696,  1330,  1251,  1252,  1253,   757,  1254,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243, -2229,   244,   245,   246,
       0,     0,     0, -2229,  1255,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
    1256,   260,  1257,  1258,     0,   263,   264,   265,   266,   267,
     268,   269,  1259,  1260,   270,   271,  1261,  1262,   274,     0,
     275,   276,   277,   278,  1263,     0,  1264,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
    1265,  1266,  1267,  1268,  1269,  1270,  1271,   302,   303,   304,
     305,   306,   307,  1272,  1273,   310,  1274,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   866,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,  1275,   339,   340,   341,   342,  1276,  1277,   344,     0,
     345,   346,   347,  1278,   349,     0,   350,     0,   351,   352,
     353,     0,   354,   355,   356,   357,   358,     0,   359,  1279,
       0,  1280,   362,   363,     0,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,   383,   384,   385,   386,
     387,   388,  1281,  1282,     0,  1283,     0,   392,   393,   394,
     395,   396,  1284,  1285,  1286,  1287,  1288,  1289,  1290,   404,
     405,   406,   407,   408,   409,     0,     0,   410,  1291,   412,
     413,   414,     0,   415,   416,   417,  1292,  1293,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,  1294,   437,  1295,   439,
     440,   441,   442,   443,   444,   445,   446,  1296,   448,  1297,
     449,   450,   451,   452,  1298,  1299,   454,  1300,   456,   457,
     458,     0,   459,   460,     0,     0,  1301,   462,   463,     0,
       0,   464,   465,   466,   467,   468,   469,  1302,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,  1303,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,  1304,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
     519,   520,   521,   522,   523,   524,  1305,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,  1306,   541,   542,   543,   544,   545,   546,
     547,   548,  1307,   550, -2229,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,  1308,   565,
       0,   566,   567,  1309,     0,   568,   569,   570,   571,   572,
     573,   574,     0,   575,  1310,  1311,     0,     0,   578,   579,
    1312,   581,  1313,  1314,   583,   584,   585,   586,   587,   588,
     589,   590,     0,  1315,   591,   592,   593,   594,   595,  1316,
       0,   596,   597,   598,   599,   600,   601,  1317,     0,   603,
     604,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,  1318,  1319,  1320,
    1321,   621,  1322,  1323,  1324,  1325,   626,   627,   628,   629,
       0,  1326,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1327,  1328,     0,     0,     0,   234,     0,
    1250,   696,  1330,  1251,  1252,  1253,   757,  1254,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,  1255,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,  1256,   260,
    1257,  1258,     0,   263,   264,   265,   266,   267,   268,   269,
    1259,  1260,   270,   271,  1261,  1262,   274,     0,   275,   276,
     277,   278,  1263,     0,  1264,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,  1265,  1266,
    1267,  1268,  1269,  1270,  1271,   302,   303,   304,   305,   306,
     307,  1272,  1273,   310,  1274,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   866,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,  1275,
     339,   340,   341,   342,  1276,  1277,   344,     0,   345,   346,
     347,  1278,   349,     0,   350,     0,   351,   352,   353,     0,
     354,   355,   356,   357,   358,     0,   359,  1279,     0,  1280,
     362,   363,     0,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,   383,   384,   385,   386,   387,   388,
    1281,  1282,     0,  1283,     0,   392,   393,   394,   395,   396,
    1284,  1285,  1286,  1287,  1288,  1289,  1290,   404,   405,   406,
     407,   408,   409,     0,     0,   410,  1291,   412,   413,   414,
       0,   415,   416,   417,  1292,  1293,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,  1294,   437,  1295,   439,   440,   441,
     442,   443,   444,   445,   446,  1296,   448,  1297,   449,   450,
     451,   452,  1298,  1299,   454,  1300,   456,   457,   458,     0,
     459,   460,     0,     0,  1301,   462,   463,     0,     0,   464,
     465,   466,   467,   468,   469,  1302,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,  1303,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,  1304,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,   519,   520,
     521,   522,   523,   524,  1305,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,  1306,   541,   542,   543,   544,   545,   546,   547,   548,
    1307,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,  1308,   565,     0,   566,
     567,  1309,     0,   568,   569,   570,   571,   572,   573,   574,
       0,   575,  1310,  1311,     0,     0,   578,   579,  1312,   581,
    1313,  1314,   583,   584,   585,   586,   587,   588,   589,   590,
       0,  1315,   591,   592,   593,   594,   595,  1316,     0,   596,
     597,   598,   599,   600,   601,  1317,     0,   603,   604,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,  1318,  1319,  1320,  1321,   621,
    1322,  1323,  1324,  1325,   626,   627,   628,   629,     0,  1326,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1327,  1328,     0,     0,     0,     0,     0,  2025,  3207,
    1330,   234,     0,  1250,   696,     0,  1251,  1252,  1253,   757,
    1254,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,  1255,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,  1256,   260,  1257,  1258,     0,   263,   264,   265,   266,
     267,   268,   269,  1259,  1260,   270,   271,  1261,  1262,   274,
       0,   275,   276,   277,   278,  1263,     0,  1264,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,   297,   298,   299,
     300,  1265,  1266,  1267,  1268,  1269,  1270,  1271,   302,   303,
     304,   305,   306,   307,  1272,  1273,   310,  1274,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   866,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,  1275,   339,   340,   341,   342,  1276,  1277,   344,
       0,   345,   346,   347,  1278,   349,     0,   350,     0,   351,
     352,   353,     0,   354,   355,   356,   357,   358,     0,   359,
    1279,     0,  1280,   362,   363,     0,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,   383,   384,   385,
     386,   387,   388,  1281,  1282,     0,  1283,     0,   392,   393,
     394,   395,   396,  1284,  1285,  1286,  1287,  1288,  1289,  1290,
     404,   405,   406,   407,   408,   409,     0,     0,   410,  1291,
     412,   413,   414,     0,   415,   416,   417,  1292,  1293,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,  1294,   437,  1295,
     439,   440,   441,   442,   443,   444,   445,   446,  1296,   448,
    1297,   449,   450,   451,   452,  1298,  1299,   454,  1300,   456,
     457,   458,     0,   459,   460,     0,     0,  1301,   462,   463,
       0,     0,   464,   465,   466,   467,   468,   469,  1302,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,  1303,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,  1304,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,   519,   520,   521,   522,   523,   524,  1305,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,  1306,   541,   542,   543,   544,   545,
     546,   547,   548,  1307,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,  1308,
     565,     0,   566,   567,  1309,     0,   568,   569,   570,   571,
     572,   573,   574,     0,   575,  1310,  1311,     0,     0,   578,
     579,  1312,   581,  1313,  1314,   583,   584,   585,   586,   587,
     588,   589,   590,     0,  1315,   591,   592,   593,   594,   595,
    1316,     0,   596,   597,   598,   599,   600,   601,  1317,     0,
     603,   604,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,  1318,  1319,
    1320,  1321,   621,  1322,  1323,  1324,  1325,   626,   627,   628,
     629,     0,  1326,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1327,  1328,  1329,     0,     0,   234,
       0,  1250,   696,  1330,  1251,  1252,  1253,   757,  1254,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,  2646,   244,   245,   246,     0,
       0,     0,     0,  1255,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,  1256,
     260,  1257,  1258,     0,   263,   264,   265,   266,   267,   268,
     269,  1259,  1260,   270,   271,  1261,  1262,   274,     0,   275,
     276,   277,   278,  1263,     0,  1264,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,     0,   291,   292,
     293,   294,   295,   296,     0,   297,   298,   299,   300,  1265,
    1266,  1267,  1268,  1269,  1270,  1271,   302,   303,   304,   305,
     306,   307,  1272,  1273,   310,  1274,   311,     0,   312,   313,
     314,   315,   316,   317,   318,     0,   319,   320,   321,   322,
       0,     0,   323,   324,   866,   326,   327,     0,   328,   329,
     330,     0,   331,   332,   333,     0,   334,   335,   336,   337,
    1275,   339,   340,   341,   342,  1276,  1277,   344,     0,   345,
     346,   347,  1278,   349,     0,   350,     0,   351,   352,   353,
       0,   354,   355,   356,   357,   358,     0,   359,  1279,     0,
    1280,   362,   363,     0,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,     0,   374,   375,   376,   377,   378,
     379,   380,   381,     0,   382,   383,   384,   385,   386,   387,
     388,  1281,  1282,     0,  1283,     0,   392,   393,   394,   395,
     396,  1284,  1285,  1286,  1287,  1288,  1289,  1290,   404,   405,
     406,   407,   408,   409,     0,     0,   410,  1291,   412,   413,
     414,     0,   415,   416,   417,  1292,  1293,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,  1294,   437,  1295,   439,   440,
     441,   442,   443,   444,   445,   446,  1296,   448,  1297,   449,
     450,   451,   452,  1298,  1299,   454,  1300,   456,   457,   458,
       0,   459,   460,     0,     0,  1301,   462,   463,     0,     0,
     464,   465,   466,   467,   468,   469,  1302,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,     0,   481,   482,
    1303,   484,   485,   486,   487,   488,     0,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,  1304,   500,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,     0,   517,   518,   519,
     520,   521,   522,   523,   524,  1305,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,     0,   536,   537,   538,
     539,   540,  1306,   541,   542,   543,   544,   545,   546,   547,
     548,  1307,   550,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,  1308,   565,     0,
     566,   567,  1309,     0,   568,   569,   570,   571,   572,   573,
     574,     0,   575,  1310,  1311,     0,     0,   578,   579,  1312,
     581,  1313,  1314,   583,   584,   585,   586,   587,   588,   589,
     590,     0,  1315,   591,   592,   593,   594,   595,  1316,     0,
     596,   597,   598,   599,   600,   601,  1317,     0,   603,   604,
     605,   606,   607,   608,     0,     0,   609,     0,     0,   610,
     611,   612,   613,   614,   615,   616,  1318,  1319,  1320,  1321,
     621,  1322,  1323,  1324,  1325,   626,   627,   628,   629,     0,
    1326,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1327,  1328,     0,     0,     0,   234,     0,  1250,
     696,  1330,  1251,  1252,  1253,   757,  1254,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,  1255,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,   258,  1256,   260,  1257,
    1258,     0,   263,   264,   265,   266,   267,   268,   269,  1259,
    1260,   270,   271,  1261,  1262,   274,     0,   275,   276,   277,
     278,  1263,     0,  1264,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,     0,   291,   292,   293,   294,
     295,   296,     0,   297,   298,   299,   300,  1265,  1266,  1267,
    1268,  1269,  1270,  1271,   302,   303,   304,   305,   306,   307,
    1272,  1273,   310,  1274,   311,     0,   312,   313,   314,   315,
     316,   317,   318,     0,   319,   320,   321,   322,     0,     0,
     323,   324,   866,   326,   327,     0,   328,   329,   330,     0,
     331,   332,   333,     0,   334,   335,   336,   337,  1275,   339,
     340,   341,   342,  1276,  1277,   344,     0,   345,   346,   347,
    1278,   349,     0,   350,     0,   351,   352,   353,     0,   354,
     355,   356,   357,   358,     0,   359,  1279,     0,  1280,   362,
     363,     0,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382,   383,   384,   385,   386,   387,   388,  1281,
    1282,     0,  1283,     0,   392,   393,   394,   395,   396,  1284,
    1285,  1286,  1287,  1288,  1289,  1290,   404,   405,   406,   407,
     408,   409,     0,     0,   410,  1291,   412,   413,   414,     0,
     415,   416,   417,  1292,  1293,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,  1294,   437,  1295,   439,   440,   441,   442,
     443,   444,   445,   446,  1296,   448,  1297,   449,   450,   451,
     452,  1298,  1299,   454,  1300,   456,   457,   458,     0,   459,
     460,     0,     0,  1301,   462,   463,     0,     0,   464,   465,
     466,   467,   468,   469,  1302,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,     0,   481,   482,  1303,   484,
     485,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,  1304,   500,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,  3233,   517,   518,   519,   520,   521,
     522,   523,   524,  1305,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,     0,   536,   537,   538,   539,   540,
    1306,   541,   542,   543,   544,   545,   546,   547,   548,  1307,
     550,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,  1308,   565,     0,   566,   567,
    1309,     0,   568,   569,   570,   571,   572,   573,   574,     0,
     575,  1310,  1311,     0,     0,   578,   579,  1312,   581,  1313,
    1314,   583,   584,   585,   586,   587,   588,   589,   590,     0,
    1315,   591,   592,   593,   594,   595,  1316,     0,   596,   597,
     598,   599,   600,   601,  1317,     0,   603,   604,   605,   606,
     607,   608,     0,     0,   609,     0,     0,   610,   611,   612,
     613,   614,   615,   616,  1318,  1319,  1320,  1321,   621,  1322,
    1323,  1324,  1325,   626,   627,   628,   629,     0,  1326,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1327,  1328,     0,     0,     0,   234,     0,  1250,   696,  1330,
    1251,  1252,  1253,   757,  1254,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,  1255,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,   258,  1256,   260,  1257,  1258,     0,
     263,   264,   265,   266,   267,   268,   269,  1259,  1260,   270,
     271,  1261,  1262,   274,     0,   275,   276,   277,   278,  1263,
       0,  1264,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,     0,   291,   292,   293,   294,   295,   296,
       0,   297,   298,   299,   300,  1265,  1266,  1267,  1268,  1269,
    1270,  1271,   302,   303,   304,   305,   306,   307,  1272,  1273,
     310,  1274,   311,     0,   312,   313,   314,   315,   316,   317,
     318,     0,   319,   320,   321,   322,     0,     0,   323,   324,
     866,   326,   327,     0,   328,   329,   330,     0,   331,   332,
     333,     0,   334,   335,   336,   337,  1275,   339,   340,   341,
     342,  1276,  1277,   344,     0,   345,   346,   347,  1278,   349,
       0,   350,     0,   351,   352,   353,     0,   354,   355,   356,
     357,   358,     0,   359,  1279,     0,  1280,   362,   363,     0,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
       0,   374,   375,   376,   377,   378,   379,   380,   381,     0,
     382,   383,   384,   385,   386,   387,   388,  1281,  1282,     0,
    1283,     0,   392,   393,   394,   395,   396,  1284,  1285,  1286,
    1287,  1288,  1289,  1290,   404,   405,   406,   407,   408,   409,
       0,     0,   410,  1291,   412,   413,   414,     0,   415,   416,
     417,  1292,  1293,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,  1294,   437,  1295,   439,   440,   441,   442,   443,   444,
     445,   446,  1296,   448,  1297,   449,   450,   451,   452,  1298,
    1299,   454,  1300,   456,   457,   458,     0,   459,   460,     0,
       0,  1301,   462,   463,     0,     0,   464,   465,   466,   467,
     468,   469,  1302,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,     0,   481,   482,  1303,   484,   485,   486,
     487,   488,     0,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,  1304,   500,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,     0,   517,   518,   519,   520,   521,   522,   523,
     524,  1305,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,     0,   536,   537,   538,   539,   540,  1306,   541,
     542,   543,   544,   545,   546,   547,   548,  1307,   550,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,  1308,   565,     0,   566,   567,  1309,     0,
     568,   569,   570,   571,   572,   573,   574,     0,   575,  1310,
    1311,     0,     0,   578,   579,  1312,   581,  1313,  1314,   583,
     584,   585,   586,   587,   588,   589,   590,     0,  1315,   591,
     592,   593,   594,   595,  1316,     0,   596,   597,   598,   599,
     600,   601,  1317,  3775,   603,   604,   605,   606,   607,   608,
       0,     0,   609,     0,     0,   610,   611,   612,   613,   614,
     615,   616,  1318,  1319,  1320,  1321,   621,  1322,  1323,  1324,
    1325,   626,   627,   628,   629,     0,  1326,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1327,  1328,
       0,     0,     0,   234,     0,  1250,   696,  1330,  1251,  1252,
    1253,   757,  1254,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,  1255,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,   258,  1256,   260,  1257,  1258,     0,   263,   264,
     265,   266,   267,   268,   269,  1259,  1260,   270,   271,  1261,
    1262,   274,     0,   275,   276,   277,   278,  1263,     0,  1264,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,     0,   291,   292,   293,   294,   295,   296,     0,   297,
     298,   299,   300,  1265,  1266,  1267,  1268,  1269,  1270,  1271,
     302,   303,   304,   305,   306,   307,  1272,  1273,   310,  1274,
     311,     0,   312,   313,   314,   315,   316,   317,   318,     0,
     319,   320,   321,   322,     0,     0,   323,   324,   866,   326,
     327,     0,   328,   329,   330,     0,   331,   332,   333,     0,
     334,   335,   336,   337,  1275,   339,   340,   341,   342,  1276,
    1277,   344,     0,   345,   346,   347,  1278,   349,     0,   350,
       0,   351,   352,   353,  3275,   354,   355,   356,   357,   358,
       0,   359,  1279,     0,  1280,   362,   363,     0,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,     0,   374,
     375,   376,   377,   378,   379,   380,   381,     0,   382,   383,
     384,   385,   386,   387,   388,  1281,  1282,     0,  1283,     0,
     392,   393,   394,   395,   396,  1284,  1285,  1286,  1287,  1288,
    1289,  1290,   404,   405,   406,   407,   408,   409,     0,     0,
     410,  1291,   412,   413,   414,     0,   415,   416,   417,  1292,
    1293,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,  1294,
     437,  1295,   439,   440,   441,   442,   443,   444,   445,   446,
    1296,   448,  1297,   449,   450,   451,   452,  1298,  1299,   454,
    1300,   456,   457,   458,     0,   459,   460,     0,     0,  1301,
     462,   463,     0,     0,   464,   465,   466,   467,   468,   469,
    1302,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,     0,   481,   482,  1303,   484,   485,   486,   487,   488,
       0,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,  1304,   500,   501,   502,   503,     0,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
       0,   517,   518,   519,   520,   521,   522,   523,   524,  1305,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
       0,   536,   537,   538,   539,   540,  1306,   541,   542,   543,
     544,   545,   546,   547,   548,  1307,   550,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,  1308,   565,     0,   566,   567,  1309,     0,   568,   569,
     570,   571,   572,   573,   574,     0,   575,  1310,  1311,     0,
       0,   578,   579,  1312,   581,  1313,  1314,   583,   584,   585,
     586,   587,   588,   589,   590,     0,  1315,   591,   592,   593,
     594,   595,  1316,     0,   596,   597,   598,   599,   600,   601,
    1317,     0,   603,   604,   605,   606,   607,   608,     0,     0,
     609,     0,     0,   610,   611,   612,   613,   614,   615,   616,
    1318,  1319,  1320,  1321,   621,  1322,  1323,  1324,  1325,   626,
     627,   628,   629,     0,  1326,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1327,  1328,     0,     0,
       0,   234,     0,  1250,   696,  1330,  1251,  1252,  1253,   757,
    1254,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,  1255,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,  1256,   260,  1257,  1258,     0,   263,   264,   265,   266,
     267,   268,   269,  1259,  1260,   270,   271,  1261,  1262,   274,
       0,   275,   276,   277,   278,  1263,     0,  1264,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,   297,   298,   299,
     300,  1265,  1266,  1267,  1268,  1269,  1270,  1271,   302,   303,
     304,   305,   306,   307,  1272,  1273,   310,  1274,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   866,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,  1275,   339,   340,   341,   342,  1276,  1277,   344,
       0,   345,   346,   347,  1278,   349,     0,   350,     0,   351,
     352,   353,     0,   354,   355,   356,   357,   358,     0,   359,
    1279,     0,  1280,   362,   363,     0,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,   383,   384,   385,
     386,   387,   388,  1281,  1282,     0,  1283,     0,   392,   393,
     394,   395,   396,  1284,  1285,  1286,  1287,  1288,  1289,  1290,
     404,   405,   406,   407,   408,   409,     0,     0,   410,  1291,
     412,   413,   414,     0,   415,   416,   417,  1292,  1293,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,  1294,   437,  1295,
     439,   440,   441,   442,   443,   444,   445,   446,  1296,   448,
    1297,   449,   450,   451,   452,  1298,  1299,   454,  1300,   456,
     457,   458,     0,   459,   460,     0,     0,  1301,   462,   463,
       0,     0,   464,   465,   466,   467,   468,   469,  1302,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,  1303,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,  1304,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,   519,   520,   521,   522,   523,   524,  1305,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,  1306,   541,   542,   543,   544,   545,
     546,   547,   548,  1307,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,  1308,
     565,     0,   566,   567,  1309,     0,   568,   569,   570,   571,
     572,   573,   574,     0,   575,  1310,  1311,  3332,     0,   578,
     579,  1312,   581,  1313,  1314,   583,   584,   585,   586,   587,
     588,   589,   590,     0,  1315,   591,   592,   593,   594,   595,
    1316,     0,   596,   597,   598,   599,   600,   601,  1317,     0,
     603,   604,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,  1318,  1319,
    1320,  1321,   621,  1322,  1323,  1324,  1325,   626,   627,   628,
     629,     0,  1326,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1327,  1328,     0,     0,     0,   234,
       0,  1250,   696,  1330,  1251,  1252,  1253,   757,  1254,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,  1255,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,  1256,
     260,  1257,  1258,     0,   263,   264,   265,   266,   267,   268,
     269,  1259,  1260,   270,   271,  1261,  1262,   274,     0,   275,
     276,   277,   278,  1263,     0,  1264,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,     0,   291,   292,
     293,   294,   295,   296,     0,   297,   298,   299,   300,  1265,
    1266,  1267,  1268,  1269,  1270,  1271,   302,   303,   304,   305,
     306,   307,  1272,  1273,   310,  1274,   311,     0,   312,   313,
     314,   315,   316,   317,   318,     0,   319,   320,   321,   322,
       0,     0,   323,   324,   866,   326,   327,     0,   328,   329,
     330,     0,   331,   332,   333,     0,   334,   335,   336,   337,
    1275,   339,   340,   341,   342,  1276,  1277,   344,     0,   345,
     346,   347,  1278,   349,     0,   350,     0,   351,   352,   353,
       0,   354,   355,   356,   357,   358,     0,   359,  1279,     0,
    1280,   362,   363,     0,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,     0,   374,   375,   376,   377,   378,
     379,   380,   381,     0,   382,   383,   384,   385,   386,   387,
     388,  1281,  1282,     0,  1283,     0,   392,   393,   394,   395,
     396,  1284,  1285,  1286,  1287,  1288,  1289,  1290,   404,   405,
     406,   407,   408,   409,     0,     0,   410,  1291,   412,   413,
     414,     0,   415,   416,   417,  1292,  1293,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,  1294,   437,  1295,   439,   440,
     441,   442,   443,   444,   445,   446,  1296,   448,  1297,   449,
     450,   451,   452,  1298,  1299,   454,  1300,   456,   457,   458,
       0,   459,   460,     0,     0,  1301,   462,   463,     0,     0,
     464,   465,   466,   467,   468,   469,  1302,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,     0,   481,   482,
    1303,   484,   485,   486,   487,   488,     0,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,  1304,   500,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,     0,   517,   518,   519,
     520,   521,   522,   523,   524,  1305,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,     0,   536,   537,   538,
     539,   540,  1306,   541,   542,   543,   544,   545,   546,   547,
     548,  1307,   550,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,  1308,   565,     0,
     566,   567,  1309,     0,   568,   569,   570,   571,   572,   573,
     574,     0,   575,  1310,  1311,     0,     0,   578,   579,  1312,
     581,  1313,  1314,   583,   584,   585,   586,   587,   588,   589,
     590,     0,  1315,   591,   592,   593,   594,   595,  1316,     0,
     596,   597,   598,   599,   600,   601,  1317,     0,   603,   604,
     605,   606,   607,   608,     0,     0,   609,     0,     0,   610,
     611,   612,   613,   614,   615,   616,  1318,  1319,  1320,  1321,
     621,  1322,  1323,  1324,  1325,   626,   627,   628,   629,     0,
    1326,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1327,  1328,     0,     0,     0,   234,     0,  1250,
     696,  1330,  1251,  1252,  1253,   757,  1254,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,  1255,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,   258,  1256,   260,  1257,
    1258,     0,   263,   264,   265,   266,   267,   268,   269,  1259,
    1260,   270,   271,  1261,  1262,   274,     0,   275,   276,   277,
     278,  1263,     0,  1264,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,     0,   291,   292,   293,   294,
     295,   296,     0,   297,   298,   299,   300,  1265,  1266,  1267,
    1268,  1269,  1270,  1271,   302,   303,   304,   305,   306,   307,
    1272,  1273,   310,  1274,   311,     0,   312,   313,   314,   315,
     316,   317,   318,     0,   319,   320,   321,   322,     0,     0,
     323,   324,   866,   326,   327,     0,   328,   329,   330,     0,
     331,   332,   333,     0,   334,   335,   336,   337,  1275,   339,
     340,   341,   342,  1276,  1277,   344,     0,   345,   346,   347,
    1278,   349,     0,   350,     0,   351,   352,   353,     0,   354,
     355,   356,   357,   358,     0,   359,  1279,     0,  1280,   362,
     363,     0,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382,   383,   384,   385,   386,   387,   388,  1281,
    1282,     0,  1283,     0,   392,   393,   394,   395,   396,  1284,
    1285,  1286,  1287,  1288,  1289,  1290,   404,   405,   406,   407,
     408,   409,     0,     0,   410,  1291,   412,   413,   414,     0,
     415,   416,   417,  1292,  1293,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,  1294,   437,  1295,   439,   440,   441,   442,
     443,   444,   445,   446,  1296,   448,  1297,   449,   450,   451,
     452,  1298,  1299,   454,  1300,   456,   457,   458,     0,   459,
     460,     0,     0,  1301,   462,   463,     0,     0,   464,   465,
     466,   467,   468,   469,  1302,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,     0,   481,   482,  1303,   484,
     485,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,  1304,   500,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,     0,   517,   518,   519,   520,   521,
     522,   523,   524,  1305,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,     0,   536,   537,   538,   539,   540,
    1306,   541,   542,   543,   544,   545,   546,   547,   548,  1307,
     550,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,  1308,   565,     0,   566,   567,
    1309,     0,   568,   569,   570,   571,   572,   573,   574,     0,
     575,  1310,  1311,     0,     0,   578,   579,  1312,   581,  1313,
    1314,   583,   584,   585,   586,   587,   588,   589,   590,     0,
    1315,   591,   592,   593,   594,   595,  1316,     0,   596,   597,
     598,   599,   600,   601,  1317,     0,   603,   604,   605,   606,
     607,   608,     0,     0,   609,     0,     0,   610,   611,   612,
     613,   614,   615,   616,  1318,  1319,  1320,  1321,   621,  1322,
    1323,  1324,  1325,   626,   627,   628,   629,     0,  1326,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2649,  2650,     0,     0,     0,   234,     0,  3449,   696,  1330,
    1251,  1252,  1253,   757,  1254,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,  1255,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,   258,  1256,   260,  1257,  1258,     0,
     263,   264,   265,   266,   267,   268,   269,  1259,  1260,   270,
     271,  1261,  1262,   274,     0,   275,   276,   277,   278,  1263,
       0,  1264,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,     0,   291,   292,   293,   294,   295,   296,
       0,   297,   298,   299,   300,  1265,  1266,  1267,  1268,  1269,
    1270,  1271,   302,   303,   304,   305,   306,   307,  1272,  1273,
     310,  1274,   311,     0,   312,   313,   314,   315,   316,   317,
     318,     0,   319,   320,   321,   322,     0,     0,   323,   324,
     866,   326,   327,     0,   328,   329,   330,     0,   331,   332,
     333,     0,   334,   335,   336,   337,  1275,   339,   340,   341,
     342,  1276,  1277,   344,     0,   345,   346,   347,  1278,   349,
       0,   350,     0,   351,   352,   353,     0,   354,   355,   356,
     357,   358,     0,   359,  1279,     0,  1280,   362,   363,     0,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
       0,   374,   375,   376,   377,   378,   379,   380,   381,     0,
     382,   383,   384,   385,   386,   387,   388,  1281,  1282,     0,
    1283,     0,   392,   393,   394,   395,   396,  1284,  1285,  1286,
    1287,  1288,  1289,  1290,   404,   405,   406,   407,   408,   409,
       0,     0,   410,  1291,   412,   413,   414,     0,   415,   416,
     417,  1292,  1293,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,  1294,   437,  1295,   439,   440,   441,   442,   443,   444,
     445,   446,  1296,   448,  1297,   449,   450,   451,   452,  1298,
    1299,   454,  1300,   456,   457,   458,     0,   459,   460,     0,
       0,  1301,   462,   463,     0,     0,   464,   465,   466,   467,
     468,   469,  1302,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,     0,   481,   482,  1303,   484,   485,   486,
     487,   488,     0,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,  1304,   500,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,     0,   517,   518,   519,   520,   521,   522,   523,
     524,  1305,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,     0,   536,   537,   538,   539,   540,  1306,   541,
     542,   543,   544,   545,   546,   547,   548,  1307,   550,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,  1308,   565,     0,   566,   567,  1309,     0,
     568,   569,   570,   571,   572,   573,   574,     0,   575,  1310,
    1311,     0,     0,   578,   579,  1312,   581,  1313,  1314,   583,
     584,   585,   586,   587,   588,   589,   590,     0,  1315,   591,
     592,   593,   594,   595,  1316,     0,   596,   597,   598,   599,
     600,   601,  1317,     0,   603,   604,   605,   606,   607,   608,
       0,     0,   609,     0,     0,   610,   611,   612,   613,   614,
     615,   616,  1318,  1319,  1320,  1321,   621,  1322,  1323,  1324,
    1325,   626,   627,   628,   629,     0,  1326,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1327,  1328,
       0,     0,     0,   234,     0,  1250,   696,  1330,  1251,  1252,
    1253,   757,  1254,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,  1255,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,   258,  1256,   260,  1257,  1258,     0,   263,   264,
     265,   266,   267,   268,   269,  1259,  1260,   270,   271,  1261,
    1262,   274,     0,   275,   276,   277,   278,  1263,     0,  1264,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,     0,   291,   292,   293,   294,   295,   296,     0,   297,
     298,   299,  4780,  1265,  1266,  1267,  1268,  1269,  1270,  1271,
     302,   303,   304,   305,   306,   307,  1272,  1273,   310,  1274,
     311,     0,   312,   313,   314,   315,   316,   317,   318,     0,
     319,   320,   321,   322,     0,     0,   323,   324,   866,   326,
     327,     0,   328,   329,   330,     0,   331,   332,   333,     0,
     334,   335,   336,   337,  1275,   339,   340,   341,   342,  1276,
    1277,   344,     0,   345,   346,   347,  1278,   349,     0,   350,
       0,   351,   352,   353,     0,   354,   355,   356,   357,   358,
       0,   359,  1279,     0,  1280,   362,   363,     0,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,     0,   374,
     375,   376,   377,   378,   379,   380,   381,     0,   382,   383,
     384,   385,   386,   387,   388,  1281,  1282,     0,  1283,     0,
     392,   393,   394,   395,   396,  1284,  1285,  1286,  1287,  1288,
    1289,  1290,   404,   405,   406,   407,   408,   409,     0,     0,
     410,  1291,   412,   413,   414,     0,   415,   416,   417,  1292,
    1293,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,  1294,
     437,  1295,   439,   440,   441,   442,   443,   444,   445,   446,
    1296,   448,  1297,   449,   450,   451,   452,  1298,  1299,   454,
    1300,   456,   457,   458,     0,   459,   460,     0,     0,  1301,
     462,   463,     0,     0,   464,   465,   466,   467,   468,   469,
    1302,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,     0,   481,   482,  1303,   484,   485,   486,   487,   488,
       0,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,  1304,   500,   501,   502,   503,     0,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
       0,   517,   518,   519,   520,   521,   522,   523,   524,  1305,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
       0,   536,   537,   538,   539,   540,  1306,   541,   542,   543,
     544,   545,   546,   547,   548,  1307,   550,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,  1308,   565,     0,   566,   567,  1309,     0,   568,   569,
     570,   571,   572,   573,   574,     0,   575,  1310,  1311,     0,
       0,   578,   579,  1312,   581,  1313,  1314,   583,   584,   585,
     586,   587,   588,   589,   590,     0,  1315,   591,   592,   593,
     594,   595,  1316,     0,   596,   597,   598,   599,   600,   601,
    1317,     0,   603,   604,   605,   606,   607,   608,     0,     0,
     609,     0,     0,   610,   611,   612,   613,   614,   615,   616,
    1318,  1319,  1320,  1321,   621,  1322,  1323,  1324,  1325,   626,
     627,   628,   629,     0,  1326,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1327,  1328,     0,     0,
       0,   234,     0,  1250,   696,  1330,  1251,  1252,  1253,   757,
    1254,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,  1255,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,  1256,   260,  1257,  1258,     0,   263,   264,   265,   266,
     267,   268,   269,  1259,  1260,   270,   271,  1261,  1262,   274,
       0,   275,   276,   277,   278,  1263,     0,  1264,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,   297,   298,   299,
     300,  1265,  1266,  1267,  1268,  1269,  1270,  1271,   302,   303,
     304,   305,   306,   307,  1272,  1273,   310,  1274,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   866,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,  1275,   339,   340,   341,   342,  1276,  1277,   344,
       0,   345,   346,   347,  1278,   349,     0,   350,     0,   351,
     352,   353,     0,   354,   355,   356,   357,   358,     0,   359,
    1279,     0,  1280,   362,   363,     0,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,   383,   384,   385,
     386,   387,   388,  1281,  1282,     0,  1283,     0,   392,   393,
     394,   395,   396,  1284,  1285,  1286,  1287,  1288,  1289,  1290,
     404,   405,   406,   407,   408,   409,     0,     0,   410,  1291,
     412,   413,   414,     0,   415,   416,   417,  1292,  1293,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,  1294,   437,  1295,
     439,   440,   441,   442,   443,   444,   445,   446,  1296,   448,
    1297,   449,   450,   451,   452,  1298,  1299,   454,  1300,   456,
     457,   458,     0,   459,   460,     0,     0,  1301,   462,   463,
       0,     0,   464,   465,   466,   467,   468,   469,  1302,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,  1303,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,  1304,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,   519,   520,   521,   522,   523,   524,  1305,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,  1306,   541,   542,   543,   544,   545,
     546,   547,   548,  1307,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,  1308,
     565,     0,   566,   567,  1309,     0,   568,   569,   570,   571,
     572,   573,   574,     0,   575,  1310,  1311,     0,     0,   578,
     579,  1312,   581,  1313,  1314,   583,   584,   585,   586,   587,
     588,   589,   590,     0,  1315,   591,   592,   593,   594,   595,
    1316,     0,   596,   597,   598,   599,   600,   601,  1317,     0,
     603,   604,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,  5158,  1318,  1319,
    1320,  1321,   621,  1322,  1323,  1324,  1325,   626,   627,   628,
     629,     0,  1326,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1327,  1328,     0,     0,     0,   234,
       0,  1250,   696,  1330,  1251,  1252,  1253,   757,  1254,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,  1255,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,  1256,
     260,  1257,  1258,     0,   263,   264,   265,   266,   267,   268,
     269,  1259,  1260,   270,   271,  1261,  1262,   274,     0,   275,
     276,   277,   278,  1263,     0,  1264,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,     0,   291,   292,
     293,   294,   295,   296,     0,   297,   298,   299,   300,  1265,
    1266,  1267,  1268,  1269,  1270,  1271,   302,   303,   304,   305,
     306,   307,  1272,  1273,   310,  1274,   311,     0,   312,   313,
     314,   315,   316,   317,   318,     0,   319,   320,   321,   322,
       0,     0,   323,   324,   866,   326,   327,     0,   328,   329,
     330,     0,   331,   332,   333,     0,   334,   335,   336,   337,
    1275,   339,   340,   341,   342,  1276,  1277,   344,     0,   345,
     346,   347,  1278,   349,     0,   350,     0,   351,   352,   353,
       0,   354,   355,   356,   357,   358,     0,   359,  1279,     0,
    1280,   362,   363,     0,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,     0,   374,   375,   376,   377,   378,
     379,   380,   381,     0,   382,   383,   384,   385,   386,   387,
     388,  1281,  1282,     0,  1283,     0,   392,   393,   394,   395,
     396,  1284,  1285,  1286,  1287,  1288,  1289,  1290,   404,   405,
     406,   407,   408,   409,     0,     0,   410,  1291,   412,   413,
     414,     0,   415,   416,   417,  1292,  1293,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,  1294,   437,  1295,   439,   440,
     441,   442,   443,   444,  5170,   446,  1296,   448,  1297,   449,
     450,   451,   452,  1298,  1299,   454,  1300,   456,   457,   458,
       0,   459,   460,     0,     0,  1301,   462,   463,     0,     0,
     464,   465,   466,   467,   468,   469,  1302,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,     0,   481,   482,
    1303,   484,   485,   486,   487,   488,     0,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,  1304,   500,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,     0,   517,   518,   519,
     520,   521,   522,   523,   524,  1305,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,     0,   536,   537,   538,
     539,   540,  1306,   541,   542,   543,   544,   545,   546,   547,
     548,  1307,   550,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,  1308,   565,     0,
     566,   567,  1309,     0,   568,   569,   570,   571,   572,   573,
     574,     0,   575,  1310,  1311,     0,     0,   578,   579,  1312,
     581,  1313,  1314,   583,   584,   585,   586,   587,   588,   589,
     590,     0,  1315,   591,   592,   593,   594,   595,  1316,     0,
     596,   597,   598,   599,   600,   601,  1317,     0,   603,   604,
     605,   606,   607,   608,     0,     0,   609,     0,     0,   610,
     611,   612,   613,   614,   615,   616,  1318,  1319,  1320,  1321,
     621,  1322,  1323,  1324,  1325,   626,   627,   628,   629,     0,
    1326,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1327,  1328,     0,     0,     0,   234,     0,  1250,
     696,  1330,  1251,  1252,  1253,   757,  1254,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,  1255,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,   258,  1256,   260,  1257,
    1258,     0,   263,   264,   265,   266,   267,   268,   269,  1259,
    1260,   270,   271,  1261,  1262,   274,     0,   275,   276,   277,
     278,  1263,     0,  1264,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,     0,   291,   292,   293,   294,
     295,   296,     0,   297,   298,  5491,   300,  1265,  1266,  1267,
    1268,  1269,  1270,  1271,   302,   303,   304,   305,   306,   307,
    1272,  1273,   310,  1274,   311,     0,   312,   313,   314,   315,
     316,   317,   318,     0,   319,   320,   321,   322,     0,     0,
     323,   324,   866,   326,   327,     0,   328,   329,   330,     0,
     331,   332,   333,     0,   334,   335,   336,   337,  1275,   339,
     340,   341,   342,  1276,  1277,   344,     0,   345,   346,   347,
    1278,   349,     0,   350,     0,   351,   352,   353,     0,   354,
     355,   356,   357,   358,     0,   359,  1279,     0,  5492,   362,
     363,     0,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382,   383,   384,   385,   386,   387,   388,  1281,
    1282,     0,  1283,     0,   392,   393,   394,   395,   396,  1284,
    1285,  1286,  1287,  1288,  1289,  1290,   404,   405,   406,   407,
     408,   409,     0,     0,   410,  1291,   412,   413,   414,     0,
     415,   416,   417,  1292,  1293,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,  1294,   437,  1295,   439,   440,   441,   442,
     443,   444,   445,   446,  1296,   448,  1297,   449,   450,   451,
     452,  1298,  1299,   454,  1300,   456,   457,   458,     0,   459,
     460,     0,     0,  1301,   462,   463,     0,     0,   464,   465,
     466,   467,   468,   469,  1302,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,     0,   481,   482,  1303,   484,
     485,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,  1304,   500,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,     0,   517,   518,   519,   520,   521,
    5493,   523,   524,  1305,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,     0,   536,   537,   538,   539,   540,
    1306,   541,   542,   543,   544,   545,   546,   547,   548,  1307,
     550,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,  1308,   565,     0,   566,   567,
    1309,     0,   568,   569,   570,   571,   572,   573,   574,     0,
     575,  1310,  1311,     0,     0,   578,   579,  1312,   581,  1313,
    1314,   583,   584,   585,   586,   587,   588,   589,   590,     0,
    1315,   591,   592,   593,   594,   595,  1316,     0,   596,   597,
     598,   599,   600,   601,  1317,     0,   603,   604,   605,   606,
     607,   608,     0,     0,   609,     0,     0,   610,   611,   612,
     613,   614,   615,   616,  1318,  1319,  1320,  1321,   621,  1322,
    1323,  1324,  1325,   626,   627,   628,   629,     0,  1326,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1327,  1328,     0,     0,     0,   234,     0,  1250,   696,  5494,
    1251,  1252,  1253,   757,  1254,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,  1255,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,  5868,  1256,   260,  1257,  1258,     0,
     263,   264,   265,   266,   267,   268,   269,  1259,  1260,   270,
     271,  1261,  1262,   274,     0,   275,   276,   277,   278,  1263,
       0,  1264,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,     0,   291,   292,   293,   294,   295,   296,
       0,   297,   298,   299,  5869,  1265,  1266,  1267,  1268,  1269,
    1270,  1271,   302,   303,   304,   305,   306,   307,  1272,  1273,
     310,  1274,   311,     0,   312,   313,   314,   315,   316,   317,
     318,     0,   319,   320,   321,   322,     0,     0,   323,   324,
     866,   326,   327,     0,   328,   329,   330,     0,   331,   332,
     333,     0,   334,   335,   336,   337,  1275,   339,   340,   341,
     342,  1276,  1277,   344,     0,   345,   346,   347,  1278,   349,
       0,   350,     0,   351,   352,   353,     0,   354,   355,   356,
     357,   358,     0,   359,  1279,     0,  1280,   362,   363,     0,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
       0,   374,   375,   376,   377,   378,   379,   380,   381,     0,
     382,   383,   384,   385,   386,   387,   388,  1281,  1282,     0,
    1283,     0,   392,   393,   394,   395,   396,  1284,  1285,  1286,
    1287,  1288,  1289,  1290,   404,   405,   406,   407,   408,   409,
       0,     0,   410,  1291,   412,   413,   414,     0,   415,   416,
     417,  1292,  1293,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,  1294,   437,  1295,   439,   440,   441,   442,   443,   444,
     445,   446,  1296,   448,  1297,   449,   450,   451,   452,  1298,
    1299,   454,  1300,   456,   457,   458,     0,   459,   460,     0,
       0,  1301,   462,   463,     0,     0,   464,   465,   466,   467,
     468,   469,  1302,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,     0,   481,   482,  1303,   484,   485,   486,
     487,   488,     0,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,  1304,   500,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,     0,   517,   518,   519,   520,   521,   522,   523,
     524,  1305,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,     0,   536,   537,   538,   539,   540,  1306,   541,
     542,   543,   544,   545,   546,   547,   548,  1307,   550,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,  1308,   565,     0,   566,   567,  1309,     0,
     568,   569,   570,   571,   572,   573,   574,     0,   575,  1310,
    1311,     0,     0,   578,   579,  1312,   581,  1313,  1314,   583,
     584,   585,   586,   587,  5870,   589,   590,     0,  1315,   591,
     592,   593,   594,   595,  1316,     0,   596,   597,   598,   599,
     600,   601,  1317,     0,   603,   604,   605,   606,   607,   608,
       0,     0,   609,     0,     0,   610,   611,   612,   613,   614,
     615,   616,  1318,  1319,  1320,  1321,   621,  1322,  1323,  1324,
    1325,   626,   627,   628,   629,     0,  1326,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1327,  1328,
       0,     0,     0,   234,     0,  1250,   696,  1330,  1251,  1252,
    1253,   757,  1254,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,  1255,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,   258,  1256,   260,  1257,  1258,     0,   263,   264,
     265,   266,   267,   268,   269,  1259,  1260,   270,   271,  1261,
    1262,   274,     0,   275,   276,   277,   278,  1263,     0,  1264,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,     0,   291,   292,   293,   294,   295,   296,     0,   297,
     298,   299,  5869,  1265,  1266,  1267,  1268,  1269,  1270,  1271,
     302,   303,   304,   305,   306,   307,  1272,  1273,   310,  1274,
     311,     0,   312,   313,   314,   315,   316,   317,   318,     0,
     319,   320,   321,   322,     0,     0,   323,   324,   866,   326,
     327,     0,   328,   329,   330,     0,   331,   332,   333,     0,
     334,   335,   336,   337,  1275,   339,   340,   341,   342,  1276,
    1277,   344,     0,   345,   346,   347,  1278,   349,     0,   350,
       0,   351,   352,   353,     0,   354,   355,   356,   357,   358,
       0,   359,  1279,     0,  1280,   362,   363,     0,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,     0,   374,
     375,   376,   377,   378,   379,   380,   381,     0,   382,   383,
     384,   385,   386,   387,   388,  1281,  1282,     0,  1283,     0,
     392,   393,   394,   395,   396,  1284,  1285,  1286,  1287,  1288,
    1289,  1290,   404,   405,   406,   407,   408,   409,     0,     0,
     410,  1291,   412,   413,   414,     0,   415,   416,   417,  1292,
    1293,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,  1294,
     437,  1295,   439,   440,   441,   442,   443,   444,   445,   446,
    1296,   448,  1297,   449,   450,   451,   452,  1298,  1299,   454,
    1300,   456,   457,   458,     0,   459,   460,     0,     0,  1301,
     462,   463,     0,     0,   464,   465,   466,   467,   468,   469,
    1302,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,     0,   481,   482,  1303,   484,   485,   486,   487,   488,
       0,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,  1304,   500,   501,   502,   503,     0,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
       0,   517,   518,   519,   520,   521,   522,   523,   524,  1305,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
       0,   536,   537,   538,   539,   540,  1306,   541,   542,   543,
     544,   545,   546,   547,   548,  1307,   550,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,  1308,   565,     0,   566,   567,  1309,     0,   568,   569,
     570,   571,   572,   573,   574,     0,   575,  1310,  1311,     0,
       0,   578,   579,  1312,   581,  1313,  1314,   583,   584,   585,
     586,   587,  5870,   589,   590,     0,  1315,   591,   592,   593,
     594,   595,  1316,     0,   596,   597,   598,   599,   600,   601,
    1317,     0,   603,   604,   605,   606,   607,   608,     0,     0,
     609,     0,     0,   610,   611,   612,   613,   614,   615,   616,
    1318,  1319,  1320,  1321,   621,  1322,  1323,  1324,  1325,   626,
     627,   628,   629,     0,  1326,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1327,  1328,     0,     0,
       0,   234,     0,  1250,   696,  1330,  1251,  1252,  1253,   757,
    1254,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,  1255,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,  1256,   260,  1257,  1258,     0,   263,   264,   265,   266,
     267,   268,   269,  1259,  1260,   270,   271,  1261,  1262,   274,
       0,   275,   276,   277,   278,  1263,     0,  1264,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,   297,   298,   299,
     300,  1265,  1266,  1267,  1268,  1269,  1270,  1271,   302,   303,
     304,   305,   306,   307,  1272,  1273,   310,  5476,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   866,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,  1275,   339,   340,   341,   342,  1276,  1277,   344,
       0,   345,   346,   347,  1278,   349,     0,   350,     0,   351,
     352,   353,     0,   354,   355,   356,   357,   358,     0,   359,
    1279,     0,  1280,   362,   363,     0,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,   383,   384,   385,
     386,   387,   388,  1281,  1282,     0,  1283,     0,   392,   393,
     394,   395,   396,  1284,  1285,  1286,  1287,  1288,  1289,  1290,
     404,   405,   406,   407,   408,   409,     0,     0,   410,  1291,
     412,   413,   414,     0,   415,   416,   417,  1292,  1293,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,  1294,   437,  1295,
     439,   440,   441,   442,   443,   444,   445,   446,  1296,   448,
       0,   449,   450,   451,   452,  1298,  1299,   454,  1300,   456,
     457,   458,     0,   459,   460,     0,     0,  1301,   462,   463,
       0,     0,   464,   465,   466,   467,   468,   469,  1302,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,  1303,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,  1304,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,   519,   520,   521,   522,   523,   524,  3260,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,  1306,   541,   542,   543,   544,   545,
     546,   547,   548,  1307,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,  1308,
     565,     0,   566,   567,  1309,     0,   568,   569,   570,   571,
     572,   573,   574,     0,   575,  1310,  1311,     0,     0,   578,
     579,  1312,   581,  1313,  1314,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
    1316,     0,   596,   597,   598,   599,   600,   601,  1317,     0,
     603,   604,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,  1318,  1319,
    1320,  1321,   621,  1322,  1323,  1324,  1325,   626,   627,   628,
     629,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3261,  3262,     0,     0,     0,   234,
       0,  1250,   696,  3263,  1251,  1252,  1253,   757,  1254,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,  1255,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257, -2901,  1256,
     260,  1257,  1258,     0,   263,   264,   265,   266,   267,   268,
     269,  1259,  1260,   270,   271,  1261,  1262,   274,     0,   275,
     276,   277,   278,  1263,     0,  1264,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,     0,   291,   292,
     293,   294,   295,   296,     0,   297,   298,   299,  5869,  1265,
    1266,  1267,  1268,  1269,  1270,  1271,   302,   303,   304,   305,
     306,   307,  1272,  1273,   310,  1274,   311,     0,   312,   313,
     314,   315,   316,   317,   318,     0,   319,   320,   321,   322,
       0,     0,   323,   324,   866,   326,   327,     0,   328,   329,
     330,     0,   331,   332,   333,     0,   334,   335,   336,   337,
    1275,   339,   340,   341,   342,  1276,  1277,   344,     0,   345,
     346,   347,  1278,   349,     0,   350,     0,   351,   352,   353,
       0,   354,   355,   356,   357,   358,     0,   359,  1279,     0,
    1280,   362,   363,     0,   364,   365,   366,   367,   368, -2901,
     370,   371,   372,   373,     0,   374,   375,   376,   377,   378,
     379,   380,   381,     0,   382,   383,   384,   385,   386,   387,
     388,  1281,  1282,     0,  1283,     0,   392,     0,     0,   395,
     396,  1284,  1285,  1286,  1287,  1288,  1289,  1290,   404,   405,
     406,   407,   408,   409,     0,     0,   410,  1291,   412,   413,
   -2901,     0,   415,   416,   417,  1292,  1293,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,  1294,   437,  1295,   439,   440,
     441,   442,   443,   444,   445,   446,  1296,   448,  1297,   449,
     450,     0,   452,  1298,  1299,   454,  1300,   456,   457,   458,
       0,   459,   460,     0,     0,  1301,   462,   463,     0,     0,
     464,   465,   466,   467,   468,   469,  1302,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,     0,   481,   482,
    1303,   484,   485,   486,   487,   488,     0,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,  1304,   500,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,     0,   517,   518,   519,
     520,   521,   522,   523,   524,  1305,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,     0,   536,   537,   538,
     539,   540,  1306,   541,   542,   543,   544,   545, -2901,   547,
     548,  1307,   550,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,  1308,   565,     0,
     566,   567,  1309,     0,   568,   569,   570,   571,   572,   573,
     574,     0,   575,  1310,  1311,     0,     0,   578,   579,  1312,
     581,  1313,  1314,   583,   584,   585,   586,   587,  5870,   589,
     590,     0,  1315,   591,   592,   593,   594,   595,  1316,     0,
     596,   597,   598,   599,   600,   601,  1317,     0,   603,   604,
     605,   606,   607,   608,     0,     0,   609,     0,     0,   610,
     611,   612,   613,   614,   615,   616,  1318,  1319,  1320,  1321,
     621,  1322,  1323,  1324,  1325,   626,   627,   628,   629,     0,
   -2901,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1327,  1328,     0,     0,     0,   234,     0,  1250,
     696,  1330,  1251,  1252,  1253,   757,  1254,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,  1255,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,   258,  1256,   260,  1257,
    1258,     0,   263,   264,   265,   266,   267,   268,   269,  1259,
    1260,   270,   271,  1261,  1262,   274,     0,   275,   276,   277,
     278,  1263,     0,  1264,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,     0,   291,   292,   293,   294,
     295,   296,     0,   297,   298,   299,   300,  1265,  1266,  1267,
    1268,  1269,  1270,  1271,   302,   303,   304,   305,   306,   307,
    1272,  1273,   310,     0,   311,     0,   312,   313,   314,   315,
     316,   317,   318,     0,   319,   320,   321,   322,     0,     0,
     323,   324,   866,   326,   327,     0,   328,   329,   330,     0,
     331,   332,   333,     0,   334,   335,   336,   337,  1275,   339,
     340,   341,   342,  1276,  1277,   344,     0,   345,   346,   347,
    1278,   349,     0,   350,     0,   351,   352,   353,     0,   354,
     355,   356,   357,   358,     0,   359,  1279,     0,  1280,   362,
     363,     0,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382,   383,   384,   385,   386,   387,   388,  1281,
    1282,     0,  1283,     0,   392,   393,   394,   395,   396,  1284,
    1285,  1286,  1287,  1288,  1289,  1290,   404,   405,   406,   407,
     408,   409,     0,     0,   410,  1291,   412,   413,   414,     0,
     415,   416,   417,  1292,  1293,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,  1294,   437,  1295,   439,   440,   441,   442,
     443,   444,   445,   446,  1296,   448,     0,   449,   450,   451,
     452,  1298,  1299,   454,  1300,   456,   457,   458,     0,   459,
     460,     0,     0,  1301,   462,   463,     0,     0,   464,   465,
     466,   467,   468,   469,  1302,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,     0,   481,   482,  1303,   484,
     485,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,  1304,   500,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,     0,   517,   518,   519,   520,   521,
     522,   523,   524,  3260,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,     0,   536,   537,   538,   539,   540,
    1306,   541,   542,   543,   544,   545,   546,   547,   548,  1307,
     550,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,  1308,   565,     0,   566,   567,
    1309,     0,   568,   569,   570,   571,   572,   573,   574,     0,
     575,  1310,  1311,     0,     0,   578,   579,  1312,   581,  1313,
    1314,   583,   584,   585,   586,   587,   588,   589,   590,     0,
       0,   591,   592,   593,   594,   595,  1316,     0,   596,   597,
     598,   599,   600,   601,  1317,     0,   603,   604,   605,   606,
     607,   608,     0,     0,   609,     0,     0,   610,   611,   612,
     613,   614,   615,   616,  1318,  1319,  1320,  1321,   621,  1322,
    1323,  1324,  1325,   626,   627,   628,   629,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3261,  3262,   234,     0,  1250,   696,     0,  1251,  1252,  3263,
     757,  1254,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,  1255,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,   258,  1256,   260,  1257,  1258,     0,   263,   264,   265,
     266,   267,   268,   269,  1259,  1260,   270,   271,  1261,  1262,
     274,     0,   275,   276,   277,   278,  1263,     0,  1264,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
       0,   291,   292,   293,   294,   295,   296,     0,   297,   298,
     299,   300,  1265,  1266,  1267,  1268,  1269,  1270,  1271,   302,
     303,   304,   305,   306,   307,  1272,  1273,   310,     0,   311,
       0,   312,   313,   314,   315,   316,   317,   318,     0,   319,
     320,   321,   322,     0,     0,   323,   324,   866,   326,   327,
       0,   328,   329,   330,     0,   331,   332,   333,     0,   334,
     335,   336,   337,  1275,   339,   340,   341,   342,  1276,  1277,
     344,     0,   345,   346,   347,  1278,   349,     0,   350,     0,
     351,   352,   353,     0,   354,   355,   356,   357,   358,     0,
     359,  1279,     0,  1280,   362,   363,     0,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,     0,   374,   375,
     376,   377,   378,   379,   380,   381,     0,   382,   383,   384,
     385,   386,   387,   388,  1281,  1282,     0,  1283,     0,   392,
     393,   394,   395,   396,  1284,  1285,  1286,  1287,  1288,  1289,
    1290,   404,   405,   406,   407,   408,   409,     0,     0,   410,
    1291,   412,   413,   414,     0,   415,   416,   417,  1292,  1293,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,  1294,   437,
    1295,   439,   440,   441,   442,   443,   444,   445,   446,  1296,
     448,     0,   449,   450,   451,   452,  1298,  1299,   454,  1300,
     456,   457,   458,     0,   459,   460,     0,     0,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,   469,  1302,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
       0,   481,   482,  1303,   484,   485,   486,   487,   488,     0,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
    1304,   500,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,     0,
     517,   518,   519,   520,   521,   522,   523,   524,  3438,  3439,
     527,   528,   529,   530,   531,   532,   533,   534,   535,     0,
     536,   537,   538,   539,   540,  1306,   541,   542,   543,   544,
     545,   546,   547,   548,  1307,   550,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
    1308,   565,     0,   566,   567,  1309,     0,   568,   569,   570,
     571,   572,   573,   574,     0,   575,  1310,  1311,     0,     0,
     578,   579,  1312,   581,  1313,  1314,   583,   584,   585,   586,
     587,   588,   589,   590,     0,     0,   591,   592,   593,   594,
     595,  1316,     0,   596,   597,   598,   599,   600,   601,  1317,
       0,   603,   604,   605,   606,   607,   608,     0,     0,   609,
       0,     0,   610,   611,   612,   613,   614,   615,   616,  1318,
    1319,  1320,  1321,   621,  1322,  1323,  1324,  1325,   626,   627,
     628,   629,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3440,  3441,   234,     0,  1250,
     696,     0,  1251,  1252,  3263,   757,  1254,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,  1255,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,   258,  1256,   260,  1257,
    1258,     0,   263,   264,   265,   266,   267,   268,   269,  1259,
    1260,   270,   271,  1261,  1262,   274,     0,   275,   276,   277,
     278,  1263,     0,  1264,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,     0,   291,   292,   293,   294,
     295,   296,     0,   297,   298,   299,   300,  1265,  1266,  1267,
    1268,  1269,  1270,  1271,   302,   303,   304,   305,   306,   307,
    1272,  1273,   310,     0,   311,     0,   312,   313,   314,   315,
     316,   317,   318,     0,   319,   320,   321,   322,     0,     0,
     323,   324,   866,   326,   327,     0,   328,   329,   330,     0,
     331,   332,   333,     0,   334,   335,   336,   337,  1275,   339,
     340,   341,   342,  1276,  1277,   344,     0,   345,   346,   347,
    1278,   349,     0,   350,     0,   351,   352,   353,     0,   354,
     355,   356,   357,   358,     0,   359,  1279,     0,  1280,   362,
     363,     0,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382,   383,   384,   385,   386,   387,   388,  1281,
    1282,     0,  1283,     0,   392,   393,   394,   395,   396,  1284,
    1285,  1286,  1287,  1288,  1289,  1290,   404,   405,   406,   407,
     408,   409,     0,     0,   410,  1291,   412,   413,   414,     0,
     415,   416,   417,  1292,  1293,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,  1294,   437,  1295,   439,   440,   441,   442,
     443,   444,   445,   446,  1296,   448,     0,   449,   450,   451,
     452,  1298,  1299,   454,  1300,   456,   457,   458,     0,   459,
     460,     0,     0,   461,   462,   463,     0,     0,   464,   465,
     466,   467,   468,   469,  1302,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,     0,   481,   482,  1303,   484,
     485,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,  1304,   500,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,     0,   517,   518,   519,   520,   521,
     522,   523,   524,  3260,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,     0,   536,   537,   538,   539,   540,
    1306,   541,   542,   543,   544,   545,   546,   547,   548,  1307,
     550,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,  1308,   565,     0,   566,   567,
    1309,     0,   568,   569,   570,   571,   572,   573,   574,     0,
     575,  1310,  1311,     0,     0,   578,   579,  1312,   581,  1313,
    1314,   583,   584,   585,   586,   587,   588,   589,   590,     0,
       0,   591,   592,   593,   594,   595,  1316,     0,   596,   597,
     598,   599,   600,   601,  1317,     0,   603,   604,   605,   606,
     607,   608,     0,     0,   609,     0,     0,   610,   611,   612,
     613,   614,   615,   616,  1318,  1319,  1320,  1321,   621,  1322,
    1323,  1324,  1325,   626,   627,   628,   629,     0,     0,     0,
       0,     0,     0,   234,     0,  1250,   696,     0,  1251,  1252,
       0,   757,  1254,     0,     0,     0,     0,     0,     0,  3263,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,  1255,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,   258,  1256,   260,  1257,  1258,     0,   263,  4691,
     265,   266,   267,   268,   269,  1259,  1260,   270,   271,  1261,
    1262,   274,     0,   275,   276,   277,   278,  1263,     0,  1264,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,     0,   291,   292,   293,   294,   295,   296,     0,   297,
     298,   299,   300,  1265,  1266,  1267,  1268,  1269,  1270,  1271,
     302,   303,   304,   305,   306,   307,  1272,  1273,   310,     0,
     311,     0,   312,   313,   314,   315,   316,   317,   318,     0,
     319,   320,   321,   322,     0,     0,   323,   324,   866,   326,
     327,     0,   328,   329,   330,     0,   331,   332,   333,     0,
     334,   335,   336,   337,  1275,   339,   340,   341,   342,  1276,
    1277,   344,     0,   345,   346,   347,  1278,   349,     0,   350,
       0,   351,   352,   353,     0,   354,   355,   356,   357,   358,
       0,   359,  1279,     0,  1280,   362,   363,     0,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,     0,   374,
     375,   376,   377,   378,   379,   380,   381,     0,   382,   383,
     384,   385,   386,   387,   388,  1281,  1282,     0,  1283,     0,
     392,   393,   394,   395,   396,  1284,  1285,  1286,  1287,  1288,
    1289,  1290,   404,   405,   406,   407,   408,   409,     0,     0,
     410,  1291,   412,   413,   414,     0,   415,   416,   417,  1292,
    1293,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,  1294,
     437,  1295,   439,   440,   441,   442,   443,   444,   445,   446,
    1296,   448,     0,   449,   450,   451,   452,  1298,  1299,   454,
    1300,   456,   457,   458,     0,   459,   460,     0,     0,   461,
     462,   463,     0,     0,   464,   465,   466,   467,   468,   469,
    1302,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,     0,   481,   482,  1303,   484,   485,   486,   487,   488,
       0,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,  1304,   500,   501,   502,   503,     0,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
       0,   517,   518,   519,   520,   521,   522,   523,   524,  3260,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
       0,   536,   537,   538,   539,   540,  1306,   541,   542,   543,
     544,   545,   546,   547,   548,  1307,   550,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,  1308,   565,     0,   566,   567,  1309,     0,   568,   569,
     570,   571,   572,   573,   574,     0,   575,  1310,  1311,     0,
       0,   578,   579,  1312,   581,  1313,  1314,   583,   584,   585,
     586,   587,   588,   589,   590,     0,     0,   591,   592,   593,
     594,   595,  1316,     0,   596,   597,   598,   599,   600,   601,
    1317,     0,   603,   604,   605,   606,   607,   608,     0,     0,
     609,     0,     0,   610,   611,   612,   613,   614,   615,   616,
    1318,  1319,  1320,  1321,   621,  1322,  1323,  1324,  1325,   626,
     627,   628,   629,     0,     0,     0,     0,     0,     0,   234,
       0,  1250,   696,     0,  1251,  1252,     0,   757,  1254,     0,
       0,     0,     0,     0,     0,  3263,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,  1255,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,  1256,
     260,  1257,  1258,     0,   263,   264,   265,   266,   267,   268,
     269,  1259,  1260,   270,   271,  1261,  1262,   274,     0,   275,
     276,   277,   278,  1263,     0,  1264,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,     0,   291,   292,
     293,   294,   295,   296,     0,   297,   298,   299,   300,  1265,
    1266,  1267,  1268,  1269,  1270,  1271,   302,   303,   304,   305,
     306,   307,  1272,  1273,   310,     0,   311,     0,   312,   313,
     314,   315,   316,   317,   318,     0,   319,   320,   321,   322,
       0,     0,   323,   324,   866,   326,   327,     0,   328,   329,
     330,     0,   331,   332,   333,     0,   334,   335,   336,   337,
    1275,   339,   340,   341,   342,  1276,  1277,   344,     0,   345,
     346,   347,  1278,   349,     0,   350,     0,   351,   352,   353,
       0,   354,   355,   356,   357,   358,     0,   359,  1279,     0,
    1280,   362,   363,     0,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,     0,   374,   375,   376,   377,   378,
     379,   380,   381,     0,   382,   383,   384,   385,   386,   387,
     388,  1281,  1282,     0,  1283,     0,   392,   393,   394,   395,
     396,  1284,  1285,  1286,  1287,  1288,  1289,  1290,   404,   405,
     406,   407,   408,   409,     0,     0,   410,  1291,   412,   413,
     414,     0,   415,   416,   417,  1292,  1293,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,  1294,   437,  1295,   439,   440,
     441,   442,   443,   444,   445,   446,  1296,   448,     0,   449,
     450,   451,   452,  1298,  1299,   454,  1300,   456,   457,   458,
       0,   459,   460,     0,     0,   461,   462,   463,     0,     0,
     464,   465,   466,   467,   468,   469,  1302,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,     0,   481,   482,
    1303,   484,   485,   486,   487,   488,     0,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,  1304,   500,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,     0,   517,   518,   519,
     520,   521,   522,   523,   524,  3260,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,     0,   536,   537,   538,
     539,   540,  1306,   541,   542,   543,   544,   545,   546,   547,
     548,  1307,   550,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,  1308,   565,     0,
     566,   567,  1309,     0,   568,   569,   570,   571,   572,   573,
     574,     0,   575,  1310,  1311,     0,     0,   578,   579,  1312,
     581,  1313,  1314,   583,   584,   585,   586,   587,   588,   589,
     590,     0,     0,   591,   592,   593,   594,   595,  1316,     0,
     596,   597,   598,   599,   600,   601,  1317,     0,   603,   604,
     605,   606,   607,   608,     0,     0,   609,     0,     0,   610,
     611,   612,   613,   614,   615,   616,  1318,  1319,  1320,  1321,
    4749,  1322,  1323,  1324,  1325,   626,   627,   628,   629,     0,
       0,     0,     0,     0,     0,   234,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3263,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,  1260,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,  1263,
       0,  1264,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,     0,   291,   292,   293,   294,   295,   296,
       0,   297,   298,   299,   300,  1265,  1266,  1267,  1268,  1269,
    1270,  1271,   302,   303,   304,   305,   306,   307,   308,   309,
     310,     0,   311,     0,   312,   313,   314,   315,   316,   317,
     318,     0,   319,   320,   321,   322,     0,     0,   323,   324,
     325,   326,   327,     0,   328,   329,   330,     0,   331,   332,
     333,     0,   334,   335,   336,   337,   338,   339,   340,   341,
     342,  1276,     0,   344,     0,   345,   346,   347,   348,   349,
       0,   350,     0,   351,   352,   353,     0,   354,   355,   356,
     357,   358,     0,   359,  1279,     0,   361,   362,   363,     0,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
       0,   374,   375,   376,   377,   378,   379,   380,   381,     0,
     382,   383,   384,   385,   386,   387,   388,   389,   390,     0,
     391,     0,   392,   393,   394,   395,   396,  3411,  1285,  1286,
    1287,  1288,  1289,  1290,   404,   405,   406,   407,   408,   409,
    3412,     0,   410,  1291,   412,   413,   414,     0,   415,   416,
     417,  1292,  1293,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,  1296,   448,     0,   449,   450,   451,   452,     0,
    1299,   454,   455,   456,   457,   458,     0,   459,   460,     0,
     841,   461,   462,   463,     0,     0,   464,   465,   466,   467,
     468,   469,  1302,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,     0,   481,   482,  1303,   484,   485,   486,
     487,   488,     0,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,     0,   517,   518,   519,   520,   521,   522,   523,
     524,   525,  3413,   527,   528,   529,   530,   531,   532,   533,
     534,   535,    40,   536,   537,   538,   539,   540,  1306,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,  1308,   565,     0,   566,   567,  1309,    44,
     568,   569,   570,   571,   572,   573,   574,     0,   575,   576,
     577,     0,     0,   578,   579,  1312,   581,  1313,     0,   583,
     584,   585,   586,   587,   588,   589,   590,     0,     0,   591,
     592,   593,   594,   595,  1316,     0,   596,   597,   598,   599,
     600,  1185,   602,     0,   603,   604,   605,   606,   607,   608,
       0,     0,   609,     0,    49,   610,   611,   612,   613,   614,
     615,   616,  1318,  1319,  1320,  1321,   621,  1322,  1323,  1324,
    1325,  3414,   627,   628,   629,     0,     0,     0,    50,     0,
       0,   234,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3415,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,  1260,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,  1263,     0,  1264,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,   297,   298,   299,
     300,  1265,  1266,  1267,  1268,  1269,  1270,  1271,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,  1276,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,   353,     0,   354,   355,   356,   357,   358,     0,   359,
    1279,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,   383,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,   393,
     394,   395,   396,  3411,  1285,  1286,  1287,  1288,  1289,  1290,
     404,   405,   406,   407,   408,   409,  3412,     0,   410,  1291,
     412,   413,   414,     0,   415,   416,   417,  1292,  1293,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,  1296,   448,
       0,   449,   450,   451,   452,     0,  1299,   454,   455,   456,
     457,   458,     0,   459,   460,     0,   841,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,   469,  1302,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,  1303,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,   519,   520,   521,   522,   523,   524,   525,  3413,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,  1306,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,  1308,
     565,     0,   566,   567,  1309,     0,   568,   569,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,  1312,   581,  1313,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
    1316,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,   604,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,  1318,  1319,
    1320,  1321,   621,  1322,  1323,  1324,  1325,  3414,   627,   628,
     629,     0,     0,     0,     0,     0,     0,   234,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3415,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
    1260,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,  1263,     0,  1264,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,     0,   291,   292,   293,   294,
     295,   296,     0,   297,   298,   299,   300,  1265,  1266,  1267,
    1268,  1269,  1270,  1271,   302,   303,   304,   305,   306,   307,
     308,   309,   310,     0,   311,     0,   312,   313,   314,   315,
     316,   317,   318,     0,   319,   320,   321,   322,     0,     0,
     323,   324,   325,   326,   327,     0,   328,   329,   330,     0,
     331,   332,   333,     0,   334,   335,   336,   337,   338,   339,
     340,   341,   342,  1276,     0,   344,     0,   345,   346,   347,
     348,   349,     0,   350,     0,   351,   352,   353,     0,   354,
     355,   356,   357,   358,     0,   359,  1279,     0,   361,   362,
     363,     0,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382,   383,   384,   385,   386,   387,   388,   389,
     390,     0,   391,     0,   392,   393,   394,   395,   396,  3411,
    1285,  1286,  1287,  1288,  1289,  1290,   404,   405,   406,   407,
     408,   409,     0,     0,   410,  1291,   412,   413,   414,     0,
     415,   416,   417,  1292,  1293,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,  1296,   448,     0,   449,   450,   451,
     452,     0,  1299,   454,   455,   456,   457,   458,     0,   459,
     460,     0,     0,   461,   462,   463,     0,     0,   464,   465,
     466,   467,   468,   469,  1302,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,     0,   481,   482,  1303,   484,
     485,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,     0,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,     0,   536,   537,   538,   539,   540,
    1306,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,  1308,   565,     0,   566,   567,
    1309,     0,   568,   569,   570,   571,   572,   573,   574,     0,
     575,   576,   577,     0,     0,   578,   579,  1312,   581,  1313,
       0,   583,   584,   585,   586,   587,   588,   589,   590,     0,
       0,   591,   592,   593,   594,   595,  1316,     0,   596,   597,
     598,   599,   600,   601,   602,     0,   603,   604,   605,   606,
     607,   608,     0,     0,   609,     0,     0,   610,   611,   612,
     613,   614,   615,   616,  1318,  1319,  1320,  1321,   621,  1322,
    1323,  1324,  1325,   626,   627,   628,   629,     0,     0,     0,
       0,     0,     0,   234,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3854,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,  1260,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,  1263,     0,  1264,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,     0,   291,   292,   293,   294,   295,   296,     0,   297,
     298,   299,   300,  1265,  1266,  1267,  1268,  1269,  1270,  1271,
     302,   303,   304,   305,   306,   307,   308,   309,   310,     0,
     311,     0,   312,   313,   314,   315,   316,   317,   318,     0,
     319,   320,   321,   322,     0,     0,   323,   324,   325,   326,
     327,     0,   328,   329,   330,     0,   331,   332,   333,     0,
     334,   335,   336,   337,   338,   339,   340,   341,   342,  1276,
       0,   344,     0,   345,   346,   347,   348,   349,     0,   350,
       0,   351,   352,   353,     0,   354,   355,   356,   357,   358,
       0,   359,  1279,     0,   361,   362,   363,     0,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,     0,   374,
     375,   376,   377,   378,   379,   380,   381,     0,   382,   383,
     384,   385,   386,   387,   388,   389,   390,     0,   391,     0,
     392,   393,   394,   395,   396,  3411,  1285,  1286,  1287,  1288,
    1289,  1290,   404,   405,   406,   407,   408,   409,     0,     0,
     410,  1291,   412,   413,   414,     0,   415,   416,   417,  1292,
    1293,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
    1296,   448,     0,   449,   450,   451,   452,     0,  1299,   454,
     455,   456,   457,   458,     0,   459,   460,     0,     0,   461,
     462,   463,     0,     0,   464,   465,   466,   467,   468,   469,
    1302,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,     0,   481,   482,  1303,   484,   485,   486,   487,   488,
       0,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,     0,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
       0,   517,   518,   519,   520,   521,   522,   523,   524,   525,
    3413,   527,   528,   529,   530,   531,   532,   533,   534,   535,
       0,   536,   537,   538,   539,   540,  1306,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,  1308,   565,     0,   566,   567,  1309,     0,   568,   569,
     570,   571,   572,   573,   574,     0,   575,   576,   577,     0,
       0,   578,   579,  1312,   581,  1313,     0,   583,   584,   585,
     586,   587,   588,   589,   590,     0,     0,   591,   592,   593,
     594,   595,  1316,     0,   596,   597,   598,   599,   600,   601,
     602,     0,   603,   604,   605,   606,   607,   608,     0,     0,
     609,     0,     0,   610,   611,   612,   613,   614,   615,   616,
    1318,  1319,  1320,  1321,   621,  1322,  1323,  1324,  1325,  3414,
     627,   628,   629,     0,     0,     0,     0,     0,     0,   234,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    56,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,  1260,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,  1263,     0,  1264,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,     0,   291,   292,
     293,   294,   295,   296,     0,   297,   298,   299,   300,  1265,
    1266,  1267,  1268,  1269,  1270,  1271,   302,   303,   304,   305,
     306,   307,   308,   309,   310,     0,   311,     0,   312,   313,
     314,   315,   316,   317,   318,     0,   319,   320,   321,   322,
       0,     0,   323,   324,   325,   326,   327,     0,   328,   329,
     330,     0,   331,   332,   333,     0,   334,   335,   336,   337,
     338,   339,   340,   341,   342,  1276,     0,   344,     0,   345,
     346,   347,   348,   349,     0,   350,     0,   351,   352,   353,
       0,   354,   355,   356,   357,   358,     0,   359,  1279,     0,
     361,   362,   363,     0,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,     0,   374,   375,   376,   377,   378,
     379,   380,   381,     0,   382,   383,   384,   385,   386,   387,
     388,   389,   390,     0,   391,     0,   392,   393,   394,   395,
     396,  3411,  1285,  1286,  1287,  1288,  1289,  1290,   404,   405,
     406,   407,   408,   409,     0,     0,   410,  1291,   412,   413,
     414,     0,   415,   416,   417,  1292,  1293,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,  1296,   448,     0,   449,
     450,   451,   452,     0,  1299,   454,   455,   456,   457,   458,
       0,   459,   460,     0,     0,   461,   462,   463,     0,     0,
     464,   465,   466,   467,   468,   469,  1302,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,     0,   481,   482,
    1303,   484,   485,   486,   487,   488,     0,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,     0,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,     0,   536,   537,   538,
     539,   540,  1306,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,  1308,   565,     0,
     566,   567,  1309,     0,   568,   569,   570,   571,   572,   573,
     574,     0,   575,   576,   577,     0,     0,   578,   579,  1312,
     581,  1313,     0,   583,   584,   585,   586,   587,   588,   589,
     590,     0,     0,   591,   592,   593,   594,   595,  1316,     0,
     596,   597,   598,   599,   600,   601,   602,     0,   603,   604,
     605,   606,   607,   608,     0,     0,   609,     0,     0,   610,
     611,   612,   613,   614,   615,   616,  1318,  1319,  1320,  1321,
     621,  1322,  1323,  1324,  1325,   626,   627,   628,   629,     0,
       0,     0,     0,     0,     0,   234,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4810,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,  1260,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,  1263,
       0,  1264,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,     0,   291,   292,   293,   294,   295,   296,
       0,   297,   298,   299,   300,  1265,  1266,  1267,  1268,  1269,
    1270,  1271,   302,   303,   304,   305,   306,   307,   308,   309,
     310,     0,   311,     0,   312,   313,   314,   315,   316,   317,
     318,     0,   319,   320,   321,   322,     0,     0,   323,   324,
     325,   326,   327,     0,   328,   329,   330,     0,   331,   332,
     333,     0,   334,   335,   336,   337,   338,   339,   340,   341,
     342,  1276,     0,   344,     0,   345,   346,   347,   348,   349,
       0,   350,     0,   351,   352,   353,     0,   354,   355,   356,
     357,   358,     0,   359,  1279,     0,   361,   362,   363,     0,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
       0,   374,   375,   376,   377,   378,   379,   380,   381,     0,
     382,   383,   384,   385,   386,   387,   388,   389,   390,     0,
     391,     0,   392,   393,   394,   395,   396,  3411,  1285,  1286,
    1287,  1288,  1289,  1290,   404,   405,   406,   407,   408,   409,
       0,     0,   410,  1291,   412,   413,   414,     0,   415,   416,
     417,  1292,  1293,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,  1296,   448,     0,   449,   450,   451,   452,     0,
    1299,   454,   455,   456,   457,   458,     0,   459,   460,     0,
       0,   461,   462,   463,     0,     0,   464,   465,   466,   467,
     468,   469,  1302,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,     0,   481,   482,  1303,   484,   485,   486,
     487,   488,     0,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,     0,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,     0,   536,   537,   538,   539,   540,  1306,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,  1308,   565,     0,   566,   567,  1309,     0,
     568,   569,   570,   571,   572,   573,   574,     0,   575,   576,
     577,     0,     0,   578,   579,  1312,   581,  1313,     0,   583,
     584,   585,   586,   587,   588,   589,   590,     0,     0,   591,
     592,   593,   594,   595,  1316,     0,   596,   597,   598,   599,
     600,   601,   602,     0,   603,   604,   605,   606,   607,   608,
       0,     0,   609,     0,     0,   610,   611,   612,   613,   614,
     615,   616,  1318,  1319,  1320,  1321,   621,  1322,  1323,  1324,
    1325,   626,   627,   628,   629,     0,     0,     0,     0,     0,
       0,   946,     0,  1578,   696,     0,     0,     0,     0,   757,
       0,     0,     0,     0,     0,     0,     0,  5972,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,   297,   298,   299,
     300,     0,     0,     0,   301,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,  1802,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,   353,     0,   354,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,   383,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
     412,   413,   414,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,   451,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,  1803,     0,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,   569,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,  1804,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,   604,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,     0,     0,     0,     0,     0,   946,     0,     0,
       0,     0,     0,     0,  1579,  1580,  5778,     0,     0,     0,
       0,     0,     0,  5779,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     3,     4,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,     0,   291,   292,   293,   294,
     295,   296,     0,   297,   298,   299,   300,     0,     0,     0,
     301,     0,     0,     0,   302,   303,   304,   305,   306,   307,
     308,   309,   310,     0,   311,     0,   312,   313,   314,   315,
     316,   317,   318,     0,   319,   320,   321,   322,     0,     0,
     323,   324,   325,   326,   327,     0,   328,   329,   330,     0,
     331,   332,   333,     0,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,     0,   344,     0,   345,   346,   347,
     348,   349,     0,   350,     0,   351,   352,   353,     0,   354,
     355,   356,   357,   358,     0,   359,   360,     0,   361,   362,
     363,     0,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382,   383,   384,   385,   386,   387,   388,   389,
     390,     0,   391,     0,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,     0,   410,   411,   412,   413,   414,     0,
     415,   416,   417,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,     0,   449,   450,   451,
     452,     0,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,     0,   461,   462,   463,     0,     0,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,     0,   481,   482,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,     0,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,    40,   536,   537,   538,   539,   540,
       0,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,   565,     0,   566,   567,
       0,    44,   568,   569,   570,   571,   572,   573,   574,     0,
     575,   576,   577,     0,     0,   578,   579,   580,   581,   582,
       0,   583,   584,   585,   586,   587,   588,   589,   590,     0,
       0,   591,   592,   593,   594,   595,     0,     0,   596,   597,
     598,   599,   600,  1185,   602,     0,   603,   604,   605,   606,
     607,   608,     0,     0,   609,     0,    49,   610,   611,   612,
     613,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,  1025,     0,     0,
      50,     0,     0,   234,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    56,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,   280,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,     0,   291,   292,   293,   294,   295,   296,     0,   297,
     298,   299,   300,     0,     0,     0,   301,     0,     0,     0,
     302,   303,   304,   305,   306,   307,   308,   309,   310,     0,
     311,     0,   312,   313,   314,   315,   316,   317,   318,     0,
     319,   320,   321,   322,     0,     0,   323,   324,   325,   326,
     327,     0,   328,   329,   330,     0,   331,   332,   333,     0,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
       0,   344,     0,   345,   346,   347,   348,   349,     0,   350,
       0,   351,   352,   353,     0,   354,   355,   356,   357,   358,
       0,   359,   360,     0,   361,   362,   363,     0,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,     0,   374,
     375,   376,   377,   378,   379,   380,   381,     0,   382,   383,
     384,   385,   386,   387,   388,   389,   390,     0,   391,     0,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,     0,
     410,   411,   412,   413,   414,     0,   415,   416,   417,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,     0,   449,   450,   451,   452,     0,   453,   454,
     455,   456,   457,   458,     0,   459,   460,     0,     0,   461,
     462,   463,     0,     0,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,     0,   481,   482,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,     0,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
       0,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
       0,   536,   537,   538,   539,   540,     0,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,   565,     0,   566,   567,     0,     0,   568,   569,
     570,   571,   572,   573,   574,     0,   575,   576,   577,     0,
       0,   578,   579,   580,   581,   582,     0,   583,   584,   585,
     586,   587,   588,   589,   590,     0,     0,   591,   592,   593,
     594,   595,     0,     0,   596,   597,   598,   599,   600,   601,
     602,     0,   603,   604,   605,   606,   607,   608,     0,     0,
     609,     0,     0,   610,   611,   612,   613,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,     0,     0,     0,     0,     0,     0,   637,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5546,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,     0,   291,   292,
     293,   294,   295,   296,     0,     0,   298,   299,   300,     0,
       0,     0,     0,     0,     0,     0,   302,   303,   304,   305,
     306,   307,   308,   309,   310,     0,   311,     0,   312,   313,
     314,   315,   316,   317,   318,     0,   319,   320,   321,   322,
       0,     0,   323,   324,   325,   326,   327,     0,   328,   329,
     330,     0,   331,   332,   333,     0,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,     0,   344,     0,   345,
     346,   347,   348,   349,     0,   350,     0,   351,   352,     0,
       0,     0,   355,   356,   357,   358,     0,   359,   360,     0,
     361,   362,   363,     0,   364,   365,   366,   367,   368,     0,
     370,   371,   372,   373,     0,   374,   375,   376,   377,   378,
     379,   380,   381,     0,   382,     0,   384,   385,   386,   387,
     388,   389,   390,     0,   391,     0,   392,     0,     0,   395,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     0,     0,   410,   411,     0,   413,
       0,     0,   415,   416,   417,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,     0,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,     0,   449,
     450,     0,   452,     0,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,     0,   461,   462,   463,     0,     0,
     464,   465,   466,     0,   468,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,     0,   481,   482,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,     0,   517,   518,     0,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,    40,   536,   537,   538,
     539,   540,     0,   541,   542,   543,   544,   545,     0,   547,
     548,   549,   550,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,   565,     0,
     566,   567,     0,    44,   568,     0,   570,   571,   572,   573,
     574,     0,   575,   576,   577,     0,     0,   578,   579,   580,
     581,   582,     0,   583,   584,   585,   586,   587,   588,   589,
     590,     0,     0,   591,   592,   593,   594,   595,     0,     0,
     596,   597,   598,   599,   600,  1185,   602,     0,   603,     0,
     605,   606,   607,   608,     0,     0,   609,     0,    49,   610,
     611,   612,   613,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,     0,
       0,     0,    50,     0,     0,   637,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    56,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,     0,   291,   292,   293,   294,   295,   296,
       0,     0,   298,   299,   300,     0,     0,     0,  2854,     0,
       0,     0,   302,   303,   304,   305,   306,   307,   308,   309,
     310,     0,   311,     0,   312,   313,   314,   315,   316,   317,
     318,     0,   319,   320,   321,   322,     0,     0,   323,   324,
     325,   326,   327,     0,   328,   329,   330,     0,   331,   332,
     333,     0,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,     0,   344,     0,   345,   346,   347,   348,   349,
       0,   350,     0,   351,   352,     0,     0,     0,   355,   356,
     357,   358,     0,   359,   360,     0,   361,   362,   363,     0,
     364,   365,   366,   367,   368,     0,   370,   371,   372,   373,
       0,   374,   375,   376,   377,   378,   379,   380,   381,     0,
     382,     0,   384,   385,   386,   387,   388,   389,   390,     0,
     391,     0,   392,     0,     0,   395,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
       0,     0,   410,   411,     0,   413,     0,     0,   415,   416,
     417,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,     0,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,     0,   449,   450,     0,   452,     0,
     453,   454,   455,   456,   457,   458,     0,   459,   460,     0,
     841,   461,   462,   463,     0,     0,   464,   465,   466,     0,
     468,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,     0,   481,   482,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,     0,   517,   518,     0,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,     0,   536,   537,   538,   539,   540,     0,   541,
     542,   543,   544,   545,     0,   547,   548,   549,   550,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,   565,     0,   566,   567,     0,  2855,
    2856,     0,   570,   571,   572,   573,   574,     0,   575,   576,
     577,     0,     0,   578,   579,   580,   581,   582,     0,   583,
     584,   585,   586,   587,   588,   589,   590,     0,     0,   591,
     592,   593,   594,   595,     0,     0,   596,   597,   598,   599,
     600,   601,   602,     0,   603,     0,   605,   606,   607,   608,
       0,     0,   609,     0,     0,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,     0,     0,     0,     0,
       0,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1836,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,     0,     0,     0,     0,     0,   637,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1390,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,     0,   291,   292,   293,   294,
     295,   296,     0,     0,   298,   299,   300,     0,     0,     0,
       0,     0,     0,     0,   302,   303,   304,   305,   306,   307,
     308,   309,   310,     0,   311,     0,   312,   313,   314,   315,
     316,   317,   318,     0,   319,   320,   321,   322,     0,     0,
     323,   324,   325,   326,   327,     0,   328,   329,   330,     0,
     331,   332,   333,     0,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,     0,   344,     0,   345,   346,   347,
     348,   349,     0,   350,     0,   351,   352,     0,     0,     0,
     355,   356,   357,   358,     0,   359,   360,     0,   361,   362,
     363,     0,   364,   365,   366,   367,   368,     0,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382,     0,   384,   385,   386,   387,   388,   389,
     390,     0,   391,     0,   392,     0,     0,   395,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,     0,   410,   411,     0,   413,     0,     0,
     415,   416,   417,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,     0,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,     0,   449,   450,     0,
     452,     0,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,     0,   461,   462,   463,     0,     0,   464,   465,
     466,     0,   468,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,     0,   481,   482,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,     0,   517,   518,     0,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,     0,   536,   537,   538,   539,   540,
       0,   541,   542,   543,   544,   545,     0,   547,   548,   549,
     550,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,   565,     0,   566,   567,
       0,     0,   568,     0,   570,   571,   572,   573,   574,     0,
     575,   576,   577,     0,     0,   578,   579,   580,   581,   582,
       0,   583,   584,   585,   586,   587,   588,   589,   590,     0,
       0,   591,   592,   593,   594,   595,     0,     0,   596,   597,
     598,   599,   600,   601,   602,     0,   603,     0,   605,   606,
     607,   608,     0,     0,   609,     0,     0,   610,   611,   612,
     613,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,     0,     0,
       0,     0,     0,   637,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3472,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,     0,   291,   292,   293,   294,   295,   296,     0,     0,
     298,   299,   300,     0,     0,     0,     0,     0,     0,     0,
     302,   303,   304,   305,   306,   307,   308,   309,   310,     0,
     311,     0,   312,   313,   314,   315,   316,   317,   318,     0,
     319,   320,   321,   322,     0,     0,   323,   324,   325,   326,
     327,     0,   328,   329,   330,     0,   331,   332,   333,     0,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
       0,   344,     0,   345,   346,   347,   348,   349,     0,   350,
       0,   351,   352,     0,     0,     0,   355,   356,   357,   358,
       0,   359,   360,     0,   361,   362,   363,     0,   364,   365,
     366,   367,   368,     0,   370,   371,   372,   373,     0,   374,
     375,   376,   377,   378,   379,   380,   381,     0,   382,     0,
     384,   385,   386,   387,   388,   389,   390,     0,   391,     0,
     392,     0,     0,   395,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,     0,
     410,   411,     0,   413,     0,     0,   415,   416,   417,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
       0,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,     0,   449,   450,     0,   452,     0,   453,   454,
     455,   456,   457,   458,     0,   459,   460,     0,     0,   461,
     462,   463,     0,     0,   464,   465,   466,     0,   468,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,     0,   481,   482,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,     0,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
       0,   517,   518,     0,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
       0,   536,   537,   538,   539,   540,     0,   541,   542,   543,
     544,   545,     0,   547,   548,   549,   550,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,   565,     0,   566,   567,     0,     0,   568,     0,
     570,   571,   572,   573,   574,     0,   575,   576,   577,     0,
       0,   578,   579,   580,   581,   582,     0,   583,   584,   585,
     586,   587,   588,   589,   590,     0,     0,   591,   592,   593,
     594,   595,     0,     0,   596,   597,   598,   599,   600,   601,
     602,     0,   603,     0,   605,   606,   607,   608,     0,     0,
     609,     0,     0,   610,   611,   612,   613,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,     0,     0,     0,     0,     0,     0,   637,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4139,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,     0,   291,   292,
     293,   294,   295,   296,     0,     0,   298,   299,   300,     0,
       0,     0,     0,     0,     0,     0,   302,   303,   304,   305,
     306,   307,   308,   309,   310,     0,   311,     0,   312,   313,
     314,   315,   316,   317,   318,     0,   319,   320,   321,   322,
       0,     0,   323,   324,   325,   326,   327,     0,   328,   329,
     330,     0,   331,   332,   333,     0,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,     0,   344,     0,   345,
     346,   347,   348,   349,     0,   350,     0,   351,   352,     0,
       0,     0,   355,   356,   357,   358,     0,   359,   360,     0,
     361,   362,   363,     0,   364,   365,   366,   367,   368,     0,
     370,   371,   372,   373,     0,   374,   375,   376,   377,   378,
     379,   380,   381,     0,   382,     0,   384,   385,   386,   387,
     388,   389,   390,     0,   391,     0,   392,     0,     0,   395,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     0,     0,   410,   411,     0,   413,
       0,     0,   415,   416,   417,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,     0,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,     0,   449,
     450,     0,   452,     0,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,     0,   461,   462,   463,     0,     0,
     464,   465,   466,     0,   468,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,     0,   481,   482,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,     0,   517,   518,     0,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,     0,   536,   537,   538,
     539,   540,     0,   541,   542,   543,   544,   545,     0,   547,
     548,   549,   550,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,   565,     0,
     566,   567,     0,     0,   568,     0,   570,   571,   572,   573,
     574,     0,   575,   576,   577,     0,     0,   578,   579,   580,
     581,   582,     0,   583,   584,   585,   586,   587,   588,   589,
     590,     0,     0,   591,   592,   593,   594,   595,     0,     0,
     596,   597,   598,   599,   600,   601,   602,     0,   603,     0,
     605,   606,   607,   608,     0,     0,   609,     0,     0,   610,
     611,   612,   613,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   858,     0,
    1578,   696,     0,     0,     0,   961,   757,     0,     0,     0,
       0,  4766,   962,   963,   964,   235,   236,   237,   238,   239,
     240,   241,   242,   243,  1714,   244,   245,   246,  1715,  1716,
    1717,  1718,  1719,  1720,  1721,   247,   248,   249,  1722,   250,
     251,   252,   253,   254,   255,   256,   257,     0,   859,   260,
     860,   861,  1723,   263,   264,   265,   266,   267,   268,   269,
    1724,  1725,   270,   271,   862,   863,   274,  1726,   275,   276,
     277,   278,     0,  1727,   280,  1728,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,  1729,   291,   292,   293,
     294,   295,   296,  1730,   297,   298,   299,   300,  1731,  1732,
    1733,   301,  1734,  1735,  1736,   302,   303,   304,   305,   306,
     307,   864,   865,   310,  1737,   311,  1738,   312,   313,   314,
     315,   316,   317,   318,  1739,   319,   320,   321,   322,  1740,
    1741,   323,   324,   866,   326,   327,  1742,   328,   329,   330,
    1743,   331,   332,   333,  1744,   334,   335,   336,   337,     0,
     339,   340,   341,   342,     0,  1745,   344,  1746,   345,   346,
     347,   867,   349,  1747,   350,  1748,   351,   352,   353,  1749,
     354,   355,   356,   357,   358,  1750,   359,     0,  1751,     0,
     362,   363,  1752,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,  1753,   374,   375,   376,   377,   378,   379,
     380,   381,  1754,   382,   383,     0,   385,   386,   387,   388,
     868,   869,  1755,   870,  1756,   392,   393,   394,   395,   396,
     871,     0,     0,     0,     0,     0,     0,   404,   405,   406,
     407,   408,   409,  1757,  1758,   410,     0,   412,   413,   414,
    1759,   415,   416,   417,  1760,  1761,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   872,   437,   873,   439,   440,   441,
     442,   443,   444,   445,  4454,     0,   448,  1762,   449,   450,
     451,   452,  1763,     0,   454,   874,   456,   457,   458,  1764,
     459,   460,  1765,  1766,  4455,   462,   463,  1767,  1768,   464,
     465,     0,   467,   468,   469,     0,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,  1769,   481,   482,     0,
     484,     0,   486,   487,   488,  1770,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   875,   500,   501,   502,
     503,  1771,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,  1772,   517,   518,   519,   520,
     521,   522,   523,   524,     0,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,  1773,   536,   537,   538,   539,
     540,  1774,   541,   542,  2683,   544,   545,   546,   547,   548,
     877,   550,  1775,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,     0,   565,  1776,   566,
     567,  1777,  1778,   568,   569,   570,   571,   572,   573,   574,
    1779,   575,   878,   879,  1780,  1781,   578,   579,     0,   581,
       0,  1782,   583,   584,   585,   586,   587,   588,   589,   590,
    1783,  1784,   591,   592,   593,   594,   595,  1785,  1786,   596,
     597,   598,   599,   600,     0,   880,  1787,   603,   604,   605,
     606,   607,   608,  1788,  1789,   609,  1790,  1791,   610,   611,
     612,   613,   614,   615,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   627,   628,   629,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   967,   968,
     969,  4456,  4457,   972,   973,   974,   975,   858,     0,  1578,
     696,     0,     0,     0,   961,   757,     0,     0,     0,     0,
       0,   962,   963,   964,   235,   236,   237,   238,   239,   240,
     241,   242,   243,  1714,   244,   245,   246,  1715,  1716,  1717,
    1718,  1719,  1720,  1721,   247,   248,   249,  1722,   250,   251,
     252,   253,   254,   255,   256,   257,     0,   859,   260,   860,
     861,  1723,   263,   264,   265,   266,   267,   268,   269,  1724,
    1725,   270,   271,   862,   863,   274,  1726,   275,   276,   277,
     278,     0,  1727,   280,  1728,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,  1729,   291,   292,   293,   294,
     295,   296,  1730,   297,   298,   299,   300,  1731,  1732,  1733,
     301,  1734,  1735,  1736,   302,   303,   304,   305,   306,   307,
     864,   865,   310,  1737,   311,  1738,   312,   313,   314,   315,
     316,   317,   318,  1739,   319,   320,   321,   322,  1740,  1741,
     323,   324,   866,   326,   327,  1742,   328,   329,   330,  1743,
     331,   332,   333,  1744,   334,   335,   336,   337,     0,   339,
     340,   341,   342,     0,  1745,   344,  1746,   345,   346,   347,
     867,   349,  1747,   350,  1748,   351,   352,   353,  1749,   354,
     355,   356,   357,   358,  1750,   359,     0,  1751,     0,   362,
     363,  1752,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,  1753,   374,   375,   376,   377,   378,   379,   380,
     381,  1754,   382,   383,     0,   385,   386,   387,   388,   868,
     869,  1755,   870,  1756,   392,   393,   394,   395,   396,   871,
       0,     0,     0,     0,     0,     0,   404,   405,   406,   407,
     408,   409,  1757,  1758,   410,     0,   412,   413,   414,  1759,
     415,   416,   417,  1760,  1761,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   872,   437,   873,   439,   440,   441,   442,
     443,   444,   445,  4906,     0,   448,  1762,   449,   450,   451,
     452,  1763,     0,   454,   874,   456,   457,   458,  1764,   459,
     460,  1765,  1766,  4455,   462,   463,  1767,  1768,   464,   465,
       0,   467,   468,   469,     0,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,  1769,   481,   482,     0,   484,
       0,   486,   487,   488,  1770,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   875,   500,   501,   502,   503,
    1771,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,  1772,   517,   518,   519,   520,   521,
     522,   523,   524,     0,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,  1773,   536,   537,   538,   539,   540,
    1774,   541,   542,  2683,   544,   545,   546,   547,   548,   877,
     550,  1775,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,     0,   565,  1776,   566,   567,
    1777,  1778,   568,   569,   570,   571,   572,   573,   574,  1779,
     575,   878,   879,  1780,  1781,   578,   579,     0,   581,     0,
    1782,   583,   584,   585,   586,   587,   588,   589,   590,  1783,
    1784,   591,   592,   593,   594,   595,  1785,  1786,   596,   597,
     598,   599,   600,     0,   880,  1787,   603,   604,   605,   606,
     607,   608,  1788,  1789,   609,  1790,  1791,   610,   611,   612,
     613,   614,   615,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   627,   628,   629,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   967,   968,   969,
    4456,  4457,   972,   973,   974,   975,  2079,     0,     0,     0,
       0,     0,     0,  2080,     0,     0,  2081,     0,     0,     0,
    2082,  2083,  2084,  2085,  2086,  2087,  2088,  2089,  2090,  2091,
    2092,  2093,  2094,  2095,  2096,  2097,  2098,  2099,  2100,  2101,
       0,  2102,  2103,  2104,  2105,  2106,  2107,  2108,  2109,  2110,
    2111,  2112,  2113,  2114,  2115,  2116,  2117,  2118,  2119,  2120,
    2121,  2122,  2123,  2124,  2125,  2126,  2127,  2128,  2129,  2130,
    2131,  2132,     0,     0,  2133,  2134,  2135,  2136,  2137,  2138,
    2139,  2140,  2141,  2142,  2143,  2144,  2145,  2146,  2147,  2148,
    2149,  2150,  2151,  2152,  2153,  2154,  2155,  2156,  2157,  2158,
    2159,     0,  2160,  2161,  2162,  2163,  2164,  2165,  2166,  2167,
    2168,  2169,  2170,  2171,  2172,  2173,  2174,     0,  2175,  2176,
    2177,  2178,  2179,  2180,  2181,  2182,  2183,  2184,  2185,  2186,
    2187,  2188,  2189,  2190,  2191,  2192,  2193,  2194,  2195,  2196,
    2197,  2198,  2199,  2200,  2201,  2202,  2203,  2204,  2205,  2206,
    2207,  2208,     0,  2209,  2210,  2211,  2212,  2213,  2214,  2215,
    2216,  2217,  2218,  2219,  2220,     0,     0,  2221,  2222,  2223,
    2224,     0,  2225,  2226,  2227,  2228,  2229,     0,  2230,  2231,
    2232,  2233,  2234,     0,  2235,  2236,     0,  2237,  2238,  2239,
       0,  2240,  2241,     0,  2242,  2243,  2244,  2245,  2246,  2247,
    2248,  2249,  2250,  2251,  2252,  2253,  2254,  2255,  2256,  2257,
    2258,  2259,  2260,  2261,  2262,  2263,  2264,  2265,  2266,  2267,
       0,  2268,     0,  2269,  2270,  2271,  2272,  2273,  2274,  2275,
    2276,  2277,  2278,  2279,  2280,  2281,  2282,  2283,  2284,  2285,
    2286,  2287,  2288,  2289,  2290,  2291,  2292,  2293,     0,  2294,
    2295,  2296,  2297,  2298,  2299,  2300,  2301,  2302,  2303,  2304,
    2305,  2306,  2307,  2308,  2309,     0,  2310,  2311,     0,  2312,
    2313,  2314,  2315,  2316,  2317,  2318,  2319,  2320,  2321,  2322,
    2323,  2324,  2325,  2326,  2327,  2328,  2329,  2330,  2331,  2332,
    2333,  2334,  2335,  2336,  2337,  2338,  2339,     0,  2340,  2341,
       0,  2342,  2343,  2344,  2345,  2346,     0,  2347,  2348,  2349,
    2350,     0,     0,  2351,  2352,  2353,  2354,  2355,  2356,  2357,
    2358,  2359,  2360,  2361,  2362,  2363,  2364,  2365,  2366,     0,
    2367,  2368,  2369,  2370,  2371,  2372,  2373,  2374,  2375,  2376,
    2377,  2378,  2379,  2380,  2381,  2382,  2383,  2384,  2385,  2386,
    2387,  2388,  2389,  2390,  2391,  2392,  2393,  2394,  2395,  2396,
    2397,  2398,  2399,     0,  2400,  2401,  2402,  2403,  2404,  2405,
    2406,  2407,  2408,  2409,  2410,  2411,  2412,  2413,  2414,  2415,
    2416,     0,  2417,  2418,  2419,  2420,  2421,  2422,  2423,  2424,
    2425,  2426,  2427,  2428,  2429,  2430,  2431,  2432,  2433,  2434,
    2435,  2436,  2437,  2438,  2439,  2440,  2441,  2442,  2443,  2444,
    2445,  2446,  2447,  2448,  2449,  2450,  2451,  2452,  2453,  2454,
    2455,  2456,  2457,  2458,  2459,  2460,  2461,  2462,  2463,  2464,
    2465,  2466,     0,  2467,  2468,  2469,  2470,  2471,  2472,  2473,
    2474,  2475,  2476,  2477,  2478,  2479,  2480,  2481,     0,  2482,
    2483,  2484,  2485,  2486,  2487,  2488,  2489,  2490,  2491,  2492,
    2493,  2494,  2495,  2496,  2497,     0,  2498,  2499,  2500,  2501,
    2502,  2503,     0,  2504,     0,     0,     0,     0,  2505,  2506,
    2507,  2508,  2509,  2510,  2511,  2512,  2513,  2514,  2515,  2516,
    2517,  2518,  2519,     0,  2520,  2521,     0,  2522,     0,     0,
       0,     0,     0,     0,     0,     0,  2523,  2524,  2525,  2526,
    2527,  2528,  2529,  2530,  2531,   637,     0,     0,     0,     0,
       0,     0,   961,     0,     0,     0,     0,     0,     0,   962,
     963,   964,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   965,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,     0,   291,   292,   293,   294,   295,   296,
       0,     0,   298,   299,   300,     0,     0,     0,     0,     0,
       0,     0,   302,   303,   304,   305,   306,   307,   308,   309,
     310,     0,   311,     0,   312,   313,   314,   315,   316,   317,
     318,     0,   319,   320,   321,   322,     0,     0,   323,   324,
     325,   326,   327,     0,   328,   329,   330,     0,   331,   332,
     333,     0,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,     0,   966,     0,   345,   346,   347,   348,   349,
       0,   350,     0,   351,   352,     0,     0,     0,   355,   356,
     357,   358,     0,   359,   360,     0,   361,   362,   363,     0,
     364,   365,   366,   367,   368,     0,   370,   371,   372,   373,
       0,   374,   375,   376,   377,   378,   379,   380,   381,     0,
     382,     0,   384,   385,   386,   387,   388,   389,   390,     0,
     391,     0,   392,     0,     0,   395,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
       0,     0,   410,   411,     0,   413,     0,     0,   415,   416,
     417,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,     0,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,     0,   449,   450,     0,   452,     0,
     453,   454,   455,   456,   457,   458,     0,   459,   460,     0,
       0,   461,   462,   463,     0,     0,   464,   465,   466,     0,
     468,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,     0,   481,   482,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,     0,   517,   518,     0,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,     0,   536,   537,   538,   539,   540,     0,   541,
     542,   543,   544,   545,     0,   547,   548,   549,   550,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,   565,     0,   566,   567,     0,     0,
     568,     0,   570,   571,   572,   573,   574,     0,   575,   576,
     577,     0,     0,   578,   579,   580,   581,   582,     0,   583,
     584,   585,   586,   587,   588,   589,   590,     0,     0,   591,
     592,   593,   594,   595,     0,     0,   596,   597,   598,   599,
     600,   601,   602,     0,   603,     0,   605,   606,   607,   608,
       0,     0,   609,     0,     0,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   967,   968,   969,   970,   971,
     972,   973,   974,   975,   637,     0,     0,     0,     0,     0,
       0,   961,     0,     0,     0,     0,     0,     0,   962,   963,
     964,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,     0,
     255,   256,   257,   258,   259,     0,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,  1082,   277,   278,   279,     0,
       0,     0,   281,   282,   283,   284,   285,   286,     0,   288,
     289,   290,     0,   291,   292,   293,   294,   295,   296,     0,
       0,   298,   299,   300,     0,     0,     0,     0,     0,     0,
       0,   302,   303,   304,   305,   306,   307,   308,   309,   310,
       0,   311,     0,   312,   313,   314,   315,   316,   317,   318,
       0,   319,   320,   321,   322,     0,     0,   323,   324,   325,
     326,   327,     0,   328,   329,   330,     0,   331,   332,   333,
       0,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,     0,  1083,     0,   345,   346,   347,   348,   349,     0,
     350,     0,   351,   352,     0,     0,     0,   355,   356,   357,
     358,     0,   359,   360,     0,   361,   362,   363,     0,   364,
     365,   366,   367,   368,     0,   370,   371,   372,   373,     0,
     374,   375,   376,   377,   378,   379,   380,   381,     0,   382,
       0,   384,   385,   386,   387,   388,   389,   390,     0,   391,
       0,   392,     0,     0,   395,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     0,
       0,   410,   411,     0,   413,     0,     0,   415,   416,   417,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     0,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,     0,   449,   450,     0,   452,     0,   453,
     454,   455,   456,   457,   458,     0,   459,   460,     0,     0,
     461,   462,   463,     0,     0,   464,   465,   466,     0,   468,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,     0,   481,   482,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,     0,   517,   518,     0,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,     0,   536,   537,   538,   539,   540,     0,   541,   542,
     543,   544,   545,     0,   547,   548,   549,   550,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,   565,     0,   566,   567,     0,     0,   568,
       0,   570,   571,   572,   573,   574,     0,   575,   576,   577,
       0,     0,   578,   579,   580,   581,   582,     0,   583,   584,
     585,   586,   587,   588,   589,   590,     0,     0,   591,   592,
     593,   594,   595,     0,     0,   596,   597,   598,   599,   600,
     601,   602,     0,   603,     0,   605,   606,   607,   608,     0,
       0,   609,     0,     0,   610,   611,   612,   613,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   967,   968,   969,   970,   971,   972,
     973,   974,   975,   637,     0,     0,     0,     0,     0,     0,
     961,     0,     0,     0,     0,     0,     0,   962,   963,   964,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,  1148,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,     0,   291,   292,   293,   294,   295,   296,     0,     0,
     298,   299,   300,     0,     0,     0,     0,     0,     0,     0,
     302,   303,   304,   305,   306,   307,   308,   309,   310,     0,
     311,     0,   312,   313,   314,   315,   316,   317,   318,     0,
     319,   320,   321,   322,     0,     0,   323,   324,   325,   326,
     327,     0,   328,   329,   330,     0,   331,   332,   333,     0,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
       0,  1149,     0,   345,   346,   347,   348,   349,     0,   350,
       0,   351,   352,     0,     0,     0,   355,   356,   357,   358,
       0,   359,   360,     0,   361,   362,   363,     0,   364,   365,
     366,   367,  1150,     0,   370,   371,   372,   373,     0,   374,
     375,   376,   377,   378,   379,   380,   381,     0,   382,     0,
     384,   385,   386,   387,   388,   389,   390,     0,   391,     0,
     392,     0,     0,   395,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,     0,
     410,   411,     0,   413,     0,     0,   415,   416,   417,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
       0,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,     0,   449,   450,     0,   452,     0,   453,   454,
     455,   456,   457,   458,     0,   459,   460,     0,     0,   461,
     462,   463,     0,     0,   464,   465,   466,     0,   468,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,     0,   481,   482,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,     0,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
       0,   517,   518,     0,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
       0,   536,   537,   538,   539,   540,     0,   541,   542,   543,
     544,   545,     0,   547,   548,   549,   550,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,   565,     0,   566,   567,     0,     0,   568,     0,
     570,   571,   572,   573,   574,     0,   575,   576,   577,     0,
       0,   578,   579,   580,   581,   582,     0,   583,   584,   585,
     586,   587,   588,   589,   590,     0,     0,   591,   592,   593,
     594,   595,     0,     0,   596,   597,   598,   599,   600,   601,
     602,     0,   603,     0,   605,   606,   607,   608,     0,     0,
     609,     0,     0,   610,   611,   612,   613,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   967,   968,   969,   970,   971,   972,   973,
     974,   975,   637,     0,     0,     0,     0,     0,     0,   961,
       0,     0,     0,     0,     0,     0,   962,   963,   964,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,  1819,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
       0,   291,   292,   293,   294,   295,   296,     0,     0,   298,
     299,   300,     0,     0,     0,     0,     0,     0,     0,   302,
     303,   304,   305,   306,   307,   308,   309,   310,     0,   311,
       0,   312,   313,   314,   315,   316,   317,   318,     0,   319,
     320,   321,   322,     0,     0,   323,   324,   325,   326,   327,
       0,   328,   329,   330,     0,   331,   332,   333,     0,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,     0,
    1820,     0,   345,   346,   347,   348,   349,     0,   350,     0,
     351,   352,     0,     0,     0,   355,   356,   357,   358,     0,
     359,   360,     0,   361,   362,   363,     0,   364,   365,   366,
     367,   368,     0,   370,   371,   372,   373,     0,   374,   375,
     376,   377,   378,   379,   380,   381,     0,   382,     0,   384,
     385,   386,   387,   388,   389,   390,     0,   391,     0,   392,
       0,     0,   395,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,     0,   410,
     411,     0,   413,     0,     0,   415,   416,   417,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     0,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,     0,   449,   450,     0,   452,     0,   453,   454,   455,
     456,   457,   458,     0,   459,   460,     0,     0,   461,   462,
     463,     0,     0,   464,   465,   466,     0,   468,     0,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
       0,   481,   482,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,     0,
     517,   518,     0,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,     0,
     536,   537,   538,   539,   540,     0,   541,   542,   543,   544,
     545,     0,   547,   548,   549,   550,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,   565,     0,   566,   567,     0,     0,   568,     0,   570,
     571,   572,   573,   574,     0,   575,   576,   577,     0,     0,
     578,   579,   580,   581,   582,     0,   583,   584,   585,   586,
     587,   588,   589,   590,     0,     0,   591,   592,   593,   594,
     595,     0,     0,   596,   597,   598,   599,   600,   601,   602,
       0,   603,     0,   605,   606,   607,   608,     0,     0,   609,
       0,     0,   610,   611,   612,   613,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   967,   968,   969,   970,   971,   972,   973,   974,
     975,   637,     0,     0,     0,     0,     0,     0,   961,     0,
       0,     0,     0,     0,     0,   962,   963,   964,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   967,   968,   969,   970,   971,   972,   973,   974,   975,
     637,     0,     0,     0,     0,     0,     0,   961,     0,     0,
       0,     0,     0,     0,   962,   963,   964,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,  3544,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,  3545,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     967,   968,   969,   970,   971,   972,   973,   974,   975,   637,
       0,     0,     0,     0,     0,     0,   961,     0,     0,     0,
       0,     0,     0,   962,   963,   964,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,     0,   291,   292,
     293,   294,   295,   296,     0,     0,   298,   299,   300,     0,
       0,     0,     0,     0,     0,     0,   302,   303,   304,   305,
     306,   307,   308,   309,   310,     0,   311,     0,   312,   313,
     314,   315,   316,   317,   318,     0,   319,   320,   321,   322,
       0,     0,   323,   324,   325,   326,   327,     0,   328,   329,
     330,     0,   331,   332,   333,     0,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,     0,   344,     0,   345,
     346,   347,   348,   349,     0,   350,     0,   351,   352,     0,
       0,     0,   355,   356,   357,   358,     0,   359,   360,     0,
     361,   362,   363,     0,   364,   365,   366,   367,   368,     0,
     370,   371,   372,   373,     0,   374,   375,   376,   377,   378,
     379,   380,   381,     0,   382,     0,   384,   385,   386,   387,
     388,   389,   390,     0,   391,     0,   392,     0,     0,   395,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     0,     0,   410,   411,     0,   413,
       0,     0,   415,   416,   417,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,     0,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,     0,   449,
     450,     0,   452,     0,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,     0,  5524,   462,   463,     0,     0,
     464,   465,   466,     0,   468,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,     0,   481,   482,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,     0,   517,   518,     0,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,     0,   536,   537,   538,
     539,   540,     0,   541,   542,   543,   544,   545,     0,   547,
     548,   549,   550,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,   565,     0,
     566,   567,     0,     0,   568,     0,   570,   571,   572,   573,
     574,     0,   575,   576,   577,     0,     0,   578,   579,   580,
     581,   582,     0,   583,   584,   585,   586,   587,   588,   589,
     590,     0,     0,   591,   592,   593,   594,   595,     0,     0,
     596,   597,   598,   599,   600,   601,   602,     0,   603,     0,
     605,   606,   607,   608,     0,     0,   609,     0,     0,   610,
     611,   612,   613,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,     0,
       0,  1713,     0,     0,     0,     0,     0,     0,     0,   967,
     968,   969,   970,   971,   972,   973,   974,   975,   235,   236,
     237,   238,   239,   240,   241,   242,   243,  1714,   244,   245,
     246,  1715,  1716,  1717,  1718,  1719,  1720,  1721,   247,   248,
     249,  1722,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,  1723,   263,   264,   265,   266,
     267,   268,   269,  1724,  1725,   270,   271,   272,   273,   274,
    1726,   275,   276,   277,   278,   279,  1727,   280,  1728,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,  1729,
     291,   292,   293,   294,   295,   296,  1730,   297,   298,   299,
     300,  1731,  1732,  1733,   301,  1734,  1735,  1736,   302,   303,
     304,   305,   306,   307,   308,   309,   310,  1737,   311,  1738,
     312,   313,   314,   315,   316,   317,   318,  1739,   319,   320,
     321,   322,  1740,  1741,   323,   324,   325,   326,   327,  1742,
     328,   329,   330,  1743,   331,   332,   333,  1744,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,  1745,   344,
    1746,   345,   346,   347,   348,   349,  1747,   350,  1748,   351,
     352,   353,  1749,   354,   355,   356,   357,   358,  1750,   359,
     360,  1751,   361,   362,   363,  1752,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,  1753,   374,   375,   376,
     377,   378,   379,   380,   381,  1754,   382,   383,   384,   385,
     386,   387,   388,   389,   390,  1755,   391,  1756,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,  1757,  1758,   410,   411,
     412,   413,   414,  1759,   415,   416,   417,  1760,  1761,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
    1762,   449,   450,   451,   452,  1763,   453,   454,   455,   456,
     457,   458,  1764,   459,   460,  1765,  1766,   461,   462,   463,
    1767,  1768,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,  1769,
     481,   482,   483,   484,   485,   486,   487,   488,  1770,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,  1771,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,  1772,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,  1773,   536,
     537,   538,   539,   540,  1774,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,  1775,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,  1776,   566,   567,  1777,  1778,   568,   569,   570,   571,
     572,   573,   574,  1779,   575,   576,   577,  1780,  1781,   578,
     579,   580,   581,   582,  1782,   583,   584,   585,   586,   587,
     588,   589,   590,  1783,  1784,   591,   592,   593,   594,   595,
    1785,  1786,   596,   597,   598,   599,   600,   601,   602,  1787,
     603,   604,   605,   606,   607,   608,  1788,  1789,   609,  1790,
    1791,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1792,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   847,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5941,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5943,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   858,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  6050,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
       0,   859,   260,   860,   861,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   862,   863,   274,
       0,   275,   276,   277,   278,     0,     0,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,   297,   298,   299,
     300,     0,     0,     0,   301,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   864,   865,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   866,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,     0,   339,   340,   341,   342,     0,     0,   344,
       0,   345,   346,   347,   867,   349,     0,   350,     0,   351,
     352,   353,     0,   354,   355,   356,   357,   358,     0,   359,
       0,     0,     0,   362,   363,     0,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,  2679,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,   383,  2680,   385,
     386,   387,   388,   868,   869,     0,   870,     0,   392,   393,
     394,   395,   396,   871,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,     0,     0,   410,     0,
     412,   413,   414,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   872,   437,   873,
     439,   440,   441,   442,   443,   444,   445,     0,     0,   448,
       0,   449,   450,   451,   452,     0,     0,   454,   874,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,  2681,   464,   465,  2682,   467,   468,   469,     0,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,     0,   484,     0,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   875,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,   519,   520,   521,   522,   523,   524,     0,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,  2683,   544,   545,
     546,   547,   548,   877,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,     0,
     565,     0,   566,   567,     0,     0,   568,   569,   570,   571,
     572,   573,   574,     0,   575,   878,   879,     0,     0,   578,
     579,     0,   581,     0,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,     0,   880,  2684,
     603,   604,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,     0,     0,     0,
    3891,     0,     0,     0,     0,     0,     0,     0,   627,   628,
     629,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,  2685,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,     0,
     859,   260,   860,   861,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   862,   863,   274,     0,
     275,   276,   277,   278,     0,     0,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
       0,     0,     0,   301,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   864,   865,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   866,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,     0,   339,   340,   341,   342,     0,     0,   344,     0,
     345,   346,   347,   867,   349,     0,   350,     0,   351,   352,
     353,     0,   354,   355,   356,   357,   358,     0,   359,     0,
       0,     0,   362,   363,     0,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,  2679,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,   383,  2680,   385,   386,
     387,   388,   868,   869,     0,   870,     0,   392,   393,   394,
     395,   396,   871,     0,     0,     0,     0,     0,     0,   404,
     405,   406,   407,   408,   409,     0,     0,   410,     0,   412,
     413,   414,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   872,   437,   873,   439,
     440,   441,   442,   443,   444,   445,     0,     0,   448,     0,
     449,   450,   451,   452,     0,     0,   454,   874,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
    2681,   464,   465,  2682,   467,   468,   469,     0,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,     0,   484,     0,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   875,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
     519,   520,   521,   522,   523,   524,     0,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,  2683,   544,   545,   546,
     547,   548,   877,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,     0,   565,
       0,   566,   567,     0,     0,   568,   569,   570,   571,   572,
     573,   574,     0,   575,   878,   879,     0,     0,   578,   579,
       0,   581,     0,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,     0,   880,  2684,   603,
     604,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   627,   628,   629,
     946,     0,  1578,   696,     0,     0,     0,     0,   757,     0,
       0,     0,     0,     0,     0,  2685,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
       0,     0,     0,   301,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,  2570,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,  1802,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
     353,     0,   354,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,   383,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,   412,
     413,   414,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,   451,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,  1803,     0,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,   569,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,  1804,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     946,     0,  1578,   696,     0,     0,     0,     0,   757,     0,
       0,     0,     0,  1579,  1580,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
       0,     0,     0,   301,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,  2575,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,  1802,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
     353,     0,   354,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,   383,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,   412,
     413,   414,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,   451,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,  1803,     0,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,   569,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,  1804,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     946,     0,  1578,   696,     0,     0,     0,     0,   757,     0,
       0,     0,     0,  1579,  1580,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
       0,     0,     0,   301,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,  3504,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,  1802,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
     353,     0,   354,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,   383,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,   412,
     413,   414,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,   451,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,  1803,     0,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,   569,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,  1804,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     946,     0,  1578,   696,     0,     0,     0,     0,   757,     0,
       0,     0,     0,  1579,  1580,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
       0,     0,     0,   301,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,  1802,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
     353,     0,   354,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,   383,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,   412,
     413,   414,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,   451,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,  1803,     0,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,   569,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,  1804,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     637,     0,     0,     0,     0,     0,     0,     0,   757,     0,
       0,     0,     0,  1579,  1580,     0,     0,   235,   236,   758,
     238,   239,   240,   241,   242,   243,   759,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   760,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   761,   348,   349,     0,   350,     0,   351,   762,
       0,   763,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
       0,   370,   371,   372,   373,   764,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   765,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     766,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   767,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   768,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     946,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   769,   770,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       3,     4,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
       0,     0,     0,   301,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
     353,     0,   354,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,   383,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,   412,
     413,   414,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,   451,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,   569,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
    1025,  1713,     0,  6215,   696,     0,     0,     0,     0,   757,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,  1714,   244,   245,
     246,  1715,  1716,  1717,  1718,  1719,  1720,  1721,   247,   248,
     249,  1722,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,  1723,   263,   264,   265,   266,
     267,   268,   269,  1724,  1725,   270,   271,   272,   273,   274,
    1726,   275,   276,   277,   278,   279,  1727,   280,  1728,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,  1729,
     291,   292,   293,   294,   295,   296,  1730,   297,   298,   299,
     300,  1731,  1732,  1733,   301,  1734,  1735,  1736,   302,   303,
     304,   305,   306,   307,   308,   309,   310,  1737,   311,  1738,
     312,   313,   314,   315,   316,   317,   318,  1739,   319,   320,
     321,   322,  1740,  1741,   323,   324,   325,   326,   327,  1742,
     328,   329,   330,  1743,   331,   332,   333,  1744,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,  1745,   344,
    1746,   345,   346,   347,   348,   349,  1747,   350,  1748,   351,
     352,   353,  1749,   354,   355,   356,   357,   358,  1750,   359,
     360,  1751,   361,   362,   363,  1752,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,  1753,   374,   375,   376,
     377,   378,   379,   380,   381,  1754,   382,   383,   384,   385,
     386,   387,   388,   389,   390,  1755,   391,  1756,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,  1757,  1758,   410,   411,
     412,   413,   414,  1759,   415,   416,   417,  1760,  1761,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
    1762,   449,   450,   451,   452,  1763,   453,   454,   455,   456,
     457,   458,  1764,   459,   460,  1765,  1766,   461,   462,   463,
    1767,  1768,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,  1769,
     481,   482,   483,   484,   485,   486,   487,   488,  1770,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,  1771,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,  1772,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,  1773,   536,
     537,   538,   539,   540,  1774,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,  1775,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,  1776,   566,   567,  1777,  1778,   568,   569,   570,   571,
     572,   573,   574,  1779,   575,   576,   577,  1780,  1781,   578,
     579,   580,   581,   582,  1782,   583,   584,   585,   586,   587,
     588,   589,   590,  1783,  1784,   591,   592,   593,   594,   595,
    1785,  1786,   596,   597,   598,   599,   600,   601,   602,  1787,
     603,   604,   605,   606,   607,   608,  1788,  1789,   609,  1790,
    1791,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,  1713,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,  1714,   244,   245,
     246,  1715,  1716,  1717,  1718,  1719,  1720,  1721,   247,   248,
     249,  1722,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,  1723,   263,   264,   265,   266,
     267,   268,   269,  1724,  1725,   270,   271,   272,   273,   274,
    1726,   275,   276,   277,   278,   279,  1727,   280,  1728,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,  1729,
     291,   292,   293,   294,   295,   296,  1730,   297,   298,   299,
     300,  1731,  1732,  1733,   301,  1734,  1735,  1736,   302,   303,
     304,   305,   306,   307,   308,   309,   310,  1737,   311,  1738,
     312,   313,   314,   315,   316,   317,   318,  1739,   319,   320,
     321,   322,  1740,  1741,   323,   324,   325,   326,   327,  1742,
     328,   329,   330,  1743,   331,   332,   333,  1744,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,  1745,   344,
    1746,   345,   346,   347,   348,   349,  1747,   350,  1748,   351,
     352,   353,  1749,   354,   355,   356,   357,   358,  1750,   359,
     360,  1751,   361,   362,   363,  1752,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,  1753,   374,   375,   376,
     377,   378,   379,   380,   381,  1754,   382,   383,   384,   385,
     386,   387,   388,   389,   390,  1755,   391,  1756,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,  1757,  1758,   410,   411,
     412,   413,   414,  1759,   415,   416,   417,  1760,  1761,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
    1762,   449,   450,   451,   452,  1763,   453,   454,   455,   456,
     457,   458,  1764,   459,   460,  1765,  1766,   461,   462,   463,
    1767,  1768,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,  1769,
     481,   482,   483,   484,   485,   486,   487,   488,  1770,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,  1771,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,  1772,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,  1773,   536,
     537,   538,   539,   540,  1774,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,  1775,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,  1776,   566,   567,  1777,  1778,   568,   569,   570,   571,
     572,   573,   574,  1779,   575,   576,   577,  1780,  1781,   578,
     579,   580,   581,   582,  1782,   583,   584,   585,   586,   587,
     588,   589,   590,  1783,  1784,   591,   592,   593,   594,   595,
    1785,  1786,   596,   597,   598,   599,   600,   601,   602,  1787,
     603,   604,   605,   606,   607,   608,  1788,  1789,   609,  1790,
    1791,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,  1713,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,  3610,   241,   242,   243,  1714,   244,   245,
     246,  1715,  1716,  1717,  1718,  1719,  1720,  1721,   247,   248,
     249,  1722,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,  1723,   263,   264,   265,   266,
     267,   268,   269,  1724,  1725,   270,   271,   272,   273,   274,
    1726,   275,   276,   277,   278,   279,  1727,   280,  1728,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,  1729,
     291,   292,   293,   294,   295,   296,  1730,   297,   298,   299,
     300,  1731,  1732,  1733,   301,  1734,  1735,  1736,   302,   303,
     304,   305,   306,   307,   308,   309,   310,  1737,   311,  1738,
     312,   313,   314,   315,   316,   317,   318,  1739,   319,   320,
     321,   322,  1740,  1741,   323,   324,   325,  3611,   327,  1742,
     328,   329,   330,  1743,   331,   332,   333,  1744,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,  1745,   344,
    1746,   345,   346,   347,   348,   349,  1747,   350,  1748,   351,
     352,   353,  1749,   354,   355,   356,   357,   358,  1750,   359,
     360,  1751,   361,   362,   363,  1752,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,  1753,   374,   375,   376,
     377,   378,   379,   380,   381,  1754,   382,   383,   384,   385,
     386,   387,   388,   389,   390,  1755,   391,  1756,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,  1757,  1758,   410,   411,
     412,   413,   414,  1759,   415,   416,   417,  1760,  1761,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
    1762,   449,   450,   451,   452,  1763,   453,   454,   455,   456,
     457,   458,  1764,   459,   460,  1765,  1766,   461,   462,   463,
    1767,  1768,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,  1769,
     481,   482,   483,   484,   485,   486,   487,   488,  1770,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,  1771,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,  1772,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,  1773,   536,
     537,   538,   539,   540,  1774,  3612,   542,   543,   544,   545,
     546,   547,   548,   549,   550,  1775,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,  1776,   566,   567,  1777,  1778,   568,   569,   570,   571,
     572,   573,   574,  1779,   575,   576,   577,  1780,  1781,   578,
     579,   580,   581,   582,  1782,   583,   584,   585,   586,   587,
     588,   589,   590,  1783,  1784,   591,   592,   593,   594,   595,
    1785,  1786,   596,   597,   598,   599,   600,   601,   602,  1787,
     603,   604,   605,   606,   607,   608,  1788,  1789,   609,  1790,
    1791,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   234,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,  1260,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,  1263,     0,  1264,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,   297,   298,   299,
     300,  1265,  1266,  1267,  1268,  1269,  1270,  1271,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,  1276,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,   353,     0,   354,   355,   356,   357,   358,     0,   359,
    1279,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,   383,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,   393,
     394,   395,   396,  3411,  1285,  1286,  1287,  1288,  1289,  1290,
     404,   405,   406,   407,   408,   409,     0,     0,   410,  1291,
     412,   413,   414,     0,   415,   416,   417,  1292,  1293,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,  1296,   448,
       0,   449,   450,   451,   452,     0,  1299,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,   469,  1302,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,  1303,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,  1306,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,  1308,
     565,     0,   566,   567,  1309,     0,   568,   569,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,  1312,   581,  1313,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
    1316,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,   604,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,  1318,  1319,
    1320,  1321,   621,  1322,  1323,  1324,  1325,   626,   627,   628,
     629,   234,     0,  1250,   696,     0,  1251,  1252,     0,   757,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,  1256,   260,  1257,  1258,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,  1261,  1262,   274,
       0,   275,   276,   277,   278,   279,     0,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,   297,   298,   299,
     300,     0,     0,     0,   301,     0,     0,     0,   302,   303,
     304,   305,   306,   307,  1272,  1273,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   866,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,  1277,   344,
       0,   345,   346,   347,  1278,   349,     0,   350,     0,   351,
     352,   353,     0,   354,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,   383,   384,   385,
     386,   387,   388,  1281,  1282,     0,  1283,     0,   392,   393,
     394,   395,   396,  6191,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
     412,   413,   414,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,  1294,   437,  1295,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,   451,   452,  1298,   453,   454,  1300,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,  1304,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
     546,   547,   548,  1307,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,   569,   570,   571,
     572,   573,   574,     0,   575,  1310,  1311,     0,     0,   578,
     579,   580,   581,   582,  1314,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,  1317,     0,
     603,   604,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   946,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   985,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,   297,   298,   299,
     300,     0,     0,   947,   301,     0,     0,   948,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,   353,     0,   354,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,   383,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
     412,   413,   414,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,   451,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,   949,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,   569,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,   604,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   946,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,  1006,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,   297,   298,   299,
     300,     0,     0,   947,   301,     0,     0,   948,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,   353,     0,   354,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,   383,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
     412,   413,   414,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,  1007,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,   451,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,   949,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,   569,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,   604,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   946,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,   297,   298,   299,
     300,     0,     0,   947,   301,     0,     0,   948,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,   353,     0,   354,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,   383,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
     412,   413,   414,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,   451,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,   949,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,   569,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
    2948,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,   604,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   946,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,   297,   298,   299,
     300,     0,     0,   947,   301,     0,     0,   948,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,   353,     0,   354,   355,   356,   357,   358,     0,   359,
     360,  3962,   361,   362,   363,     0,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,   383,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
     412,   413,   414,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,   451,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,   949,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,   569,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,   604,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   946,     0,     0,   696,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,   297,   298,   299,
     300,     0,     0,     0,   301,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,  1802,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,   353,     0,   354,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,   383,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
     412,   413,   414,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,   451,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,  1803,     0,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,   569,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,  1804,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,   604,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   946,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,   297,   298,   299,
     300,     0,     0,   947,   301,     0,     0,   948,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,   353,     0,   354,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,   383,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
     412,   413,   414,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,   451,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,   949,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,   569,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,   604,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   946,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,   297,   298,   299,
     300,     0,     0,   947,   301,     0,     0,   948,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,   353,     0,   354,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,   383,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
     412,   413,   414,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,  1101,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,   451,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,   949,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,   569,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,   604,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   946,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,   297,   298,   299,
     300,     0,     0,   947,   301,     0,     0,   948,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,   353,     0,   354,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
    1143,   369,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,   383,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
     412,   413,   414,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,   451,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,   949,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,   569,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,   604,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   946,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,   297,   298,   299,
     300,     0,     0,   947,   301,     0,     0,   948,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,   353,     0,   354,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
    1156,   369,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,   383,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
     412,   413,   414,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,   451,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,   949,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,   569,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,   604,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   946,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,   297,   298,   299,
     300,     0,     0,   947,   301,     0,     0,   948,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,   353,     0,   354,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
    1168,   369,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,   383,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
     412,   413,   414,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,  1169,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,   451,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,   949,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,   569,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,   604,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   946,     0,     0,   696,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,   297,   298,   299,
     300,     0,     0,     0,   301,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,  2555,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,   353,     0,   354,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,   383,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
     412,   413,   414,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,   451,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,   569,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,   604,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   946,     0,     0,   696,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,   297,   298,   299,
     300,     0,     0,     0,   301,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,   353,     0,   354,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,   383,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
     412,   413,   414,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,   451,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,   569,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,   604,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   234,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,   297,   298,   299,
     300,     0,     0,     0,   301,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,   353,     0,   354,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,   383,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
     412,   413,   414,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,   451,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,   569,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,   604,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   234,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,   297,   298,   299,
     300,     0,     0,     0,   301,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,   353,     0,   354,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
    1127,   369,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,   383,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
     412,   413,   414,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,   451,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,   569,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,   604,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   234,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,   297,   298,   299,
     300,     0,     0,     0,   301,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,   353,     0,   354,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
    1140,   369,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,   383,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
     412,   413,   414,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,   451,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,   569,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,   604,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   234,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,   297,   298,   299,
     300,     0,     0,     0,   301,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,   353,     0,   354,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
    1154,   369,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,   383,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
     412,   413,   414,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,   451,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,   569,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,   604,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   234,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,   297,   298,   299,
     300,     0,     0,     0,   301,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,   353,     0,   354,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
    1158,   369,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,   383,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
     412,   413,   414,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,   451,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,   569,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,   604,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   946,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,   297,   298,   299,
     300,     0,     0,     0,   301,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,   353,     0,   354,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,   383,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
     412,   413,   414,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,   451,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,   569,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,   604,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
    2718,   275,   276,   277,   278,   279,     0,     0,  2788,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,  2719,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,  2789,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,  2721,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
    2790,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
    2722,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,  2723,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,  2724,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
    2718,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,  2719,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,  2789,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,  2721,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,  3825,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
    2722,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,  2723,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,  2724,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
    2718,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,  2719,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,  2789,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,  2721,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
    2722,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,  2723,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,  2724,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   776,   244,   777,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,   778,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,   809,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   779,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   780,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   776,   244,   777,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,   778,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,  3511,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   779,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   780,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   776,   244,   777,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,   778,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   779,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   780,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,  3024,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,  2854,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,   841,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,  2855,  2856,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,  1980,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,  1981,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,  1982,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,  1983,   351,
     352,     0,     0,     0,  1984,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,  1985,  1986,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,  1987,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,  1988,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,  1989,   524,   525,   526,   527,
     528,   529,  1990,   531,   532,   533,   534,   535,     0,  1991,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,  1992,   568,     0,  1993,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,  1994,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   777,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,   778,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   779,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   780,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,  2854,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,   841,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,  2855,  2856,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   999,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
    1000,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,   841,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,  3591,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
    3592,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,  3604,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
    3605,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   638,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   687,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   688,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   801,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   802,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   803,   577,     0,     0,   804,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   835,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   836,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   837,   577,     0,     0,   838,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,   841,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
     901,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   956,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     957,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,  1119,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,  1365,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,  1376,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   821,   271,   272,   273,  1377,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   824,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   825,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   826,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,  1369,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   828,   577,     0,     0,   829,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   830,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
    1522,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,   841,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,  1583,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
    1584,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   801,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,  3360,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,  3361,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,  3362,   568,     0,   570,  3363,
     572,  3364,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,  3365,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,   696,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,   757,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,  4175,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,  4189,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,  4847,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,  4920,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,  5273,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   793,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     799,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   821,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     822,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   823,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   824,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   825,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   826,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   827,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   828,   577,     0,     0,   829,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   830,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   853,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     981,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     991,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     994,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
    1010,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
    1067,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
    1072,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
    1089,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
    1092,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
    1094,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
    1132,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
    1160,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
    1162,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
    1172,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
    1175,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
    1178,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   821,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   824,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   825,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   826,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,  1369,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   828,   577,     0,     0,   829,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   830,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
    1845,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
    1879,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
    1881,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
    1921,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
    1923,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
    1925,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
    2019,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,  2671,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,     0,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   821,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   824,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   825,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   826,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,  1369,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,  2705,   571,
     572,   573,   574,     0,   575,   828,   577,     0,     0,   829,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   830,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   821,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   824,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   825,   521,   522,   523,   524,   525,   526,   527,
     528,   529,  2771,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,  2772,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   828,   577,     0,     0,  2773,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   830,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   821,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   824,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   825,   521,   522,   523,   524,   525,   526,   527,
     528,   529,  2851,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,  2772,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   828,   577,     0,     0,  2773,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   830,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   821,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   824,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   825,   521,   522,   523,   524,   525,   526,   527,
     528,   529,  2875,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,  2772,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   828,   577,     0,     0,  2773,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   830,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
    3069,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
    3073,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
    3131,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
    3523,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   821,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   824,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   825,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   826,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,  2772,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   828,   577,     0,     0,  2773,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   830,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
    3580,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
    3594,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
    3596,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
    3744,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,  3786,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
    5033,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,     0,   363,     0,   364,   365,   366,   367,
     368,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,     0,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,     0,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,     0,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   858,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
       0,   859,   260,   860,   861,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   862,   863,   274,
       0,   275,   276,   277,   278,     0,     0,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,   297,   298,   299,
     300,     0,     0,     0,   301,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   864,   865,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   866,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,     0,   339,   340,   341,   342,     0,     0,   344,
       0,   345,   346,   347,   867,   349,     0,   350,     0,   351,
     352,   353,     0,   354,   355,   356,   357,   358,     0,   359,
       0,     0,     0,   362,   363,     0,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,  2679,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,   383,  2680,   385,
     386,   387,   388,   868,   869,     0,   870,     0,   392,   393,
     394,   395,   396,   871,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,     0,     0,   410,     0,
     412,   413,   414,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   872,   437,   873,
     439,   440,   441,   442,   443,   444,   445,     0,     0,   448,
       0,   449,   450,   451,   452,     0,     0,   454,   874,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,  2682,   467,   468,   469,     0,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,     0,   484,     0,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   875,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,   519,   520,   521,   522,   523,   524,     0,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,  2683,   544,   545,
     546,   547,   548,   877,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,     0,
     565,     0,   566,   567,     0,     0,   568,   569,   570,   571,
     572,   573,   574,     0,   575,   878,   879,     0,     0,   578,
     579,     0,   581,     0,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,     0,   880,  2684,
     603,   604,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   858,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   627,   628,
     629,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,     0,   859,   260,   860,
     861,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   862,   863,   274,     0,   275,   276,   277,
     278,     0,     0,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,     0,   291,   292,   293,   294,
     295,   296,     0,   297,   298,   299,   300,     0,     0,     0,
     301,     0,     0,     0,   302,   303,   304,   305,   306,   307,
     864,   865,   310,     0,   311,     0,   312,   313,   314,   315,
     316,   317,   318,     0,   319,   320,   321,   322,     0,     0,
     323,   324,   866,   326,   327,     0,   328,   329,   330,     0,
     331,   332,   333,     0,   334,   335,   336,   337,     0,   339,
     340,   341,   342,     0,     0,   344,     0,   345,   346,   347,
     867,   349,     0,   350,     0,   351,   352,   353,     0,   354,
     355,   356,   357,   358,     0,   359,     0,     0,     0,   362,
     363,     0,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382,   383,     0,   385,   386,   387,   388,   868,
     869,     0,   870,     0,   392,   393,   394,   395,   396,   871,
       0,     0,     0,     0,     0,     0,   404,   405,   406,   407,
     408,   409,     0,     0,   410,     0,   412,   413,   414,     0,
     415,   416,   417,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   872,   437,   873,   439,   440,   441,   442,
     443,   444,   445,     0,     0,   448,     0,   449,   450,   451,
     452,  2767,     0,   454,   874,   456,   457,   458,     0,   459,
     460,     0,     0,   461,   462,   463,     0,     0,   464,   465,
       0,   467,   468,   469,     0,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,     0,   481,   482,     0,   484,
       0,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   875,   500,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,     0,   517,   518,   519,   520,   521,
     522,   523,   524,     0,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,     0,   536,   537,   538,   539,   540,
       0,   541,   542,  2683,   544,   545,   546,   547,   548,   877,
     550,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,     0,   565,     0,   566,   567,
       0,  4555,   568,   569,   570,   571,   572,   573,   574,     0,
     575,   878,   879,     0,     0,   578,   579,     0,   581,     0,
       0,   583,   584,   585,   586,   587,   588,   589,   590,     0,
       0,   591,   592,   593,   594,   595,     0,     0,   596,   597,
     598,   599,   600,     0,   880,     0,   603,   604,   605,   606,
     607,   608,     0,     0,   609,     0,     0,   610,   611,   612,
     613,   614,   615,   858,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   627,   628,   629,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,     0,   859,   260,   860,   861,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   862,
     863,   274,     0,   275,   276,   277,   278,     0,     0,   280,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,     0,   291,   292,   293,   294,   295,   296,     0,   297,
     298,   299,   300,     0,     0,     0,   301,     0,     0,     0,
     302,   303,   304,   305,   306,   307,   864,   865,   310,     0,
     311,     0,   312,   313,   314,   315,   316,   317,   318,     0,
     319,   320,   321,   322,     0,     0,   323,   324,   866,   326,
     327,     0,   328,   329,   330,     0,   331,   332,   333,     0,
     334,   335,   336,   337,     0,   339,   340,   341,   342,     0,
       0,   344,     0,   345,   346,   347,   867,   349,     0,   350,
       0,   351,   352,   353,     0,   354,   355,   356,   357,   358,
       0,   359,     0,     0,     0,   362,   363,     0,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,     0,   374,
     375,   376,   377,   378,   379,   380,   381,     0,   382,   383,
       0,   385,   386,   387,   388,   868,   869,     0,   870,     0,
     392,   393,   394,   395,   396,   871,     0,     0,     0,     0,
       0,     0,   404,   405,   406,   407,   408,   409,     0,     0,
     410,     0,   412,   413,   414,     0,   415,   416,   417,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   872,
     437,   873,   439,   440,   441,   442,   443,   444,   445,  2841,
       0,   448,     0,   449,   450,   451,   452,     0,     0,   454,
     874,   456,   457,   458,     0,   459,   460,     0,     0,   461,
     462,   463,     0,     0,   464,   465,     0,   467,   468,   469,
       0,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,     0,   481,   482,     0,   484,     0,   486,   487,   488,
       0,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   875,   500,   501,   502,   503,     0,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
       0,   517,   518,   519,   520,   521,   522,   523,   524,     0,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
       0,   536,   537,   538,   539,   540,     0,   541,   542,   876,
     544,   545,   546,   547,   548,   877,   550,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,     0,   565,     0,   566,   567,     0,     0,   568,   569,
     570,   571,   572,   573,   574,     0,   575,   878,   879,     0,
       0,   578,   579,     0,   581,     0,     0,   583,   584,   585,
     586,   587,   588,   589,   590,     0,     0,   591,   592,   593,
     594,   595,     0,     0,   596,   597,   598,   599,   600,     0,
     880,     0,   603,   604,   605,   606,   607,   608,     0,     0,
     609,     0,     0,   610,   611,   612,   613,   614,   615,   858,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     627,   628,   629,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,     0,   859,
     260,   860,   861,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   862,   863,   274,     0,   275,
     276,   277,   278,     0,     0,   280,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,     0,   291,   292,
     293,   294,   295,   296,     0,   297,   298,   299,   300,     0,
       0,     0,   301,     0,     0,     0,   302,   303,   304,   305,
     306,   307,   864,   865,   310,     0,   311,     0,   312,   313,
     314,   315,   316,   317,   318,     0,   319,   320,   321,   322,
       0,     0,   323,   324,   866,   326,   327,     0,   328,   329,
     330,     0,   331,   332,   333,     0,   334,   335,   336,   337,
       0,   339,   340,   341,   342,     0,     0,   344,     0,   345,
     346,   347,   867,   349,     0,   350,     0,   351,   352,   353,
       0,   354,   355,   356,   357,   358,     0,   359,     0,     0,
       0,   362,   363,     0,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,     0,   374,   375,   376,   377,   378,
     379,   380,   381,     0,   382,   383,     0,   385,   386,   387,
     388,   868,   869,     0,   870,     0,   392,   393,   394,   395,
     396,   871,     0,     0,     0,     0,     0,     0,   404,   405,
     406,   407,   408,   409,     0,     0,   410,     0,   412,   413,
     414,     0,   415,   416,   417,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   872,   437,   873,   439,   440,
     441,   442,   443,   444,   445,  4351,     0,   448,     0,   449,
     450,   451,   452,     0,     0,   454,   874,   456,   457,   458,
       0,   459,   460,     0,     0,   461,   462,   463,     0,     0,
     464,   465,     0,   467,   468,   469,     0,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,     0,   481,   482,
       0,   484,     0,   486,   487,   488,     0,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   875,   500,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,     0,   517,   518,   519,
     520,   521,   522,   523,   524,     0,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,     0,   536,   537,   538,
     539,   540,     0,   541,   542,   876,   544,   545,   546,   547,
     548,   877,   550,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,     0,   565,     0,
     566,   567,     0,     0,   568,   569,   570,   571,   572,   573,
     574,     0,   575,   878,   879,     0,     0,   578,   579,     0,
     581,     0,     0,   583,   584,   585,   586,   587,   588,   589,
     590,     0,     0,   591,   592,   593,   594,   595,     0,     0,
     596,   597,   598,   599,   600,     0,   880,     0,   603,   604,
     605,   606,   607,   608,     0,     0,   609,     0,     0,   610,
     611,   612,   613,   614,   615,   858,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   627,   628,   629,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,     0,   859,   260,   860,   861,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   862,   863,   274,     0,   275,   276,   277,   278,     0,
       0,   280,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,     0,   291,   292,   293,   294,   295,   296,
       0,   297,   298,   299,   300,     0,     0,     0,   301,     0,
       0,     0,   302,   303,   304,   305,   306,   307,   864,   865,
     310,     0,   311,     0,   312,   313,   314,   315,   316,   317,
     318,     0,   319,   320,   321,   322,     0,     0,   323,   324,
     866,   326,   327,     0,   328,   329,   330,     0,   331,   332,
     333,     0,   334,   335,   336,   337,     0,   339,   340,   341,
     342,     0,     0,   344,     0,   345,   346,   347,   867,   349,
    5886,   350,     0,   351,   352,   353,     0,   354,   355,   356,
     357,   358,     0,   359,     0,     0,     0,   362,   363,     0,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
       0,   374,   375,   376,   377,   378,   379,   380,   381,     0,
     382,   383,     0,   385,   386,   387,   388,   868,   869,     0,
     870,     0,   392,   393,   394,   395,   396,   871,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
       0,     0,   410,     0,   412,   413,   414,     0,   415,   416,
     417,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   872,   437,   873,   439,   440,   441,   442,   443,   444,
     445,     0,     0,   448,     0,   449,   450,   451,   452,     0,
       0,   454,   874,   456,   457,   458,     0,   459,   460,     0,
       0,   461,   462,   463,     0,     0,   464,   465,     0,   467,
     468,   469,     0,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,     0,   481,   482,     0,   484,     0,   486,
     487,   488,     0,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   875,   500,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,     0,   517,   518,   519,   520,   521,   522,   523,
     524,     0,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,     0,   536,   537,   538,   539,   540,     0,   541,
     542,   876,   544,   545,   546,   547,   548,   877,   550,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,     0,   565,     0,   566,   567,     0,     0,
     568,   569,   570,   571,   572,   573,   574,     0,   575,   878,
     879,     0,     0,   578,   579,     0,   581,     0,     0,   583,
     584,   585,   586,   587,   588,   589,   590,     0,     0,   591,
     592,   593,   594,   595,     0,     0,   596,   597,   598,   599,
     600,     0,   880,     0,   603,   604,   605,   606,   607,   608,
       0,     0,   609,     0,     0,   610,   611,   612,   613,   614,
     615,   858,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   627,   628,   629,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
       0,   859,   260,   860,   861,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   862,   863,   274,
       0,   275,   276,   277,   278,     0,     0,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,   297,   298,   299,
     300,     0,     0,     0,   301,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   864,   865,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   866,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,     0,   339,   340,   341,   342,     0,     0,   344,
       0,   345,   346,   347,   867,   349,     0,   350,     0,   351,
     352,   353,     0,   354,   355,   356,   357,   358,     0,   359,
       0,     0,     0,   362,   363,     0,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,   383,     0,   385,
     386,   387,   388,   868,   869,     0,   870,     0,   392,   393,
     394,   395,   396,   871,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,     0,     0,   410,     0,
     412,   413,   414,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   872,   437,   873,
     439,   440,   441,   442,   443,   444,   445,     0,     0,   448,
       0,   449,   450,   451,   452,     0,     0,   454,   874,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,     0,   467,   468,   469,     0,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,     0,   484,     0,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   875,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,   519,   520,   521,   522,   523,   524,     0,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   876,   544,   545,
     546,   547,   548,   877,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,     0,
     565,     0,   566,   567,     0,     0,   568,   569,   570,   571,
     572,   573,   574,     0,   575,   878,   879,     0,     0,   578,
     579,     0,   581,     0,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,     0,   880,     0,
     603,   604,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   858,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   627,   628,
     629,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,     0,   859,   260,   860,
     861,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   862,   863,   274,     0,   275,   276,   277,
     278,     0,     0,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,     0,   291,   292,   293,   294,
     295,   296,     0,   297,   298,   299,   300,     0,     0,     0,
     301,     0,     0,     0,   302,   303,   304,   305,   306,   307,
     864,   865,   310,     0,   311,     0,   312,   313,   314,   315,
     316,   317,   318,     0,   319,   320,   321,   322,     0,     0,
     323,   324,   866,   326,   327,     0,   328,   329,   330,     0,
     331,   332,   333,     0,   334,   335,   336,   337,     0,   339,
     340,   341,   342,     0,     0,   344,     0,   345,   346,   347,
     867,   349,     0,   350,     0,   351,   352,   353,     0,   354,
     355,   356,   357,   358,     0,   359,     0,     0,     0,   362,
     363,     0,   364,   365,   366,   367,  1134,   369,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382,   383,     0,   385,   386,   387,   388,   868,
     869,     0,   870,     0,   392,   393,   394,   395,   396,   871,
       0,     0,     0,     0,     0,     0,   404,   405,   406,   407,
     408,   409,     0,     0,   410,     0,   412,   413,   414,     0,
     415,   416,   417,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   872,   437,   873,   439,   440,   441,   442,
     443,   444,   445,     0,     0,   448,     0,   449,   450,   451,
     452,     0,     0,   454,   874,   456,   457,   458,     0,   459,
     460,     0,     0,   461,   462,   463,     0,     0,   464,   465,
       0,   467,   468,   469,     0,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,     0,   481,   482,     0,   484,
       0,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   875,   500,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,     0,   517,   518,   519,   520,   521,
     522,   523,   524,     0,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,     0,   536,   537,   538,   539,   540,
       0,   541,   542,   876,   544,   545,   546,   547,   548,   877,
     550,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,     0,   565,     0,   566,   567,
       0,     0,   568,   569,   570,   571,   572,   573,   574,     0,
     575,   878,   879,     0,     0,   578,   579,     0,   581,     0,
       0,   583,   584,   585,   586,   587,   588,   589,   590,     0,
       0,   591,   592,   593,   594,   595,     0,     0,   596,   597,
     598,   599,   600,     0,   880,     0,   603,   604,   605,   606,
     607,   608,     0,     0,   609,     0,     0,   610,   611,   612,
     613,   614,   615,   858,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   627,   628,   629,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,     0,   859,   260,   860,   861,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   862,
     863,   274,     0,   275,   276,   277,   278,     0,     0,   280,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,     0,   291,   292,   293,   294,   295,   296,     0,   297,
     298,   299,   300,     0,     0,     0,   301,     0,     0,     0,
     302,   303,   304,   305,   306,   307,   864,   865,   310,     0,
     311,     0,   312,   313,   314,   315,   316,   317,   318,     0,
     319,   320,   321,   322,     0,     0,   323,   324,   866,   326,
     327,     0,   328,   329,   330,     0,   331,   332,   333,     0,
     334,   335,   336,   337,     0,   339,   340,   341,   342,     0,
       0,   344,     0,   345,   346,   347,   867,   349,     0,   350,
       0,   351,   352,   353,     0,   354,   355,   356,   357,   358,
       0,   359,     0,     0,     0,   362,   363,     0,   364,   365,
     366,   367,  1166,   369,   370,   371,   372,   373,     0,   374,
     375,   376,   377,   378,   379,   380,   381,     0,   382,   383,
       0,   385,   386,   387,   388,   868,   869,     0,   870,     0,
     392,   393,   394,   395,   396,   871,     0,     0,     0,     0,
       0,     0,   404,   405,   406,   407,   408,   409,     0,     0,
     410,     0,   412,   413,   414,     0,   415,   416,   417,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   872,
     437,   873,   439,   440,   441,   442,   443,   444,   445,     0,
       0,   448,     0,   449,   450,   451,   452,     0,     0,   454,
     874,   456,   457,   458,     0,   459,   460,     0,     0,   461,
     462,   463,     0,     0,   464,   465,     0,   467,   468,   469,
       0,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,     0,   481,   482,     0,   484,     0,   486,   487,   488,
       0,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   875,   500,   501,   502,   503,     0,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
       0,   517,   518,   519,   520,   521,   522,   523,   524,     0,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
       0,   536,   537,   538,   539,   540,     0,   541,   542,   876,
     544,   545,   546,   547,   548,   877,   550,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,     0,   565,     0,   566,   567,     0,     0,   568,   569,
     570,   571,   572,   573,   574,     0,   575,   878,   879,     0,
       0,   578,   579,     0,   581,     0,     0,   583,   584,   585,
     586,   587,   588,   589,   590,     0,     0,   591,   592,   593,
     594,   595,     0,     0,   596,   597,   598,   599,   600,     0,
     880,     0,   603,   604,   605,   606,   607,   608,     0,     0,
     609,     0,     0,   610,   611,   612,   613,   614,   615,   858,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     627,   628,   629,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,     0,   859,
     260,   860,   861,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   862,   863,   274,     0,   275,
     276,   277,   278,     0,     0,   280,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,     0,   291,   292,
     293,   294,   295,   296,     0,   297,   298,   299,   300,     0,
       0,     0,   301,     0,     0,     0,   302,   303,   304,   305,
     306,   307,   864,   865,   310,     0,   311,     0,   312,   313,
     314,   315,   316,   317,   318,     0,   319,   320,   321,   322,
       0,     0,   323,   324,   866,   326,   327,     0,   328,   329,
     330,     0,   331,   332,   333,     0,   334,   335,   336,   337,
       0,   339,   340,   341,   342,     0,     0,   344,     0,   345,
     346,   347,   867,   349,     0,   350,     0,   351,   352,   353,
       0,   354,   355,   356,   357,   358,     0,   359,     0,     0,
       0,   362,   363,     0,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,     0,   374,   375,   376,   377,   378,
     379,   380,   381,     0,   382,   383,     0,   385,   386,   387,
     388,   868,   869,     0,   870,     0,   392,   393,   394,   395,
     396,   871,     0,     0,     0,     0,     0,     0,   404,   405,
     406,   407,   408,   409,     0,     0,   410,     0,   412,   413,
     414,     0,   415,   416,   417,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   872,   437,   873,   439,   440,
     441,   442,   443,   444,   445,     0,     0,   448,     0,   449,
     450,   451,   452,     0,     0,   454,   874,   456,   457,   458,
       0,   459,   460,     0,     0,   461,   462,   463,     0,     0,
     464,   465,     0,   467,   468,   469,     0,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,     0,   481,   482,
       0,   484,     0,   486,   487,   488,     0,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   875,   500,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,     0,   517,   518,   519,
     520,   521,   522,   523,   524,     0,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,     0,   536,   537,   538,
     539,   540,     0,   541,   542,  2683,   544,   545,   546,   547,
     548,   877,   550,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,     0,   565,     0,
     566,   567,     0,     0,   568,   569,   570,   571,   572,   573,
     574,     0,   575,   878,   879,     0,     0,   578,   579,     0,
     581,     0,     0,   583,   584,   585,   586,   587,   588,   589,
     590,     0,     0,   591,   592,   593,   594,   595,     0,     0,
     596,   597,   598,   599,   600,     0,   880,     0,   603,   604,
     605,   606,   607,   608,     0,     0,   609,     0,     0,   610,
     611,   612,   613,   614,   615,   858,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   627,   628,   629,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,     0,   859,   260,   860,   861,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   862,   863,   274,     0,   275,   276,   277,   278,     0,
       0,   280,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,     0,   291,   292,   293,   294,   295,   296,
       0,   297,   298,   299,   300,     0,     0,     0,   301,     0,
       0,     0,   302,   303,   304,   305,   306,   307,   864,   865,
     310,     0,   311,     0,   312,   313,   314,   315,   316,   317,
     318,     0,   319,   320,   321,   322,     0,     0,   323,   324,
     866,   326,   327,     0,   328,   329,   330,     0,   331,   332,
     333,     0,   334,   335,   336,   337,     0,   339,   340,   341,
     342,     0,     0,   344,     0,   345,   346,   347,   867,   349,
       0,   350,     0,   351,   352,   353,     0,   354,   355,   356,
     357,   358,     0,   359,     0,     0,     0,   362,   363,     0,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
       0,   374,   375,   376,   377,   378,   379,   380,   381,     0,
     382,   383,     0,   385,   386,   387,   388,   868,   869,     0,
     870,     0,   392,   393,   394,   395,   396,   871,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
       0,     0,   410,     0,   412,   413,   414,     0,   415,   416,
     417,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   872,   437,   873,   439,   440,   441,   442,   443,   444,
     445,     0,     0,   448,     0,   449,   450,   451,   452,     0,
       0,   454,   874,   456,   457,   458,     0,   459,   460,     0,
       0,   461,   462,   463,     0,     0,   464,   465,     0,   467,
     468,   469,     0,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,     0,   481,   482,     0,   484,     0,   486,
     487,   488,     0,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   875,   500,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,     0,   517,   518,   519,   520,   521,   522,   523,
     524,     0,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,     0,   536,   537,   538,   539,   540,     0,   541,
     542,     0,   544,   545,   546,   547,   548,   877,   550,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,     0,   565,     0,   566,   567,     0,     0,
     568,   569,   570,   571,   572,   573,   574,     0,   575,   878,
     879,     0,     0,   578,   579,     0,   581,     0,     0,   583,
     584,   585,   586,   587,   588,   589,   590,     0,     0,   591,
     592,   593,   594,   595,     0,     0,   596,   597,   598,   599,
     600,     0,   880,     0,   603,   604,   605,   606,   607,   608,
       0,     0,   609,     0,     0,   610,   611,   612,   613,   614,
     615,   858,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   627,   628,   629,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
       0,     0,   260,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,     0,     0,   274,
       0,   275,   276,   277,   278,     0,     0,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,   297,   298,   299,
     300,     0,     0,     0,   301,     0,     0,     0,   302,   303,
     304,   305,   306,   307,     0,     0,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,     0,   339,   340,   341,   342,     0,     0,   344,
       0,   345,   346,   347,     0,   349,     0,   350,     0,   351,
     352,   353,     0,   354,   355,   356,   357,   358,     0,   359,
       0,     0,     0,   362,   363,     0,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,   383,     0,   385,
     386,   387,   388,     0,     0,     0,     0,     0,   392,   393,
     394,   395,   396,     0,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,     0,     0,   410,     0,
     412,   413,   414,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   437,     0,
     439,   440,   441,   442,   443,   444,   445,     0,     0,   448,
       0,   449,   450,   451,   452,     0,     0,   454,     0,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,     0,   467,   468,   469,     0,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,     0,   484,     0,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,     0,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,   519,   520,   521,   522,   523,   524,     0,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,     0,   544,   545,
     546,   547,   548,     0,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,     0,
     565,     0,   566,   567,     0,     0,   568,   569,   570,   571,
     572,   573,   574,     0,   575,     0,     0,     0,     0,   578,
     579,     0,   581,     0,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,     0,     0,     0,
     603,   604,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   627,   628,
     629
};

static const yytype_int16 yycheck[] =
{
       6,     0,     0,     0,    56,     0,   211,     0,     0,     0,
       0,     0,     0,   206,     0,     0,     0,     0,     0,     0,
     665,   214,   211,    21,   217,   921,   822,  1029,     0,   992,
      21,     0,     0,  1146,  1022,    22,    36,   778,   779,   780,
      45,    28,     8,   784,  1020,    51,   819,   189,  1508,    15,
     959,   876,  1207,  1009,  1570,  1635,  1018,  1024,   720,  2724,
     993,   644,  1480,   895,   915,  1554,   917,  2665,  1254,  2666,
    1547,   812,   734,  3369,   846,  3371,  2017,   864,   865,  1241,
    1095,   829,  2913,   845,  3017,  1559,  3192,   874,   879,   742,
    1875,  2687,  2688,   216,  1554,   197,    44,  3462,  3082,   697,
    3584,   933,  2006,  3860,  3557,  3664,  3887,   230,  1226,  1703,
      23,  2043,  1230,  1069,   697,  1233,  1234,  1073,  3909,  3029,
    1029,  4203,  1078,    36,  1600,  1601,  2025,  2935,  1604,  1547,
     646,  3415,  1088,  3610,  3472,  3612,  2042,  3876,   958,   992,
    2040,  2041,  4250,  3421,  2078,  2045,  1102,  4246,  1001,   191,
     718,  3812,  4750,   721,  1670,  1671,     6,  1459,  1011,  1537,
     175,   744,  1947,   983,   191,   743,  1437,  1888,   988,     2,
    4520,  4531,   733,  4488,  5071,  4526,  4329,  1133,  5229,  4543,
    3436,  5362,   944,  4766,  5251,  4768,  3470,  5063,    35,  2545,
    1664,   197,  3328,  2549,  3025,    42,  2054,    50,  2650,  3235,
     206,   207,  2623,  3482,  5014,  4815,  2652,  5271,   214,  3323,
     216,   217,  5058,  5398,   797,  4530,  2582,  1691,  3874,  1597,
    3420,  4225,  3422,    41,   230,   918,     0,   825,   918,  1520,
       0,    11,   942,  5410,     6,     0,  1614,     0,  2982,  5646,
    2984,  2985,   825,    15,    16,  2989,  2990,  2991,     6,  2993,
    2994,  2995,  5062,  5317,     6,     5,  1084,     6,     6,  5630,
      15,    11,    21,  2629,    94,    63,  2623,   850,    25,    54,
      47,  1033,  1100,   983,    38,    63,     6,   225,   988,    23,
       6,     0,    21,    25,    13,    15,    16,    47,     6,    15,
      16,  2012,    11,    47,   168,     6,   174,   119,     6,     6,
      78,     6,     6,   862,   863,   174,     6,    52,  3044,     6,
      29,    80,   191,  4692,   873,   112,     0,    32,    80,   175,
       0,     6,  1063,    13,   168,  5324,  5325,    11,   112,   912,
      43,   160,    63,   174,     6,     3,    63,    80,    63,    85,
       6,    21,   146,     6,   186,    29,  4621,  4622,  4623,     6,
    4625,  4626,  4627,  4628,  4629,    45,    32,   174,     5,   852,
      35,   119,   738,    21,    11,  1601,    11,   174,  1604,    11,
     152,   176,     3,    29,     5,     6,    56,    63,  1854,    43,
      11,   292,   139,    76,   203,    63,   174,   297,    78,    63,
     124,  4544,   313,   318,   318,   190,   185,   139,    27,   298,
     174,   332,   168,   298,   174,   139,   112,   318,   152,   174,
     248,   174,    63,    30,   337,   183,   174,   388,   369,  1381,
     134,    50,   136,    63,   198,   134,  1393,  5834,   198,  5275,
     387,   352,  1085,   198,  1449,   198,   278,   165,   162,    39,
     344,   162,    29,   387,   168,   364,  1029,   135,   193,  1437,
      98,   119,   429,   198,  5825,   174,  2871,    87,   469,    13,
     665,   312,    29,  5648,   352,    13,   387,   262,   124,   119,
    1379,   300,   174,     6,  1441,  1384,  1385,   119,    13,   198,
    5544,   352,     6,   369,   207,  1272,  1273,   313,   119,    29,
     174,  1153,   357,   216,   299,   121,    36,    45,    29,   244,
    1598,  4851,     6,    80,    80,    36,   516,   230,   519,   519,
     715,   191,    29,  1300,   198,    91,   387,  1615,   168,    36,
    1311,   245,   387,  5399,   245,   213,   352,   357,   287,   129,
      78,   417,   180,   452,   164,   339,   387,  2952,    80,   174,
     663,   429,   519,    80,   515,   273,   669,   134,   287,    91,
     339,    80,  1214,   174,    91,    80,   313,   213,   681,    91,
     358,   465,   519,  1225,   515,    91,   174,   134,   282,  1331,
     294,  5978,   278,   282,    13,   519,   141,   472,   477,   181,
    1242,   370,  1549,   378,   515,   214,   374,   218,   354,   427,
     515,   515,   515,   327,   515,   352,   364,   214,   417,  1361,
     384,   406,   295,   181,   515,   515,    45,   436,   390,  1187,
    5359,   181,   429,  1500,   282,   457,  1525,   248,  1854,   287,
     417,   287,   429,  3044,   287,   369,  1535,   358,   472,   287,
     387,   358,    37,   358,  5217,    10,   515,   515,   644,    78,
     355,   515,    17,    18,    19,   387,   390,   392,  5833,  1247,
     519,  1438,   650,   650,   369,   650,   371,   663,   650,   515,
     429,  6068,   650,   669,  1247,    23,   650,   429,  4329,   429,
    1523,   429,   358,   197,  1630,   681,   464,  1633,   519,   355,
     358,   458,   206,   505,   358,   119,   429,  3044,  1181,   519,
     214,   697,   744,   217,  4355,  6066,   702,   443,   458,   456,
     413,   707,  1261,  1262,   458,   711,   712,   358,  1641,   451,
     462,   515,   718,  1622,   720,   721,  1625,  1626,   358,   434,
       3,   519,   472,     6,   380,  1701,  1702,   733,   734,  6136,
     515,  2022,  1585,   748,   514,   513,  1295,  1699,   744,   517,
    2042,  2043,  4499,   515,   518,   743,   496,   505,   518,   413,
     505,   515,  2054,   518,   429,   518,   506,   507,   513,   517,
     519,  2063,   517,   515,  5640,  1585,   515,   515,  4252,  6176,
    4254,   758,  5771,   760,  1467,   762,  1604,  1467,  1376,   921,
     519,   768,   511,  4540,  5969,   515,  5165,   506,   507,   515,
    4794,   797,   519,  1376,   519,   451,  1621,   515,  5644,   518,
    4539,  1384,  1385,  4362,   515,  5982,   772,   515,   515,  4368,
     515,   515,  1708,   819,   820,   515,  5997,   519,   515,   825,
    1975,   511,   506,   507,   496,   497,  1654,  1655,   513,   455,
     515,   114,   517,   519,   518,  1545,  1949,  1330,  1043,   496,
     497,   519,   790,   515,   850,   519,   852,  1040,  1836,  5913,
    5125,  1044,   429,  1046,  1043,  1414,  1415,   397,   515,   506,
     507,   506,   507,  5927,   506,   507,   397,   909,   519,  1982,
     876,   404,   405,  3704,  3705,   506,   507,   311,  3709,   519,
     397,  1994,   909,  4544,   519,  6070,   291,   429,  1598,  3485,
    4168,  3487,   429,   899,   515,  4179,   254,   429,   846,  4183,
     429,  4037,  4038,   468,   429,  1615,   912,   190,   434,  1818,
    5520,   519,   911,   911,   911,  1408,   911,   519,   911,   911,
     911,   911,   911,   911,   299,   911,   911,   911,   911,   911,
     911,  4045,  1034,    25,  4590,  5832,   935,  3847,    23,   911,
     663,   519,   911,   911,   112,    29,   669,  1592,   121,   519,
    6135,  1838,   198,  5829,   508,   509,   510,   511,   681,  4238,
     508,   509,   510,   511,    51,  4449,   174,  4167,   373,  4169,
     650,   506,   507,   508,   509,   510,   511,  6041,   926,   262,
       6,  1474,   265,   112,  4120,  4021,     3,     6,   124,  3441,
     181,  3412,  5741,   941,  3415,  4448,  3442,  5746,  5747,    88,
     853,   153,  5812,    10,  1520,   823,    13,  6074,  6075,   827,
      17,    18,    19,  3844,  1020,  1021,  1022,  3383,  5828,   119,
    5349,   374,   126,  1029,   278,   459,  1402,  1855,  1034,   219,
    6211,   300,  5382,  1039,  1040,    23,   298,   152,  1044,    23,
    1046,  3462,   131,    23,  1050,   124,  3790,   139,   124,  3470,
     223,  3559,    21,   458,   278,  3412,   135,  2024,  3415,   121,
    1066,  5900,   420,   743,   744,   374,  2042,   506,   507,   508,
     509,   510,   511,    90,  5389,   175,   174,   213,   289,   124,
     162,   515,  5979,    88,   186,   176,    23,   167,   387,   123,
     176,   449,    23,   123,  5970,   378,   114,   286,   369,  4355,
     198,  5868,   312,   149,  1110,  3462,  1112,  1113,  2075,   282,
     371,  6178,   124,  3470,  2102,   374,   474,  3473,   303,   313,
     186,   297,  4575,   179,  5707,     6,   131,   144,   503,   504,
     505,   506,   507,   508,   509,   510,   511,    72,  5291,  5247,
     356,   119,   453,  1884,   403,    10,  4511,  1153,    13,  6200,
     997,   998,    17,    18,    19,   303,    91,   515,   352,   760,
     761,   762,   515,   245,   765,   766,   767,   340,   213,   254,
      35,   387,   190,   434,   775,  1181,   278,   387,   702,  6076,
     451,   297,    68,   283,   262,    63,   220,   711,   205,  1187,
     220,   198,   248,   387,   718,  1991,  1992,   721,  6249,   245,
     175,   213,   258,   457,   515,   394,   515,   490,  1214,   301,
     472,   313,   294,   299,   221,   150,  3812,  1223,  1801,  1225,
     519,   429,    42,   124,  1190,   287,  1192,   316,  1194,   909,
    1196,   911,  1198,  1199,  1200,   170,  1242,  6134,   322,  1205,
    5527,  1247,   453,   334,   262,   325,   515,   265,  6145,   417,
     352,    10,  5612,  1259,    13,   298,   283,  1919,    17,    18,
      19,   287,    23,  5592,   356,   357,   254,   491,   287,  2687,
     254,  1933,   359,   519,   254,   390,    35,  5627,  1330,  5060,
    6177,   472,  5642,  2757,  1946,  1118,  5636,  5638,   417,   374,
    5047,  1297,   299,  5084,  5658,   387,  5611,   505,   382,  2788,
     378,   437,    23,   320,   282,    23,  3902,  3028,  6205,   517,
    2072,   316,   213,  3821,  5053,   451,   468,   254,   287,   113,
    1326,  1327,  1328,   254,  1330,  4809,  5641,  6166,   519,   519,
      88,  6098,  6229,   422,   519,   420,  5686,   421,  2640,   423,
      23,    25,   317,  3249,    25,  1351,   519,   282,  1916,   453,
    2621,  1912,   102,   453,   235,   457,   221,    33,    34,   260,
     378,  2835,   292,  1931,   449,   421,  1934,   423,   380,    72,
    1376,   519,   451,   131,   472,   451,   196,  2971,  1384,  1385,
       0,  1959,  1397,  1944,   170,   121,   374,  1592,   318,   474,
     374,   457,   278,   449,   374,   330,   374,   513,   149,  2777,
     278,   517,  1408,  3261,  3262,   429,   451,  2052,  3266,   203,
    1452,  1453,   345,  1455,  6012,   303,  1984,   422,   393,  5518,
    1988,  1989,    98,    43,   451,  1452,  1453,   444,  1455,   472,
     515,  1437,   420,   183,   299,   452,   420,   374,   455,   451,
     420,  3375,   118,   374,    37,   311,    35,   150,  1454,  3307,
    3308,   417,  1458,  1459,  4792,   139,   292,  5744,   139,   119,
      25,   449,   221,   202,  5814,   449,   217,   170,  1474,   449,
       3,  4755,   490,  4751,  1480,   369,  4760,   153,    98,  4763,
     358,  3061,   318,   420,   119,    58,   474,   223,   387,   420,
     474,   648,    51,   254,   474,   519,   503,   504,   505,   506,
     507,   508,   509,   510,   511,  6161,  2022,  1187,   402,   387,
    1034,   446,   449,   298,  4250,   114,  1040,   463,   449,   186,
    1044,  1469,  1046,  1471,   313,   458,   119,   515,   278,   149,
    2023,   515,  2025,   254,  5011,   515,   254,   474,  2031,   278,
     299,  1547,   162,   474,  2037,  2038,   282,   198,   168,   744,
     451,   132,   303,  2046,   174,   128,   453,    90,   316,    72,
     180,   142,  2055,   183,   153,   121,  6222,   187,  2061,   515,
    2546,   254,  4556,    91,   139,  1255,  1952,   111,   515,   282,
     374,  2548,  1588,   740,   515,   515,  1110,  1188,  1112,  1113,
    1191,   190,  1193,   459,  1195,  1275,  1197,   217,   387,   219,
    1201,   119,   797,  3080,   340,  1981,   119,  1606,   312,  1985,
     143,   278,  1611,   374,  1990,  1621,  5966,  1993,   515,  5400,
     519,   415,  5730,   417,   232,   245,   463,   330,   516,   313,
    5291,   519,   313,  2621,   301,   122,  5975,  5976,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   292,  5989,  5388,
    1330,   311,   287,   374,    25,   850,   374,   814,  3076,   420,
      31,  5743,  3080,   262,   422,   178,   265,   223,   352,   313,
     278,   352,   348,   318,   294,   371,   426,   297,   515,   515,
    1686,   387,  4513,   303,  5989,   312,  1685,   472,   449,   429,
    1689,   374,    64,  4437,   445,  1701,  1702,  1703,  4442,   420,
      72,   352,   420,   387,   380,   356,   387,   194,   352,  2711,
     303,  4519,  1660,   474,  6064,   278,   387,   912,   251,   515,
     380,    25,  1927,  1928,  1917,   259,   282,    31,   449,   263,
     515,   449,   313,  4329,   303,   352,   387,   420,   434,  1928,
     360,   417,  6083,   446,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   474,   515,   168,   474,   417,  4179,  4355,
     387,   356,  4183,   177,   282,   505,   449,   180,   139,   282,
     387,   352,  1452,  1453,   287,  1455,  4512,   517,  6083,   378,
     313,  6131,   390,   459,   340,   198,   258,   463,   165,   352,
     457,   474,   387,   413,   515,  1801,   472,   515,  6137,   459,
     380,    32,  2711,   313,  1906,    25,    13,  1813,   377,   121,
    4475,    31,   472,   519,   354,   348,   234,   330,  1824,   352,
     496,   472,  4179,   356,    40,   445,  4183,  5909,    59,  4250,
    1836,  2819,   515,   346,  1840,   139,   496,   417,    54,   515,
     396,    28,   352,   451,  6185,   496,   356,  2052,   519,   469,
     301,   471,   472,  1859,   387,   515,    10,  2845,  2683,    13,
     237,  1867,   313,    17,    18,    19,  5647,  2663,   415,  1875,
     515,    78,  5629,   493,   431,    10,   248,   387,    13,   459,
    6185,    35,    17,    18,    19,   515,   122,   420,  1894,   422,
     122,   490,   431,  4250,   110,   207,   516,  1903,   518,   519,
    1906,   352,   518,  1909,    91,   452,  1912,  1913,   169,  5288,
    1916,  1917,   505,  1919,  1920,    13,   515,  5656,  2881,   139,
     513,   335,   515,   516,   517,  1931,   519,  1933,  1934,  5213,
     153,     0,   472,   446,  2787,   515,   475,  1943,  1944,   472,
    1946,  1947,   313,    10,   205,    98,    13,    45,  4544,   362,
      17,    18,    19,  5332,   368,   153,   496,  2945,   194,  3261,
    3262,  1959,   194,  1686,  3266,   118,   278,   297,   382,   519,
     282,  6079,   302,   179,  5427,    48,  2885,   340,  1984,   519,
      78,   352,  1988,  1989,  2893,   162,   332,  2896,  2040,   176,
     353,   168,  3105,   329,     3,  1961,   212,  1963,    71,  1965,
     153,  1967,    35,  1969,   418,  3307,  3308,  1973,  2006,  2006,
    5116,  2006,  4748,   464,  2006,  2015,   387,  2023,  2006,  2025,
     383,   111,  2006,  3011,  2030,  2031,  3967,   369,  2881,   371,
     434,  2037,  2038,  2039,  2040,  2041,  2042,  2043,  2044,  2045,
    2046,   472,   248,  2049,  3985,  2051,  5827,  2053,  2054,  2055,
    2056,  2057,  2058,  2001,  5845,  2061,   291,  2063,  2064,   174,
     472,  2067,   278,   472,  3482,   496,  2919,   221,   245,  2965,
    2966,  2967,   465,  6181,  3492,  2081,  2082,  2083,  2084,   169,
    5013,    90,   472,   198,   496,   313,   221,  5826,   519,    38,
    4511,  4512,   434,   313,  2100,   431,  2102,  3574,   377,  2861,
     151,  2954,  4001,  2931,  4036,  2018,   472,  2600,  3294,  3689,
     519,    60,   175,   235,  2934,   205,  4022,   294,  2859,  5052,
    2861,  4027,  5032,  2785,   352,  5421,  4026,   168,  2711,   519,
    4030,  4031,   352,  5610,   143,  5241,  1859,  5243,   344,   475,
      27,  3097,   176,   257,  1867,   299,   209,   334,   707,   200,
      93,   192,  1875,   519,  4511,  4512,  3574,   380,  3943,   387,
     376,   224,   111,    50,   299,   329,   515,   387,   282,   259,
    5001,   121,  5003,   263,   733,  3769,   210,  5661,   168,   242,
    3168,  3775,   380,   232,   371,  5581,  3662,  5583,   515,   313,
    5971,  5587,  5588,   136,   417,   348,  1857,  1920,  4056,  4057,
    4058,  4059,   192,   119,  4062,  4063,  4064,  4065,  4066,  4067,
    4068,  4069,  4070,  4071,   177,   421,  1877,   423,   168,   417,
    3048,  3049,  3050,  3051,  1947,  3053,   261,   380,   352,   278,
    5683,  4975,   299,  4977,  4978,  4979,   459,  3711,  2244,  1606,
     156,   313,   251,   449,  1611,   432,  3155,   434,   258,   472,
    3078,   438,   201,   472,   168,  4159,   434,   207,  4853,   465,
      38,   459,   344,   387,   417,     5,  4861,   431,  4126,  4127,
    5635,    11,   282,   496,   472,   191,   348,   496,   192,  1959,
     352,   282,    60,    25,  3758,   313,   287,  2293,  6069,    72,
    3476,   340,   515,   505,  5590,    78,   515,  3285,   496,   381,
     363,  5037,   354,  3291,   313,   517,   459,   472,    91,   311,
     259,   475,   513,   377,   263,   387,   517,   515,  1685,   472,
     514,   272,  1689,  6080,   352,   519,  2006,  4748,   278,   278,
    3071,   496,   282,   111,  4755,   417,   119,   338,   121,  4760,
    2346,   390,  4763,   496,    99,   296,   258,  5906,    90,   503,
     504,   505,   506,   507,   508,   509,   510,   511,    99,   387,
    2040,   258,   515,   312,   429,   987,   282,  3883,   503,   504,
     505,   506,   507,   508,   509,   510,   511,  3030,   380,  1903,
    2060,   514,  1906,   465,  1006,   344,   519,  1009,   453,    95,
     132,  4748,  1916,  1917,  6237,   178,  6239,   139,  4755,   297,
     142,   203,   451,  4760,   302,   368,  4763,  1931,   357,   261,
    1934,   420,   375,   422,    10,   417,  6259,    13,    80,   382,
     175,   983,   381,   201,   207,  5546,   988,  5911,  5912,    91,
    5551,  5552,   381,  5729,   175,   192,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   516,   434,     5,   519,    45,
      87,  6208,   401,    11,   209,   418,    52,   459,   417,  5855,
    1984,    19,    69,    70,  1988,  1989,   508,  3376,   209,   224,
     472,   513,  3234,   515,  3370,   517,   465,   440,     5,    37,
    1039,   259,    78,   224,    11,   263,     5,   242,   510,   496,
     497,  1050,    11,   515,   496,   517,    22,  5233,    29,   282,
     278,   242,    28,   421,   287,   423,   465,  1066,   515,   496,
     497,  5247,   421,   515,   423,   270,   235,  2523,  2524,  2525,
    2526,  2527,  2528,  2529,  2530,  2531,    59,  2533,   515,   270,
    2614,  2615,  2616,  2909,   312,  2911,    15,    16,  2544,  2915,
    2546,   510,   297,  2748,    33,    34,   515,   330,   517,   377,
    6034,   147,    83,   515,  2747,    86,  2749,  2750,   515,  2748,
     517,    92,   149,   346,   496,   497,   513,   516,   515,  2249,
     517,   313,   513,  2065,   515,   162,  2068,   380,  2584,   357,
     516,   168,  2588,   519,   515,  2591,   517,  2593,   516,   120,
    2596,   519,  2583,  5337,  2600,   463,   516,   193,  3716,   519,
     369,   370,   198,   381,  3395,  3396,   348,    11,   363,  4467,
     352,   472,   515,   474,   417,  2621,  5037,  2623,  3274,   508,
    3276,  3277,   363,   401,   513,  3373,   515,  3560,   517,   472,
     217,   474,   369,   370,  2640,   274,   275,   276,   277,  6123,
      91,   415,  2744,  2649,  2650,   387,   516,   178,   244,   519,
     297,  3483,   394,  3586,   516,   519,   459,   519,   245,   515,
     191,  2784,  4603,   446,  1223,  3427,   472,   374,   474,   472,
    2676,  2668,   516,   204,  5410,   519,   465,  2683,  4619,  5663,
    5037,  2687,  2688,   516,   516,  3330,   519,   519,  2694,   369,
     370,  5522,  2698,   496,   516,  5291,  2702,   519,  3665,  5530,
    5531,   516,    59,   299,   519,  2711,  3493,   294,  3561,   369,
     370,   516,   515,  2713,   519,  2715,   303,  3872,    48,   516,
     516,  4301,   519,   519,  2730,   492,   516,  2733,   179,   519,
     516,   223,  6028,   519,  4036,   517,  4521,  5473,  2744,   300,
    2746,  2747,  4648,  2749,  2750,   297,  2752,  2870,  4654,  4655,
     516,   168,   203,   519,  4056,  4057,  4058,  4059,  2764,   297,
    4062,  4063,  4064,  4065,  4066,  4067,  4068,  4069,  4070,  4071,
    3263,   283,   284,  2623,  5254,  5255,  3152,   516,  2784,  2785,
     519,   492,  3275,  4299,  3637,  4301,   516,  2793,  4090,   519,
     300,     3,  5213,  3376,  5698,  5699,   392,   248,  5904,  5874,
    5875,   516,  4291,  4277,   519,   421,   492,   423,  2756,  2815,
    2816,    48,  5233,  2819,    26,   223,   516,  5413,  3311,   519,
    4238,   173,  3984,  3811,  4126,  4127,  5247,   516,  2951,   516,
     519,   516,   519,   516,   519,   508,   519,  2843,  3853,  2845,
     421,   516,   423,  2849,   519,  3507,  3508,   516,   519,   516,
     519,   302,   519,   516,   515,   518,  5213,  2863,   445,  3815,
     516,  4335,  3355,   519,  2870,    54,    55,  2873,   380,  4171,
     149,   516,   403,  2879,   519,   406,  5233,   472,    90,   474,
     462,    38,   149,   162,   516,   516,  6182,   519,   519,   168,
    5247,   516,   515,  2899,   519,   162,    37,   516,   494,  2905,
     519,   168,   134,    60,   136,   417,  2912,  2855,  5505,  2589,
     506,   507,   508,   509,   510,   511,   516,   284,   518,  3660,
    2926,  2908,   149,   326,  3665,   516,   513,   515,   519,   516,
     517,   515,   144,   516,  2940,   162,   519,   516,   217,  2945,
    3538,   168,   516,  2623,  6240,  2951,   516,   459,   516,   519,
     217,   519,    59,  2676,   111,  3538,   516,   174,   219,   519,
     472,   515,   219,  2969,  2970,  2971,   245,   515,   517,  2975,
     421,  2694,   423,   516,   516,  2698,   519,   519,   245,  2702,
     515,  3809,   516,   434,   496,   519,   198,    99,  2668,  5410,
     217,   476,  3654,   205,  5730,   446,  3002,  3003,   449,   516,
     198,   516,   519,   515,   519,  3011,  3199,  2730,  3201,  3202,
    4150,   515,  4152,   380,  3676,   294,   516,  4533,   245,   519,
     516,   178,   516,   519,   303,   519,   352,   294,   516,  1588,
     516,   519,  5965,   519,   154,   515,   303,  4223,  3044,   516,
     516,  2764,   519,   519,   201,   516,   516,   297,   519,   519,
     417,   516,  5473,  5410,   519,   516,   516,   516,   519,   519,
     519,  2784,   516,   175,   517,   519,  3063,   294,  4528,  4739,
    3076,  4741,  4549,   154,  3080,   516,   303,   516,   519,   516,
     519,   516,   519,  3992,   519,   516,   516,   516,   519,   519,
     519,   297,   459,  2816,  3196,  5831,  4251,   209,  4253,  2623,
    3841,  4256,   259,   198,  4092,   472,   263,   516,   320,   154,
     519,   516,   224,   352,   519,   516,  5473,   154,   519,   516,
    2843,   278,   519,   198,   516,  3330,  2849,   519,  5726,   496,
     242,  4549,  4099,   516,  3510,   516,   519,   154,   519,   516,
    2863,   516,   519,   516,   519,   297,   519,  2870,   515,   516,
    2873,   518,   364,   168,   149,   312,  2879,  4184,   270,  4186,
    3166,   516,  3168,   154,   519,  4467,   445,   162,   516,   352,
    3832,   519,  3834,   168,   243,   121,  2899,  3183,   445,  3185,
     516,   516,  2905,   519,   519,   297,  3192,   453,   297,  2912,
    3196,  4153,  3198,  3199,  3044,  3201,  3202,  3203,   516,  3971,
     357,   519,   414,  2926,   516,  3211,   516,   519,   515,   519,
    3216,  3263,   516,   516,  5635,   519,   519,  2940,   445,  3817,
    2744,  3819,   217,  2747,   381,  2749,  2750,  3233,  2951,  4196,
     516,  3436,   444,   519,  3817,   516,  3819,   291,   519,   516,
     452,   168,   519,   455,   401,   516,  5982,  1469,   519,  1471,
     245,   363,   516,    72,  1813,  3261,  3262,  3263,   516,  3311,
    3266,   519,   282,    38,   516,  1824,  4233,   519,  3274,  3275,
    3276,  3277,   516,   516,   516,   519,   519,   519,  5635,  3285,
    5195,  1840,  5197,   282,  3290,  3291,   513,  3293,  4868,  3295,
     517,   476,   515,  5151,   297,   282,    48,    10,    48,   294,
      13,  3307,  3308,  3901,   282,  3311,    54,   439,   303,  5730,
     282,    90,   313,    87,   465,   465,   434,   168,  3901,  5984,
     333,   154,   154,   515,   154,  3987,  3332,   154,  3334,   476,
    3336,   154,    45,   154,   154,  1894,   154,  6073,   519,    52,
    4328,   453,  4330,  6079,  4300,    10,   154,   154,    13,  3355,
    1909,   154,   100,  1912,  1913,   154,  4845,   168,  3363,  3364,
    3365,   154,   154,  3415,   154,    78,  4354,   154,   154,   297,
    3376,   417,   515,  5730,    38,   243,   297,   125,   515,   168,
      45,     6,     6,  3063,  1943,  1944,   168,    52,   515,   515,
     168,  4693,   515,   515,   515,   143,   515,     6,   515,   147,
     515,     6,   515,     6,   515,   515,  3412,   515,     6,  3415,
    5831,   515,   515,    78,  3466,   515,   515,  4572,   515,   515,
     289,   169,  3428,   515,   515,   173,   515,  3433,   515,   515,
     515,   515,   515,   515,   147,   515,   515,  4269,   515,   515,
     188,   515,  3448,  3166,   515,  6181,  4355,   515,  4235,   473,
     445,   309,   163,   219,   519,   519,  3462,    38,   102,     0,
     243,    38,  3185,   515,  3470,    37,   427,   427,   515,  3192,
     513,   513,   429,   429,  5831,   429,  3482,   429,   174,  3485,
     193,  3487,   147,  3859,   519,   198,  3492,   168,   294,  4445,
    4423,   168,   292,   387,    68,  5436,    38,   429,   429,   374,
     429,  3507,  3508,   429,   374,   464,   517,  3513,   374,   429,
     429,   245,   429,    79,  6179,   429,   505,   429,    60,   374,
    3044,    91,  2081,   154,   297,   379,   240,   429,   193,  3535,
     429,   244,  3538,   198,   287,  3541,   127,  4433,    10,   287,
     429,    13,   452,  3549,    86,    17,    18,    19,   420,   318,
     134,   297,   136,   369,   292,   429,   429,    98,  4051,   191,
     515,  5982,  3412,    35,   515,  3415,    91,   127,  3574,   111,
     112,   134,   519,   136,   313,   198,   160,   119,   154,   244,
    3956,   429,   453,  3263,   429,   429,   299,   127,  5446,   453,
     338,   429,  4085,   429,   113,   429,   127,   160,   429,    59,
     429,   429,    59,   429,  3610,  3611,  3612,  3812,   149,   267,
     301,   337,  3462,   337,   156,   429,   429,  4605,  5476,   429,
    3470,   162,   337,   318,   429,  5982,   318,   168,   429,  3635,
      47,  3311,   429,   174,   299,   429,   178,   519,  3644,   180,
    3646,   225,   183,  4136,   420,   429,   187,   297,  3654,   429,
     221,   516,  6073,   520,   221,  3335,   221,   429,  6079,   201,
     221,   429,   225,   221,   221,  5083,   221,   221,   221,   221,
    3676,  3351,  3196,   429,   439,  3199,   217,  3201,  3202,   392,
     297,    38,   297,   154,   154,   282,   119,   154,  4597,   453,
     274,   275,   276,   277,   464,   154,   154,   281,   282,   282,
     515,   297,   251,   287,   245,    38,   168,   282,    38,   282,
     376,   274,   275,   276,   277,   235,  6073,   259,   281,   515,
     515,   263,  6079,   154,   287,   154,   453,   392,   154,   154,
     515,   453,  3412,   174,  3740,  3415,   278,   468,   286,   429,
     282,   291,    13,   267,   515,   267,   429,   183,   191,   221,
     513,   431,   519,   294,   515,   515,   297,   515,  3764,   516,
    6181,   308,   303,  3769,   519,   516,   378,   191,   265,  3775,
     312,   492,   492,   516,   516,   516,   516,   217,  3784,   390,
     469,   494,  3462,   519,   232,   298,  3466,   519,    38,   306,
    3470,   453,   453,   506,   507,   508,   509,   510,   511,    59,
     516,   464,   453,   515,   232,  3811,  3812,   287,   287,   232,
     374,  3817,  3535,  3819,   287,   357,   429,   515,   168,   360,
    4787,   429,   429,   287,  6181,    48,  3832,   299,  3834,   494,
     282,  4493,  4494,   243,   297,   243,   297,   396,   243,   381,
     369,   506,   507,   508,   509,   510,   511,   261,  3854,  5151,
     297,   429,   436,   127,   198,   297,   352,   387,   420,   401,
     519,   403,    10,   447,   406,    13,   519,  5022,   472,    17,
      18,    19,   192,   436,  3880,   297,   417,   297,   384,  4704,
     516,    38,   303,   429,   447,   429,   340,   221,  3412,  3886,
      38,  3415,   235,   154,   292,  3901,  3902,   453,   336,   505,
     168,  5203,   453,    38,   445,   170,   418,   337,   384,   154,
     154,   154,  3635,   515,   515,   292,   453,   282,  3924,  4770,
     465,    38,   282,   297,    27,  3922,   297,   235,   469,   472,
     471,   472,   189,   292,  5394,   189,    10,  3943,  3462,    13,
     168,    38,  3890,    17,    18,    19,  3470,   169,   235,  4858,
     384,   168,   493,   282,    59,   297,  3962,   198,   198,   198,
    3966,   198,   198,   429,   174,   476,   264,   472,   291,   297,
     174,   303,   513,   515,   458,   516,   517,   518,   493,   517,
     519,  3987,   515,   519,   519,   519,   174,   519,   516,   516,
     516,   360,  4134,   516,   309,   516,   134,  4003,   516,   492,
    4006,   319,   516,   519,   281,   515,  4012,   516,   516,  4782,
     429,   515,  5528,   516,   516,   516,   516,   516,   469,   514,
    4026,   519,   516,  3971,  4030,  4031,   515,  4983,   515,   258,
    4036,   503,   504,   505,   506,   507,   508,   509,   510,   511,
    4046,  3764,  4048,   174,   519,  4051,   515,   183,   516,  4055,
    4056,  4057,  4058,  4059,   451,   253,  4062,  4063,  4064,  4065,
    4066,  4067,  4068,  4069,  4070,  4071,   515,   469,   514,  4075,
    4076,  4077,   459,   221,  4080,    59,   515,   297,   496,  4085,
    4132,   297,   495,   297,  4090,   300,  4092,   203,  4094,   505,
     154,   429,   429,   429,   287,   157,  4102,   211,   429,  4105,
     515,  4107,     0,   515,   515,   282,   154,   406,   387,   379,
     154,   154,   379,   379,   243,   203,   157,  4123,   297,   505,
    4126,  4127,   429,   157,  4329,  4131,  4132,   453,  4773,   469,
    4136,   320,  4138,   245,   320,   157,   374,  4142,  4143,  4144,
    4145,   450,   255,   429,  5446,   429,   429,   221,   403,   429,
    4355,   299,   127,    10,   255,   255,    13,  6015,  6016,   282,
     429,  4159,  4159,   374,  4159,  4171,   429,  4159,   374,   374,
     429,  4159,   374,  4179,  5476,  4159,   429,  4183,   429,   387,
    4842,   429,   429,   154,    47,    47,   221,  2746,    45,   516,
      25,   516,   516,  2752,   429,    52,    31,  4690,   429,   429,
      98,   514,   221,   186,   516,   301,  3886,   439,   519,  4215,
     516,    46,     3,   168,    48,  4591,  4592,  4593,  4594,  4595,
    3943,    78,   112,   516,   519,   299,  4232,   168,   516,    38,
     515,   154,  4238,   429,  2793,   154,   168,   292,   186,  3962,
     515,    76,  3922,  3966,  4250,   154,  5664,   505,   374,   374,
     453,   149,   453,   374,   374,   374,   384,   519,   152,   152,
     221,  5002,   221,   221,   162,   221,  4272,   221,   221,   221,
     168,  4933,   221,   145,   221,   225,   174,   446,   446,   513,
     297,   297,   180,   516,    59,   183,   297,   297,    13,   187,
     147,   516,   519,   464,  5190,   130,   309,   132,   516,   174,
     281,   307,   514,   516,   139,   304,   224,   142,   224,   516,
     519,   419,    59,   187,   360,   426,   516,  4323,   515,   217,
      89,   516,  4328,  4329,  4330,   516,   516,  5223,   515,  4179,
     439,   516,   515,  4183,   169,   515,   193,   168,    38,  4544,
     458,   198,   429,   453,   235,   211,   453,   245,  4354,  4355,
      59,   420,   154,    86,  5342,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   403,   178,   439,  5947,  5030,   429,
     205,   379,   157,   429,   374,   429,   429,   429,   374,   516,
     352,   515,  4369,   516,   516,   515,   472,   244,    59,   420,
     168,   459,   297,  4380,  4400,    78,   294,  4403,   154,   297,
    4250,   112,   439,   221,   221,   303,   221,   221,  5710,   232,
     516,   515,   206,   515,   429,   476,   515,   297,   516,    38,
     297,   318,   295,     3,   519,   519,   515,   439,   519,   503,
     504,   505,   506,   507,   508,   509,   510,   511,    44,   429,
     515,   384,   299,   278,  3003,   516,   180,   282,   112,   181,
     174,   221,  4132,   516,  5567,    10,  5569,   292,    13,   143,
     233,  4467,   360,   287,   174,   233,   301,   516,   287,   516,
      59,   287,   470,   470,   516,   287,   516,   309,   313,  4159,
     516,   519,   318,   516,   516,   515,   515,  4493,  4494,   224,
      45,  4497,   515,   471,   292,   426,   505,    52,  4504,  4179,
     439,   429,   174,  4183,   472,  4511,  4512,    78,   205,    38,
     192,   192,   505,   287,    59,  4521,   287,   352,   420,   417,
     355,   356,    10,    78,   519,    13,   429,   519,    72,    17,
      18,    19,   154,   429,   429,   392,   157,   429,  4544,   516,
    4537,   221,   515,  4549,  4550,  4551,   176,   445,  5703,  4272,
     126,   119,   387,    38,   198,  4561,   278,    45,    10,   384,
      38,    13,   292,   282,    52,   453,  4942,  4943,  4773,  4945,
     515,   469,   170,   471,   472,  5371,  5578,   384,   292,  5881,
      59,    84,   420,   472,    38,  5740,   472,   174,   515,   297,
      78,   168,   147,    45,   519,   493,  4602,   347,   208,  4605,
      52,   300,   219,  5248,   516,   516,   516,   174,   515,   458,
     400,    59,   516,   377,    38,   513,    81,   516,   516,   517,
     518,   456,    91,   135,  3183,  4631,    78,   297,   515,   199,
    5292,   515,  5787,  5788,   346,   516,   429,   494,   193,  3198,
      38,  4647,   429,   198,  3203,   154,   154,   515,   515,   506,
     507,   508,   509,   510,   511,  4179,  4662,   515,  5303,  4183,
     515,  4511,  4512,   515,   515,   515,   168,    38,   205,  5578,
     453,   287,     0,   256,  3233,   515,   515,  4400,   384,   516,
    4403,   154,   112,    38,  4690,   174,   516,  4693,   301,   244,
     439,   398,   168,   398,   516,  4701,  4702,   202,  4704,   111,
      38,   458,  4708,  4709,   515,   193,   516,  4713,   468,   515,
     198,   515,  4718,  6015,  6016,  4721,  4722,   420,   519,   519,
     515,   191,  4728,  5711,   453,   168,  4250,   515,   420,   515,
       6,   203,   297,   221,   222,   516,   161,   476,   515,   370,
      72,   193,  4748,   370,   299,    72,   198,   300,   135,  4755,
     140,   518,   472,   468,  4760,   472,   244,  4763,  4764,   457,
     165,   516,   458,   165,   515,  4771,   519,   515,    35,   387,
      98,   257,   420,   174,   343,   420,  4782,  5779,   297,   297,
     287,  4504,   384,    38,  4790,  5940,    38,  4784,  4785,  5777,
     300,   199,   244,   176,   515,   176,   300,   285,  4521,   515,
     153,   150,   515,   369,  4810,    59,    59,  4807,   304,    38,
     353,   299,   516,   425,    59,   429,   407,   124,   451,     6,
     384,   149,   516,  4829,   515,   140,    35,   287,   515,   425,
    5206,  4511,    24,  5796,   162,   369,  4842,   392,   515,   369,
     168,  5217,   305,   519,   519,    81,   174,   299,   283,   387,
     429,   174,   180,  6008,  6009,   183,   515,  4537,   153,   187,
     283,     6,   398,   398,  4870,  4852,   519,   459,   119,   515,
     458,   472,   472,   176,   176,   453,  4863,   459,   515,  4602,
     516,  4887,  5420,   458,   911,   951,  4892,  3376,  2919,   217,
    1688,  2828,  3586,  4899,  1385,  4328,  4303,  5931,  4748,  4863,
    2946,  3000,  5345,  3803,   392,  4755,   998,   997,  5777,  4915,
    4760,  6049,  4491,  4763,  5394,  4301,  4922,   245,  4301,  4992,
    5370,  5596,  3514,  5910,  3142,  5247,  6037,  4933,  5806,  5805,
    5951,  6073,  3519,  5037,  4538,  4523,  5750,  4512,  4481,   494,
     392,  4323,  3611,  3851,  3014,  4507,  3014,  5377,   993,  5031,
    3895,   506,   507,   508,   509,   510,   511,  5676,  4964,  5452,
    4574,  6146,  6252,  5361,  6234,  3811,   294,  5963,  5305,   297,
    1848,  5760,  4546,  5466,  5549,   303,  5308,    18,   646,    28,
    4602,  5564,  3541,  3960,  4990,  5517,  4605,  4511,  4512,  1215,
    3549,  6142,  3030,  2688,  5487,  5578,  1892,  4549,  3492,  1889,
    5006,  5494,  1903,  3906,  5745,  5011,   494,  5420,   698,  5664,
    3743,  1927,  2945,   731,  4354,   503,   504,   505,   506,   507,
     508,   509,   510,   511,  5030,  3662,  6185,  1504,  5989,  4578,
    4580,  5037,   360,  2630,  2976,   840,  6202,  4230,  5514,  1801,
    5903,  1362,   494,  5248,    40,  4786,  1401,  6049,    40,  4647,
    3433,  3448,  5049,  1462,   506,   507,   508,   509,   510,   511,
    1461,  5891,  2640,  5723,  1464,  3415,  4185,  4168,  5214,  5562,
    5563,  3412,  5473,  5472,  3412,  4755,  4231,  5083,  6163,  5085,
    4760,  5885,  6019,  4763,  5710,  3644,  5291,  3646,  5450,   417,
    4094,  2538,  5724,  3353,  5725,  2539,  1418,  5742,  5303,  3212,
    2975,  3335,  3323,  2056,  4784,  4785,  3333,  3247,  5484,  5302,
    5116,  4029,  2544,    -1,  5303,   899,    -1,   445,    -1,  2628,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   469,  5148,   471,   472,  5151,    -1,    -1,  5154,  5155,
    5156,    -1,    -1,    -1,  5347,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4887,   493,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5179,  5180,    -1,  4899,  5183,    -1,    -1,
      -1,  3740,    -1,    -1,    -1,   513,    -1,  5037,   516,   517,
     518,    -1,    -1,    -1,    -1,  5571,  5779,  5203,    -1,    -1,
    6188,    -1,    -1,  5209,    -1,    -1,    -1,  5213,    -1,    -1,
      -1,    -1,    -1,  5219,  5220,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4748,  3784,  5719,  5233,  5721,    -1,
    5236,  4755,    -1,    -1,    -1,  5241,  4760,  5243,    -1,  4763,
    4764,  5247,    -1,    -1,    -1,  6221,  6234,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5226,    -1,    -1,    -1,  6252,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     6,  5291,  5292,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5302,    -1,    -1,    -1,
      -1,    23,    -1,    25,    -1,    -1,    -1,    29,    -1,    -1,
      -1,    -1,    34,    35,    36,    -1,    38,    -1,    -1,    41,
      42,  3880,    44,    -1,    46,    -1,    -1,    -1,    -1,    -1,
      -1,    53,    54,    55,    -1,    -1,  5342,    -1,    -1,  6235,
      -1,  5347,    -1,    -1,    -1,    -1,    -1,    -1,  5931,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,    13,
      -1,    -1,    -1,  5213,    -1,  3924,    -1,    -1,    -1,  5049,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5375,    -1,
      -1,    -1,    -1,  5233,    -1,    -1,    -1,    -1,  6129,  6130,
      -1,    45,    -1,  5116,    -1,    -1,    -1,  5247,    52,    -1,
      -1,    -1,    -1,    -1,  5410,    -1,    -1,  5413,    -1,  5406,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5420,  5420,  5420,    78,  5420,    -1,  5420,  5420,  5420,
    5420,  5420,  5420,    -1,  5420,  5420,  5420,  5420,  5420,  5420,
    5446,    -1,  5494,    -1,  5450,    -1,  5452,  4006,  5420,    -1,
      -1,  5420,  5420,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5466,  5409,    -1,    -1,    -1,    -1,  6049,  5473,    -1,    -1,
    5476,    -1,    -1,    -1,    -1,   197,   198,   199,    -1,    -1,
     202,  5487,  5006,    -1,   206,    -1,   208,    -1,  5494,   211,
      -1,    -1,   214,   147,    -1,   217,  4055,    -1,   220,    -1,
     222,    -1,    -1,   225,    -1,    -1,    -1,   229,    -1,   231,
      -1,    -1,    -1,  5037,    -1,    -1,    -1,    -1,  5241,    -1,
    5243,  4080,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5213,  5540,    -1,    -1,  5742,    -1,   193,
    5546,    -1,    -1,    -1,   198,  5551,  5552,    -1,    -1,    -1,
    5556,    -1,    -1,    -1,    -1,    -1,  5562,  5563,  5564,    -1,
    5410,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5578,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     244,    -1,  5598,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5607,    -1,    -1,  5610,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5473,    -1,    -1,    -1,    -1,    -1,  5635,
      -1,    -1,    -1,  6126,    -1,    -1,    -1,    -1,    -1,    -1,
    5637,    -1,    -1,    -1,    -1,   299,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5664,  5665,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5688,    -1,    -1,    -1,    -1,    -1,    -1,  5213,
      -1,  5697,  5698,  5699,    -1,  5375,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5710,  5711,    -1,    -1,  5714,  5233,
      -1,    -1,    -1,  5719,    -1,  5721,    -1,  5723,    -1,    -1,
      -1,    -1,    -1,  5247,  5730,  5918,  5406,    -1,    -1,    -1,
    5727,    -1,    -1,  6226,    -1,    -1,    -1,    -1,   392,    -1,
    5420,    -1,    -1,    -1,    -1,    -1,  5752,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5777,    -1,  5779,    -1,    -1,    -1,    -1,  5302,    -1,
      -1,    -1,    -1,    -1,    -1,  5635,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5990,  5991,    -1,
    1135,    -1,    -1,    -1,    -1,    -1,  1141,    -1,    62,    -1,
      -1,    -1,    -1,    -1,  5494,    -1,  1151,    -1,    -1,    -1,
    1155,    -1,    -1,  5347,  1159,  5831,  1161,    -1,    -1,    -1,
      -1,    -1,  1167,    -1,    -1,    -1,    -1,    -1,  1173,    -1,
     494,  1176,    -1,    97,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   506,   507,   508,   509,   510,   511,    -1,    -1,
      -1,    -1,  5868,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    10,  5881,    -1,    13,    -1,    -1,
    5730,    17,    18,    19,    -1,  5891,  5410,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5901,    -1,    -1,  5904,    -1,
      -1,    -1,    -1,    -1,   158,    -1,    -1,    -1,    -1,    45,
      -1,    -1,  5918,    -1,    -1,    -1,    52,    -1,    -1,    -1,
      -1,    -1,    -1,   645,    -1,  5931,    -1,    -1,    -1,   651,
      -1,   653,    -1,   655,    -1,    -1,   658,    -1,  4497,    -1,
      -1,   195,    78,   665,    -1,    -1,    -1,    -1,   670,  5473,
     672,    -1,    -1,    -1,    -1,  5635,   678,  5637,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5972,  5964,    -1,    -1,
      -1,    -1,    -1,    25,    -1,    -1,  5982,    -1,    -1,    31,
     702,  5831,    -1,    -1,  5990,  5991,   240,    -1,    -1,   711,
    5996,  5989,  5989,   715,  5989,    -1,   718,    -1,    -1,   721,
      -1,  5989,    -1,    -1,    -1,  5989,    -1,    -1,    -1,  6015,
    6016,    -1,    -1,    -1,    -1,   737,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    76,    -1,    -1,    -1,   282,    -1,
      -1,  6083,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6049,    -1,    -1,    -1,  5727,    -1,  6242,
    6243,    -1,    -1,    -1,    -1,    -1,    -1,   193,    -1,    -1,
     314,    -1,   198,    -1,    -1,    -1,    -1,  6073,   790,    -1,
      -1,    -1,    -1,  6079,    -1,    -1,    -1,   799,    -1,    -1,
     132,    -1,    -1,  5607,    -1,  6083,  6083,   139,  6083,    -1,
     142,  6097,  6098,    -1,    -1,  6083,    -1,   819,   820,  6083,
     822,   823,   356,    -1,   358,   827,  6112,   361,   244,    -1,
      -1,  5635,    -1,    -1,    -1,    -1,   370,   169,    -1,   841,
    6126,    -1,    -1,    -1,   846,   379,    -1,    -1,    -1,    -1,
     852,    -1,  5982,   387,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   399,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   205,   408,  6161,    -1,    -1,   412,    -1,
      -1,    -1,    -1,   299,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6181,    -1,   899,    -1,    -1,
      -1,  5904,  6188,    -1,    -1,    -1,    -1,  6185,  6185,    -1,
    6185,   913,    -1,    -1,    -1,    -1,    -1,  6185,    -1,    -1,
      -1,  6185,    -1,    -1,   926,    -1,  5730,    -1,    -1,    -1,
      -1,    -1,    -1,   467,    -1,  6221,  6222,    -1,    -1,   941,
    6226,    -1,    -1,  6073,  6230,    -1,   278,    -1,  6234,  6079,
     282,    -1,    -1,    -1,    -1,    -1,  6242,  6243,   960,    -1,
     292,    -1,    -1,   965,   966,    -1,  6252,    -1,    -1,   301,
      -1,    -1,    -1,    -1,    -1,    -1,   392,    -1,    38,    -1,
      -1,   313,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4829,    -1,    -1,    -1,    -1,   997,   998,    -1,    -1,    -1,
      -1,    -1,    62,    -1,  5964,    -1,    -1,    -1,    10,    -1,
      -1,    13,    -1,    -1,    -1,    17,    18,    19,  1020,  1021,
     352,    -1,    -1,   355,   356,    -1,    -1,  5831,    -1,  5989,
      -1,  4870,  1034,    35,  1036,    -1,    -1,    97,  1040,    -1,
      -1,  1043,  1044,    45,  1046,    -1,    -1,    -1,    -1,  1051,
      52,  6181,    -1,  4892,    -1,   387,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1075,    -1,    -1,    78,    -1,   494,    -1,
    1082,  1083,    -1,    -1,    -1,    -1,    -1,   503,   504,   505,
     506,   507,   508,   509,   510,   511,    -1,    -1,   158,    -1,
      -1,    -1,  1104,  1105,  1106,    -1,  1108,    -1,  1110,    -1,
    1112,  1113,    -1,    -1,  5918,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6083,   456,  4964,    -1,    -1,    -1,    -1,
      10,    -1,    -1,    13,    62,   195,    -1,    17,    18,    19,
      -1,    -1,    -1,    -1,  1146,    -1,  1148,  1149,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    35,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    45,    -1,    -1,    -1,    97,
      -1,    -1,    52,    -1,    -1,   235,    -1,    -1,  5982,  1181,
     240,    -1,    -1,    -1,    -1,    -1,  5990,  5991,    -1,    -1,
      -1,   193,    -1,    -1,    -1,    -1,   198,    -1,    78,    -1,
      -1,    -1,    -1,    -1,    -1,  1207,    -1,  1209,    -1,    -1,
      -1,  1213,    -1,  1215,    -1,    -1,    -1,    -1,    -1,   221,
     222,    -1,   282,    -1,    -1,  6185,    -1,    -1,    -1,    -1,
     158,    -1,    -1,    -1,    -1,    -1,    -1,  1239,    -1,  1241,
      -1,    -1,   244,  1245,    -1,    -1,  5085,    -1,    -1,    -1,
      -1,    -1,    10,    -1,   314,    13,    -1,  1259,    -1,    17,
      18,    19,    -1,    -1,    -1,    -1,    -1,   195,    -1,  6073,
      -1,    -1,    -1,    -1,    -1,  6079,    -1,    35,    -1,    -1,
      -1,    -1,    -1,   285,    -1,    -1,    -1,    45,    -1,    -1,
      -1,    -1,    -1,  6097,    52,  1297,   356,   299,    -1,    -1,
     302,   361,    -1,    -1,    -1,    -1,    -1,  1922,    -1,    -1,
     370,    -1,   240,   193,    -1,  1930,    -1,    -1,   198,   379,
      78,    -1,    -1,    -1,  1326,  1327,  1328,   387,  1330,    -1,
      -1,    -1,    -1,    -1,    38,    -1,    -1,    -1,    -1,   399,
      -1,   221,   222,    -1,    -1,    -1,    -1,    -1,   408,  1351,
     278,    -1,   412,    -1,   282,    -1,    -1,  6161,    62,    -1,
      -1,    -1,    10,    -1,   244,    13,    -1,    -1,    -1,    17,
      18,    19,   432,    -1,    -1,    -1,    -1,  6181,    -1,    -1,
    5219,    -1,    -1,    -1,    -1,   313,   314,    35,  1390,    -1,
     392,    -1,    -1,    97,    -1,    -1,    -1,    45,    -1,    -1,
      -1,    -1,    -1,    -1,    52,   285,  1408,   467,    -1,    -1,
      -1,   471,    -1,    -1,    -1,    -1,    -1,    -1,  6222,   299,
      -1,    -1,   302,    -1,   352,    -1,  6230,    -1,   356,    -1,
      78,    -1,    -1,   361,    -1,   193,    -1,    -1,  6242,  6243,
     198,    -1,   370,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   379,  1454,    -1,   158,    -1,  1458,  1459,    -1,   387,
      -1,    -1,    -1,   221,   222,    -1,    -1,  1469,  1470,  1471,
    1472,   399,  1474,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     408,    -1,    -1,    -1,   412,    -1,   244,    -1,    -1,    -1,
      -1,   195,   494,    -1,    -1,  1497,    -1,    -1,    -1,    -1,
      -1,   503,   504,   505,   506,   507,   508,   509,   510,   511,
      -1,    -1,   392,    -1,    -1,    -1,    -1,    -1,   520,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   285,    -1,    -1,
    1532,   235,    -1,    -1,    -1,  1537,   240,    -1,  1540,   467,
      -1,   299,    -1,    -1,   302,   193,    -1,    -1,    -1,    -1,
     198,  1553,  1554,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1562,    -1,    -1,  1565,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   221,   222,    -1,    -1,    -1,   282,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1592,    -1,  1594,    -1,    -1,  1597,   244,    -1,  1600,  1601,
      -1,    -1,  1604,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     314,    -1,  1614,    10,   494,  1617,    13,    -1,  1620,    -1,
      17,    18,    19,   503,   504,   505,   506,   507,   508,   509,
     510,   511,    -1,    -1,   392,    -1,   516,   285,    35,   519,
    1642,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    45,    -1,
      -1,   299,   356,    -1,   302,    52,    -1,   361,  1660,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   370,    -1,    -1,    -1,
    1672,  1673,  1674,  1675,  1676,   379,    -1,    -1,    -1,    -1,
      -1,    78,    -1,   387,    -1,    -1,    -1,    -1,  1690,    -1,
      -1,    -1,    -1,    -1,    -1,   399,    -1,    -1,    -1,  1701,
    1702,  1703,    -1,    -1,   408,    -1,    -1,  5546,   412,    -1,
      -1,    -1,  5551,  5552,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    22,    -1,    -1,    -1,    -1,    -1,    28,   432,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   494,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   392,   503,   504,   505,   506,   507,
     508,   509,   510,   511,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   519,    -1,   467,    -1,    -1,    -1,   471,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   193,    -1,  1800,    -1,
      -1,   198,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1811,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1819,  1820,    -1,
      -1,    -1,    -1,    -1,   221,   222,  5665,    -1,    -1,    -1,
      -1,    -1,    -1,  1835,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   494,   244,    -1,    -1,
      -1,  1853,  1854,    -1,    -1,   503,   504,   505,   506,   507,
     508,   509,   510,   511,    -1,    -1,    -1,  1869,  1870,  1871,
    1872,   519,    -1,    -1,    -1,  5714,  1878,    -1,    -1,    -1,
      -1,    -1,    -1,  1885,    -1,    -1,  1888,    -1,   285,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1903,   299,    -1,  1906,   302,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1916,  1917,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1927,  1928,    -1,    -1,  1931,
      -1,    -1,  1934,    10,    -1,    -1,    13,    -1,    -1,    -1,
      17,    18,    19,    -1,    -1,    -1,    -1,  1949,  1950,    -1,
      -1,    -1,    -1,    -1,  1956,    -1,  1958,    -1,    35,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2581,    -1,    45,    -1,
      -1,    25,    -1,  1975,    -1,    52,    -1,    31,    -1,    -1,
    1982,    -1,  1984,    -1,    -1,  1987,  1988,  1989,    -1,  1991,
    1992,    -1,  1994,    -1,    -1,   392,    -1,    -1,    -1,  2001,
      -1,    78,    -1,    -1,    -1,    -1,  2008,    -1,    -1,  2011,
    2012,    -1,    -1,  2015,    -1,    -1,  2018,  2019,    -1,    25,
      -1,  2023,    76,  2025,    -1,    31,    -1,    -1,  2030,  2031,
      -1,    -1,    -1,    -1,    -1,  2037,  2038,  2039,  2040,  2041,
    2042,  2043,  2044,  2045,  2046,    -1,    -1,  2049,    -1,  2051,
    2052,  2053,  2054,  2055,  2056,  2057,  2058,    -1,    62,  2061,
      -1,  2063,  2064,    -1,    -1,  2067,    -1,    -1,    -1,    -1,
      76,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   132,    -1,
    2082,  2083,  2084,    -1,    -1,   139,    -1,    -1,   142,    -1,
      -1,    -1,    -1,    97,    -1,    -1,    -1,   494,  2100,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   169,   193,    -1,    -1,   516,
      -1,   198,    -1,    -1,    -1,    -1,   132,    -1,    -1,    -1,
      -1,    -1,    -1,   139,    17,    -1,   142,    -1,  2140,    -1,
      -1,    -1,    -1,    26,   221,   222,    -1,    -1,    -1,    -1,
      -1,   205,    -1,    -1,   158,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   169,    -1,    -1,    -1,   244,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    10,    -1,    -1,    13,    -1,    -1,    -1,    17,    18,
      19,   195,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   205,
      -1,    -1,    10,    -1,    -1,    13,    35,    -1,   285,    17,
      18,    19,    -1,    -1,    -1,    -1,    45,    -1,    -1,    -1,
      -1,    -1,   299,    52,   278,   302,    -1,    35,   282,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   240,    45,   292,    -1,
      -1,    -1,  2244,    -1,    52,    -1,    -1,   301,    -1,    78,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   313,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    -1,   278,    -1,   278,    -1,   282,    -1,   282,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   292,    -1,    -1,    -1,
      -1,  2293,    -1,    -1,    -1,   301,    -1,    -1,   352,    -1,
      -1,   355,   356,    -1,    -1,    25,    -1,   313,    -1,   313,
     314,    31,    -1,    -1,    -1,   392,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    46,    -1,    -1,    -1,
      -1,    -1,    -1,   387,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2346,    -1,   352,    -1,   352,   355,
     356,    -1,   356,    -1,    -1,    -1,    76,   361,    -1,    -1,
      -1,    -1,    -1,    -1,   193,    -1,   370,    -1,    -1,   198,
      -1,    -1,    -1,    -1,    -1,   379,    -1,    -1,    -1,    -1,
      -1,   387,    -1,   387,    -1,   193,    -1,    -1,    -1,    -1,
     198,    -1,   221,   222,    -1,   399,    -1,    -1,    -1,    -1,
      -1,    -1,   456,    -1,   408,    -1,    -1,    -1,   412,    -1,
     130,    -1,   132,   221,   222,   244,    -1,   494,    -1,   139,
      -1,    -1,   142,    -1,    -1,    -1,   503,   504,   505,   506,
     507,   508,   509,   510,   511,    -1,   244,    -1,    -1,   516,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   169,
     456,    -1,    -1,    -1,    -1,    -1,   285,   758,    -1,   760,
      -1,   762,    -1,   467,    -1,    -1,    -1,   768,   769,   770,
     299,    -1,    -1,   302,    -1,    -1,    -1,   285,    -1,  3094,
      -1,    -1,    -1,    -1,  3099,   205,  3101,    -1,    -1,    -1,
      -1,   299,    -1,    -1,   302,    -1,  3111,    -1,    -1,  3114,
      -1,  3116,  3117,    -1,    -1,  3120,    -1,    -1,    -1,  3124,
      -1,  3126,    -1,    -1,  3129,    -1,    -1,    -1,    -1,    -1,
      -1,  2523,  2524,  2525,  2526,  2527,  2528,  2529,  2530,  2531,
      -1,  2533,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2543,  2544,    -1,  2546,    -1,    25,    -1,    -1,    -1,
      -1,  2553,    31,    -1,    -1,    -1,    -1,    -1,   278,    -1,
      -1,    -1,   282,   392,    -1,    -1,    -1,    46,    -1,    -1,
      -1,    -1,   292,    -1,    -1,    -1,    -1,    -1,  3193,    -1,
    2582,   301,  2584,    -1,   392,  2587,  2588,    -1,    -1,  2591,
      -1,  2593,    -1,   313,  2596,    -1,    -1,    76,  2600,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2623,    -1,    -1,    -1,    -1,    -1,  2629,  2630,    -1,
      -1,    -1,   352,    -1,    -1,   355,   356,    -1,  2640,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2649,  2650,    -1,
      -1,    -1,    -1,   132,    -1,    -1,    -1,    -1,   959,    -1,
     139,  2663,    -1,   142,    -1,   494,    -1,   387,    -1,  2671,
      -1,  2673,    -1,    -1,   503,   504,   505,   506,   507,   508,
     509,   510,   511,    -1,    -1,    -1,   494,   516,    -1,    -1,
     169,    -1,    -1,    -1,    -1,   503,   504,   505,   506,   507,
     508,   509,   510,   511,    -1,    -1,    -1,    -1,   516,    -1,
      -1,  2713,    -1,  2715,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   205,    -1,  1029,    -1,
      -1,  2733,    -1,    -1,    -1,    -1,   456,    -1,    -1,    -1,
      -1,    -1,  2744,    -1,    -1,  2747,  2748,  2749,  2750,    10,
      -1,  2753,    13,    -1,  2756,    -1,    17,    18,    19,    -1,
      -1,    -1,    -1,    -1,   647,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    35,  2777,    -1,    -1,    -1,    25,
      -1,    -1,    -1,    -1,    45,    31,  2788,    -1,    -1,    -1,
      -1,    52,    -1,    -1,  2796,  2797,    -1,    -1,    -1,   278,
      -1,  2803,    -1,   282,    -1,    -1,    -1,    -1,    -1,    -1,
    2812,    -1,    -1,   292,   697,   698,    -1,    78,    -1,    -1,
      -1,    -1,   301,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      76,    -1,  2834,    -1,   313,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2855,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2868,    -1,    -1,    -1,
      -1,    -1,    -1,   352,    -1,    -1,   355,   356,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   132,    -1,    -1,  2891,
      -1,    -1,  2894,   139,    -1,    -1,   142,    -1,    -1,    -1,
      25,    -1,    -1,    -1,    10,    -1,    31,    13,   387,  3524,
     793,    17,    18,    19,    -1,    -1,    -1,    -1,  2920,  2921,
      -1,    -1,    -1,   169,    -1,    -1,    -1,    -1,    -1,    35,
     813,    -1,   193,  2935,    -1,  2937,  2938,   198,   821,    45,
      -1,   824,   825,   826,    -1,    -1,    52,    -1,    -1,    -1,
      -1,    76,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   205,
     221,   222,    -1,    -1,    -1,    -1,    -1,  2969,  2970,  2971,
      -1,    -1,    78,  2975,    -1,    -1,    -1,   456,    -1,    -1,
    3595,  2983,  3597,   244,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2996,    -1,    -1,    -1,    -1,    -1,
    3002,    -1,  3004,    -1,    -1,    -1,    -1,   132,    -1,    -1,
      -1,    -1,    -1,    -1,   139,  3017,    -1,   142,    -1,    -1,
    3022,    -1,    -1,    -1,   285,    -1,  3028,    -1,    -1,  3031,
      -1,    -1,   278,    -1,    -1,    -1,   282,    -1,   299,    -1,
      -1,  3043,  3044,    -1,   169,    -1,   292,    -1,    -1,    -1,
      -1,    -1,  3054,    -1,    -1,   301,    -1,    -1,    -1,    -1,
      -1,    -1,  3064,    -1,  3066,    -1,    -1,   313,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1379,    -1,
     205,    -1,    -1,  1384,  1385,    -1,    -1,   193,    -1,    -1,
      -1,    -1,   198,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3105,    -1,  3107,   352,  3109,    -1,   355,
     356,  1412,    -1,    -1,    -1,   221,   222,    -1,    -1,    -1,
    1421,    -1,  1423,    -1,  3739,    -1,  1427,    -1,    -1,    -1,
    3745,   392,    -1,  1434,    -1,    -1,    -1,    -1,   244,    -1,
    3142,   387,    -1,    -1,    -1,    -1,  1029,    -1,    -1,    -1,
      -1,    -1,    -1,   278,    -1,    -1,    -1,   282,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   292,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    25,   301,    -1,    -1,   285,
      -1,    31,    -1,    -1,    -1,    -1,    -1,    -1,   313,    -1,
      -1,    -1,    -1,   299,  3196,  3197,   302,  3199,    -1,  3201,
    3202,    -1,  3204,    -1,    -1,    -1,    -1,    -1,    -1,  3211,
     456,    -1,    -1,    -1,  3216,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1525,    -1,    76,   352,    -1,    -1,
     355,   356,    -1,   494,  1535,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   503,   504,   505,   506,   507,   508,   509,   510,
     511,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3261,
    3262,  3263,   387,    -1,  3266,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3274,  3275,  3276,  3277,    -1,    -1,  1579,  1580,
      -1,    -1,   132,    -1,    -1,    -1,   392,    -1,  3290,   139,
      -1,  3293,   142,  3295,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3307,  3308,    -1,    -1,  3311,
      -1,    -1,    -1,    -1,    -1,    -1,  3931,    -1,  3933,   169,
    3935,  1622,    -1,    -1,  1625,  1626,    -1,    -1,  3330,    -1,
    3332,   456,  3334,    -1,  3336,    -1,    -1,  1220,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3355,    -1,   205,  3358,    -1,    -1,    -1,
    3362,    -1,    -1,    -1,  1247,    23,    -1,    -1,    -1,    -1,
      28,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3383,    -1,    -1,    -1,    -1,    -1,    -1,   494,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   503,   504,   505,
     506,   507,   508,   509,   510,   511,    -1,    -1,   514,    -1,
    3412,    -1,    -1,  3415,  3416,    -1,    -1,    -1,  3420,  3421,
    3422,    79,    80,    -1,    25,    -1,  3428,    -1,   278,    -1,
      31,  3433,   282,    51,    -1,    -1,    10,    95,    -1,    13,
      -1,    -1,   292,    17,    18,    19,  3448,    -1,    -1,  1332,
      -1,   301,     0,    -1,    -1,   113,    -1,    -1,  1341,    -1,
    3462,    35,    -1,   313,  3466,    -1,    -1,  3469,  3470,    -1,
    3472,    45,    20,    -1,  1357,    76,    -1,    -1,    52,   137,
      -1,    -1,    25,    31,    -1,    33,    34,    -1,    31,    -1,
     148,    -1,    -1,  1376,    -1,    -1,  1379,  1380,    -1,   157,
      -1,  1384,  1385,    51,    78,   355,   356,    -1,    -1,    -1,
      -1,  3513,   170,    61,    -1,    -1,  3518,  1818,   176,    -1,
      -1,    -1,    -1,    -1,    -1,    73,    -1,    75,    76,    -1,
      -1,   132,    -1,    76,    82,    -1,    84,   387,   139,    -1,
      -1,   142,  3544,  3545,    -1,   203,    -1,    -1,    96,    -1,
      98,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,   169,    -1,
     118,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   236,    -1,
      -1,    -1,    -1,    -1,    -1,   133,    -1,   135,    -1,   132,
      -1,   139,    -1,    -1,    -1,    -1,   139,   145,    -1,   142,
     258,    -1,    -1,    -1,   205,   153,   456,   155,    -1,    -1,
      -1,    -1,    -1,    -1,   162,    -1,    -1,    -1,    -1,   193,
      -1,    -1,    -1,    -1,   198,    -1,   169,    -1,    -1,    -1,
      -1,    -1,   180,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   221,   222,   197,
    3652,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3662,    -1,   205,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     244,    -1,    -1,    -1,    -1,   333,   334,   278,    -1,   337,
      -1,   282,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   292,    -1,    -1,    -1,    -1,    -1,    -1,   246,   247,
     301,    -1,    -1,    -1,   252,    -1,   364,    -1,    -1,   367,
      -1,   285,   313,    -1,    -1,    -1,   374,    -1,   266,    -1,
      -1,    -1,    -1,   381,    -1,   299,   384,    -1,   302,    -1,
      -1,    -1,  2033,  2034,    -1,   278,   284,    -1,    -1,   282,
      -1,    -1,    -1,    -1,    -1,   403,  2047,  2048,    -1,   292,
      -1,   352,   410,    -1,   355,   356,  1639,    -1,   301,   417,
      -1,    -1,   420,    -1,  1647,    -1,   424,  3769,    -1,    -1,
     313,    -1,    -1,  3775,    -1,    -1,  2077,    -1,    -1,    -1,
     328,   439,    -1,    -1,  3786,    -1,   387,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   342,    -1,    -1,    -1,    -1,    -1,
     348,   349,    -1,   351,    -1,    -1,    -1,   465,   356,   352,
      -1,    -1,   355,   356,   362,    -1,    -1,   365,   392,    -1,
      -1,  3823,  3824,  3825,   372,    -1,    -1,    -1,    -1,    -1,
      -1,   379,   380,    -1,    -1,    -1,    -1,    -1,  3840,   387,
      -1,    -1,    -1,   391,   387,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3854,   401,    -1,   456,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   417,
    3872,  3873,  3874,    -1,    -1,    -1,  3878,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3890,   437,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     448,    -1,    -1,    -1,    -1,    -1,   454,    -1,    -1,    -1,
      -1,   459,    -1,   456,    -1,    -1,    -1,    -1,    -1,    -1,
     494,    -1,    -1,    -1,   472,    -1,    -1,    -1,    -1,   503,
     504,   505,   506,   507,   508,   509,   510,   511,    -1,    -1,
      -1,    -1,   516,    -1,  3946,    -1,    -1,    -1,   496,    -1,
     498,   499,   500,   501,   502,    -1,    -1,    -1,  3960,  3961,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   515,    -1,  3971,
     518,  4586,    -1,    -1,  4589,    -1,    -1,    -1,    -1,  1862,
      -1,    -1,  3984,  1866,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4003,    -1,  4618,    -1,    -1,    -1,    -1,    -1,    -1,
    4012,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4026,    -1,    -1,    -1,  4030,  4031,
      -1,    -1,    -1,    -1,  4036,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4046,    -1,  4048,    -1,    -1,  4051,
      -1,    -1,    -1,    -1,  4056,  4057,  4058,  4059,    -1,    -1,
    4062,  4063,  4064,  4065,  4066,  4067,  4068,  4069,  4070,  4071,
      -1,    -1,    -1,  4075,  4076,  4077,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4085,    -1,    -1,    -1,    -1,  4090,   707,
      -1,    -1,  4094,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4102,    -1,    -1,  4105,    -1,  4107,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   733,    -1,    -1,    -1,    -1,
      -1,  4123,    -1,    -1,  4126,  4127,    -1,    -1,    -1,  4131,
    4132,    -1,    -1,    -1,  4136,    -1,  4138,  4139,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4147,  4148,  4149,    -1,    -1,
      -1,    -1,    -1,  2036,    -1,    10,    -1,    -1,    13,    -1,
      -1,    -1,    17,    18,    19,  4167,  4168,  4169,    -1,  4171,
    4172,    -1,    -1,  4175,    -1,    10,    -1,  4179,    13,    -1,
      35,  4183,    17,    18,    19,    -1,    -1,  4189,    -1,    -1,
      45,    -1,    -1,    -1,    -1,    -1,    -1,    52,    -1,    -1,
      35,    -1,    -1,    -1,    -1,    -1,    62,    -1,    -1,    -1,
      45,    -1,  4827,  4215,    -1,    -1,    -1,    52,    -1,    -1,
      -1,    -1,    -1,    78,    -1,    -1,    -1,    -1,  4230,    -1,
    4232,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    97,    -1,    78,    -1,    -1,    -1,    -1,  4250,  4251,
      -1,  4253,    -1,    -1,  4256,    -1,  4871,  4872,   876,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4291,
    4292,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   158,    -1,    -1,    -1,    -1,    -1,  4310,    -1,
    2611,  2612,    -1,    -1,    -1,    -1,  2617,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   193,   195,
      -1,    -1,    -1,   198,    -1,    -1,    -1,    -1,  2649,  2650,
    4965,  4966,    -1,    -1,    -1,    -1,    -1,    -1,   193,    -1,
      -1,  4363,    -1,   198,    -1,    -1,   221,   222,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   240,    -1,   221,   222,    -1,   244,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1020,    -1,    -1,    -1,    -1,    -1,    -1,   244,
    2711,    -1,    -1,    -1,    -1,    -1,  4418,    -1,    -1,    -1,
      -1,  1039,   278,    -1,    -1,    -1,   282,    -1,    -1,    -1,
     285,    -1,  1050,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   299,    -1,    -1,   302,  1066,  4451,
     285,    -1,    10,    -1,    -1,    13,    -1,   313,   314,    17,
      18,    19,    -1,  4465,   299,  4467,    -1,   302,    -1,    -1,
      -1,    -1,  4474,    -1,    -1,    -1,    -1,    35,  4480,    -1,
    5095,    -1,    -1,  5098,  5099,    -1,    -1,    45,    -1,  4491,
      -1,    -1,    -1,    -1,    52,  2796,   352,    -1,    -1,    -1,
     356,    -1,    -1,  5118,  4506,   361,    -1,    -1,    -1,  4511,
    4512,    -1,    -1,    -1,   370,    -1,    -1,  4519,    -1,    -1,
      78,    -1,    -1,   379,    -1,    -1,  4528,    -1,    -1,    -1,
      -1,   387,    -1,    -1,    -1,    -1,  4538,   392,    -1,    -1,
      -1,    -1,    -1,   399,    -1,    -1,    -1,    -1,  4550,  4551,
      -1,    -1,   408,    -1,    -1,    -1,   412,   392,    -1,  4561,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4572,  4573,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2885,    -1,    -1,    -1,  4590,    -1,
      -1,    -1,  2893,    -1,    -1,  2896,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1223,    -1,  2908,    -1,    -1,
     168,   467,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4631,
      -1,    -1,    -1,    -1,    -1,   193,    -1,    -1,    -1,   494,
     198,    -1,    -1,    -1,    -1,  4647,    -1,    -1,   503,   504,
     505,   506,   507,   508,   509,   510,   511,    -1,    -1,   494,
    4662,   516,    -1,   221,   222,    -1,    -1,    -1,   503,   504,
     505,   506,   507,   508,   509,   510,   511,    -1,    -1,    -1,
    2563,   516,    -1,    -1,    -1,    -1,   244,    -1,  4690,    -1,
      -1,  4693,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4701,
    4702,    -1,    -1,    -1,    -1,    -1,  4708,  4709,    -1,    -1,
      -1,  4713,    -1,    -1,    -1,    -1,  4718,    -1,    -1,  4721,
    4722,    -1,    -1,    -1,    -1,    -1,  4728,   285,    -1,    -1,
    4732,  4733,  4734,  4735,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   299,    -1,    -1,   302,    -1,  4748,    -1,    -1,  4751,
      -1,    -1,    -1,  4755,    -1,    -1,    -1,    -1,  4760,    -1,
      -1,  4763,  4764,    -1,  4766,    -1,  4768,    -1,    -1,  4771,
      -1,  4773,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4782,    -1,    -1,    -1,  4786,    -1,    -1,    -1,  4790,    -1,
    4792,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4807,    -1,    -1,  4810,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2711,    -1,
      -1,    -1,    -1,    -1,   392,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4845,    -1,    -1,    -1,  4849,    -1,    -1,
      -1,    -1,    -1,    -1,  3155,    -1,    10,    -1,    -1,    13,
      -1,    -1,  1480,    17,    18,    19,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    35,    -1,    -1,    -1,    -1,    -1,    -1,  2771,    -1,
      -1,    45,    -1,    -1,    -1,    -1,    -1,    -1,    52,    -1,
      -1,    -1,    -1,    -1,  5519,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4915,    -1,    -1,    -1,    -1,    -1,    -1,
    4922,    -1,    -1,    -1,    78,    -1,    -1,    -1,    -1,  1547,
      -1,    -1,    -1,    -1,    -1,    -1,   494,    -1,    -1,    -1,
      -1,    -1,  4944,    -1,    -1,   503,   504,   505,   506,   507,
     508,   509,   510,   511,    -1,    -1,    -1,  4959,  5573,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2851,    -1,
    1588,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4990,    -1,
      -1,    -1,  2875,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1621,  5006,    -1,    -1,    -1,    -1,    -1,
      -1,  5013,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5022,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5037,    -1,    -1,    -1,   193,
      -1,    -1,    -1,    -1,   198,    -1,    -1,    -1,  5050,    -1,
    5052,    -1,    -1,    -1,    -1,    -1,  2939,    -1,    -1,    -1,
    2943,    -1,    -1,    -1,    -1,    -1,    -1,   221,   222,    -1,
      -1,    -1,  5687,  3374,    -1,  3376,  5078,    -1,    -1,    -1,
      -1,    -1,    -1,  1701,  1702,  1703,    -1,  5089,    -1,    -1,
     244,  3392,    -1,    -1,    -1,    -1,    -1,  2980,    -1,  2982,
      -1,  2984,  2985,    -1,    -1,    -1,  2989,  2990,  2991,    -1,
    2993,  2994,  2995,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,    13,
      -1,   285,    -1,    17,    18,    19,    -1,    -1,    -1,  3440,
    3441,    -1,    -1,    -1,    -1,   299,  5148,    -1,   302,  5151,
      -1,    35,  5154,  5155,  5156,    -1,    -1,    -1,    -1,    -1,
      -1,    45,    -1,    -1,  3047,    -1,    -1,    -1,    52,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5179,  5180,    -1,
      -1,  5183,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3072,
      -1,    -1,    -1,    -1,    78,  1813,    -1,    -1,    -1,    -1,
      -1,  5203,    -1,    -1,    -1,    -1,  1824,  5209,    -1,    -1,
      -1,  5213,    -1,    -1,    -1,  5217,    -1,    -1,  5220,    -1,
    5222,    -1,  1840,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5233,    -1,    -1,  5236,    -1,    -1,    -1,   392,    -1,
      -1,    -1,    -1,    -1,    -1,  5247,  5248,  5249,    -1,  5251,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    10,    -1,    -1,    13,    -1,    -1,
      -1,    17,    18,    19,    -1,    -1,  1894,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,
      -1,  1909,    -1,    -1,  1912,  1913,    -1,    -1,    -1,    45,
    5302,  5303,    -1,    -1,    -1,    -1,    52,    -1,    -1,   193,
      -1,    -1,    -1,    -1,   198,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1943,  1944,    -1,    -1,    -1,
      -1,    -1,    78,    -1,    -1,    -1,    -1,   221,   222,    -1,
     494,    -1,    -1,    -1,    -1,  5347,    -1,    -1,    -1,   503,
     504,   505,   506,   507,   508,   509,   510,   511,    -1,  5361,
     244,    -1,   516,    -1,  5366,    -1,    -1,    -1,    -1,  5371,
      -1,    -1,    -1,    -1,    10,    -1,    -1,    13,  5380,    -1,
      -1,    17,    18,    19,    -1,    -1,    -1,    -1,  5390,    -1,
      -1,    -1,  5394,    -1,    -1,  5397,    -1,    -1,    -1,    35,
      -1,   285,    -1,    -1,    -1,    -1,  5408,  5409,  5410,    45,
      -1,    -1,    -1,    -1,    -1,   299,    52,  6032,   302,    -1,
      -1,    -1,    -1,    -1,  2042,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2053,    -1,    -1,  2056,    -1,
      -1,    -1,    78,    -1,  5446,    -1,    -1,   193,  5450,    -1,
    5452,    -1,   198,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2081,  5466,    -1,    -1,    -1,    -1,    -1,
      -1,  5473,    -1,    -1,  5476,   221,   222,    -1,  5480,    -1,
      -1,    -1,    -1,    -1,    -1,  5487,    -1,    -1,    -1,    -1,
      -1,    -1,  5494,  3376,    -1,    -1,    -1,    -1,   244,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   392,    -1,
      -1,  3812,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5529,    -1,    -1,
      -1,    -1,    -1,    -1,  3835,    -1,    -1,    -1,  5540,   285,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   299,  5556,    -1,   302,   193,    -1,    -1,
    5562,  5563,   198,    -1,    -1,  5567,  5568,  5569,  5570,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   221,   222,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5598,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5607,    -1,    -1,   244,    -1,
     494,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   503,
     504,   505,   506,   507,   508,   509,   510,   511,    -1,    -1,
    5632,    -1,   516,  5635,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   392,    -1,    -1,   285,
      -1,    -1,    -1,    -1,    -1,  3538,    -1,    -1,  5660,    -1,
      -1,    -1,    -1,   299,    -1,    -1,   302,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5688,    -1,    -1,    -1,
      -1,  3992,    -1,    -1,    -1,  5697,  5698,  5699,    -1,    -1,
      -1,  5703,    -1,    -1,    -1,  5707,    -1,    -1,  5710,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5719,    -1,  5721,
      -1,  5723,  5724,    -1,    -1,    -1,    -1,    -1,  5730,    -1,
      -1,    -1,    -1,  3616,    -1,    -1,    -1,    -1,  5740,    -1,
    5742,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   494,    -1,
    5752,    -1,    -1,    -1,    -1,    -1,   392,   503,   504,   505,
     506,   507,   508,   509,   510,   511,    -1,    -1,    -1,    -1,
     516,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5787,  5788,    -1,    -1,    10,
      -1,  3674,    13,    -1,    -1,    -1,    17,    18,    19,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    35,  5817,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    45,    -1,    -1,    -1,    -1,  5831,
      -1,    52,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,   494,  3742,
      -1,    -1,    -1,    -1,    -1,    -1,  5868,   503,   504,   505,
     506,   507,   508,   509,   510,   511,    -1,    -1,    -1,  5881,
     516,    -1,    -1,  5885,    -1,    -1,    -1,    -1,    -1,  5891,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5900,  5901,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3790,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5918,    -1,    -1,  3802,
    3803,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2546,  3812,
      -1,  5933,    -1,    -1,  3817,    -1,  3819,    -1,  5940,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5965,    -1,    -1,    -1,    -1,    -1,    -1,
    5972,    -1,   193,    -1,    -1,    -1,    -1,   198,    -1,    -1,
    5982,    -1,  3865,    -1,    -1,    -1,    -1,    -1,  5990,  5991,
    5992,    -1,    -1,    -1,  5996,    -1,    -1,    -1,    -1,    -1,
     221,   222,    -1,    -1,    -1,    -1,  6008,  6009,  6010,    -1,
      -1,    -1,    -1,  6015,  6016,    -1,    -1,  3900,  3901,  6021,
      -1,    -1,    -1,   244,    -1,    -1,    -1,    -1,  4329,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6043,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4355,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   285,  2683,    -1,    -1,  4369,  2687,
    2688,  6073,  6074,  6075,    -1,    -1,    -1,  6079,   299,  4380,
      -1,   302,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6097,  6098,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6112,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6126,    -1,    -1,    -1,  2746,    -1,
      -1,    -1,    -1,    -1,  2752,    -1,    -1,    -1,    10,    -1,
      -1,    13,    -1,    -1,    -1,    17,    18,    19,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4456,  4457,  6159,  6160,  6161,
    6162,  6163,    -1,    35,  6166,    -1,    -1,    -1,    -1,    -1,
      -1,   392,    -1,    45,    -1,  2793,  6178,    -1,    -1,  6181,
      52,    -1,    -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,
      -1,    14,    15,    -1,    -1,    -1,    -1,    20,    -1,    22,
    6202,    -1,    -1,    -1,    -1,    28,    78,    30,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4101,  6221,
    6222,    -1,    -1,    -1,  6226,    -1,    49,    50,  6230,    10,
      -1,    -1,    13,    -1,    -1,    -1,    17,    18,    19,    -1,
    6242,  6243,    -1,  4544,  6246,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    35,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    45,    -1,    -1,    -1,    -1,    10,
      -1,    52,    13,   494,    -1,    -1,    17,    18,    19,    -1,
      -1,    -1,   503,   504,   505,   506,   507,   508,   509,   510,
     511,    -1,    -1,    -1,    35,   516,  4597,    78,    -1,    -1,
      -1,    -1,    -1,    -1,    45,    -1,    -1,    -1,    -1,    -1,
      -1,    52,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   193,    -1,    -1,    -1,    -1,   198,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   221,
     222,    -1,    -1,  2971,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   244,    -1,    -1,    -1,    -1,   200,    -1,    -1,
      -1,   204,    -1,    -1,    -1,  3003,    -1,    -1,    -1,   212,
      -1,    -1,   215,    -1,    -1,   218,   219,    -1,   221,    -1,
     223,    -1,    -1,   226,    -1,   228,    -1,    -1,    -1,    -1,
      -1,    -1,   193,   285,    -1,    -1,    -1,   198,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   299,    -1,    -1,
     302,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     221,   222,    -1,    -1,    -1,    -1,  4329,    -1,    -1,    -1,
      -1,    -1,   193,    -1,    -1,    -1,    -1,   198,  3076,    -1,
      -1,    -1,  3080,   244,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4355,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     221,   222,    -1,    -1,    -1,    -1,    -1,  4370,    -1,    -1,
    4373,    -1,  4375,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   244,   285,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   299,    -1,
     392,   302,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4421,    -1,
      -1,    -1,    -1,    -1,   285,    -1,    -1,    -1,    -1,    -1,
      -1,  4852,    -1,    -1,  4437,    -1,    -1,  4858,   299,  4442,
      -1,   302,  4863,    -1,    -1,  3183,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3198,    -1,    -1,    -1,    -1,  3203,    -1,    -1,    -1,  4890,
    4891,    -1,    -1,    -1,  4895,  4896,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   392,    -1,    -1,    -1,  3233,    -1,    -1,    -1,    -1,
      -1,    -1,   494,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   503,   504,   505,   506,   507,   508,   509,   510,   511,
      -1,    -1,    -1,    -1,   516,   198,   199,    -1,    -1,   202,
      -1,   392,    -1,    -1,    -1,    -1,    -1,    -1,  4541,    -1,
      -1,  4544,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   222,
      -1,    -1,    -1,    -1,    -1,    -1,   229,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   494,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   503,   504,   505,   506,   507,   508,   509,   510,
     511,    -1,    -1,    -1,    -1,   516,    -1,  4620,  4621,  4622,
    4623,    -1,  4625,  4626,  4627,  4628,  4629,    -1,    -1,    -1,
      -1,    -1,    -1,   494,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   503,   504,   505,   506,   507,   508,   509,   510,
     511,    -1,    -1,    -1,    -1,   516,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   645,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   656,    -1,    -1,    -1,   660,    -1,    -1,
      25,    -1,    -1,    -1,   667,   668,    31,    -1,   671,    -1,
     673,   674,    -1,    38,    -1,    -1,    -1,  4740,    -1,  4742,
      -1,    -1,    -1,    -1,  3482,   688,    -1,  3485,    -1,  3487,
      -1,    -1,    -1,    -1,  3492,    60,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   706,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    76,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   727,    -1,   729,     0,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   739,    -1,    -1,    -1,
      -1,    -1,    -1,  3541,    -1,    -1,   111,    20,    -1,    -1,
      -1,  3549,    -1,    -1,    -1,    -1,    -1,    -1,    31,    -1,
      33,    34,    -1,    -1,    -1,    -1,    -1,   132,    -1,   772,
      -1,    -1,    -1,    -1,   139,    -1,  3574,   142,    51,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    61,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      73,    -1,    75,    76,   169,    -1,    -1,    -1,    -1,    82,
    5291,    84,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    96,    -1,    98,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   201,    -1,    -1,    -1,
     205,    -1,   115,    -1,    -1,   118,  3644,    -1,  3646,    -1,
     853,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     133,    -1,   135,    -1,    -1,    -1,   139,    -1,    -1,    -1,
      -1,    -1,   145,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     153,    -1,   155,    -1,    -1,    -1,    -1,    -1,    -1,   162,
      -1,    -1,    -1,    -1,   259,    -1,    -1,    -1,   263,  4962,
    4963,    -1,    -1,    -1,    -1,    -1,    -1,   180,    -1,    -1,
      -1,    -1,  4975,   278,  4977,  4978,  4979,   282,    -1,    -1,
     653,    -1,   655,    -1,   197,   658,    -1,   292,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   938,   301,    -1,    -1,   672,
      -1,    -1,  3740,    -1,    -1,   678,    -1,   312,   313,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      10,    -1,    -1,    13,    -1,    -1,    -1,    17,    18,    19,
      -1,  3769,    -1,   246,   247,    -1,    -1,  3775,    -1,   252,
    5043,    -1,    -1,    -1,    -1,    35,  3784,   352,    -1,    -1,
     355,   356,   357,   266,    -1,    45,    -1,    -1,    -1,    -1,
      -1,    -1,    52,    -1,    -1,    -1,    -1,    -1,    -1,  1012,
      -1,   284,    -1,    -1,  3812,    -1,   381,    -1,    -1,  5082,
      -1,    -1,   387,    -1,    -1,    -1,    -1,    -1,    78,    -1,
      -1,    -1,    -1,    -1,  1037,    -1,   401,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1052,
      -1,  1054,    -1,    -1,    -1,   328,    -1,    -1,    -1,    -1,
      -1,  1064,  5125,    -1,    -1,    -1,    -1,    -1,  1071,   342,
      -1,    -1,    -1,    -1,    -1,   348,   349,    -1,   351,    -1,
      -1,    -1,  3880,   356,    -1,    -1,    -1,    -1,    -1,   362,
      -1,   456,   365,    -1,    -1,    -1,    -1,  5578,    -1,   372,
      -1,    -1,    -1,    -1,  3902,    -1,   379,   380,    -1,    -1,
      -1,  1114,    10,  1116,   387,    13,    -1,    -1,   391,    17,
      18,    19,    -1,    -1,    -1,    -1,  3924,    -1,   401,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,    -1,    -1,
      -1,    -1,    -1,   193,   417,    -1,    -1,    45,   198,    -1,
      -1,    -1,    -1,    -1,    52,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   437,    -1,    -1,    -1,    -1,    -1,
      -1,   221,   222,    -1,    -1,   448,    -1,    -1,    -1,    -1,
      78,   454,    -1,    -1,    -1,    -1,   459,  1190,    -1,  1192,
      -1,  1194,    -1,  1196,   244,  1198,  1199,  1200,    -1,   472,
      -1,    -1,  1205,    -1,    -1,    -1,    -1,    -1,  4006,    -1,
      -1,    -1,    -1,    -1,  1217,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   496,    -1,    -1,    -1,    -1,  5291,    -1,
      -1,    -1,   965,   966,    -1,   285,    -1,    -1,    -1,    -1,
      -1,    -1,   515,    -1,    -1,   518,    -1,    -1,    -1,   299,
      -1,    -1,   302,    -1,    -1,    -1,    -1,  4055,    -1,    -1,
      -1,    -1,    -1,    -1,    10,    -1,    -1,    13,    -1,    -1,
      -1,    17,    18,    19,  5337,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4080,  5346,    -1,    -1,    -1,    -1,  5769,    35,
      -1,    -1,    -1,    -1,    -1,   193,    -1,    -1,    -1,    45,
     198,    -1,    10,  1036,    -1,    13,    52,    -1,    -1,    17,
      18,    19,    -1,    -1,    -1,    -1,    -1,    -1,  1051,    -1,
      -1,    -1,    -1,   221,   222,    -1,    -1,    35,    -1,    -1,
      -1,    -1,    78,    -1,    -1,    -1,    -1,    45,    -1,    -1,
      -1,    -1,   392,    -1,    52,    -1,   244,    -1,    -1,  1082,
    1083,    -1,    -1,   206,   207,    -1,    -1,    -1,    -1,    -1,
      -1,   214,    -1,   216,   217,    -1,    -1,    -1,    -1,    -1,
      78,    -1,    -1,    -1,    -1,  1108,    -1,   230,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   285,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1401,    -1,
      -1,   299,    -1,    -1,   302,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1148,  1149,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4238,    -1,    -1,    -1,   494,    -1,    -1,   193,    -1,    -1,
      -1,    -1,   198,   503,   504,   505,   506,   507,   508,   509,
     510,   511,    -1,    -1,    -1,    -1,   516,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   221,   222,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   193,    -1,    -1,    -1,    -1,
     198,    -1,    -1,    -1,   392,    -1,    -1,    -1,   244,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   221,   222,  5578,    -1,    -1,  1521,  5582,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4329,    -1,    -1,    -1,    -1,   244,    -1,    -1,   285,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   299,    -1,    -1,   302,  4355,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   285,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1593,   299,    -1,   207,   302,    -1,   494,    -1,    -1,    -1,
      -1,    -1,   216,    -1,    -1,   503,   504,   505,   506,   507,
     508,   509,   510,   511,    -1,    -1,   230,    -1,   516,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   392,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    10,    -1,    -1,    13,    -1,    -1,    -1,    17,
      18,    19,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   392,    -1,    -1,    35,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    45,    -1,  4497,
      -1,    -1,    -1,    -1,    52,    -1,    -1,  6188,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5779,    -1,    -1,    -1,
    5783,    -1,  5785,    -1,    -1,    -1,  5789,  5790,    -1,    -1,
      78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4544,    -1,   494,    -1,
      -1,  4549,    -1,  6234,    -1,    -1,    -1,   503,   504,   505,
     506,   507,   508,   509,   510,   511,    -1,    -1,    -1,    -1,
     516,  6252,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   494,    -1,    -1,    -1,
      -1,   644,    -1,    -1,    -1,   503,   504,   505,   506,   507,
     508,   509,   510,   511,    -1,    -1,  1809,  1540,   516,    -1,
     663,    -1,    -1,    -1,    -1,    -1,   669,    -1,    -1,    -1,
      -1,    -1,    10,    -1,    -1,    13,    -1,    -1,   681,    17,
      18,    19,  1565,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1844,    -1,    -1,   697,   193,    -1,    35,    -1,    -1,
     198,    -1,    -1,    -1,    -1,    -1,    -1,    45,   711,   712,
      -1,    -1,    -1,    -1,    52,   718,    -1,   720,   721,    -1,
      -1,    -1,    -1,   221,   222,    -1,    -1,    -1,    -1,    -1,
      -1,   734,    -1,    -1,    -1,    -1,    -1,  1890,    -1,    -1,
      78,   744,    -1,    -1,    -1,    -1,   244,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4704,  1910,    -1,  1642,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1936,    -1,  1938,    -1,   285,    -1,  1672,
    1673,  1674,  1675,    -1,   797,    -1,    -1,    -1,    -1,    -1,
    1953,   299,  1955,    -1,   302,    -1,    -1,    -1,  1961,    -1,
    1963,    -1,  1965,    -1,  1967,    -1,  1969,    -1,    -1,    -1,
    1973,    -1,   825,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    10,    -1,  6049,    13,    -1,    -1,
      -1,    17,    18,    19,    -1,    -1,    -1,   850,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   193,    -1,  2010,    -1,    35,
     198,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    45,
      -1,    -1,    -1,    -1,    -1,    -1,    52,    -1,    -1,    -1,
     644,  4829,    -1,   221,   222,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   392,    -1,    -1,    -1,    -1,   663,
      -1,    -1,    78,    -1,    10,   669,   244,    13,    -1,   912,
      -1,    17,    18,    19,    -1,    -1,    -1,   681,    -1,    -1,
      -1,    -1,  4870,    -1,    -1,    -1,    -1,    -1,    -1,    35,
      -1,    -1,    -1,   697,    -1,    -1,  1819,  1820,    -1,    45,
      -1,    -1,    -1,    -1,  4892,    -1,    52,   285,   712,    -1,
      -1,    -1,  1835,    -1,    -1,    -1,   720,    -1,    -1,    -1,
      -1,   299,    -1,    -1,   302,    -1,    -1,    -1,    -1,    -1,
     734,    -1,    78,    -1,    -1,  6188,    -1,    -1,    -1,  6192,
     744,    -1,    -1,    -1,    -1,    -1,  1869,  1870,  1871,  1872,
      -1,    -1,    10,    -1,    -1,    13,   494,    -1,    -1,    17,
      18,    19,    -1,    -1,    -1,   503,   504,   505,   506,   507,
     508,   509,   510,   511,    -1,    -1,  4964,   193,   516,  1022,
      -1,  6234,   198,    -1,    -1,    -1,  1029,    45,    -1,    -1,
      -1,    -1,    -1,   797,    52,    -1,    -1,  1040,    -1,  6252,
      -1,  1044,  6255,  1046,    -1,   221,   222,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   392,    -1,    -1,    -1,    -1,    -1,
      78,   825,    -1,    -1,    -1,    -1,    -1,  1950,   244,    -1,
      -1,    -1,    -1,  1956,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   850,   193,    -1,    -1,
      -1,    -1,   198,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   285,
      -1,    -1,    -1,    -1,    -1,   221,   222,    -1,    -1,    -1,
      -1,    -1,    -1,   299,    -1,    -1,   302,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5083,    -1,  5085,   244,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   912,    -1,
    1153,    -1,    -1,    -1,    -1,    -1,   494,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   503,   504,   505,   506,   507,
     508,   509,   510,   511,    -1,   193,    -1,    -1,   516,   285,
     198,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   299,    -1,    -1,   302,    -1,    -1,    -1,
      -1,    -1,    -1,   221,   222,    -1,    -1,    -1,    -1,    -1,
      -1,  1214,    -1,    -1,    -1,    -1,   392,    -1,    -1,    -1,
      -1,    -1,  1225,    -1,    -1,    -1,   244,    -1,    -1,    51,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1242,
      -1,    -1,    -1,    -1,  1247,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2140,  1022,    -1,
      -1,    -1,    -1,    -1,    -1,  1029,    -1,   285,    -1,    -1,
      -1,  5219,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   299,    -1,    -1,    10,    -1,   392,    13,    -1,    -1,
      -1,    17,    18,    19,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   494,    45,
      -1,    -1,    -1,    -1,    -1,    -1,    52,   503,   504,   505,
     506,   507,   508,   509,   510,   511,    -1,    -1,    -1,    -1,
     516,    -1,    -1,  5291,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    10,    78,    -1,    13,    -1,    -1,    -1,    17,    18,
      19,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1376,   392,    -1,    35,    -1,    -1,    -1,
      39,  1384,  1385,    -1,    -1,    -1,    45,    -1,   494,  1153,
      -1,    -1,    -1,    52,    -1,    -1,    -1,   503,   504,   505,
     506,   507,   508,   509,   510,   511,    -1,    -1,    -1,    -1,
     516,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1437,    -1,    -1,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1214,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1225,    -1,    -1,    -1,  5413,    -1,   193,    -1,    -1,
     129,    -1,   198,    -1,    -1,    -1,   494,    -1,  1242,    -1,
      -1,    -1,    -1,  1247,    -1,   503,   504,   505,   506,   507,
     508,   509,   510,   511,    -1,   221,   222,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   244,    -1,
      -1,    -1,    -1,    -1,  2677,  2678,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   193,    -1,    -1,    -1,    -1,   198,
      -1,    -1,    -1,  2696,  2697,    -1,  2699,  2700,    -1,    -1,
      -1,  2704,  2705,    -1,    -1,    -1,    -1,    -1,    -1,   285,
      -1,    -1,   221,   222,    -1,    -1,  2719,    -1,    -1,    -1,
      -1,    -1,    -1,   299,  2727,    -1,   302,    -1,  2731,  2732,
      -1,    -1,  2735,  2736,    -1,   244,    -1,    -1,    -1,  2742,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5546,   325,
      -1,  2754,    -1,  5551,  5552,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1376,  2766,    -1,    -1,    -1,    -1,  2771,    -1,
    1384,  1385,    -1,    -1,    -1,    -1,   285,    -1,    -1,    -1,
      -1,    -1,    -1,  2786,    -1,    -1,    -1,    -1,    -1,    -1,
     299,    -1,  2795,   302,    -1,  2798,    -1,  2800,  2801,  2802,
      -1,    -1,    -1,    -1,  2807,  2808,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2817,    -1,   392,    -1,    -1,    -1,
    2823,    -1,    -1,  1437,  2827,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1686,    -1,    -1,  2839,  2840,    -1,    -1,
      -1,  2844,    -1,    -1,    -1,    -1,    -1,  2850,  2851,    -1,
      -1,    -1,    -1,    -1,  2587,    -1,    -1,    -1,    -1,    -1,
      -1,  2864,    -1,    -1,  2867,    -1,  5664,  5665,    -1,    -1,
      -1,  2874,  2875,    -1,    -1,    -1,    -1,  2880,    -1,    -1,
      -1,    -1,    -1,   392,    -1,    -1,    -1,    -1,    -1,  2892,
      -1,    -1,  2895,    -1,    -1,    -1,    -1,  2900,    -1,    -1,
      -1,    -1,    -1,  2906,  2907,    -1,    -1,    -1,    -1,    -1,
      -1,  2914,    -1,    -1,    -1,  2918,  5714,    -1,   494,  2922,
    2923,  2924,  2925,    -1,  2927,    -1,    -1,   503,   504,   505,
     506,   507,   508,   509,   510,   511,    -1,    -1,  2941,  2942,
      -1,  2944,    10,    -1,   453,    13,    -1,    -1,  1801,    17,
      18,    19,  2955,  2956,  2957,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    45,    -1,    -1,
      -1,    -1,    -1,  1836,    52,   494,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   503,   504,   505,   506,   507,   508,
     509,   510,   511,    -1,    -1,    -1,  1859,    -1,    -1,  3012,
      78,    -1,    -1,    -1,  1867,    -1,    -1,  3020,    -1,    -1,
    2753,    -1,  1875,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   707,  3039,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   733,    -1,  1916,  1917,    -1,  1919,  1920,    -1,    -1,
      -1,    -1,  1686,    -1,    -1,    -1,    -1,    -1,  1931,    -1,
    1933,  1934,    -1,    -1,    -1,    -1,  3089,    -1,    -1,    -1,
      -1,    -1,    -1,  1946,  1947,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3108,    -1,  3110,    -1,    10,
      -1,    -1,    13,    -1,    -1,    -1,    17,    18,    19,    -1,
      -1,    -1,    -1,    -1,    -1,   193,    -1,    -1,    -1,    -1,
     198,  1984,    -1,    -1,    35,  1988,  1989,    38,    -1,    -1,
      -1,    -1,    -1,    -1,    45,    -1,    51,    -1,    -1,    -1,
      -1,    52,    -1,   221,   222,    -1,    -1,    10,  2891,    -1,
      13,  2894,    -1,    -1,    17,    18,    19,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   244,    78,    -1,    -1,
      -1,    -1,    35,    -1,    -1,    -1,    -1,  1801,    -1,    -1,
      -1,    -1,    45,    -1,    -1,    -1,    -1,    -1,    -1,    52,
      -1,    -1,  3205,    -1,   876,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   285,    -1,    -1,
      -1,    -1,  1836,    -1,    -1,    78,    -1,    -1,    -1,    -1,
      -1,   299,    -1,    10,   302,    -1,    13,    -1,    -1,    51,
      17,    18,    19,    -1,    -1,  1859,    -1,    -1,    -1,  2102,
    2983,    -1,    -1,  1867,    -1,    -1,    -1,    -1,    35,   327,
      -1,  1875,    -1,  2996,    -1,    -1,    -1,    -1,    45,    -1,
      -1,  3004,    -1,    -1,    -1,    52,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   193,    -1,    -1,    -1,    -1,   198,    -1,    -1,
      -1,    78,    -1,    -1,    -1,  1919,  1920,    -1,    -1,    -1,
    3043,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1933,
     221,   222,    -1,    -1,   392,    -1,    -1,    -1,    -1,    -1,
      -1,  3064,  1946,  1947,    -1,    -1,    -1,    -1,    -1,    -1,
     193,   409,    -1,   244,    -1,   198,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1039,   221,   222,
      -1,    -1,    -1,    -1,  3107,    -1,  3109,    -1,  1050,    -1,
      -1,    -1,    -1,    -1,   285,    -1,    -1,    -1,    -1,    -1,
      -1,   244,    -1,    -1,  1066,    -1,    -1,    -1,   299,    -1,
      -1,   302,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   193,    -1,    -1,    -1,
      -1,   198,    -1,  6221,    -1,    -1,   494,    -1,    -1,    -1,
      -1,    -1,   285,    -1,    -1,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   221,   222,   299,    -1,    25,   302,
      -1,    -1,    -1,    -1,    31,    -1,    -1,    -1,    -1,    -1,
      -1,    38,    -1,    -1,  3197,    -1,    -1,   244,    -1,    -1,
      -1,  3204,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    60,    -1,    -1,    -1,    -1,  2102,    -1,
      -1,   392,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    76,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   285,    -1,
      -1,    -1,  3515,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   299,    -1,    -1,   302,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3536,   111,    -1,    -1,    -1,    -1,   392,
      -1,    -1,    -1,    -1,   321,    -1,    -1,    -1,    -1,    -1,
    3553,  1223,    -1,    -1,  3557,   132,    -1,    -1,    -1,  3562,
    3563,  3564,   139,    -1,    -1,   142,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   169,   494,    -1,  3598,  3599,  3600,  3601,    -1,
      -1,    -1,   503,   504,   505,   506,   507,   508,   509,   510,
     511,    -1,    -1,    -1,    -1,   392,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   201,  3628,    -1,    -1,   205,    -1,
      -1,    -1,    -1,  3636,    -1,  3638,  3639,  3640,    -1,    -1,
     493,   494,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     503,   504,   505,   506,   507,   508,   509,   510,   511,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   259,    -1,    -1,    -1,   263,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   278,    -1,    -1,    -1,   282,    -1,  1379,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   292,    -1,   494,    -1,    -1,
      -1,    -1,    -1,    -1,   301,    -1,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   312,   313,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3756,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3765,    -1,    -1,    -1,    -1,    -1,  2621,    -1,
      -1,    -1,    -1,    -1,    -1,   352,    -1,    -1,   355,   356,
     357,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3791,  3792,
      -1,    -1,    -1,  3796,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   707,    -1,   381,    -1,    -1,    -1,  1480,    -1,
     387,  3544,  3545,    -1,    -1,  3818,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2676,   401,    -1,    -1,    -1,   733,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2694,    -1,    -1,    -1,  2698,    -1,    -1,    -1,  2702,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2711,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3870,    -1,    -1,
      -1,    -1,  3875,    -1,    -1,  1547,    -1,  2730,  3881,   456,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2747,   707,  2749,  2750,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3911,    -1,
      -1,  2764,    -1,    -1,    -1,    -1,  1588,    -1,    -1,    -1,
      -1,   733,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2784,  2785,    -1,    -1,    -1,    -1,  3940,    -1,  3942,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1621,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2815,  2816,    -1,    -1,  2819,    -1,    -1,    -1,
      -1,   876,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2843,    -1,  2845,    -1,    -1,    -1,  2849,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2621,    -1,    -1,
    2863,    -1,    -1,    -1,    -1,    -1,    -1,  2870,    -1,    -1,
    2873,    -1,    -1,    -1,    -1,    -1,  2879,    -1,    -1,    -1,
      -1,    -1,    10,    -1,    -1,    13,    -1,    -1,    -1,    17,
      18,    19,    -1,    -1,    -1,    -1,  2899,    -1,    -1,    -1,
      -1,    -1,  2905,  3786,    -1,    -1,    -1,    35,    -1,  2912,
      38,    -1,  2676,    -1,   876,    -1,    -1,    45,    -1,    -1,
      -1,    -1,    -1,  2926,    52,    -1,    -1,    -1,    -1,    -1,
    2694,    -1,    -1,    -1,  2698,    -1,    -1,  2940,  2702,    -1,
      -1,    -1,  2945,    -1,    -1,    -1,    -1,  2711,  2951,    -1,
      78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2730,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1039,    -1,    -1,    -1,    -1,    -1,
      -1,  1813,    -1,    -1,    -1,  1050,    -1,    -1,    -1,    -1,
    2764,    -1,  1824,    -1,    -1,    -1,    -1,    -1,  3011,    -1,
      -1,  1066,    -1,    -1,    -1,    -1,    -1,    -1,  1840,    -1,
    2784,  2785,    -1,    -1,    51,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2815,  2816,    -1,    -1,  2819,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3946,    -1,   193,    -1,    -1,    -1,    -1,
     198,    -1,  1894,    -1,    -1,    -1,    -1,  1039,    -1,  2843,
      -1,  2845,    -1,    -1,    -1,  2849,    -1,  1909,  1050,    -1,
    1912,  1913,    -1,   221,   222,    -1,    -1,    -1,    -1,  2863,
      -1,    -1,  4255,    -1,  1066,  4258,  2870,  4260,    -1,  2873,
      -1,    -1,    -1,    -1,    -1,  2879,   244,    -1,    -1,    -1,
    4273,  1943,  1944,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4285,    -1,    -1,  2899,  4289,    -1,    -1,    -1,
      -1,  2905,    -1,    -1,    -1,    -1,    -1,    -1,  2912,    -1,
      -1,    -1,    -1,    -1,    -1,  4308,    -1,   285,    -1,    -1,
      -1,    -1,  2926,  3166,    -1,  3168,    -1,    -1,  1223,    -1,
      -1,   299,    -1,  4326,   302,    -1,  2940,    -1,    -1,  4332,
      -1,  2945,  3185,    -1,    -1,    -1,    -1,  2951,    -1,  3192,
      -1,    -1,    -1,    -1,    -1,    -1,  3199,    -1,  3201,  3202,
      -1,    -1,    -1,    -1,  4357,    -1,    -1,    -1,  4361,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4376,  4377,  4378,  4379,    -1,    -1,    -1,
      -1,    -1,    -1,  4386,  4387,  4388,  4389,    -1,    -1,    -1,
      -1,    -1,  4395,  4396,    -1,    -1,    -1,  3011,  4401,  4402,
      -1,  4404,  4405,  4406,  4407,  4408,  4409,  4410,    -1,  2081,
      -1,  1223,    -1,    -1,   392,    -1,    -1,  4420,    -1,    -1,
      -1,  4424,  4425,  4426,  4427,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3285,    -1,    -1,    -1,    -1,    -1,  3291,    -1,
      -1,    -1,    -1,    -1,    -1,  4448,    -1,    -1,    -1,    -1,
      10,    -1,    -1,    13,    -1,    -1,    -1,    17,    18,    19,
      -1,    -1,    -1,  4466,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    35,    -1,    51,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    45,    -1,    -1,    -1,    -1,
      -1,    -1,    52,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   494,    -1,    78,    -1,
      -1,    -1,    -1,  3376,    -1,   503,   504,   505,   506,   507,
     508,   509,   510,   511,    -1,    -1,    -1,    -1,    -1,  4542,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3166,    -1,  3168,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3185,  4575,    -1,    -1,  1480,    -1,    -1,  3192,  4582,
      -1,  4584,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    51,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4612,
      -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   193,    -1,    -1,    -1,    -1,   198,    -1,
      -1,    -1,  1547,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3507,  3508,    -1,    -1,    -1,    -1,
      -1,   221,   222,    -1,    -1,    -1,    -1,    -1,  1480,    -1,
      -1,  3285,    -1,    -1,    -1,    -1,    -1,  3291,    -1,    -1,
      -1,    -1,  3535,  1588,   244,  3538,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1621,    -1,  4451,    -1,
      -1,    -1,    -1,    -1,    -1,   285,    -1,    -1,    -1,    -1,
      -1,    -1,  4465,    -1,    -1,  1547,    -1,    -1,    -1,   299,
      -1,    -1,   302,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3610,  3611,  3612,
      -1,    -1,  3376,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1588,    -1,    -1,    -1,
      -1,    -1,  3635,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3654,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1621,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3676,    -1,    -1,    -1,  4830,  4831,  4832,
     707,    -1,   392,  4836,  4837,  4838,  4839,    -1,    -1,    -1,
    4843,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   733,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4882,
    4883,  4884,  4885,  4886,    -1,  4888,  4889,    -1,    -1,    -1,
      -1,    -1,    -1,  3507,  3508,    -1,    -1,  4900,  4901,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1813,    -1,
      -1,  3764,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1824,
      -1,  3535,    -1,    -1,  3538,    -1,    -1,    -1,    -1,    -1,
      -1,  4934,    -1,    -1,   494,  1840,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   503,   504,   505,   506,   507,   508,   509,
     510,   511,    10,    -1,    -1,    13,    -1,    -1,  3811,    17,
      18,    19,    -1,    -1,  3817,    -1,  3819,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,    -1,  3832,
      38,  3834,    -1,    -1,    -1,    -1,    -1,    45,    -1,  1894,
      -1,    -1,    -1,    -1,    52,    -1,  3610,  3611,  3612,   876,
      -1,  1813,    -1,    -1,  1909,    -1,    -1,  1912,  1913,    -1,
      -1,  2683,  1824,    -1,    -1,  2687,  2688,    -1,    -1,    -1,
      78,  3635,    -1,    -1,    -1,    -1,    -1,    -1,  1840,    -1,
      -1,    -1,    -1,  5036,    -1,    -1,    -1,    -1,  1943,  1944,
    3654,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3901,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3676,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2746,    -1,    -1,    -1,    -1,    -1,
    2752,    -1,  1894,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3943,    -1,    -1,    -1,    -1,    -1,    -1,  1909,  5101,    -1,
    1912,  1913,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3962,
      -1,    -1,    -1,  3966,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2793,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5133,  1943,  1944,   707,  3987,   193,    -1,    -1,    -1,    -1,
     198,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3764,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   733,
      -1,    -1,  1039,   221,   222,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1050,    -1,    -1,  2081,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   244,    -1,    -1,  1066,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3811,    -1,    -1,
      -1,    -1,    -1,  3817,    -1,  3819,    -1,    -1,    -1,    -1,
      -1,  4944,    -1,    -1,    -1,    -1,    -1,    -1,  3832,    -1,
    3834,    -1,    -1,  5226,    -1,    -1,  4959,   285,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4092,
      -1,   299,    -1,    -1,   302,    -1,    -1,    -1,   707,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2081,
      -1,    -1,    -1,    -1,   733,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3901,    -1,    -1,
    5293,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   876,    10,    -1,    -1,    13,    -1,    -1,  5312,
      17,    18,    19,    -1,    -1,  5318,  5319,  5050,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5328,    -1,    -1,    35,  3943,
      -1,  3003,  5335,    -1,   392,    -1,    -1,    -1,    45,    -1,
      -1,    -1,    -1,    -1,    -1,    52,  1223,    -1,  3962,    -1,
      -1,    -1,  3966,    -1,    -1,    10,    -1,    -1,    13,    -1,
      -1,    -1,    17,    18,    19,    -1,    -1,    -1,    -1,  5372,
    5373,    78,    -1,  3987,    -1,    -1,    -1,    -1,    -1,    -1,
      35,    -1,  5385,    38,  5387,    -1,    -1,    -1,    -1,    -1,
      45,    -1,    -1,    -1,    -1,    -1,    -1,    52,    -1,  5402,
      -1,    -1,    -1,    -1,  3076,    -1,    -1,    -1,  3080,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   876,    -1,  4272,
      -1,    -1,    -1,    78,  5427,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5435,    -1,    -1,    -1,   494,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   503,   504,   505,   506,   507,
     508,   509,   510,   511,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1039,    -1,    -1,    -1,    -1,
    4323,    -1,    -1,    -1,    -1,  4328,  1050,  4330,  4092,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   193,    -1,    -1,    -1,
      -1,   198,  1066,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4354,    -1,    -1,    -1,    51,  5509,    -1,    -1,    -1,
      -1,  3183,    -1,    -1,   221,   222,  5249,    -1,  5251,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3198,    -1,    -1,    -1,
    5533,  3203,    -1,    -1,    -1,    -1,    -1,   244,   193,    -1,
      -1,    -1,  5545,   198,    -1,    -1,    -1,  4400,    -1,    -1,
    4403,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3233,    -1,    -1,    -1,    -1,   221,   222,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   285,    -1,
    1039,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   244,
      -1,  1050,   299,    -1,    -1,   302,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1480,    -1,    -1,    -1,  1066,    -1,    -1,
    5613,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     285,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4493,  4494,    -1,    -1,   299,    -1,    -1,   302,    -1,  1223,
      -1,  4504,    -1,    -1,    -1,    -1,    -1,    -1,  4272,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4521,    -1,
    1547,    -1,    -1,    -1,    -1,  5408,    -1,    -1,    -1,    -1,
    5683,    -1,    -1,    -1,    -1,   392,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4323,
      -1,  1588,    -1,    -1,  4328,    -1,  4330,    -1,   425,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   392,    -1,    -1,
    4354,    -1,    -1,    -1,  1621,    -1,  5749,    -1,    -1,  4602,
      -1,    -1,  4605,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5764,    -1,    -1,  1223,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2683,    -1,
      -1,    -1,  2687,  2688,    -1,    -1,  4400,   494,    -1,  4403,
      -1,    -1,    -1,    -1,    -1,    -1,   503,   504,   505,   506,
     507,   508,   509,   510,   511,    -1,    -1,    -1,    -1,    -1,
    3482,    -1,    -1,  3485,    -1,  3487,    -1,    -1,    -1,  5822,
    3492,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    51,  5568,    -1,  5570,    -1,   494,
      -1,  2746,    -1,    -1,    -1,    -1,    -1,  2752,   503,   504,
     505,   506,   507,   508,   509,   510,   511,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3541,
      -1,  2683,    -1,    -1,    -1,  2687,  2688,  3549,    -1,  4493,
    4494,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2793,    -1,
    4504,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3574,    -1,    -1,    -1,  1480,  4521,    -1,    -1,
      -1,    -1,    -1,    -1,  5917,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2746,    -1,  1813,    -1,    -1,    -1,
    2752,    -1,    -1,    -1,    -1,    -1,  5949,  1824,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5960,    -1,    -1,
      -1,    -1,    10,  1840,    -1,    13,    -1,    -1,    -1,    17,
      18,    19,  3644,  1547,  3646,    -1,    -1,    -1,    -1,    -1,
      -1,  2793,    -1,    -1,    -1,    -1,    -1,    35,  4602,  4842,
      -1,  4605,    -1,    -1,    -1,    -1,    -1,    45,    -1,    -1,
      -1,    -1,    -1,    -1,    52,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1588,    -1,    -1,  1894,    -1,    -1,
      -1,  1480,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    -1,  1909,    -1,  4887,  1912,  1913,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4899,  1621,    10,    -1,
      -1,    13,    -1,    -1,    -1,    17,    18,    19,    -1,    -1,
    6063,    -1,    -1,    -1,    -1,    -1,  1943,  1944,  3740,    -1,
      -1,    -1,    -1,    35,    -1,    -1,    -1,    -1,    -1,    -1,
    4933,    -1,    -1,    45,  5817,    -1,    -1,    -1,  1547,    -1,
      52,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3003,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3784,    -1,    10,    -1,    78,    13,    -1,    -1,
      -1,    17,    18,    19,    -1,    -1,   174,    -1,    -1,  1588,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,
    3812,    -1,    -1,    -1,    -1,   193,    -1,    -1,    -1,    45,
     198,    -1,    -1,    -1,    -1,    -1,    52,    -1,  5011,    -1,
      -1,   707,  1621,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3076,    -1,   221,   222,  3080,    -1,  5030,    -1,    -1,
      -1,    -1,    78,    -1,    -1,    -1,    -1,   733,    -1,    -1,
      -1,  3003,    -1,    -1,    -1,    -1,   244,    -1,    -1,    -1,
    5933,    -1,    -1,    -1,  2081,    -1,    -1,    -1,  3880,    -1,
      -1,    -1,   174,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4842,    -1,
    3902,   193,    -1,    -1,    -1,    -1,   198,   285,    -1,  1813,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1824,   299,  3924,    -1,   302,    -1,    -1,    -1,    -1,   221,
     222,    -1,    -1,  5116,  3076,    -1,  1840,    -1,  3080,    -1,
      -1,    -1,   168,  4887,    -1,    -1,    -1,    -1,  3183,    -1,
      -1,    -1,   244,    -1,    -1,  4899,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3198,    -1,    -1,    -1,   193,  3203,    -1,
      -1,    -1,   198,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6043,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4933,
    1894,    -1,    -1,   285,    -1,   221,   222,    -1,  3233,    -1,
     876,    -1,    -1,    -1,  4006,  1909,    -1,   299,  1912,  1913,
     302,  6074,  6075,    -1,   392,    -1,    -1,    -1,   244,    -1,
      -1,    -1,    -1,    -1,  1813,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1824,    -1,    -1,    -1,  1943,
    1944,  3183,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1840,    -1,  4055,    -1,    -1,  3198,    -1,  5241,   285,
    5243,  3203,    -1,    -1,    -1,    -1,    -1,  5011,    -1,    -1,
      -1,    -1,    -1,   299,    -1,    -1,   302,    -1,  4080,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5030,    -1,    -1,    -1,
      -1,  3233,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     392,    -1,    -1,    -1,    -1,  1894,    -1,    -1,    -1,  5292,
      -1,    -1,    -1,    -1,    -1,  6178,   494,    -1,    -1,  5302,
    1909,    -1,    -1,  1912,  1913,   503,   504,   505,   506,   507,
     508,   509,   510,   511,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1943,  1944,    -1,    -1,    -1,  5342,
     707,    -1,    -1,  1039,  5347,    -1,   392,    -1,    -1,    -1,
      -1,    -1,  5116,    -1,  1050,    -1,    -1,  2081,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    10,   733,    -1,    13,    -1,
    1066,    -1,    17,    18,    19,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   494,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      35,   503,   504,   505,   506,   507,   508,   509,   510,   511,
      45,    -1,    -1,    -1,    -1,    -1,    -1,    52,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4238,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3482,    -1,    -1,
    3485,    -1,  3487,    78,    -1,    -1,    -1,  3492,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   494,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   503,   504,   505,
     506,   507,   508,   509,   510,   511,    -1,    -1,    -1,    -1,
      -1,    -1,  2081,    -1,    -1,    -1,    -1,  5241,    -1,  5243,
      -1,    -1,    -1,    -1,    -1,    -1,  3541,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3549,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   147,    -1,    -1,    -1,    -1,  4329,    -1,   876,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3574,
    3482,    -1,    -1,  3485,    -1,  3487,    -1,  1223,  5292,    -1,
    3492,    -1,    -1,  4355,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   193,    -1,
      -1,    -1,    -1,   198,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5564,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5578,   221,   222,  5342,  3541,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3549,    -1,  3644,
      -1,  3646,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   244,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5610,    10,    -1,
      -1,    13,  3574,    -1,    -1,    17,    18,    19,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    35,    -1,    -1,    -1,    -1,    -1,    -1,
     285,    -1,    -1,    45,    -1,    -1,    -1,    -1,    -1,    -1,
      52,    -1,    -1,    -1,   299,    -1,  2683,   302,    -1,    -1,
    2687,  2688,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1039,    -1,    -1,  4497,    78,    -1,    -1,    -1,
      -1,    -1,  3644,  1050,  3646,  3740,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    10,    -1,    -1,    13,    -1,    -1,  1066,
      17,    18,    19,    -1,    -1,    -1,    -1,    -1,  5711,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,  2746,
      -1,    -1,  4544,    -1,    -1,  2752,    -1,  4549,    45,  3784,
      -1,    -1,    -1,    -1,    -1,    52,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   392,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3812,    -1,   208,
      -1,    78,    -1,    -1,    -1,    -1,  2793,    -1,    -1,    -1,
      -1,   220,    -1,    -1,  5777,    -1,  5779,    -1,  3740,    -1,
      -1,    -1,   231,    -1,  1480,    -1,    -1,    -1,    -1,    -1,
      -1,   193,    -1,    -1,    -1,    -1,   198,    -1,    -1,    -1,
    5564,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5578,    -1,    -1,    -1,    -1,   221,
     222,    -1,  3784,    -1,    -1,  3880,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   244,    -1,    -1,    -1,  5610,  3902,    -1,   494,
    3812,  1547,    -1,    -1,    -1,    -1,  1223,    -1,   503,   504,
     505,   506,   507,   508,   509,   510,   511,    -1,    -1,  3924,
      -1,    -1,    -1,    -1,    -1,    -1,   193,    -1,    -1,    -1,
      -1,   198,  4704,   285,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1588,    -1,    -1,    -1,    -1,   299,    -1,    -1,
     302,  5904,    -1,    -1,   221,   222,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5918,    -1,    -1,  3880,    -1,
      -1,    -1,    -1,    -1,    -1,  1621,    -1,   244,  5931,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,    13,
    3902,    -1,    -1,    17,    18,    19,    -1,  5711,    -1,    -1,
      -1,  4006,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2683,
      -1,    35,  3924,  2687,  2688,    -1,    -1,    -1,   285,    -1,
      -1,    45,    -1,    -1,    -1,    -1,  3003,    -1,    52,    -1,
      -1,    -1,   299,    -1,    -1,   302,    -1,  5990,  5991,    -1,
     392,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4055,    -1,    -1,    -1,    78,    -1,    -1,  4829,    -1,    -1,
      -1,    -1,    -1,  5777,    -1,  5779,    -1,    -1,    -1,    -1,
      -1,    -1,  2746,    -1,    -1,  4080,    -1,    -1,  2752,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4006,    -1,  6049,    -1,  4870,  3076,
      -1,    -1,    -1,  3080,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   468,    -1,    -1,  2793,
    4892,    -1,    -1,    -1,  2683,   392,    -1,    -1,  2687,  2688,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   494,  4055,   168,    -1,    -1,    -1,    -1,    -1,
      -1,   503,   504,   505,   506,   507,   508,   509,   510,   511,
      -1,    -1,    -1,  1480,    -1,    -1,    -1,  1813,  4080,   193,
      -1,    -1,    -1,    -1,   198,    -1,    -1,    -1,  1824,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2746,    -1,    -1,
    5904,    -1,  4964,  2752,  1840,    -1,    -1,   221,   222,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3183,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5931,    -1,    -1,
     244,  3198,    -1,    -1,    -1,    -1,  3203,   494,    -1,    -1,
    1547,    -1,    -1,  4238,  2793,  6188,   503,   504,   505,   506,
     507,   508,   509,   510,   511,    -1,   645,    -1,  1894,    -1,
      -1,    -1,   651,    -1,    -1,    -1,  3233,    -1,    -1,    -1,
      -1,   285,    -1,  1909,    -1,    -1,  1912,  1913,    -1,    -1,
      -1,  1588,    -1,    -1,    -1,   299,    -1,    -1,   302,    -1,
      -1,  6234,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6242,
    6243,    -1,    -1,    -1,    -1,    -1,    -1,  1943,  1944,  6252,
      -1,    -1,    -1,    -1,  1621,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5085,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4329,    -1,  4238,    -1,    -1,  3003,
      -1,    -1,    -1,    -1,    -1,  6049,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4355,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   392,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3076,    -1,    -1,    -1,  3080,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4329,    -1,    -1,
      -1,    -1,    -1,   822,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2081,    -1,    -1,    -1,    -1,
      -1,    -1,   841,  4355,  3003,    -1,    -1,  5219,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     494,    -1,    -1,    -1,  6188,    -1,    -1,    -1,    -1,   503,
     504,   505,   506,   507,   508,   509,   510,   511,    -1,    -1,
      -1,    -1,  4497,    -1,    -1,    -1,  1813,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3482,    -1,  1824,  3485,  3183,
    3487,    23,    -1,    -1,   913,  3492,    28,  3076,    -1,  5291,
    6234,  3080,    -1,  1840,  3198,    -1,    -1,    -1,    -1,  3203,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6252,  4544,
      -1,    -1,    -1,    -1,  4549,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    66,    -1,    -1,    -1,    -1,  3233,
      -1,   960,    -1,    -1,  3541,    -1,    -1,    79,    -1,    -1,
      -1,    -1,  3549,    -1,    -1,    -1,    -1,  1894,    -1,    -1,
      -1,    -1,    -1,    95,    -1,  4497,    -1,    -1,    -1,    -1,
      -1,    -1,  1909,    -1,    -1,  1912,  1913,  3574,    -1,    -1,
      -1,   113,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3183,   137,  1943,  1944,    -1,    -1,
      -1,    -1,  4544,    -1,    -1,    -1,   148,  4549,    -1,  3198,
      -1,  5413,    -1,    -1,  3203,   157,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   170,    -1,
      -1,    -1,    -1,    -1,   176,    -1,    -1,  3644,    -1,  3646,
      -1,    -1,    -1,    -1,  3233,    -1,  1075,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   203,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4704,
      -1,    -1,    -1,    -1,    -1,  1104,  1105,  1106,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   258,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3740,  2081,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5546,    -1,    -1,    -1,    -1,  5551,
    5552,    -1,    -1,    -1,    -1,    -1,    -1,   299,    -1,    -1,
      -1,    -1,  4704,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3784,  3482,    -1,
      -1,  3485,    -1,  3487,  1213,    -1,    -1,    -1,  3492,    -1,
      -1,   333,   334,    -1,  4829,   337,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3812,    -1,    -1,    -1,    -1,
      -1,    -1,  1241,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   364,    -1,    -1,   367,    -1,    -1,    -1,    -1,
      -1,    -1,   374,    -1,    -1,  4870,    -1,  3541,    -1,   381,
      -1,    -1,   384,    -1,    -1,  3549,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4892,    20,    -1,
      -1,   403,    -1,  5665,    -1,    -1,    -1,    -1,   410,    31,
    3574,    33,    34,  3880,    -1,   417,    -1,    -1,   420,    -1,
      -1,    -1,   424,    -1,    -1,    -1,    -1,  4829,    -1,    -1,
     432,    -1,    -1,  3482,    -1,  3902,  3485,   439,  3487,    61,
      -1,    -1,    -1,  3492,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    73,  5714,    75,    76,    -1,    -1,  3924,    -1,    -1,
      82,    -1,    84,   465,    -1,    -1,    -1,    -1,  4870,  4964,
      -1,    -1,    -1,    -1,    96,    -1,    98,    -1,    -1,    -1,
    3644,    -1,  3646,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4892,    -1,  3541,   115,    -1,    -1,   118,    -1,    -1,    -1,
    3549,  1390,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   133,    -1,   135,    -1,    -1,    -1,   139,    -1,    -1,
      -1,    -1,    -1,   145,    -1,  3574,    -1,    -1,    -1,    -1,
      -1,   153,    -1,   155,    -1,    -1,    -1,    -1,    -1,  4006,
     162,    -1,    -1,    -1,    -1,    -1,    -1,  2683,    -1,    -1,
      -1,  2687,  2688,    -1,    -1,    -1,    -1,    -1,   180,    -1,
      -1,    -1,  4964,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   197,  3740,    -1,    -1,    -1,
      -1,  1470,    -1,    -1,    -1,    -1,    -1,    -1,  4055,    -1,
    5085,    -1,    -1,    -1,    -1,  3644,    -1,  3646,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2746,    -1,    -1,  4080,    -1,    -1,  2752,    -1,    -1,    -1,
    3784,    -1,    -1,    -1,   246,   247,    -1,    -1,    -1,    -1,
     252,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   266,    -1,    -1,    -1,  3812,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2793,    -1,    -1,
      -1,    -1,   284,    -1,  1553,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1562,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5085,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3740,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1594,   328,    -1,    -1,    -1,
      -1,  1600,  1601,    -1,    -1,  1604,  3880,    -1,    -1,    -1,
     342,    -1,    -1,    -1,  5219,    -1,   348,   349,  1617,   351,
      -1,  1620,    -1,    -1,   356,  3784,    -1,   359,  3902,    -1,
     362,    -1,    -1,   365,    -1,    -1,    -1,    -1,    -1,    -1,
     372,    -1,    -1,    -1,    -1,    -1,    -1,   379,   380,    -1,
    3924,    -1,    -1,  3812,    -1,   387,    -1,    -1,    -1,   391,
      -1,  4238,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   401,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1676,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   417,  5291,    -1,    -1,    -1,
      -1,  1690,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   437,    -1,  5219,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   448,   819,   820,    -1,
      -1,  3880,   454,    -1,    -1,    -1,    -1,   459,    -1,    -1,
      -1,    -1,  4006,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     472,    -1,    -1,  3902,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4329,    -1,    -1,    -1,    -1,  3003,    -1,    -1,
      -1,    -1,    -1,    -1,   496,  3924,  2683,    -1,    -1,    -1,
    2687,  2688,    -1,    -1,    -1,    -1,    -1,    -1,  4355,  5291,
      -1,  4055,    -1,   515,    -1,    -1,   518,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   899,    -1,    -1,
      -1,  1800,    -1,    -1,    -1,    -1,  4080,    -1,  5413,    -1,
      -1,    -1,  1811,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2746,
    3076,    -1,    -1,    -1,  3080,  2752,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4006,    -1,    -1,
      -1,    -1,    -1,    -1,  1853,  1854,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2793,    -1,    -1,  1878,
      -1,    -1,    -1,    -1,    -1,    -1,  1885,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4055,    -1,    -1,    -1,
      -1,  5413,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1020,  1021,
    4497,  4080,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3183,    -1,    -1,
      -1,  5546,    -1,    -1,    -1,    -1,  5551,  5552,    -1,    -1,
      -1,    -1,  3198,    -1,    -1,    -1,    -1,  3203,    -1,  1958,
      -1,    -1,    -1,    -1,  4238,    -1,    -1,  4544,    -1,    -1,
      -1,    -1,  4549,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3233,    -1,    -1,
      -1,    -1,  1991,  1992,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    23,  2008,
      -1,    -1,  2011,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    41,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5546,    -1,    -1,    -1,    -1,  5551,
    5552,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    66,    -1,    -1,    -1,  4329,    -1,    -1,    -1,    -1,
    5665,    -1,    -1,    -1,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4238,
      95,  4355,    -1,    -1,    -1,    -1,  3003,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,    -1,
      -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,    -1,  5714,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   137,    -1,    -1,    -1,    -1,  4704,    -1,    -1,
      -1,    -1,    -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   157,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5665,    -1,   170,    -1,  1259,    -1,  3076,
      -1,    -1,    -1,  3080,   179,    -1,    -1,    -1,   183,    -1,
    4329,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   203,    -1,
      -1,    -1,    -1,    -1,    -1,  1297,  4355,    -1,    -1,    -1,
      -1,    -1,  5714,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4497,  1326,  1327,  1328,    -1,  1330,    -1,
      -1,    -1,    -1,   248,    -1,    -1,  3482,    -1,    -1,  3485,
      -1,  3487,    -1,   258,    -1,    -1,  3492,    -1,    -1,  1351,
      -1,    -1,  4829,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3183,    -1,    -1,    -1,
    4544,    -1,    -1,    -1,    -1,  4549,    -1,    -1,    -1,    -1,
      -1,  3198,    -1,    -1,   299,    -1,  3203,   302,    -1,    -1,
      -1,    -1,    -1,  4870,    -1,  3541,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3549,    -1,    -1,    -1,    -1,   323,    -1,
      -1,    -1,    -1,    -1,    -1,  4892,  3233,    -1,    -1,    -1,
      -1,    -1,   337,    -1,    -1,    -1,    -1,    -1,  3574,   344,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4497,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   364,
      -1,    -1,  1454,    -1,    -1,    -1,  1458,  1459,    -1,   374,
      -1,    -1,    -1,    -1,    -1,    -1,   381,    -1,    -1,   384,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    23,  4544,    -1,  4964,   403,    28,
    4549,    -1,    -1,    -1,    -1,   410,    -1,    -1,  3644,    -1,
    3646,    -1,   417,    -1,    -1,   420,   421,    -1,   423,   424,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   439,    -1,    -1,    66,    -1,    -1,
    4704,   446,    -1,    -1,   449,    -1,    -1,   452,    -1,    -1,
      79,    80,  1343,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     465,    -1,    91,    -1,    -1,    -1,    95,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3740,    -1,    -1,  1398,   137,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5085,   148,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   157,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   170,    -1,    -1,    -1,    -1,    -1,   176,  3784,    -1,
      -1,    -1,    -1,    -1,  2543,  4704,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2553,  4829,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   203,  3482,  3812,    -1,  3485,    -1,
    3487,    -1,    -1,    -1,    -1,  3492,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2582,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4870,   236,    -1,  1701,
    1702,  1703,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    23,
      -1,    -1,    -1,    -1,    28,    -1,    -1,    -1,  4892,   258,
      -1,    -1,    -1,    -1,  3541,    -1,    -1,    -1,    -1,    -1,
    2629,  2630,  3549,    -1,  3880,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5219,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    66,    -1,    -1,    -1,  3902,  3574,    -1,    -1,
     299,    -1,    -1,    -1,  2663,    79,    -1,    -1,    -1,    -1,
    4829,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3924,    -1,
      -1,    95,    -1,    -1,   323,    -1,    -1,    -1,    -1,    -1,
    4964,    -1,    -1,    -1,   333,   334,    -1,    -1,   337,   113,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4870,    -1,    -1,  5291,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   137,    -1,   364,    -1,  3644,   367,  3646,
      -1,    -1,   371,  4892,   148,   374,    -1,    -1,    -1,    -1,
      -1,    -1,   381,   157,    -1,   384,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   170,    -1,    -1,    -1,
    4006,    -1,   176,    -1,   403,    -1,    -1,    -1,    -1,   183,
      -1,   410,    -1,    -1,    -1,    -1,    -1,    -1,   417,    -1,
      -1,   420,    -1,    -1,    -1,   424,    -1,    -1,    -1,   203,
      -1,    -1,    -1,   432,    -1,   434,    -1,    -1,  2797,    -1,
     439,    -1,    -1,    -1,    -1,  4964,  1707,    -1,    -1,  4055,
    1711,  5085,    -1,  2812,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3740,    -1,    -1,   465,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4080,  2834,  5413,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   258,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3784,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   299,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3812,    -1,    -1,   312,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   323,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    28,    -1,   333,
     334,  2920,  2921,   337,    -1,    -1,  5085,    -1,  2030,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2039,  2040,  2041,
    2042,  2043,  2044,  2045,    -1,  5219,    -1,  2049,    -1,  2051,
     364,  2053,    -1,   367,  2056,  2057,  2058,   371,    -1,    -1,
     374,    -1,  2064,  3880,    -1,  2067,    -1,   381,    79,  5546,
     384,    -1,    -1,    -1,  5551,  5552,    -1,    -1,    -1,    -1,
    2082,  2083,  2084,    -1,    95,  3902,    -1,    -1,    -1,   403,
      -1,    -1,  4238,    -1,    -1,    -1,   410,    -1,  2100,    -1,
      -1,    -1,   113,   417,    -1,    -1,   420,  3924,   119,    -1,
     424,    -1,    -1,    -1,    -1,    -1,    -1,  5291,   432,    -1,
     434,    -1,    -1,  3022,    -1,   439,   137,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   148,   452,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   157,    -1,    -1,    -1,
      -1,   465,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   170,
    5219,    -1,    -1,    -1,    -1,   176,    -1,    -1,    -1,    -1,
      -1,    -1,   183,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4329,    -1,    -1,    -1,    -1,  5665,  4006,
      -1,    -1,   203,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4355,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   236,    -1,  2028,    -1,    -1,
      -1,    -1,  5291,    -1,    -1,    -1,    -1,  5714,  4055,  5413,
      -1,    -1,  2244,    -1,    -1,    -1,    -1,   258,    -1,  2050,
      -1,    -1,    -1,  2054,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4080,    -1,    -1,    -1,    -1,  2069,  2070,
    2071,    -1,  2073,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   299,    -1,
      -1,  2293,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   323,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   333,   334,    -1,    -1,   337,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2346,    -1,    -1,    -1,    -1,    -1,
      -1,  4497,    -1,   364,  5413,    -1,   367,    -1,    -1,    -1,
     371,    -1,    -1,   374,    -1,    -1,    -1,    -1,    -1,    -1,
     381,    -1,  5546,   384,    -1,    -1,    -1,  5551,  5552,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   403,    -1,    -1,    -1,    -1,    -1,  4544,   410,
      -1,    -1,    -1,  4549,   415,    -1,   417,    -1,    -1,   420,
      -1,    -1,    -1,   424,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4238,    -1,   434,    -1,    -1,    -1,    -1,   439,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   452,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   465,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3362,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3383,    -1,    -1,  5546,    -1,    -1,
      -1,  5665,  5551,  5552,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4329,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2523,  2524,  2525,  2526,  2527,  2528,  2529,  2530,  2531,
      -1,  2533,    -1,    -1,    -1,    -1,    -1,    -1,  4355,    -1,
    5714,    -1,  2544,    -1,  2546,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4704,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2584,    -1,    -1,    -1,  2588,    -1,    -1,  2591,
      -1,  2593,    -1,    -1,  2596,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5665,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2649,  2650,    -1,
      -1,    -1,    -1,    -1,    -1,  5714,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4497,    -1,    -1,  4829,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4870,    -1,    -1,  4544,    -1,    -1,
      -1,  2733,  4549,    -1,    -1,    -1,    -1,    -1,    -1,  2540,
      -1,    -1,    -1,    -1,    -1,    -1,  4892,    -1,    -1,    -1,
      -1,    -1,    -1,  3652,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3662,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4964,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2636,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2648,    -1,    -1,
      -1,    -1,  2653,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4704,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3823,  3824,  3825,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5085,
      -1,  3840,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2969,  2970,  2971,
      -1,    -1,    -1,  2975,  3873,  3874,    -1,    -1,    -1,  3878,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3002,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4829,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4870,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5219,    -1,  4892,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3984,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5291,    -1,  4964,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3211,
      -1,    -1,    -1,    -1,  3216,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4147,  4148,
    4149,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3263,    -1,    -1,    -1,    -1,    -1,  5413,  5085,    -1,
      -1,    -1,  3274,    -1,  3276,  3277,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3290,    -1,
      -1,  3293,    -1,  3295,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3332,    -1,  3334,    -1,  3336,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5546,    -1,  5219,    -1,    -1,  5551,  5552,    -1,    -1,    -1,
      -1,    -1,    -1,  3214,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3428,    -1,    -1,    -1,
    3231,  3433,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3240,
      -1,    -1,    -1,    -1,    -1,  3246,  3448,  3248,    -1,    -1,
      -1,    -1,  3253,  3254,    -1,  3256,    -1,    -1,    -1,    -1,
    3261,  3262,    -1,  3264,    -1,  3266,    -1,    -1,    -1,  3270,
      -1,    -1,  3273,    -1,  5291,    -1,    -1,  3278,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3287,    -1,    -1,    -1,
      -1,  3292,    -1,    -1,    -1,    -1,    -1,    -1,  3299,  3300,
    3301,  3302,    -1,    -1,    -1,    -1,  3307,  3308,    -1,  3310,
      -1,  3513,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5665,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3329,    -1,
    3331,    -1,    -1,    -1,    -1,    -1,    -1,  3338,  3339,  3340,
    3341,  3342,  3343,  3344,  3345,  3346,  3347,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5714,    -1,
      -1,    -1,    -1,    -1,    -1,  4474,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3384,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5413,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4506,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4538,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4573,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4590,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3529,  5546,
      -1,    -1,    -1,    -1,  5551,  5552,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3769,    -1,    -1,
      -1,    -1,    -1,  3775,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4732,  4733,  4734,  4735,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5665,    -1,
      -1,    -1,  3854,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5714,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3773,  3774,    -1,    -1,    -1,  3778,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4003,    -1,    -1,    -1,    -1,  3807,    -1,    -1,    -1,
    4012,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4026,    -1,    -1,    -1,  4030,  4031,
      -1,    -1,    -1,    -1,  4036,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4046,    -1,  4048,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4075,  4076,  4077,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4094,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4102,    -1,    -1,  4105,    -1,  4107,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4131,
    4132,    -1,    -1,    -1,    -1,    -1,  4138,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5078,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5089,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4002,    -1,    -1,    -1,    -1,    -1,  4008,    -1,    -1,
      -1,    -1,    -1,  4215,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4232,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4052,  4053,    -1,    -1,  4056,  4057,  4058,  4059,    -1,
      -1,  4062,  4063,  4064,  4065,  4066,  4067,  4068,  4069,  4070,
    4071,  4072,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4095,    -1,    -1,  4098,    -1,  4100,
      -1,    -1,  4103,  4104,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4125,  4126,  4127,  4128,    -1,  4130,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4197,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4247,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5366,    -1,    -1,
      -1,    -1,  5371,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5390,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4550,  4551,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4561,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4631,
    5529,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4647,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4662,    -1,    -1,    -1,    -1,    -1,  4467,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4701,
    4702,    -1,    -1,    -1,    -1,    -1,  4708,  4709,    -1,  4510,
      -1,  4713,    -1,    -1,    -1,    -1,  4718,    -1,    -1,  4721,
    4722,    -1,    -1,    -1,    -1,    -1,  4728,    -1,    -1,    -1,
      -1,    -1,    -1,  5632,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5660,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4771,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4782,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4790,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4810,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4632,    -1,    -1,    -1,  4636,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4658,  4659,    -1,
      -1,    -1,    -1,  4664,  4665,  4666,  4667,    -1,    -1,    -1,
    4671,  4672,  4673,  4674,  4675,  4676,  4677,  4678,  4679,  4680,
    4681,  4682,  4683,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4707,    -1,    -1,  4710,
      -1,  4712,    -1,  4915,    -1,  4716,    -1,    -1,  4719,  4720,
    4922,    -1,  4723,  4724,    -1,    -1,    -1,    -1,  4729,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4781,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4990,    -1,
      -1,    -1,    -1,    -1,  4795,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5148,    -1,    -1,    -1,
      -1,    -1,  5154,  5155,  5156,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5179,  5180,    -1,
      -1,  5183,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4993,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5209,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5220,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5236,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5080,
    5081,    -1,    -1,    -1,    -1,    -1,    -1,  5088,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5131,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5150,
    5151,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5169,    -1,
    5171,    -1,    -1,    -1,  5175,  5176,  5177,  5178,    -1,    -1,
    5181,  5182,    -1,    -1,    -1,    -1,  5187,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5203,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5221,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5235,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5245,    -1,    -1,    -1,  5450,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5494,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5313,    -1,  5315,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5540,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5350,
      -1,    -1,    -1,    -1,  5556,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5598,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5443,    -1,  5445,  5446,  5447,  5448,  5449,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5462,  5463,  5464,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5476,    -1,    -1,  5479,    -1,
      -1,    -1,  5483,    -1,    -1,    -1,  5688,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5697,  5698,  5699,    -1,    -1,
    5501,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5516,    -1,    -1,    -1,    -1,
      -1,  5723,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5752,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5868,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5689,  5891,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5901,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5708,    -1,  5710,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5751,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5763,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5972,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5996,    -1,    -1,  5798,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5864,    -1,    -1,    -1,    -1,    -1,    -1,
    5871,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6098,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6112,    -1,    -1,    -1,    -1,  5916,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6015,  6016,    -1,    -1,    -1,  6221,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6029,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6071,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     3,  6096,     5,     6,    -1,     8,
       9,    10,    11,    12,    -1,    -1,  6107,  6108,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,  6164,    73,    74,    75,    76,    77,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    -1,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,   133,   134,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,   147,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,    -1,   171,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,    -1,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,    -1,
      -1,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,    -1,   295,   296,    -1,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,   326,   327,   328,
     329,    -1,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,    -1,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,   446,   447,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,    -1,
      -1,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,    -1,   494,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   506,   507,   508,
      -1,    -1,    -1,    -1,    -1,    -1,   515,   516,     3,    -1,
       5,     6,    -1,     8,     9,    10,    11,    12,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,   446,   447,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,   463,   464,
     465,   466,   467,    -1,    -1,   470,    -1,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,    -1,   494,
      -1,   496,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   506,   507,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     515,   516,     3,    -1,     5,     6,    -1,     8,     9,    10,
      11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    -1,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
     171,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,    -1,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,    -1,    -1,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,    -1,   295,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,    -1,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,    -1,   418,   419,   420,
     421,   422,   423,   424,    -1,   426,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,   446,   447,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
      -1,   462,   463,   464,   465,   466,   467,    -1,    -1,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,    -1,   494,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   506,   507,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   515,   516,     3,    -1,     5,     6,
      -1,     8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      37,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    -1,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
     147,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,   171,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,    -1,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,    -1,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,    -1,   295,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
      -1,   418,   419,   420,   421,   422,   423,   424,    -1,   426,
     427,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,   446,
     447,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,    -1,   462,   463,   464,   465,   466,
     467,    -1,    -1,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,    -1,   494,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   506,
     507,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   515,   516,
       3,    -1,     5,     6,    -1,     8,     9,    10,    11,    12,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,    -1,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,   446,   447,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
     463,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
      -1,   494,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,   506,   507,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   515,   516,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,    -1,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,    -1,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,    -1,    -1,
     246,   247,   248,    -1,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,    -1,   283,   284,    -1,
     286,    -1,   288,   289,   290,   291,   292,   293,    -1,   295,
     296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,    -1,   308,    -1,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
      -1,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,    -1,   414,   415,
      -1,    -1,   418,    -1,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
      -1,   437,   438,   439,   440,   441,   442,   443,   444,    -1,
      -1,   447,   448,   449,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,   459,   460,    -1,   462,    -1,   464,   465,
     466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     516,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    -1,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    -1,
      99,   100,   101,   102,    -1,    -1,    -1,   106,    -1,    -1,
      -1,   110,   111,   112,   113,   114,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,   147,   148,
      -1,   150,   151,   152,   153,    -1,   155,   156,   157,   158,
      -1,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,    -1,   171,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,    -1,    -1,    -1,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,   223,   224,   225,    -1,    -1,    -1,
      -1,    -1,    -1,   232,   233,   234,   235,   236,   237,    -1,
      -1,   240,    -1,   242,   243,   244,    -1,   246,   247,   248,
      -1,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,    -1,   281,    -1,   283,   284,   285,   286,    -1,    -1,
     289,   290,   291,   292,   293,    -1,   295,   296,    -1,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,   322,   323,    -1,   325,    -1,   327,   328,
     329,    -1,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
      -1,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,    -1,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,    -1,   414,   415,    -1,    -1,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
      -1,    -1,   431,   432,    -1,   434,    -1,    -1,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,    -1,   447,   448,
     449,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,   465,   466,   467,    -1,
      -1,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
      -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   490,   491,   492,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,   516,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    -1,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
     102,    -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,    -1,   155,   156,   157,   158,    -1,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
      -1,    -1,    -1,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,   224,   225,    -1,    -1,    -1,    -1,    -1,    -1,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,    -1,
     242,   243,   244,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,    -1,   281,
      -1,   283,   284,   285,   286,    -1,    -1,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,    -1,   325,    -1,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,    -1,   414,   415,    -1,    -1,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,    -1,   434,    -1,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,    -1,     3,    -1,
       5,     6,    -1,     8,     9,    10,    11,    12,   490,   491,
     492,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    37,    -1,   516,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,   446,   447,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,   463,   464,
     465,   466,   467,    -1,    -1,   470,    -1,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,    -1,   494,
      -1,   496,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   506,   507,    -1,    -1,    -1,     3,    -1,     5,     6,
     515,     8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      37,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    -1,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
     147,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,   171,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,    -1,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,    -1,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,    -1,   295,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,    -1,   426,
     427,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,   446,
     447,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,    -1,   462,   463,   464,   465,   466,
     467,    -1,    -1,   470,    -1,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,    -1,   494,    -1,   496,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   506,
     507,    -1,    -1,    -1,     3,    -1,     5,     6,   515,     8,
       9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    -1,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,   147,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,   182,    -1,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,    -1,
     239,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,    -1,   295,   296,    -1,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,   326,   327,   328,
     329,    -1,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,    -1,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,   446,   447,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,    -1,   462,   463,   464,   465,   466,   467,    -1,
      -1,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,    -1,   494,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   506,   507,    -1,
      -1,    -1,     3,    -1,     5,     6,   515,     8,     9,    10,
      11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    -1,    -1,    -1,    36,    37,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    -1,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
     171,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,    -1,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,    -1,    -1,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,    -1,   295,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,    -1,   418,   419,   420,
     421,   422,   423,   424,    -1,   426,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,   446,   447,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
      -1,   462,   463,   464,   465,   466,   467,    -1,    -1,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,    -1,   494,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   506,   507,    -1,    -1,    -1,
       3,    -1,     5,     6,   515,     8,     9,    10,    11,    12,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      -1,    -1,    -1,    36,    37,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,    -1,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,   446,   447,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
     463,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
      -1,   494,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   506,   507,    -1,    -1,    -1,     3,    -1,
       5,     6,   515,     8,     9,    10,    11,    12,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,   446,   447,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,   463,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,    -1,   494,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   506,   507,    -1,    -1,    -1,    -1,    -1,   513,   514,
     515,     3,    -1,     5,     6,    -1,     8,     9,    10,    11,
      12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,    -1,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,   463,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,    -1,   494,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   506,   507,   508,    -1,    -1,     3,
      -1,     5,     6,   515,     8,     9,    10,    11,    12,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    -1,
      -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,    -1,   122,   123,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,   147,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,   171,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,    -1,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
      -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,    -1,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,    -1,   446,   447,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,    -1,   462,   463,
     464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,    -1,
     494,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   506,   507,    -1,    -1,    -1,     3,    -1,     5,
       6,   515,     8,     9,    10,    11,    12,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    37,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,   171,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,    -1,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,    -1,   295,
     296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,    -1,   414,   415,
     416,    -1,   418,   419,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,    -1,
     446,   447,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,    -1,   462,   463,   464,   465,
     466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,    -1,   494,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     506,   507,    -1,    -1,    -1,     3,    -1,     5,     6,   515,
       8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    37,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,    -1,   122,   123,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,   147,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,    -1,   171,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,    -1,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
      -1,    -1,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,    -1,   295,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,    -1,   414,   415,   416,    -1,
     418,   419,   420,   421,   422,   423,   424,    -1,   426,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,    -1,   446,   447,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
      -1,    -1,   470,    -1,    -1,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,    -1,   494,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   506,   507,
      -1,    -1,    -1,     3,    -1,     5,     6,   515,     8,     9,
      10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,   147,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,   182,    -1,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,    -1,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,    -1,   295,   296,    -1,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,    -1,   414,   415,   416,    -1,   418,   419,
     420,   421,   422,   423,   424,    -1,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,   452,    -1,   454,   455,   456,   457,   458,   459,
     460,    -1,   462,   463,   464,   465,   466,   467,    -1,    -1,
     470,    -1,    -1,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,    -1,   494,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   506,   507,    -1,    -1,
      -1,     3,    -1,     5,     6,   515,     8,     9,    10,    11,
      12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,    -1,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,   463,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,    -1,   494,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   506,   507,    -1,    -1,    -1,     3,
      -1,     5,     6,   515,     8,     9,    10,    11,    12,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,    -1,   122,   123,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,   147,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,   171,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,    -1,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
      -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,    -1,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,    -1,   446,   447,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,    -1,   462,   463,
     464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,    -1,
     494,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   506,   507,    -1,    -1,    -1,     3,    -1,     5,
       6,   515,     8,     9,    10,    11,    12,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    37,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,   171,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,    -1,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,    -1,   295,
     296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,    -1,   414,   415,
     416,    -1,   418,   419,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,    -1,
     446,   447,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,    -1,   462,   463,   464,   465,
     466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,    -1,   494,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     506,   507,    -1,    -1,    -1,     3,    -1,     5,     6,   515,
       8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    37,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,    -1,   122,   123,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,   147,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,    -1,   171,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,    -1,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
      -1,    -1,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,    -1,   295,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,    -1,   414,   415,   416,    -1,
     418,   419,   420,   421,   422,   423,   424,    -1,   426,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,    -1,   446,   447,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,    -1,   462,   463,   464,   465,   466,   467,
      -1,    -1,   470,    -1,    -1,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,    -1,   494,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   506,   507,
      -1,    -1,    -1,     3,    -1,     5,     6,   515,     8,     9,
      10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,   147,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,   171,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,    -1,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,    -1,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,    -1,   295,   296,    -1,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,    -1,   414,   415,   416,    -1,   418,   419,
     420,   421,   422,   423,   424,    -1,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,   452,    -1,   454,   455,   456,   457,   458,   459,
     460,    -1,   462,   463,   464,   465,   466,   467,    -1,    -1,
     470,    -1,    -1,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,    -1,   494,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   506,   507,    -1,    -1,
      -1,     3,    -1,     5,     6,   515,     8,     9,    10,    11,
      12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,    -1,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,   463,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,    -1,   494,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   506,   507,    -1,    -1,    -1,     3,
      -1,     5,     6,   515,     8,     9,    10,    11,    12,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,    -1,   122,   123,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,   147,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,   171,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,    -1,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
      -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,    -1,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,    -1,   446,   447,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,    -1,   462,   463,
     464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,    -1,
     494,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   506,   507,    -1,    -1,    -1,     3,    -1,     5,
       6,   515,     8,     9,    10,    11,    12,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    37,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,   171,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,    -1,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,    -1,   295,
     296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,    -1,   414,   415,
     416,    -1,   418,   419,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,    -1,
     446,   447,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,    -1,   462,   463,   464,   465,
     466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,    -1,   494,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     506,   507,    -1,    -1,    -1,     3,    -1,     5,     6,   515,
       8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    37,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,    -1,   122,   123,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,   147,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,    -1,   171,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,    -1,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
      -1,    -1,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,    -1,   295,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,    -1,   414,   415,   416,    -1,
     418,   419,   420,   421,   422,   423,   424,    -1,   426,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,    -1,   446,   447,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,    -1,   462,   463,   464,   465,   466,   467,
      -1,    -1,   470,    -1,    -1,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,    -1,   494,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   506,   507,
      -1,    -1,    -1,     3,    -1,     5,     6,   515,     8,     9,
      10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,   147,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,   171,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,    -1,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,    -1,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,    -1,   295,   296,    -1,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,    -1,   414,   415,   416,    -1,   418,   419,
     420,   421,   422,   423,   424,    -1,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,   452,    -1,   454,   455,   456,   457,   458,   459,
     460,    -1,   462,   463,   464,   465,   466,   467,    -1,    -1,
     470,    -1,    -1,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,    -1,   494,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   506,   507,    -1,    -1,
      -1,     3,    -1,     5,     6,   515,     8,     9,    10,    11,
      12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,    -1,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,   463,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   506,   507,    -1,    -1,    -1,     3,
      -1,     5,     6,   515,     8,     9,    10,    11,    12,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,    -1,   122,   123,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,   147,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,   171,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,    -1,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,    -1,   286,   287,   288,   289,   290,   291,   292,   293,
      -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,    -1,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,    -1,   446,   447,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,    -1,   462,   463,
     464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,    -1,
     494,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   506,   507,    -1,    -1,    -1,     3,    -1,     5,
       6,   515,     8,     9,    10,    11,    12,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    37,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,   171,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,    -1,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,    -1,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,    -1,   295,
     296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,    -1,   414,   415,
     416,    -1,   418,   419,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,    -1,
      -1,   447,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,    -1,   462,   463,   464,   465,
     466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     506,   507,     3,    -1,     5,     6,    -1,     8,     9,   515,
      11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    -1,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
     171,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,    -1,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,    -1,    -1,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,    -1,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,    -1,   295,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,    -1,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,    -1,   418,   419,   420,
     421,   422,   423,   424,    -1,   426,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
      -1,   462,   463,   464,   465,   466,   467,    -1,    -1,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   506,   507,     3,    -1,     5,
       6,    -1,     8,     9,   515,    11,    12,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    37,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,   171,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,    -1,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,    -1,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,    -1,   295,
     296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,    -1,   414,   415,
     416,    -1,   418,   419,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,    -1,
      -1,   447,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,    -1,   462,   463,   464,   465,
     466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,    -1,    -1,    -1,
      -1,    -1,    -1,     3,    -1,     5,     6,    -1,     8,     9,
      -1,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,   515,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,   147,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,   171,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,    -1,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,    -1,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,    -1,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,    -1,   295,   296,    -1,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,    -1,   414,   415,   416,    -1,   418,   419,
     420,   421,   422,   423,   424,    -1,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,    -1,    -1,   447,   448,   449,
     450,   451,   452,    -1,   454,   455,   456,   457,   458,   459,
     460,    -1,   462,   463,   464,   465,   466,   467,    -1,    -1,
     470,    -1,    -1,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,    -1,    -1,    -1,    -1,    -1,    -1,     3,
      -1,     5,     6,    -1,     8,     9,    -1,    11,    12,    -1,
      -1,    -1,    -1,    -1,    -1,   515,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,   147,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,   171,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,    -1,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,    -1,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
      -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,    -1,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,    -1,    -1,   447,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,    -1,   462,   463,
     464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,    -1,
      -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   515,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,   147,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,    -1,   171,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,    -1,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,    -1,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,    -1,   283,   284,   285,   286,    -1,
     288,   289,   290,   291,   292,   293,    -1,   295,   296,    -1,
     298,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,    -1,   426,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,    -1,   437,
     438,   439,   440,   441,   442,   443,   444,    -1,    -1,   447,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,    -1,   462,   463,   464,   465,   466,   467,
      -1,    -1,   470,    -1,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,    -1,    -1,    -1,   496,    -1,
      -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   515,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,   285,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,   298,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,    -1,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,   463,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   515,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,   171,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,    -1,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,    -1,   283,   284,   285,
     286,    -1,   288,   289,   290,   291,   292,   293,    -1,   295,
     296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,    -1,   414,   415,
     416,    -1,   418,   419,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
      -1,   437,   438,   439,   440,   441,   442,   443,   444,    -1,
      -1,   447,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,    -1,   462,   463,   464,   465,
     466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,    -1,    -1,    -1,
      -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   515,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,   147,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,   171,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,    -1,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,    -1,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,    -1,   283,   284,   285,   286,    -1,   288,   289,
     290,   291,   292,   293,    -1,   295,   296,    -1,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,    -1,   414,   415,   416,    -1,   418,   419,
     420,   421,   422,   423,   424,    -1,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,    -1,   437,   438,   439,
     440,   441,   442,   443,   444,    -1,    -1,   447,   448,   449,
     450,   451,   452,    -1,   454,   455,   456,   457,   458,   459,
     460,    -1,   462,   463,   464,   465,   466,   467,    -1,    -1,
     470,    -1,    -1,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,    -1,    -1,    -1,    -1,    -1,    -1,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   515,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,   147,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,   171,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,    -1,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,    -1,   283,
     284,   285,   286,    -1,   288,   289,   290,   291,   292,   293,
      -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,    -1,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,    -1,   437,   438,   439,   440,   441,   442,   443,
     444,    -1,    -1,   447,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,    -1,   462,   463,
     464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,    -1,
      -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   515,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,   147,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,    -1,   171,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,    -1,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
      -1,    -1,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,    -1,   283,   284,   285,   286,    -1,
     288,   289,   290,   291,   292,   293,    -1,   295,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,    -1,   414,   415,   416,    -1,
     418,   419,   420,   421,   422,   423,   424,    -1,   426,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,    -1,   437,
     438,   439,   440,   441,   442,   443,   444,    -1,    -1,   447,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,    -1,   462,   463,   464,   465,   466,   467,
      -1,    -1,   470,    -1,    -1,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,    -1,    -1,    -1,    -1,    -1,
      -1,     3,    -1,     5,     6,    -1,    -1,    -1,    -1,    11,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   515,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
     102,    -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,   285,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,   297,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,   463,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,   506,   507,   508,    -1,    -1,    -1,
      -1,    -1,    -1,   515,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    33,    34,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,   102,    -1,    -1,    -1,
     106,    -1,    -1,    -1,   110,   111,   112,   113,   114,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,   171,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,    -1,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,    -1,   283,   284,   285,
     286,    -1,   288,   289,   290,   291,   292,   293,    -1,   295,
     296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
      -1,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,    -1,   414,   415,
      -1,   417,   418,   419,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
      -1,   437,   438,   439,   440,   441,   442,   443,   444,    -1,
      -1,   447,   448,   449,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,   459,   460,    -1,   462,   463,   464,   465,
     466,   467,    -1,    -1,   470,    -1,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,    -1,    -1,
     496,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   515,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,   102,    -1,    -1,    -1,   106,    -1,    -1,    -1,
     110,   111,   112,   113,   114,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,   147,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,   171,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,    -1,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,    -1,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
      -1,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,    -1,   283,   284,   285,   286,    -1,   288,   289,
     290,   291,   292,   293,    -1,   295,   296,    -1,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,    -1,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,    -1,   414,   415,    -1,    -1,   418,   419,
     420,   421,   422,   423,   424,    -1,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,    -1,   437,   438,   439,
     440,   441,   442,   443,   444,    -1,    -1,   447,   448,   449,
     450,   451,    -1,    -1,   454,   455,   456,   457,   458,   459,
     460,    -1,   462,   463,   464,   465,   466,   467,    -1,    -1,
     470,    -1,    -1,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,    -1,    -1,    -1,    -1,    -1,    -1,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   515,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    -1,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,
     114,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,   147,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,   171,   172,    -1,
      -1,    -1,   176,   177,   178,   179,    -1,   181,   182,    -1,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,    -1,   208,    -1,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,
      -1,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,    -1,    -1,   240,   241,    -1,   243,
      -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,    -1,   283,
     284,    -1,   286,    -1,   288,   289,   290,   291,   292,   293,
      -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,    -1,   308,    -1,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,    -1,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,    -1,   437,   438,   439,   440,   441,   442,   443,
     444,    -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,   459,   460,    -1,   462,    -1,
     464,   465,   466,   467,    -1,    -1,   470,    -1,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,    -1,
      -1,    -1,   496,    -1,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   515,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      -1,    -1,   100,   101,   102,    -1,    -1,    -1,   106,    -1,
      -1,    -1,   110,   111,   112,   113,   114,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,   147,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,    -1,   171,   172,    -1,    -1,    -1,   176,   177,
     178,   179,    -1,   181,   182,    -1,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,    -1,
     208,    -1,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,    -1,    -1,   223,    -1,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
      -1,    -1,   240,   241,    -1,   243,    -1,    -1,   246,   247,
     248,    -1,    -1,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,    -1,   283,   284,    -1,   286,    -1,
     288,   289,   290,   291,   292,   293,    -1,   295,   296,    -1,
     298,   299,   300,   301,    -1,    -1,   304,   305,   306,    -1,
     308,    -1,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,    -1,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,    -1,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,    -1,   426,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,    -1,   437,
     438,   439,   440,   441,   442,   443,   444,    -1,    -1,   447,
     448,   449,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,   459,   460,    -1,   462,    -1,   464,   465,   466,   467,
      -1,    -1,   470,    -1,    -1,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,    -1,    -1,    -1,    -1,    -1,
      -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   515,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   515,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,    -1,
     176,   177,   178,   179,    -1,   181,   182,    -1,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,    -1,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,    -1,
     246,   247,   248,    -1,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,    -1,   283,   284,    -1,
     286,    -1,   288,   289,   290,   291,   292,   293,    -1,   295,
     296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,    -1,   308,    -1,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
      -1,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,    -1,   414,   415,
      -1,    -1,   418,    -1,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
      -1,   437,   438,   439,   440,   441,   442,   443,   444,    -1,
      -1,   447,   448,   449,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,   459,   460,    -1,   462,    -1,   464,   465,
     466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,    -1,    -1,    -1,
      -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   515,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    -1,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,   112,   113,   114,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,   147,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,   171,   172,    -1,    -1,    -1,   176,   177,   178,   179,
      -1,   181,   182,    -1,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,    -1,   208,    -1,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,    -1,    -1,   223,    -1,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,    -1,    -1,
     240,   241,    -1,   243,    -1,    -1,   246,   247,   248,    -1,
      -1,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,    -1,   283,   284,    -1,   286,    -1,   288,   289,
     290,   291,   292,   293,    -1,   295,   296,    -1,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,    -1,   308,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,    -1,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,    -1,   414,   415,    -1,    -1,   418,    -1,
     420,   421,   422,   423,   424,    -1,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,    -1,   437,   438,   439,
     440,   441,   442,   443,   444,    -1,    -1,   447,   448,   449,
     450,   451,    -1,    -1,   454,   455,   456,   457,   458,   459,
     460,    -1,   462,    -1,   464,   465,   466,   467,    -1,    -1,
     470,    -1,    -1,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,    -1,    -1,    -1,    -1,    -1,    -1,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   515,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    -1,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,
     114,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,   147,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,   171,   172,    -1,
      -1,    -1,   176,   177,   178,   179,    -1,   181,   182,    -1,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,    -1,   208,    -1,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,
      -1,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,    -1,    -1,   240,   241,    -1,   243,
      -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,    -1,   283,
     284,    -1,   286,    -1,   288,   289,   290,   291,   292,   293,
      -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,    -1,   308,    -1,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,    -1,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,    -1,    -1,   418,    -1,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,    -1,   437,   438,   439,   440,   441,   442,   443,
     444,    -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,   459,   460,    -1,   462,    -1,
     464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,
       5,     6,    -1,    -1,    -1,    10,    11,    -1,    -1,    -1,
      -1,   515,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    -1,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,    -1,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,    -1,   183,    -1,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,    -1,    -1,    -1,    -1,    -1,   232,   233,   234,
     235,   236,   237,   238,   239,   240,    -1,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,    -1,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,    -1,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,    -1,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   490,   491,   492,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   503,   504,
     505,   506,   507,   508,   509,   510,   511,     3,    -1,     5,
       6,    -1,    -1,    -1,    10,    11,    -1,    -1,    -1,    -1,
      -1,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    -1,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,    -1,   155,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,    -1,   183,    -1,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,    -1,    -1,    -1,    -1,    -1,   232,   233,   234,   235,
     236,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,    -1,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
      -1,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,    -1,   325,
      -1,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,    -1,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   490,   491,   492,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   503,   504,   505,
     506,   507,   508,   509,   510,   511,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    10,    -1,    -1,    13,    -1,    -1,    -1,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,    36,
      -1,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    -1,    -1,    71,    72,    73,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    -1,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,    -1,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,    -1,    -1,   164,   165,   166,
     167,    -1,   169,   170,   171,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,    -1,   184,   185,   186,
      -1,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,    -1,   263,   264,    -1,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,    -1,   295,   296,
      -1,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,    -1,    -1,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,    -1,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,    -1,   463,   464,   465,   466,
     467,   468,    -1,   470,    -1,    -1,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,    -1,   491,   492,    -1,   494,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   503,   504,   505,   506,
     507,   508,   509,   510,   511,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    10,    -1,    -1,    -1,    -1,    -1,    -1,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      -1,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,   113,   114,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,   147,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,    -1,   171,   172,    -1,    -1,    -1,   176,   177,
     178,   179,    -1,   181,   182,    -1,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,    -1,
     208,    -1,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,    -1,    -1,   223,    -1,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
      -1,    -1,   240,   241,    -1,   243,    -1,    -1,   246,   247,
     248,    -1,    -1,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,    -1,   283,   284,    -1,   286,    -1,
     288,   289,   290,   291,   292,   293,    -1,   295,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,    -1,
     308,    -1,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,    -1,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,    -1,   414,   415,    -1,    -1,
     418,    -1,   420,   421,   422,   423,   424,    -1,   426,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,    -1,   437,
     438,   439,   440,   441,   442,   443,   444,    -1,    -1,   447,
     448,   449,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,   459,   460,    -1,   462,    -1,   464,   465,   466,   467,
      -1,    -1,   470,    -1,    -1,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   503,   504,   505,   506,   507,
     508,   509,   510,   511,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    10,    -1,    -1,    -1,    -1,    -1,    -1,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    -1,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,   113,   114,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,   147,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,    -1,   171,   172,    -1,    -1,    -1,   176,   177,   178,
     179,    -1,   181,   182,    -1,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,    -1,   208,
      -1,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,    -1,    -1,   223,    -1,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,    -1,
      -1,   240,   241,    -1,   243,    -1,    -1,   246,   247,   248,
      -1,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,    -1,   283,   284,    -1,   286,    -1,   288,
     289,   290,   291,   292,   293,    -1,   295,   296,    -1,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,    -1,   308,
      -1,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,   326,   327,   328,
     329,    -1,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,    -1,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,    -1,    -1,   418,
      -1,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
      -1,    -1,   431,   432,   433,   434,   435,    -1,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,    -1,   447,   448,
     449,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
     459,   460,    -1,   462,    -1,   464,   465,   466,   467,    -1,
      -1,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   503,   504,   505,   506,   507,   508,
     509,   510,   511,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      10,    -1,    -1,    -1,    -1,    -1,    -1,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    -1,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,   112,   113,   114,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,   147,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,   171,   172,    -1,    -1,    -1,   176,   177,   178,   179,
      -1,   181,   182,    -1,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,    -1,   208,    -1,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,    -1,    -1,   223,    -1,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,    -1,    -1,
     240,   241,    -1,   243,    -1,    -1,   246,   247,   248,    -1,
      -1,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,    -1,   283,   284,    -1,   286,    -1,   288,   289,
     290,   291,   292,   293,    -1,   295,   296,    -1,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,    -1,   308,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,    -1,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,    -1,   414,   415,    -1,    -1,   418,    -1,
     420,   421,   422,   423,   424,    -1,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,    -1,   437,   438,   439,
     440,   441,   442,   443,   444,    -1,    -1,   447,   448,   449,
     450,   451,    -1,    -1,   454,   455,   456,   457,   458,   459,
     460,    -1,   462,    -1,   464,   465,   466,   467,    -1,    -1,
     470,    -1,    -1,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   503,   504,   505,   506,   507,   508,   509,
     510,   511,     3,    -1,    -1,    -1,    -1,    -1,    -1,    10,
      -1,    -1,    -1,    -1,    -1,    -1,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    -1,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,   113,   114,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
     171,   172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,
     181,   182,    -1,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,    -1,   208,    -1,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
      -1,    -1,   223,    -1,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,    -1,    -1,   240,
     241,    -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,    -1,   283,   284,    -1,   286,    -1,   288,   289,   290,
     291,   292,   293,    -1,   295,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,    -1,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,    -1,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,
     421,   422,   423,   424,    -1,   426,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,    -1,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,   459,   460,
      -1,   462,    -1,   464,   465,   466,   467,    -1,    -1,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   503,   504,   505,   506,   507,   508,   509,   510,
     511,     3,    -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,
      -1,    -1,    -1,    -1,    -1,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   503,   504,   505,   506,   507,   508,   509,   510,   511,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,
      -1,    -1,    -1,    -1,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     503,   504,   505,   506,   507,   508,   509,   510,   511,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,    -1,
      -1,    -1,    -1,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    -1,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,
     114,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,   147,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,   171,   172,    -1,
      -1,    -1,   176,   177,   178,   179,    -1,   181,   182,    -1,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,    -1,   208,    -1,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,
      -1,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,    -1,    -1,   240,   241,    -1,   243,
      -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,    -1,   283,
     284,    -1,   286,    -1,   288,   289,   290,   291,   292,   293,
      -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,    -1,   308,    -1,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,    -1,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,    -1,    -1,   418,    -1,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,    -1,   437,   438,   439,   440,   441,   442,   443,
     444,    -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,   459,   460,    -1,   462,    -1,
     464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,    -1,
      -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   503,
     504,   505,   506,   507,   508,   509,   510,   511,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      72,    73,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   508,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   508,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   508,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   508,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   508,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    -1,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
     102,    -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,    -1,   155,   156,   157,   158,    -1,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
      -1,    -1,    -1,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,   224,   225,    -1,    -1,    -1,    -1,    -1,    -1,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,    -1,
     242,   243,   244,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,    -1,   281,
      -1,   283,   284,   285,   286,    -1,    -1,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,    -1,   325,    -1,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,    -1,   414,   415,    -1,    -1,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,    -1,   434,    -1,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,    -1,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   490,   491,
     492,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,   508,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    -1,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
      -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,    -1,   155,   156,   157,   158,    -1,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,    -1,
      -1,    -1,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,    -1,    -1,    -1,    -1,    -1,    -1,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,    -1,   242,
     243,   244,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,    -1,   281,    -1,
     283,   284,   285,   286,    -1,    -1,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,    -1,   325,    -1,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
      -1,   414,   415,    -1,    -1,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
      -1,   434,    -1,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   490,   491,   492,
       3,    -1,     5,     6,    -1,    -1,    -1,    -1,    11,    -1,
      -1,    -1,    -1,    -1,    -1,   508,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
      -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,   297,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
     463,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,     5,     6,    -1,    -1,    -1,    -1,    11,    -1,
      -1,    -1,    -1,   506,   507,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
      -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,   297,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
     463,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,     5,     6,    -1,    -1,    -1,    -1,    11,    -1,
      -1,    -1,    -1,   506,   507,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
      -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,   297,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
     463,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,     5,     6,    -1,    -1,    -1,    -1,    11,    -1,
      -1,    -1,    -1,   506,   507,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
      -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,   297,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
     463,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    11,    -1,
      -1,    -1,    -1,   506,   507,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,   174,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   506,   507,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      33,    34,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
      -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
     463,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,     3,    -1,     5,     6,    -1,    -1,    -1,    -1,    11,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      72,    73,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      72,    73,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      72,    73,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,   285,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,    -1,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,   463,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,     5,     6,    -1,     8,     9,    -1,    11,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
     102,    -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,   463,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
     102,    -1,    -1,   105,   106,    -1,    -1,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,   285,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,   463,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
     102,    -1,    -1,   105,   106,    -1,    -1,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,   285,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,   463,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
     102,    -1,    -1,   105,   106,    -1,    -1,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,   285,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,   463,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
     102,    -1,    -1,   105,   106,    -1,    -1,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,   285,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,   463,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,     6,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
     102,    -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,   285,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,   297,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,   463,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
     102,    -1,    -1,   105,   106,    -1,    -1,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,   285,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,   463,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
     102,    -1,    -1,   105,   106,    -1,    -1,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,   285,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,   463,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
     102,    -1,    -1,   105,   106,    -1,    -1,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,   285,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,   463,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
     102,    -1,    -1,   105,   106,    -1,    -1,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,   285,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,   463,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
     102,    -1,    -1,   105,   106,    -1,    -1,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,   285,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,   463,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,     6,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
     102,    -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,   285,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,   463,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,     6,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
     102,    -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,   285,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,   463,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
     102,    -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,   285,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,   463,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
     102,    -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,   285,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,   463,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
     102,    -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,   285,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,   463,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
     102,    -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,   285,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,   463,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
     102,    -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,   285,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,   463,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
     102,    -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,   285,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,   463,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      72,    73,    74,    75,    76,    77,    -1,    -1,    80,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      72,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      72,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,   298,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,   298,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,   298,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,   298,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,   298,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,     6,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    11,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,    -1,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,    -1,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,    -1,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    -1,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
     102,    -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,    -1,   155,   156,   157,   158,    -1,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
      -1,    -1,    -1,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,   224,   225,    -1,    -1,    -1,    -1,    -1,    -1,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,    -1,
     242,   243,   244,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,    -1,   281,
      -1,   283,   284,   285,   286,    -1,    -1,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,    -1,   325,    -1,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,    -1,   414,   415,    -1,    -1,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,    -1,   434,    -1,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   490,   491,
     492,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    -1,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,   102,    -1,    -1,    -1,
     106,    -1,    -1,    -1,   110,   111,   112,   113,   114,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,    -1,   155,
     156,   157,   158,    -1,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,   171,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,    -1,    -1,    -1,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,   209,    -1,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,   224,   225,
      -1,    -1,    -1,    -1,    -1,    -1,   232,   233,   234,   235,
     236,   237,    -1,    -1,   240,    -1,   242,   243,   244,    -1,
     246,   247,   248,    -1,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,    -1,   281,    -1,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,    -1,   295,
     296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,
      -1,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,    -1,   325,
      -1,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
      -1,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,    -1,   414,   415,
      -1,   417,   418,   419,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,    -1,    -1,   431,   432,    -1,   434,    -1,
      -1,   437,   438,   439,   440,   441,   442,   443,   444,    -1,
      -1,   447,   448,   449,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,   465,
     466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,   475,
     476,   477,   478,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   490,   491,   492,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    -1,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,   102,    -1,    -1,    -1,   106,    -1,    -1,    -1,
     110,   111,   112,   113,   114,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,   147,   148,    -1,
     150,   151,   152,   153,    -1,   155,   156,   157,   158,    -1,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,   171,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,    -1,    -1,    -1,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,    -1,   208,   209,
      -1,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,   224,   225,    -1,    -1,    -1,    -1,
      -1,    -1,   232,   233,   234,   235,   236,   237,    -1,    -1,
     240,    -1,   242,   243,   244,    -1,   246,   247,   248,    -1,
      -1,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,    -1,   283,   284,   285,   286,    -1,    -1,   289,
     290,   291,   292,   293,    -1,   295,   296,    -1,    -1,   299,
     300,   301,    -1,    -1,   304,   305,    -1,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,    -1,   325,    -1,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,    -1,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,    -1,   414,   415,    -1,    -1,   418,   419,
     420,   421,   422,   423,   424,    -1,   426,   427,   428,    -1,
      -1,   431,   432,    -1,   434,    -1,    -1,   437,   438,   439,
     440,   441,   442,   443,   444,    -1,    -1,   447,   448,   449,
     450,   451,    -1,    -1,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,   464,   465,   466,   467,    -1,    -1,
     470,    -1,    -1,   473,   474,   475,   476,   477,   478,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     490,   491,   492,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    -1,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,   102,    -1,
      -1,    -1,   106,    -1,    -1,    -1,   110,   111,   112,   113,
     114,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,   147,   148,    -1,   150,   151,   152,   153,
      -1,   155,   156,   157,   158,    -1,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,   171,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,    -1,    -1,
      -1,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,    -1,   208,   209,    -1,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
     224,   225,    -1,    -1,    -1,    -1,    -1,    -1,   232,   233,
     234,   235,   236,   237,    -1,    -1,   240,    -1,   242,   243,
     244,    -1,   246,   247,   248,    -1,    -1,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
     284,   285,   286,    -1,    -1,   289,   290,   291,   292,   293,
      -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,
     304,   305,    -1,   307,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
      -1,   325,    -1,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,    -1,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,    -1,
     414,   415,    -1,    -1,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,    -1,    -1,   431,   432,    -1,
     434,    -1,    -1,   437,   438,   439,   440,   441,   442,   443,
     444,    -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,    -1,   460,    -1,   462,   463,
     464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,
     474,   475,   476,   477,   478,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   490,   491,   492,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    -1,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,   102,    -1,    -1,    -1,   106,    -1,
      -1,    -1,   110,   111,   112,   113,   114,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,   147,
     148,    -1,   150,   151,   152,   153,    -1,   155,   156,   157,
     158,    -1,    -1,   161,    -1,   163,   164,   165,   166,   167,
     168,   169,    -1,   171,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,    -1,    -1,    -1,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,    -1,
     208,   209,    -1,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,   224,   225,    -1,    -1,
      -1,    -1,    -1,    -1,   232,   233,   234,   235,   236,   237,
      -1,    -1,   240,    -1,   242,   243,   244,    -1,   246,   247,
     248,    -1,    -1,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,    -1,   281,    -1,   283,   284,   285,   286,    -1,
      -1,   289,   290,   291,   292,   293,    -1,   295,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,    -1,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,    -1,   325,    -1,   327,
     328,   329,    -1,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,    -1,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,    -1,   414,   415,    -1,    -1,
     418,   419,   420,   421,   422,   423,   424,    -1,   426,   427,
     428,    -1,    -1,   431,   432,    -1,   434,    -1,    -1,   437,
     438,   439,   440,   441,   442,   443,   444,    -1,    -1,   447,
     448,   449,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,   460,    -1,   462,   463,   464,   465,   466,   467,
      -1,    -1,   470,    -1,    -1,   473,   474,   475,   476,   477,
     478,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   490,   491,   492,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    -1,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
     102,    -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,    -1,   155,   156,   157,   158,    -1,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
      -1,    -1,    -1,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,   209,    -1,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,   224,   225,    -1,    -1,    -1,    -1,    -1,    -1,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,    -1,
     242,   243,   244,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,    -1,   281,
      -1,   283,   284,   285,   286,    -1,    -1,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,    -1,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,    -1,   325,    -1,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,    -1,   414,   415,    -1,    -1,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,    -1,   434,    -1,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   490,   491,
     492,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    -1,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,   102,    -1,    -1,    -1,
     106,    -1,    -1,    -1,   110,   111,   112,   113,   114,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,    -1,   155,
     156,   157,   158,    -1,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,   171,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,    -1,    -1,    -1,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,   209,    -1,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,   224,   225,
      -1,    -1,    -1,    -1,    -1,    -1,   232,   233,   234,   235,
     236,   237,    -1,    -1,   240,    -1,   242,   243,   244,    -1,
     246,   247,   248,    -1,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,    -1,   281,    -1,   283,   284,   285,
     286,    -1,    -1,   289,   290,   291,   292,   293,    -1,   295,
     296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,
      -1,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,    -1,   325,
      -1,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
      -1,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,    -1,   414,   415,
      -1,    -1,   418,   419,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,    -1,    -1,   431,   432,    -1,   434,    -1,
      -1,   437,   438,   439,   440,   441,   442,   443,   444,    -1,
      -1,   447,   448,   449,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,   465,
     466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,   475,
     476,   477,   478,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   490,   491,   492,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    -1,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,   102,    -1,    -1,    -1,   106,    -1,    -1,    -1,
     110,   111,   112,   113,   114,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,   147,   148,    -1,
     150,   151,   152,   153,    -1,   155,   156,   157,   158,    -1,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,   171,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,    -1,    -1,    -1,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,    -1,   208,   209,
      -1,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,   224,   225,    -1,    -1,    -1,    -1,
      -1,    -1,   232,   233,   234,   235,   236,   237,    -1,    -1,
     240,    -1,   242,   243,   244,    -1,   246,   247,   248,    -1,
      -1,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
      -1,   281,    -1,   283,   284,   285,   286,    -1,    -1,   289,
     290,   291,   292,   293,    -1,   295,   296,    -1,    -1,   299,
     300,   301,    -1,    -1,   304,   305,    -1,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,    -1,   325,    -1,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,    -1,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,    -1,   414,   415,    -1,    -1,   418,   419,
     420,   421,   422,   423,   424,    -1,   426,   427,   428,    -1,
      -1,   431,   432,    -1,   434,    -1,    -1,   437,   438,   439,
     440,   441,   442,   443,   444,    -1,    -1,   447,   448,   449,
     450,   451,    -1,    -1,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,   464,   465,   466,   467,    -1,    -1,
     470,    -1,    -1,   473,   474,   475,   476,   477,   478,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     490,   491,   492,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    -1,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,   102,    -1,
      -1,    -1,   106,    -1,    -1,    -1,   110,   111,   112,   113,
     114,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,   147,   148,    -1,   150,   151,   152,   153,
      -1,   155,   156,   157,   158,    -1,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,   171,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,    -1,    -1,
      -1,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,    -1,   208,   209,    -1,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
     224,   225,    -1,    -1,    -1,    -1,    -1,    -1,   232,   233,
     234,   235,   236,   237,    -1,    -1,   240,    -1,   242,   243,
     244,    -1,   246,   247,   248,    -1,    -1,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,    -1,   281,    -1,   283,
     284,   285,   286,    -1,    -1,   289,   290,   291,   292,   293,
      -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,
     304,   305,    -1,   307,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
      -1,   325,    -1,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,    -1,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,    -1,
     414,   415,    -1,    -1,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,    -1,    -1,   431,   432,    -1,
     434,    -1,    -1,   437,   438,   439,   440,   441,   442,   443,
     444,    -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,    -1,   460,    -1,   462,   463,
     464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,
     474,   475,   476,   477,   478,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   490,   491,   492,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    -1,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,   102,    -1,    -1,    -1,   106,    -1,
      -1,    -1,   110,   111,   112,   113,   114,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,   147,
     148,    -1,   150,   151,   152,   153,    -1,   155,   156,   157,
     158,    -1,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,    -1,   171,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,    -1,    -1,    -1,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,    -1,
     208,   209,    -1,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,   224,   225,    -1,    -1,
      -1,    -1,    -1,    -1,   232,   233,   234,   235,   236,   237,
      -1,    -1,   240,    -1,   242,   243,   244,    -1,   246,   247,
     248,    -1,    -1,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,    -1,   281,    -1,   283,   284,   285,   286,    -1,
      -1,   289,   290,   291,   292,   293,    -1,   295,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,    -1,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,    -1,   325,    -1,   327,
     328,   329,    -1,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,    -1,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,    -1,   414,   415,    -1,    -1,
     418,   419,   420,   421,   422,   423,   424,    -1,   426,   427,
     428,    -1,    -1,   431,   432,    -1,   434,    -1,    -1,   437,
     438,   439,   440,   441,   442,   443,   444,    -1,    -1,   447,
     448,   449,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,   460,    -1,   462,   463,   464,   465,   466,   467,
      -1,    -1,   470,    -1,    -1,   473,   474,   475,   476,   477,
     478,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   490,   491,   492,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    -1,    54,    -1,    -1,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    -1,    -1,    71,
      -1,    73,    74,    75,    76,    -1,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
     102,    -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,    -1,    -1,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,    -1,   155,   156,   157,   158,    -1,    -1,   161,
      -1,   163,   164,   165,    -1,   167,    -1,   169,    -1,   171,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
      -1,    -1,    -1,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,   209,    -1,   211,
     212,   213,   214,    -1,    -1,    -1,    -1,    -1,   220,   221,
     222,   223,   224,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,    -1,
     242,   243,   244,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,    -1,   281,
      -1,   283,   284,   285,   286,    -1,    -1,   289,    -1,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,    -1,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,    -1,   325,    -1,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,    -1,   414,   415,    -1,    -1,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,    -1,    -1,    -1,    -1,   431,
     432,    -1,   434,    -1,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,    -1,    -1,
     462,   463,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   490,   491,
     492
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,    20,    31,    33,    34,    51,    61,    73,    75,    76,
      82,    84,    96,    98,   115,   118,   133,   135,   139,   145,
     153,   155,   162,   180,   197,   246,   247,   252,   266,   284,
     328,   342,   348,   349,   351,   356,   362,   365,   372,   379,
     380,   387,   391,   401,   417,   437,   448,   454,   459,   472,
     496,   498,   499,   500,   501,   502,   515,   522,   523,   524,
     525,   530,   531,   537,   538,   540,   541,   542,   543,   545,
     548,   560,   565,   566,   569,   570,   571,   590,   593,   594,
     609,   658,   661,   662,   665,   668,   669,   670,   678,   685,
     687,   688,   691,   694,   695,   699,   708,   712,   713,   714,
     717,   719,   720,   721,   722,   730,   732,   752,   756,   758,
     759,   769,   771,   778,   779,   782,   783,   784,   785,   786,
     795,   797,   799,   802,   806,   807,   817,   818,   823,   828,
     839,   871,   874,   875,   876,   881,   884,   886,   888,   890,
     891,   895,   896,   899,   901,   902,   906,   907,   908,   911,
     912,   913,   914,   915,   922,   924,   925,   926,   927,   933,
     935,   936,   942,   943,   944,   947,   948,   949,   950,   952,
     953,   955,   956,   958,   959,   961,   973,   975,   978,   980,
     981,   990,   992,   997,  1002,  1010,  1014,  1015,  1016,  1017,
    1018,  1019,  1025,  1061,   431,   475,   928,    28,    79,    95,
     113,   119,   137,   148,   157,   170,   176,   183,   203,   236,
     258,   299,   323,   333,   334,   337,   364,   367,   371,   374,
     381,   384,   403,   410,   415,   417,   420,   424,   434,   439,
     452,   465,   684,   928,     3,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    30,    31,    32,    40,    41,    42,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    58,    59,    60,    61,    62,    63,    64,
      67,    68,    69,    70,    71,    73,    74,    75,    76,    77,
      79,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    92,    93,    94,    95,    96,    97,    99,   100,   101,
     102,   106,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   120,   122,   123,   124,   125,   126,   127,   128,   130,
     131,   132,   133,   136,   137,   138,   139,   140,   142,   143,
     144,   146,   147,   148,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   161,   163,   164,   165,   166,   167,
     169,   171,   172,   173,   175,   176,   177,   178,   179,   181,
     182,   184,   185,   186,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   199,   200,   201,   202,   203,   204,
     205,   206,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   218,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     240,   241,   242,   243,   244,   246,   247,   248,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   283,
     284,   285,   286,   288,   289,   290,   291,   292,   293,   295,
     296,   299,   300,   301,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   322,   323,   324,   325,   326,   327,   328,   329,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   381,   382,   383,   384,
     385,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   414,   415,   418,   419,
     420,   421,   422,   423,   424,   426,   427,   428,   431,   432,
     433,   434,   435,   437,   438,   439,   440,   441,   442,   443,
     444,   447,   448,   449,   450,   451,   454,   455,   456,   457,
     458,   459,   460,   462,   463,   464,   465,   466,   467,   470,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
    1123,  1207,  1219,  1220,  1224,  1225,  1226,     3,    29,  1011,
    1204,  1219,  1224,   463,   515,   966,   297,   329,   928,    54,
     515,   601,    23,    41,    66,    79,   113,   119,   137,   148,
     157,   170,   179,   183,   248,   299,   302,   323,   337,   364,
     374,   384,   403,   410,   420,   421,   423,   424,   439,   446,
     449,   452,   610,   667,   774,   829,   840,    29,   328,  1204,
    1011,    29,   322,   382,   421,   423,     6,   235,   882,   883,
    1210,    23,    28,    66,    79,    95,   113,   137,   148,   157,
     170,   176,   183,   203,   258,   299,   312,   323,   334,   337,
     364,   367,   371,   374,   381,   384,   403,   410,   417,   420,
     424,   432,   434,   439,   452,   465,   684,   787,   789,   790,
     928,  1204,    98,   463,   515,   662,   665,   668,   961,   974,
     978,   981,   990,   997,  1002,  1010,  1014,    11,    22,    29,
      49,   165,   172,   174,   198,   237,   273,   331,   350,   506,
     507,   803,   804,  1011,  1209,  1211,    29,    31,    98,   346,
     380,   808,   809,   810,  1219,   170,  1219,  1206,  1210,   417,
    1028,   803,  1219,   431,  1204,   312,   258,   515,   894,   372,
    1219,    29,   385,   427,   431,   552,   561,   562,  1219,   180,
     808,   809,  1219,   329,   928,  1219,   234,    29,   134,  1030,
    1031,    67,    92,   248,   268,   364,   374,   385,   427,   431,
     478,   549,   550,   551,   552,    29,   385,   427,   431,   552,
     431,   298,  1073,  1074,  1202,  1219,  1028,   508,  1219,   175,
     515,   967,   515,   344,  1020,  1021,  1204,  1020,     3,    53,
      55,    56,    69,    70,   116,   117,   138,   166,   215,   216,
     218,   225,   269,   271,   290,   341,   389,   395,   427,   428,
     460,  1096,  1098,  1100,  1102,  1104,  1106,  1107,  1108,  1110,
    1111,  1112,  1114,  1115,  1119,  1220,  1224,  1030,  1031,  1032,
    1215,    12,  1216,  1217,  1219,  1216,  1216,  1015,  1016,  1019,
       0,   518,   515,   966,   149,   217,   303,   445,  1033,  1034,
    1015,  1017,  1018,   124,   213,   260,   451,   519,    35,   932,
     856,  1207,   792,  1219,   792,  1204,   332,   792,   434,  1204,
     112,   417,   844,  1207,  1219,  1226,     3,   105,   109,   386,
    1212,  1213,  1221,  1224,  1225,  1226,    29,   192,  1202,   291,
     465,    10,    17,    18,    19,    74,   161,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   878,   880,  1154,  1155,
    1219,   192,  1204,   844,  1204,    29,  1212,  1213,   844,  1204,
    1204,   192,  1202,  1204,   192,   792,  1204,   356,   387,    29,
     192,  1073,  1204,   377,  1204,   792,    29,   255,  1212,  1213,
     192,  1202,   235,   121,   223,   282,   340,   929,   930,   931,
     515,   513,   517,  1180,  1182,   493,   960,   961,   962,   963,
    1221,  1202,  1204,  1219,    28,    66,    80,    91,   113,   137,
     176,   203,   236,   299,   334,   364,   367,   410,   420,   432,
     439,   787,   788,   789,   790,  1210,   932,   977,   981,   990,
     997,  1002,  1014,  1202,   261,   792,   515,   192,   792,  1204,
     792,   434,   192,  1204,   112,   417,   421,   423,  1212,  1213,
     421,   423,    74,   161,   878,   354,  1204,  1204,  1212,   192,
     526,  1219,   192,  1204,   192,   527,   792,  1204,  1204,   377,
     792,   255,  1212,   344,   381,   417,   465,   258,    95,   203,
      28,    91,   176,   334,   371,   432,   434,   438,   679,    29,
    1204,  1012,   559,  1210,  1221,   883,   261,   192,   856,   857,
     192,   887,   192,  1204,   192,   794,  1096,   434,   112,   417,
     192,   843,   844,   192,  1213,  1214,    87,   465,    74,   161,
     192,   879,   880,    59,   192,   843,   192,  1214,   192,   843,
     192,  1204,   192,  1204,   377,   887,   192,   794,   192,   255,
    1214,   235,   192,   791,   792,   192,  1203,  1204,   192,  1204,
     932,   515,   979,   610,   974,   459,   960,   966,  1211,   804,
     805,    29,   805,  1211,   805,    29,   805,  1211,   805,   805,
     805,  1211,  1209,  1209,  1011,   805,   332,   515,   415,   515,
     635,   635,   635,   297,   429,   519,   635,   374,  1073,  1075,
     519,   923,  1210,   515,   976,    59,   465,   960,   113,   203,
     374,   415,   417,   892,   893,  1219,    48,   492,   223,   517,
     300,   297,   174,   300,  1210,   429,   932,   168,   800,   297,
       5,     8,     9,    10,    12,    37,    53,    55,    56,    65,
      66,    69,    70,    77,    79,   103,   104,   105,   106,   107,
     108,   109,   116,   117,   119,   154,   159,   160,   166,   182,
     184,   215,   216,   218,   225,   226,   227,   228,   229,   230,
     231,   241,   249,   250,   269,   271,   280,   282,   287,   288,
     290,   299,   310,   324,   341,   369,   386,   395,   411,   416,
     427,   428,   433,   435,   436,   446,   452,   460,   480,   481,
     482,   483,   485,   486,   487,   488,   494,   506,   507,   508,
     515,  1015,  1099,  1102,  1105,  1106,  1107,  1109,  1110,  1111,
    1114,  1115,  1119,  1120,  1122,  1123,  1124,  1126,  1150,  1151,
    1152,  1156,  1174,  1179,  1196,  1199,  1200,  1207,  1208,  1209,
    1210,  1219,  1198,  1199,  1210,    29,   567,  1201,  1202,   385,
     549,   119,   558,  1210,   559,  1210,    48,    71,   549,   492,
     396,   930,   300,   174,   429,   505,    48,   492,   223,   931,
     515,  1202,   508,  1182,  1075,   960,   173,   968,  1120,  1159,
    1020,   519,   515,   969,   462,  1113,  1113,  1113,   515,  1101,
    1101,   326,   515,  1103,    69,    70,  1113,  1101,  1098,   496,
     497,   515,  1116,   515,  1116,    37,  1097,   515,   114,   190,
     262,   265,   378,   490,   515,  1117,  1118,   517,   793,  1101,
    1198,  1183,   516,   516,   524,   960,   970,   971,   972,  1202,
      29,   134,  1029,  1029,    59,  1029,   162,   168,   245,   294,
    1037,  1039,  1040,  1055,  1057,  1058,  1059,  1033,  1034,   174,
     219,   219,  1073,  1076,   515,    68,   278,   313,   352,   387,
     515,   854,   313,   348,   352,   387,   793,   313,   352,   387,
       3,    90,   143,   251,   313,   348,   352,   387,   420,   422,
     472,   560,   563,   937,   938,   939,   940,   824,    25,   139,
     313,   352,   387,   456,   576,  1204,    25,   139,   387,   451,
     544,   476,   192,  1073,    62,    97,   158,   195,   240,   278,
     282,   313,   314,   352,   361,   370,   379,   387,   399,   408,
     412,   467,   560,   564,   860,   872,   900,   515,   841,  1182,
     352,   544,   198,   154,    25,    31,    46,    76,   132,   139,
     142,   169,   205,   278,   282,   292,   301,   313,   352,   355,
     356,   387,   456,   572,   574,   575,   702,   900,     5,   506,
     507,   676,  1211,    29,   192,  1202,   792,   792,   515,   877,
     313,   387,   517,   154,   297,   313,   352,   387,   872,   900,
      25,   139,   313,   352,   387,   198,   539,   352,   472,   496,
     532,   539,   313,   352,   387,   872,   900,   297,   313,   352,
     154,    38,    60,   111,   201,   259,   263,   278,   312,   352,
     357,   381,   387,   401,   572,   673,   674,   313,   352,   464,
     702,   710,   154,   313,   352,   387,    25,    90,   132,   139,
     142,   313,   348,   352,   387,   394,   562,   550,   552,   198,
     154,    46,   130,   278,   352,   387,   572,   573,   313,   352,
     356,   387,    88,   131,   316,   422,   297,    25,    31,   139,
     313,   352,   387,   591,   592,   539,   168,   352,   532,   539,
     154,   352,   387,   572,  1204,   243,   121,   298,   477,   519,
     929,    29,   134,   461,   508,   516,   849,  1120,  1160,  1161,
    1220,  1120,  1181,     3,    29,    33,    34,    35,    36,    37,
      38,    39,    43,    57,    65,    66,    72,    78,    80,    91,
      98,   103,   104,   105,   107,   108,   109,   119,   121,   129,
     134,   135,   141,   145,   149,   160,   162,   168,   170,   174,
     180,   183,   187,   198,   207,   217,   219,   238,   239,   245,
     249,   250,   282,   287,   294,   297,   298,   302,   303,   321,
     330,   346,   360,   380,   386,   397,   413,   416,   417,   425,
     429,   430,   436,   445,   446,   452,   453,   461,   468,   469,
     471,   472,   508,  1205,  1222,  1224,  1225,  1226,  1227,  1180,
     516,   519,   160,   297,   436,   556,   559,   676,   964,   453,
     957,   297,   856,   515,   792,  1204,  1096,   844,   291,    74,
     161,   880,   844,   844,   168,  1096,   792,  1204,  1204,   516,
     635,  1204,    72,  1096,   282,   174,   515,   760,   532,    38,
     951,  1204,   282,   532,   476,   192,  1202,   532,   792,   792,
     760,   449,   610,   297,   168,   472,   868,   532,   282,    48,
     546,   282,   439,   709,   282,   969,    90,   313,   686,    88,
     131,   316,   422,    38,   760,   168,   192,   532,   465,   192,
    1202,   192,   663,  1202,  1202,   465,   792,    87,   528,  1207,
     434,  1207,  1207,  1204,   168,  1204,   684,    40,    54,   110,
     212,   278,   376,   154,    63,   358,   519,   529,   154,   515,
     154,   532,   154,   519,   529,   476,   154,   519,   529,   154,
     519,   192,   791,   192,   792,   192,   792,   154,   519,   529,
    1214,   154,   529,   154,   154,   529,   154,   529,   154,    88,
     131,   316,   422,   168,   154,   529,   154,   168,   192,   154,
     519,   529,   154,   519,   529,   154,   297,  1159,   417,   516,
     974,   805,  1011,   805,  1011,   805,  1011,   805,  1011,   805,
    1011,  1011,  1011,   805,  1011,   515,   636,   637,  1219,   636,
      29,   113,   137,   170,   176,   235,   236,   315,   334,   367,
     374,   381,   417,   420,   439,   813,  1201,  1214,   810,  1204,
     198,   519,   993,  1210,  1096,  1163,    38,  1214,   528,   516,
     528,   528,   528,   243,  1219,   168,   813,  1214,   168,   372,
    1219,   559,   297,   515,  1183,   513,  1015,  1164,  1120,  1178,
     515,   515,   168,   515,   515,  1015,   515,   515,   515,   515,
     515,   515,   515,   515,   515,   515,   515,   515,   515,   515,
    1120,   515,   515,   515,   515,   515,   515,   515,   515,   289,
     626,   515,   515,   515,   515,   515,   515,   515,   515,  1120,
    1120,  1120,  1015,  1120,  1159,  1182,  1210,   515,  1210,     3,
      10,    13,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    71,    72,    73,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   164,   165,   166,   167,   169,   170,   171,   172,   173,
     175,   176,   177,   178,   179,   181,   182,   184,   185,   186,
     188,   189,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   218,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     263,   264,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     295,   296,   298,   299,   300,   301,   302,   304,   305,   306,
     307,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   463,   464,
     465,   466,   467,   468,   470,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     491,   492,   494,   503,   504,   505,   506,   507,   508,   509,
     510,   511,  1154,  1156,  1158,  1223,  1228,   473,  1137,   309,
    1120,   163,  1138,   219,   519,  1026,   515,  1210,  1182,  1026,
     122,   194,   568,   519,    71,   119,   559,    38,     3,   119,
     248,   557,   676,  1115,  1210,  1210,    93,   136,  1132,   102,
     119,   553,   554,   556,   676,   119,   553,   243,  1202,    94,
     357,   796,   516,   966,    35,    45,    52,    78,   193,   198,
     221,   244,   299,   302,   392,   516,   519,  1021,  1203,    38,
     515,  1159,  1209,  1113,  1113,    37,  1097,   427,   427,  1209,
    1209,   513,   513,  1209,   429,   429,   429,   515,   429,  1209,
    1205,   517,  1101,   174,  1062,    15,   505,  1180,  1218,   516,
     519,   969,  1017,  1017,  1035,  1036,  1120,  1017,   165,   273,
    1046,   232,   278,   340,   390,   451,    29,  1041,  1120,   506,
     507,  1042,  1043,  1120,  1122,  1055,  1056,  1040,  1039,  1037,
    1038,   168,  1058,   292,  1060,  1037,  1055,  1076,   982,  1202,
    1076,    38,  1219,   387,  1159,    68,   429,   429,   374,   198,
     210,   303,   306,   389,   461,   508,   847,   848,   849,   851,
     853,   855,  1096,  1220,   429,   464,   429,   374,   429,   429,
     374,   245,   429,    79,   429,   420,   549,   313,   937,   939,
     505,   941,   168,   180,   198,   362,   825,   826,    72,    91,
     150,   170,   282,   330,   446,   632,   633,    91,   119,   282,
     429,    91,   429,   119,   282,   374,    91,   132,   142,   313,
     352,   757,   374,   692,    28,    66,   137,   176,   299,   334,
     367,   432,   439,   787,   788,  1204,   154,   352,   387,   572,
     297,   676,   379,   240,   429,  1219,   429,   287,   676,   123,
     220,   374,   385,   431,   551,   792,   358,   387,   860,   873,
     127,   516,   842,   847,   429,   452,   420,  1202,    80,   150,
     192,   617,   632,  1219,    80,    91,   897,   318,   297,   369,
     371,   434,    91,   897,    32,   355,   369,   371,   434,   369,
    1202,   169,   205,   292,   792,   515,   429,   429,   191,   515,
     580,    23,   254,   420,   449,   474,   580,    91,   519,   127,
       5,     5,   313,   198,   154,   352,   387,   572,   900,   453,
     453,   279,  1096,   429,   374,   515,   878,  1204,  1202,   429,
     429,   374,   873,   127,   106,   417,   418,   909,   910,  1074,
    1202,  1219,   910,   429,   429,   760,   910,   113,   387,   563,
     429,   534,   563,   429,   429,   374,   873,   127,  1202,   429,
     429,  1202,  1098,   676,    59,   675,   676,   676,   111,   259,
     263,    59,   429,   532,   267,   374,   532,   278,   674,   429,
     429,   287,  1210,   702,   792,   429,   429,   374,   403,   337,
    1210,   337,   429,   337,   429,   337,   760,   760,   420,  1073,
     318,   318,    91,   429,   897,   374,   429,   429,   580,   580,
     792,   792,   792,   792,  1202,    47,   458,    47,    47,   458,
     429,    47,   429,   458,   374,   515,   519,   563,   452,   718,
    1213,   429,   534,   563,  1202,   429,   897,   374,   313,   352,
     340,   353,   383,   555,   929,  1160,  1160,  1161,   516,    15,
      16,   519,  1033,  1034,   514,   520,  1202,   962,  1204,  1202,
     221,  1096,   221,   297,   221,   221,   676,   792,   792,   221,
     221,   221,  1096,   221,   221,   221,   297,   429,   174,   429,
     595,   439,   515,    38,   154,   792,   761,   762,  1222,   937,
    1096,   297,   154,   689,  1204,   282,   318,   515,   533,   774,
     453,   344,   465,  1202,    29,   910,   760,   533,   154,  1213,
      98,   180,   547,   609,   669,   732,   806,   828,   933,   154,
    1210,   710,   711,   154,   297,  1210,  1213,   251,   792,   792,
     792,   792,   146,   339,   515,   718,   282,   533,  1202,   282,
     671,   673,   282,    38,   292,   318,   515,   635,   635,   192,
     666,  1202,   168,   192,   526,  1219,   515,   764,   854,  1204,
     515,   845,   845,    38,  1096,    27,    50,   214,   733,   235,
     472,   474,  1013,   376,   857,   856,  1096,  1204,   515,   794,
    1096,   843,   844,  1214,  1213,   154,   529,   154,   453,   154,
     453,   879,   880,   529,   843,  1214,   843,  1204,  1204,  1096,
     794,  1214,   718,   154,   791,   792,  1203,  1204,  1204,   792,
     516,   192,  1202,   974,  1011,  1011,  1011,  1011,  1011,  1011,
     636,   516,   519,   516,   177,   335,   368,   382,   418,  1203,
     791,   112,   384,   843,  1203,   291,   811,   812,  1219,   843,
     843,  1203,  1201,  1201,  1203,   791,   429,   181,   472,   822,
     149,   245,   715,   716,    23,   152,   369,   390,   994,  1073,
     286,   995,   516,   519,   977,   429,  1202,  1204,  1202,   526,
     808,   809,   174,   822,   809,  1219,    28,    80,   137,   176,
     236,   334,   367,   439,   787,   788,  1159,   514,  1159,  1164,
    1165,   468,  1175,  1176,  1120,  1159,   515,  1209,  1209,     3,
     114,   190,   262,   265,   378,   490,  1166,  1167,  1210,  1159,
    1159,  1120,  1185,   360,  1015,  1016,  1185,  1188,  1195,  1185,
    1120,  1122,  1160,  1188,  1191,  1192,  1120,  1192,  1120,  1185,
    1159,  1209,  1209,  1120,  1120,   878,  1120,  1160,  1162,  1169,
     369,   506,   507,   515,  1121,  1122,  1156,  1170,   516,  1159,
    1120,  1162,  1171,  1120,    57,   174,   239,   430,  1120,  1159,
    1172,   134,   282,  1015,  1159,   267,  1122,  1120,  1130,  1131,
    1132,   267,  1120,  1132,   516,   519,  1209,  1117,  1096,  1120,
    1120,  1120,  1120,  1222,   248,   427,    43,   413,  1184,   792,
    1120,   515,  1015,  1173,   134,   136,   160,   225,   274,   275,
     276,   277,   281,   282,   287,   436,   447,  1168,  1189,  1120,
     515,  1120,   429,    52,   193,   198,   244,   392,  1120,  1120,
    1120,  1120,  1120,  1120,  1120,  1120,  1120,  1120,    29,    36,
     397,  1153,   183,  1138,   369,   515,  1150,   515,   308,  1142,
     179,   248,   417,   421,   423,   449,  1027,  1202,  1200,  1062,
    1160,  1062,  1202,   431,   515,  1210,   519,   516,   191,   191,
     529,   972,   961,   965,  1120,   516,   258,   282,  1022,  1159,
     516,   516,   513,   492,   492,   516,   516,  1209,   514,  1209,
     516,   190,   262,  1118,   262,  1118,  1118,  1209,   265,   516,
    1205,   225,   238,   370,   489,   515,  1015,  1063,  1064,  1065,
    1073,  1079,  1089,  1123,  1125,  1126,  1196,  1219,   469,  1084,
    1215,   972,   970,   519,    39,   129,   453,   837,   369,   370,
     506,   507,  1043,  1045,  1122,   390,   232,   298,   519,     5,
    1044,  1209,  1044,   369,   370,  1045,  1201,   286,   394,   996,
    1056,  1038,   453,   991,   119,   311,   515,   983,  1014,    38,
     453,  1219,   515,   998,   999,  1000,  1219,   516,  1213,  1204,
    1204,   306,    59,  1220,   516,   849,   851,   848,   851,  1220,
     303,   516,   519,   793,  1213,  1204,  1204,  1213,  1204,  1204,
    1213,   464,  1204,  1204,   119,   556,   676,   364,   452,   808,
     374,   180,   808,   515,  1204,   453,   830,   232,   287,   232,
     453,   626,   657,   192,  1204,   287,  1213,  1204,  1204,  1120,
     287,  1204,  1204,    32,   355,   429,   429,  1204,   429,   693,
     856,   515,  1096,   844,    74,   161,   880,   844,   844,   168,
    1096,   792,  1204,   186,   278,   313,   352,   457,   696,   697,
     698,  1073,   429,   897,   374,   287,   123,   220,  1213,  1204,
     297,  1204,   297,   516,   519,  1212,  1214,  1204,   352,   572,
     192,   617,   282,  1096,  1204,  1209,  1219,  1202,  1204,   243,
    1204,    29,   452,  1204,   192,  1204,   192,  1219,   371,   434,
     371,   434,   243,  1204,    29,   452,  1204,   243,   369,  1202,
      25,   139,   387,   703,   704,   705,   706,  1222,  1213,  1204,
     119,   175,   283,   453,   579,   582,   583,  1222,   261,  1204,
      76,   295,  1204,   575,   297,   429,   420,  1202,   429,   897,
     374,   127,  1204,  1204,   519,   516,   519,  1213,  1204,   903,
     904,  1222,   297,   352,   429,   726,  1213,  1204,  1204,   297,
    1073,   198,   519,   635,   635,  1182,  1213,  1204,  1204,  1212,
       3,    90,   144,   205,   320,   444,   452,   455,   535,  1213,
    1204,  1204,   297,   352,  1213,  1204,   352,   387,   572,   673,
     676,   792,  1204,   676,   792,  1204,   676,  1213,  1204,   387,
    1213,  1204,  1204,  1211,  1203,  1203,  1213,   868,  1204,  1203,
    1204,   352,   387,   572,   573,  1202,  1202,  1204,  1204,  1204,
    1204,  1213,  1204,    25,    31,   139,   313,   352,   387,   313,
     352,   387,   760,   352,   387,   352,   387,   352,   900,  1088,
    1219,   192,   770,  1219,   192,  1219,  1210,  1213,  1204,  1204,
    1210,  1204,   903,    25,   139,   592,   384,  1212,   352,   387,
     572,  1204,  1204,  1204,   429,   429,    85,   443,   340,   519,
    1033,  1033,  1033,  1120,  1120,   461,  1161,   516,  1120,  1181,
     957,   287,   798,  1210,    38,   798,   137,   792,   798,   798,
     221,   453,   453,   798,   798,   798,   235,   798,   798,   798,
     792,   336,   596,   596,   203,   417,   731,  1120,  1096,   792,
     516,   519,   505,   623,  1222,  1204,    63,   174,   374,   464,
     690,   697,   698,   154,   292,   244,   611,   613,   615,   617,
     629,   632,    26,   198,   364,   414,   535,   536,   168,  1204,
     465,  1202,    38,   727,   418,   868,   526,  1219,   546,   610,
     840,  1204,   170,   792,   515,   659,   660,  1125,  1219,   337,
    1210,   760,   760,   760,   760,   515,   760,  1086,  1087,  1088,
     384,   154,   515,   154,   154,   153,  1014,   792,   292,   611,
    1219,   453,   652,   472,   581,   282,    38,   635,  1210,   282,
     297,     3,   765,   766,   760,    27,   516,   846,   847,   852,
      38,   235,   361,   432,   471,   858,   859,   860,   861,   858,
     297,   235,   292,   124,   213,   437,   451,   734,   735,  1204,
     189,   189,   168,   529,    38,   532,   169,   945,   946,   529,
     529,   791,   792,  1204,   792,  1204,   529,   529,   529,   529,
     235,   529,   384,   168,   529,   529,   297,   529,   282,   516,
     637,   198,   198,   198,   198,   198,   476,  1203,   676,   677,
     519,   517,   183,   814,   815,  1213,    59,   819,   820,  1222,
     429,   515,   174,   152,   390,   152,   390,   369,   451,   264,
    1096,  1213,   472,   664,   297,   814,   529,   174,   856,   792,
    1096,   844,   291,   844,   844,  1096,   792,  1204,   516,   514,
     514,   519,  1120,   141,  1176,  1177,    38,   516,  1120,   516,
     516,   516,   174,   516,   516,   493,  1186,  1187,   472,   474,
    1190,  1096,  1187,   516,    21,   287,   519,  1194,   303,  1197,
     520,   458,   516,   516,    21,   287,   519,  1193,  1193,   516,
    1188,   516,   516,   516,   516,   519,   519,   516,   321,   516,
     516,   515,  1121,  1121,  1159,    13,    17,    18,    19,   198,
     221,   299,   503,   504,   505,   506,   507,   508,   509,   510,
     511,  1156,  1121,   516,   516,   168,   174,   392,   516,   516,
      38,  1172,  1159,  1172,  1172,   174,   516,   134,   516,  1222,
     319,  1135,    38,   516,   519,  1120,  1222,   519,  1120,  1183,
    1120,   516,   492,  1121,  1121,   147,  1159,   174,    37,   291,
     373,   458,   134,   136,   160,   281,   287,   436,   447,  1168,
    1189,   281,  1190,   147,   878,  1120,   413,  1184,  1120,  1173,
    1120,   429,   515,  1015,   515,  1142,   515,  1159,   469,   515,
    1143,  1219,   421,   423,   421,   423,  1202,  1028,  1028,  1028,
    1084,  1033,  1084,   930,  1209,  1117,   554,   972,   258,   515,
     516,  1209,  1116,  1116,   514,   514,   516,  1015,  1079,  1089,
     174,   515,  1015,  1064,  1065,    38,  1066,  1067,  1219,   519,
      99,   175,   209,   224,   242,   270,   363,  1070,  1067,    38,
    1066,  1069,  1219,  1067,   496,  1083,  1182,  1120,   183,  1047,
    1036,   299,  1154,  1157,   495,   838,     5,  1209,  1045,   298,
     472,   451,  1042,   253,  1063,   469,  1085,   459,   415,   452,
     984,   985,   986,  1219,   297,   987,  1219,  1064,  1000,  1001,
     519,  1062,   505,  1183,   855,   793,   851,   851,    59,   853,
     510,  1214,  1214,   297,  1203,   300,   297,  1120,   633,  1204,
     515,   515,  1219,   515,   657,   203,   515,   750,   154,   529,
     429,  1213,  1204,   559,  1096,   792,   792,  1096,   680,  1204,
     186,   457,   429,   429,   680,   696,   702,   352,   387,   572,
    1204,  1204,  1204,   211,   287,   157,   847,   312,   387,   429,
     282,   154,   406,   621,   622,   750,   387,    25,   139,   356,
     357,   387,   576,   584,   585,   702,   898,   379,   154,   529,
     154,   529,  1204,  1204,  1204,  1204,   379,   379,   243,   705,
     706,   705,   516,   519,   707,  1210,   203,   516,   519,   505,
     517,  1204,   157,  1213,  1204,   352,   387,   572,  1204,  1204,
    1204,   297,   313,   352,   387,    25,   139,   313,   352,   387,
    1096,   279,  1096,   516,   519,   505,  1202,   429,  1214,   453,
     723,   157,   635,   374,   909,   469,   642,   642,   635,   245,
     320,   287,  1210,   320,  1214,   450,   157,   429,   429,   374,
     403,   868,   868,   868,   312,   387,    91,   429,   897,   374,
     119,   168,   587,   164,   528,   429,   429,   255,   255,   255,
     429,   429,   374,   429,   429,   374,   429,   374,   429,   374,
     429,   127,   529,  1096,   282,  1210,   387,   898,   154,   529,
     429,   429,   516,  1204,   429,   897,   374,   429,  1213,  1204,
     516,   516,   516,  1161,   514,  1096,   792,   221,   798,  1204,
    1204,  1204,   221,   404,   405,   597,  1210,   597,   186,   516,
     516,   174,   760,   762,   279,   299,   506,   507,   676,   763,
     851,  1157,  1210,  1227,    72,    78,    91,   119,   121,   178,
     207,   282,   287,   330,   346,   446,   624,   625,   628,   153,
     468,   532,   559,  1204,   559,   301,   700,  1202,  1202,  1202,
     516,   519,  1214,   183,   364,  1214,  1209,   439,  1202,   635,
       3,   168,   728,   868,    48,   546,   417,   709,   112,   969,
    1120,   174,   519,  1203,   581,   767,   768,  1210,   516,   519,
    1204,   168,   636,  1202,   663,  1202,  1204,   664,   515,   612,
    1202,   516,  1204,   472,   474,   653,   580,    38,   154,  1014,
     652,   429,   154,  1073,   505,   516,   519,   734,   516,   519,
     119,   505,   862,  1210,   559,   417,   850,   851,   168,   867,
      51,   359,   863,   864,   861,   864,   124,   213,   380,   451,
     920,  1204,   292,   297,   302,   186,  1014,  1096,   515,   516,
     519,   529,   453,   529,   453,   529,  1204,  1204,   718,   792,
     154,   374,   374,   374,   374,   374,  1203,   519,   812,  1219,
    1213,   472,   519,   816,  1213,   519,   822,   160,   300,   436,
     821,  1075,   384,   152,   152,   112,   278,   813,   822,  1214,
     221,   221,   221,   221,   676,   221,   221,   221,   221,   221,
    1164,   425,  1120,   145,  1096,   516,  1120,   225,   446,   446,
     516,  1187,  1188,   297,   297,  1185,  1188,    59,  1194,  1185,
    1185,   297,   297,  1192,  1190,  1190,   516,  1168,  1120,  1120,
     516,  1159,   519,  1096,  1121,  1121,  1121,  1121,   134,   136,
     282,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1120,  1120,  1120,  1096,   516,   516,   516,  1159,   516,
     519,    59,  1122,  1136,   516,  1222,  1131,   327,   409,  1134,
     516,   519,   464,  1127,    38,   516,  1210,  1120,    35,    35,
    1120,   516,  1120,   174,   281,  1190,  1120,   516,   147,  1121,
    1121,   147,   147,  1120,  1120,  1034,   516,  1159,   519,  1120,
    1144,  1219,  1028,  1028,  1028,  1028,  1202,  1202,  1202,  1047,
     516,  1047,   516,   977,   514,  1067,  1069,  1067,   515,   484,
    1122,   516,  1219,   515,  1064,   224,   307,  1071,  1064,  1071,
     224,  1070,  1071,   224,   419,  1077,   515,  1219,   515,   304,
      59,   187,  1054,   515,   838,   165,   237,   298,   472,   426,
     102,  1120,   360,   989,   458,   516,   519,  1183,    89,   989,
     297,   516,   519,   999,  1085,  1120,   516,   510,   855,   439,
     177,   368,   375,   382,   418,   440,   827,   168,   827,   516,
     515,   640,   641,   833,  1125,  1219,   636,   750,   636,   750,
    1204,   636,   121,   207,   278,   282,   751,  1204,  1204,    38,
     453,   453,   235,   793,  1213,  1204,   429,   897,   374,   429,
     211,  1204,    59,   420,  1204,   154,   617,   119,  1219,    86,
     619,   620,   403,   178,   156,   191,   282,   580,   532,   112,
     156,   178,   282,   403,   580,   619,   621,   674,   387,   585,
     439,  1204,  1219,   379,   704,  1204,   583,   763,  1222,  1204,
     312,   387,   429,   897,   374,   429,   157,   429,   429,   374,
     176,   299,   406,   772,   773,   176,   299,   780,   781,   429,
     429,   374,   516,   516,   516,   904,   279,   676,   851,   905,
    1157,  1210,  1227,   352,  1204,   515,   472,   724,  1204,   642,
     106,  1219,   515,   642,  1211,  1210,  1210,  1210,  1204,  1204,
    1204,  1204,  1211,    59,   420,  1204,  1204,  1204,  1204,   459,
    1204,  1204,   168,   168,   354,   168,   192,  1213,  1204,  1204,
    1213,  1204,  1204,  1204,  1204,  1204,  1204,  1204,   297,    78,
     577,   154,    27,    50,   439,  1219,  1204,  1210,   702,  1204,
    1204,  1204,  1204,  1033,   516,   221,   798,   221,   221,   221,
     798,   532,   453,   602,   603,   680,   750,   472,   474,   792,
     515,   792,  1204,  1121,    32,    59,   627,   122,   194,   121,
     287,   232,  1202,   626,   176,   334,   746,   753,   754,  1219,
     689,   515,   318,   515,   612,   630,   206,   647,   615,  1214,
    1214,  1096,   515,   581,    29,   124,   213,   380,   451,   729,
     429,   725,  1213,   192,  1202,   711,   476,   297,   516,  1063,
     660,   868,   516,   519,  1088,   700,   718,   516,   671,    38,
     292,   318,   515,   979,   614,   616,   618,   632,  1219,   318,
     648,   649,   612,   647,   580,   295,   297,   654,  1014,   666,
     664,   581,  1210,  1204,   830,   763,     3,   766,   297,   852,
    1120,  1120,   519,   515,   858,   439,   519,    44,  1120,   429,
     515,   636,  1202,   735,   680,   516,   945,   946,  1204,  1204,
     529,   384,   529,  1203,  1203,  1203,  1203,  1203,   676,   180,
     815,   822,   820,   516,  1204,   112,   174,   529,   822,   287,
     801,  1210,   801,   801,   801,   221,   801,   801,   801,   801,
     801,  1120,   516,   143,   233,   233,   516,   287,   287,   516,
    1035,  1188,   287,   287,  1188,  1188,   516,   516,   174,   516,
    1120,   174,   134,   136,   174,   168,   147,   516,   479,  1129,
    1159,   345,   458,    59,  1136,  1122,   470,   470,   516,  1120,
     278,  1120,   519,  1128,  1098,  1120,  1120,  1120,  1120,    35,
      35,  1120,  1120,   147,   516,   516,   516,  1120,   516,   318,
    1145,  1202,  1202,  1202,  1202,  1054,  1210,  1054,  1210,   516,
    1080,  1081,  1125,   515,  1135,  1066,   515,  1203,  1064,   297,
     453,  1072,  1064,   224,  1064,  1207,  1087,   515,  1087,  1219,
    1029,  1120,   471,  1139,   878,   426,   292,  1199,  1014,   311,
    1014,   986,   297,   515,   988,  1120,   505,  1000,   989,   439,
     516,   429,   808,   174,   750,  1120,   516,   519,   472,    78,
     832,   836,   832,   516,   516,   516,   122,   194,   205,   121,
     455,   529,  1096,  1204,  1204,  1204,  1204,  1204,  1204,  1204,
    1214,  1204,   617,   119,  1219,   700,   119,   586,  1211,   627,
     192,   192,   287,   676,    38,   627,   287,   586,  1096,   529,
     529,   505,    59,   420,  1204,  1204,  1204,  1204,  1204,  1213,
    1204,  1204,  1209,  1209,  1096,   519,  1209,  1209,   519,  1213,
    1204,  1204,   429,  1120,    72,  1120,  1214,  1204,   429,   429,
     174,   198,   472,  1203,  1203,   792,  1203,   154,   157,   792,
    1210,  1210,  1096,   529,   529,   429,   516,   221,   798,   798,
     798,   798,   515,   598,   599,   532,   126,   176,   210,   176,
    1120,   282,   625,   119,    38,   278,   634,   868,   635,   868,
    1207,    35,   153,   198,   701,   705,   292,   611,   587,   151,
     200,   515,   384,   453,   636,    38,  1214,   723,   546,   282,
     515,   170,  1204,   659,  1210,   384,   581,   153,  1014,   792,
     292,   611,   664,   516,   519,   472,   623,    59,   652,   587,
     648,    84,   420,   655,   472,   934,    38,   655,   174,   297,
     515,  1202,  1210,   849,   869,   870,  1220,   864,  1096,   168,
     865,  1202,   174,   429,   889,   347,   736,   208,   681,   529,
     516,   529,   529,  1204,   300,   219,   814,   529,   801,  1204,
     516,   516,   516,  1120,   516,  1121,   174,  1120,  1120,  1120,
     515,   516,   519,   516,  1136,   516,   458,   400,   516,   202,
     278,  1133,  1120,  1120,  1120,   516,    59,  1033,  1139,  1139,
     377,  1023,   516,   519,    38,  1082,   119,  1094,  1095,  1121,
      81,  1203,   516,  1120,   515,  1064,  1072,   515,   516,  1087,
     516,   101,   184,   366,   515,  1048,  1049,  1050,  1051,  1052,
    1053,  1120,  1140,  1141,  1219,  1033,   516,  1011,   984,    91,
     831,   833,   135,   468,  1003,  1004,  1120,   814,   297,   814,
     516,   199,   638,   641,   299,   878,   792,   527,   792,   346,
     638,   638,   516,   429,   387,   995,   623,    38,   154,   154,
     515,   577,   763,  1214,  1204,   429,   515,   844,   878,   880,
     773,   515,   515,   781,  1204,   516,   515,   516,   387,   995,
    1204,  1204,   515,   515,   515,   472,   496,   954,   354,   954,
     954,   168,  1204,   577,  1204,   798,   604,   605,  1222,    54,
     100,   125,   143,   147,   169,   173,   188,   287,   338,   600,
     598,  1210,   844,    38,   885,   885,   516,   191,   515,   205,
     453,   656,   256,   639,   656,   515,   754,   746,   515,   516,
     519,  1202,   516,   384,    29,    83,    86,    92,   120,   178,
     191,   204,   403,   406,   631,   631,  1201,  1204,  1204,   516,
    1014,   724,   154,   112,   700,   174,  1204,    38,  1204,   664,
     612,  1202,   516,   616,   301,  1219,   653,   648,   652,   124,
     139,   327,  1204,    64,    72,   248,  1014,   792,  1073,   831,
     174,   749,   851,   516,   519,   439,   145,   525,   863,   866,
    1084,   398,   398,   516,   272,   296,   737,   738,   739,   168,
     742,   680,   278,   457,   682,   683,  1204,   822,   168,  1121,
    1130,  1159,   278,   491,   202,   516,  1159,   185,   339,   370,
    1146,    58,   128,   111,  1024,  1083,  1080,   515,  1121,   516,
     519,    38,  1090,  1091,  1219,   516,  1203,  1159,   516,   515,
     388,   515,   516,   519,   519,    38,  1038,   458,  1204,   516,
     519,   283,   451,   257,   282,  1004,   816,   827,   529,   832,
     515,   868,   515,   837,   580,  1202,   868,   868,  1204,   420,
     191,  1120,   453,   578,   387,   995,  1204,  1163,   168,   776,
     776,  1163,  1163,  1120,   420,  1159,  1159,   588,   589,  1221,
     791,   792,   791,   792,  1203,   529,   516,   519,   508,   515,
     556,   606,   676,   951,  1210,   951,   282,   287,   338,   951,
     951,  1084,   885,    42,   196,   634,   515,   672,  1120,   203,
     175,   317,   393,   297,   643,   644,   645,   516,  1207,     6,
     755,   705,   612,   647,  1204,   516,   700,   161,   775,   581,
     934,  1202,   476,  1063,   700,  1014,   979,   648,   612,   647,
     623,   515,   654,   652,   653,   370,   370,    72,   300,    72,
     664,   830,   516,  1202,   750,   858,   869,  1096,   518,   135,
     472,   472,   738,   369,   417,   740,   140,   743,   468,   745,
     457,   680,   700,   529,  1120,   516,   516,   458,    52,   102,
     442,  1120,  1147,  1148,  1147,  1147,   516,   165,   165,   636,
    1087,   519,  1095,  1222,   516,   519,   168,  1096,   516,   516,
    1159,   515,  1159,  1049,  1141,  1143,  1056,  1014,  1084,   833,
     387,    35,  1005,   257,   174,   636,   656,   878,   838,   837,
     635,   656,   656,  1204,   672,   516,  1120,   420,   516,   303,
     377,   343,   777,   777,   516,   516,   516,  1204,   516,   516,
     516,   519,  1209,   954,   605,   556,   607,   608,  1210,  1210,
     287,   508,   636,   508,   636,  1210,  1210,   673,   516,   420,
     124,   451,   297,   645,   297,   644,   515,   516,   519,   587,
     384,   700,   792,    38,    38,   515,  1204,   934,   664,   652,
     587,   648,   515,   650,   651,  1125,  1219,   655,   653,   654,
     300,   300,   515,   199,   834,   168,   864,    30,   214,   921,
     176,   176,   951,   369,   402,   744,   515,   153,  1148,   369,
     167,   325,   167,   325,   150,  1149,  1149,  1149,    59,    59,
     387,   516,  1122,  1091,   304,     3,   119,   282,   287,  1092,
    1093,    38,  1068,   353,  1078,   516,  1048,   516,   998,  1120,
     425,  1005,   814,   516,   642,   516,   838,   639,   750,   750,
     995,  1204,   844,    59,   995,   429,   588,   792,   516,   519,
     508,   636,   516,   407,  1204,    63,   278,   358,   387,   646,
     646,   516,     6,   384,  1204,   772,  1014,   700,   653,   648,
     652,  1120,   516,   519,   836,   836,   654,   655,   831,   515,
     626,   140,   283,   515,   916,   918,   922,   981,   990,   997,
    1014,  1025,   844,   844,   741,  1219,  1120,   746,    35,   102,
     183,   278,   426,   636,   636,  1219,  1135,  1121,  1121,   287,
    1093,  1219,   515,   516,  1084,   124,   135,   451,  1006,  1007,
     425,   529,   750,   643,   995,   792,   515,   608,    24,   119,
     287,  1204,   700,   934,   654,   652,   653,   516,   651,   527,
     527,   655,   516,   833,   835,   581,   369,   917,   918,   919,
    1015,  1016,   519,   519,   516,  1207,  1148,   369,   305,   387,
     387,   429,   453,    81,  1120,   283,   387,   135,   213,  1008,
     750,  1159,   635,   635,   700,   655,   653,   654,   836,   834,
     516,   519,   655,   745,   516,   518,   429,   174,   515,  1219,
    1219,   225,  1207,  1208,  1219,  1090,   516,   998,   283,   119,
     311,   459,   515,  1009,   516,   654,   655,   527,   626,   833,
    1084,   153,   919,   398,   398,     5,   747,   748,  1209,  1210,
    1222,   515,   119,   516,   459,   984,   515,   985,   655,   581,
     746,   472,   472,   516,   519,  1160,  1208,   458,  1159,   516,
     655,  1207,   176,   176,   748,  1033,   453,  1009,   516,   311,
    1009,  1084,   515,   844,   844,   516,  1219,   984,   747,   458,
     516,  1009
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   521,   522,   522,   522,   522,   522,   522,   523,   523,
     524,   524,   525,   525,   525,   525,   525,   525,   525,   525,
     525,   525,   525,   525,   525,   525,   525,   525,   525,   525,
     525,   525,   525,   525,   525,   525,   525,   525,   525,   525,
     525,   525,   525,   525,   525,   525,   525,   525,   525,   525,
     525,   525,   525,   525,   525,   525,   525,   525,   525,   525,
     525,   525,   525,   525,   525,   525,   525,   525,   525,   525,
     525,   525,   525,   525,   525,   525,   525,   525,   525,   525,
     525,   525,   525,   525,   525,   525,   525,   525,   525,   525,
     525,   525,   525,   525,   525,   525,   525,   525,   525,   525,
     525,   525,   525,   525,   525,   525,   525,   525,   525,   525,
     525,   525,   525,   525,   525,   525,   525,   525,   525,   525,
     525,   525,   525,   525,   525,   525,   525,   525,   525,   525,
     525,   525,   525,   525,   525,   525,   525,   526,   526,   527,
     527,   528,   528,   529,   529,   529,   530,   531,   532,   532,
     532,   533,   533,   534,   534,   535,   535,   535,   535,   535,
     535,   535,   535,   535,   536,   536,   536,   536,   536,   536,
     537,   538,   538,   539,   539,   540,   540,   540,   540,   541,
     541,   541,   541,   541,   541,   542,   543,   544,   544,   545,
     545,   545,   545,   546,   546,   547,   547,   547,   547,   547,
     547,   548,   548,   548,   549,   549,   549,   550,   550,   550,
     550,   551,   551,   551,   551,   551,   551,   551,   551,   551,
     551,   551,   552,   552,   553,   553,   554,   554,   555,   555,
     555,   555,   556,   556,   556,   556,   557,   557,   557,   557,
     557,   557,   557,   558,   558,   558,   559,   559,   560,   561,
     561,   561,   561,   562,   562,   563,   563,   564,   564,   565,
     565,   565,   565,   565,   566,   567,   567,   568,   568,   569,
     570,   570,   570,   570,   570,   571,   571,   571,   571,   571,
     571,   571,   571,   571,   571,   571,   571,   571,   571,   571,
     571,   571,   571,   571,   571,   571,   572,   572,   573,   573,
     573,   574,   575,   575,   575,   575,   575,   575,   575,   575,
     575,   575,   575,   575,   575,   575,   575,   575,   575,   575,
     575,   575,   575,   575,   575,   575,   575,   575,   575,   575,
     575,   575,   575,   575,   575,   575,   575,   575,   575,   575,
     575,   575,   575,   575,   575,   575,   575,   575,   575,   575,
     575,   575,   575,   575,   575,   575,   575,   575,   575,   575,
     575,   575,   575,   576,   576,   577,   577,   578,   578,   579,
     579,   579,   579,   580,   581,   581,   582,   582,   583,   583,
     583,   583,   584,   584,   585,   585,   585,   585,   586,   586,
     587,   587,   587,   587,   588,   589,   589,   590,   591,   591,
     592,   592,   592,   592,   593,   593,   594,   594,   595,   595,
     596,   596,   597,   597,   597,   598,   598,   599,   599,   600,
     600,   600,   600,   600,   600,   600,   600,   600,   600,   600,
     600,   600,   600,   600,   601,   601,   602,   602,   603,   603,
     604,   604,   605,   606,   606,   606,   606,   606,   607,   607,
     608,   609,   609,   609,   609,   609,   609,   610,   610,   610,
     610,   610,   610,   610,   610,   611,   611,   612,   612,   613,
     613,   614,   614,   615,   615,   615,   616,   616,   617,   618,
     618,   619,   619,   620,   620,   621,   621,   622,   622,   623,
     623,   624,   624,   624,   624,   625,   625,   625,   625,   625,
     625,   625,   625,   625,   626,   626,   626,   627,   627,   628,
     628,   628,   628,   629,   630,   630,   630,   631,   631,   631,
     631,   631,   631,   631,   631,   631,   631,   632,   632,   633,
     633,   633,   633,   633,   633,   633,   633,   634,   634,   635,
     635,   636,   636,   637,   638,   638,   639,   639,   639,   639,
     640,   640,   641,   641,   642,   642,   643,   643,   643,   643,
     643,   644,   645,   646,   646,   646,   646,   646,   647,   647,
     648,   648,   649,   650,   650,   651,   651,   651,   652,   652,
     653,   653,   653,   654,   654,   654,   654,   655,   655,   656,
     656,   657,   658,   658,   659,   659,   660,   660,   660,   661,
     661,   662,   662,   663,   664,   664,   664,   665,   665,   666,
     667,   667,   668,   669,   669,   670,   670,   671,   671,   672,
     672,   673,   673,   674,   674,   674,   674,   674,   674,   674,
     674,   674,   674,   674,   674,   674,   674,   675,   675,   676,
     676,   676,   676,   677,   677,   678,   678,   679,   679,   680,
     680,   681,   681,   682,   682,   683,   683,   684,   684,   685,
     686,   686,   687,   687,   688,   688,   689,   689,   690,   690,
     690,   690,   691,   692,   692,   693,   694,   694,   694,   694,
     694,   694,   694,   694,   694,   694,   694,   694,   694,   695,
     696,   696,   696,   696,   697,   697,   698,   698,   699,   699,
     700,   700,   701,   701,   702,   703,   703,   704,   704,   704,
     704,   705,   706,   707,   708,   708,   709,   709,   710,   710,
     711,   711,   712,   712,   712,   713,   713,   713,   713,   714,
     715,   715,   716,   716,   717,   717,   718,   718,   719,   719,
     720,   721,   722,   723,   723,   724,   724,   725,   725,   726,
     726,   727,   727,   728,   728,   729,   729,   729,   729,   729,
     730,   731,   731,   732,   732,   733,   733,   733,   734,   734,
     735,   735,   735,   735,   735,   736,   736,   737,   737,   738,
     739,   739,   740,   740,   741,   742,   742,   743,   743,   744,
     744,   745,   745,   746,   746,   747,   747,   747,   748,   748,
     748,   748,   749,   749,   750,   750,   751,   751,   751,   751,
     751,   751,   752,   752,   753,   753,   754,   755,   755,   756,
     757,   757,   757,   757,   758,   759,   759,   759,   759,   759,
     759,   759,   759,   759,   759,   759,   759,   759,   759,   759,
     759,   760,   761,   761,   762,   762,   763,   763,   763,   763,
     763,   763,   764,   765,   765,   766,   767,   767,   768,   768,
     769,   769,   769,   769,   769,   770,   770,   771,   772,   772,
     773,   773,   773,   773,   773,   774,   774,   775,   775,   776,
     776,   776,   777,   777,   778,   779,   779,   780,   780,   781,
     781,   782,   782,   783,   783,   784,   785,   786,   786,   786,
     786,   786,   786,   786,   786,   786,   786,   786,   786,   787,
     787,   787,   787,   787,   787,   787,   787,   787,   787,   787,
     787,   787,   788,   788,   788,   788,   788,   789,   789,   789,
     789,   789,   789,   789,   789,   790,   790,   790,   791,   791,
     792,   792,   793,   793,   794,   794,   795,   796,   796,   796,
     797,   797,   797,   797,   797,   797,   797,   797,   797,   797,
     797,   797,   797,   797,   797,   797,   797,   797,   798,   798,
     799,   799,   799,   799,   799,   799,   799,   799,   799,   799,
     800,   800,   801,   801,   802,   802,   803,   803,   803,   803,
     803,   803,   803,   803,   803,   803,   803,   803,   803,   803,
     803,   803,   804,   804,   805,   805,   806,   807,   807,   808,
     808,   808,   808,   808,   809,   809,   810,   810,   810,   810,
     810,   811,   811,   812,   812,   813,   813,   813,   813,   813,
     813,   813,   813,   813,   813,   813,   813,   813,   813,   813,
     813,   813,   813,   813,   813,   813,   814,   814,   815,   815,
     816,   816,   817,   817,   818,   818,   819,   819,   820,   821,
     821,   821,   822,   822,   823,   824,   824,   825,   825,   825,
     826,   826,   826,   827,   827,   827,   827,   827,   827,   828,
     828,   829,   829,   830,   830,   831,   831,   832,   832,   833,
     833,   833,   834,   834,   835,   835,   836,   836,   837,   837,
     837,   838,   838,   838,   839,   839,   839,   839,   840,   840,
     841,   841,   842,   842,   843,   843,   844,   844,   844,   844,
     845,   845,   846,   846,   847,   847,   847,   847,   847,   848,
     848,   848,   848,   848,   849,   850,   851,   851,   851,   852,
     852,   852,   853,   854,   854,   854,   854,   855,   855,   856,
     857,   857,   858,   858,   859,   859,   860,   860,   860,   860,
     860,   860,   860,   860,   860,   860,   860,   860,   860,   860,
     860,   860,   860,   861,   861,   861,   861,   861,   862,   862,
     863,   864,   864,   864,   865,   865,   866,   866,   867,   867,
     868,   868,   869,   870,   870,   871,   871,   871,   872,   872,
     873,   873,   874,   874,   874,   874,   874,   874,   875,   875,
     876,   876,   877,   877,   877,   877,   878,   878,   879,   879,
     880,   881,   882,   882,   883,   883,   884,   884,   884,   885,
     885,   885,   886,   887,   887,   888,   889,   889,   889,   889,
     890,   891,   891,   891,   892,   892,   893,   893,   894,   894,
     895,   895,   896,   896,   896,   896,   896,   896,   896,   896,
     896,   896,   896,   896,   896,   896,   896,   896,   896,   896,
     896,   896,   896,   896,   896,   896,   896,   896,   896,   896,
     896,   896,   896,   896,   896,   896,   896,   896,   896,   896,
     896,   896,   896,   896,   896,   896,   896,   896,   896,   896,
     896,   896,   896,   896,   896,   896,   896,   897,   897,   898,
     898,   899,   899,   899,   899,   899,   899,   900,   900,   901,
     901,   901,   901,   901,   901,   901,   901,   901,   901,   901,
     901,   901,   901,   901,   901,   901,   901,   901,   901,   901,
     901,   901,   901,   901,   901,   901,   902,   903,   903,   904,
     904,   904,   905,   905,   905,   905,   905,   906,   907,   907,
     907,   907,   907,   907,   907,   907,   907,   907,   907,   907,
     907,   907,   907,   907,   907,   907,   907,   907,   907,   907,
     907,   907,   908,   908,   908,   909,   909,   909,   909,   909,
     909,   909,   910,   910,   911,   911,   911,   911,   912,   913,
     913,   913,   913,   913,   913,   913,   913,   913,   914,   914,
     915,   916,   916,   916,   917,   917,   918,   918,   918,   918,
     918,   919,   919,   920,   920,   920,   920,   921,   921,   921,
     922,   923,   923,   924,   925,   925,   926,   926,   926,   926,
     926,   926,   926,   926,   926,   926,   926,   926,   927,   927,
     928,   928,   928,   929,   929,   929,   929,   929,   930,   930,
     930,   931,   931,   932,   932,   932,   933,   933,   933,   933,
     934,   934,   934,   934,   935,   936,   937,   937,   938,   938,
     939,   939,   939,   940,   940,   940,   940,   940,   940,   940,
     941,   941,   942,   942,   942,   942,   943,   944,   944,   944,
     944,   945,   945,   946,   947,   948,   948,   949,   950,   950,
     950,   950,   950,   950,   950,   951,   951,   952,   953,   953,
     953,   953,   953,   953,   954,   954,   955,   956,   956,   956,
     956,   956,   957,   957,   958,   958,   959,   959,   960,   960,
     961,   961,   962,   963,   963,   963,   964,   964,   964,   965,
     965,   966,   966,   967,   967,   968,   968,   969,   969,   970,
     971,   971,   972,   972,   973,   973,   973,   973,   974,   974,
     974,   974,   974,   974,   974,   974,   974,   974,   975,   976,
     976,   977,   977,   977,   977,   977,   978,   978,   978,   979,
     979,   980,   980,   980,   980,   981,   982,   982,   983,   983,
     983,   983,   983,   984,   984,   985,   985,   986,   987,   987,
     987,   988,   988,   988,   989,   989,   990,   991,   991,   992,
     993,   993,   994,   994,   994,   994,   994,   994,   994,   994,
     995,   995,   996,   996,   996,   997,   998,   998,   999,   999,
    1000,  1001,  1001,  1002,  1003,  1003,  1004,  1004,  1004,  1004,
    1004,  1005,  1005,  1006,  1007,  1008,  1008,  1008,  1008,  1008,
    1009,  1010,  1011,  1012,  1012,  1012,  1012,  1012,  1012,  1013,
    1013,  1013,  1014,  1014,  1015,  1015,  1016,  1016,  1016,  1016,
    1016,  1016,  1016,  1016,  1017,  1017,  1018,  1018,  1018,  1018,
    1018,  1018,  1018,  1019,  1019,  1019,  1020,  1020,  1021,  1022,
    1022,  1022,  1023,  1023,  1023,  1024,  1024,  1024,  1025,  1025,
    1026,  1026,  1027,  1027,  1027,  1027,  1027,  1027,  1027,  1027,
    1027,  1028,  1028,  1029,  1029,  1029,  1030,  1030,  1031,  1031,
    1032,  1032,  1033,  1033,  1034,  1035,  1035,  1036,  1036,  1037,
    1037,  1037,  1037,  1038,  1038,  1039,  1039,  1039,  1039,  1039,
    1039,  1040,  1040,  1041,  1041,  1042,  1043,  1043,  1043,  1044,
    1044,  1045,  1045,  1046,  1046,  1047,  1047,  1048,  1048,  1049,
    1049,  1049,  1049,  1049,  1050,  1051,  1052,  1053,  1054,  1054,
    1055,  1055,  1056,  1056,  1057,  1057,  1058,  1059,  1059,  1059,
    1059,  1060,  1060,  1061,  1061,  1062,  1062,  1063,  1063,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1065,
    1065,  1065,  1065,  1065,  1065,  1066,  1066,  1066,  1066,  1067,
    1067,  1068,  1068,  1069,  1069,  1069,  1069,  1069,  1070,  1070,
    1070,  1070,  1071,  1071,  1072,  1072,  1073,  1073,  1074,  1074,
    1074,  1075,  1075,  1076,  1076,  1076,  1077,  1078,  1078,  1079,
    1079,  1080,  1081,  1081,  1082,  1082,  1083,  1083,  1084,  1084,
    1085,  1085,  1085,  1086,  1086,  1087,  1087,  1088,  1089,  1089,
    1090,  1090,  1091,  1091,  1091,  1092,  1092,  1093,  1093,  1093,
    1093,  1094,  1094,  1095,  1095,  1096,  1096,  1096,  1096,  1096,
    1096,  1097,  1097,  1097,  1098,  1098,  1098,  1098,  1098,  1098,
    1098,  1098,  1099,  1099,  1099,  1099,  1099,  1100,  1100,  1101,
    1101,  1102,  1102,  1102,  1102,  1102,  1102,  1102,  1102,  1102,
    1102,  1102,  1103,  1103,  1104,  1104,  1105,  1105,  1106,  1107,
    1108,  1108,  1109,  1109,  1110,  1111,  1112,  1112,  1112,  1112,
    1112,  1112,  1113,  1113,  1114,  1114,  1114,  1114,  1115,  1116,
    1116,  1116,  1117,  1117,  1117,  1117,  1117,  1117,  1117,  1117,
    1117,  1117,  1117,  1117,  1117,  1117,  1118,  1118,  1119,  1120,
    1120,  1120,  1120,  1120,  1120,  1120,  1120,  1120,  1120,  1120,
    1120,  1120,  1120,  1120,  1120,  1120,  1120,  1120,  1120,  1120,
    1120,  1120,  1120,  1120,  1120,  1120,  1120,  1120,  1120,  1120,
    1120,  1120,  1120,  1120,  1120,  1120,  1120,  1120,  1120,  1120,
    1120,  1120,  1120,  1120,  1120,  1120,  1120,  1120,  1120,  1120,
    1120,  1120,  1120,  1120,  1120,  1120,  1120,  1120,  1120,  1120,
    1120,  1120,  1120,  1120,  1120,  1120,  1120,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1122,
    1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,
    1122,  1122,  1122,  1123,  1123,  1123,  1123,  1123,  1123,  1123,
    1124,  1124,  1124,  1125,  1125,  1125,  1126,  1126,  1126,  1126,
    1126,  1126,  1126,  1126,  1126,  1126,  1126,  1126,  1126,  1126,
    1126,  1126,  1126,  1126,  1126,  1126,  1126,  1126,  1126,  1126,
    1126,  1126,  1126,  1126,  1126,  1126,  1126,  1126,  1126,  1126,
    1126,  1126,  1126,  1126,  1126,  1126,  1126,  1126,  1126,  1126,
    1126,  1126,  1126,  1126,  1126,  1126,  1126,  1126,  1126,  1126,
    1126,  1126,  1127,  1127,  1128,  1128,  1128,  1128,  1129,  1130,
    1130,  1131,  1131,  1132,  1132,  1133,  1133,  1133,  1134,  1134,
    1134,  1135,  1135,  1135,  1135,  1136,  1136,  1137,  1137,  1138,
    1138,  1139,  1139,  1140,  1140,  1141,  1142,  1142,  1142,  1143,
    1144,  1144,  1145,  1145,  1146,  1146,  1146,  1146,  1147,  1147,
    1148,  1148,  1148,  1148,  1148,  1149,  1149,  1149,  1149,  1149,
    1150,  1150,  1150,  1151,  1151,  1152,  1153,  1153,  1153,  1154,
    1154,  1155,  1155,  1155,  1155,  1155,  1155,  1155,  1155,  1155,
    1155,  1155,  1155,  1156,  1156,  1157,  1157,  1158,  1158,  1158,
    1158,  1158,  1158,  1159,  1159,  1160,  1160,  1161,  1161,  1161,
    1162,  1162,  1163,  1163,  1164,  1164,  1164,  1165,  1165,  1166,
    1167,  1167,  1167,  1167,  1167,  1167,  1167,  1167,  1168,  1168,
    1168,  1168,  1169,  1169,  1170,  1171,  1171,  1171,  1171,  1171,
    1172,  1172,  1172,  1173,  1173,  1174,  1175,  1175,  1176,  1177,
    1177,  1178,  1178,  1179,  1179,  1180,  1180,  1180,  1180,  1181,
    1181,  1182,  1182,  1183,  1183,  1184,  1184,  1185,  1186,  1186,
    1187,  1187,  1188,  1188,  1189,  1189,  1189,  1189,  1189,  1190,
    1190,  1190,  1190,  1190,  1191,  1191,  1192,  1192,  1193,  1193,
    1193,  1194,  1194,  1194,  1195,  1195,  1196,  1196,  1197,  1197,
    1198,  1198,  1199,  1199,  1200,  1200,  1200,  1200,  1201,  1201,
    1202,  1202,  1203,  1203,  1204,  1205,  1206,  1207,  1207,  1208,
    1208,  1208,  1208,  1208,  1208,  1208,  1208,  1208,  1208,  1208,
    1208,  1208,  1209,  1210,  1211,  1211,  1211,  1212,  1213,  1213,
    1213,  1213,  1214,  1214,  1215,  1216,  1217,  1217,  1218,  1218,
    1219,  1219,  1219,  1220,  1220,  1220,  1221,  1221,  1221,  1221,
    1222,  1222,  1222,  1222,  1222,  1223,  1223,  1224,  1224,  1224,
    1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,
    1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,
    1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,
    1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,
    1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,
    1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,
    1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,
    1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,
    1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,
    1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,
    1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,
    1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,
    1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,
    1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,
    1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,
    1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,
    1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,
    1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,
    1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,
    1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,
    1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,
    1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,
    1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,
    1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,
    1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,
    1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,
    1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,
    1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,
    1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,
    1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,
    1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,
    1224,  1225,  1225,  1225,  1225,  1225,  1225,  1225,  1225,  1225,
    1225,  1225,  1225,  1225,  1225,  1225,  1225,  1225,  1225,  1225,
    1225,  1225,  1225,  1225,  1225,  1225,  1225,  1225,  1225,  1225,
    1225,  1225,  1225,  1225,  1225,  1225,  1225,  1225,  1225,  1225,
    1225,  1225,  1225,  1225,  1225,  1225,  1225,  1225,  1225,  1225,
    1225,  1225,  1225,  1225,  1225,  1225,  1225,  1225,  1225,  1226,
    1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,
    1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,
    1226,  1226,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,
    1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,
    1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,
    1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,
    1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,
    1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,
    1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,
    1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,
    1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,
    1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,
    1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,
    1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,
    1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,
    1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,
    1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,
    1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,
    1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,
    1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,
    1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,
    1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,
    1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,
    1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,
    1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,
    1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,
    1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,
    1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,
    1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,
    1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,
    1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,
    1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,
    1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,
    1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,
    1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,
    1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,
    1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,
    1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,
    1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,
    1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,
    1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,
    1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,
    1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,
    1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,
    1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,
    1228,  1228,  1228,  1228
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     2,     2,     2,     2,     2,     3,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     0,     1,     0,     1,
       0,     1,     0,     1,     1,     0,     2,     5,     1,     1,
       0,     2,     0,     2,     0,     2,     2,     3,     3,     1,
       3,     3,     2,     1,     1,     2,     2,     2,     3,     3,
       5,     5,     5,     0,     3,     5,     5,     5,     5,     3,
       5,     3,     5,     3,     5,     5,     6,     1,     1,     6,
       4,     9,     7,     2,     0,     1,     1,     1,     1,     1,
       1,     2,     3,     3,     2,     5,     1,     3,     3,     3,
       3,     1,     3,     3,     2,     2,     2,     2,     3,     3,
       3,     3,     1,     3,     1,     3,     1,     1,     2,     2,
       2,     1,     1,     1,     1,     1,     1,     1,     3,     5,
       1,     1,     1,     1,     1,     0,     1,     1,     2,     1,
       2,     3,     2,     1,     1,     2,     1,     2,     1,     2,
       3,     4,     3,     2,     4,     1,     1,     1,     1,     1,
       2,     2,     2,     2,     2,     4,     6,     4,     6,    10,
      13,     4,     6,     4,    10,    13,     4,     6,     4,     6,
       5,     7,    11,    14,     5,     7,     1,     3,     4,     4,
       4,     3,     2,     5,     3,     6,     4,     6,     6,     9,
       5,     7,     6,     6,     5,     5,     5,     5,     9,     4,
       5,     7,     6,     4,     8,     4,     2,     4,     3,     6,
       4,     3,     3,     3,     2,     2,     3,     4,     4,     3,
       3,     3,     3,     3,     3,     4,     4,     3,     2,     3,
       2,     2,     3,     4,     3,     2,     2,     3,     4,     4,
       4,     5,     1,     3,     2,     2,     0,     2,     0,     1,
       1,     1,     3,     3,     2,     0,     1,     3,     3,     1,
       5,     3,     1,     2,     1,     3,     2,     3,     1,     1,
       6,     6,    10,     1,     2,     1,     3,     4,     1,     3,
       4,     6,     4,     8,     2,     2,    11,     9,     1,     1,
       1,     0,     1,     1,     1,     1,     3,     2,     0,     1,
       1,     3,     3,     1,     1,     3,     3,     3,     3,     4,
       4,     3,     3,     2,     1,     0,     3,     0,     1,     0,
       1,     3,     2,     1,     1,     1,     3,     0,     1,     3,
       1,    13,    16,    12,    15,    14,    17,     1,     1,     2,
       2,     2,     2,     1,     0,     1,     0,     3,     0,     1,
       3,     1,     3,     1,     1,     1,     1,     1,     6,     2,
       4,     2,     2,     1,     0,     2,     2,     1,     0,     2,
       0,     3,     1,     1,     2,     3,     1,     4,     4,     5,
       2,     5,     7,     5,     2,     3,     0,     1,     2,     1,
       2,     2,     2,     3,     3,     3,     0,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     3,     1,     5,
       4,     9,     3,     9,     4,    10,    11,     2,     0,     3,
       0,     1,     3,     1,     4,     0,     2,     2,     2,     0,
       1,     3,     3,     6,     4,     0,     1,     1,     2,     2,
       0,     3,     3,     2,     1,     1,     3,     3,     4,     0,
       1,     0,     6,     1,     3,     3,     3,     5,     2,     0,
       2,     2,     0,     3,     4,     4,     0,     2,     0,     4,
       0,     3,     8,    11,     1,     3,     1,     1,     3,     6,
       8,     7,    10,     6,     2,     3,     0,     8,    11,     5,
       1,     0,     6,     5,     8,     4,     6,     1,     0,     3,
       0,     1,     2,     2,     2,     1,     2,     3,     2,     2,
       2,     2,     3,     3,     3,     1,     3,     1,     0,     1,
       2,     2,     1,     1,     3,     6,    10,     1,     0,     1,
       2,     2,     0,     2,     2,     1,     0,     1,     0,     7,
       2,     0,     3,     5,     5,     8,     2,     0,     2,     2,
       2,     1,     5,     2,     0,     2,     6,     6,     6,    10,
       6,     6,     6,     9,     9,     6,     6,     9,     6,     7,
       2,     2,     2,     2,     1,     2,     1,     0,     7,     6,
       4,     0,     1,     3,     4,     1,     3,     1,     2,     2,
       2,     2,     1,     1,    10,    13,     2,     0,     2,     2,
       1,     0,     5,     4,     4,    11,    14,    12,    15,    11,
       2,     1,     4,     0,     8,    11,     1,     1,     7,     9,
       8,    10,     8,     4,     0,     5,     0,     2,     0,     2,
       0,     2,     0,     2,     0,     1,     1,     1,     1,     1,
       8,     1,     1,    17,    21,     1,     1,     2,     1,     3,
       1,     1,     1,     3,     1,     2,     0,     1,     2,     4,
       1,     1,     1,     1,     1,     3,     0,     1,     0,     1,
       1,     4,     0,     1,     1,     1,     3,     0,     1,     1,
       1,     1,     2,     0,     0,     2,     2,     1,     2,     2,
       2,     2,    11,    13,     1,     3,     5,     1,     3,     5,
       1,     2,     2,     1,     8,     6,     5,     4,     4,     3,
       7,     8,     6,     6,     6,     6,     6,     4,     7,     5,
       8,     3,     1,     3,     3,     1,     1,     1,     1,     1,
       1,     1,     3,     1,     3,     3,     1,     0,     1,     3,
       7,     9,     9,     8,     6,     3,     0,    13,     1,     3,
       5,     5,     3,     6,     2,     1,     0,     2,     0,     2,
       4,     0,     1,     0,     6,     8,     8,     1,     3,     5,
       5,     7,     9,     7,     9,     5,     6,     6,     4,     6,
       4,     6,     8,     4,     6,     4,     6,     5,     7,     1,
       1,     1,     2,     1,     2,     1,     1,     1,     3,     3,
       3,     3,     1,     1,     1,     1,     1,     2,     2,     1,
       3,     2,     1,     1,     1,     1,     1,     1,     1,     3,
       1,     2,     2,     3,     1,     3,     5,     2,     2,     0,
       6,     6,     6,     6,     6,     6,     6,     6,     8,     9,
       8,     6,     6,     9,     9,     9,     7,    10,     1,     1,
       8,     8,     8,     8,     8,     8,     8,     9,     8,     8,
       2,     0,     1,     1,     2,     2,     1,     2,     3,     3,
       3,     3,     4,     4,     3,     3,     3,     4,     4,     3,
       4,     4,     1,     1,     1,     0,     8,     8,    11,     1,
       1,     2,     4,     5,     1,     3,     2,     2,     2,     2,
       2,     1,     3,     1,     3,     1,     2,     2,     4,     3,
       2,     2,     2,     2,     2,     2,     3,     2,     2,     2,
       2,     5,     5,     5,     5,     5,     1,     3,     1,     2,
       3,     0,     5,     7,     6,     9,     3,     1,     2,     1,
       1,     1,     3,     0,     5,     2,     0,     3,     3,     3,
       7,     7,    10,     1,     1,     1,     1,     1,     1,    16,
      19,     1,     0,     2,     0,     1,     3,     4,     5,     2,
       2,     4,     4,     0,     1,     3,     2,     0,     1,     1,
       0,     2,     2,     0,     9,    12,     7,     7,     2,     0,
       3,     2,     1,     3,     1,     3,     2,     1,     1,     2,
       3,     2,     1,     3,     3,     3,     2,     2,     1,     1,
       1,     1,     2,     1,     1,     1,     1,     4,     5,     1,
       3,     3,     1,     3,     3,     5,     6,     1,     3,     2,
       1,     3,     1,     0,     1,     2,     4,     5,     1,     1,
       1,     1,     3,     3,     2,     2,     1,     2,     2,     2,
       2,     1,     2,     2,     2,     2,     1,     1,     1,     3,
       2,     1,     4,     0,     3,     0,     1,     1,     3,     5,
       2,     0,     2,     1,     3,     5,     5,     5,     1,     2,
       1,     0,     4,     6,     4,     6,     4,     6,     4,     6,
       4,     6,     3,     5,     5,     5,     1,     3,     1,     3,
       2,     2,     1,     2,     1,     2,    11,    10,    10,     2,
       2,     0,     9,     2,     0,    10,    11,    11,     5,     5,
       8,     5,     5,     5,     1,     1,     1,     1,     3,     0,
       5,     5,     6,     6,     6,     6,     6,     8,     8,     6,
       6,     7,     9,     9,     8,    10,     6,     6,     6,     6,
       6,     6,     6,     8,     6,     8,     6,     8,     7,     9,
       6,     8,     7,     9,     8,    10,     8,    10,     9,    11,
       8,    10,     9,    11,     8,     8,     7,     6,     6,     6,
       6,     8,     8,     8,     8,     6,     9,     1,     0,     2,
       0,     8,     8,     8,    10,     9,     8,     1,     0,     6,
       6,     6,     6,     6,     6,     6,     9,     9,     6,     6,
       6,     8,     6,     8,     8,     8,     8,     6,     8,     6,
       8,     7,     9,     7,     9,     6,     7,     1,     3,     3,
       3,     1,     1,     1,     1,     1,     1,     7,     6,     6,
       6,     6,     6,     6,     7,     7,     6,     9,     9,     6,
       6,     6,     6,     6,     6,     8,     8,     8,     6,     7,
       6,     6,     4,     7,     6,     4,     4,     4,     3,     4,
       3,     1,     1,     3,     5,     5,     5,     5,     8,     5,
       5,     6,     7,     7,     7,     4,     4,     5,     4,     6,
      13,     1,     1,     3,     3,     1,     1,     1,     1,     1,
       1,     1,     0,     1,     1,     1,     1,     1,     1,     0,
       3,     2,     0,     2,     2,     2,     3,     3,     3,     3,
       2,     3,     2,     5,     4,     3,     3,     3,     3,     3,
       1,     1,     0,     3,     2,     2,     1,     2,     1,     3,
       2,     1,     0,     2,     3,     0,     9,    11,    12,    14,
       3,     4,     4,     0,     2,     5,     1,     0,     1,     2,
       3,     3,     3,     1,     2,     1,     1,     1,     1,     1,
       1,     0,     5,     4,     6,     6,     4,     3,     5,     7,
       9,     1,     3,     1,     5,     4,     4,     6,     4,     6,
       6,     5,     7,     9,     6,     1,     0,     6,    11,    11,
      11,    13,     9,    11,     1,     1,    10,     6,     4,     4,
       2,     5,     2,     0,     6,     5,     3,     5,     1,     3,
       1,     1,     2,     1,     1,     1,     1,     1,     0,     1,
       0,     1,     0,     1,     0,     1,     0,     3,     0,     2,
       1,     3,     1,     0,     2,     4,     3,     5,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     5,     3,
       0,     1,     1,     1,     1,     1,     3,     9,    12,     3,
       0,     2,     3,     2,     3,     7,     1,     3,     1,     4,
       4,     7,     2,     1,     1,     1,     3,     2,     8,     5,
       0,     4,     3,     0,     2,     0,     7,     2,     0,     5,
       3,     0,     2,     2,     2,     3,     1,     3,     1,     2,
       1,     0,     1,     2,     0,     8,     1,     3,     3,     5,
       2,     1,     3,     9,     1,     2,     5,     5,     6,     6,
       7,     2,     0,     3,     1,     2,     5,     5,     8,     3,
       4,     7,     1,     0,     3,     2,     2,     2,     2,     0,
       2,     2,     1,     1,     3,     3,     1,     2,     4,     4,
       2,     3,     5,     5,     1,     1,     9,     9,     1,     2,
       4,     4,     4,     2,     2,     3,     1,     3,     9,     1,
       2,     0,     7,     7,     0,    10,     6,     0,     1,     0,
       2,     0,     3,     3,     4,     4,     4,     4,     3,     2,
       1,     1,     0,     1,     1,     0,     1,     5,     1,     0,
       1,     1,     1,     0,     3,     1,     3,     4,     3,     2,
       2,     1,     1,     1,     0,     2,     4,     5,     6,     4,
       5,     2,     3,     1,     1,     1,     1,     2,     2,     1,
       1,     1,     1,     1,     1,     4,     0,     1,     3,     1,
       1,     1,     1,     1,     2,     4,     4,     5,     2,     0,
       1,     3,     1,     0,     1,     2,     3,     2,     4,     2,
       3,     2,     0,     4,     5,     2,     0,     1,     3,     2,
       3,     2,     3,     2,     3,     2,     3,     1,     4,     3,
       4,     5,     4,     5,     4,     5,     2,     4,     1,     1,
       0,     2,     0,     1,     4,     5,     4,     0,     2,     2,
       2,     1,     1,     0,     5,     2,     1,     1,     2,     2,
       4,     1,     3,     1,     2,     3,     6,     4,     0,     2,
       6,     2,     1,     3,     4,     0,     2,     0,     2,     0,
       2,     4,     0,     1,     0,     1,     3,     3,     7,    12,
       1,     3,     2,     3,     3,     1,     2,     2,     2,     2,
       1,     1,     3,     3,     2,     2,     3,     5,     6,     2,
       3,     3,     4,     0,     1,     1,     1,     1,     1,     2,
       4,     1,     1,     1,     1,     1,     1,     2,     3,     3,
       0,     1,     1,     1,     1,     1,     2,     2,     2,     2,
       2,     1,     3,     0,     1,     1,     1,     1,     5,     2,
       1,     1,     1,     1,     4,     1,     2,     2,     1,     3,
       3,     2,     1,     0,     5,     2,     5,     2,     1,     3,
       3,     0,     1,     1,     1,     1,     1,     1,     3,     3,
       3,     3,     3,     3,     3,     0,     1,     4,     1,     1,
       3,     3,     5,     3,     2,     2,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     2,
       3,     3,     2,     2,     3,     5,     4,     6,     3,     5,
       4,     6,     4,     6,     5,     7,     3,     2,     4,     2,
       3,     3,     4,     3,     4,     3,     4,     5,     6,     6,
       7,     6,     7,     3,     4,     4,     6,     3,     3,     4,
       3,     4,     4,     5,     4,     5,     1,     1,     3,     2,
       2,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     2,     5,     6,     3,     4,     1,
       1,     2,     4,     1,     1,     1,     2,     2,     2,     2,
       1,     1,     4,     3,     5,     6,     8,     6,     6,     4,
       4,     3,     1,     1,     1,     1,     5,     1,     1,     4,
       1,     4,     1,     4,     1,     4,     1,     1,     1,     1,
       1,     1,     1,     6,     4,     4,     6,     4,     4,     4,
       4,     4,     6,     5,     5,     5,     4,     6,     4,     4,
       4,     4,     5,     7,     7,     9,     5,     4,     6,     5,
       7,     7,     8,     4,     7,     4,     6,     6,     4,     5,
       4,     5,     2,     3,     3,     3,     4,     0,     4,     1,
       3,     3,     1,     1,     1,     1,     2,     0,     2,     2,
       0,     2,     3,     3,     4,     2,     2,     5,     0,     5,
       0,     2,     0,     1,     3,     3,     2,     2,     0,     6,
       1,     0,     3,     0,     3,     3,     3,     0,     1,     4,
       2,     2,     2,     2,     2,     3,     2,     2,     3,     0,
       4,     3,     5,     4,     3,     5,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     4,     1,     4,     1,     4,     1,
       2,     1,     2,     1,     3,     1,     3,     1,     3,     3,
       1,     0,     1,     3,     3,     3,     2,     1,     3,     3,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     7,     5,     3,     5,     5,     3,     3,     5,
       3,     2,     1,     1,     3,     5,     1,     2,     4,     2,
       0,     1,     0,     1,     2,     2,     2,     3,     5,     1,
       0,     1,     2,     0,     2,     1,     0,     2,     4,     2,
       1,     0,     3,     0,     1,     2,     2,     2,     2,     3,
       2,     3,     2,     0,     1,     3,     3,     3,     3,     3,
       0,     3,     3,     0,     1,     3,     7,     7,     3,     0,
       1,     0,     1,     3,     3,     2,     1,     1,     1,     3,
       1,     2,     1,     3,     1,     1,     1,     1,     2,     1,
       1,     1,     1,     1,     2,     6,     2,     3,     5,     1,
       1,     1,     1,     1,     1,     2,     2,     1,     1,     1,
       1,     1,     1,     3,    10,     4,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (&yylloc, yyscanner, YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location, yyscanner); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule, core_yyscan_t yyscanner)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       , yyscanner);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule, yyscanner); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, core_yyscan_t yyscanner)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/*----------.
| yyparse.  |
`----------*/

int
yyparse (core_yyscan_t yyscanner)
{
/* The lookahead symbol.  */
int yychar;


/* The semantic value of the lookahead symbol.  */
/* Default value used for initialization, for pacifying older GCCs
   or non-GCC compilers.  */
YY_INITIAL_VALUE (static YYSTYPE yyval_default;)
YYSTYPE yylval YY_INITIAL_VALUE (= yyval_default);

/* Location data for the lookahead symbol.  */
static YYLTYPE yyloc_default
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
YYLTYPE yylloc = yyloc_default;

    /* Number of syntax errors so far.  */
    int yynerrs;

    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);

        yyls = yyls1;
        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex (&yylval, &yylloc, yyscanner);
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 2:
#line 902 "gram.y" /* yacc.c:1646  */
    {
				pg_yyget_extra(yyscanner)->parsetree = (yyvsp[0].list);
				(void) yynerrs;		/* suppress compiler warning */
			}
#line 29022 "gram.c" /* yacc.c:1646  */
    break;

  case 3:
#line 907 "gram.y" /* yacc.c:1646  */
    {
				pg_yyget_extra(yyscanner)->parsetree = list_make1((yyvsp[0].typnam));
			}
#line 29030 "gram.c" /* yacc.c:1646  */
    break;

  case 4:
#line 911 "gram.y" /* yacc.c:1646  */
    {
				pg_yyget_extra(yyscanner)->parsetree =
					list_make1(makeRawStmt((yyvsp[0].node), 0));
			}
#line 29039 "gram.c" /* yacc.c:1646  */
    break;

  case 5:
#line 916 "gram.y" /* yacc.c:1646  */
    {
				PLAssignStmt *n = (PLAssignStmt *) (yyvsp[0].node);

				n->nnames = 1;
				pg_yyget_extra(yyscanner)->parsetree =
					list_make1(makeRawStmt((Node *) n, 0));
			}
#line 29051 "gram.c" /* yacc.c:1646  */
    break;

  case 6:
#line 924 "gram.y" /* yacc.c:1646  */
    {
				PLAssignStmt *n = (PLAssignStmt *) (yyvsp[0].node);

				n->nnames = 2;
				pg_yyget_extra(yyscanner)->parsetree =
					list_make1(makeRawStmt((Node *) n, 0));
			}
#line 29063 "gram.c" /* yacc.c:1646  */
    break;

  case 7:
#line 932 "gram.y" /* yacc.c:1646  */
    {
				PLAssignStmt *n = (PLAssignStmt *) (yyvsp[0].node);

				n->nnames = 3;
				pg_yyget_extra(yyscanner)->parsetree =
					list_make1(makeRawStmt((Node *) n, 0));
			}
#line 29075 "gram.c" /* yacc.c:1646  */
    break;

  case 8:
#line 952 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[-2].list) != NIL)
					{
						/* update length of previous stmt */
						updateRawStmtEnd(llast_node(RawStmt, (yyvsp[-2].list)), (yylsp[-1]));
					}
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = lappend((yyvsp[-2].list), makeRawStmt((yyvsp[0].node), (yylsp[-1]) + 1));
					else
						(yyval.list) = (yyvsp[-2].list);
				}
#line 29091 "gram.c" /* yacc.c:1646  */
    break;

  case 9:
#line 964 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = list_make1(makeRawStmt((yyvsp[0].node), 0));
					else
						(yyval.list) = NIL;
				}
#line 29102 "gram.c" /* yacc.c:1646  */
    break;

  case 136:
#line 1107 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 29108 "gram.c" /* yacc.c:1646  */
    break;

  case 137:
#line 1114 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 29114 "gram.c" /* yacc.c:1646  */
    break;

  case 138:
#line 1115 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 29120 "gram.c" /* yacc.c:1646  */
    break;

  case 139:
#line 1119 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 29126 "gram.c" /* yacc.c:1646  */
    break;

  case 140:
#line 1120 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29132 "gram.c" /* yacc.c:1646  */
    break;

  case 141:
#line 1124 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 29138 "gram.c" /* yacc.c:1646  */
    break;

  case 142:
#line 1125 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 29144 "gram.c" /* yacc.c:1646  */
    break;

  case 143:
#line 1129 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_CASCADE; }
#line 29150 "gram.c" /* yacc.c:1646  */
    break;

  case 144:
#line 1130 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_RESTRICT; }
#line 29156 "gram.c" /* yacc.c:1646  */
    break;

  case 145:
#line 1131 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_RESTRICT; /* default */ }
#line 29162 "gram.c" /* yacc.c:1646  */
    break;

  case 146:
#line 1141 "gram.y" /* yacc.c:1646  */
    {
					CallStmt   *n = makeNode(CallStmt);

					n->funccall = castNode(FuncCall, (yyvsp[0].node));
					(yyval.node) = (Node *) n;
				}
#line 29173 "gram.c" /* yacc.c:1646  */
    break;

  case 147:
#line 1157 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);

					n->stmt_type = ROLESTMT_ROLE;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29186 "gram.c" /* yacc.c:1646  */
    break;

  case 151:
#line 1179 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 29192 "gram.c" /* yacc.c:1646  */
    break;

  case 152:
#line 1180 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29198 "gram.c" /* yacc.c:1646  */
    break;

  case 153:
#line 1184 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 29204 "gram.c" /* yacc.c:1646  */
    break;

  case 154:
#line 1185 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29210 "gram.c" /* yacc.c:1646  */
    break;

  case 155:
#line 1190 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("password",
									 (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 29219 "gram.c" /* yacc.c:1646  */
    break;

  case 156:
#line 1195 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("password", NULL, (yylsp[-1]));
				}
#line 29227 "gram.c" /* yacc.c:1646  */
    break;

  case 157:
#line 1199 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * These days, passwords are always stored in encrypted
					 * form, so there is no difference between PASSWORD and
					 * ENCRYPTED PASSWORD.
					 */
					(yyval.defelt) = makeDefElem("password",
									 (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 29241 "gram.c" /* yacc.c:1646  */
    break;

  case 158:
#line 1209 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNENCRYPTED PASSWORD is no longer supported"),
							 errhint("Remove UNENCRYPTED to store the password in encrypted form instead."),
							 parser_errposition((yylsp[-2]))));
				}
#line 29253 "gram.c" /* yacc.c:1646  */
    break;

  case 159:
#line 1217 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("inherit", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 29261 "gram.c" /* yacc.c:1646  */
    break;

  case 160:
#line 1221 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *) makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 29269 "gram.c" /* yacc.c:1646  */
    break;

  case 161:
#line 1225 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("validUntil", (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 29277 "gram.c" /* yacc.c:1646  */
    break;

  case 162:
#line 1230 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 29285 "gram.c" /* yacc.c:1646  */
    break;

  case 163:
#line 1234 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We handle identifiers that aren't parser keywords with
					 * the following special-case codes, to avoid bloating the
					 * size of the main parser.
					 */
					if (strcmp((yyvsp[0].str), "superuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nosuperuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "createrole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nocreaterole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "replication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "noreplication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "createdb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nocreatedb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "login") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nologin") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "bypassrls") == 0)
						(yyval.defelt) = makeDefElem("bypassrls", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nobypassrls") == 0)
						(yyval.defelt) = makeDefElem("bypassrls", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "noinherit") == 0)
					{
						/*
						 * Note that INHERIT is a keyword, so it's handled by main parser, but
						 * NOINHERIT is handled here.
						 */
						(yyval.defelt) = makeDefElem("inherit", (Node *) makeBoolean(false), (yylsp[0]));
					}
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("unrecognized role option \"%s\"", (yyvsp[0].str)),
									 parser_errposition((yylsp[0]))));
				}
#line 29334 "gram.c" /* yacc.c:1646  */
    break;

  case 164:
#line 1281 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = (yyvsp[0].defelt); }
#line 29340 "gram.c" /* yacc.c:1646  */
    break;

  case 165:
#line 1284 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("sysid", (Node *) makeInteger((yyvsp[0].ival)), (yylsp[-1]));
				}
#line 29348 "gram.c" /* yacc.c:1646  */
    break;

  case 166:
#line 1288 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("adminmembers", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 29356 "gram.c" /* yacc.c:1646  */
    break;

  case 167:
#line 1292 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 29364 "gram.c" /* yacc.c:1646  */
    break;

  case 168:
#line 1296 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 29372 "gram.c" /* yacc.c:1646  */
    break;

  case 169:
#line 1300 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 29380 "gram.c" /* yacc.c:1646  */
    break;

  case 170:
#line 1314 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);

					n->stmt_type = ROLESTMT_USER;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29393 "gram.c" /* yacc.c:1646  */
    break;

  case 171:
#line 1333 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);

					n->role = (yyvsp[-2].rolespec);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				 }
#line 29406 "gram.c" /* yacc.c:1646  */
    break;

  case 172:
#line 1342 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);

					n->role = (yyvsp[-2].rolespec);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				 }
#line 29419 "gram.c" /* yacc.c:1646  */
    break;

  case 173:
#line 1353 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 29425 "gram.c" /* yacc.c:1646  */
    break;

  case 174:
#line 1354 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 29431 "gram.c" /* yacc.c:1646  */
    break;

  case 175:
#line 1359 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);

					n->role = (yyvsp[-2].rolespec);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 29444 "gram.c" /* yacc.c:1646  */
    break;

  case 176:
#line 1368 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);

					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 29457 "gram.c" /* yacc.c:1646  */
    break;

  case 177:
#line 1377 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);

					n->role = (yyvsp[-2].rolespec);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 29470 "gram.c" /* yacc.c:1646  */
    break;

  case 178:
#line 1386 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);

					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 29483 "gram.c" /* yacc.c:1646  */
    break;

  case 179:
#line 1408 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->missing_ok = false;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29495 "gram.c" /* yacc.c:1646  */
    break;

  case 180:
#line 1416 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->missing_ok = true;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29507 "gram.c" /* yacc.c:1646  */
    break;

  case 181:
#line 1424 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->missing_ok = false;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29519 "gram.c" /* yacc.c:1646  */
    break;

  case 182:
#line 1432 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->roles = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 29531 "gram.c" /* yacc.c:1646  */
    break;

  case 183:
#line 1440 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->missing_ok = false;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29543 "gram.c" /* yacc.c:1646  */
    break;

  case 184:
#line 1448 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->missing_ok = true;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29555 "gram.c" /* yacc.c:1646  */
    break;

  case 185:
#line 1466 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);

					n->stmt_type = ROLESTMT_GROUP;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29568 "gram.c" /* yacc.c:1646  */
    break;

  case 186:
#line 1485 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);

					n->role = (yyvsp[-3].rolespec);
					n->action = (yyvsp[-2].ival);
					n->options = list_make1(makeDefElem("rolemembers",
														(Node *) (yyvsp[0].list), (yylsp[0])));
					(yyval.node) = (Node *) n;
				}
#line 29582 "gram.c" /* yacc.c:1646  */
    break;

  case 187:
#line 1496 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = +1; }
#line 29588 "gram.c" /* yacc.c:1646  */
    break;

  case 188:
#line 1497 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = -1; }
#line 29594 "gram.c" /* yacc.c:1646  */
    break;

  case 189:
#line 1509 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);

					/* One can omit the schema name or the authorization id. */
					n->schemaname = (yyvsp[-3].str);
					n->authrole = (yyvsp[-1].rolespec);
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 29609 "gram.c" /* yacc.c:1646  */
    break;

  case 190:
#line 1520 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);

					/* ...but not both */
					n->schemaname = (yyvsp[-1].str);
					n->authrole = NULL;
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 29624 "gram.c" /* yacc.c:1646  */
    break;

  case 191:
#line 1531 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);

					/* schema name can be omitted here, too */
					n->schemaname = (yyvsp[-3].str);
					n->authrole = (yyvsp[-1].rolespec);
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 29644 "gram.c" /* yacc.c:1646  */
    break;

  case 192:
#line 1547 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);

					/* ...but not here */
					n->schemaname = (yyvsp[-1].str);
					n->authrole = NULL;
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 29664 "gram.c" /* yacc.c:1646  */
    break;

  case 193:
#line 1566 "gram.y" /* yacc.c:1646  */
    {
					if ((yyloc) < 0)			/* see comments for YYLLOC_DEFAULT */
						(yyloc) = (yylsp[0]);
					(yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node));
				}
#line 29674 "gram.c" /* yacc.c:1646  */
    break;

  case 194:
#line 1572 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29680 "gram.c" /* yacc.c:1646  */
    break;

  case 201:
#line 1600 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);

					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 29691 "gram.c" /* yacc.c:1646  */
    break;

  case 202:
#line 1607 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);

					n->is_local = true;
					(yyval.node) = (Node *) n;
				}
#line 29702 "gram.c" /* yacc.c:1646  */
    break;

  case 203:
#line 1614 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);

					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 29713 "gram.c" /* yacc.c:1646  */
    break;

  case 204:
#line 1624 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 29726 "gram.c" /* yacc.c:1646  */
    break;

  case 205:
#line 1633 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_MULTI;
					n->name = "SESSION CHARACTERISTICS";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 29739 "gram.c" /* yacc.c:1646  */
    break;

  case 207:
#line 1646 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 29752 "gram.c" /* yacc.c:1646  */
    break;

  case 208:
#line 1655 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 29765 "gram.c" /* yacc.c:1646  */
    break;

  case 209:
#line 1664 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 29777 "gram.c" /* yacc.c:1646  */
    break;

  case 210:
#line 1672 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 29789 "gram.c" /* yacc.c:1646  */
    break;

  case 211:
#line 1682 "gram.y" /* yacc.c:1646  */
    {(yyval.vsetstmt) = (yyvsp[0].vsetstmt);}
#line 29795 "gram.c" /* yacc.c:1646  */
    break;

  case 212:
#line 1684 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_CURRENT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 29807 "gram.c" /* yacc.c:1646  */
    break;

  case 213:
#line 1693 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "timezone";
					if ((yyvsp[0].node) != NULL)
						n->args = list_make1((yyvsp[0].node));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 29823 "gram.c" /* yacc.c:1646  */
    break;

  case 214:
#line 1705 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("current database cannot be changed"),
							 parser_errposition((yylsp[0]))));
					(yyval.vsetstmt) = NULL; /*not reached*/
				}
#line 29835 "gram.c" /* yacc.c:1646  */
    break;

  case 215:
#line 1713 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "search_path";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 29848 "gram.c" /* yacc.c:1646  */
    break;

  case 216:
#line 1722 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "client_encoding";
					if ((yyvsp[0].str) != NULL)
						n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 29864 "gram.c" /* yacc.c:1646  */
    break;

  case 217:
#line 1734 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "role";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 29877 "gram.c" /* yacc.c:1646  */
    break;

  case 218:
#line 1743 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "session_authorization";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 29890 "gram.c" /* yacc.c:1646  */
    break;

  case 219:
#line 1752 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_DEFAULT;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 29902 "gram.c" /* yacc.c:1646  */
    break;

  case 220:
#line 1760 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "xmloption";
					n->args = list_make1(makeStringConst((yyvsp[0].ival) == XMLOPTION_DOCUMENT ? "DOCUMENT" : "CONTENT", (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 29915 "gram.c" /* yacc.c:1646  */
    break;

  case 221:
#line 1770 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION SNAPSHOT";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 29928 "gram.c" /* yacc.c:1646  */
    break;

  case 222:
#line 1780 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 29934 "gram.c" /* yacc.c:1646  */
    break;

  case 223:
#line 1782 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = psprintf("%s.%s", (yyvsp[-2].str), (yyvsp[0].str)); }
#line 29940 "gram.c" /* yacc.c:1646  */
    break;

  case 224:
#line 1785 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 29946 "gram.c" /* yacc.c:1646  */
    break;

  case 225:
#line 1786 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 29952 "gram.c" /* yacc.c:1646  */
    break;

  case 226:
#line 1790 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0])); }
#line 29958 "gram.c" /* yacc.c:1646  */
    break;

  case 227:
#line 1792 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAConst((yyvsp[0].node), (yylsp[0])); }
#line 29964 "gram.c" /* yacc.c:1646  */
    break;

  case 228:
#line 1795 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "read uncommitted"; }
#line 29970 "gram.c" /* yacc.c:1646  */
    break;

  case 229:
#line 1796 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "read committed"; }
#line 29976 "gram.c" /* yacc.c:1646  */
    break;

  case 230:
#line 1797 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "repeatable read"; }
#line 29982 "gram.c" /* yacc.c:1646  */
    break;

  case 231:
#line 1798 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "serializable"; }
#line 29988 "gram.c" /* yacc.c:1646  */
    break;

  case 232:
#line 1802 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "true"; }
#line 29994 "gram.c" /* yacc.c:1646  */
    break;

  case 233:
#line 1803 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "false"; }
#line 30000 "gram.c" /* yacc.c:1646  */
    break;

  case 234:
#line 1804 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "on"; }
#line 30006 "gram.c" /* yacc.c:1646  */
    break;

  case 235:
#line 1810 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30012 "gram.c" /* yacc.c:1646  */
    break;

  case 236:
#line 1823 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 30020 "gram.c" /* yacc.c:1646  */
    break;

  case 237:
#line 1827 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 30028 "gram.c" /* yacc.c:1646  */
    break;

  case 238:
#line 1831 "gram.y" /* yacc.c:1646  */
    {
					TypeName   *t = (yyvsp[-2].typnam);

					if ((yyvsp[0].list) != NIL)
					{
						A_Const	   *n = (A_Const *) linitial((yyvsp[0].list));

						if ((n->val.ival.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[0]))));
					}
					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 30049 "gram.c" /* yacc.c:1646  */
    break;

  case 239:
#line 1848 "gram.y" /* yacc.c:1646  */
    {
					TypeName   *t = (yyvsp[-4].typnam);

					t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 30061 "gram.c" /* yacc.c:1646  */
    break;

  case 240:
#line 1855 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAConst((yyvsp[0].node), (yylsp[0])); }
#line 30067 "gram.c" /* yacc.c:1646  */
    break;

  case 241:
#line 1856 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 30073 "gram.c" /* yacc.c:1646  */
    break;

  case 242:
#line 1857 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 30079 "gram.c" /* yacc.c:1646  */
    break;

  case 243:
#line 1861 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30085 "gram.c" /* yacc.c:1646  */
    break;

  case 244:
#line 1862 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 30091 "gram.c" /* yacc.c:1646  */
    break;

  case 245:
#line 1863 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 30097 "gram.c" /* yacc.c:1646  */
    break;

  case 246:
#line 1867 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30103 "gram.c" /* yacc.c:1646  */
    break;

  case 247:
#line 1868 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30109 "gram.c" /* yacc.c:1646  */
    break;

  case 248:
#line 1872 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].vsetstmt); }
#line 30115 "gram.c" /* yacc.c:1646  */
    break;

  case 249:
#line 1876 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 30121 "gram.c" /* yacc.c:1646  */
    break;

  case 250:
#line 1878 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_RESET;
					n->name = "timezone";
					(yyval.vsetstmt) = n;
				}
#line 30133 "gram.c" /* yacc.c:1646  */
    break;

  case 251:
#line 1886 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_RESET;
					n->name = "transaction_isolation";
					(yyval.vsetstmt) = n;
				}
#line 30145 "gram.c" /* yacc.c:1646  */
    break;

  case 252:
#line 1894 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_RESET;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 30157 "gram.c" /* yacc.c:1646  */
    break;

  case 253:
#line 1905 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_RESET;
					n->name = (yyvsp[0].str);
					(yyval.vsetstmt) = n;
				}
#line 30169 "gram.c" /* yacc.c:1646  */
    break;

  case 254:
#line 1913 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_RESET_ALL;
					(yyval.vsetstmt) = n;
				}
#line 30180 "gram.c" /* yacc.c:1646  */
    break;

  case 255:
#line 1923 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 30186 "gram.c" /* yacc.c:1646  */
    break;

  case 256:
#line 1924 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 30192 "gram.c" /* yacc.c:1646  */
    break;

  case 257:
#line 1929 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 30198 "gram.c" /* yacc.c:1646  */
    break;

  case 258:
#line 1930 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 30204 "gram.c" /* yacc.c:1646  */
    break;

  case 259:
#line 1936 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);

					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30215 "gram.c" /* yacc.c:1646  */
    break;

  case 260:
#line 1943 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);

					n->name = "timezone";
					(yyval.node) = (Node *) n;
				}
#line 30226 "gram.c" /* yacc.c:1646  */
    break;

  case 261:
#line 1950 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);

					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				}
#line 30237 "gram.c" /* yacc.c:1646  */
    break;

  case 262:
#line 1957 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);

					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				}
#line 30248 "gram.c" /* yacc.c:1646  */
    break;

  case 263:
#line 1964 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);

					n->name = "all";
					(yyval.node) = (Node *) n;
				}
#line 30259 "gram.c" /* yacc.c:1646  */
    break;

  case 264:
#line 1975 "gram.y" /* yacc.c:1646  */
    {
					ConstraintsSetStmt *n = makeNode(ConstraintsSetStmt);

					n->constraints = (yyvsp[-1].list);
					n->deferred = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 30271 "gram.c" /* yacc.c:1646  */
    break;

  case 265:
#line 1985 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30277 "gram.c" /* yacc.c:1646  */
    break;

  case 266:
#line 1986 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30283 "gram.c" /* yacc.c:1646  */
    break;

  case 267:
#line 1990 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 30289 "gram.c" /* yacc.c:1646  */
    break;

  case 268:
#line 1991 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 30295 "gram.c" /* yacc.c:1646  */
    break;

  case 269:
#line 2000 "gram.y" /* yacc.c:1646  */
    {
					CheckPointStmt *n = makeNode(CheckPointStmt);

					(yyval.node) = (Node *) n;
				}
#line 30305 "gram.c" /* yacc.c:1646  */
    break;

  case 270:
#line 2016 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);

					n->target = DISCARD_ALL;
					(yyval.node) = (Node *) n;
				}
#line 30316 "gram.c" /* yacc.c:1646  */
    break;

  case 271:
#line 2023 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);

					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 30327 "gram.c" /* yacc.c:1646  */
    break;

  case 272:
#line 2030 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);

					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 30338 "gram.c" /* yacc.c:1646  */
    break;

  case 273:
#line 2037 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);

					n->target = DISCARD_PLANS;
					(yyval.node) = (Node *) n;
				}
#line 30349 "gram.c" /* yacc.c:1646  */
    break;

  case 274:
#line 2044 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);

					n->target = DISCARD_SEQUENCES;
					(yyval.node) = (Node *) n;
				}
#line 30360 "gram.c" /* yacc.c:1646  */
    break;

  case 275:
#line 2064 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 30374 "gram.c" /* yacc.c:1646  */
    break;

  case 276:
#line 2074 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 30388 "gram.c" /* yacc.c:1646  */
    break;

  case 277:
#line 2084 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->objtype = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 30402 "gram.c" /* yacc.c:1646  */
    break;

  case 278:
#line 2094 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->objtype = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 30416 "gram.c" /* yacc.c:1646  */
    break;

  case 279:
#line 2104 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_TABLE;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 30432 "gram.c" /* yacc.c:1646  */
    break;

  case 280:
#line 2116 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_TABLE;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 30448 "gram.c" /* yacc.c:1646  */
    break;

  case 281:
#line 2128 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 30462 "gram.c" /* yacc.c:1646  */
    break;

  case 282:
#line 2138 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_INDEX;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 30476 "gram.c" /* yacc.c:1646  */
    break;

  case 283:
#line 2148 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->objtype = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 30490 "gram.c" /* yacc.c:1646  */
    break;

  case 284:
#line 2158 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_INDEX;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 30506 "gram.c" /* yacc.c:1646  */
    break;

  case 285:
#line 2170 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_INDEX;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 30522 "gram.c" /* yacc.c:1646  */
    break;

  case 286:
#line 2182 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_SEQUENCE;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 30536 "gram.c" /* yacc.c:1646  */
    break;

  case 287:
#line 2192 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_SEQUENCE;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 30550 "gram.c" /* yacc.c:1646  */
    break;

  case 288:
#line 2202 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_VIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 30564 "gram.c" /* yacc.c:1646  */
    break;

  case 289:
#line 2212 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_VIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 30578 "gram.c" /* yacc.c:1646  */
    break;

  case 290:
#line 2222 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_MATVIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 30592 "gram.c" /* yacc.c:1646  */
    break;

  case 291:
#line 2232 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_MATVIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 30606 "gram.c" /* yacc.c:1646  */
    break;

  case 292:
#line 2242 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 30622 "gram.c" /* yacc.c:1646  */
    break;

  case 293:
#line 2254 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 30638 "gram.c" /* yacc.c:1646  */
    break;

  case 294:
#line 2266 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_FOREIGN_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 30652 "gram.c" /* yacc.c:1646  */
    break;

  case 295:
#line 2276 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_FOREIGN_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 30666 "gram.c" /* yacc.c:1646  */
    break;

  case 296:
#line 2288 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 30672 "gram.c" /* yacc.c:1646  */
    break;

  case 297:
#line 2289 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 30678 "gram.c" /* yacc.c:1646  */
    break;

  case 298:
#line 2295 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_AttachPartition;
					cmd->name = (yyvsp[-1].range);
					cmd->bound = (yyvsp[0].partboundspec);
					cmd->concurrent = false;
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 30695 "gram.c" /* yacc.c:1646  */
    break;

  case 299:
#line 2309 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_DetachPartition;
					cmd->name = (yyvsp[-1].range);
					cmd->bound = NULL;
					cmd->concurrent = (yyvsp[0].boolean);
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 30712 "gram.c" /* yacc.c:1646  */
    break;

  case 300:
#line 2322 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_DetachPartitionFinalize;
					cmd->name = (yyvsp[-1].range);
					cmd->bound = NULL;
					cmd->concurrent = false;
					n->def = (Node *) cmd;
					(yyval.node) = (Node *) n;
				}
#line 30728 "gram.c" /* yacc.c:1646  */
    break;

  case 301:
#line 2338 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_AttachPartition;
					cmd->name = (yyvsp[0].range);
					cmd->bound = NULL;
					cmd->concurrent = false;
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 30745 "gram.c" /* yacc.c:1646  */
    break;

  case 302:
#line 2355 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 30758 "gram.c" /* yacc.c:1646  */
    break;

  case 303:
#line 2365 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 30771 "gram.c" /* yacc.c:1646  */
    break;

  case 304:
#line 2375 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 30784 "gram.c" /* yacc.c:1646  */
    break;

  case 305:
#line 2385 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 30797 "gram.c" /* yacc.c:1646  */
    break;

  case 306:
#line 2395 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ColumnDefault;
					n->name = (yyvsp[-1].str);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 30810 "gram.c" /* yacc.c:1646  */
    break;

  case 307:
#line 2405 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *) n;
				}
#line 30822 "gram.c" /* yacc.c:1646  */
    break;

  case 308:
#line 2414 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *) n;
				}
#line 30834 "gram.c" /* yacc.c:1646  */
    break;

  case 309:
#line 2423 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetExpression;
					n->name = (yyvsp[-6].str);
					n->def = (yyvsp[-1].node);
					(yyval.node) = (Node *) n;
				}
#line 30847 "gram.c" /* yacc.c:1646  */
    break;

  case 310:
#line 2433 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropExpression;
					n->name = (yyvsp[-2].str);
					(yyval.node) = (Node *) n;
				}
#line 30859 "gram.c" /* yacc.c:1646  */
    break;

  case 311:
#line 2442 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropExpression;
					n->name = (yyvsp[-4].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 30872 "gram.c" /* yacc.c:1646  */
    break;

  case 312:
#line 2452 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetStatistics;
					n->name = (yyvsp[-3].str);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 30885 "gram.c" /* yacc.c:1646  */
    break;

  case 313:
#line 2462 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					if ((yyvsp[-3].ival) <= 0 || (yyvsp[-3].ival) > PG_INT16_MAX)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("column number must be in range from 1 to %d", PG_INT16_MAX),
								 parser_errposition((yylsp[-3]))));

					n->subtype = AT_SetStatistics;
					n->num = (int16) (yyvsp[-3].ival);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 30904 "gram.c" /* yacc.c:1646  */
    break;

  case 314:
#line 2478 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30917 "gram.c" /* yacc.c:1646  */
    break;

  case 315:
#line 2488 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ResetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30930 "gram.c" /* yacc.c:1646  */
    break;

  case 316:
#line 2498 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetStorage;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *) n;
				}
#line 30943 "gram.c" /* yacc.c:1646  */
    break;

  case 317:
#line 2508 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetCompression;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *) n;
				}
#line 30956 "gram.c" /* yacc.c:1646  */
    break;

  case 318:
#line 2518 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					Constraint *c = makeNode(Constraint);

					c->contype = CONSTR_IDENTITY;
					c->generated_when = (yyvsp[-3].ival);
					c->options = (yyvsp[0].list);
					c->location = (yylsp[-4]);

					n->subtype = AT_AddIdentity;
					n->name = (yyvsp[-6].str);
					n->def = (Node *) c;

					(yyval.node) = (Node *) n;
				}
#line 30976 "gram.c" /* yacc.c:1646  */
    break;

  case 319:
#line 2535 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetIdentity;
					n->name = (yyvsp[-1].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30989 "gram.c" /* yacc.c:1646  */
    break;

  case 320:
#line 2545 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropIdentity;
					n->name = (yyvsp[-2].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31002 "gram.c" /* yacc.c:1646  */
    break;

  case 321:
#line 2555 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropIdentity;
					n->name = (yyvsp[-4].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31015 "gram.c" /* yacc.c:1646  */
    break;

  case 322:
#line 2565 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31029 "gram.c" /* yacc.c:1646  */
    break;

  case 323:
#line 2576 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31043 "gram.c" /* yacc.c:1646  */
    break;

  case 324:
#line 2590 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);

					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = (yyvsp[0].node);
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 31062 "gram.c" /* yacc.c:1646  */
    break;

  case 325:
#line 2606 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AlterColumnGenericOptions;
					n->name = (yyvsp[-1].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31075 "gram.c" /* yacc.c:1646  */
    break;

  case 326:
#line 2616 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddConstraint;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 31087 "gram.c" /* yacc.c:1646  */
    break;

  case 327:
#line 2625 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					Constraint *c = makeNode(Constraint);

					n->subtype = AT_AlterConstraint;
					n->def = (Node *) c;
					c->contype = CONSTR_FOREIGN; /* others not supported, yet */
					c->conname = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "ALTER CONSTRAINT statement",
									&c->deferrable,
									&c->initdeferred,
									NULL, NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 31106 "gram.c" /* yacc.c:1646  */
    break;

  case 328:
#line 2641 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ValidateConstraint;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31118 "gram.c" /* yacc.c:1646  */
    break;

  case 329:
#line 2650 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31132 "gram.c" /* yacc.c:1646  */
    break;

  case 330:
#line 2661 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31146 "gram.c" /* yacc.c:1646  */
    break;

  case 331:
#line 2672 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropOids;
					(yyval.node) = (Node *) n;
				}
#line 31157 "gram.c" /* yacc.c:1646  */
    break;

  case 332:
#line 2680 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ClusterOn;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31169 "gram.c" /* yacc.c:1646  */
    break;

  case 333:
#line 2689 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropCluster;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 31181 "gram.c" /* yacc.c:1646  */
    break;

  case 334:
#line 2698 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetLogged;
					(yyval.node) = (Node *) n;
				}
#line 31192 "gram.c" /* yacc.c:1646  */
    break;

  case 335:
#line 2706 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetUnLogged;
					(yyval.node) = (Node *) n;
				}
#line 31203 "gram.c" /* yacc.c:1646  */
    break;

  case 336:
#line 2714 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31215 "gram.c" /* yacc.c:1646  */
    break;

  case 337:
#line 2723 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableAlwaysTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31227 "gram.c" /* yacc.c:1646  */
    break;

  case 338:
#line 2732 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableReplicaTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31239 "gram.c" /* yacc.c:1646  */
    break;

  case 339:
#line 2741 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableTrigAll;
					(yyval.node) = (Node *) n;
				}
#line 31250 "gram.c" /* yacc.c:1646  */
    break;

  case 340:
#line 2749 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableTrigUser;
					(yyval.node) = (Node *) n;
				}
#line 31261 "gram.c" /* yacc.c:1646  */
    break;

  case 341:
#line 2757 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DisableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31273 "gram.c" /* yacc.c:1646  */
    break;

  case 342:
#line 2766 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DisableTrigAll;
					(yyval.node) = (Node *) n;
				}
#line 31284 "gram.c" /* yacc.c:1646  */
    break;

  case 343:
#line 2774 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DisableTrigUser;
					(yyval.node) = (Node *) n;
				}
#line 31295 "gram.c" /* yacc.c:1646  */
    break;

  case 344:
#line 2782 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31307 "gram.c" /* yacc.c:1646  */
    break;

  case 345:
#line 2791 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableAlwaysRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31319 "gram.c" /* yacc.c:1646  */
    break;

  case 346:
#line 2800 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableReplicaRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31331 "gram.c" /* yacc.c:1646  */
    break;

  case 347:
#line 2809 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DisableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31343 "gram.c" /* yacc.c:1646  */
    break;

  case 348:
#line 2818 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *) n;
				}
#line 31355 "gram.c" /* yacc.c:1646  */
    break;

  case 349:
#line 2827 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *) n;
				}
#line 31367 "gram.c" /* yacc.c:1646  */
    break;

  case 350:
#line 2836 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					TypeName   *def = makeTypeNameFromNameList((yyvsp[0].list));

					def->location = (yylsp[0]);
					n->subtype = AT_AddOf;
					n->def = (Node *) def;
					(yyval.node) = (Node *) n;
				}
#line 31381 "gram.c" /* yacc.c:1646  */
    break;

  case 351:
#line 2847 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropOf;
					(yyval.node) = (Node *) n;
				}
#line 31392 "gram.c" /* yacc.c:1646  */
    break;

  case 352:
#line 2855 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ChangeOwner;
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 31404 "gram.c" /* yacc.c:1646  */
    break;

  case 353:
#line 2864 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetAccessMethod;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31416 "gram.c" /* yacc.c:1646  */
    break;

  case 354:
#line 2873 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetTableSpace;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31428 "gram.c" /* yacc.c:1646  */
    break;

  case 355:
#line 2882 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetRelOptions;
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31440 "gram.c" /* yacc.c:1646  */
    break;

  case 356:
#line 2891 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ResetRelOptions;
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31452 "gram.c" /* yacc.c:1646  */
    break;

  case 357:
#line 2900 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ReplicaIdentity;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 31464 "gram.c" /* yacc.c:1646  */
    break;

  case 358:
#line 2909 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableRowSecurity;
					(yyval.node) = (Node *) n;
				}
#line 31475 "gram.c" /* yacc.c:1646  */
    break;

  case 359:
#line 2917 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DisableRowSecurity;
					(yyval.node) = (Node *) n;
				}
#line 31486 "gram.c" /* yacc.c:1646  */
    break;

  case 360:
#line 2925 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ForceRowSecurity;
					(yyval.node) = (Node *) n;
				}
#line 31497 "gram.c" /* yacc.c:1646  */
    break;

  case 361:
#line 2933 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_NoForceRowSecurity;
					(yyval.node) = (Node *) n;
				}
#line 31508 "gram.c" /* yacc.c:1646  */
    break;

  case 362:
#line 2940 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_GenericOptions;
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31520 "gram.c" /* yacc.c:1646  */
    break;

  case 363:
#line 2950 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 31526 "gram.c" /* yacc.c:1646  */
    break;

  case 364:
#line 2951 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 31532 "gram.c" /* yacc.c:1646  */
    break;

  case 365:
#line 2956 "gram.y" /* yacc.c:1646  */
    {
					CollateClause *n = makeNode(CollateClause);

					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 31545 "gram.c" /* yacc.c:1646  */
    break;

  case 366:
#line 2964 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 31551 "gram.c" /* yacc.c:1646  */
    break;

  case 367:
#line 2968 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 31557 "gram.c" /* yacc.c:1646  */
    break;

  case 368:
#line 2969 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 31563 "gram.c" /* yacc.c:1646  */
    break;

  case 369:
#line 2974 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);

					n->identity_type = REPLICA_IDENTITY_NOTHING;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 31575 "gram.c" /* yacc.c:1646  */
    break;

  case 370:
#line 2982 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);

					n->identity_type = REPLICA_IDENTITY_FULL;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 31587 "gram.c" /* yacc.c:1646  */
    break;

  case 371:
#line 2990 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);

					n->identity_type = REPLICA_IDENTITY_DEFAULT;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 31599 "gram.c" /* yacc.c:1646  */
    break;

  case 372:
#line 2998 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);

					n->identity_type = REPLICA_IDENTITY_INDEX;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31611 "gram.c" /* yacc.c:1646  */
    break;

  case 373:
#line 3008 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 31617 "gram.c" /* yacc.c:1646  */
    break;

  case 374:
#line 3011 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31623 "gram.c" /* yacc.c:1646  */
    break;

  case 375:
#line 3012 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31629 "gram.c" /* yacc.c:1646  */
    break;

  case 376:
#line 3016 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 31635 "gram.c" /* yacc.c:1646  */
    break;

  case 377:
#line 3017 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 31641 "gram.c" /* yacc.c:1646  */
    break;

  case 378:
#line 3023 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 31649 "gram.c" /* yacc.c:1646  */
    break;

  case 379:
#line 3027 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL, (yylsp[0]));
				}
#line 31657 "gram.c" /* yacc.c:1646  */
    break;

  case 380:
#line 3031 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-4].str), (yyvsp[-2].str), (Node *) (yyvsp[0].node),
											 DEFELEM_UNSPEC, (yylsp[-4]));
				}
#line 31666 "gram.c" /* yacc.c:1646  */
    break;

  case 381:
#line 3036 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-2].str), (yyvsp[0].str), NULL, DEFELEM_UNSPEC, (yylsp[-2]));
				}
#line 31674 "gram.c" /* yacc.c:1646  */
    break;

  case 382:
#line 3043 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 31680 "gram.c" /* yacc.c:1646  */
    break;

  case 383:
#line 3045 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 31686 "gram.c" /* yacc.c:1646  */
    break;

  case 384:
#line 3050 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", NULL, (yylsp[0]));
				}
#line 31694 "gram.c" /* yacc.c:1646  */
    break;

  case 385:
#line 3054 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 31702 "gram.c" /* yacc.c:1646  */
    break;

  case 386:
#line 3058 "gram.y" /* yacc.c:1646  */
    {
					if (strcmp((yyvsp[0].defelt)->defname, "as") == 0 ||
						strcmp((yyvsp[0].defelt)->defname, "restart") == 0 ||
						strcmp((yyvsp[0].defelt)->defname, "owned_by") == 0)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("sequence option \"%s\" not supported here", (yyvsp[0].defelt)->defname),
								 parser_errposition((yylsp[0]))));
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 31717 "gram.c" /* yacc.c:1646  */
    break;

  case 387:
#line 3069 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("generated", (Node *) makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 31725 "gram.c" /* yacc.c:1646  */
    break;

  case 388:
#line 3075 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeInteger((yyvsp[0].ival)); }
#line 31731 "gram.c" /* yacc.c:1646  */
    break;

  case 389:
#line 3076 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 31737 "gram.c" /* yacc.c:1646  */
    break;

  case 390:
#line 3082 "gram.y" /* yacc.c:1646  */
    {
					ListCell   *lc;
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_HASH;
					n->modulus = n->remainder = -1;

					foreach (lc, (yyvsp[-1].list))
					{
						DefElem    *opt = lfirst_node(DefElem, lc);

						if (strcmp(opt->defname, "modulus") == 0)
						{
							if (n->modulus != -1)
								ereport(ERROR,
										(errcode(ERRCODE_DUPLICATE_OBJECT),
										 errmsg("modulus for hash partition provided more than once"),
										 parser_errposition(opt->location)));
							n->modulus = defGetInt32(opt);
						}
						else if (strcmp(opt->defname, "remainder") == 0)
						{
							if (n->remainder != -1)
								ereport(ERROR,
										(errcode(ERRCODE_DUPLICATE_OBJECT),
										 errmsg("remainder for hash partition provided more than once"),
										 parser_errposition(opt->location)));
							n->remainder = defGetInt32(opt);
						}
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("unrecognized hash partition bound specification \"%s\"",
											opt->defname),
									 parser_errposition(opt->location)));
					}

					if (n->modulus == -1)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("modulus for hash partition must be specified")));
					if (n->remainder == -1)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("remainder for hash partition must be specified")));

					n->location = (yylsp[-3]);

					(yyval.partboundspec) = n;
				}
#line 31792 "gram.c" /* yacc.c:1646  */
    break;

  case 391:
#line 3135 "gram.y" /* yacc.c:1646  */
    {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_LIST;
					n->is_default = false;
					n->listdatums = (yyvsp[-1].list);
					n->location = (yylsp[-3]);

					(yyval.partboundspec) = n;
				}
#line 31807 "gram.c" /* yacc.c:1646  */
    break;

  case 392:
#line 3148 "gram.y" /* yacc.c:1646  */
    {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_RANGE;
					n->is_default = false;
					n->lowerdatums = (yyvsp[-5].list);
					n->upperdatums = (yyvsp[-1].list);
					n->location = (yylsp[-7]);

					(yyval.partboundspec) = n;
				}
#line 31823 "gram.c" /* yacc.c:1646  */
    break;

  case 393:
#line 3162 "gram.y" /* yacc.c:1646  */
    {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->is_default = true;
					n->location = (yylsp[0]);

					(yyval.partboundspec) = n;
				}
#line 31836 "gram.c" /* yacc.c:1646  */
    break;

  case 394:
#line 3174 "gram.y" /* yacc.c:1646  */
    {
				(yyval.defelt) = makeDefElem((yyvsp[-1].str), (Node *) makeInteger((yyvsp[0].ival)), (yylsp[-1]));
			}
#line 31844 "gram.c" /* yacc.c:1646  */
    break;

  case 395:
#line 3181 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make1((yyvsp[0].defelt));
			}
#line 31852 "gram.c" /* yacc.c:1646  */
    break;

  case 396:
#line 3185 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
			}
#line 31860 "gram.c" /* yacc.c:1646  */
    break;

  case 397:
#line 3199 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					/* can't use qualified_name, sigh */
					n->relation = makeRangeVarFromAnyName((yyvsp[-1].list), (yylsp[-1]), yyscanner);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_TYPE;
					(yyval.node) = (Node *) n;
				}
#line 31874 "gram.c" /* yacc.c:1646  */
    break;

  case 398:
#line 3211 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 31880 "gram.c" /* yacc.c:1646  */
    break;

  case 399:
#line 3212 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 31886 "gram.c" /* yacc.c:1646  */
    break;

  case 400:
#line 3218 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddColumn;
					n->def = (yyvsp[-1].node);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 31899 "gram.c" /* yacc.c:1646  */
    break;

  case 401:
#line 3228 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31913 "gram.c" /* yacc.c:1646  */
    break;

  case 402:
#line 3239 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31927 "gram.c" /* yacc.c:1646  */
    break;

  case 403:
#line 3250 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);

					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					n->behavior = (yyvsp[0].dbehavior);
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = NULL;
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 31947 "gram.c" /* yacc.c:1646  */
    break;

  case 404:
#line 3277 "gram.y" /* yacc.c:1646  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);

					n->portalname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31958 "gram.c" /* yacc.c:1646  */
    break;

  case 405:
#line 3284 "gram.y" /* yacc.c:1646  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);

					n->portalname = NULL;
					(yyval.node) = (Node *) n;
				}
#line 31969 "gram.c" /* yacc.c:1646  */
    break;

  case 406:
#line 3320 "gram.y" /* yacc.c:1646  */
    {
					CopyStmt *n = makeNode(CopyStmt);

					n->relation = (yyvsp[-8].range);
					n->query = NULL;
					n->attlist = (yyvsp[-7].list);
					n->is_from = (yyvsp[-6].boolean);
					n->is_program = (yyvsp[-5].boolean);
					n->filename = (yyvsp[-4].str);
					n->whereClause = (yyvsp[0].node);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-3]))));

					if (!n->is_from && n->whereClause != NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("WHERE clause not allowed with COPY TO"),
								 parser_errposition((yylsp[0]))));

					n->options = NIL;
					/* Concatenate user-supplied flags */
					if ((yyvsp[-9].defelt))
						n->options = lappend(n->options, (yyvsp[-9].defelt));
					if ((yyvsp[-3].defelt))
						n->options = lappend(n->options, (yyvsp[-3].defelt));
					if ((yyvsp[-1].list))
						n->options = list_concat(n->options, (yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 32007 "gram.c" /* yacc.c:1646  */
    break;

  case 407:
#line 3354 "gram.y" /* yacc.c:1646  */
    {
					CopyStmt *n = makeNode(CopyStmt);

					n->relation = NULL;
					n->query = (yyvsp[-6].node);
					n->attlist = NIL;
					n->is_from = false;
					n->is_program = (yyvsp[-3].boolean);
					n->filename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-4]))));

					(yyval.node) = (Node *) n;
				}
#line 32031 "gram.c" /* yacc.c:1646  */
    break;

  case 408:
#line 3376 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 32037 "gram.c" /* yacc.c:1646  */
    break;

  case 409:
#line 3377 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 32043 "gram.c" /* yacc.c:1646  */
    break;

  case 410:
#line 3381 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 32049 "gram.c" /* yacc.c:1646  */
    break;

  case 411:
#line 3382 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 32055 "gram.c" /* yacc.c:1646  */
    break;

  case 412:
#line 3391 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 32061 "gram.c" /* yacc.c:1646  */
    break;

  case 413:
#line 3392 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 32067 "gram.c" /* yacc.c:1646  */
    break;

  case 414:
#line 3393 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 32073 "gram.c" /* yacc.c:1646  */
    break;

  case 415:
#line 3396 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32079 "gram.c" /* yacc.c:1646  */
    break;

  case 416:
#line 3397 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 32085 "gram.c" /* yacc.c:1646  */
    break;

  case 417:
#line 3402 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 32091 "gram.c" /* yacc.c:1646  */
    break;

  case 418:
#line 3403 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32097 "gram.c" /* yacc.c:1646  */
    break;

  case 419:
#line 3408 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *) makeString("binary"), (yylsp[0]));
				}
#line 32105 "gram.c" /* yacc.c:1646  */
    break;

  case 420:
#line 3412 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("freeze", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 32113 "gram.c" /* yacc.c:1646  */
    break;

  case 421:
#line 3416 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 32121 "gram.c" /* yacc.c:1646  */
    break;

  case 422:
#line 3420 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("null", (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 32129 "gram.c" /* yacc.c:1646  */
    break;

  case 423:
#line 3424 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *) makeString("csv"), (yylsp[0]));
				}
#line 32137 "gram.c" /* yacc.c:1646  */
    break;

  case 424:
#line 3428 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("header", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 32145 "gram.c" /* yacc.c:1646  */
    break;

  case 425:
#line 3432 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("quote", (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 32153 "gram.c" /* yacc.c:1646  */
    break;

  case 426:
#line 3436 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("escape", (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 32161 "gram.c" /* yacc.c:1646  */
    break;

  case 427:
#line 3440 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 32169 "gram.c" /* yacc.c:1646  */
    break;

  case 428:
#line 3444 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *) makeNode(A_Star), (yylsp[-2]));
				}
#line 32177 "gram.c" /* yacc.c:1646  */
    break;

  case 429:
#line 3448 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_not_null", (Node *) (yyvsp[0].list), (yylsp[-3]));
				}
#line 32185 "gram.c" /* yacc.c:1646  */
    break;

  case 430:
#line 3452 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_not_null", (Node *) makeNode(A_Star), (yylsp[-3]));
				}
#line 32193 "gram.c" /* yacc.c:1646  */
    break;

  case 431:
#line 3456 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_null", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 32201 "gram.c" /* yacc.c:1646  */
    break;

  case 432:
#line 3460 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_null", (Node *) makeNode(A_Star), (yylsp[-2]));
				}
#line 32209 "gram.c" /* yacc.c:1646  */
    break;

  case 433:
#line 3464 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 32217 "gram.c" /* yacc.c:1646  */
    break;

  case 434:
#line 3473 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *) makeString("binary"), (yylsp[0]));
				}
#line 32225 "gram.c" /* yacc.c:1646  */
    break;

  case 435:
#line 3476 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 32231 "gram.c" /* yacc.c:1646  */
    break;

  case 436:
#line 3481 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 32239 "gram.c" /* yacc.c:1646  */
    break;

  case 437:
#line 3484 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 32245 "gram.c" /* yacc.c:1646  */
    break;

  case 440:
#line 3495 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 32253 "gram.c" /* yacc.c:1646  */
    break;

  case 441:
#line 3499 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 32261 "gram.c" /* yacc.c:1646  */
    break;

  case 442:
#line 3506 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 32269 "gram.c" /* yacc.c:1646  */
    break;

  case 443:
#line 3512 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 32275 "gram.c" /* yacc.c:1646  */
    break;

  case 444:
#line 3513 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].node); }
#line 32281 "gram.c" /* yacc.c:1646  */
    break;

  case 445:
#line 3514 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeNode(A_Star); }
#line 32287 "gram.c" /* yacc.c:1646  */
    break;

  case 446:
#line 3515 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 32293 "gram.c" /* yacc.c:1646  */
    break;

  case 447:
#line 3516 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 32299 "gram.c" /* yacc.c:1646  */
    break;

  case 448:
#line 3521 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 32307 "gram.c" /* yacc.c:1646  */
    break;

  case 449:
#line 3525 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 32315 "gram.c" /* yacc.c:1646  */
    break;

  case 450:
#line 3532 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 32321 "gram.c" /* yacc.c:1646  */
    break;

  case 451:
#line 3546 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-9].range)->relpersistence = (yyvsp[-11].ival);
					n->relation = (yyvsp[-9].range);
					n->tableElts = (yyvsp[-7].list);
					n->inhRelations = (yyvsp[-5].list);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 32343 "gram.c" /* yacc.c:1646  */
    break;

  case 452:
#line 3566 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-9].range)->relpersistence = (yyvsp[-14].ival);
					n->relation = (yyvsp[-9].range);
					n->tableElts = (yyvsp[-7].list);
					n->inhRelations = (yyvsp[-5].list);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 32365 "gram.c" /* yacc.c:1646  */
    break;

  case 453:
#line 3586 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-8].range)->relpersistence = (yyvsp[-10].ival);
					n->relation = (yyvsp[-8].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = NIL;
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-6].list));
					n->ofTypename->location = (yylsp[-6]);
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 32388 "gram.c" /* yacc.c:1646  */
    break;

  case 454:
#line 3607 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-8].range)->relpersistence = (yyvsp[-13].ival);
					n->relation = (yyvsp[-8].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = NIL;
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-6].list));
					n->ofTypename->location = (yylsp[-6]);
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 32411 "gram.c" /* yacc.c:1646  */
    break;

  case 455:
#line 3628 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-10].range)->relpersistence = (yyvsp[-12].ival);
					n->relation = (yyvsp[-10].range);
					n->tableElts = (yyvsp[-6].list);
					n->inhRelations = list_make1((yyvsp[-7].range));
					n->partbound = (yyvsp[-5].partboundspec);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 32434 "gram.c" /* yacc.c:1646  */
    break;

  case 456:
#line 3649 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-10].range)->relpersistence = (yyvsp[-15].ival);
					n->relation = (yyvsp[-10].range);
					n->tableElts = (yyvsp[-6].list);
					n->inhRelations = list_make1((yyvsp[-7].range));
					n->partbound = (yyvsp[-5].partboundspec);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 32457 "gram.c" /* yacc.c:1646  */
    break;

  case 457:
#line 3680 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 32463 "gram.c" /* yacc.c:1646  */
    break;

  case 458:
#line 3681 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 32469 "gram.c" /* yacc.c:1646  */
    break;

  case 459:
#line 3682 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 32475 "gram.c" /* yacc.c:1646  */
    break;

  case 460:
#line 3683 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 32481 "gram.c" /* yacc.c:1646  */
    break;

  case 461:
#line 3685 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 32492 "gram.c" /* yacc.c:1646  */
    break;

  case 462:
#line 3692 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 32503 "gram.c" /* yacc.c:1646  */
    break;

  case 463:
#line 3698 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 32509 "gram.c" /* yacc.c:1646  */
    break;

  case 464:
#line 3699 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 32515 "gram.c" /* yacc.c:1646  */
    break;

  case 465:
#line 3703 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32521 "gram.c" /* yacc.c:1646  */
    break;

  case 466:
#line 3704 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32527 "gram.c" /* yacc.c:1646  */
    break;

  case 467:
#line 3708 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 32533 "gram.c" /* yacc.c:1646  */
    break;

  case 468:
#line 3709 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32539 "gram.c" /* yacc.c:1646  */
    break;

  case 469:
#line 3714 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 32547 "gram.c" /* yacc.c:1646  */
    break;

  case 470:
#line 3718 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 32555 "gram.c" /* yacc.c:1646  */
    break;

  case 471:
#line 3725 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 32563 "gram.c" /* yacc.c:1646  */
    break;

  case 472:
#line 3729 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 32571 "gram.c" /* yacc.c:1646  */
    break;

  case 473:
#line 3735 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32577 "gram.c" /* yacc.c:1646  */
    break;

  case 474:
#line 3736 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32583 "gram.c" /* yacc.c:1646  */
    break;

  case 475:
#line 3737 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32589 "gram.c" /* yacc.c:1646  */
    break;

  case 476:
#line 3741 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32595 "gram.c" /* yacc.c:1646  */
    break;

  case 477:
#line 3742 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32601 "gram.c" /* yacc.c:1646  */
    break;

  case 478:
#line 3746 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);

					n->colname = (yyvsp[-5].str);
					n->typeName = (yyvsp[-4].typnam);
					n->storage_name = (yyvsp[-3].str);
					n->compression = (yyvsp[-2].str);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					n->fdwoptions = (yyvsp[-1].list);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 32627 "gram.c" /* yacc.c:1646  */
    break;

  case 479:
#line 3770 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);

					n->colname = (yyvsp[-1].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 32650 "gram.c" /* yacc.c:1646  */
    break;

  case 480:
#line 3789 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);

					n->colname = (yyvsp[-3].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) n;
				}
#line 32673 "gram.c" /* yacc.c:1646  */
    break;

  case 481:
#line 3810 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 32679 "gram.c" /* yacc.c:1646  */
    break;

  case 482:
#line 3811 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup("default"); }
#line 32685 "gram.c" /* yacc.c:1646  */
    break;

  case 483:
#line 3815 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 32691 "gram.c" /* yacc.c:1646  */
    break;

  case 484:
#line 3816 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 32697 "gram.c" /* yacc.c:1646  */
    break;

  case 485:
#line 3820 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 32703 "gram.c" /* yacc.c:1646  */
    break;

  case 486:
#line 3821 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup("default"); }
#line 32709 "gram.c" /* yacc.c:1646  */
    break;

  case 487:
#line 3825 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 32715 "gram.c" /* yacc.c:1646  */
    break;

  case 488:
#line 3826 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 32721 "gram.c" /* yacc.c:1646  */
    break;

  case 489:
#line 3830 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 32727 "gram.c" /* yacc.c:1646  */
    break;

  case 490:
#line 3831 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32733 "gram.c" /* yacc.c:1646  */
    break;

  case 491:
#line 3836 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = castNode(Constraint, (yyvsp[0].node));

					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 32745 "gram.c" /* yacc.c:1646  */
    break;

  case 492:
#line 3843 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32751 "gram.c" /* yacc.c:1646  */
    break;

  case 493:
#line 3844 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32757 "gram.c" /* yacc.c:1646  */
    break;

  case 494:
#line 3846 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Note: the CollateClause is momentarily included in
					 * the list built by ColQualList, but we split it out
					 * again in SplitColQualList.
					 */
					CollateClause *n = makeNode(CollateClause);

					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 32775 "gram.c" /* yacc.c:1646  */
    break;

  case 495:
#line 3878 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_NOTNULL;
					n->location = (yylsp[-2]);
					n->is_no_inherit = (yyvsp[0].boolean);
					n->skip_validation = false;
					n->initially_valid = true;
					(yyval.node) = (Node *) n;
				}
#line 32790 "gram.c" /* yacc.c:1646  */
    break;

  case 496:
#line 3889 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 32802 "gram.c" /* yacc.c:1646  */
    break;

  case 497:
#line 3897 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-3]);
					n->nulls_not_distinct = !(yyvsp[-2].boolean);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32819 "gram.c" /* yacc.c:1646  */
    break;

  case 498:
#line 3910 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32835 "gram.c" /* yacc.c:1646  */
    break;

  case 499:
#line 3922 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->is_no_inherit = (yyvsp[0].boolean);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					n->skip_validation = false;
					n->initially_valid = true;
					(yyval.node) = (Node *) n;
				}
#line 32852 "gram.c" /* yacc.c:1646  */
    break;

  case 500:
#line 3935 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_DEFAULT;
					n->location = (yylsp[-1]);
					n->raw_expr = (yyvsp[0].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *) n;
				}
#line 32866 "gram.c" /* yacc.c:1646  */
    break;

  case 501:
#line 3945 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_IDENTITY;
					n->generated_when = (yyvsp[-3].ival);
					n->options = (yyvsp[0].list);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 32880 "gram.c" /* yacc.c:1646  */
    break;

  case 502:
#line 3955 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_GENERATED;
					n->generated_when = (yyvsp[-5].ival);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					n->location = (yylsp[-6]);

					/*
					 * Can't do this in the grammar because of shift/reduce
					 * conflicts.  (IDENTITY allows both ALWAYS and BY
					 * DEFAULT, but generated columns only allow ALWAYS.)  We
					 * can also give a more useful error message and location.
					 */
					if ((yyvsp[-5].ival) != ATTRIBUTE_IDENTITY_ALWAYS)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("for a generated column, GENERATED ALWAYS must be specified"),
								 parser_errposition((yylsp[-5]))));

					(yyval.node) = (Node *) n;
				}
#line 32908 "gram.c" /* yacc.c:1646  */
    break;

  case 503:
#line 3979 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-4]);
					n->pktable = (yyvsp[-3].range);
					n->fk_attrs = NIL;
					n->pk_attrs = (yyvsp[-2].list);
					n->fk_matchtype = (yyvsp[-1].ival);
					n->fk_upd_action = ((yyvsp[0].keyactions))->updateAction->action;
					n->fk_del_action = ((yyvsp[0].keyactions))->deleteAction->action;
					n->fk_del_set_cols = ((yyvsp[0].keyactions))->deleteAction->cols;
					n->skip_validation = false;
					n->initially_valid = true;
					(yyval.node) = (Node *) n;
				}
#line 32929 "gram.c" /* yacc.c:1646  */
    break;

  case 504:
#line 3998 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 32935 "gram.c" /* yacc.c:1646  */
    break;

  case 505:
#line 3999 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 32941 "gram.c" /* yacc.c:1646  */
    break;

  case 506:
#line 4000 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 32947 "gram.c" /* yacc.c:1646  */
    break;

  case 507:
#line 4004 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ATTRIBUTE_IDENTITY_ALWAYS; }
#line 32953 "gram.c" /* yacc.c:1646  */
    break;

  case 508:
#line 4005 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ATTRIBUTE_IDENTITY_BY_DEFAULT; }
#line 32959 "gram.c" /* yacc.c:1646  */
    break;

  case 509:
#line 4025 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_ATTR_DEFERRABLE;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 32971 "gram.c" /* yacc.c:1646  */
    break;

  case 510:
#line 4033 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_ATTR_NOT_DEFERRABLE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 32983 "gram.c" /* yacc.c:1646  */
    break;

  case 511:
#line 4041 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_ATTR_DEFERRED;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 32995 "gram.c" /* yacc.c:1646  */
    break;

  case 512:
#line 4049 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_ATTR_IMMEDIATE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 33007 "gram.c" /* yacc.c:1646  */
    break;

  case 513:
#line 4061 "gram.y" /* yacc.c:1646  */
    {
					TableLikeClause *n = makeNode(TableLikeClause);

					n->relation = (yyvsp[-1].range);
					n->options = (yyvsp[0].ival);
					n->relationOid = InvalidOid;
					(yyval.node) = (Node *) n;
				}
#line 33020 "gram.c" /* yacc.c:1646  */
    break;

  case 514:
#line 4072 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 33026 "gram.c" /* yacc.c:1646  */
    break;

  case 515:
#line 4073 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) & ~(yyvsp[0].ival); }
#line 33032 "gram.c" /* yacc.c:1646  */
    break;

  case 516:
#line 4074 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 33038 "gram.c" /* yacc.c:1646  */
    break;

  case 517:
#line 4078 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_COMMENTS; }
#line 33044 "gram.c" /* yacc.c:1646  */
    break;

  case 518:
#line 4079 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_COMPRESSION; }
#line 33050 "gram.c" /* yacc.c:1646  */
    break;

  case 519:
#line 4080 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_CONSTRAINTS; }
#line 33056 "gram.c" /* yacc.c:1646  */
    break;

  case 520:
#line 4081 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_DEFAULTS; }
#line 33062 "gram.c" /* yacc.c:1646  */
    break;

  case 521:
#line 4082 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_IDENTITY; }
#line 33068 "gram.c" /* yacc.c:1646  */
    break;

  case 522:
#line 4083 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_GENERATED; }
#line 33074 "gram.c" /* yacc.c:1646  */
    break;

  case 523:
#line 4084 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_INDEXES; }
#line 33080 "gram.c" /* yacc.c:1646  */
    break;

  case 524:
#line 4085 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_STATISTICS; }
#line 33086 "gram.c" /* yacc.c:1646  */
    break;

  case 525:
#line 4086 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_STORAGE; }
#line 33092 "gram.c" /* yacc.c:1646  */
    break;

  case 526:
#line 4087 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_ALL; }
#line 33098 "gram.c" /* yacc.c:1646  */
    break;

  case 527:
#line 4097 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = castNode(Constraint, (yyvsp[0].node));

					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 33110 "gram.c" /* yacc.c:1646  */
    break;

  case 528:
#line 4104 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33116 "gram.c" /* yacc.c:1646  */
    break;

  case 529:
#line 4109 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "CHECK",
								   NULL, NULL, &n->skip_validation,
								   &n->is_no_inherit, yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *) n;
				}
#line 33134 "gram.c" /* yacc.c:1646  */
    break;

  case 530:
#line 4123 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_NOTNULL;
					n->location = (yylsp[-3]);
					n->keys = list_make1(makeString((yyvsp[-1].str)));
					/* no NOT VALID support yet */
					processCASbits((yyvsp[0].ival), (yylsp[0]), "NOT NULL",
								   NULL, NULL, NULL,
								   &n->is_no_inherit, yyscanner);
					n->initially_valid = true;
					(yyval.node) = (Node *) n;
				}
#line 33152 "gram.c" /* yacc.c:1646  */
    break;

  case 531:
#line 4138 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-8]);
					n->nulls_not_distinct = !(yyvsp[-7].boolean);
					n->keys = (yyvsp[-5].list);
					n->including = (yyvsp[-3].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 33173 "gram.c" /* yacc.c:1646  */
    break;

  case 532:
#line 4155 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-2]);
					n->keys = NIL;
					n->including = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 33193 "gram.c" /* yacc.c:1646  */
    break;

  case 533:
#line 4172 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-8]);
					n->keys = (yyvsp[-5].list);
					n->including = (yyvsp[-3].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 33213 "gram.c" /* yacc.c:1646  */
    break;

  case 534:
#line 4188 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NIL;
					n->including = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 33233 "gram.c" /* yacc.c:1646  */
    break;

  case 535:
#line 4206 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_EXCLUSION;
					n->location = (yylsp[-9]);
					n->access_method = (yyvsp[-8].str);
					n->exclusions = (yyvsp[-6].list);
					n->including = (yyvsp[-4].list);
					n->options = (yyvsp[-3].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-2].str);
					n->where_clause = (yyvsp[-1].node);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "EXCLUDE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 33255 "gram.c" /* yacc.c:1646  */
    break;

  case 536:
#line 4225 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-10]);
					n->pktable = (yyvsp[-4].range);
					n->fk_attrs = (yyvsp[-7].list);
					n->pk_attrs = (yyvsp[-3].list);
					n->fk_matchtype = (yyvsp[-2].ival);
					n->fk_upd_action = ((yyvsp[-1].keyactions))->updateAction->action;
					n->fk_del_action = ((yyvsp[-1].keyactions))->deleteAction->action;
					n->fk_del_set_cols = ((yyvsp[-1].keyactions))->deleteAction->cols;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "FOREIGN KEY",
								   &n->deferrable, &n->initdeferred,
								   &n->skip_validation, NULL,
								   yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *) n;
				}
#line 33279 "gram.c" /* yacc.c:1646  */
    break;

  case 537:
#line 4246 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = true; }
#line 33285 "gram.c" /* yacc.c:1646  */
    break;

  case 538:
#line 4247 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = false; }
#line 33291 "gram.c" /* yacc.c:1646  */
    break;

  case 539:
#line 4251 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 33297 "gram.c" /* yacc.c:1646  */
    break;

  case 540:
#line 4252 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33303 "gram.c" /* yacc.c:1646  */
    break;

  case 541:
#line 4256 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 33309 "gram.c" /* yacc.c:1646  */
    break;

  case 542:
#line 4257 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 33315 "gram.c" /* yacc.c:1646  */
    break;

  case 543:
#line 4261 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 33323 "gram.c" /* yacc.c:1646  */
    break;

  case 544:
#line 4266 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 33329 "gram.c" /* yacc.c:1646  */
    break;

  case 545:
#line 4267 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33335 "gram.c" /* yacc.c:1646  */
    break;

  case 546:
#line 4271 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_FULL;
			}
#line 33343 "gram.c" /* yacc.c:1646  */
    break;

  case 547:
#line 4275 "gram.y" /* yacc.c:1646  */
    {
				ereport(ERROR,
						(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
						 errmsg("MATCH PARTIAL not yet implemented"),
						 parser_errposition((yylsp[-1]))));
				(yyval.ival) = FKCONSTR_MATCH_PARTIAL;
			}
#line 33355 "gram.c" /* yacc.c:1646  */
    break;

  case 548:
#line 4283 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 33363 "gram.c" /* yacc.c:1646  */
    break;

  case 549:
#line 4287 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 33371 "gram.c" /* yacc.c:1646  */
    break;

  case 550:
#line 4293 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 33377 "gram.c" /* yacc.c:1646  */
    break;

  case 551:
#line 4295 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 33383 "gram.c" /* yacc.c:1646  */
    break;

  case 552:
#line 4299 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make2((yyvsp[-2].ielem), (yyvsp[0].list));
			}
#line 33391 "gram.c" /* yacc.c:1646  */
    break;

  case 553:
#line 4304 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make2((yyvsp[-5].ielem), (yyvsp[-1].list));
			}
#line 33399 "gram.c" /* yacc.c:1646  */
    break;

  case 554:
#line 4310 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 33405 "gram.c" /* yacc.c:1646  */
    break;

  case 555:
#line 4311 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 33411 "gram.c" /* yacc.c:1646  */
    break;

  case 556:
#line 4316 "gram.y" /* yacc.c:1646  */
    {
					KeyActions *n = palloc(sizeof(KeyActions));

					n->updateAction = (yyvsp[0].keyaction);
					n->deleteAction = palloc(sizeof(KeyAction));
					n->deleteAction->action = FKCONSTR_ACTION_NOACTION;
					n->deleteAction->cols = NIL;
					(yyval.keyactions) = n;
				}
#line 33425 "gram.c" /* yacc.c:1646  */
    break;

  case 557:
#line 4326 "gram.y" /* yacc.c:1646  */
    {
					KeyActions *n = palloc(sizeof(KeyActions));

					n->updateAction = palloc(sizeof(KeyAction));
					n->updateAction->action = FKCONSTR_ACTION_NOACTION;
					n->updateAction->cols = NIL;
					n->deleteAction = (yyvsp[0].keyaction);
					(yyval.keyactions) = n;
				}
#line 33439 "gram.c" /* yacc.c:1646  */
    break;

  case 558:
#line 4336 "gram.y" /* yacc.c:1646  */
    {
					KeyActions *n = palloc(sizeof(KeyActions));

					n->updateAction = (yyvsp[-1].keyaction);
					n->deleteAction = (yyvsp[0].keyaction);
					(yyval.keyactions) = n;
				}
#line 33451 "gram.c" /* yacc.c:1646  */
    break;

  case 559:
#line 4344 "gram.y" /* yacc.c:1646  */
    {
					KeyActions *n = palloc(sizeof(KeyActions));

					n->updateAction = (yyvsp[0].keyaction);
					n->deleteAction = (yyvsp[-1].keyaction);
					(yyval.keyactions) = n;
				}
#line 33463 "gram.c" /* yacc.c:1646  */
    break;

  case 560:
#line 4352 "gram.y" /* yacc.c:1646  */
    {
					KeyActions *n = palloc(sizeof(KeyActions));

					n->updateAction = palloc(sizeof(KeyAction));
					n->updateAction->action = FKCONSTR_ACTION_NOACTION;
					n->updateAction->cols = NIL;
					n->deleteAction = palloc(sizeof(KeyAction));
					n->deleteAction->action = FKCONSTR_ACTION_NOACTION;
					n->deleteAction->cols = NIL;
					(yyval.keyactions) = n;
				}
#line 33479 "gram.c" /* yacc.c:1646  */
    break;

  case 561:
#line 4366 "gram.y" /* yacc.c:1646  */
    {
					if (((yyvsp[0].keyaction))->cols)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("a column list with %s is only supported for ON DELETE actions",
										((yyvsp[0].keyaction))->action == FKCONSTR_ACTION_SETNULL ? "SET NULL" : "SET DEFAULT"),
								 parser_errposition((yylsp[-2]))));
					(yyval.keyaction) = (yyvsp[0].keyaction);
				}
#line 33493 "gram.c" /* yacc.c:1646  */
    break;

  case 562:
#line 4378 "gram.y" /* yacc.c:1646  */
    {
					(yyval.keyaction) = (yyvsp[0].keyaction);
				}
#line 33501 "gram.c" /* yacc.c:1646  */
    break;

  case 563:
#line 4385 "gram.y" /* yacc.c:1646  */
    {
					KeyAction *n = palloc(sizeof(KeyAction));

					n->action = FKCONSTR_ACTION_NOACTION;
					n->cols = NIL;
					(yyval.keyaction) = n;
				}
#line 33513 "gram.c" /* yacc.c:1646  */
    break;

  case 564:
#line 4393 "gram.y" /* yacc.c:1646  */
    {
					KeyAction *n = palloc(sizeof(KeyAction));

					n->action = FKCONSTR_ACTION_RESTRICT;
					n->cols = NIL;
					(yyval.keyaction) = n;
				}
#line 33525 "gram.c" /* yacc.c:1646  */
    break;

  case 565:
#line 4401 "gram.y" /* yacc.c:1646  */
    {
					KeyAction *n = palloc(sizeof(KeyAction));

					n->action = FKCONSTR_ACTION_CASCADE;
					n->cols = NIL;
					(yyval.keyaction) = n;
				}
#line 33537 "gram.c" /* yacc.c:1646  */
    break;

  case 566:
#line 4409 "gram.y" /* yacc.c:1646  */
    {
					KeyAction *n = palloc(sizeof(KeyAction));

					n->action = FKCONSTR_ACTION_SETNULL;
					n->cols = (yyvsp[0].list);
					(yyval.keyaction) = n;
				}
#line 33549 "gram.c" /* yacc.c:1646  */
    break;

  case 567:
#line 4417 "gram.y" /* yacc.c:1646  */
    {
					KeyAction *n = palloc(sizeof(KeyAction));

					n->action = FKCONSTR_ACTION_SETDEFAULT;
					n->cols = (yyvsp[0].list);
					(yyval.keyaction) = n;
				}
#line 33561 "gram.c" /* yacc.c:1646  */
    break;

  case 568:
#line 4426 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 33567 "gram.c" /* yacc.c:1646  */
    break;

  case 569:
#line 4427 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33573 "gram.c" /* yacc.c:1646  */
    break;

  case 570:
#line 4431 "gram.y" /* yacc.c:1646  */
    { (yyval.partspec) = (yyvsp[0].partspec); }
#line 33579 "gram.c" /* yacc.c:1646  */
    break;

  case 571:
#line 4432 "gram.y" /* yacc.c:1646  */
    { (yyval.partspec) = NULL; }
#line 33585 "gram.c" /* yacc.c:1646  */
    break;

  case 572:
#line 4436 "gram.y" /* yacc.c:1646  */
    {
					PartitionSpec *n = makeNode(PartitionSpec);

					n->strategy = parsePartitionStrategy((yyvsp[-3].str));
					n->partParams = (yyvsp[-1].list);
					n->location = (yylsp[-5]);

					(yyval.partspec) = n;
				}
#line 33599 "gram.c" /* yacc.c:1646  */
    break;

  case 573:
#line 4447 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].partelem)); }
#line 33605 "gram.c" /* yacc.c:1646  */
    break;

  case 574:
#line 4448 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].partelem)); }
#line 33611 "gram.c" /* yacc.c:1646  */
    break;

  case 575:
#line 4452 "gram.y" /* yacc.c:1646  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = (yyvsp[-2].str);
					n->expr = NULL;
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-2]);
					(yyval.partelem) = n;
				}
#line 33626 "gram.c" /* yacc.c:1646  */
    break;

  case 576:
#line 4463 "gram.y" /* yacc.c:1646  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = NULL;
					n->expr = (yyvsp[-2].node);
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-2]);
					(yyval.partelem) = n;
				}
#line 33641 "gram.c" /* yacc.c:1646  */
    break;

  case 577:
#line 4474 "gram.y" /* yacc.c:1646  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = NULL;
					n->expr = (yyvsp[-3].node);
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-4]);
					(yyval.partelem) = n;
				}
#line 33656 "gram.c" /* yacc.c:1646  */
    break;

  case 578:
#line 4487 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 33662 "gram.c" /* yacc.c:1646  */
    break;

  case 579:
#line 4488 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 33668 "gram.c" /* yacc.c:1646  */
    break;

  case 580:
#line 4493 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 33674 "gram.c" /* yacc.c:1646  */
    break;

  case 581:
#line 4494 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33680 "gram.c" /* yacc.c:1646  */
    break;

  case 582:
#line 4495 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33686 "gram.c" /* yacc.c:1646  */
    break;

  case 583:
#line 4498 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_DROP; }
#line 33692 "gram.c" /* yacc.c:1646  */
    break;

  case 584:
#line 4499 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_DELETE_ROWS; }
#line 33698 "gram.c" /* yacc.c:1646  */
    break;

  case 585:
#line 4500 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_PRESERVE_ROWS; }
#line 33704 "gram.c" /* yacc.c:1646  */
    break;

  case 586:
#line 4501 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_NOOP; }
#line 33710 "gram.c" /* yacc.c:1646  */
    break;

  case 587:
#line 4504 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 33716 "gram.c" /* yacc.c:1646  */
    break;

  case 588:
#line 4505 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 33722 "gram.c" /* yacc.c:1646  */
    break;

  case 589:
#line 4508 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 33728 "gram.c" /* yacc.c:1646  */
    break;

  case 590:
#line 4509 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 33734 "gram.c" /* yacc.c:1646  */
    break;

  case 591:
#line 4512 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 33740 "gram.c" /* yacc.c:1646  */
    break;

  case 592:
#line 4534 "gram.y" /* yacc.c:1646  */
    {
					CreateStatsStmt *n = makeNode(CreateStatsStmt);

					n->defnames = (yyvsp[-5].list);
					n->stat_types = (yyvsp[-4].list);
					n->exprs = (yyvsp[-2].list);
					n->relations = (yyvsp[0].list);
					n->stxcomment = NULL;
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 33756 "gram.c" /* yacc.c:1646  */
    break;

  case 593:
#line 4547 "gram.y" /* yacc.c:1646  */
    {
					CreateStatsStmt *n = makeNode(CreateStatsStmt);

					n->defnames = (yyvsp[-5].list);
					n->stat_types = (yyvsp[-4].list);
					n->exprs = (yyvsp[-2].list);
					n->relations = (yyvsp[0].list);
					n->stxcomment = NULL;
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 33772 "gram.c" /* yacc.c:1646  */
    break;

  case 594:
#line 4567 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].selem)); }
#line 33778 "gram.c" /* yacc.c:1646  */
    break;

  case 595:
#line 4568 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].selem)); }
#line 33784 "gram.c" /* yacc.c:1646  */
    break;

  case 596:
#line 4572 "gram.y" /* yacc.c:1646  */
    {
					(yyval.selem) = makeNode(StatsElem);
					(yyval.selem)->name = (yyvsp[0].str);
					(yyval.selem)->expr = NULL;
				}
#line 33794 "gram.c" /* yacc.c:1646  */
    break;

  case 597:
#line 4578 "gram.y" /* yacc.c:1646  */
    {
					(yyval.selem) = makeNode(StatsElem);
					(yyval.selem)->name = NULL;
					(yyval.selem)->expr = (yyvsp[0].node);
				}
#line 33804 "gram.c" /* yacc.c:1646  */
    break;

  case 598:
#line 4584 "gram.y" /* yacc.c:1646  */
    {
					(yyval.selem) = makeNode(StatsElem);
					(yyval.selem)->name = NULL;
					(yyval.selem)->expr = (yyvsp[-1].node);
				}
#line 33814 "gram.c" /* yacc.c:1646  */
    break;

  case 599:
#line 4601 "gram.y" /* yacc.c:1646  */
    {
					AlterStatsStmt *n = makeNode(AlterStatsStmt);

					n->defnames = (yyvsp[-3].list);
					n->missing_ok = false;
					n->stxstattarget = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 33827 "gram.c" /* yacc.c:1646  */
    break;

  case 600:
#line 4610 "gram.y" /* yacc.c:1646  */
    {
					AlterStatsStmt *n = makeNode(AlterStatsStmt);

					n->defnames = (yyvsp[-3].list);
					n->missing_ok = true;
					n->stxstattarget = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 33840 "gram.c" /* yacc.c:1646  */
    break;

  case 601:
#line 4632 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);

					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->objtype = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-5].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 33858 "gram.c" /* yacc.c:1646  */
    break;

  case 602:
#line 4646 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);

					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->objtype = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-8].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 33876 "gram.c" /* yacc.c:1646  */
    break;

  case 603:
#line 4664 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-5].range);
					(yyval.into)->colNames = (yyvsp[-4].list);
					(yyval.into)->accessMethod = (yyvsp[-3].str);
					(yyval.into)->options = (yyvsp[-2].list);
					(yyval.into)->onCommit = (yyvsp[-1].oncommit);
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 33892 "gram.c" /* yacc.c:1646  */
    break;

  case 604:
#line 4678 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 33898 "gram.c" /* yacc.c:1646  */
    break;

  case 605:
#line 4679 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 33904 "gram.c" /* yacc.c:1646  */
    break;

  case 606:
#line 4680 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 33910 "gram.c" /* yacc.c:1646  */
    break;

  case 607:
#line 4693 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);

					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->objtype = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-6].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 33928 "gram.c" /* yacc.c:1646  */
    break;

  case 608:
#line 4707 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);

					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->objtype = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-9].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 33946 "gram.c" /* yacc.c:1646  */
    break;

  case 609:
#line 4724 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-4].range);
					(yyval.into)->colNames = (yyvsp[-3].list);
					(yyval.into)->accessMethod = (yyvsp[-2].str);
					(yyval.into)->options = (yyvsp[-1].list);
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;		/* filled at analysis time */
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 33962 "gram.c" /* yacc.c:1646  */
    break;

  case 610:
#line 4737 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 33968 "gram.c" /* yacc.c:1646  */
    break;

  case 611:
#line 4738 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 33974 "gram.c" /* yacc.c:1646  */
    break;

  case 612:
#line 4751 "gram.y" /* yacc.c:1646  */
    {
					RefreshMatViewStmt *n = makeNode(RefreshMatViewStmt);

					n->concurrent = (yyvsp[-2].boolean);
					n->relation = (yyvsp[-1].range);
					n->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) n;
				}
#line 33987 "gram.c" /* yacc.c:1646  */
    break;

  case 613:
#line 4772 "gram.y" /* yacc.c:1646  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);

					(yyvsp[-1].range)->relpersistence = (yyvsp[-3].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 34002 "gram.c" /* yacc.c:1646  */
    break;

  case 614:
#line 4783 "gram.y" /* yacc.c:1646  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);

					(yyvsp[-1].range)->relpersistence = (yyvsp[-6].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 34017 "gram.c" /* yacc.c:1646  */
    break;

  case 615:
#line 4797 "gram.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);

					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 34030 "gram.c" /* yacc.c:1646  */
    break;

  case 616:
#line 4806 "gram.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);

					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 34043 "gram.c" /* yacc.c:1646  */
    break;

  case 617:
#line 4817 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 34049 "gram.c" /* yacc.c:1646  */
    break;

  case 618:
#line 4818 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34055 "gram.c" /* yacc.c:1646  */
    break;

  case 619:
#line 4821 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 34061 "gram.c" /* yacc.c:1646  */
    break;

  case 620:
#line 4822 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34067 "gram.c" /* yacc.c:1646  */
    break;

  case 621:
#line 4825 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 34073 "gram.c" /* yacc.c:1646  */
    break;

  case 622:
#line 4826 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 34079 "gram.c" /* yacc.c:1646  */
    break;

  case 623:
#line 4830 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *) (yyvsp[0].typnam), (yylsp[-1]));
				}
#line 34087 "gram.c" /* yacc.c:1646  */
    break;

  case 624:
#line 4834 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cache", (Node *) (yyvsp[0].node), (yylsp[-1]));
				}
#line 34095 "gram.c" /* yacc.c:1646  */
    break;

  case 625:
#line 4838 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 34103 "gram.c" /* yacc.c:1646  */
    break;

  case 626:
#line 4842 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *) makeBoolean(false), (yylsp[-1]));
				}
#line 34111 "gram.c" /* yacc.c:1646  */
    break;

  case 627:
#line 4846 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("increment", (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 34119 "gram.c" /* yacc.c:1646  */
    break;

  case 628:
#line 4850 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", (Node *) (yyvsp[0].node), (yylsp[-1]));
				}
#line 34127 "gram.c" /* yacc.c:1646  */
    break;

  case 629:
#line 4854 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("minvalue", (Node *) (yyvsp[0].node), (yylsp[-1]));
				}
#line 34135 "gram.c" /* yacc.c:1646  */
    break;

  case 630:
#line 4858 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", NULL, (yylsp[-1]));
				}
#line 34143 "gram.c" /* yacc.c:1646  */
    break;

  case 631:
#line 4862 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("minvalue", NULL, (yylsp[-1]));
				}
#line 34151 "gram.c" /* yacc.c:1646  */
    break;

  case 632:
#line 4866 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("owned_by", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 34159 "gram.c" /* yacc.c:1646  */
    break;

  case 633:
#line 4870 "gram.y" /* yacc.c:1646  */
    {
					/* not documented, only used by pg_dump */
					(yyval.defelt) = makeDefElem("sequence_name", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 34168 "gram.c" /* yacc.c:1646  */
    break;

  case 634:
#line 4875 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("start", (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 34176 "gram.c" /* yacc.c:1646  */
    break;

  case 635:
#line 4879 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", NULL, (yylsp[0]));
				}
#line 34184 "gram.c" /* yacc.c:1646  */
    break;

  case 636:
#line 4883 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 34192 "gram.c" /* yacc.c:1646  */
    break;

  case 639:
#line 4893 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeFloat((yyvsp[0].str)); }
#line 34198 "gram.c" /* yacc.c:1646  */
    break;

  case 640:
#line 4894 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeFloat((yyvsp[0].str)); }
#line 34204 "gram.c" /* yacc.c:1646  */
    break;

  case 641:
#line 4896 "gram.y" /* yacc.c:1646  */
    {
					Float	   *f = makeFloat((yyvsp[0].str));

					doNegateFloat(f);
					(yyval.node) = (Node *) f;
				}
#line 34215 "gram.c" /* yacc.c:1646  */
    break;

  case 642:
#line 4902 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeInteger((yyvsp[0].ival)); }
#line 34221 "gram.c" /* yacc.c:1646  */
    break;

  case 643:
#line 4905 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 34227 "gram.c" /* yacc.c:1646  */
    break;

  case 644:
#line 4906 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 34233 "gram.c" /* yacc.c:1646  */
    break;

  case 645:
#line 4919 "gram.y" /* yacc.c:1646  */
    {
				/*
				 * We now interpret parameterless CREATE LANGUAGE as
				 * CREATE EXTENSION.  "OR REPLACE" is silently translated
				 * to "IF NOT EXISTS", which isn't quite the same, but
				 * seems more useful than throwing an error.  We just
				 * ignore TRUSTED, as the previous code would have too.
				 */
				CreateExtensionStmt *n = makeNode(CreateExtensionStmt);

				n->if_not_exists = (yyvsp[-4].boolean);
				n->extname = (yyvsp[0].str);
				n->options = NIL;
				(yyval.node) = (Node *) n;
			}
#line 34253 "gram.c" /* yacc.c:1646  */
    break;

  case 646:
#line 4936 "gram.y" /* yacc.c:1646  */
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);

				n->replace = (yyvsp[-8].boolean);
				n->plname = (yyvsp[-4].str);
				n->plhandler = (yyvsp[-2].list);
				n->plinline = (yyvsp[-1].list);
				n->plvalidator = (yyvsp[0].list);
				n->pltrusted = (yyvsp[-7].boolean);
				(yyval.node) = (Node *) n;
			}
#line 34269 "gram.c" /* yacc.c:1646  */
    break;

  case 647:
#line 4950 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 34275 "gram.c" /* yacc.c:1646  */
    break;

  case 648:
#line 4951 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 34281 "gram.c" /* yacc.c:1646  */
    break;

  case 649:
#line 4959 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 34287 "gram.c" /* yacc.c:1646  */
    break;

  case 650:
#line 4960 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 34293 "gram.c" /* yacc.c:1646  */
    break;

  case 651:
#line 4964 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 34299 "gram.c" /* yacc.c:1646  */
    break;

  case 652:
#line 4965 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34305 "gram.c" /* yacc.c:1646  */
    break;

  case 653:
#line 4969 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 34311 "gram.c" /* yacc.c:1646  */
    break;

  case 654:
#line 4970 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34317 "gram.c" /* yacc.c:1646  */
    break;

  case 655:
#line 4974 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 34323 "gram.c" /* yacc.c:1646  */
    break;

  case 656:
#line 4975 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34329 "gram.c" /* yacc.c:1646  */
    break;

  case 659:
#line 4991 "gram.y" /* yacc.c:1646  */
    {
					CreateTableSpaceStmt *n = makeNode(CreateTableSpaceStmt);

					n->tablespacename = (yyvsp[-4].str);
					n->owner = (yyvsp[-3].rolespec);
					n->location = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 34343 "gram.c" /* yacc.c:1646  */
    break;

  case 660:
#line 5002 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 34349 "gram.c" /* yacc.c:1646  */
    break;

  case 661:
#line 5003 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = NULL; }
#line 34355 "gram.c" /* yacc.c:1646  */
    break;

  case 662:
#line 5017 "gram.y" /* yacc.c:1646  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);

					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 34367 "gram.c" /* yacc.c:1646  */
    break;

  case 663:
#line 5025 "gram.y" /* yacc.c:1646  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);

					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 34379 "gram.c" /* yacc.c:1646  */
    break;

  case 664:
#line 5043 "gram.y" /* yacc.c:1646  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);

					n->extname = (yyvsp[-2].str);
					n->if_not_exists = false;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 34392 "gram.c" /* yacc.c:1646  */
    break;

  case 665:
#line 5052 "gram.y" /* yacc.c:1646  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);

					n->extname = (yyvsp[-2].str);
					n->if_not_exists = true;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 34405 "gram.c" /* yacc.c:1646  */
    break;

  case 666:
#line 5064 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 34411 "gram.c" /* yacc.c:1646  */
    break;

  case 667:
#line 5066 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34417 "gram.c" /* yacc.c:1646  */
    break;

  case 668:
#line 5071 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("schema", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 34425 "gram.c" /* yacc.c:1646  */
    break;

  case 669:
#line 5075 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 34433 "gram.c" /* yacc.c:1646  */
    break;

  case 670:
#line 5079 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE EXTENSION ... FROM is no longer supported"),
							 parser_errposition((yylsp[-1]))));
				}
#line 34444 "gram.c" /* yacc.c:1646  */
    break;

  case 671:
#line 5086 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cascade", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 34452 "gram.c" /* yacc.c:1646  */
    break;

  case 672:
#line 5098 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionStmt *n = makeNode(AlterExtensionStmt);

					n->extname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 34464 "gram.c" /* yacc.c:1646  */
    break;

  case 673:
#line 5109 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 34470 "gram.c" /* yacc.c:1646  */
    break;

  case 674:
#line 5111 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34476 "gram.c" /* yacc.c:1646  */
    break;

  case 675:
#line 5116 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 34484 "gram.c" /* yacc.c:1646  */
    break;

  case 676:
#line 5129 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = (yyvsp[-1].objtype);
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *) n;
				}
#line 34498 "gram.c" /* yacc.c:1646  */
    break;

  case 677:
#line 5139 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = (yyvsp[-1].objtype);
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 34512 "gram.c" /* yacc.c:1646  */
    break;

  case 678:
#line 5149 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *) n;
				}
#line 34526 "gram.c" /* yacc.c:1646  */
    break;

  case 679:
#line 5159 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-7].str);
					n->action = (yyvsp[-6].ival);
					n->objtype = OBJECT_CAST;
					n->object = (Node *) list_make2((yyvsp[-3].typnam), (yyvsp[-1].typnam));
					(yyval.node) = (Node *) n;
				}
#line 34540 "gram.c" /* yacc.c:1646  */
    break;

  case 680:
#line 5169 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[0].typnam);
					(yyval.node) = (Node *) n;
				}
#line 34554 "gram.c" /* yacc.c:1646  */
    break;

  case 681:
#line 5179 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *) n;
				}
#line 34568 "gram.c" /* yacc.c:1646  */
    break;

  case 682:
#line 5189 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *) n;
				}
#line 34582 "gram.c" /* yacc.c:1646  */
    break;

  case 683:
#line 5199 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[0].str)), (yyvsp[-2].list));
					(yyval.node) = (Node *) n;
				}
#line 34596 "gram.c" /* yacc.c:1646  */
    break;

  case 684:
#line 5209 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[0].str)), (yyvsp[-2].list));
					(yyval.node) = (Node *) n;
				}
#line 34610 "gram.c" /* yacc.c:1646  */
    break;

  case 685:
#line 5219 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *) n;
				}
#line 34624 "gram.c" /* yacc.c:1646  */
    break;

  case 686:
#line 5229 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *) n;
				}
#line 34638 "gram.c" /* yacc.c:1646  */
    break;

  case 687:
#line 5239 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_TRANSFORM;
					n->object = (Node *) list_make2((yyvsp[-2].typnam), makeString((yyvsp[0].str)));
					(yyval.node) = (Node *) n;
				}
#line 34652 "gram.c" /* yacc.c:1646  */
    break;

  case 688:
#line 5249 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[0].typnam);
					(yyval.node) = (Node *) n;
				}
#line 34666 "gram.c" /* yacc.c:1646  */
    break;

  case 689:
#line 5268 "gram.y" /* yacc.c:1646  */
    {
					CreateFdwStmt *n = makeNode(CreateFdwStmt);

					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 34679 "gram.c" /* yacc.c:1646  */
    break;

  case 690:
#line 5279 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("handler", (Node *) (yyvsp[0].list), (yylsp[-1])); }
#line 34685 "gram.c" /* yacc.c:1646  */
    break;

  case 691:
#line 5280 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("handler", NULL, (yylsp[-1])); }
#line 34691 "gram.c" /* yacc.c:1646  */
    break;

  case 692:
#line 5281 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("validator", (Node *) (yyvsp[0].list), (yylsp[-1])); }
#line 34697 "gram.c" /* yacc.c:1646  */
    break;

  case 693:
#line 5282 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("validator", NULL, (yylsp[-1])); }
#line 34703 "gram.c" /* yacc.c:1646  */
    break;

  case 694:
#line 5286 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 34709 "gram.c" /* yacc.c:1646  */
    break;

  case 695:
#line 5287 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 34715 "gram.c" /* yacc.c:1646  */
    break;

  case 696:
#line 5291 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 34721 "gram.c" /* yacc.c:1646  */
    break;

  case 697:
#line 5292 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34727 "gram.c" /* yacc.c:1646  */
    break;

  case 698:
#line 5303 "gram.y" /* yacc.c:1646  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);

					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 34740 "gram.c" /* yacc.c:1646  */
    break;

  case 699:
#line 5312 "gram.y" /* yacc.c:1646  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);

					n->fdwname = (yyvsp[-1].str);
					n->func_options = (yyvsp[0].list);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 34753 "gram.c" /* yacc.c:1646  */
    break;

  case 700:
#line 5324 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 34759 "gram.c" /* yacc.c:1646  */
    break;

  case 701:
#line 5325 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34765 "gram.c" /* yacc.c:1646  */
    break;

  case 702:
#line 5330 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 34773 "gram.c" /* yacc.c:1646  */
    break;

  case 703:
#line 5334 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 34781 "gram.c" /* yacc.c:1646  */
    break;

  case 704:
#line 5341 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 34787 "gram.c" /* yacc.c:1646  */
    break;

  case 705:
#line 5346 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 34795 "gram.c" /* yacc.c:1646  */
    break;

  case 706:
#line 5350 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 34803 "gram.c" /* yacc.c:1646  */
    break;

  case 707:
#line 5357 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 34811 "gram.c" /* yacc.c:1646  */
    break;

  case 708:
#line 5361 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_SET;
				}
#line 34820 "gram.c" /* yacc.c:1646  */
    break;

  case 709:
#line 5366 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_ADD;
				}
#line 34829 "gram.c" /* yacc.c:1646  */
    break;

  case 710:
#line 5371 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended(NULL, (yyvsp[0].str), NULL, DEFELEM_DROP, (yylsp[0]));
				}
#line 34837 "gram.c" /* yacc.c:1646  */
    break;

  case 711:
#line 5378 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 34845 "gram.c" /* yacc.c:1646  */
    break;

  case 712:
#line 5384 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34851 "gram.c" /* yacc.c:1646  */
    break;

  case 713:
#line 5389 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 34857 "gram.c" /* yacc.c:1646  */
    break;

  case 714:
#line 5401 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);

					n->servername = (yyvsp[-7].str);
					n->servertype = (yyvsp[-6].str);
					n->version = (yyvsp[-5].str);
					n->fdwname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 34873 "gram.c" /* yacc.c:1646  */
    break;

  case 715:
#line 5414 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);

					n->servername = (yyvsp[-7].str);
					n->servertype = (yyvsp[-6].str);
					n->version = (yyvsp[-5].str);
					n->fdwname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 34889 "gram.c" /* yacc.c:1646  */
    break;

  case 716:
#line 5428 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34895 "gram.c" /* yacc.c:1646  */
    break;

  case 717:
#line 5429 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 34901 "gram.c" /* yacc.c:1646  */
    break;

  case 718:
#line 5434 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34907 "gram.c" /* yacc.c:1646  */
    break;

  case 719:
#line 5435 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 34913 "gram.c" /* yacc.c:1646  */
    break;

  case 720:
#line 5439 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34919 "gram.c" /* yacc.c:1646  */
    break;

  case 721:
#line 5440 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 34925 "gram.c" /* yacc.c:1646  */
    break;

  case 722:
#line 5451 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);

					n->servername = (yyvsp[-2].str);
					n->version = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 34939 "gram.c" /* yacc.c:1646  */
    break;

  case 723:
#line 5461 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);

					n->servername = (yyvsp[-1].str);
					n->version = (yyvsp[0].str);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 34952 "gram.c" /* yacc.c:1646  */
    break;

  case 724:
#line 5470 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);

					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 34964 "gram.c" /* yacc.c:1646  */
    break;

  case 725:
#line 5490 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);

					(yyvsp[-7].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-7].range);
					n->base.tableElts = (yyvsp[-5].list);
					n->base.inhRelations = (yyvsp[-3].list);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 34987 "gram.c" /* yacc.c:1646  */
    break;

  case 726:
#line 5511 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);

					(yyvsp[-7].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-7].range);
					n->base.tableElts = (yyvsp[-5].list);
					n->base.inhRelations = (yyvsp[-3].list);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35010 "gram.c" /* yacc.c:1646  */
    break;

  case 727:
#line 5532 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);

					(yyvsp[-8].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-8].range);
					n->base.inhRelations = list_make1((yyvsp[-5].range));
					n->base.tableElts = (yyvsp[-4].list);
					n->base.partbound = (yyvsp[-3].partboundspec);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35034 "gram.c" /* yacc.c:1646  */
    break;

  case 728:
#line 5554 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);

					(yyvsp[-8].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-8].range);
					n->base.inhRelations = list_make1((yyvsp[-5].range));
					n->base.tableElts = (yyvsp[-4].list);
					n->base.partbound = (yyvsp[-3].partboundspec);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35058 "gram.c" /* yacc.c:1646  */
    break;

  case 729:
#line 5587 "gram.y" /* yacc.c:1646  */
    {
				ImportForeignSchemaStmt *n = makeNode(ImportForeignSchemaStmt);

				n->server_name = (yyvsp[-3].str);
				n->remote_schema = (yyvsp[-7].str);
				n->local_schema = (yyvsp[-1].str);
				n->list_type = (yyvsp[-6].importqual)->type;
				n->table_list = (yyvsp[-6].importqual)->table_names;
				n->options = (yyvsp[0].list);
				(yyval.node) = (Node *) n;
			}
#line 35074 "gram.c" /* yacc.c:1646  */
    break;

  case 730:
#line 5601 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FDW_IMPORT_SCHEMA_LIMIT_TO; }
#line 35080 "gram.c" /* yacc.c:1646  */
    break;

  case 731:
#line 5602 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FDW_IMPORT_SCHEMA_EXCEPT; }
#line 35086 "gram.c" /* yacc.c:1646  */
    break;

  case 732:
#line 5607 "gram.y" /* yacc.c:1646  */
    {
				ImportQual *n = (ImportQual *) palloc(sizeof(ImportQual));

				n->type = (yyvsp[-3].ival);
				n->table_names = (yyvsp[-1].list);
				(yyval.importqual) = n;
			}
#line 35098 "gram.c" /* yacc.c:1646  */
    break;

  case 733:
#line 5615 "gram.y" /* yacc.c:1646  */
    {
				ImportQual *n = (ImportQual *) palloc(sizeof(ImportQual));
				n->type = FDW_IMPORT_SCHEMA_ALL;
				n->table_names = NIL;
				(yyval.importqual) = n;
			}
#line 35109 "gram.c" /* yacc.c:1646  */
    break;

  case 734:
#line 5631 "gram.y" /* yacc.c:1646  */
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);

					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 35123 "gram.c" /* yacc.c:1646  */
    break;

  case 735:
#line 5641 "gram.y" /* yacc.c:1646  */
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);

					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 35137 "gram.c" /* yacc.c:1646  */
    break;

  case 736:
#line 5653 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 35143 "gram.c" /* yacc.c:1646  */
    break;

  case 737:
#line 5654 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_USER, (yylsp[0])); }
#line 35149 "gram.c" /* yacc.c:1646  */
    break;

  case 738:
#line 5667 "gram.y" /* yacc.c:1646  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);

					n->user = (yyvsp[-2].rolespec);
					n->servername = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 35162 "gram.c" /* yacc.c:1646  */
    break;

  case 739:
#line 5676 "gram.y" /* yacc.c:1646  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);

					n->user = (yyvsp[-2].rolespec);
					n->servername = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 35175 "gram.c" /* yacc.c:1646  */
    break;

  case 740:
#line 5694 "gram.y" /* yacc.c:1646  */
    {
					AlterUserMappingStmt *n = makeNode(AlterUserMappingStmt);

					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35188 "gram.c" /* yacc.c:1646  */
    break;

  case 741:
#line 5721 "gram.y" /* yacc.c:1646  */
    {
					CreatePolicyStmt *n = makeNode(CreatePolicyStmt);

					n->policy_name = (yyvsp[-7].str);
					n->table = (yyvsp[-5].range);
					n->permissive = (yyvsp[-4].boolean);
					n->cmd_name = (yyvsp[-3].str);
					n->roles = (yyvsp[-2].list);
					n->qual = (yyvsp[-1].node);
					n->with_check = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 35205 "gram.c" /* yacc.c:1646  */
    break;

  case 742:
#line 5738 "gram.y" /* yacc.c:1646  */
    {
					AlterPolicyStmt *n = makeNode(AlterPolicyStmt);

					n->policy_name = (yyvsp[-5].str);
					n->table = (yyvsp[-3].range);
					n->roles = (yyvsp[-2].list);
					n->qual = (yyvsp[-1].node);
					n->with_check = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 35220 "gram.c" /* yacc.c:1646  */
    break;

  case 743:
#line 5751 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 35226 "gram.c" /* yacc.c:1646  */
    break;

  case 744:
#line 5752 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 35232 "gram.c" /* yacc.c:1646  */
    break;

  case 745:
#line 5756 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 35238 "gram.c" /* yacc.c:1646  */
    break;

  case 746:
#line 5757 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 35244 "gram.c" /* yacc.c:1646  */
    break;

  case 747:
#line 5761 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35250 "gram.c" /* yacc.c:1646  */
    break;

  case 748:
#line 5762 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeRoleSpec(ROLESPEC_PUBLIC, -1)); }
#line 35256 "gram.c" /* yacc.c:1646  */
    break;

  case 749:
#line 5766 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35262 "gram.c" /* yacc.c:1646  */
    break;

  case 750:
#line 5767 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NULL; }
#line 35268 "gram.c" /* yacc.c:1646  */
    break;

  case 751:
#line 5772 "gram.y" /* yacc.c:1646  */
    {
					if (strcmp((yyvsp[0].str), "permissive") == 0)
						(yyval.boolean) = true;
					else if (strcmp((yyvsp[0].str), "restrictive") == 0)
						(yyval.boolean) = false;
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("unrecognized row security option \"%s\"", (yyvsp[0].str)),
								 errhint("Only PERMISSIVE or RESTRICTIVE policies are supported currently."),
								 parser_errposition((yylsp[0]))));

				}
#line 35286 "gram.c" /* yacc.c:1646  */
    break;

  case 752:
#line 5785 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 35292 "gram.c" /* yacc.c:1646  */
    break;

  case 753:
#line 5789 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35298 "gram.c" /* yacc.c:1646  */
    break;

  case 754:
#line 5790 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "all"; }
#line 35304 "gram.c" /* yacc.c:1646  */
    break;

  case 755:
#line 5794 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "all"; }
#line 35310 "gram.c" /* yacc.c:1646  */
    break;

  case 756:
#line 5795 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "select"; }
#line 35316 "gram.c" /* yacc.c:1646  */
    break;

  case 757:
#line 5796 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "insert"; }
#line 35322 "gram.c" /* yacc.c:1646  */
    break;

  case 758:
#line 5797 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "update"; }
#line 35328 "gram.c" /* yacc.c:1646  */
    break;

  case 759:
#line 5798 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "delete"; }
#line 35334 "gram.c" /* yacc.c:1646  */
    break;

  case 760:
#line 5809 "gram.y" /* yacc.c:1646  */
    {
					CreateAmStmt *n = makeNode(CreateAmStmt);

					n->amname = (yyvsp[-4].str);
					n->handler_name = (yyvsp[0].list);
					n->amtype = (yyvsp[-2].chr);
					(yyval.node) = (Node *) n;
				}
#line 35347 "gram.c" /* yacc.c:1646  */
    break;

  case 761:
#line 5820 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = AMTYPE_INDEX; }
#line 35353 "gram.c" /* yacc.c:1646  */
    break;

  case 762:
#line 5821 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = AMTYPE_TABLE; }
#line 35359 "gram.c" /* yacc.c:1646  */
    break;

  case 763:
#line 5835 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);

					n->replace = (yyvsp[-15].boolean);
					n->isconstraint = false;
					n->trigname = (yyvsp[-13].str);
					n->relation = (yyvsp[-9].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = (yyvsp[-7].boolean);
					n->timing = (yyvsp[-12].ival);
					n->events = intVal(linitial((yyvsp[-11].list)));
					n->columns = (List *) lsecond((yyvsp[-11].list));
					n->whenClause = (yyvsp[-6].node);
					n->transitionRels = (yyvsp[-8].list);
					n->deferrable = false;
					n->initdeferred = false;
					n->constrrel = NULL;
					(yyval.node) = (Node *) n;
				}
#line 35384 "gram.c" /* yacc.c:1646  */
    break;

  case 764:
#line 5859 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);

					n->replace = (yyvsp[-19].boolean);
					if (n->replace) /* not supported, see CreateTrigger */
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE OR REPLACE CONSTRAINT TRIGGER is not supported")));
					n->isconstraint = true;
					n->trigname = (yyvsp[-16].str);
					n->relation = (yyvsp[-12].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = true;
					n->timing = TRIGGER_TYPE_AFTER;
					n->events = intVal(linitial((yyvsp[-14].list)));
					n->columns = (List *) lsecond((yyvsp[-14].list));
					n->whenClause = (yyvsp[-6].node);
					n->transitionRels = NIL;
					processCASbits((yyvsp[-10].ival), (yylsp[-10]), "TRIGGER",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					n->constrrel = (yyvsp[-11].range);
					(yyval.node) = (Node *) n;
				}
#line 35414 "gram.c" /* yacc.c:1646  */
    break;

  case 765:
#line 5887 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_BEFORE; }
#line 35420 "gram.c" /* yacc.c:1646  */
    break;

  case 766:
#line 5888 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_AFTER; }
#line 35426 "gram.c" /* yacc.c:1646  */
    break;

  case 767:
#line 5889 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_INSTEAD; }
#line 35432 "gram.c" /* yacc.c:1646  */
    break;

  case 768:
#line 5894 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35438 "gram.c" /* yacc.c:1646  */
    break;

  case 769:
#line 5896 "gram.y" /* yacc.c:1646  */
    {
					int			events1 = intVal(linitial((yyvsp[-2].list)));
					int			events2 = intVal(linitial((yyvsp[0].list)));
					List	   *columns1 = (List *) lsecond((yyvsp[-2].list));
					List	   *columns2 = (List *) lsecond((yyvsp[0].list));

					if (events1 & events2)
						parser_yyerror("duplicate trigger events specified");
					/*
					 * concat'ing the columns lists loses information about
					 * which columns went with which event, but so long as
					 * only UPDATE carries columns and we disallow multiple
					 * UPDATE items, it doesn't matter.  Command execution
					 * should just ignore the columns for non-UPDATE events.
					 */
					(yyval.list) = list_make2(makeInteger(events1 | events2),
									list_concat(columns1, columns2));
				}
#line 35461 "gram.c" /* yacc.c:1646  */
    break;

  case 770:
#line 5918 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_INSERT), NIL); }
#line 35467 "gram.c" /* yacc.c:1646  */
    break;

  case 771:
#line 5920 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_DELETE), NIL); }
#line 35473 "gram.c" /* yacc.c:1646  */
    break;

  case 772:
#line 5922 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), NIL); }
#line 35479 "gram.c" /* yacc.c:1646  */
    break;

  case 773:
#line 5924 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), (yyvsp[0].list)); }
#line 35485 "gram.c" /* yacc.c:1646  */
    break;

  case 774:
#line 5926 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_TRUNCATE), NIL); }
#line 35491 "gram.c" /* yacc.c:1646  */
    break;

  case 775:
#line 5930 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35497 "gram.c" /* yacc.c:1646  */
    break;

  case 776:
#line 5931 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35503 "gram.c" /* yacc.c:1646  */
    break;

  case 777:
#line 5935 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 35509 "gram.c" /* yacc.c:1646  */
    break;

  case 778:
#line 5936 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 35515 "gram.c" /* yacc.c:1646  */
    break;

  case 779:
#line 5941 "gram.y" /* yacc.c:1646  */
    {
					TriggerTransition *n = makeNode(TriggerTransition);

					n->name = (yyvsp[0].str);
					n->isNew = (yyvsp[-3].boolean);
					n->isTable = (yyvsp[-2].boolean);
					(yyval.node) = (Node *) n;
				}
#line 35528 "gram.c" /* yacc.c:1646  */
    break;

  case 780:
#line 5952 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 35534 "gram.c" /* yacc.c:1646  */
    break;

  case 781:
#line 5953 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 35540 "gram.c" /* yacc.c:1646  */
    break;

  case 782:
#line 5957 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 35546 "gram.c" /* yacc.c:1646  */
    break;

  case 783:
#line 5966 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 35552 "gram.c" /* yacc.c:1646  */
    break;

  case 784:
#line 5970 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35558 "gram.c" /* yacc.c:1646  */
    break;

  case 785:
#line 5975 "gram.y" /* yacc.c:1646  */
    {
					(yyval.boolean) = (yyvsp[0].boolean);
				}
#line 35566 "gram.c" /* yacc.c:1646  */
    break;

  case 786:
#line 5979 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * If ROW/STATEMENT not specified, default to
					 * STATEMENT, per SQL
					 */
					(yyval.boolean) = false;
				}
#line 35578 "gram.c" /* yacc.c:1646  */
    break;

  case 789:
#line 5994 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 35584 "gram.c" /* yacc.c:1646  */
    break;

  case 790:
#line 5995 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 35590 "gram.c" /* yacc.c:1646  */
    break;

  case 791:
#line 5999 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 35596 "gram.c" /* yacc.c:1646  */
    break;

  case 792:
#line 6000 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 35602 "gram.c" /* yacc.c:1646  */
    break;

  case 795:
#line 6009 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 35608 "gram.c" /* yacc.c:1646  */
    break;

  case 796:
#line 6010 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 35614 "gram.c" /* yacc.c:1646  */
    break;

  case 797:
#line 6011 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35620 "gram.c" /* yacc.c:1646  */
    break;

  case 798:
#line 6016 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString(psprintf("%d", (yyvsp[0].ival)));
				}
#line 35628 "gram.c" /* yacc.c:1646  */
    break;

  case 799:
#line 6019 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 35634 "gram.c" /* yacc.c:1646  */
    break;

  case 800:
#line 6020 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 35640 "gram.c" /* yacc.c:1646  */
    break;

  case 801:
#line 6021 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 35646 "gram.c" /* yacc.c:1646  */
    break;

  case 802:
#line 6025 "gram.y" /* yacc.c:1646  */
    { (yyval.range) = (yyvsp[0].range); }
#line 35652 "gram.c" /* yacc.c:1646  */
    break;

  case 803:
#line 6026 "gram.y" /* yacc.c:1646  */
    { (yyval.range) = NULL; }
#line 35658 "gram.c" /* yacc.c:1646  */
    break;

  case 804:
#line 6031 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 35664 "gram.c" /* yacc.c:1646  */
    break;

  case 805:
#line 6033 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We must complain about conflicting options.
					 * We could, but choose not to, complain about redundant
					 * options (ie, where $2's bit is already set in $1).
					 */
					int		newspec = (yyvsp[-1].ival) | (yyvsp[0].ival);

					/* special message for this case */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED)) == (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("constraint declared INITIALLY DEFERRED must be DEFERRABLE"),
								 parser_errposition((yylsp[0]))));
					/* generic message for other conflicts */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE)) == (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE) ||
						(newspec & (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED)) == (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("conflicting constraint properties"),
								 parser_errposition((yylsp[0]))));
					(yyval.ival) = newspec;
				}
#line 35692 "gram.c" /* yacc.c:1646  */
    break;

  case 806:
#line 6059 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NOT_DEFERRABLE; }
#line 35698 "gram.c" /* yacc.c:1646  */
    break;

  case 807:
#line 6060 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_DEFERRABLE; }
#line 35704 "gram.c" /* yacc.c:1646  */
    break;

  case 808:
#line 6061 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_INITIALLY_IMMEDIATE; }
#line 35710 "gram.c" /* yacc.c:1646  */
    break;

  case 809:
#line 6062 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_INITIALLY_DEFERRED; }
#line 35716 "gram.c" /* yacc.c:1646  */
    break;

  case 810:
#line 6063 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NOT_VALID; }
#line 35722 "gram.c" /* yacc.c:1646  */
    break;

  case 811:
#line 6064 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NO_INHERIT; }
#line 35728 "gram.c" /* yacc.c:1646  */
    break;

  case 812:
#line 6079 "gram.y" /* yacc.c:1646  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);

					n->trigname = (yyvsp[-7].str);
					n->eventname = (yyvsp[-5].str);
					n->whenclause = NULL;
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 35742 "gram.c" /* yacc.c:1646  */
    break;

  case 813:
#line 6091 "gram.y" /* yacc.c:1646  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);

					n->trigname = (yyvsp[-9].str);
					n->eventname = (yyvsp[-7].str);
					n->whenclause = (yyvsp[-5].list);
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 35756 "gram.c" /* yacc.c:1646  */
    break;

  case 814:
#line 6104 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 35762 "gram.c" /* yacc.c:1646  */
    break;

  case 815:
#line 6106 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 35768 "gram.c" /* yacc.c:1646  */
    break;

  case 816:
#line 6111 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-4].str), (Node *) (yyvsp[-1].list), (yylsp[-4])); }
#line 35774 "gram.c" /* yacc.c:1646  */
    break;

  case 817:
#line 6116 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 35780 "gram.c" /* yacc.c:1646  */
    break;

  case 818:
#line 6118 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 35786 "gram.c" /* yacc.c:1646  */
    break;

  case 819:
#line 6123 "gram.y" /* yacc.c:1646  */
    {
					AlterEventTrigStmt *n = makeNode(AlterEventTrigStmt);

					n->trigname = (yyvsp[-1].str);
					n->tgenabled = (yyvsp[0].chr);
					(yyval.node) = (Node *) n;
				}
#line 35798 "gram.c" /* yacc.c:1646  */
    break;

  case 820:
#line 6133 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ON_ORIGIN; }
#line 35804 "gram.c" /* yacc.c:1646  */
    break;

  case 821:
#line 6134 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ON_REPLICA; }
#line 35810 "gram.c" /* yacc.c:1646  */
    break;

  case 822:
#line 6135 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ALWAYS; }
#line 35816 "gram.c" /* yacc.c:1646  */
    break;

  case 823:
#line 6136 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_DISABLED; }
#line 35822 "gram.c" /* yacc.c:1646  */
    break;

  case 824:
#line 6148 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE ASSERTION is not yet implemented")));

					(yyval.node) = NULL;
				}
#line 35834 "gram.c" /* yacc.c:1646  */
    break;

  case 825:
#line 6167 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = false;
					n->replace = (yyvsp[-4].boolean);
					n->defnames = (yyvsp[-2].list);
					n->args = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35850 "gram.c" /* yacc.c:1646  */
    break;

  case 826:
#line 6179 "gram.y" /* yacc.c:1646  */
    {
					/* old-style (pre-8.2) syntax for CREATE AGGREGATE */
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = true;
					n->replace = (yyvsp[-3].boolean);
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35867 "gram.c" /* yacc.c:1646  */
    break;

  case 827:
#line 6192 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_OPERATOR;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35882 "gram.c" /* yacc.c:1646  */
    break;

  case 828:
#line 6203 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35897 "gram.c" /* yacc.c:1646  */
    break;

  case 829:
#line 6214 "gram.y" /* yacc.c:1646  */
    {
					/* Shell type (identified by lack of definition) */
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[0].list);
					n->args = NIL;
					n->definition = NIL;
					(yyval.node) = (Node *) n;
				}
#line 35913 "gram.c" /* yacc.c:1646  */
    break;

  case 830:
#line 6226 "gram.y" /* yacc.c:1646  */
    {
					CompositeTypeStmt *n = makeNode(CompositeTypeStmt);

					/* can't use qualified_name, sigh */
					n->typevar = makeRangeVarFromAnyName((yyvsp[-4].list), (yylsp[-4]), yyscanner);
					n->coldeflist = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 35926 "gram.c" /* yacc.c:1646  */
    break;

  case 831:
#line 6235 "gram.y" /* yacc.c:1646  */
    {
					CreateEnumStmt *n = makeNode(CreateEnumStmt);

					n->typeName = (yyvsp[-5].list);
					n->vals = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 35938 "gram.c" /* yacc.c:1646  */
    break;

  case 832:
#line 6243 "gram.y" /* yacc.c:1646  */
    {
					CreateRangeStmt *n = makeNode(CreateRangeStmt);

					n->typeName = (yyvsp[-3].list);
					n->params = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35950 "gram.c" /* yacc.c:1646  */
    break;

  case 833:
#line 6251 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TSPARSER;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35964 "gram.c" /* yacc.c:1646  */
    break;

  case 834:
#line 6261 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TSDICTIONARY;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35978 "gram.c" /* yacc.c:1646  */
    break;

  case 835:
#line 6271 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TSTEMPLATE;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35992 "gram.c" /* yacc.c:1646  */
    break;

  case 836:
#line 6281 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TSCONFIGURATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36006 "gram.c" /* yacc.c:1646  */
    break;

  case 837:
#line 6291 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36020 "gram.c" /* yacc.c:1646  */
    break;

  case 838:
#line 6301 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 36035 "gram.c" /* yacc.c:1646  */
    break;

  case 839:
#line 6312 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-2].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[0].list), (yylsp[0])));
					(yyval.node) = (Node *) n;
				}
#line 36049 "gram.c" /* yacc.c:1646  */
    break;

  case 840:
#line 6322 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-2].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[0].list), (yylsp[0])));
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 36064 "gram.c" /* yacc.c:1646  */
    break;

  case 841:
#line 6334 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 36070 "gram.c" /* yacc.c:1646  */
    break;

  case 842:
#line 6337 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 36076 "gram.c" /* yacc.c:1646  */
    break;

  case 843:
#line 6338 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 36082 "gram.c" /* yacc.c:1646  */
    break;

  case 844:
#line 6342 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 36090 "gram.c" /* yacc.c:1646  */
    break;

  case 845:
#line 6346 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL, (yylsp[0]));
				}
#line 36098 "gram.c" /* yacc.c:1646  */
    break;

  case 846:
#line 6352 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].typnam); }
#line 36104 "gram.c" /* yacc.c:1646  */
    break;

  case 847:
#line 6353 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString(pstrdup((yyvsp[0].keyword))); }
#line 36110 "gram.c" /* yacc.c:1646  */
    break;

  case 848:
#line 6354 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].list); }
#line 36116 "gram.c" /* yacc.c:1646  */
    break;

  case 849:
#line 6355 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].node); }
#line 36122 "gram.c" /* yacc.c:1646  */
    break;

  case 850:
#line 6356 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 36128 "gram.c" /* yacc.c:1646  */
    break;

  case 851:
#line 6357 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString(pstrdup((yyvsp[0].keyword))); }
#line 36134 "gram.c" /* yacc.c:1646  */
    break;

  case 852:
#line 6360 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 36140 "gram.c" /* yacc.c:1646  */
    break;

  case 853:
#line 6363 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 36146 "gram.c" /* yacc.c:1646  */
    break;

  case 854:
#line 6364 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 36152 "gram.c" /* yacc.c:1646  */
    break;

  case 855:
#line 6373 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 36160 "gram.c" /* yacc.c:1646  */
    break;

  case 856:
#line 6379 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36166 "gram.c" /* yacc.c:1646  */
    break;

  case 857:
#line 6380 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36172 "gram.c" /* yacc.c:1646  */
    break;

  case 858:
#line 6384 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 36178 "gram.c" /* yacc.c:1646  */
    break;

  case 859:
#line 6386 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 36184 "gram.c" /* yacc.c:1646  */
    break;

  case 860:
#line 6397 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);

				n->typeName = (yyvsp[-4].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[0].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = true;
				n->skipIfNewValExists = (yyvsp[-1].boolean);
				(yyval.node) = (Node *) n;
			}
#line 36200 "gram.c" /* yacc.c:1646  */
    break;

  case 861:
#line 6409 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);

				n->typeName = (yyvsp[-6].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = false;
				n->skipIfNewValExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 36216 "gram.c" /* yacc.c:1646  */
    break;

  case 862:
#line 6421 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);

				n->typeName = (yyvsp[-6].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = true;
				n->skipIfNewValExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 36232 "gram.c" /* yacc.c:1646  */
    break;

  case 863:
#line 6433 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);

				n->typeName = (yyvsp[-5].list);
				n->oldVal = (yyvsp[-2].str);
				n->newVal = (yyvsp[0].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = false;
				n->skipIfNewValExists = false;
				(yyval.node) = (Node *) n;
			}
#line 36248 "gram.c" /* yacc.c:1646  */
    break;

  case 864:
#line 6445 "gram.y" /* yacc.c:1646  */
    {
				/*
				 * The following problems must be solved before this can be
				 * implemented:
				 *
				 * - There must be no instance of the target value in
				 *   any table.
				 *
				 * - The value must not appear in any catalog metadata,
				 *   such as stored view expressions or column defaults.
				 *
				 * - The value must not appear in any non-leaf page of a
				 *   btree (and similar issues with other index types).
				 *   This is problematic because a value could persist
				 *   there long after it's gone from user-visible data.
				 *
				 * - Concurrent sessions must not be able to insert the
				 *   value while the preceding conditions are being checked.
				 *
				 * - Possibly more...
				 */
				ereport(ERROR,
						(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
						 errmsg("dropping an enum value is not implemented"),
						 parser_errposition((yylsp[-2]))));
			}
#line 36279 "gram.c" /* yacc.c:1646  */
    break;

  case 865:
#line 6473 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 36285 "gram.c" /* yacc.c:1646  */
    break;

  case 866:
#line 6474 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 36291 "gram.c" /* yacc.c:1646  */
    break;

  case 867:
#line 6492 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassStmt *n = makeNode(CreateOpClassStmt);

					n->opclassname = (yyvsp[-9].list);
					n->isDefault = (yyvsp[-8].boolean);
					n->datatype = (yyvsp[-5].typnam);
					n->amname = (yyvsp[-3].str);
					n->opfamilyname = (yyvsp[-2].list);
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36307 "gram.c" /* yacc.c:1646  */
    break;

  case 868:
#line 6506 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 36313 "gram.c" /* yacc.c:1646  */
    break;

  case 869:
#line 6507 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 36319 "gram.c" /* yacc.c:1646  */
    break;

  case 870:
#line 6512 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					ObjectWithArgs *owa = makeNode(ObjectWithArgs);

					owa->objname = (yyvsp[-2].list);
					owa->objargs = NIL;
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = owa;
					n->number = (yyvsp[-3].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 36336 "gram.c" /* yacc.c:1646  */
    break;

  case 871:
#line 6526 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[-2].objwithargs);
					n->number = (yyvsp[-3].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 36350 "gram.c" /* yacc.c:1646  */
    break;

  case 872:
#line 6536 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[0].objwithargs);
					n->number = (yyvsp[-1].ival);
					(yyval.node) = (Node *) n;
				}
#line 36363 "gram.c" /* yacc.c:1646  */
    break;

  case 873:
#line 6545 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[0].objwithargs);
					n->number = (yyvsp[-4].ival);
					n->class_args = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 36377 "gram.c" /* yacc.c:1646  */
    break;

  case 874:
#line 6555 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_STORAGETYPE;
					n->storedtype = (yyvsp[0].typnam);
					(yyval.node) = (Node *) n;
				}
#line 36389 "gram.c" /* yacc.c:1646  */
    break;

  case 875:
#line 6564 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 36395 "gram.c" /* yacc.c:1646  */
    break;

  case 876:
#line 6565 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 36401 "gram.c" /* yacc.c:1646  */
    break;

  case 877:
#line 6568 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36407 "gram.c" /* yacc.c:1646  */
    break;

  case 878:
#line 6569 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36413 "gram.c" /* yacc.c:1646  */
    break;

  case 879:
#line 6572 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36419 "gram.c" /* yacc.c:1646  */
    break;

  case 880:
#line 6573 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36425 "gram.c" /* yacc.c:1646  */
    break;

  case 881:
#line 6574 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36431 "gram.c" /* yacc.c:1646  */
    break;

  case 882:
#line 6578 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * RECHECK no longer does anything in opclass definitions,
					 * but we still accept it to ease porting of old database
					 * dumps.
					 */
					ereport(NOTICE,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("RECHECK is no longer required"),
							 errhint("Update your data type."),
							 parser_errposition((yylsp[0]))));
					(yyval.boolean) = true;
				}
#line 36449 "gram.c" /* yacc.c:1646  */
    break;

  case 883:
#line 6591 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 36455 "gram.c" /* yacc.c:1646  */
    break;

  case 884:
#line 6597 "gram.y" /* yacc.c:1646  */
    {
					CreateOpFamilyStmt *n = makeNode(CreateOpFamilyStmt);

					n->opfamilyname = (yyvsp[-2].list);
					n->amname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 36467 "gram.c" /* yacc.c:1646  */
    break;

  case 885:
#line 6608 "gram.y" /* yacc.c:1646  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);

					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = false;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36481 "gram.c" /* yacc.c:1646  */
    break;

  case 886:
#line 6618 "gram.y" /* yacc.c:1646  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);

					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = true;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36495 "gram.c" /* yacc.c:1646  */
    break;

  case 887:
#line 6630 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 36501 "gram.c" /* yacc.c:1646  */
    break;

  case 888:
#line 6631 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 36507 "gram.c" /* yacc.c:1646  */
    break;

  case 889:
#line 6636 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->number = (yyvsp[-3].ival);
					n->class_args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 36520 "gram.c" /* yacc.c:1646  */
    break;

  case 890:
#line 6645 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->number = (yyvsp[-3].ival);
					n->class_args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 36533 "gram.c" /* yacc.c:1646  */
    break;

  case 891:
#line 6658 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 36548 "gram.c" /* yacc.c:1646  */
    break;

  case 892:
#line 6669 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 36563 "gram.c" /* yacc.c:1646  */
    break;

  case 893:
#line 6683 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 36578 "gram.c" /* yacc.c:1646  */
    break;

  case 894:
#line 6694 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 36593 "gram.c" /* yacc.c:1646  */
    break;

  case 895:
#line 6717 "gram.y" /* yacc.c:1646  */
    {
					DropOwnedStmt *n = makeNode(DropOwnedStmt);

					n->roles = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 36605 "gram.c" /* yacc.c:1646  */
    break;

  case 896:
#line 6728 "gram.y" /* yacc.c:1646  */
    {
					ReassignOwnedStmt *n = makeNode(ReassignOwnedStmt);

					n->roles = (yyvsp[-2].list);
					n->newrole = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 36617 "gram.c" /* yacc.c:1646  */
    break;

  case 897:
#line 6747 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-4].objtype);
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 36632 "gram.c" /* yacc.c:1646  */
    break;

  case 898:
#line 6758 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-2].objtype);
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 36647 "gram.c" /* yacc.c:1646  */
    break;

  case 899:
#line 6769 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-4].objtype);
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 36662 "gram.c" /* yacc.c:1646  */
    break;

  case 900:
#line 6780 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-2].objtype);
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 36677 "gram.c" /* yacc.c:1646  */
    break;

  case 901:
#line 6791 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-4].objtype);
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 36692 "gram.c" /* yacc.c:1646  */
    break;

  case 902:
#line 6802 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-6].objtype);
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 36707 "gram.c" /* yacc.c:1646  */
    break;

  case 903:
#line 6813 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_TYPE;
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 36722 "gram.c" /* yacc.c:1646  */
    break;

  case 904:
#line 6824 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_TYPE;
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 36737 "gram.c" /* yacc.c:1646  */
    break;

  case 905:
#line 6835 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_DOMAIN;
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 36752 "gram.c" /* yacc.c:1646  */
    break;

  case 906:
#line 6846 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_DOMAIN;
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 36767 "gram.c" /* yacc.c:1646  */
    break;

  case 907:
#line 6857 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_INDEX;
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *) n;
				}
#line 36782 "gram.c" /* yacc.c:1646  */
    break;

  case 908:
#line 6868 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_INDEX;
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *) n;
				}
#line 36797 "gram.c" /* yacc.c:1646  */
    break;

  case 909:
#line 6882 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 36803 "gram.c" /* yacc.c:1646  */
    break;

  case 910:
#line 6883 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 36809 "gram.c" /* yacc.c:1646  */
    break;

  case 911:
#line 6884 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 36815 "gram.c" /* yacc.c:1646  */
    break;

  case 912:
#line 6885 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 36821 "gram.c" /* yacc.c:1646  */
    break;

  case 913:
#line 6886 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 36827 "gram.c" /* yacc.c:1646  */
    break;

  case 914:
#line 6887 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 36833 "gram.c" /* yacc.c:1646  */
    break;

  case 915:
#line 6888 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLLATION; }
#line 36839 "gram.c" /* yacc.c:1646  */
    break;

  case 916:
#line 6889 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_CONVERSION; }
#line 36845 "gram.c" /* yacc.c:1646  */
    break;

  case 917:
#line 6890 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_STATISTIC_EXT; }
#line 36851 "gram.c" /* yacc.c:1646  */
    break;

  case 918:
#line 6891 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSPARSER; }
#line 36857 "gram.c" /* yacc.c:1646  */
    break;

  case 919:
#line 6892 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
#line 36863 "gram.c" /* yacc.c:1646  */
    break;

  case 920:
#line 6893 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
#line 36869 "gram.c" /* yacc.c:1646  */
    break;

  case 921:
#line 6894 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
#line 36875 "gram.c" /* yacc.c:1646  */
    break;

  case 922:
#line 6904 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = (yyvsp[0].objtype); }
#line 36881 "gram.c" /* yacc.c:1646  */
    break;

  case 923:
#line 6905 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_DATABASE; }
#line 36887 "gram.c" /* yacc.c:1646  */
    break;

  case 924:
#line 6906 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ROLE; }
#line 36893 "gram.c" /* yacc.c:1646  */
    break;

  case 925:
#line 6907 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SUBSCRIPTION; }
#line 36899 "gram.c" /* yacc.c:1646  */
    break;

  case 926:
#line 6908 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLESPACE; }
#line 36905 "gram.c" /* yacc.c:1646  */
    break;

  case 927:
#line 6912 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ACCESS_METHOD; }
#line 36911 "gram.c" /* yacc.c:1646  */
    break;

  case 928:
#line 6913 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 36917 "gram.c" /* yacc.c:1646  */
    break;

  case 929:
#line 6914 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EXTENSION; }
#line 36923 "gram.c" /* yacc.c:1646  */
    break;

  case 930:
#line 6915 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FDW; }
#line 36929 "gram.c" /* yacc.c:1646  */
    break;

  case 931:
#line 6916 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_LANGUAGE; }
#line 36935 "gram.c" /* yacc.c:1646  */
    break;

  case 932:
#line 6917 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_PUBLICATION; }
#line 36941 "gram.c" /* yacc.c:1646  */
    break;

  case 933:
#line 6918 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 36947 "gram.c" /* yacc.c:1646  */
    break;

  case 934:
#line 6919 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_SERVER; }
#line 36953 "gram.c" /* yacc.c:1646  */
    break;

  case 935:
#line 6924 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_POLICY; }
#line 36959 "gram.c" /* yacc.c:1646  */
    break;

  case 936:
#line 6925 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_RULE; }
#line 36965 "gram.c" /* yacc.c:1646  */
    break;

  case 937:
#line 6926 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TRIGGER; }
#line 36971 "gram.c" /* yacc.c:1646  */
    break;

  case 938:
#line 6930 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 36977 "gram.c" /* yacc.c:1646  */
    break;

  case 939:
#line 6931 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 36983 "gram.c" /* yacc.c:1646  */
    break;

  case 940:
#line 6934 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 36989 "gram.c" /* yacc.c:1646  */
    break;

  case 941:
#line 6935 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 36995 "gram.c" /* yacc.c:1646  */
    break;

  case 942:
#line 6939 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 37001 "gram.c" /* yacc.c:1646  */
    break;

  case 943:
#line 6941 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 37007 "gram.c" /* yacc.c:1646  */
    break;

  case 944:
#line 6945 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 37013 "gram.c" /* yacc.c:1646  */
    break;

  case 945:
#line 6946 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].typnam)); }
#line 37019 "gram.c" /* yacc.c:1646  */
    break;

  case 946:
#line 6958 "gram.y" /* yacc.c:1646  */
    {
					TruncateStmt *n = makeNode(TruncateStmt);

					n->relations = (yyvsp[-2].list);
					n->restart_seqs = (yyvsp[-1].boolean);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 37032 "gram.c" /* yacc.c:1646  */
    break;

  case 947:
#line 6969 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 37038 "gram.c" /* yacc.c:1646  */
    break;

  case 948:
#line 6970 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 37044 "gram.c" /* yacc.c:1646  */
    break;

  case 949:
#line 6971 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 37050 "gram.c" /* yacc.c:1646  */
    break;

  case 950:
#line 6982 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) (yyvsp[-2].list);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37063 "gram.c" /* yacc.c:1646  */
    break;

  case 951:
#line 6991 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_COLUMN;
					n->object = (Node *) (yyvsp[-2].list);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37076 "gram.c" /* yacc.c:1646  */
    break;

  case 952:
#line 7000 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) makeString((yyvsp[-2].str));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37089 "gram.c" /* yacc.c:1646  */
    break;

  case 953:
#line 7009 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37102 "gram.c" /* yacc.c:1646  */
    break;

  case 954:
#line 7018 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37115 "gram.c" /* yacc.c:1646  */
    break;

  case 955:
#line 7027 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37128 "gram.c" /* yacc.c:1646  */
    break;

  case 956:
#line 7036 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37141 "gram.c" /* yacc.c:1646  */
    break;

  case 957:
#line 7045 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37154 "gram.c" /* yacc.c:1646  */
    break;

  case 958:
#line 7054 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_TABCONSTRAINT;
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37167 "gram.c" /* yacc.c:1646  */
    break;

  case 959:
#line 7063 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_DOMCONSTRAINT;
					/*
					 * should use Typename not any_name in the production, but
					 * there's a shift/reduce conflict if we do that, so fix it
					 * up here.
					 */
					n->object = (Node *) list_make2(makeTypeNameFromNameList((yyvsp[-2].list)), makeString((yyvsp[-5].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37185 "gram.c" /* yacc.c:1646  */
    break;

  case 960:
#line 7077 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = (yyvsp[-5].objtype);
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37198 "gram.c" /* yacc.c:1646  */
    break;

  case 961:
#line 7086 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37211 "gram.c" /* yacc.c:1646  */
    break;

  case 962:
#line 7095 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37224 "gram.c" /* yacc.c:1646  */
    break;

  case 963:
#line 7104 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_TRANSFORM;
					n->object = (Node *) list_make2((yyvsp[-4].typnam), makeString((yyvsp[-2].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37237 "gram.c" /* yacc.c:1646  */
    break;

  case 964:
#line 7113 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-2].str)), (yyvsp[-4].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37250 "gram.c" /* yacc.c:1646  */
    break;

  case 965:
#line 7122 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-2].str)), (yyvsp[-4].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37263 "gram.c" /* yacc.c:1646  */
    break;

  case 966:
#line 7131 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-2].node);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37276 "gram.c" /* yacc.c:1646  */
    break;

  case 967:
#line 7140 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_CAST;
					n->object = (Node *) list_make2((yyvsp[-5].typnam), (yyvsp[-3].typnam));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37289 "gram.c" /* yacc.c:1646  */
    break;

  case 968:
#line 7151 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37295 "gram.c" /* yacc.c:1646  */
    break;

  case 969:
#line 7152 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 37301 "gram.c" /* yacc.c:1646  */
    break;

  case 970:
#line 7168 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) (yyvsp[-2].list);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37315 "gram.c" /* yacc.c:1646  */
    break;

  case 971:
#line 7179 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_COLUMN;
					n->object = (Node *) (yyvsp[-2].list);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37329 "gram.c" /* yacc.c:1646  */
    break;

  case 972:
#line 7190 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) makeString((yyvsp[-2].str));
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37343 "gram.c" /* yacc.c:1646  */
    break;

  case 973:
#line 7201 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37357 "gram.c" /* yacc.c:1646  */
    break;

  case 974:
#line 7212 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37371 "gram.c" /* yacc.c:1646  */
    break;

  case 975:
#line 7223 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37385 "gram.c" /* yacc.c:1646  */
    break;

  case 976:
#line 7234 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37399 "gram.c" /* yacc.c:1646  */
    break;

  case 977:
#line 7245 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-2].node);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37413 "gram.c" /* yacc.c:1646  */
    break;

  case 978:
#line 7256 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37427 "gram.c" /* yacc.c:1646  */
    break;

  case 979:
#line 7267 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37441 "gram.c" /* yacc.c:1646  */
    break;

  case 980:
#line 7278 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37447 "gram.c" /* yacc.c:1646  */
    break;

  case 981:
#line 7279 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 37453 "gram.c" /* yacc.c:1646  */
    break;

  case 982:
#line 7282 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37459 "gram.c" /* yacc.c:1646  */
    break;

  case 983:
#line 7283 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 37465 "gram.c" /* yacc.c:1646  */
    break;

  case 984:
#line 7294 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);

					n->ismove = false;
					(yyval.node) = (Node *) n;
				}
#line 37476 "gram.c" /* yacc.c:1646  */
    break;

  case 985:
#line 7301 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);

					n->ismove = true;
					(yyval.node) = (Node *) n;
				}
#line 37487 "gram.c" /* yacc.c:1646  */
    break;

  case 986:
#line 7310 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 37500 "gram.c" /* yacc.c:1646  */
    break;

  case 987:
#line 7319 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 37513 "gram.c" /* yacc.c:1646  */
    break;

  case 988:
#line 7328 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 37526 "gram.c" /* yacc.c:1646  */
    break;

  case 989:
#line 7337 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 37539 "gram.c" /* yacc.c:1646  */
    break;

  case 990:
#line 7346 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 37552 "gram.c" /* yacc.c:1646  */
    break;

  case 991:
#line 7355 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = -1;
					(yyval.node) = (Node *) n;
				}
#line 37565 "gram.c" /* yacc.c:1646  */
    break;

  case 992:
#line 7364 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 37578 "gram.c" /* yacc.c:1646  */
    break;

  case 993:
#line 7373 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_RELATIVE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 37591 "gram.c" /* yacc.c:1646  */
    break;

  case 994:
#line 7382 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 37604 "gram.c" /* yacc.c:1646  */
    break;

  case 995:
#line 7391 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *) n;
				}
#line 37617 "gram.c" /* yacc.c:1646  */
    break;

  case 996:
#line 7400 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 37630 "gram.c" /* yacc.c:1646  */
    break;

  case 997:
#line 7409 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 37643 "gram.c" /* yacc.c:1646  */
    break;

  case 998:
#line 7418 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *) n;
				}
#line 37656 "gram.c" /* yacc.c:1646  */
    break;

  case 999:
#line 7427 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 37669 "gram.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 7436 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 37682 "gram.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 7445 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *) n;
				}
#line 37695 "gram.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 7472 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = true;
					n->privileges = (yyvsp[-6].list);
					n->targtype = ((yyvsp[-4].privtarget))->targtype;
					n->objtype = ((yyvsp[-4].privtarget))->objtype;
					n->objects = ((yyvsp[-4].privtarget))->objs;
					n->grantees = (yyvsp[-2].list);
					n->grant_option = (yyvsp[-1].boolean);
					n->grantor = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 37713 "gram.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 7490 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-6].list);
					n->targtype = ((yyvsp[-4].privtarget))->targtype;
					n->objtype = ((yyvsp[-4].privtarget))->objtype;
					n->objects = ((yyvsp[-4].privtarget))->objs;
					n->grantees = (yyvsp[-2].list);
					n->grantor = (yyvsp[-1].rolespec);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 37732 "gram.c" /* yacc.c:1646  */
    break;

  case 1008:
#line 7506 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-6].list);
					n->targtype = ((yyvsp[-4].privtarget))->targtype;
					n->objtype = ((yyvsp[-4].privtarget))->objtype;
					n->objects = ((yyvsp[-4].privtarget))->objs;
					n->grantees = (yyvsp[-2].list);
					n->grantor = (yyvsp[-1].rolespec);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 37751 "gram.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 7533 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 37757 "gram.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 7535 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 37763 "gram.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 7537 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 37769 "gram.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 7539 "gram.y" /* yacc.c:1646  */
    {
					AccessPriv *n = makeNode(AccessPriv);

					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 37781 "gram.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 7547 "gram.y" /* yacc.c:1646  */
    {
					AccessPriv *n = makeNode(AccessPriv);

					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 37793 "gram.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 7556 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].accesspriv)); }
#line 37799 "gram.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 7557 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].accesspriv)); }
#line 37805 "gram.c" /* yacc.c:1646  */
    break;

  case 1016:
#line 7561 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);

				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 37817 "gram.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 7569 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);

				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 37829 "gram.c" /* yacc.c:1646  */
    break;

  case 1018:
#line 7577 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);

				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 37841 "gram.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 7585 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup("alter system");
				n->cols = NIL;
				(yyval.accesspriv) = n;
			}
#line 37852 "gram.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 7592 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);

				n->priv_name = (yyvsp[-1].str);
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 37864 "gram.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 7603 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make1(makeString((yyvsp[0].str)));
			}
#line 37872 "gram.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 7607 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str)));
			}
#line 37880 "gram.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 7614 "gram.y" /* yacc.c:1646  */
    {
				(yyval.str) = (yyvsp[0].str);
			}
#line 37888 "gram.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 7618 "gram.y" /* yacc.c:1646  */
    {
				(yyval.str) = psprintf("%s.%s", (yyvsp[-2].str), (yyvsp[0].str));
			}
#line 37896 "gram.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 7629 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TABLE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 37909 "gram.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 7638 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TABLE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 37922 "gram.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 7647 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 37935 "gram.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 7656 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_FDW;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 37948 "gram.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 7665 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_FOREIGN_SERVER;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 37961 "gram.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 7674 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 37974 "gram.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 7683 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_PROCEDURE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 37987 "gram.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 7692 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_ROUTINE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38000 "gram.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 7701 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_DATABASE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38013 "gram.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 7710 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_DOMAIN;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38026 "gram.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 7719 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_LANGUAGE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38039 "gram.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 7728 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_LARGEOBJECT;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38052 "gram.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 7737 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_PARAMETER_ACL;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38064 "gram.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 7745 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_SCHEMA;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38077 "gram.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 7754 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TABLESPACE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38090 "gram.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 7763 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TYPE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38103 "gram.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 7772 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_TABLE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38116 "gram.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 7781 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38129 "gram.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 7790 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38142 "gram.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 7799 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_PROCEDURE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38155 "gram.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 7808 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_ROUTINE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38168 "gram.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 7820 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].rolespec)); }
#line 38174 "gram.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 7821 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].rolespec)); }
#line 38180 "gram.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 7825 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 38186 "gram.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 7826 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 38192 "gram.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 7831 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 38198 "gram.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 7832 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 38204 "gram.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 7843 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);

					n->is_grant = true;
					n->granted_roles = (yyvsp[-3].list);
					n->grantee_roles = (yyvsp[-1].list);
					n->opt = NIL;
					n->grantor = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 38219 "gram.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 7854 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);

					n->is_grant = true;
					n->granted_roles = (yyvsp[-5].list);
					n->grantee_roles = (yyvsp[-3].list);
					n->opt = (yyvsp[-1].list);
					n->grantor = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 38234 "gram.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 7868 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);

					n->is_grant = false;
					n->opt = NIL;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->grantor = (yyvsp[-1].rolespec);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 38250 "gram.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 7880 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					DefElem *opt;

					opt = makeDefElem(pstrdup((yyvsp[-7].str)),
									  (Node *) makeBoolean(false), (yylsp[-7]));
					n->is_grant = false;
					n->opt = list_make1(opt);
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->grantor = (yyvsp[-1].rolespec);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 38269 "gram.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 7897 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 38275 "gram.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 7898 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 38281 "gram.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 7903 "gram.y" /* yacc.c:1646  */
    {
				(yyval.defelt) = makeDefElem(pstrdup((yyvsp[-1].str)), (yyvsp[0].node), (yylsp[-1]));
			}
#line 38289 "gram.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 7909 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeBoolean(true); }
#line 38295 "gram.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 7910 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeBoolean(true); }
#line 38301 "gram.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 7911 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeBoolean(false); }
#line 38307 "gram.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 7914 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 38313 "gram.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 7915 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = NULL; }
#line 38319 "gram.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 7926 "gram.y" /* yacc.c:1646  */
    {
					AlterDefaultPrivilegesStmt *n = makeNode(AlterDefaultPrivilegesStmt);

					n->options = (yyvsp[-1].list);
					n->action = (GrantStmt *) (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 38331 "gram.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 7936 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 38337 "gram.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 7937 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38343 "gram.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 7942 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("schemas", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 38351 "gram.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 7946 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 38359 "gram.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 7950 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 38367 "gram.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 7962 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->grant_option = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 38384 "gram.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 7976 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 38402 "gram.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 7991 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 38420 "gram.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 8007 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_TABLE; }
#line 38426 "gram.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 8008 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_FUNCTION; }
#line 38432 "gram.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 8009 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_FUNCTION; }
#line 38438 "gram.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 8010 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_SEQUENCE; }
#line 38444 "gram.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 8011 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_TYPE; }
#line 38450 "gram.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 8012 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_SCHEMA; }
#line 38456 "gram.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 8027 "gram.y" /* yacc.c:1646  */
    {
					IndexStmt *n = makeNode(IndexStmt);

					n->unique = (yyvsp[-14].boolean);
					n->concurrent = (yyvsp[-12].boolean);
					n->idxname = (yyvsp[-11].str);
					n->relation = (yyvsp[-9].range);
					n->accessMethod = (yyvsp[-8].str);
					n->indexParams = (yyvsp[-6].list);
					n->indexIncludingParams = (yyvsp[-4].list);
					n->nulls_not_distinct = !(yyvsp[-3].boolean);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNumber = InvalidRelFileNumber;
					n->oldCreateSubid = InvalidSubTransactionId;
					n->oldFirstRelfilelocatorSubid = InvalidSubTransactionId;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					n->transformed = false;
					n->if_not_exists = false;
					n->reset_default_tblspc = false;
					(yyval.node) = (Node *) n;
				}
#line 38490 "gram.c" /* yacc.c:1646  */
    break;

  case 1080:
#line 8059 "gram.y" /* yacc.c:1646  */
    {
					IndexStmt *n = makeNode(IndexStmt);

					n->unique = (yyvsp[-17].boolean);
					n->concurrent = (yyvsp[-15].boolean);
					n->idxname = (yyvsp[-11].str);
					n->relation = (yyvsp[-9].range);
					n->accessMethod = (yyvsp[-8].str);
					n->indexParams = (yyvsp[-6].list);
					n->indexIncludingParams = (yyvsp[-4].list);
					n->nulls_not_distinct = !(yyvsp[-3].boolean);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNumber = InvalidRelFileNumber;
					n->oldCreateSubid = InvalidSubTransactionId;
					n->oldFirstRelfilelocatorSubid = InvalidSubTransactionId;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					n->transformed = false;
					n->if_not_exists = true;
					n->reset_default_tblspc = false;
					(yyval.node) = (Node *) n;
				}
#line 38524 "gram.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 8091 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 38530 "gram.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 8092 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 38536 "gram.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 8096 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 38542 "gram.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 8097 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = DEFAULT_INDEX_TYPE; }
#line 38548 "gram.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 8100 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].ielem)); }
#line 38554 "gram.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 8101 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].ielem)); }
#line 38560 "gram.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 8107 "gram.y" /* yacc.c:1646  */
    {
			(yyval.ielem) = makeNode(IndexElem);
			(yyval.ielem)->name = NULL;
			(yyval.ielem)->expr = NULL;
			(yyval.ielem)->indexcolname = NULL;
			(yyval.ielem)->collation = (yyvsp[-3].list);
			(yyval.ielem)->opclass = (yyvsp[-2].list);
			(yyval.ielem)->opclassopts = NIL;
			(yyval.ielem)->ordering = (yyvsp[-1].ival);
			(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
		}
#line 38576 "gram.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 8119 "gram.y" /* yacc.c:1646  */
    {
			(yyval.ielem) = makeNode(IndexElem);
			(yyval.ielem)->name = NULL;
			(yyval.ielem)->expr = NULL;
			(yyval.ielem)->indexcolname = NULL;
			(yyval.ielem)->collation = (yyvsp[-4].list);
			(yyval.ielem)->opclass = (yyvsp[-3].list);
			(yyval.ielem)->opclassopts = (yyvsp[-2].list);
			(yyval.ielem)->ordering = (yyvsp[-1].ival);
			(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
		}
#line 38592 "gram.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 8138 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = (yyvsp[0].ielem);
					(yyval.ielem)->name = (yyvsp[-1].str);
				}
#line 38601 "gram.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 8143 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = (yyvsp[0].ielem);
					(yyval.ielem)->expr = (yyvsp[-1].node);
				}
#line 38610 "gram.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 8148 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = (yyvsp[0].ielem);
					(yyval.ielem)->expr = (yyvsp[-2].node);
				}
#line 38619 "gram.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 8154 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 38625 "gram.c" /* yacc.c:1646  */
    break;

  case 1093:
#line 8155 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38631 "gram.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 8158 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].ielem)); }
#line 38637 "gram.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 8159 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].ielem)); }
#line 38643 "gram.c" /* yacc.c:1646  */
    break;

  case 1096:
#line 8162 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 38649 "gram.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 8163 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38655 "gram.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 8167 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_ASC; }
#line 38661 "gram.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 8168 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_DESC; }
#line 38667 "gram.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 8169 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_DEFAULT; }
#line 38673 "gram.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 8172 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_FIRST; }
#line 38679 "gram.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 8173 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_LAST; }
#line 38685 "gram.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 8174 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_DEFAULT; }
#line 38691 "gram.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 8192 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);

					n->is_procedure = false;
					n->replace = (yyvsp[-7].boolean);
					n->funcname = (yyvsp[-5].list);
					n->parameters = (yyvsp[-4].list);
					n->returnType = (yyvsp[-2].typnam);
					n->options = (yyvsp[-1].list);
					n->sql_body = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 38708 "gram.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 8206 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);

					n->is_procedure = false;
					n->replace = (yyvsp[-10].boolean);
					n->funcname = (yyvsp[-8].list);
					n->parameters = mergeTableFuncParameters((yyvsp[-7].list), (yyvsp[-3].list));
					n->returnType = TableFuncTypeName((yyvsp[-3].list));
					n->returnType->location = (yylsp[-5]);
					n->options = (yyvsp[-1].list);
					n->sql_body = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 38726 "gram.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 8221 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);

					n->is_procedure = false;
					n->replace = (yyvsp[-5].boolean);
					n->funcname = (yyvsp[-3].list);
					n->parameters = (yyvsp[-2].list);
					n->returnType = NULL;
					n->options = (yyvsp[-1].list);
					n->sql_body = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 38743 "gram.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 8235 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);

					n->is_procedure = true;
					n->replace = (yyvsp[-5].boolean);
					n->funcname = (yyvsp[-3].list);
					n->parameters = (yyvsp[-2].list);
					n->returnType = NULL;
					n->options = (yyvsp[-1].list);
					n->sql_body = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 38760 "gram.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 8250 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 38766 "gram.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 8251 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 38772 "gram.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 8254 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 38778 "gram.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 8255 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38784 "gram.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 8259 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 38790 "gram.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 8260 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 38796 "gram.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 8264 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 38802 "gram.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 8266 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 38808 "gram.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 8271 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = (yyvsp[-1].list);
					n->objargs = extractArgTypes((yyvsp[0].list));
					n->objfuncargs = (yyvsp[0].list);
					(yyval.objwithargs) = n;
				}
#line 38821 "gram.c" /* yacc.c:1646  */
    break;

  case 1117:
#line 8285 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = list_make1(makeString(pstrdup((yyvsp[0].keyword))));
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 38833 "gram.c" /* yacc.c:1646  */
    break;

  case 1118:
#line 8293 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = list_make1(makeString((yyvsp[0].str)));
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 38845 "gram.c" /* yacc.c:1646  */
    break;

  case 1119:
#line 8301 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = check_func_name(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)),
												  yyscanner);
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 38858 "gram.c" /* yacc.c:1646  */
    break;

  case 1120:
#line 8316 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 38864 "gram.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 8317 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38870 "gram.c" /* yacc.c:1646  */
    break;

  case 1122:
#line 8321 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 38876 "gram.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 8323 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 38882 "gram.c" /* yacc.c:1646  */
    break;

  case 1124:
#line 8338 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-2].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 38896 "gram.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 8348 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = (yyvsp[-2].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 38910 "gram.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 8358 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_DEFAULT;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 38924 "gram.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 8368 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 38938 "gram.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 8378 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_DEFAULT;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 38952 "gram.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 8390 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_IN; }
#line 38958 "gram.c" /* yacc.c:1646  */
    break;

  case 1130:
#line 8391 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_OUT; }
#line 38964 "gram.c" /* yacc.c:1646  */
    break;

  case 1131:
#line 8392 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 38970 "gram.c" /* yacc.c:1646  */
    break;

  case 1132:
#line 8393 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 38976 "gram.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 8394 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_VARIADIC; }
#line 38982 "gram.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 8405 "gram.y" /* yacc.c:1646  */
    {
					/* We can catch over-specified results here if we want to,
					 * but for now better to silently swallow typmod, etc.
					 * - thomas 2000-03-22
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 38994 "gram.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 8419 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 39000 "gram.c" /* yacc.c:1646  */
    break;

  case 1137:
#line 8421 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 39010 "gram.c" /* yacc.c:1646  */
    break;

  case 1138:
#line 8427 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->setof = true;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 39021 "gram.c" /* yacc.c:1646  */
    break;

  case 1139:
#line 8437 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 39029 "gram.c" /* yacc.c:1646  */
    break;

  case 1140:
#line 8441 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 39038 "gram.c" /* yacc.c:1646  */
    break;

  case 1141:
#line 8446 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 39047 "gram.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 8454 "gram.y" /* yacc.c:1646  */
    {
					if (!((yyvsp[0].fun_param)->mode == FUNC_PARAM_DEFAULT ||
						  (yyvsp[0].fun_param)->mode == FUNC_PARAM_IN ||
						  (yyvsp[0].fun_param)->mode == FUNC_PARAM_VARIADIC))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("aggregates cannot have output arguments"),
								 parser_errposition((yylsp[0]))));
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 39062 "gram.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 8496 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NIL, makeInteger(-1));
				}
#line 39070 "gram.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 8500 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(-1));
				}
#line 39078 "gram.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 8504 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(0));
				}
#line 39086 "gram.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 8508 "gram.y" /* yacc.c:1646  */
    {
					/* this is the only case requiring consistency checking */
					(yyval.list) = makeOrderedSetArgs((yyvsp[-4].list), (yyvsp[-1].list), yyscanner);
				}
#line 39095 "gram.c" /* yacc.c:1646  */
    break;

  case 1147:
#line 8515 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 39101 "gram.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 8516 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 39107 "gram.c" /* yacc.c:1646  */
    break;

  case 1149:
#line 8521 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = (yyvsp[-1].list);
					n->objargs = extractAggrArgTypes((yyvsp[0].list));
					n->objfuncargs = (List *) linitial((yyvsp[0].list));
					(yyval.objwithargs) = n;
				}
#line 39120 "gram.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 8532 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 39126 "gram.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 8534 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 39132 "gram.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 8539 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39138 "gram.c" /* yacc.c:1646  */
    break;

  case 1154:
#line 8544 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 39144 "gram.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 8545 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 39150 "gram.c" /* yacc.c:1646  */
    break;

  case 1156:
#line 8553 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *) makeBoolean(false), (yylsp[-3]));
				}
#line 39158 "gram.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 8557 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *) makeBoolean(true), (yylsp[-4]));
				}
#line 39166 "gram.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 8561 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 39174 "gram.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 8565 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *) makeString("immutable"), (yylsp[0]));
				}
#line 39182 "gram.c" /* yacc.c:1646  */
    break;

  case 1160:
#line 8569 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *) makeString("stable"), (yylsp[0]));
				}
#line 39190 "gram.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 8573 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *) makeString("volatile"), (yylsp[0]));
				}
#line 39198 "gram.c" /* yacc.c:1646  */
    break;

  case 1162:
#line 8577 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *) makeBoolean(true), (yylsp[-2]));
				}
#line 39206 "gram.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 8581 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *) makeBoolean(false), (yylsp[-2]));
				}
#line 39214 "gram.c" /* yacc.c:1646  */
    break;

  case 1164:
#line 8585 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *) makeBoolean(true), (yylsp[-1]));
				}
#line 39222 "gram.c" /* yacc.c:1646  */
    break;

  case 1165:
#line 8589 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *) makeBoolean(false), (yylsp[-1]));
				}
#line 39230 "gram.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 8593 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 39238 "gram.c" /* yacc.c:1646  */
    break;

  case 1167:
#line 8597 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *) makeBoolean(false), (yylsp[-1]));
				}
#line 39246 "gram.c" /* yacc.c:1646  */
    break;

  case 1168:
#line 8601 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cost", (Node *) (yyvsp[0].node), (yylsp[-1]));
				}
#line 39254 "gram.c" /* yacc.c:1646  */
    break;

  case 1169:
#line 8605 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rows", (Node *) (yyvsp[0].node), (yylsp[-1]));
				}
#line 39262 "gram.c" /* yacc.c:1646  */
    break;

  case 1170:
#line 8609 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("support", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 39270 "gram.c" /* yacc.c:1646  */
    break;

  case 1171:
#line 8613 "gram.y" /* yacc.c:1646  */
    {
					/* we abuse the normal content of a DefElem here */
					(yyval.defelt) = makeDefElem("set", (Node *) (yyvsp[0].vsetstmt), (yylsp[0]));
				}
#line 39279 "gram.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 8618 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("parallel", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 39287 "gram.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 8625 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 39295 "gram.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 8629 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 39303 "gram.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 8633 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("transform", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 39311 "gram.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 8637 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("window", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 39319 "gram.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 8641 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 39327 "gram.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 8646 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 39333 "gram.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 8648 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeString((yyvsp[-2].str)), makeString((yyvsp[0].str)));
				}
#line 39341 "gram.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 8654 "gram.y" /* yacc.c:1646  */
    {
					ReturnStmt *r = makeNode(ReturnStmt);

					r->returnval = (Node *) (yyvsp[0].node);
					(yyval.node) = (Node *) r;
				}
#line 39352 "gram.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 8664 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 39360 "gram.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 8668 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * A compound statement is stored as a single-item list
					 * containing the list of statements as its member.  That
					 * way, the parse analysis code can tell apart an empty
					 * body from no body at all.
					 */
					(yyval.node) = (Node *) list_make1((yyvsp[-1].list));
				}
#line 39374 "gram.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 8678 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = NULL;
				}
#line 39382 "gram.c" /* yacc.c:1646  */
    break;

  case 1184:
#line 8685 "gram.y" /* yacc.c:1646  */
    {
					/* As in stmtmulti, discard empty statements */
					if ((yyvsp[-1].node) != NULL)
						(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[-1].node));
					else
						(yyval.list) = (yyvsp[-2].list);
				}
#line 39394 "gram.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 8693 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = NIL;
				}
#line 39402 "gram.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 8704 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 39408 "gram.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 8705 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-4].list), (yyvsp[0].typnam)); }
#line 39414 "gram.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 8709 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 39420 "gram.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 8710 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39426 "gram.c" /* yacc.c:1646  */
    break;

  case 1192:
#line 8714 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_TABLE;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 39440 "gram.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 8727 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].fun_param));
				}
#line 39448 "gram.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 8731 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param));
				}
#line 39456 "gram.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 8746 "gram.y" /* yacc.c:1646  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);

					n->objtype = OBJECT_FUNCTION;
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 39469 "gram.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 8755 "gram.y" /* yacc.c:1646  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);

					n->objtype = OBJECT_PROCEDURE;
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 39482 "gram.c" /* yacc.c:1646  */
    break;

  case 1197:
#line 8764 "gram.y" /* yacc.c:1646  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);

					n->objtype = OBJECT_ROUTINE;
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 39495 "gram.c" /* yacc.c:1646  */
    break;

  case 1198:
#line 8776 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 39501 "gram.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 8777 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 39507 "gram.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 8801 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_FUNCTION;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 39522 "gram.c" /* yacc.c:1646  */
    break;

  case 1203:
#line 8812 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_FUNCTION;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 39537 "gram.c" /* yacc.c:1646  */
    break;

  case 1204:
#line 8823 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_PROCEDURE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 39552 "gram.c" /* yacc.c:1646  */
    break;

  case 1205:
#line 8834 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_PROCEDURE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 39567 "gram.c" /* yacc.c:1646  */
    break;

  case 1206:
#line 8845 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_ROUTINE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 39582 "gram.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 8856 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_ROUTINE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 39597 "gram.c" /* yacc.c:1646  */
    break;

  case 1208:
#line 8870 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_AGGREGATE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 39612 "gram.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 8881 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_AGGREGATE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 39627 "gram.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 8895 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_OPERATOR;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 39642 "gram.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 8906 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_OPERATOR;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 39657 "gram.c" /* yacc.c:1646  */
    break;

  case 1212:
#line 8920 "gram.y" /* yacc.c:1646  */
    {
				   ereport(ERROR,
						   (errcode(ERRCODE_SYNTAX_ERROR),
							errmsg("missing argument"),
							errhint("Use NONE to denote the missing argument of a unary operator."),
							parser_errposition((yylsp[0]))));
				}
#line 39669 "gram.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 8928 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), (yyvsp[-1].typnam)); }
#line 39675 "gram.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 8930 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL, (yyvsp[-1].typnam)); }
#line 39681 "gram.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 8932 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), NULL); }
#line 39687 "gram.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 8937 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 39693 "gram.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 8939 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-2].str)), (yyvsp[0].list)); }
#line 39699 "gram.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 8943 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 39705 "gram.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 8945 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 39711 "gram.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 8950 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = (yyvsp[-1].list);
					n->objargs = (yyvsp[0].list);
					(yyval.objwithargs) = n;
				}
#line 39723 "gram.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 8969 "gram.y" /* yacc.c:1646  */
    {
					DoStmt *n = makeNode(DoStmt);

					n->args = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 39734 "gram.c" /* yacc.c:1646  */
    break;

  case 1222:
#line 8978 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 39740 "gram.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 8979 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 39746 "gram.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 8984 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *) makeString((yyvsp[0].str)), (yylsp[0]));
				}
#line 39754 "gram.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 8988 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 39762 "gram.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 9001 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);

					n->sourcetype = (yyvsp[-7].typnam);
					n->targettype = (yyvsp[-5].typnam);
					n->func = (yyvsp[-1].objwithargs);
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *) n;
				}
#line 39777 "gram.c" /* yacc.c:1646  */
    break;

  case 1227:
#line 9013 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);

					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *) n;
				}
#line 39792 "gram.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 9025 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);

					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = true;
					(yyval.node) = (Node *) n;
				}
#line 39807 "gram.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 9037 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_IMPLICIT; }
#line 39813 "gram.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 9038 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_ASSIGNMENT; }
#line 39819 "gram.c" /* yacc.c:1646  */
    break;

  case 1231:
#line 9039 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_EXPLICIT; }
#line 39825 "gram.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 9044 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_CAST;
					n->objects = list_make1(list_make2((yyvsp[-4].typnam), (yyvsp[-2].typnam)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-6].boolean);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 39840 "gram.c" /* yacc.c:1646  */
    break;

  case 1233:
#line 9056 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 39846 "gram.c" /* yacc.c:1646  */
    break;

  case 1234:
#line 9057 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 39852 "gram.c" /* yacc.c:1646  */
    break;

  case 1235:
#line 9068 "gram.y" /* yacc.c:1646  */
    {
					CreateTransformStmt *n = makeNode(CreateTransformStmt);

					n->replace = (yyvsp[-8].boolean);
					n->type_name = (yyvsp[-5].typnam);
					n->lang = (yyvsp[-3].str);
					n->fromsql = linitial((yyvsp[-1].list));
					n->tosql = lsecond((yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 39867 "gram.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 9081 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-6].objwithargs), (yyvsp[0].objwithargs));
				}
#line 39875 "gram.c" /* yacc.c:1646  */
    break;

  case 1237:
#line 9085 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].objwithargs), (yyvsp[-6].objwithargs));
				}
#line 39883 "gram.c" /* yacc.c:1646  */
    break;

  case 1238:
#line 9089 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].objwithargs), NULL);
				}
#line 39891 "gram.c" /* yacc.c:1646  */
    break;

  case 1239:
#line 9093 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, (yyvsp[0].objwithargs));
				}
#line 39899 "gram.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 9100 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_TRANSFORM;
					n->objects = list_make1(list_make2((yyvsp[-3].typnam), makeString((yyvsp[-1].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-5].boolean);
					(yyval.node) = (Node *) n;
				}
#line 39913 "gram.c" /* yacc.c:1646  */
    break;

  case 1241:
#line 9122 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);

					n->kind = (yyvsp[-2].ival);
					n->relation = (yyvsp[0].range);
					n->name = NULL;
					n->params = (yyvsp[-3].list);
					if ((yyvsp[-1].boolean))
						n->params = lappend(n->params,
											makeDefElem("concurrently", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 39930 "gram.c" /* yacc.c:1646  */
    break;

  case 1242:
#line 9135 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);

					n->kind = REINDEX_OBJECT_SCHEMA;
					n->relation = NULL;
					n->name = (yyvsp[0].str);
					n->params = (yyvsp[-3].list);
					if ((yyvsp[-1].boolean))
						n->params = lappend(n->params,
											makeDefElem("concurrently", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 39947 "gram.c" /* yacc.c:1646  */
    break;

  case 1243:
#line 9148 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);

					n->kind = (yyvsp[-2].ival);
					n->relation = NULL;
					n->name = (yyvsp[0].str);
					n->params = (yyvsp[-3].list);
					if ((yyvsp[-1].boolean))
						n->params = lappend(n->params,
											makeDefElem("concurrently", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 39964 "gram.c" /* yacc.c:1646  */
    break;

  case 1244:
#line 9162 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_INDEX; }
#line 39970 "gram.c" /* yacc.c:1646  */
    break;

  case 1245:
#line 9163 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_TABLE; }
#line 39976 "gram.c" /* yacc.c:1646  */
    break;

  case 1246:
#line 9166 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_SYSTEM; }
#line 39982 "gram.c" /* yacc.c:1646  */
    break;

  case 1247:
#line 9167 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_DATABASE; }
#line 39988 "gram.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 9170 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 39994 "gram.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 9171 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NULL; }
#line 40000 "gram.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 9182 "gram.y" /* yacc.c:1646  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);

					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = false;
					(yyval.node) = (Node *) n;
				}
#line 40014 "gram.c" /* yacc.c:1646  */
    break;

  case 1251:
#line 9192 "gram.y" /* yacc.c:1646  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);

					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = true;
					(yyval.node) = (Node *) n;
				}
#line 40028 "gram.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 9210 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40042 "gram.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 9220 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40056 "gram.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 9230 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40070 "gram.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 9240 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_DATABASE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40084 "gram.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 9250 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40098 "gram.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 9260 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_DOMCONSTRAINT;
					n->object = (Node *) (yyvsp[-5].list);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 40112 "gram.c" /* yacc.c:1646  */
    break;

  case 1258:
#line 9270 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40126 "gram.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 9280 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40140 "gram.c" /* yacc.c:1646  */
    break;

  case 1260:
#line 9290 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40154 "gram.c" /* yacc.c:1646  */
    break;

  case 1261:
#line 9300 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40168 "gram.c" /* yacc.c:1646  */
    break;

  case 1262:
#line 9310 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40182 "gram.c" /* yacc.c:1646  */
    break;

  case 1263:
#line 9320 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40196 "gram.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 9330 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_POLICY;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40211 "gram.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 9341 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_POLICY;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40226 "gram.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 9352 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40240 "gram.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 9362 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_PUBLICATION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40254 "gram.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 9372 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40268 "gram.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 9382 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_SCHEMA;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40282 "gram.c" /* yacc.c:1646  */
    break;

  case 1270:
#line 9392 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40296 "gram.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 9402 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_SUBSCRIPTION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40310 "gram.c" /* yacc.c:1646  */
    break;

  case 1272:
#line 9412 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40325 "gram.c" /* yacc.c:1646  */
    break;

  case 1273:
#line 9423 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40340 "gram.c" /* yacc.c:1646  */
    break;

  case 1274:
#line 9434 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40355 "gram.c" /* yacc.c:1646  */
    break;

  case 1275:
#line 9445 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40370 "gram.c" /* yacc.c:1646  */
    break;

  case 1276:
#line 9456 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40385 "gram.c" /* yacc.c:1646  */
    break;

  case 1277:
#line 9467 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40400 "gram.c" /* yacc.c:1646  */
    break;

  case 1278:
#line 9478 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40415 "gram.c" /* yacc.c:1646  */
    break;

  case 1279:
#line 9489 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40430 "gram.c" /* yacc.c:1646  */
    break;

  case 1280:
#line 9500 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40445 "gram.c" /* yacc.c:1646  */
    break;

  case 1281:
#line 9511 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40460 "gram.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 9522 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40475 "gram.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 9533 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40490 "gram.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 9544 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40506 "gram.c" /* yacc.c:1646  */
    break;

  case 1285:
#line 9556 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40522 "gram.c" /* yacc.c:1646  */
    break;

  case 1286:
#line 9568 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_VIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40538 "gram.c" /* yacc.c:1646  */
    break;

  case 1287:
#line 9580 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_VIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40554 "gram.c" /* yacc.c:1646  */
    break;

  case 1288:
#line 9592 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40570 "gram.c" /* yacc.c:1646  */
    break;

  case 1289:
#line 9604 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40586 "gram.c" /* yacc.c:1646  */
    break;

  case 1290:
#line 9616 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TABCONSTRAINT;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40601 "gram.c" /* yacc.c:1646  */
    break;

  case 1291:
#line 9627 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TABCONSTRAINT;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40616 "gram.c" /* yacc.c:1646  */
    break;

  case 1292:
#line 9638 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40632 "gram.c" /* yacc.c:1646  */
    break;

  case 1293:
#line 9650 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40648 "gram.c" /* yacc.c:1646  */
    break;

  case 1294:
#line 9662 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_RULE;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40663 "gram.c" /* yacc.c:1646  */
    break;

  case 1295:
#line 9673 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40678 "gram.c" /* yacc.c:1646  */
    break;

  case 1296:
#line 9684 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 40691 "gram.c" /* yacc.c:1646  */
    break;

  case 1297:
#line 9693 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40705 "gram.c" /* yacc.c:1646  */
    break;

  case 1298:
#line 9703 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40719 "gram.c" /* yacc.c:1646  */
    break;

  case 1299:
#line 9713 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TABLESPACE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40733 "gram.c" /* yacc.c:1646  */
    break;

  case 1300:
#line 9723 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40747 "gram.c" /* yacc.c:1646  */
    break;

  case 1301:
#line 9733 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40761 "gram.c" /* yacc.c:1646  */
    break;

  case 1302:
#line 9743 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40775 "gram.c" /* yacc.c:1646  */
    break;

  case 1303:
#line 9753 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40789 "gram.c" /* yacc.c:1646  */
    break;

  case 1304:
#line 9763 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40803 "gram.c" /* yacc.c:1646  */
    break;

  case 1305:
#line 9773 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40817 "gram.c" /* yacc.c:1646  */
    break;

  case 1306:
#line 9783 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_ATTRIBUTE;
					n->relationType = OBJECT_TYPE;
					n->relation = makeRangeVarFromAnyName((yyvsp[-6].list), (yylsp[-6]), yyscanner);
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40834 "gram.c" /* yacc.c:1646  */
    break;

  case 1309:
#line 9801 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 1; }
#line 40840 "gram.c" /* yacc.c:1646  */
    break;

  case 1310:
#line 9802 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 40846 "gram.c" /* yacc.c:1646  */
    break;

  case 1311:
#line 9813 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-5].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 40860 "gram.c" /* yacc.c:1646  */
    break;

  case 1312:
#line 9823 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-5].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 40874 "gram.c" /* yacc.c:1646  */
    break;

  case 1313:
#line 9833 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-5].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 40888 "gram.c" /* yacc.c:1646  */
    break;

  case 1314:
#line 9843 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-5].range);
					n->object = (Node *) list_make1(makeString((yyvsp[-7].str)));
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 40903 "gram.c" /* yacc.c:1646  */
    break;

  case 1315:
#line 9854 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 40917 "gram.c" /* yacc.c:1646  */
    break;

  case 1316:
#line 9864 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_INDEX;
					n->relation = (yyvsp[-5].range);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 40931 "gram.c" /* yacc.c:1646  */
    break;

  case 1317:
#line 9875 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 40937 "gram.c" /* yacc.c:1646  */
    break;

  case 1318:
#line 9876 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false;	}
#line 40943 "gram.c" /* yacc.c:1646  */
    break;

  case 1319:
#line 9887 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40957 "gram.c" /* yacc.c:1646  */
    break;

  case 1320:
#line 9897 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40971 "gram.c" /* yacc.c:1646  */
    break;

  case 1321:
#line 9907 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40985 "gram.c" /* yacc.c:1646  */
    break;

  case 1322:
#line 9917 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40999 "gram.c" /* yacc.c:1646  */
    break;

  case 1323:
#line 9927 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_EXTENSION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41013 "gram.c" /* yacc.c:1646  */
    break;

  case 1324:
#line 9937 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41027 "gram.c" /* yacc.c:1646  */
    break;

  case 1325:
#line 9947 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41041 "gram.c" /* yacc.c:1646  */
    break;

  case 1326:
#line 9957 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41055 "gram.c" /* yacc.c:1646  */
    break;

  case 1327:
#line 9967 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41069 "gram.c" /* yacc.c:1646  */
    break;

  case 1328:
#line 9977 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41083 "gram.c" /* yacc.c:1646  */
    break;

  case 1329:
#line 9987 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41097 "gram.c" /* yacc.c:1646  */
    break;

  case 1330:
#line 9997 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41111 "gram.c" /* yacc.c:1646  */
    break;

  case 1331:
#line 10007 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41125 "gram.c" /* yacc.c:1646  */
    break;

  case 1332:
#line 10017 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41139 "gram.c" /* yacc.c:1646  */
    break;

  case 1333:
#line 10027 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41153 "gram.c" /* yacc.c:1646  */
    break;

  case 1334:
#line 10037 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41167 "gram.c" /* yacc.c:1646  */
    break;

  case 1335:
#line 10047 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41181 "gram.c" /* yacc.c:1646  */
    break;

  case 1336:
#line 10057 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41195 "gram.c" /* yacc.c:1646  */
    break;

  case 1337:
#line 10067 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41209 "gram.c" /* yacc.c:1646  */
    break;

  case 1338:
#line 10077 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41223 "gram.c" /* yacc.c:1646  */
    break;

  case 1339:
#line 10087 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41237 "gram.c" /* yacc.c:1646  */
    break;

  case 1340:
#line 10097 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41251 "gram.c" /* yacc.c:1646  */
    break;

  case 1341:
#line 10107 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41265 "gram.c" /* yacc.c:1646  */
    break;

  case 1342:
#line 10117 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41279 "gram.c" /* yacc.c:1646  */
    break;

  case 1343:
#line 10127 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41293 "gram.c" /* yacc.c:1646  */
    break;

  case 1344:
#line 10137 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41307 "gram.c" /* yacc.c:1646  */
    break;

  case 1345:
#line 10147 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41321 "gram.c" /* yacc.c:1646  */
    break;

  case 1346:
#line 10166 "gram.y" /* yacc.c:1646  */
    {
					AlterOperatorStmt *n = makeNode(AlterOperatorStmt);

					n->opername = (yyvsp[-4].objwithargs);
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 41333 "gram.c" /* yacc.c:1646  */
    break;

  case 1347:
#line 10175 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 41339 "gram.c" /* yacc.c:1646  */
    break;

  case 1348:
#line 10176 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 41345 "gram.c" /* yacc.c:1646  */
    break;

  case 1349:
#line 10180 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-2].str), NULL, (yylsp[-2])); }
#line 41351 "gram.c" /* yacc.c:1646  */
    break;

  case 1350:
#line 10182 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2])); }
#line 41357 "gram.c" /* yacc.c:1646  */
    break;

  case 1351:
#line 10184 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[0].str), NULL, (yylsp[0])); }
#line 41363 "gram.c" /* yacc.c:1646  */
    break;

  case 1352:
#line 10189 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].typnam); }
#line 41369 "gram.c" /* yacc.c:1646  */
    break;

  case 1353:
#line 10190 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString(pstrdup((yyvsp[0].keyword))); }
#line 41375 "gram.c" /* yacc.c:1646  */
    break;

  case 1354:
#line 10191 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].list); }
#line 41381 "gram.c" /* yacc.c:1646  */
    break;

  case 1355:
#line 10192 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].node); }
#line 41387 "gram.c" /* yacc.c:1646  */
    break;

  case 1356:
#line 10193 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 41393 "gram.c" /* yacc.c:1646  */
    break;

  case 1357:
#line 10206 "gram.y" /* yacc.c:1646  */
    {
					AlterTypeStmt *n = makeNode(AlterTypeStmt);

					n->typeName = (yyvsp[-4].list);
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 41405 "gram.c" /* yacc.c:1646  */
    break;

  case 1358:
#line 10222 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41418 "gram.c" /* yacc.c:1646  */
    break;

  case 1359:
#line 10231 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41431 "gram.c" /* yacc.c:1646  */
    break;

  case 1360:
#line 10240 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41444 "gram.c" /* yacc.c:1646  */
    break;

  case 1361:
#line 10249 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_DATABASE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41457 "gram.c" /* yacc.c:1646  */
    break;

  case 1362:
#line 10258 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41470 "gram.c" /* yacc.c:1646  */
    break;

  case 1363:
#line 10267 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41483 "gram.c" /* yacc.c:1646  */
    break;

  case 1364:
#line 10276 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41496 "gram.c" /* yacc.c:1646  */
    break;

  case 1365:
#line 10285 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-3].node);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41509 "gram.c" /* yacc.c:1646  */
    break;

  case 1366:
#line 10294 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41522 "gram.c" /* yacc.c:1646  */
    break;

  case 1367:
#line 10303 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41535 "gram.c" /* yacc.c:1646  */
    break;

  case 1368:
#line 10312 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41548 "gram.c" /* yacc.c:1646  */
    break;

  case 1369:
#line 10321 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41561 "gram.c" /* yacc.c:1646  */
    break;

  case 1370:
#line 10330 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41574 "gram.c" /* yacc.c:1646  */
    break;

  case 1371:
#line 10339 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_SCHEMA;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41587 "gram.c" /* yacc.c:1646  */
    break;

  case 1372:
#line 10348 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41600 "gram.c" /* yacc.c:1646  */
    break;

  case 1373:
#line 10357 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_TABLESPACE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41613 "gram.c" /* yacc.c:1646  */
    break;

  case 1374:
#line 10366 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41626 "gram.c" /* yacc.c:1646  */
    break;

  case 1375:
#line 10375 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41639 "gram.c" /* yacc.c:1646  */
    break;

  case 1376:
#line 10384 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41652 "gram.c" /* yacc.c:1646  */
    break;

  case 1377:
#line 10393 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41665 "gram.c" /* yacc.c:1646  */
    break;

  case 1378:
#line 10402 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41678 "gram.c" /* yacc.c:1646  */
    break;

  case 1379:
#line 10411 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41691 "gram.c" /* yacc.c:1646  */
    break;

  case 1380:
#line 10420 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_PUBLICATION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41704 "gram.c" /* yacc.c:1646  */
    break;

  case 1381:
#line 10429 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_SUBSCRIPTION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41717 "gram.c" /* yacc.c:1646  */
    break;

  case 1382:
#line 10457 "gram.y" /* yacc.c:1646  */
    {
					CreatePublicationStmt *n = makeNode(CreatePublicationStmt);

					n->pubname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 41729 "gram.c" /* yacc.c:1646  */
    break;

  case 1383:
#line 10465 "gram.y" /* yacc.c:1646  */
    {
					CreatePublicationStmt *n = makeNode(CreatePublicationStmt);

					n->pubname = (yyvsp[-4].str);
					n->options = (yyvsp[0].list);
					n->for_all_tables = true;
					(yyval.node) = (Node *) n;
				}
#line 41742 "gram.c" /* yacc.c:1646  */
    break;

  case 1384:
#line 10474 "gram.y" /* yacc.c:1646  */
    {
					CreatePublicationStmt *n = makeNode(CreatePublicationStmt);

					n->pubname = (yyvsp[-3].str);
					n->options = (yyvsp[0].list);
					n->pubobjects = (List *) (yyvsp[-1].list);
					preprocess_pubobj_list(n->pubobjects, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 41756 "gram.c" /* yacc.c:1646  */
    break;

  case 1385:
#line 10500 "gram.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_TABLE;
					(yyval.publicationobjectspec)->pubtable = makeNode(PublicationTable);
					(yyval.publicationobjectspec)->pubtable->relation = (yyvsp[-2].range);
					(yyval.publicationobjectspec)->pubtable->columns = (yyvsp[-1].list);
					(yyval.publicationobjectspec)->pubtable->whereClause = (yyvsp[0].node);
				}
#line 41769 "gram.c" /* yacc.c:1646  */
    break;

  case 1386:
#line 10509 "gram.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_TABLES_IN_SCHEMA;
					(yyval.publicationobjectspec)->name = (yyvsp[0].str);
					(yyval.publicationobjectspec)->location = (yylsp[0]);
				}
#line 41780 "gram.c" /* yacc.c:1646  */
    break;

  case 1387:
#line 10516 "gram.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_TABLES_IN_CUR_SCHEMA;
					(yyval.publicationobjectspec)->location = (yylsp[0]);
				}
#line 41790 "gram.c" /* yacc.c:1646  */
    break;

  case 1388:
#line 10522 "gram.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_CONTINUATION;
					/*
					 * If either a row filter or column list is specified, create
					 * a PublicationTable object.
					 */
					if ((yyvsp[-1].list) || (yyvsp[0].node))
					{
						/*
						 * The OptWhereClause must be stored here but it is
						 * valid only for tables. For non-table objects, an
						 * error will be thrown later via
						 * preprocess_pubobj_list().
						 */
						(yyval.publicationobjectspec)->pubtable = makeNode(PublicationTable);
						(yyval.publicationobjectspec)->pubtable->relation = makeRangeVar(NULL, (yyvsp[-2].str), (yylsp[-2]));
						(yyval.publicationobjectspec)->pubtable->columns = (yyvsp[-1].list);
						(yyval.publicationobjectspec)->pubtable->whereClause = (yyvsp[0].node);
					}
					else
					{
						(yyval.publicationobjectspec)->name = (yyvsp[-2].str);
					}
					(yyval.publicationobjectspec)->location = (yylsp[-2]);
				}
#line 41821 "gram.c" /* yacc.c:1646  */
    break;

  case 1389:
#line 10549 "gram.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_CONTINUATION;
					(yyval.publicationobjectspec)->pubtable = makeNode(PublicationTable);
					(yyval.publicationobjectspec)->pubtable->relation = makeRangeVarFromQualifiedName((yyvsp[-3].str), (yyvsp[-2].list), (yylsp[-3]), yyscanner);
					(yyval.publicationobjectspec)->pubtable->columns = (yyvsp[-1].list);
					(yyval.publicationobjectspec)->pubtable->whereClause = (yyvsp[0].node);
					(yyval.publicationobjectspec)->location = (yylsp[-3]);
				}
#line 41835 "gram.c" /* yacc.c:1646  */
    break;

  case 1390:
#line 10560 "gram.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_CONTINUATION;
					(yyval.publicationobjectspec)->pubtable = makeNode(PublicationTable);
					(yyval.publicationobjectspec)->pubtable->relation = (yyvsp[-2].range);
					(yyval.publicationobjectspec)->pubtable->columns = (yyvsp[-1].list);
					(yyval.publicationobjectspec)->pubtable->whereClause = (yyvsp[0].node);
				}
#line 41848 "gram.c" /* yacc.c:1646  */
    break;

  case 1391:
#line 10569 "gram.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_CONTINUATION;
					(yyval.publicationobjectspec)->location = (yylsp[0]);
				}
#line 41858 "gram.c" /* yacc.c:1646  */
    break;

  case 1392:
#line 10577 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].publicationobjectspec)); }
#line 41864 "gram.c" /* yacc.c:1646  */
    break;

  case 1393:
#line 10579 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].publicationobjectspec)); }
#line 41870 "gram.c" /* yacc.c:1646  */
    break;

  case 1394:
#line 10601 "gram.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);

					n->pubname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 41882 "gram.c" /* yacc.c:1646  */
    break;

  case 1395:
#line 10609 "gram.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);

					n->pubname = (yyvsp[-2].str);
					n->pubobjects = (yyvsp[0].list);
					preprocess_pubobj_list(n->pubobjects, yyscanner);
					n->action = AP_AddObjects;
					(yyval.node) = (Node *) n;
				}
#line 41896 "gram.c" /* yacc.c:1646  */
    break;

  case 1396:
#line 10619 "gram.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);

					n->pubname = (yyvsp[-2].str);
					n->pubobjects = (yyvsp[0].list);
					preprocess_pubobj_list(n->pubobjects, yyscanner);
					n->action = AP_SetObjects;
					(yyval.node) = (Node *) n;
				}
#line 41910 "gram.c" /* yacc.c:1646  */
    break;

  case 1397:
#line 10629 "gram.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);

					n->pubname = (yyvsp[-2].str);
					n->pubobjects = (yyvsp[0].list);
					preprocess_pubobj_list(n->pubobjects, yyscanner);
					n->action = AP_DropObjects;
					(yyval.node) = (Node *) n;
				}
#line 41924 "gram.c" /* yacc.c:1646  */
    break;

  case 1398:
#line 10648 "gram.y" /* yacc.c:1646  */
    {
					CreateSubscriptionStmt *n =
						makeNode(CreateSubscriptionStmt);
					n->subname = (yyvsp[-5].str);
					n->conninfo = (yyvsp[-3].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 41938 "gram.c" /* yacc.c:1646  */
    break;

  case 1399:
#line 10667 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_OPTIONS;
					n->subname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 41952 "gram.c" /* yacc.c:1646  */
    break;

  case 1400:
#line 10677 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_CONNECTION;
					n->subname = (yyvsp[-2].str);
					n->conninfo = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 41966 "gram.c" /* yacc.c:1646  */
    break;

  case 1401:
#line 10687 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_REFRESH;
					n->subname = (yyvsp[-3].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 41980 "gram.c" /* yacc.c:1646  */
    break;

  case 1402:
#line 10697 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_ADD_PUBLICATION;
					n->subname = (yyvsp[-4].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 41995 "gram.c" /* yacc.c:1646  */
    break;

  case 1403:
#line 10708 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_DROP_PUBLICATION;
					n->subname = (yyvsp[-4].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 42010 "gram.c" /* yacc.c:1646  */
    break;

  case 1404:
#line 10719 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_SET_PUBLICATION;
					n->subname = (yyvsp[-4].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 42025 "gram.c" /* yacc.c:1646  */
    break;

  case 1405:
#line 10730 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_ENABLED;
					n->subname = (yyvsp[-1].str);
					n->options = list_make1(makeDefElem("enabled",
											(Node *) makeBoolean(true), (yylsp[-3])));
					(yyval.node) = (Node *) n;
				}
#line 42040 "gram.c" /* yacc.c:1646  */
    break;

  case 1406:
#line 10741 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_ENABLED;
					n->subname = (yyvsp[-1].str);
					n->options = list_make1(makeDefElem("enabled",
											(Node *) makeBoolean(false), (yylsp[-3])));
					(yyval.node) = (Node *) n;
				}
#line 42055 "gram.c" /* yacc.c:1646  */
    break;

  case 1407:
#line 10752 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_SKIP;
					n->subname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 42069 "gram.c" /* yacc.c:1646  */
    break;

  case 1408:
#line 10770 "gram.y" /* yacc.c:1646  */
    {
					DropSubscriptionStmt *n = makeNode(DropSubscriptionStmt);

					n->subname = (yyvsp[-1].str);
					n->missing_ok = false;
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 42082 "gram.c" /* yacc.c:1646  */
    break;

  case 1409:
#line 10779 "gram.y" /* yacc.c:1646  */
    {
					DropSubscriptionStmt *n = makeNode(DropSubscriptionStmt);

					n->subname = (yyvsp[-1].str);
					n->missing_ok = true;
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 42095 "gram.c" /* yacc.c:1646  */
    break;

  case 1410:
#line 10798 "gram.y" /* yacc.c:1646  */
    {
					RuleStmt   *n = makeNode(RuleStmt);

					n->replace = (yyvsp[-11].boolean);
					n->relation = (yyvsp[-4].range);
					n->rulename = (yyvsp[-9].str);
					n->whereClause = (yyvsp[-3].node);
					n->event = (yyvsp[-6].ival);
					n->instead = (yyvsp[-1].boolean);
					n->actions = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 42112 "gram.c" /* yacc.c:1646  */
    break;

  case 1411:
#line 10813 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 42118 "gram.c" /* yacc.c:1646  */
    break;

  case 1412:
#line 10814 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 42124 "gram.c" /* yacc.c:1646  */
    break;

  case 1413:
#line 10815 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 42130 "gram.c" /* yacc.c:1646  */
    break;

  case 1414:
#line 10821 "gram.y" /* yacc.c:1646  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				  else
					(yyval.list) = (yyvsp[-2].list);
				}
#line 42140 "gram.c" /* yacc.c:1646  */
    break;

  case 1415:
#line 10827 "gram.y" /* yacc.c:1646  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = list_make1((yyvsp[0].node));
				  else
					(yyval.list) = NIL;
				}
#line 42150 "gram.c" /* yacc.c:1646  */
    break;

  case 1421:
#line 10843 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 42156 "gram.c" /* yacc.c:1646  */
    break;

  case 1422:
#line 10844 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 42162 "gram.c" /* yacc.c:1646  */
    break;

  case 1423:
#line 10847 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_SELECT; }
#line 42168 "gram.c" /* yacc.c:1646  */
    break;

  case 1424:
#line 10848 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_UPDATE; }
#line 42174 "gram.c" /* yacc.c:1646  */
    break;

  case 1425:
#line 10849 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_DELETE; }
#line 42180 "gram.c" /* yacc.c:1646  */
    break;

  case 1426:
#line 10850 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_INSERT; }
#line 42186 "gram.c" /* yacc.c:1646  */
    break;

  case 1427:
#line 10854 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 42192 "gram.c" /* yacc.c:1646  */
    break;

  case 1428:
#line 10855 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 42198 "gram.c" /* yacc.c:1646  */
    break;

  case 1429:
#line 10856 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 42204 "gram.c" /* yacc.c:1646  */
    break;

  case 1430:
#line 10869 "gram.y" /* yacc.c:1646  */
    {
					NotifyStmt *n = makeNode(NotifyStmt);

					n->conditionname = (yyvsp[-1].str);
					n->payload = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 42216 "gram.c" /* yacc.c:1646  */
    break;

  case 1431:
#line 10879 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 42222 "gram.c" /* yacc.c:1646  */
    break;

  case 1432:
#line 10880 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 42228 "gram.c" /* yacc.c:1646  */
    break;

  case 1433:
#line 10884 "gram.y" /* yacc.c:1646  */
    {
					ListenStmt *n = makeNode(ListenStmt);

					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 42239 "gram.c" /* yacc.c:1646  */
    break;

  case 1434:
#line 10894 "gram.y" /* yacc.c:1646  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);

					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 42250 "gram.c" /* yacc.c:1646  */
    break;

  case 1435:
#line 10901 "gram.y" /* yacc.c:1646  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);

					n->conditionname = NULL;
					(yyval.node) = (Node *) n;
				}
#line 42261 "gram.c" /* yacc.c:1646  */
    break;

  case 1436:
#line 10921 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					n->location = -1;
					(yyval.node) = (Node *) n;
				}
#line 42275 "gram.c" /* yacc.c:1646  */
    break;

  case 1437:
#line 10931 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_START;
					n->options = (yyvsp[0].list);
					n->location = -1;
					(yyval.node) = (Node *) n;
				}
#line 42288 "gram.c" /* yacc.c:1646  */
    break;

  case 1438:
#line 10940 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					n->location = -1;
					(yyval.node) = (Node *) n;
				}
#line 42302 "gram.c" /* yacc.c:1646  */
    break;

  case 1439:
#line 10950 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					n->location = -1;
					(yyval.node) = (Node *) n;
				}
#line 42316 "gram.c" /* yacc.c:1646  */
    break;

  case 1440:
#line 10960 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_SAVEPOINT;
					n->savepoint_name = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 42329 "gram.c" /* yacc.c:1646  */
    break;

  case 1441:
#line 10969 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_RELEASE;
					n->savepoint_name = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 42342 "gram.c" /* yacc.c:1646  */
    break;

  case 1442:
#line 10978 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_RELEASE;
					n->savepoint_name = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 42355 "gram.c" /* yacc.c:1646  */
    break;

  case 1443:
#line 10987 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->savepoint_name = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 42368 "gram.c" /* yacc.c:1646  */
    break;

  case 1444:
#line 10996 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->savepoint_name = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 42381 "gram.c" /* yacc.c:1646  */
    break;

  case 1445:
#line 11005 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_PREPARE;
					n->gid = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 42394 "gram.c" /* yacc.c:1646  */
    break;

  case 1446:
#line 11014 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_COMMIT_PREPARED;
					n->gid = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 42407 "gram.c" /* yacc.c:1646  */
    break;

  case 1447:
#line 11023 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_ROLLBACK_PREPARED;
					n->gid = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 42420 "gram.c" /* yacc.c:1646  */
    break;

  case 1448:
#line 11035 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_BEGIN;
					n->options = (yyvsp[0].list);
					n->location = -1;
					(yyval.node) = (Node *) n;
				}
#line 42433 "gram.c" /* yacc.c:1646  */
    break;

  case 1449:
#line 11044 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					n->location = -1;
					(yyval.node) = (Node *) n;
				}
#line 42447 "gram.c" /* yacc.c:1646  */
    break;

  case 1453:
#line 11062 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_isolation",
									   makeStringConst((yyvsp[0].str), (yylsp[0])), (yylsp[-2])); }
#line 42454 "gram.c" /* yacc.c:1646  */
    break;

  case 1454:
#line 11065 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(true, (yylsp[-1])), (yylsp[-1])); }
#line 42461 "gram.c" /* yacc.c:1646  */
    break;

  case 1455:
#line 11068 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(false, (yylsp[-1])), (yylsp[-1])); }
#line 42468 "gram.c" /* yacc.c:1646  */
    break;

  case 1456:
#line 11071 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(true, (yylsp[0])), (yylsp[0])); }
#line 42475 "gram.c" /* yacc.c:1646  */
    break;

  case 1457:
#line 11074 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(false, (yylsp[-1])), (yylsp[-1])); }
#line 42482 "gram.c" /* yacc.c:1646  */
    break;

  case 1458:
#line 11081 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 42488 "gram.c" /* yacc.c:1646  */
    break;

  case 1459:
#line 11083 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 42494 "gram.c" /* yacc.c:1646  */
    break;

  case 1460:
#line 11085 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 42500 "gram.c" /* yacc.c:1646  */
    break;

  case 1462:
#line 11091 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 42506 "gram.c" /* yacc.c:1646  */
    break;

  case 1463:
#line 11095 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 42512 "gram.c" /* yacc.c:1646  */
    break;

  case 1464:
#line 11096 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 42518 "gram.c" /* yacc.c:1646  */
    break;

  case 1465:
#line 11097 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 42524 "gram.c" /* yacc.c:1646  */
    break;

  case 1466:
#line 11111 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt   *n = makeNode(ViewStmt);

					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 42541 "gram.c" /* yacc.c:1646  */
    break;

  case 1467:
#line 11125 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt   *n = makeNode(ViewStmt);

					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 42558 "gram.c" /* yacc.c:1646  */
    break;

  case 1468:
#line 11139 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt   *n = makeNode(ViewStmt);

					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 42580 "gram.c" /* yacc.c:1646  */
    break;

  case 1469:
#line 11158 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt   *n = makeNode(ViewStmt);

					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 42602 "gram.c" /* yacc.c:1646  */
    break;

  case 1470:
#line 11178 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 42608 "gram.c" /* yacc.c:1646  */
    break;

  case 1471:
#line 11179 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 42614 "gram.c" /* yacc.c:1646  */
    break;

  case 1472:
#line 11180 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LOCAL_CHECK_OPTION; }
#line 42620 "gram.c" /* yacc.c:1646  */
    break;

  case 1473:
#line 11181 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = NO_CHECK_OPTION; }
#line 42626 "gram.c" /* yacc.c:1646  */
    break;

  case 1474:
#line 11192 "gram.y" /* yacc.c:1646  */
    {
					LoadStmt   *n = makeNode(LoadStmt);

					n->filename = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 42637 "gram.c" /* yacc.c:1646  */
    break;

  case 1475:
#line 11209 "gram.y" /* yacc.c:1646  */
    {
					CreatedbStmt *n = makeNode(CreatedbStmt);

					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 42649 "gram.c" /* yacc.c:1646  */
    break;

  case 1476:
#line 11219 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 42655 "gram.c" /* yacc.c:1646  */
    break;

  case 1477:
#line 11220 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 42661 "gram.c" /* yacc.c:1646  */
    break;

  case 1478:
#line 11224 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 42667 "gram.c" /* yacc.c:1646  */
    break;

  case 1479:
#line 11225 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 42673 "gram.c" /* yacc.c:1646  */
    break;

  case 1480:
#line 11230 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (yyvsp[0].node), (yylsp[-2]));
				}
#line 42681 "gram.c" /* yacc.c:1646  */
    break;

  case 1481:
#line 11234 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 42689 "gram.c" /* yacc.c:1646  */
    break;

  case 1482:
#line 11238 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), NULL, (yylsp[-2]));
				}
#line 42697 "gram.c" /* yacc.c:1646  */
    break;

  case 1483:
#line 11255 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 42703 "gram.c" /* yacc.c:1646  */
    break;

  case 1484:
#line 11256 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup("connection_limit"); }
#line 42709 "gram.c" /* yacc.c:1646  */
    break;

  case 1485:
#line 11257 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 42715 "gram.c" /* yacc.c:1646  */
    break;

  case 1486:
#line 11258 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 42721 "gram.c" /* yacc.c:1646  */
    break;

  case 1487:
#line 11259 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 42727 "gram.c" /* yacc.c:1646  */
    break;

  case 1488:
#line 11260 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 42733 "gram.c" /* yacc.c:1646  */
    break;

  case 1489:
#line 11261 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 42739 "gram.c" /* yacc.c:1646  */
    break;

  case 1492:
#line 11281 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);

					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				 }
#line 42751 "gram.c" /* yacc.c:1646  */
    break;

  case 1493:
#line 11289 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);

					n->dbname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				 }
#line 42763 "gram.c" /* yacc.c:1646  */
    break;

  case 1494:
#line 11297 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);

					n->dbname = (yyvsp[-3].str);
					n->options = list_make1(makeDefElem("tablespace",
														(Node *) makeString((yyvsp[0].str)), (yylsp[0])));
					(yyval.node) = (Node *) n;
				 }
#line 42776 "gram.c" /* yacc.c:1646  */
    break;

  case 1495:
#line 11306 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseRefreshCollStmt *n = makeNode(AlterDatabaseRefreshCollStmt);

					n->dbname = (yyvsp[-3].str);
					(yyval.node) = (Node *) n;
				 }
#line 42787 "gram.c" /* yacc.c:1646  */
    break;

  case 1496:
#line 11316 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseSetStmt *n = makeNode(AlterDatabaseSetStmt);

					n->dbname = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 42799 "gram.c" /* yacc.c:1646  */
    break;

  case 1497:
#line 11334 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);

					n->dbname = (yyvsp[0].str);
					n->missing_ok = false;
					n->options = NULL;
					(yyval.node) = (Node *) n;
				}
#line 42812 "gram.c" /* yacc.c:1646  */
    break;

  case 1498:
#line 11343 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);

					n->dbname = (yyvsp[0].str);
					n->missing_ok = true;
					n->options = NULL;
					(yyval.node) = (Node *) n;
				}
#line 42825 "gram.c" /* yacc.c:1646  */
    break;

  case 1499:
#line 11352 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);

					n->dbname = (yyvsp[-4].str);
					n->missing_ok = false;
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 42838 "gram.c" /* yacc.c:1646  */
    break;

  case 1500:
#line 11361 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);

					n->dbname = (yyvsp[-4].str);
					n->missing_ok = true;
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 42851 "gram.c" /* yacc.c:1646  */
    break;

  case 1501:
#line 11373 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((Node *) (yyvsp[0].defelt));
				}
#line 42859 "gram.c" /* yacc.c:1646  */
    break;

  case 1502:
#line 11377 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (Node *) (yyvsp[0].defelt));
				}
#line 42867 "gram.c" /* yacc.c:1646  */
    break;

  case 1503:
#line 11388 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force", NULL, (yylsp[0]));
				}
#line 42875 "gram.c" /* yacc.c:1646  */
    break;

  case 1504:
#line 11400 "gram.y" /* yacc.c:1646  */
    {
					AlterCollationStmt *n = makeNode(AlterCollationStmt);

					n->collname = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 42886 "gram.c" /* yacc.c:1646  */
    break;

  case 1505:
#line 11418 "gram.y" /* yacc.c:1646  */
    {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);

					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 42897 "gram.c" /* yacc.c:1646  */
    break;

  case 1506:
#line 11425 "gram.y" /* yacc.c:1646  */
    {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);

					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 42908 "gram.c" /* yacc.c:1646  */
    break;

  case 1507:
#line 11442 "gram.y" /* yacc.c:1646  */
    {
					CreateDomainStmt *n = makeNode(CreateDomainStmt);

					n->domainname = (yyvsp[-3].list);
					n->typeName = (yyvsp[-1].typnam);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 42922 "gram.c" /* yacc.c:1646  */
    break;

  case 1508:
#line 11456 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'T';
					n->typeName = (yyvsp[-1].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 42935 "gram.c" /* yacc.c:1646  */
    break;

  case 1509:
#line 11466 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'N';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *) n;
				}
#line 42947 "gram.c" /* yacc.c:1646  */
    break;

  case 1510:
#line 11475 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'O';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *) n;
				}
#line 42959 "gram.c" /* yacc.c:1646  */
    break;

  case 1511:
#line 11484 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'C';
					n->typeName = (yyvsp[-2].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 42972 "gram.c" /* yacc.c:1646  */
    break;

  case 1512:
#line 11494 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'X';
					n->typeName = (yyvsp[-4].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42987 "gram.c" /* yacc.c:1646  */
    break;

  case 1513:
#line 11506 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'X';
					n->typeName = (yyvsp[-6].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 43002 "gram.c" /* yacc.c:1646  */
    break;

  case 1514:
#line 11518 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'V';
					n->typeName = (yyvsp[-3].list);
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 43015 "gram.c" /* yacc.c:1646  */
    break;

  case 1517:
#line 11541 "gram.y" /* yacc.c:1646  */
    {
					AlterTSDictionaryStmt *n = makeNode(AlterTSDictionaryStmt);

					n->dictname = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 43027 "gram.c" /* yacc.c:1646  */
    break;

  case 1518:
#line 11552 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_ADD_MAPPING;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = false;
					n->replace = false;
					(yyval.node) = (Node *) n;
				}
#line 43043 "gram.c" /* yacc.c:1646  */
    break;

  case 1519:
#line 11564 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_ALTER_MAPPING_FOR_TOKEN;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = true;
					n->replace = false;
					(yyval.node) = (Node *) n;
				}
#line 43059 "gram.c" /* yacc.c:1646  */
    break;

  case 1520:
#line 11576 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_REPLACE_DICT;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = NIL;
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node *) n;
				}
#line 43075 "gram.c" /* yacc.c:1646  */
    break;

  case 1521:
#line 11588 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_REPLACE_DICT_FOR_TOKEN;
					n->cfgname = (yyvsp[-8].list);
					n->tokentype = (yyvsp[-4].list);
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node *) n;
				}
#line 43091 "gram.c" /* yacc.c:1646  */
    break;

  case 1522:
#line 11600 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_DROP_MAPPING;
					n->cfgname = (yyvsp[-4].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 43105 "gram.c" /* yacc.c:1646  */
    break;

  case 1523:
#line 11610 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_DROP_MAPPING;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 43119 "gram.c" /* yacc.c:1646  */
    break;

  case 1526:
#line 11639 "gram.y" /* yacc.c:1646  */
    {
				CreateConversionStmt *n = makeNode(CreateConversionStmt);

				n->conversion_name = (yyvsp[-6].list);
				n->for_encoding_name = (yyvsp[-4].str);
				n->to_encoding_name = (yyvsp[-2].str);
				n->func_name = (yyvsp[0].list);
				n->def = (yyvsp[-8].boolean);
				(yyval.node) = (Node *) n;
			}
#line 43134 "gram.c" /* yacc.c:1646  */
    break;

  case 1527:
#line 11662 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);

					n->relation = (yyvsp[-1].range);
					n->indexname = (yyvsp[0].str);
					n->params = (yyvsp[-3].list);
					(yyval.node) = (Node *) n;
				}
#line 43147 "gram.c" /* yacc.c:1646  */
    break;

  case 1528:
#line 11671 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);

					n->relation = NULL;
					n->indexname = NULL;
					n->params = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 43160 "gram.c" /* yacc.c:1646  */
    break;

  case 1529:
#line 11681 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);

					n->relation = (yyvsp[-1].range);
					n->indexname = (yyvsp[0].str);
					n->params = NIL;
					if ((yyvsp[-2].boolean))
						n->params = lappend(n->params, makeDefElem("verbose", NULL, (yylsp[-2])));
					(yyval.node) = (Node *) n;
				}
#line 43175 "gram.c" /* yacc.c:1646  */
    break;

  case 1530:
#line 11693 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);

					n->relation = NULL;
					n->indexname = NULL;
					n->params = NIL;
					if ((yyvsp[0].boolean))
						n->params = lappend(n->params, makeDefElem("verbose", NULL, (yylsp[0])));
					(yyval.node) = (Node *) n;
				}
#line 43190 "gram.c" /* yacc.c:1646  */
    break;

  case 1531:
#line 11705 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);

					n->relation = (yyvsp[0].range);
					n->indexname = (yyvsp[-2].str);
					n->params = NIL;
					if ((yyvsp[-3].boolean))
						n->params = lappend(n->params, makeDefElem("verbose", NULL, (yylsp[-3])));
					(yyval.node) = (Node *) n;
				}
#line 43205 "gram.c" /* yacc.c:1646  */
    break;

  case 1532:
#line 11718 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43211 "gram.c" /* yacc.c:1646  */
    break;

  case 1533:
#line 11719 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 43217 "gram.c" /* yacc.c:1646  */
    break;

  case 1534:
#line 11732 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);

					n->options = NIL;
					if ((yyvsp[-4].boolean))
						n->options = lappend(n->options,
											 makeDefElem("full", NULL, (yylsp[-4])));
					if ((yyvsp[-3].boolean))
						n->options = lappend(n->options,
											 makeDefElem("freeze", NULL, (yylsp[-3])));
					if ((yyvsp[-2].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL, (yylsp[-2])));
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("analyze", NULL, (yylsp[-1])));
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = true;
					(yyval.node) = (Node *) n;
				}
#line 43242 "gram.c" /* yacc.c:1646  */
    break;

  case 1535:
#line 11753 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);

					n->options = (yyvsp[-2].list);
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = true;
					(yyval.node) = (Node *) n;
				}
#line 43255 "gram.c" /* yacc.c:1646  */
    break;

  case 1536:
#line 11764 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);

					n->options = NIL;
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL, (yylsp[-1])));
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = false;
					(yyval.node) = (Node *) n;
				}
#line 43271 "gram.c" /* yacc.c:1646  */
    break;

  case 1537:
#line 11776 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);

					n->options = (yyvsp[-2].list);
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = false;
					(yyval.node) = (Node *) n;
				}
#line 43284 "gram.c" /* yacc.c:1646  */
    break;

  case 1538:
#line 11788 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 43292 "gram.c" /* yacc.c:1646  */
    break;

  case 1539:
#line 11792 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 43300 "gram.c" /* yacc.c:1646  */
    break;

  case 1542:
#line 11804 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 43308 "gram.c" /* yacc.c:1646  */
    break;

  case 1543:
#line 11810 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43314 "gram.c" /* yacc.c:1646  */
    break;

  case 1544:
#line 11811 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "analyze"; }
#line 43320 "gram.c" /* yacc.c:1646  */
    break;

  case 1545:
#line 11812 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "format"; }
#line 43326 "gram.c" /* yacc.c:1646  */
    break;

  case 1546:
#line 11816 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 43332 "gram.c" /* yacc.c:1646  */
    break;

  case 1547:
#line 11817 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].node); }
#line 43338 "gram.c" /* yacc.c:1646  */
    break;

  case 1548:
#line 11818 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 43344 "gram.c" /* yacc.c:1646  */
    break;

  case 1549:
#line 11822 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 43350 "gram.c" /* yacc.c:1646  */
    break;

  case 1550:
#line 11823 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 43356 "gram.c" /* yacc.c:1646  */
    break;

  case 1551:
#line 11827 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 43362 "gram.c" /* yacc.c:1646  */
    break;

  case 1552:
#line 11828 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 43368 "gram.c" /* yacc.c:1646  */
    break;

  case 1553:
#line 11831 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 43374 "gram.c" /* yacc.c:1646  */
    break;

  case 1554:
#line 11832 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 43380 "gram.c" /* yacc.c:1646  */
    break;

  case 1555:
#line 11835 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 43386 "gram.c" /* yacc.c:1646  */
    break;

  case 1556:
#line 11836 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 43392 "gram.c" /* yacc.c:1646  */
    break;

  case 1557:
#line 11840 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 43398 "gram.c" /* yacc.c:1646  */
    break;

  case 1558:
#line 11841 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 43404 "gram.c" /* yacc.c:1646  */
    break;

  case 1559:
#line 11846 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeVacuumRelation((yyvsp[-1].range), InvalidOid, (yyvsp[0].list));
				}
#line 43412 "gram.c" /* yacc.c:1646  */
    break;

  case 1560:
#line 11853 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 43418 "gram.c" /* yacc.c:1646  */
    break;

  case 1561:
#line 11855 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 43424 "gram.c" /* yacc.c:1646  */
    break;

  case 1562:
#line 11859 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 43430 "gram.c" /* yacc.c:1646  */
    break;

  case 1563:
#line 11860 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 43436 "gram.c" /* yacc.c:1646  */
    break;

  case 1564:
#line 11874 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);

					n->query = (yyvsp[0].node);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 43448 "gram.c" /* yacc.c:1646  */
    break;

  case 1565:
#line 11882 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);

					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("analyze", NULL, (yylsp[-2])));
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 43463 "gram.c" /* yacc.c:1646  */
    break;

  case 1566:
#line 11893 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);

					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("verbose", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 43475 "gram.c" /* yacc.c:1646  */
    break;

  case 1567:
#line 11901 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);

					n->query = (yyvsp[0].node);
					n->options = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 43487 "gram.c" /* yacc.c:1646  */
    break;

  case 1578:
#line 11931 "gram.y" /* yacc.c:1646  */
    {
					PrepareStmt *n = makeNode(PrepareStmt);

					n->name = (yyvsp[-3].str);
					n->argtypes = (yyvsp[-2].list);
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 43500 "gram.c" /* yacc.c:1646  */
    break;

  case 1579:
#line 11941 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 43506 "gram.c" /* yacc.c:1646  */
    break;

  case 1580:
#line 11942 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 43512 "gram.c" /* yacc.c:1646  */
    break;

  case 1586:
#line 11961 "gram.y" /* yacc.c:1646  */
    {
					ExecuteStmt *n = makeNode(ExecuteStmt);

					n->name = (yyvsp[-1].str);
					n->params = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 43524 "gram.c" /* yacc.c:1646  */
    break;

  case 1587:
#line 11970 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);

					n->name = (yyvsp[-2].str);
					n->params = (yyvsp[-1].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[-5].into);
					ctas->objtype = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-5].into)->rel->relpersistence = (yyvsp[-7].ival);
					(yyvsp[-5].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 43545 "gram.c" /* yacc.c:1646  */
    break;

  case 1588:
#line 11988 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);

					n->name = (yyvsp[-2].str);
					n->params = (yyvsp[-1].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[-5].into);
					ctas->objtype = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-5].into)->rel->relpersistence = (yyvsp[-10].ival);
					(yyvsp[-5].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 43566 "gram.c" /* yacc.c:1646  */
    break;

  case 1589:
#line 12006 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 43572 "gram.c" /* yacc.c:1646  */
    break;

  case 1590:
#line 12007 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 43578 "gram.c" /* yacc.c:1646  */
    break;

  case 1591:
#line 12018 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);

						n->name = (yyvsp[0].str);
						n->isall = false;
						n->location = (yylsp[0]);
						(yyval.node) = (Node *) n;
					}
#line 43591 "gram.c" /* yacc.c:1646  */
    break;

  case 1592:
#line 12027 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);

						n->name = (yyvsp[0].str);
						n->isall = false;
						n->location = (yylsp[0]);
						(yyval.node) = (Node *) n;
					}
#line 43604 "gram.c" /* yacc.c:1646  */
    break;

  case 1593:
#line 12036 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);

						n->name = NULL;
						n->isall = true;
						n->location = -1;
						(yyval.node) = (Node *) n;
					}
#line 43617 "gram.c" /* yacc.c:1646  */
    break;

  case 1594:
#line 12045 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);

						n->name = NULL;
						n->isall = true;
						n->location = -1;
						(yyval.node) = (Node *) n;
					}
#line 43630 "gram.c" /* yacc.c:1646  */
    break;

  case 1595:
#line 12065 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].istmt)->relation = (yyvsp[-3].range);
					(yyvsp[-2].istmt)->onConflictClause = (yyvsp[-1].onconflict);
					(yyvsp[-2].istmt)->returningList = (yyvsp[0].list);
					(yyvsp[-2].istmt)->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *) (yyvsp[-2].istmt);
				}
#line 43642 "gram.c" /* yacc.c:1646  */
    break;

  case 1596:
#line 12082 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 43650 "gram.c" /* yacc.c:1646  */
    break;

  case 1597:
#line 12086 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].range)->alias = makeAlias((yyvsp[0].str), NIL);
					(yyval.range) = (yyvsp[-2].range);
				}
#line 43659 "gram.c" /* yacc.c:1646  */
    break;

  case 1598:
#line 12094 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 43669 "gram.c" /* yacc.c:1646  */
    break;

  case 1599:
#line 12100 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->override = (yyvsp[-2].ival);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 43680 "gram.c" /* yacc.c:1646  */
    break;

  case 1600:
#line 12107 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[-2].list);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 43690 "gram.c" /* yacc.c:1646  */
    break;

  case 1601:
#line 12113 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[-5].list);
					(yyval.istmt)->override = (yyvsp[-2].ival);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 43701 "gram.c" /* yacc.c:1646  */
    break;

  case 1602:
#line 12120 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = NULL;
				}
#line 43711 "gram.c" /* yacc.c:1646  */
    break;

  case 1603:
#line 12128 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OVERRIDING_USER_VALUE; }
#line 43717 "gram.c" /* yacc.c:1646  */
    break;

  case 1604:
#line 12129 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OVERRIDING_SYSTEM_VALUE; }
#line 43723 "gram.c" /* yacc.c:1646  */
    break;

  case 1605:
#line 12134 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 43729 "gram.c" /* yacc.c:1646  */
    break;

  case 1606:
#line 12136 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 43735 "gram.c" /* yacc.c:1646  */
    break;

  case 1607:
#line 12141 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;
					(yyval.target)->location = (yylsp[-1]);
				}
#line 43747 "gram.c" /* yacc.c:1646  */
    break;

  case 1608:
#line 12152 "gram.y" /* yacc.c:1646  */
    {
					(yyval.onconflict) = makeNode(OnConflictClause);
					(yyval.onconflict)->action = ONCONFLICT_UPDATE;
					(yyval.onconflict)->infer = (yyvsp[-5].infer);
					(yyval.onconflict)->targetList = (yyvsp[-1].list);
					(yyval.onconflict)->whereClause = (yyvsp[0].node);
					(yyval.onconflict)->location = (yylsp[-7]);
				}
#line 43760 "gram.c" /* yacc.c:1646  */
    break;

  case 1609:
#line 12162 "gram.y" /* yacc.c:1646  */
    {
					(yyval.onconflict) = makeNode(OnConflictClause);
					(yyval.onconflict)->action = ONCONFLICT_NOTHING;
					(yyval.onconflict)->infer = (yyvsp[-2].infer);
					(yyval.onconflict)->targetList = NIL;
					(yyval.onconflict)->whereClause = NULL;
					(yyval.onconflict)->location = (yylsp[-4]);
				}
#line 43773 "gram.c" /* yacc.c:1646  */
    break;

  case 1610:
#line 12171 "gram.y" /* yacc.c:1646  */
    {
					(yyval.onconflict) = NULL;
				}
#line 43781 "gram.c" /* yacc.c:1646  */
    break;

  case 1611:
#line 12178 "gram.y" /* yacc.c:1646  */
    {
					(yyval.infer) = makeNode(InferClause);
					(yyval.infer)->indexElems = (yyvsp[-2].list);
					(yyval.infer)->whereClause = (yyvsp[0].node);
					(yyval.infer)->conname = NULL;
					(yyval.infer)->location = (yylsp[-3]);
				}
#line 43793 "gram.c" /* yacc.c:1646  */
    break;

  case 1612:
#line 12187 "gram.y" /* yacc.c:1646  */
    {
					(yyval.infer) = makeNode(InferClause);
					(yyval.infer)->indexElems = NIL;
					(yyval.infer)->whereClause = NULL;
					(yyval.infer)->conname = (yyvsp[0].str);
					(yyval.infer)->location = (yylsp[-2]);
				}
#line 43805 "gram.c" /* yacc.c:1646  */
    break;

  case 1613:
#line 12195 "gram.y" /* yacc.c:1646  */
    {
					(yyval.infer) = NULL;
				}
#line 43813 "gram.c" /* yacc.c:1646  */
    break;

  case 1614:
#line 12201 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 43819 "gram.c" /* yacc.c:1646  */
    break;

  case 1615:
#line 12202 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 43825 "gram.c" /* yacc.c:1646  */
    break;

  case 1616:
#line 12215 "gram.y" /* yacc.c:1646  */
    {
					DeleteStmt *n = makeNode(DeleteStmt);

					n->relation = (yyvsp[-3].range);
					n->usingClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *) n;
				}
#line 43840 "gram.c" /* yacc.c:1646  */
    break;

  case 1617:
#line 12228 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 43846 "gram.c" /* yacc.c:1646  */
    break;

  case 1618:
#line 12229 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 43852 "gram.c" /* yacc.c:1646  */
    break;

  case 1619:
#line 12241 "gram.y" /* yacc.c:1646  */
    {
					LockStmt   *n = makeNode(LockStmt);

					n->relations = (yyvsp[-2].list);
					n->mode = (yyvsp[-1].ival);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 43865 "gram.c" /* yacc.c:1646  */
    break;

  case 1620:
#line 12251 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival); }
#line 43871 "gram.c" /* yacc.c:1646  */
    break;

  case 1621:
#line 12252 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 43877 "gram.c" /* yacc.c:1646  */
    break;

  case 1622:
#line 12255 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessShareLock; }
#line 43883 "gram.c" /* yacc.c:1646  */
    break;

  case 1623:
#line 12256 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RowShareLock; }
#line 43889 "gram.c" /* yacc.c:1646  */
    break;

  case 1624:
#line 12257 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RowExclusiveLock; }
#line 43895 "gram.c" /* yacc.c:1646  */
    break;

  case 1625:
#line 12258 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareUpdateExclusiveLock; }
#line 43901 "gram.c" /* yacc.c:1646  */
    break;

  case 1626:
#line 12259 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareLock; }
#line 43907 "gram.c" /* yacc.c:1646  */
    break;

  case 1627:
#line 12260 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareRowExclusiveLock; }
#line 43913 "gram.c" /* yacc.c:1646  */
    break;

  case 1628:
#line 12261 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ExclusiveLock; }
#line 43919 "gram.c" /* yacc.c:1646  */
    break;

  case 1629:
#line 12262 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 43925 "gram.c" /* yacc.c:1646  */
    break;

  case 1630:
#line 12265 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 43931 "gram.c" /* yacc.c:1646  */
    break;

  case 1631:
#line 12266 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 43937 "gram.c" /* yacc.c:1646  */
    break;

  case 1632:
#line 12270 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LockWaitError; }
#line 43943 "gram.c" /* yacc.c:1646  */
    break;

  case 1633:
#line 12271 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LockWaitSkip; }
#line 43949 "gram.c" /* yacc.c:1646  */
    break;

  case 1634:
#line 12272 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LockWaitBlock; }
#line 43955 "gram.c" /* yacc.c:1646  */
    break;

  case 1635:
#line 12288 "gram.y" /* yacc.c:1646  */
    {
					UpdateStmt *n = makeNode(UpdateStmt);

					n->relation = (yyvsp[-5].range);
					n->targetList = (yyvsp[-3].list);
					n->fromClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-7].with);
					(yyval.node) = (Node *) n;
				}
#line 43971 "gram.c" /* yacc.c:1646  */
    break;

  case 1636:
#line 12302 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 43977 "gram.c" /* yacc.c:1646  */
    break;

  case 1637:
#line 12303 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_concat((yyvsp[-2].list),(yyvsp[0].list)); }
#line 43983 "gram.c" /* yacc.c:1646  */
    break;

  case 1638:
#line 12308 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].target)->val = (Node *) (yyvsp[0].node);
					(yyval.list) = list_make1((yyvsp[-2].target));
				}
#line 43992 "gram.c" /* yacc.c:1646  */
    break;

  case 1639:
#line 12313 "gram.y" /* yacc.c:1646  */
    {
					int			ncolumns = list_length((yyvsp[-3].list));
					int			i = 1;
					ListCell   *col_cell;

					/* Create a MultiAssignRef source for each target */
					foreach(col_cell, (yyvsp[-3].list))
					{
						ResTarget  *res_col = (ResTarget *) lfirst(col_cell);
						MultiAssignRef *r = makeNode(MultiAssignRef);

						r->source = (Node *) (yyvsp[0].node);
						r->colno = i;
						r->ncolumns = ncolumns;
						res_col->val = (Node *) r;
						i++;
					}

					(yyval.list) = (yyvsp[-3].list);
				}
#line 44017 "gram.c" /* yacc.c:1646  */
    break;

  case 1640:
#line 12337 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;	/* upper production sets this */
					(yyval.target)->location = (yylsp[-1]);
				}
#line 44029 "gram.c" /* yacc.c:1646  */
    break;

  case 1641:
#line 12347 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 44035 "gram.c" /* yacc.c:1646  */
    break;

  case 1642:
#line 12348 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].target)); }
#line 44041 "gram.c" /* yacc.c:1646  */
    break;

  case 1643:
#line 12364 "gram.y" /* yacc.c:1646  */
    {
					MergeStmt  *m = makeNode(MergeStmt);

					m->withClause = (yyvsp[-8].with);
					m->relation = (yyvsp[-5].range);
					m->sourceRelation = (yyvsp[-3].node);
					m->joinCondition = (yyvsp[-1].node);
					m->mergeWhenClauses = (yyvsp[0].list);

					(yyval.node) = (Node *) m;
				}
#line 44057 "gram.c" /* yacc.c:1646  */
    break;

  case 1644:
#line 12378 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 44063 "gram.c" /* yacc.c:1646  */
    break;

  case 1645:
#line 12379 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list),(yyvsp[0].node)); }
#line 44069 "gram.c" /* yacc.c:1646  */
    break;

  case 1646:
#line 12384 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[0].mergewhen)->matched = true;
					(yyvsp[0].mergewhen)->condition = (yyvsp[-2].node);

					(yyval.node) = (Node *) (yyvsp[0].mergewhen);
				}
#line 44080 "gram.c" /* yacc.c:1646  */
    break;

  case 1647:
#line 12391 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[0].mergewhen)->matched = true;
					(yyvsp[0].mergewhen)->condition = (yyvsp[-2].node);

					(yyval.node) = (Node *) (yyvsp[0].mergewhen);
				}
#line 44091 "gram.c" /* yacc.c:1646  */
    break;

  case 1648:
#line 12398 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[0].mergewhen)->matched = false;
					(yyvsp[0].mergewhen)->condition = (yyvsp[-2].node);

					(yyval.node) = (Node *) (yyvsp[0].mergewhen);
				}
#line 44102 "gram.c" /* yacc.c:1646  */
    break;

  case 1649:
#line 12405 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *m = makeNode(MergeWhenClause);

					m->matched = true;
					m->commandType = CMD_NOTHING;
					m->condition = (yyvsp[-3].node);

					(yyval.node) = (Node *) m;
				}
#line 44116 "gram.c" /* yacc.c:1646  */
    break;

  case 1650:
#line 12415 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *m = makeNode(MergeWhenClause);

					m->matched = false;
					m->commandType = CMD_NOTHING;
					m->condition = (yyvsp[-3].node);

					(yyval.node) = (Node *) m;
				}
#line 44130 "gram.c" /* yacc.c:1646  */
    break;

  case 1651:
#line 12427 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44136 "gram.c" /* yacc.c:1646  */
    break;

  case 1652:
#line 12428 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 44142 "gram.c" /* yacc.c:1646  */
    break;

  case 1653:
#line 12433 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_UPDATE;
					n->override = OVERRIDING_NOT_SET;
					n->targetList = (yyvsp[0].list);
					n->values = NIL;

					(yyval.mergewhen) = n;
				}
#line 44156 "gram.c" /* yacc.c:1646  */
    break;

  case 1654:
#line 12446 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_DELETE;
					n->override = OVERRIDING_NOT_SET;
					n->targetList = NIL;
					n->values = NIL;

					(yyval.mergewhen) = n;
				}
#line 44170 "gram.c" /* yacc.c:1646  */
    break;

  case 1655:
#line 12459 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_INSERT;
					n->override = OVERRIDING_NOT_SET;
					n->targetList = NIL;
					n->values = (yyvsp[0].list);
					(yyval.mergewhen) = n;
				}
#line 44183 "gram.c" /* yacc.c:1646  */
    break;

  case 1656:
#line 12468 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_INSERT;
					n->override = (yyvsp[-2].ival);
					n->targetList = NIL;
					n->values = (yyvsp[0].list);
					(yyval.mergewhen) = n;
				}
#line 44196 "gram.c" /* yacc.c:1646  */
    break;

  case 1657:
#line 12477 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_INSERT;
					n->override = OVERRIDING_NOT_SET;
					n->targetList = (yyvsp[-2].list);
					n->values = (yyvsp[0].list);
					(yyval.mergewhen) = n;
				}
#line 44209 "gram.c" /* yacc.c:1646  */
    break;

  case 1658:
#line 12486 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_INSERT;
					n->override = (yyvsp[-2].ival);
					n->targetList = (yyvsp[-5].list);
					n->values = (yyvsp[0].list);
					(yyval.mergewhen) = n;
				}
#line 44222 "gram.c" /* yacc.c:1646  */
    break;

  case 1659:
#line 12495 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_INSERT;
					n->override = OVERRIDING_NOT_SET;
					n->targetList = NIL;
					n->values = NIL;
					(yyval.mergewhen) = n;
				}
#line 44235 "gram.c" /* yacc.c:1646  */
    break;

  case 1660:
#line 12507 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[-1].list);
				}
#line 44243 "gram.c" /* yacc.c:1646  */
    break;

  case 1661:
#line 12519 "gram.y" /* yacc.c:1646  */
    {
					DeclareCursorStmt *n = makeNode(DeclareCursorStmt);

					n->portalname = (yyvsp[-5].str);
					/* currently we always set FAST_PLAN option */
					n->options = (yyvsp[-4].ival) | (yyvsp[-2].ival) | CURSOR_OPT_FAST_PLAN;
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 44257 "gram.c" /* yacc.c:1646  */
    break;

  case 1662:
#line 12530 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44263 "gram.c" /* yacc.c:1646  */
    break;

  case 1663:
#line 12533 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 44269 "gram.c" /* yacc.c:1646  */
    break;

  case 1664:
#line 12534 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | CURSOR_OPT_NO_SCROLL; }
#line 44275 "gram.c" /* yacc.c:1646  */
    break;

  case 1665:
#line 12535 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_SCROLL; }
#line 44281 "gram.c" /* yacc.c:1646  */
    break;

  case 1666:
#line 12536 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_BINARY; }
#line 44287 "gram.c" /* yacc.c:1646  */
    break;

  case 1667:
#line 12537 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_ASENSITIVE; }
#line 44293 "gram.c" /* yacc.c:1646  */
    break;

  case 1668:
#line 12538 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_INSENSITIVE; }
#line 44299 "gram.c" /* yacc.c:1646  */
    break;

  case 1669:
#line 12541 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 44305 "gram.c" /* yacc.c:1646  */
    break;

  case 1670:
#line 12542 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CURSOR_OPT_HOLD; }
#line 44311 "gram.c" /* yacc.c:1646  */
    break;

  case 1671:
#line 12543 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 44317 "gram.c" /* yacc.c:1646  */
    break;

  case 1674:
#line 12596 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 44323 "gram.c" /* yacc.c:1646  */
    break;

  case 1675:
#line 12597 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 44329 "gram.c" /* yacc.c:1646  */
    break;

  case 1676:
#line 12612 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44335 "gram.c" /* yacc.c:1646  */
    break;

  case 1677:
#line 12614 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL, NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 44346 "gram.c" /* yacc.c:1646  */
    break;

  case 1678:
#line 12621 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										(yyvsp[0].selectlimit),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 44358 "gram.c" /* yacc.c:1646  */
    break;

  case 1679:
#line 12629 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										(yyvsp[-1].selectlimit),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 44370 "gram.c" /* yacc.c:1646  */
    break;

  case 1680:
#line 12637 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[0].node), NULL, NIL,
										NULL,
										(yyvsp[-1].with),
										yyscanner);
					(yyval.node) = (yyvsp[0].node);
				}
#line 44382 "gram.c" /* yacc.c:1646  */
    break;

  case 1681:
#line 12645 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL,
										(yyvsp[-2].with),
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 44394 "gram.c" /* yacc.c:1646  */
    break;

  case 1682:
#line 12653 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										(yyvsp[0].selectlimit),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 44406 "gram.c" /* yacc.c:1646  */
    break;

  case 1683:
#line 12661 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										(yyvsp[-1].selectlimit),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 44418 "gram.c" /* yacc.c:1646  */
    break;

  case 1684:
#line 12671 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44424 "gram.c" /* yacc.c:1646  */
    break;

  case 1685:
#line 12672 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44430 "gram.c" /* yacc.c:1646  */
    break;

  case 1686:
#line 12707 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);

					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = ((yyvsp[-2].groupclause))->list;
					n->groupDistinct = ((yyvsp[-2].groupclause))->distinct;
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 44448 "gram.c" /* yacc.c:1646  */
    break;

  case 1687:
#line 12723 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);

					n->distinctClause = (yyvsp[-7].list);
					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = ((yyvsp[-2].groupclause))->list;
					n->groupDistinct = ((yyvsp[-2].groupclause))->distinct;
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 44467 "gram.c" /* yacc.c:1646  */
    break;

  case 1688:
#line 12737 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44473 "gram.c" /* yacc.c:1646  */
    break;

  case 1689:
#line 12739 "gram.y" /* yacc.c:1646  */
    {
					/* same as SELECT * FROM relation_expr */
					ColumnRef  *cr = makeNode(ColumnRef);
					ResTarget  *rt = makeNode(ResTarget);
					SelectStmt *n = makeNode(SelectStmt);

					cr->fields = list_make1(makeNode(A_Star));
					cr->location = -1;

					rt->name = NULL;
					rt->indirection = NIL;
					rt->val = (Node *) cr;
					rt->location = -1;

					n->targetList = list_make1(rt);
					n->fromClause = list_make1((yyvsp[0].range));
					(yyval.node) = (Node *) n;
				}
#line 44496 "gram.c" /* yacc.c:1646  */
    break;

  case 1690:
#line 12758 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_UNION, (yyvsp[-1].setquantifier) == SET_QUANTIFIER_ALL, (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 44504 "gram.c" /* yacc.c:1646  */
    break;

  case 1691:
#line 12762 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_INTERSECT, (yyvsp[-1].setquantifier) == SET_QUANTIFIER_ALL, (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 44512 "gram.c" /* yacc.c:1646  */
    break;

  case 1692:
#line 12766 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_EXCEPT, (yyvsp[-1].setquantifier) == SET_QUANTIFIER_ALL, (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 44520 "gram.c" /* yacc.c:1646  */
    break;

  case 1693:
#line 12781 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 44531 "gram.c" /* yacc.c:1646  */
    break;

  case 1694:
#line 12788 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 44542 "gram.c" /* yacc.c:1646  */
    break;

  case 1695:
#line 12795 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = true;
				(yyval.with)->location = (yylsp[-2]);
			}
#line 44553 "gram.c" /* yacc.c:1646  */
    break;

  case 1696:
#line 12804 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 44559 "gram.c" /* yacc.c:1646  */
    break;

  case 1697:
#line 12805 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 44565 "gram.c" /* yacc.c:1646  */
    break;

  case 1698:
#line 12809 "gram.y" /* yacc.c:1646  */
    {
				CommonTableExpr *n = makeNode(CommonTableExpr);

				n->ctename = (yyvsp[-8].str);
				n->aliascolnames = (yyvsp[-7].list);
				n->ctematerialized = (yyvsp[-5].ival);
				n->ctequery = (yyvsp[-3].node);
				n->search_clause = castNode(CTESearchClause, (yyvsp[-1].node));
				n->cycle_clause = castNode(CTECycleClause, (yyvsp[0].node));
				n->location = (yylsp[-8]);
				(yyval.node) = (Node *) n;
			}
#line 44582 "gram.c" /* yacc.c:1646  */
    break;

  case 1699:
#line 12824 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CTEMaterializeAlways; }
#line 44588 "gram.c" /* yacc.c:1646  */
    break;

  case 1700:
#line 12825 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CTEMaterializeNever; }
#line 44594 "gram.c" /* yacc.c:1646  */
    break;

  case 1701:
#line 12826 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CTEMaterializeDefault; }
#line 44600 "gram.c" /* yacc.c:1646  */
    break;

  case 1702:
#line 12831 "gram.y" /* yacc.c:1646  */
    {
				CTESearchClause *n = makeNode(CTESearchClause);

				n->search_col_list = (yyvsp[-2].list);
				n->search_breadth_first = false;
				n->search_seq_column = (yyvsp[0].str);
				n->location = (yylsp[-6]);
				(yyval.node) = (Node *) n;
			}
#line 44614 "gram.c" /* yacc.c:1646  */
    break;

  case 1703:
#line 12841 "gram.y" /* yacc.c:1646  */
    {
				CTESearchClause *n = makeNode(CTESearchClause);

				n->search_col_list = (yyvsp[-2].list);
				n->search_breadth_first = true;
				n->search_seq_column = (yyvsp[0].str);
				n->location = (yylsp[-6]);
				(yyval.node) = (Node *) n;
			}
#line 44628 "gram.c" /* yacc.c:1646  */
    break;

  case 1704:
#line 12851 "gram.y" /* yacc.c:1646  */
    {
				(yyval.node) = NULL;
			}
#line 44636 "gram.c" /* yacc.c:1646  */
    break;

  case 1705:
#line 12858 "gram.y" /* yacc.c:1646  */
    {
				CTECycleClause *n = makeNode(CTECycleClause);

				n->cycle_col_list = (yyvsp[-8].list);
				n->cycle_mark_column = (yyvsp[-6].str);
				n->cycle_mark_value = (yyvsp[-4].node);
				n->cycle_mark_default = (yyvsp[-2].node);
				n->cycle_path_column = (yyvsp[0].str);
				n->location = (yylsp[-9]);
				(yyval.node) = (Node *) n;
			}
#line 44652 "gram.c" /* yacc.c:1646  */
    break;

  case 1706:
#line 12870 "gram.y" /* yacc.c:1646  */
    {
				CTECycleClause *n = makeNode(CTECycleClause);

				n->cycle_col_list = (yyvsp[-4].list);
				n->cycle_mark_column = (yyvsp[-2].str);
				n->cycle_mark_value = makeBoolAConst(true, -1);
				n->cycle_mark_default = makeBoolAConst(false, -1);
				n->cycle_path_column = (yyvsp[0].str);
				n->location = (yylsp[-5]);
				(yyval.node) = (Node *) n;
			}
#line 44668 "gram.c" /* yacc.c:1646  */
    break;

  case 1707:
#line 12882 "gram.y" /* yacc.c:1646  */
    {
				(yyval.node) = NULL;
			}
#line 44676 "gram.c" /* yacc.c:1646  */
    break;

  case 1708:
#line 12888 "gram.y" /* yacc.c:1646  */
    { (yyval.with) = (yyvsp[0].with); }
#line 44682 "gram.c" /* yacc.c:1646  */
    break;

  case 1709:
#line 12889 "gram.y" /* yacc.c:1646  */
    { (yyval.with) = NULL; }
#line 44688 "gram.c" /* yacc.c:1646  */
    break;

  case 1710:
#line 12894 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[0].range);
					(yyval.into)->colNames = NIL;
					(yyval.into)->options = NIL;
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = NULL;
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;
				}
#line 44703 "gram.c" /* yacc.c:1646  */
    break;

  case 1711:
#line 12905 "gram.y" /* yacc.c:1646  */
    { (yyval.into) = NULL; }
#line 44709 "gram.c" /* yacc.c:1646  */
    break;

  case 1712:
#line 12914 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 44718 "gram.c" /* yacc.c:1646  */
    break;

  case 1713:
#line 12919 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 44727 "gram.c" /* yacc.c:1646  */
    break;

  case 1714:
#line 12924 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 44736 "gram.c" /* yacc.c:1646  */
    break;

  case 1715:
#line 12929 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 44745 "gram.c" /* yacc.c:1646  */
    break;

  case 1716:
#line 12934 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 44757 "gram.c" /* yacc.c:1646  */
    break;

  case 1717:
#line 12942 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 44769 "gram.c" /* yacc.c:1646  */
    break;

  case 1718:
#line 12950 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_UNLOGGED;
				}
#line 44778 "gram.c" /* yacc.c:1646  */
    break;

  case 1719:
#line 12955 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 44787 "gram.c" /* yacc.c:1646  */
    break;

  case 1720:
#line 12960 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 44796 "gram.c" /* yacc.c:1646  */
    break;

  case 1723:
#line 12971 "gram.y" /* yacc.c:1646  */
    { (yyval.setquantifier) = SET_QUANTIFIER_ALL; }
#line 44802 "gram.c" /* yacc.c:1646  */
    break;

  case 1724:
#line 12972 "gram.y" /* yacc.c:1646  */
    { (yyval.setquantifier) = SET_QUANTIFIER_DISTINCT; }
#line 44808 "gram.c" /* yacc.c:1646  */
    break;

  case 1725:
#line 12973 "gram.y" /* yacc.c:1646  */
    { (yyval.setquantifier) = SET_QUANTIFIER_DEFAULT; }
#line 44814 "gram.c" /* yacc.c:1646  */
    break;

  case 1726:
#line 12980 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(NIL); }
#line 44820 "gram.c" /* yacc.c:1646  */
    break;

  case 1727:
#line 12981 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 44826 "gram.c" /* yacc.c:1646  */
    break;

  case 1730:
#line 12990 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 44832 "gram.c" /* yacc.c:1646  */
    break;

  case 1731:
#line 12991 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 44838 "gram.c" /* yacc.c:1646  */
    break;

  case 1732:
#line 12995 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 44844 "gram.c" /* yacc.c:1646  */
    break;

  case 1733:
#line 12996 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 44850 "gram.c" /* yacc.c:1646  */
    break;

  case 1734:
#line 13000 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 44856 "gram.c" /* yacc.c:1646  */
    break;

  case 1735:
#line 13004 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].sortby)); }
#line 44862 "gram.c" /* yacc.c:1646  */
    break;

  case 1736:
#line 13005 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].sortby)); }
#line 44868 "gram.c" /* yacc.c:1646  */
    break;

  case 1737:
#line 13009 "gram.y" /* yacc.c:1646  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-3].node);
					(yyval.sortby)->sortby_dir = SORTBY_USING;
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = (yyvsp[-1].list);
					(yyval.sortby)->location = (yylsp[-1]);
				}
#line 44881 "gram.c" /* yacc.c:1646  */
    break;

  case 1738:
#line 13018 "gram.y" /* yacc.c:1646  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-2].node);
					(yyval.sortby)->sortby_dir = (yyvsp[-1].ival);
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = NIL;
					(yyval.sortby)->location = -1;		/* no operator */
				}
#line 44894 "gram.c" /* yacc.c:1646  */
    break;

  case 1739:
#line 13031 "gram.y" /* yacc.c:1646  */
    {
					(yyval.selectlimit) = (yyvsp[-1].selectlimit);
					((yyval.selectlimit))->limitOffset = (yyvsp[0].node);
				}
#line 44903 "gram.c" /* yacc.c:1646  */
    break;

  case 1740:
#line 13036 "gram.y" /* yacc.c:1646  */
    {
					(yyval.selectlimit) = (yyvsp[0].selectlimit);
					((yyval.selectlimit))->limitOffset = (yyvsp[-1].node);
				}
#line 44912 "gram.c" /* yacc.c:1646  */
    break;

  case 1741:
#line 13041 "gram.y" /* yacc.c:1646  */
    {
					(yyval.selectlimit) = (yyvsp[0].selectlimit);
				}
#line 44920 "gram.c" /* yacc.c:1646  */
    break;

  case 1742:
#line 13045 "gram.y" /* yacc.c:1646  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = (yyvsp[0].node);
					n->limitCount = NULL;
					n->limitOption = LIMIT_OPTION_COUNT;
					(yyval.selectlimit) = n;
				}
#line 44933 "gram.c" /* yacc.c:1646  */
    break;

  case 1743:
#line 13056 "gram.y" /* yacc.c:1646  */
    { (yyval.selectlimit) = (yyvsp[0].selectlimit); }
#line 44939 "gram.c" /* yacc.c:1646  */
    break;

  case 1744:
#line 13057 "gram.y" /* yacc.c:1646  */
    { (yyval.selectlimit) = NULL; }
#line 44945 "gram.c" /* yacc.c:1646  */
    break;

  case 1745:
#line 13062 "gram.y" /* yacc.c:1646  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = NULL;
					n->limitCount = (yyvsp[0].node);
					n->limitOption = LIMIT_OPTION_COUNT;
					(yyval.selectlimit) = n;
				}
#line 44958 "gram.c" /* yacc.c:1646  */
    break;

  case 1746:
#line 13071 "gram.y" /* yacc.c:1646  */
    {
					/* Disabled because it was too confusing, bjm 2002-02-18 */
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("LIMIT #,# syntax is not supported"),
							 errhint("Use separate LIMIT and OFFSET clauses."),
							 parser_errposition((yylsp[-3]))));
				}
#line 44971 "gram.c" /* yacc.c:1646  */
    break;

  case 1747:
#line 13087 "gram.y" /* yacc.c:1646  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = NULL;
					n->limitCount = (yyvsp[-2].node);
					n->limitOption = LIMIT_OPTION_COUNT;
					(yyval.selectlimit) = n;
				}
#line 44984 "gram.c" /* yacc.c:1646  */
    break;

  case 1748:
#line 13096 "gram.y" /* yacc.c:1646  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = NULL;
					n->limitCount = (yyvsp[-3].node);
					n->limitOption = LIMIT_OPTION_WITH_TIES;
					(yyval.selectlimit) = n;
				}
#line 44997 "gram.c" /* yacc.c:1646  */
    break;

  case 1749:
#line 13105 "gram.y" /* yacc.c:1646  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = NULL;
					n->limitCount = makeIntConst(1, -1);
					n->limitOption = LIMIT_OPTION_COUNT;
					(yyval.selectlimit) = n;
				}
#line 45010 "gram.c" /* yacc.c:1646  */
    break;

  case 1750:
#line 13114 "gram.y" /* yacc.c:1646  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = NULL;
					n->limitCount = makeIntConst(1, -1);
					n->limitOption = LIMIT_OPTION_WITH_TIES;
					(yyval.selectlimit) = n;
				}
#line 45023 "gram.c" /* yacc.c:1646  */
    break;

  case 1751:
#line 13126 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45029 "gram.c" /* yacc.c:1646  */
    break;

  case 1752:
#line 13129 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 45035 "gram.c" /* yacc.c:1646  */
    break;

  case 1753:
#line 13133 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45041 "gram.c" /* yacc.c:1646  */
    break;

  case 1754:
#line 13135 "gram.y" /* yacc.c:1646  */
    {
					/* LIMIT ALL is represented as a NULL constant */
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 45050 "gram.c" /* yacc.c:1646  */
    break;

  case 1755:
#line 13142 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45056 "gram.c" /* yacc.c:1646  */
    break;

  case 1756:
#line 13162 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45062 "gram.c" /* yacc.c:1646  */
    break;

  case 1757:
#line 13164 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 45068 "gram.c" /* yacc.c:1646  */
    break;

  case 1758:
#line 13166 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 45074 "gram.c" /* yacc.c:1646  */
    break;

  case 1759:
#line 13170 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst((yyvsp[0].ival),(yylsp[0])); }
#line 45080 "gram.c" /* yacc.c:1646  */
    break;

  case 1760:
#line 13171 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeFloatConst((yyvsp[0].str),(yylsp[0])); }
#line 45086 "gram.c" /* yacc.c:1646  */
    break;

  case 1761:
#line 13175 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 45092 "gram.c" /* yacc.c:1646  */
    break;

  case 1762:
#line 13176 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 45098 "gram.c" /* yacc.c:1646  */
    break;

  case 1763:
#line 13179 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 45104 "gram.c" /* yacc.c:1646  */
    break;

  case 1764:
#line 13180 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 45110 "gram.c" /* yacc.c:1646  */
    break;

  case 1765:
#line 13206 "gram.y" /* yacc.c:1646  */
    {
					GroupClause *n = (GroupClause *) palloc(sizeof(GroupClause));

					n->distinct = (yyvsp[-1].setquantifier) == SET_QUANTIFIER_DISTINCT;
					n->list = (yyvsp[0].list);
					(yyval.groupclause) = n;
				}
#line 45122 "gram.c" /* yacc.c:1646  */
    break;

  case 1766:
#line 13214 "gram.y" /* yacc.c:1646  */
    {
					GroupClause *n = (GroupClause *) palloc(sizeof(GroupClause));

					n->distinct = false;
					n->list = NIL;
					(yyval.groupclause) = n;
				}
#line 45134 "gram.c" /* yacc.c:1646  */
    break;

  case 1767:
#line 13224 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 45140 "gram.c" /* yacc.c:1646  */
    break;

  case 1768:
#line 13225 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].node)); }
#line 45146 "gram.c" /* yacc.c:1646  */
    break;

  case 1769:
#line 13229 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45152 "gram.c" /* yacc.c:1646  */
    break;

  case 1770:
#line 13230 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45158 "gram.c" /* yacc.c:1646  */
    break;

  case 1771:
#line 13231 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45164 "gram.c" /* yacc.c:1646  */
    break;

  case 1772:
#line 13232 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45170 "gram.c" /* yacc.c:1646  */
    break;

  case 1773:
#line 13233 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45176 "gram.c" /* yacc.c:1646  */
    break;

  case 1774:
#line 13238 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_EMPTY, NIL, (yylsp[-1]));
				}
#line 45184 "gram.c" /* yacc.c:1646  */
    break;

  case 1775:
#line 13251 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_ROLLUP, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 45192 "gram.c" /* yacc.c:1646  */
    break;

  case 1776:
#line 13258 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_CUBE, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 45200 "gram.c" /* yacc.c:1646  */
    break;

  case 1777:
#line 13265 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_SETS, (yyvsp[-1].list), (yylsp[-4]));
				}
#line 45208 "gram.c" /* yacc.c:1646  */
    break;

  case 1778:
#line 13271 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45214 "gram.c" /* yacc.c:1646  */
    break;

  case 1779:
#line 13272 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 45220 "gram.c" /* yacc.c:1646  */
    break;

  case 1780:
#line 13276 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 45226 "gram.c" /* yacc.c:1646  */
    break;

  case 1781:
#line 13277 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 45232 "gram.c" /* yacc.c:1646  */
    break;

  case 1782:
#line 13281 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 45238 "gram.c" /* yacc.c:1646  */
    break;

  case 1783:
#line 13282 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 45244 "gram.c" /* yacc.c:1646  */
    break;

  case 1784:
#line 13286 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 45250 "gram.c" /* yacc.c:1646  */
    break;

  case 1785:
#line 13287 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 45256 "gram.c" /* yacc.c:1646  */
    break;

  case 1786:
#line 13292 "gram.y" /* yacc.c:1646  */
    {
					LockingClause *n = makeNode(LockingClause);

					n->lockedRels = (yyvsp[-1].list);
					n->strength = (yyvsp[-2].ival);
					n->waitPolicy = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 45269 "gram.c" /* yacc.c:1646  */
    break;

  case 1787:
#line 13303 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORUPDATE; }
#line 45275 "gram.c" /* yacc.c:1646  */
    break;

  case 1788:
#line 13304 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORNOKEYUPDATE; }
#line 45281 "gram.c" /* yacc.c:1646  */
    break;

  case 1789:
#line 13305 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORSHARE; }
#line 45287 "gram.c" /* yacc.c:1646  */
    break;

  case 1790:
#line 13306 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORKEYSHARE; }
#line 45293 "gram.c" /* yacc.c:1646  */
    break;

  case 1791:
#line 13310 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 45299 "gram.c" /* yacc.c:1646  */
    break;

  case 1792:
#line 13311 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 45305 "gram.c" /* yacc.c:1646  */
    break;

  case 1793:
#line 13322 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);

					n->valuesLists = list_make1((yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 45316 "gram.c" /* yacc.c:1646  */
    break;

  case 1794:
#line 13329 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = (SelectStmt *) (yyvsp[-4].node);

					n->valuesLists = lappend(n->valuesLists, (yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 45327 "gram.c" /* yacc.c:1646  */
    break;

  case 1795:
#line 13347 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 45333 "gram.c" /* yacc.c:1646  */
    break;

  case 1796:
#line 13348 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 45339 "gram.c" /* yacc.c:1646  */
    break;

  case 1797:
#line 13352 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 45345 "gram.c" /* yacc.c:1646  */
    break;

  case 1798:
#line 13353 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 45351 "gram.c" /* yacc.c:1646  */
    break;

  case 1799:
#line 13360 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-1].range)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-1].range);
				}
#line 45360 "gram.c" /* yacc.c:1646  */
    break;

  case 1800:
#line 13365 "gram.y" /* yacc.c:1646  */
    {
					RangeTableSample *n = (RangeTableSample *) (yyvsp[0].node);

					(yyvsp[-2].range)->alias = (yyvsp[-1].alias);
					/* relation_expr goes inside the RangeTableSample node */
					n->relation = (Node *) (yyvsp[-2].range);
					(yyval.node) = (Node *) n;
				}
#line 45373 "gram.c" /* yacc.c:1646  */
    break;

  case 1801:
#line 13374 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);

					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 45385 "gram.c" /* yacc.c:1646  */
    break;

  case 1802:
#line 13382 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);

					n->lateral = true;
					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 45398 "gram.c" /* yacc.c:1646  */
    break;

  case 1803:
#line 13391 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = (RangeTableFunc *) (yyvsp[-1].node);

					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 45409 "gram.c" /* yacc.c:1646  */
    break;

  case 1804:
#line 13398 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = (RangeTableFunc *) (yyvsp[-1].node);

					n->lateral = true;
					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 45421 "gram.c" /* yacc.c:1646  */
    break;

  case 1805:
#line 13406 "gram.y" /* yacc.c:1646  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);

					n->lateral = false;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 45434 "gram.c" /* yacc.c:1646  */
    break;

  case 1806:
#line 13415 "gram.y" /* yacc.c:1646  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);

					n->lateral = true;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 45447 "gram.c" /* yacc.c:1646  */
    break;

  case 1807:
#line 13424 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) (yyvsp[0].jexpr);
				}
#line 45455 "gram.c" /* yacc.c:1646  */
    break;

  case 1808:
#line 13428 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].jexpr)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-2].jexpr);
				}
#line 45464 "gram.c" /* yacc.c:1646  */
    break;

  case 1809:
#line 13454 "gram.y" /* yacc.c:1646  */
    {
					(yyval.jexpr) = (yyvsp[-1].jexpr);
				}
#line 45472 "gram.c" /* yacc.c:1646  */
    break;

  case 1810:
#line 13458 "gram.y" /* yacc.c:1646  */
    {
					/* CROSS JOIN is same as unqualified inner join */
					JoinExpr   *n = makeNode(JoinExpr);

					n->jointype = JOIN_INNER;
					n->isNatural = false;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL;
					n->join_using_alias = NULL;
					n->quals = NULL;
					(yyval.jexpr) = n;
				}
#line 45490 "gram.c" /* yacc.c:1646  */
    break;

  case 1811:
#line 13472 "gram.y" /* yacc.c:1646  */
    {
					JoinExpr   *n = makeNode(JoinExpr);

					n->jointype = (yyvsp[-3].jtype);
					n->isNatural = false;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
					{
						 /* USING clause */
						n->usingClause = linitial_node(List, castNode(List, (yyvsp[0].node)));
						n->join_using_alias = lsecond_node(Alias, castNode(List, (yyvsp[0].node)));
					}
					else
					{
						/* ON clause */
						n->quals = (yyvsp[0].node);
					}
					(yyval.jexpr) = n;
				}
#line 45515 "gram.c" /* yacc.c:1646  */
    break;

  case 1812:
#line 13493 "gram.y" /* yacc.c:1646  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr   *n = makeNode(JoinExpr);

					n->jointype = JOIN_INNER;
					n->isNatural = false;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
					{
						/* USING clause */
						n->usingClause = linitial_node(List, castNode(List, (yyvsp[0].node)));
						n->join_using_alias = lsecond_node(Alias, castNode(List, (yyvsp[0].node)));
					}
					else
					{
						/* ON clause */
						n->quals = (yyvsp[0].node);
					}
					(yyval.jexpr) = n;
				}
#line 45541 "gram.c" /* yacc.c:1646  */
    break;

  case 1813:
#line 13515 "gram.y" /* yacc.c:1646  */
    {
					JoinExpr   *n = makeNode(JoinExpr);

					n->jointype = (yyvsp[-2].jtype);
					n->isNatural = true;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->join_using_alias = NULL;
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 45558 "gram.c" /* yacc.c:1646  */
    break;

  case 1814:
#line 13528 "gram.y" /* yacc.c:1646  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr   *n = makeNode(JoinExpr);

					n->jointype = JOIN_INNER;
					n->isNatural = true;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->join_using_alias = NULL;
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 45576 "gram.c" /* yacc.c:1646  */
    break;

  case 1815:
#line 13545 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 45586 "gram.c" /* yacc.c:1646  */
    break;

  case 1816:
#line 13551 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 45595 "gram.c" /* yacc.c:1646  */
    break;

  case 1817:
#line 13556 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 45605 "gram.c" /* yacc.c:1646  */
    break;

  case 1818:
#line 13562 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 45614 "gram.c" /* yacc.c:1646  */
    break;

  case 1819:
#line 13568 "gram.y" /* yacc.c:1646  */
    { (yyval.alias) = (yyvsp[0].alias); }
#line 45620 "gram.c" /* yacc.c:1646  */
    break;

  case 1820:
#line 13569 "gram.y" /* yacc.c:1646  */
    { (yyval.alias) = NULL; }
#line 45626 "gram.c" /* yacc.c:1646  */
    break;

  case 1821:
#line 13580 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
					/* the column name list will be inserted later */
				}
#line 45636 "gram.c" /* yacc.c:1646  */
    break;

  case 1822:
#line 13585 "gram.y" /* yacc.c:1646  */
    { (yyval.alias) = NULL; }
#line 45642 "gram.c" /* yacc.c:1646  */
    break;

  case 1823:
#line 13594 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].alias), NIL);
				}
#line 45650 "gram.c" /* yacc.c:1646  */
    break;

  case 1824:
#line 13598 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, (yyvsp[-1].list));
				}
#line 45658 "gram.c" /* yacc.c:1646  */
    break;

  case 1825:
#line 13602 "gram.y" /* yacc.c:1646  */
    {
					Alias	   *a = makeNode(Alias);

					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 45669 "gram.c" /* yacc.c:1646  */
    break;

  case 1826:
#line 13609 "gram.y" /* yacc.c:1646  */
    {
					Alias	   *a = makeNode(Alias);

					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 45680 "gram.c" /* yacc.c:1646  */
    break;

  case 1827:
#line 13616 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, NIL);
				}
#line 45688 "gram.c" /* yacc.c:1646  */
    break;

  case 1828:
#line 13621 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_FULL; }
#line 45694 "gram.c" /* yacc.c:1646  */
    break;

  case 1829:
#line 13622 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_LEFT; }
#line 45700 "gram.c" /* yacc.c:1646  */
    break;

  case 1830:
#line 13623 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_RIGHT; }
#line 45706 "gram.c" /* yacc.c:1646  */
    break;

  case 1831:
#line 13624 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_INNER; }
#line 45712 "gram.c" /* yacc.c:1646  */
    break;

  case 1834:
#line 13645 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) list_make2((yyvsp[-2].list), (yyvsp[0].alias));
				}
#line 45720 "gram.c" /* yacc.c:1646  */
    break;

  case 1835:
#line 13649 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 45728 "gram.c" /* yacc.c:1646  */
    break;

  case 1836:
#line 13657 "gram.y" /* yacc.c:1646  */
    {
					/* inheritance query, implicitly */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inh = true;
					(yyval.range)->alias = NULL;
				}
#line 45739 "gram.c" /* yacc.c:1646  */
    break;

  case 1837:
#line 13664 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 45747 "gram.c" /* yacc.c:1646  */
    break;

  case 1838:
#line 13671 "gram.y" /* yacc.c:1646  */
    {
					/* inheritance query, explicitly */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inh = true;
					(yyval.range)->alias = NULL;
				}
#line 45758 "gram.c" /* yacc.c:1646  */
    break;

  case 1839:
#line 13678 "gram.y" /* yacc.c:1646  */
    {
					/* no inheritance */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inh = false;
					(yyval.range)->alias = NULL;
				}
#line 45769 "gram.c" /* yacc.c:1646  */
    break;

  case 1840:
#line 13685 "gram.y" /* yacc.c:1646  */
    {
					/* no inheritance, SQL99-style syntax */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inh = false;
					(yyval.range)->alias = NULL;
				}
#line 45780 "gram.c" /* yacc.c:1646  */
    break;

  case 1841:
#line 13695 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 45786 "gram.c" /* yacc.c:1646  */
    break;

  case 1842:
#line 13696 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 45792 "gram.c" /* yacc.c:1646  */
    break;

  case 1843:
#line 13710 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 45800 "gram.c" /* yacc.c:1646  */
    break;

  case 1844:
#line 13714 "gram.y" /* yacc.c:1646  */
    {
					Alias	   *alias = makeNode(Alias);

					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-1].range)->alias = alias;
					(yyval.range) = (yyvsp[-1].range);
				}
#line 45812 "gram.c" /* yacc.c:1646  */
    break;

  case 1845:
#line 13722 "gram.y" /* yacc.c:1646  */
    {
					Alias	   *alias = makeNode(Alias);

					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-2].range)->alias = alias;
					(yyval.range) = (yyvsp[-2].range);
				}
#line 45824 "gram.c" /* yacc.c:1646  */
    break;

  case 1846:
#line 13736 "gram.y" /* yacc.c:1646  */
    {
					RangeTableSample *n = makeNode(RangeTableSample);

					/* n->relation will be filled in later */
					n->method = (yyvsp[-4].list);
					n->args = (yyvsp[-2].list);
					n->repeatable = (yyvsp[0].node);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 45839 "gram.c" /* yacc.c:1646  */
    break;

  case 1847:
#line 13749 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].node); }
#line 45845 "gram.c" /* yacc.c:1646  */
    break;

  case 1848:
#line 13750 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 45851 "gram.c" /* yacc.c:1646  */
    break;

  case 1849:
#line 13766 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = makeNode(RangeFunction);

					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = false;
					n->functions = list_make1(list_make2((yyvsp[-1].node), NIL));
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 45866 "gram.c" /* yacc.c:1646  */
    break;

  case 1850:
#line 13777 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = makeNode(RangeFunction);

					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = true;
					n->functions = (yyvsp[-2].list);
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 45881 "gram.c" /* yacc.c:1646  */
    break;

  case 1851:
#line 13790 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].list)); }
#line 45887 "gram.c" /* yacc.c:1646  */
    break;

  case 1852:
#line 13794 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 45893 "gram.c" /* yacc.c:1646  */
    break;

  case 1853:
#line 13795 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 45899 "gram.c" /* yacc.c:1646  */
    break;

  case 1854:
#line 13798 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 45905 "gram.c" /* yacc.c:1646  */
    break;

  case 1855:
#line 13799 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 45911 "gram.c" /* yacc.c:1646  */
    break;

  case 1856:
#line 13802 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 45917 "gram.c" /* yacc.c:1646  */
    break;

  case 1857:
#line 13803 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 45923 "gram.c" /* yacc.c:1646  */
    break;

  case 1858:
#line 13808 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45929 "gram.c" /* yacc.c:1646  */
    break;

  case 1859:
#line 13809 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 45935 "gram.c" /* yacc.c:1646  */
    break;

  case 1860:
#line 13814 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45941 "gram.c" /* yacc.c:1646  */
    break;

  case 1861:
#line 13816 "gram.y" /* yacc.c:1646  */
    {
					CurrentOfExpr *n = makeNode(CurrentOfExpr);

					/* cvarno is filled in by parse analysis */
					n->cursor_name = (yyvsp[0].str);
					n->cursor_param = 0;
					(yyval.node) = (Node *) n;
				}
#line 45954 "gram.c" /* yacc.c:1646  */
    break;

  case 1862:
#line 13824 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 45960 "gram.c" /* yacc.c:1646  */
    break;

  case 1863:
#line 13829 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 45966 "gram.c" /* yacc.c:1646  */
    break;

  case 1864:
#line 13830 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 45972 "gram.c" /* yacc.c:1646  */
    break;

  case 1865:
#line 13835 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 45980 "gram.c" /* yacc.c:1646  */
    break;

  case 1866:
#line 13839 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 45988 "gram.c" /* yacc.c:1646  */
    break;

  case 1867:
#line 13845 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);

					n->colname = (yyvsp[-2].str);
					n->typeName = (yyvsp[-1].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collClause = (CollateClause *) (yyvsp[0].node);
					n->collOid = InvalidOid;
					n->constraints = NIL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 46011 "gram.c" /* yacc.c:1646  */
    break;

  case 1868:
#line 13870 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = makeNode(RangeTableFunc);

					n->rowexpr = (yyvsp[-4].node);
					n->docexpr = (yyvsp[-3].node);
					n->columns = (yyvsp[-1].list);
					n->namespaces = NIL;
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *) n;
				}
#line 46026 "gram.c" /* yacc.c:1646  */
    break;

  case 1869:
#line 13882 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = makeNode(RangeTableFunc);

					n->rowexpr = (yyvsp[-4].node);
					n->docexpr = (yyvsp[-3].node);
					n->columns = (yyvsp[-1].list);
					n->namespaces = (yyvsp[-7].list);
					n->location = (yylsp[-11]);
					(yyval.node) = (Node *) n;
				}
#line 46041 "gram.c" /* yacc.c:1646  */
    break;

  case 1870:
#line 13894 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 46047 "gram.c" /* yacc.c:1646  */
    break;

  case 1871:
#line 13895 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 46053 "gram.c" /* yacc.c:1646  */
    break;

  case 1872:
#line 13900 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFuncCol *fc = makeNode(RangeTableFuncCol);

					fc->colname = (yyvsp[-1].str);
					fc->for_ordinality = false;
					fc->typeName = (yyvsp[0].typnam);
					fc->is_not_null = false;
					fc->colexpr = NULL;
					fc->coldefexpr = NULL;
					fc->location = (yylsp[-1]);

					(yyval.node) = (Node *) fc;
				}
#line 46071 "gram.c" /* yacc.c:1646  */
    break;

  case 1873:
#line 13914 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFuncCol *fc = makeNode(RangeTableFuncCol);
					ListCell   *option;
					bool		nullability_seen = false;

					fc->colname = (yyvsp[-2].str);
					fc->typeName = (yyvsp[-1].typnam);
					fc->for_ordinality = false;
					fc->is_not_null = false;
					fc->colexpr = NULL;
					fc->coldefexpr = NULL;
					fc->location = (yylsp[-2]);

					foreach(option, (yyvsp[0].list))
					{
						DefElem   *defel = (DefElem *) lfirst(option);

						if (strcmp(defel->defname, "default") == 0)
						{
							if (fc->coldefexpr != NULL)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("only one DEFAULT value is allowed"),
										 parser_errposition(defel->location)));
							fc->coldefexpr = defel->arg;
						}
						else if (strcmp(defel->defname, "path") == 0)
						{
							if (fc->colexpr != NULL)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("only one PATH value per column is allowed"),
										 parser_errposition(defel->location)));
							fc->colexpr = defel->arg;
						}
						else if (strcmp(defel->defname, "is_not_null") == 0)
						{
							if (nullability_seen)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("conflicting or redundant NULL / NOT NULL declarations for column \"%s\"", fc->colname),
										 parser_errposition(defel->location)));
							fc->is_not_null = boolVal(defel->arg);
							nullability_seen = true;
						}
						else
						{
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("unrecognized column option \"%s\"",
											defel->defname),
									 parser_errposition(defel->location)));
						}
					}
					(yyval.node) = (Node *) fc;
				}
#line 46132 "gram.c" /* yacc.c:1646  */
    break;

  case 1874:
#line 13971 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFuncCol *fc = makeNode(RangeTableFuncCol);

					fc->colname = (yyvsp[-2].str);
					fc->for_ordinality = true;
					/* other fields are ignored, initialized by makeNode */
					fc->location = (yylsp[-2]);

					(yyval.node) = (Node *) fc;
				}
#line 46147 "gram.c" /* yacc.c:1646  */
    break;

  case 1875:
#line 13985 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 46153 "gram.c" /* yacc.c:1646  */
    break;

  case 1876:
#line 13987 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 46159 "gram.c" /* yacc.c:1646  */
    break;

  case 1877:
#line 13992 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1])); }
#line 46165 "gram.c" /* yacc.c:1646  */
    break;

  case 1878:
#line 13994 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("default", (yyvsp[0].node), (yylsp[-1])); }
#line 46171 "gram.c" /* yacc.c:1646  */
    break;

  case 1879:
#line 13996 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("is_not_null", (Node *) makeBoolean(true), (yylsp[-1])); }
#line 46177 "gram.c" /* yacc.c:1646  */
    break;

  case 1880:
#line 13998 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("is_not_null", (Node *) makeBoolean(false), (yylsp[0])); }
#line 46183 "gram.c" /* yacc.c:1646  */
    break;

  case 1881:
#line 14003 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 46189 "gram.c" /* yacc.c:1646  */
    break;

  case 1882:
#line 14005 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 46195 "gram.c" /* yacc.c:1646  */
    break;

  case 1883:
#line 14010 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 46207 "gram.c" /* yacc.c:1646  */
    break;

  case 1884:
#line 14018 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (yyvsp[0].node);
					(yyval.target)->location = (yylsp[-1]);
				}
#line 46219 "gram.c" /* yacc.c:1646  */
    break;

  case 1885:
#line 14038 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
				}
#line 46228 "gram.c" /* yacc.c:1646  */
    break;

  case 1886:
#line 14043 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
					(yyval.typnam)->setof = true;
				}
#line 46238 "gram.c" /* yacc.c:1646  */
    break;

  case 1887:
#line 14050 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
				}
#line 46247 "gram.c" /* yacc.c:1646  */
    break;

  case 1888:
#line 14055 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
					(yyval.typnam)->setof = true;
				}
#line 46257 "gram.c" /* yacc.c:1646  */
    break;

  case 1889:
#line 14061 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
				}
#line 46266 "gram.c" /* yacc.c:1646  */
    break;

  case 1890:
#line 14066 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
					(yyval.typnam)->setof = true;
				}
#line 46276 "gram.c" /* yacc.c:1646  */
    break;

  case 1891:
#line 14075 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = lappend((yyvsp[-2].list), makeInteger(-1)); }
#line 46282 "gram.c" /* yacc.c:1646  */
    break;

  case 1892:
#line 14077 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = lappend((yyvsp[-3].list), makeInteger((yyvsp[-1].ival))); }
#line 46288 "gram.c" /* yacc.c:1646  */
    break;

  case 1893:
#line 14079 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = NIL; }
#line 46294 "gram.c" /* yacc.c:1646  */
    break;

  case 1894:
#line 14083 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46300 "gram.c" /* yacc.c:1646  */
    break;

  case 1895:
#line 14084 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46306 "gram.c" /* yacc.c:1646  */
    break;

  case 1896:
#line 14085 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46312 "gram.c" /* yacc.c:1646  */
    break;

  case 1897:
#line 14086 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46318 "gram.c" /* yacc.c:1646  */
    break;

  case 1898:
#line 14087 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46324 "gram.c" /* yacc.c:1646  */
    break;

  case 1899:
#line 14089 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->typmods = (yyvsp[0].list);
				}
#line 46333 "gram.c" /* yacc.c:1646  */
    break;

  case 1900:
#line 14094 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-3].typnam);
					(yyval.typnam)->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											 makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 46343 "gram.c" /* yacc.c:1646  */
    break;

  case 1901:
#line 14099 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46349 "gram.c" /* yacc.c:1646  */
    break;

  case 1902:
#line 14114 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46355 "gram.c" /* yacc.c:1646  */
    break;

  case 1903:
#line 14115 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46361 "gram.c" /* yacc.c:1646  */
    break;

  case 1904:
#line 14116 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46367 "gram.c" /* yacc.c:1646  */
    break;

  case 1905:
#line 14117 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46373 "gram.c" /* yacc.c:1646  */
    break;

  case 1906:
#line 14118 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46379 "gram.c" /* yacc.c:1646  */
    break;

  case 1907:
#line 14130 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeName((yyvsp[-1].str));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 46389 "gram.c" /* yacc.c:1646  */
    break;

  case 1908:
#line 14136 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-2].str)), (yyvsp[-1].list)));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-2]);
				}
#line 46399 "gram.c" /* yacc.c:1646  */
    break;

  case 1909:
#line 14143 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 46405 "gram.c" /* yacc.c:1646  */
    break;

  case 1910:
#line 14144 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 46411 "gram.c" /* yacc.c:1646  */
    break;

  case 1911:
#line 14151 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 46420 "gram.c" /* yacc.c:1646  */
    break;

  case 1912:
#line 14156 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 46429 "gram.c" /* yacc.c:1646  */
    break;

  case 1913:
#line 14161 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int2");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 46438 "gram.c" /* yacc.c:1646  */
    break;

  case 1914:
#line 14166 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int8");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 46447 "gram.c" /* yacc.c:1646  */
    break;

  case 1915:
#line 14171 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 46456 "gram.c" /* yacc.c:1646  */
    break;

  case 1916:
#line 14176 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 46465 "gram.c" /* yacc.c:1646  */
    break;

  case 1917:
#line 14181 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float8");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 46474 "gram.c" /* yacc.c:1646  */
    break;

  case 1918:
#line 14186 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 46484 "gram.c" /* yacc.c:1646  */
    break;

  case 1919:
#line 14192 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 46494 "gram.c" /* yacc.c:1646  */
    break;

  case 1920:
#line 14198 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 46504 "gram.c" /* yacc.c:1646  */
    break;

  case 1921:
#line 14204 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("bool");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 46513 "gram.c" /* yacc.c:1646  */
    break;

  case 1922:
#line 14211 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Check FLOAT() precision limits assuming IEEE floating
					 * types - thomas 1997-09-18
					 */
					if ((yyvsp[-1].ival) < 1)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be at least 1 bit"),
								 parser_errposition((yylsp[-1]))));
					else if ((yyvsp[-1].ival) <= 24)
						(yyval.typnam) = SystemTypeName("float4");
					else if ((yyvsp[-1].ival) <= 53)
						(yyval.typnam) = SystemTypeName("float8");
					else
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be less than 54 bits"),
								 parser_errposition((yylsp[-1]))));
				}
#line 46538 "gram.c" /* yacc.c:1646  */
    break;

  case 1923:
#line 14232 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float8");
				}
#line 46546 "gram.c" /* yacc.c:1646  */
    break;

  case 1924:
#line 14242 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 46554 "gram.c" /* yacc.c:1646  */
    break;

  case 1925:
#line 14246 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 46562 "gram.c" /* yacc.c:1646  */
    break;

  case 1926:
#line 14254 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 46570 "gram.c" /* yacc.c:1646  */
    break;

  case 1927:
#line 14258 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 46579 "gram.c" /* yacc.c:1646  */
    break;

  case 1928:
#line 14266 "gram.y" /* yacc.c:1646  */
    {
					char *typname;

					typname = (yyvsp[-3].boolean) ? "varbit" : "bit";
					(yyval.typnam) = SystemTypeName(typname);
					(yyval.typnam)->typmods = (yyvsp[-1].list);
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 46592 "gram.c" /* yacc.c:1646  */
    break;

  case 1929:
#line 14278 "gram.y" /* yacc.c:1646  */
    {
					/* bit defaults to bit(1), varbit to no limit */
					if ((yyvsp[0].boolean))
					{
						(yyval.typnam) = SystemTypeName("varbit");
					}
					else
					{
						(yyval.typnam) = SystemTypeName("bit");
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					}
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 46610 "gram.c" /* yacc.c:1646  */
    break;

  case 1930:
#line 14299 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 46618 "gram.c" /* yacc.c:1646  */
    break;

  case 1931:
#line 14303 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 46626 "gram.c" /* yacc.c:1646  */
    break;

  case 1932:
#line 14309 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 46634 "gram.c" /* yacc.c:1646  */
    break;

  case 1933:
#line 14313 "gram.y" /* yacc.c:1646  */
    {
					/* Length was not specified so allow to be unrestricted.
					 * This handles problems with fixed-length (bpchar) strings
					 * which in column definitions must default to a length
					 * of one, but should not be constrained if the length
					 * was not specified.
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 46649 "gram.c" /* yacc.c:1646  */
    break;

  case 1934:
#line 14326 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName((yyvsp[-3].str));
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 46659 "gram.c" /* yacc.c:1646  */
    break;

  case 1935:
#line 14334 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName((yyvsp[0].str));
					/* char defaults to char(1), varchar to no limit */
					if (strcmp((yyvsp[0].str), "bpchar") == 0)
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 46671 "gram.c" /* yacc.c:1646  */
    break;

  case 1936:
#line 14344 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 46677 "gram.c" /* yacc.c:1646  */
    break;

  case 1937:
#line 14346 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 46683 "gram.c" /* yacc.c:1646  */
    break;

  case 1938:
#line 14348 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "varchar"; }
#line 46689 "gram.c" /* yacc.c:1646  */
    break;

  case 1939:
#line 14350 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 46695 "gram.c" /* yacc.c:1646  */
    break;

  case 1940:
#line 14352 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 46701 "gram.c" /* yacc.c:1646  */
    break;

  case 1941:
#line 14354 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 46707 "gram.c" /* yacc.c:1646  */
    break;

  case 1942:
#line 14358 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 46713 "gram.c" /* yacc.c:1646  */
    break;

  case 1943:
#line 14359 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 46719 "gram.c" /* yacc.c:1646  */
    break;

  case 1944:
#line 14367 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 46732 "gram.c" /* yacc.c:1646  */
    break;

  case 1945:
#line 14376 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 46744 "gram.c" /* yacc.c:1646  */
    break;

  case 1946:
#line 14384 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 46757 "gram.c" /* yacc.c:1646  */
    break;

  case 1947:
#line 14393 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 46769 "gram.c" /* yacc.c:1646  */
    break;

  case 1948:
#line 14404 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("interval");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 46778 "gram.c" /* yacc.c:1646  */
    break;

  case 1949:
#line 14411 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 46784 "gram.c" /* yacc.c:1646  */
    break;

  case 1950:
#line 14412 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 46790 "gram.c" /* yacc.c:1646  */
    break;

  case 1951:
#line 14413 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 46796 "gram.c" /* yacc.c:1646  */
    break;

  case 1952:
#line 14418 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR), (yylsp[0]))); }
#line 46802 "gram.c" /* yacc.c:1646  */
    break;

  case 1953:
#line 14420 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MONTH), (yylsp[0]))); }
#line 46808 "gram.c" /* yacc.c:1646  */
    break;

  case 1954:
#line 14422 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY), (yylsp[0]))); }
#line 46814 "gram.c" /* yacc.c:1646  */
    break;

  case 1955:
#line 14424 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR), (yylsp[0]))); }
#line 46820 "gram.c" /* yacc.c:1646  */
    break;

  case 1956:
#line 14426 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MINUTE), (yylsp[0]))); }
#line 46826 "gram.c" /* yacc.c:1646  */
    break;

  case 1957:
#line 14428 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 46832 "gram.c" /* yacc.c:1646  */
    break;

  case 1958:
#line 14430 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR) |
												 INTERVAL_MASK(MONTH), (yylsp[-2])));
				}
#line 46841 "gram.c" /* yacc.c:1646  */
    break;

  case 1959:
#line 14435 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR), (yylsp[-2])));
				}
#line 46850 "gram.c" /* yacc.c:1646  */
    break;

  case 1960:
#line 14440 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 46860 "gram.c" /* yacc.c:1646  */
    break;

  case 1961:
#line 14446 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(DAY) |
												INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 46872 "gram.c" /* yacc.c:1646  */
    break;

  case 1962:
#line 14454 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 46881 "gram.c" /* yacc.c:1646  */
    break;

  case 1963:
#line 14459 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 46892 "gram.c" /* yacc.c:1646  */
    break;

  case 1964:
#line 14466 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 46902 "gram.c" /* yacc.c:1646  */
    break;

  case 1965:
#line 14472 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 46908 "gram.c" /* yacc.c:1646  */
    break;

  case 1966:
#line 14477 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[0])));
				}
#line 46916 "gram.c" /* yacc.c:1646  */
    break;

  case 1967:
#line 14481 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[-3])),
									makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 46925 "gram.c" /* yacc.c:1646  */
    break;

  case 1968:
#line 14489 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("json");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 46934 "gram.c" /* yacc.c:1646  */
    break;

  case 1969:
#line 14523 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 46940 "gram.c" /* yacc.c:1646  */
    break;

  case 1970:
#line 14525 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 46946 "gram.c" /* yacc.c:1646  */
    break;

  case 1971:
#line 14527 "gram.y" /* yacc.c:1646  */
    {
					CollateClause *n = makeNode(CollateClause);

					n->arg = (yyvsp[-2].node);
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 46959 "gram.c" /* yacc.c:1646  */
    break;

  case 1972:
#line 14536 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("timezone"),
											   list_make2((yyvsp[0].node), (yyvsp[-4].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 46970 "gram.c" /* yacc.c:1646  */
    break;

  case 1973:
#line 14543 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("timezone"),
											   list_make1((yyvsp[-2].node)),
											   COERCE_SQL_SYNTAX,
											   -1);
				}
#line 46981 "gram.c" /* yacc.c:1646  */
    break;

  case 1974:
#line 14559 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 46987 "gram.c" /* yacc.c:1646  */
    break;

  case 1975:
#line 14561 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 46993 "gram.c" /* yacc.c:1646  */
    break;

  case 1976:
#line 14563 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 46999 "gram.c" /* yacc.c:1646  */
    break;

  case 1977:
#line 14565 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47005 "gram.c" /* yacc.c:1646  */
    break;

  case 1978:
#line 14567 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47011 "gram.c" /* yacc.c:1646  */
    break;

  case 1979:
#line 14569 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47017 "gram.c" /* yacc.c:1646  */
    break;

  case 1980:
#line 14571 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47023 "gram.c" /* yacc.c:1646  */
    break;

  case 1981:
#line 14573 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47029 "gram.c" /* yacc.c:1646  */
    break;

  case 1982:
#line 14575 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47035 "gram.c" /* yacc.c:1646  */
    break;

  case 1983:
#line 14577 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47041 "gram.c" /* yacc.c:1646  */
    break;

  case 1984:
#line 14579 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47047 "gram.c" /* yacc.c:1646  */
    break;

  case 1985:
#line 14581 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47053 "gram.c" /* yacc.c:1646  */
    break;

  case 1986:
#line 14583 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47059 "gram.c" /* yacc.c:1646  */
    break;

  case 1987:
#line 14585 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<>", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47065 "gram.c" /* yacc.c:1646  */
    break;

  case 1988:
#line 14588 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47071 "gram.c" /* yacc.c:1646  */
    break;

  case 1989:
#line 14590 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 47077 "gram.c" /* yacc.c:1646  */
    break;

  case 1990:
#line 14593 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAndExpr((yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47083 "gram.c" /* yacc.c:1646  */
    break;

  case 1991:
#line 14595 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeOrExpr((yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47089 "gram.c" /* yacc.c:1646  */
    break;

  case 1992:
#line 14597 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNotExpr((yyvsp[0].node), (yylsp[-1])); }
#line 47095 "gram.c" /* yacc.c:1646  */
    break;

  case 1993:
#line 14599 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNotExpr((yyvsp[0].node), (yylsp[-1])); }
#line 47101 "gram.c" /* yacc.c:1646  */
    break;

  case 1994:
#line 14602 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "~~",
												   (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
				}
#line 47110 "gram.c" /* yacc.c:1646  */
    break;

  case 1995:
#line 14607 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("like_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "~~",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 47123 "gram.c" /* yacc.c:1646  */
    break;

  case 1996:
#line 14616 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "!~~",
												   (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
				}
#line 47132 "gram.c" /* yacc.c:1646  */
    break;

  case 1997:
#line 14621 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("like_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "!~~",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 47145 "gram.c" /* yacc.c:1646  */
    break;

  case 1998:
#line 14630 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "~~*",
												   (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
				}
#line 47154 "gram.c" /* yacc.c:1646  */
    break;

  case 1999:
#line 14635 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("like_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "~~*",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 47167 "gram.c" /* yacc.c:1646  */
    break;

  case 2000:
#line 14644 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "!~~*",
												   (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
				}
#line 47176 "gram.c" /* yacc.c:1646  */
    break;

  case 2001:
#line 14649 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("like_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "!~~*",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 47189 "gram.c" /* yacc.c:1646  */
    break;

  case 2002:
#line 14659 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("similar_to_escape"),
												 list_make1((yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-2]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "~",
												   (yyvsp[-3].node), (Node *) n, (yylsp[-2]));
				}
#line 47202 "gram.c" /* yacc.c:1646  */
    break;

  case 2003:
#line 14668 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("similar_to_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "~",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 47215 "gram.c" /* yacc.c:1646  */
    break;

  case 2004:
#line 14677 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("similar_to_escape"),
												 list_make1((yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "!~",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 47228 "gram.c" /* yacc.c:1646  */
    break;

  case 2005:
#line 14686 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("similar_to_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-5]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "!~",
												   (yyvsp[-6].node), (Node *) n, (yylsp[-5]));
				}
#line 47241 "gram.c" /* yacc.c:1646  */
    break;

  case 2006:
#line 14705 "gram.y" /* yacc.c:1646  */
    {
					NullTest   *n = makeNode(NullTest);

					n->arg = (Expr *) (yyvsp[-2].node);
					n->nulltesttype = IS_NULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 47254 "gram.c" /* yacc.c:1646  */
    break;

  case 2007:
#line 14714 "gram.y" /* yacc.c:1646  */
    {
					NullTest   *n = makeNode(NullTest);

					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 47267 "gram.c" /* yacc.c:1646  */
    break;

  case 2008:
#line 14723 "gram.y" /* yacc.c:1646  */
    {
					NullTest   *n = makeNode(NullTest);

					n->arg = (Expr *) (yyvsp[-3].node);
					n->nulltesttype = IS_NOT_NULL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 47280 "gram.c" /* yacc.c:1646  */
    break;

  case 2009:
#line 14732 "gram.y" /* yacc.c:1646  */
    {
					NullTest   *n = makeNode(NullTest);

					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NOT_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 47293 "gram.c" /* yacc.c:1646  */
    break;

  case 2010:
#line 14741 "gram.y" /* yacc.c:1646  */
    {
					if (list_length((yyvsp[-2].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on left side of OVERLAPS expression"),
								 parser_errposition((yylsp[-2]))));
					if (list_length((yyvsp[0].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on right side of OVERLAPS expression"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlaps"),
											   list_concat((yyvsp[-2].list), (yyvsp[0].list)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-1]));
				}
#line 47314 "gram.c" /* yacc.c:1646  */
    break;

  case 2011:
#line 14758 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_TRUE;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *) b;
				}
#line 47327 "gram.c" /* yacc.c:1646  */
    break;

  case 2012:
#line 14767 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_TRUE;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *) b;
				}
#line 47340 "gram.c" /* yacc.c:1646  */
    break;

  case 2013:
#line 14776 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_FALSE;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *) b;
				}
#line 47353 "gram.c" /* yacc.c:1646  */
    break;

  case 2014:
#line 14785 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_FALSE;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *) b;
				}
#line 47366 "gram.c" /* yacc.c:1646  */
    break;

  case 2015:
#line 14794 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_UNKNOWN;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *) b;
				}
#line 47379 "gram.c" /* yacc.c:1646  */
    break;

  case 2016:
#line 14803 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_UNKNOWN;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *) b;
				}
#line 47392 "gram.c" /* yacc.c:1646  */
    break;

  case 2017:
#line 14812 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 47400 "gram.c" /* yacc.c:1646  */
    break;

  case 2018:
#line 14816 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_DISTINCT, "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4]));
				}
#line 47408 "gram.c" /* yacc.c:1646  */
    break;

  case 2019:
#line 14820 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_BETWEEN,
												   "BETWEEN",
												   (yyvsp[-5].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-4]));
				}
#line 47420 "gram.c" /* yacc.c:1646  */
    break;

  case 2020:
#line 14828 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_BETWEEN,
												   "NOT BETWEEN",
												   (yyvsp[-6].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-5]));
				}
#line 47432 "gram.c" /* yacc.c:1646  */
    break;

  case 2021:
#line 14836 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_BETWEEN_SYM,
												   "BETWEEN SYMMETRIC",
												   (yyvsp[-5].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-4]));
				}
#line 47444 "gram.c" /* yacc.c:1646  */
    break;

  case 2022:
#line 14844 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_BETWEEN_SYM,
												   "NOT BETWEEN SYMMETRIC",
												   (yyvsp[-6].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-5]));
				}
#line 47456 "gram.c" /* yacc.c:1646  */
    break;

  case 2023:
#line 14852 "gram.y" /* yacc.c:1646  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate foo = ANY (subquery) */
						SubLink	   *n = (SubLink *) (yyvsp[0].node);

						n->subLinkType = ANY_SUBLINK;
						n->subLinkId = 0;
						n->testexpr = (yyvsp[-2].node);
						n->operName = NIL;		/* show it's IN not = ANY */
						n->location = (yylsp[-1]);
						(yyval.node) = (Node *) n;
					}
					else
					{
						/* generate scalar IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
					}
				}
#line 47481 "gram.c" /* yacc.c:1646  */
    break;

  case 2024:
#line 14873 "gram.y" /* yacc.c:1646  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate NOT (foo = ANY (subquery)) */
						/* Make an = ANY node */
						SubLink	   *n = (SubLink *) (yyvsp[0].node);

						n->subLinkType = ANY_SUBLINK;
						n->subLinkId = 0;
						n->testexpr = (yyvsp[-3].node);
						n->operName = NIL;		/* show it's IN not = ANY */
						n->location = (yylsp[-2]);
						/* Stick a NOT on top; must have same parse location */
						(yyval.node) = makeNotExpr((Node *) n, (yylsp[-2]));
					}
					else
					{
						/* generate scalar NOT IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "<>", (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
					}
				}
#line 47508 "gram.c" /* yacc.c:1646  */
    break;

  case 2025:
#line 14896 "gram.y" /* yacc.c:1646  */
    {
					SubLink	   *n = makeNode(SubLink);

					n->subLinkType = (yyvsp[-1].ival);
					n->subLinkId = 0;
					n->testexpr = (yyvsp[-3].node);
					n->operName = (yyvsp[-2].list);
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 47524 "gram.c" /* yacc.c:1646  */
    break;

  case 2026:
#line 14908 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[-3].ival) == ANY_SUBLINK)
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ANY, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
					else
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ALL, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
				}
#line 47535 "gram.c" /* yacc.c:1646  */
    break;

  case 2027:
#line 14915 "gram.y" /* yacc.c:1646  */
    {
					/* Not sure how to get rid of the parentheses
					 * but there are lots of shift/reduce errors without them.
					 *
					 * Should be able to implement this by plopping the entire
					 * select into a node, then transforming the target expressions
					 * from whatever they are into count(*), and testing the
					 * entire result equal to one.
					 * But, will probably implement a separate node in the executor.
					 */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNIQUE predicate is not yet implemented"),
							 parser_errposition((yylsp[-2]))));
				}
#line 47555 "gram.c" /* yacc.c:1646  */
    break;

  case 2028:
#line 14931 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 47564 "gram.c" /* yacc.c:1646  */
    break;

  case 2029:
#line 14936 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNotExpr(makeXmlExpr(IS_DOCUMENT, NULL, NIL,
												 list_make1((yyvsp[-3].node)), (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 47574 "gram.c" /* yacc.c:1646  */
    break;

  case 2030:
#line 14942 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("is_normalized"),
											   list_make1((yyvsp[-2].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-1]));
				}
#line 47585 "gram.c" /* yacc.c:1646  */
    break;

  case 2031:
#line 14949 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("is_normalized"),
											   list_make2((yyvsp[-3].node), makeStringConst((yyvsp[-1].str), (yylsp[-1]))),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-2]));
				}
#line 47596 "gram.c" /* yacc.c:1646  */
    break;

  case 2032:
#line 14956 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNotExpr((Node *) makeFuncCall(SystemFuncName("is_normalized"),
														   list_make1((yyvsp[-3].node)),
														   COERCE_SQL_SYNTAX,
														   (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 47608 "gram.c" /* yacc.c:1646  */
    break;

  case 2033:
#line 14964 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNotExpr((Node *) makeFuncCall(SystemFuncName("is_normalized"),
														   list_make2((yyvsp[-4].node), makeStringConst((yyvsp[-1].str), (yylsp[-1]))),
														   COERCE_SQL_SYNTAX,
														   (yylsp[-3])),
									 (yylsp[-3]));
				}
#line 47620 "gram.c" /* yacc.c:1646  */
    break;

  case 2034:
#line 14973 "gram.y" /* yacc.c:1646  */
    {
					JsonFormat *format = makeJsonFormat(JS_FORMAT_DEFAULT, JS_ENC_DEFAULT, -1);

					(yyval.node) = makeJsonIsPredicate((yyvsp[-3].node), format, (yyvsp[-1].ival), (yyvsp[0].boolean), (yylsp[-3]));
				}
#line 47630 "gram.c" /* yacc.c:1646  */
    break;

  case 2035:
#line 14991 "gram.y" /* yacc.c:1646  */
    {
					JsonFormat *format = makeJsonFormat(JS_FORMAT_DEFAULT, JS_ENC_DEFAULT, -1);

					(yyval.node) = makeNotExpr(makeJsonIsPredicate((yyvsp[-4].node), format, (yyvsp[-1].ival), (yyvsp[0].boolean), (yylsp[-4])), (yylsp[-4]));
				}
#line 47640 "gram.c" /* yacc.c:1646  */
    break;

  case 2036:
#line 15008 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * The SQL spec only allows DEFAULT in "contextually typed
					 * expressions", but for us, it's easier to allow it in
					 * any a_expr and then throw error during parse analysis
					 * if it's in an inappropriate context.  This way also
					 * lets us say something smarter than "syntax error".
					 */
					SetToDefault *n = makeNode(SetToDefault);

					/* parse analysis will fill in the rest */
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 47659 "gram.c" /* yacc.c:1646  */
    break;

  case 2037:
#line 15034 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 47665 "gram.c" /* yacc.c:1646  */
    break;

  case 2038:
#line 15036 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 47671 "gram.c" /* yacc.c:1646  */
    break;

  case 2039:
#line 15038 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 47677 "gram.c" /* yacc.c:1646  */
    break;

  case 2040:
#line 15040 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 47683 "gram.c" /* yacc.c:1646  */
    break;

  case 2041:
#line 15042 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47689 "gram.c" /* yacc.c:1646  */
    break;

  case 2042:
#line 15044 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47695 "gram.c" /* yacc.c:1646  */
    break;

  case 2043:
#line 15046 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47701 "gram.c" /* yacc.c:1646  */
    break;

  case 2044:
#line 15048 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47707 "gram.c" /* yacc.c:1646  */
    break;

  case 2045:
#line 15050 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47713 "gram.c" /* yacc.c:1646  */
    break;

  case 2046:
#line 15052 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47719 "gram.c" /* yacc.c:1646  */
    break;

  case 2047:
#line 15054 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47725 "gram.c" /* yacc.c:1646  */
    break;

  case 2048:
#line 15056 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47731 "gram.c" /* yacc.c:1646  */
    break;

  case 2049:
#line 15058 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47737 "gram.c" /* yacc.c:1646  */
    break;

  case 2050:
#line 15060 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47743 "gram.c" /* yacc.c:1646  */
    break;

  case 2051:
#line 15062 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47749 "gram.c" /* yacc.c:1646  */
    break;

  case 2052:
#line 15064 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<>", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47755 "gram.c" /* yacc.c:1646  */
    break;

  case 2053:
#line 15066 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47761 "gram.c" /* yacc.c:1646  */
    break;

  case 2054:
#line 15068 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 47767 "gram.c" /* yacc.c:1646  */
    break;

  case 2055:
#line 15070 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 47775 "gram.c" /* yacc.c:1646  */
    break;

  case 2056:
#line 15074 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_DISTINCT, "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4]));
				}
#line 47783 "gram.c" /* yacc.c:1646  */
    break;

  case 2057:
#line 15078 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 47792 "gram.c" /* yacc.c:1646  */
    break;

  case 2058:
#line 15083 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNotExpr(makeXmlExpr(IS_DOCUMENT, NULL, NIL,
												 list_make1((yyvsp[-3].node)), (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 47802 "gram.c" /* yacc.c:1646  */
    break;

  case 2059:
#line 15098 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 47808 "gram.c" /* yacc.c:1646  */
    break;

  case 2060:
#line 15099 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 47814 "gram.c" /* yacc.c:1646  */
    break;

  case 2061:
#line 15101 "gram.y" /* yacc.c:1646  */
    {
					ParamRef   *p = makeNode(ParamRef);

					p->number = (yyvsp[-1].ival);
					p->location = (yylsp[-1]);
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);

						n->arg = (Node *) p;
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (Node *) p;
				}
#line 47835 "gram.c" /* yacc.c:1646  */
    break;

  case 2062:
#line 15118 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);

						n->arg = (yyvsp[-2].node);
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (yyvsp[-2].node);
				}
#line 47852 "gram.c" /* yacc.c:1646  */
    break;

  case 2063:
#line 15131 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 47858 "gram.c" /* yacc.c:1646  */
    break;

  case 2064:
#line 15133 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 47864 "gram.c" /* yacc.c:1646  */
    break;

  case 2065:
#line 15135 "gram.y" /* yacc.c:1646  */
    {
					SubLink	   *n = makeNode(SubLink);

					n->subLinkType = EXPR_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 47880 "gram.c" /* yacc.c:1646  */
    break;

  case 2066:
#line 15147 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Because the select_with_parens nonterminal is designed
					 * to "eat" as many levels of parens as possible, the
					 * '(' a_expr ')' opt_indirection production above will
					 * fail to match a sub-SELECT with indirection decoration;
					 * the sub-SELECT won't be regarded as an a_expr as long
					 * as there are parens around it.  To support applying
					 * subscripting or field selection to a sub-SELECT result,
					 * we need this redundant-looking production.
					 */
					SubLink	   *n = makeNode(SubLink);
					A_Indirection *a = makeNode(A_Indirection);

					n->subLinkType = EXPR_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[-1].node);
					n->location = (yylsp[-1]);
					a->arg = (Node *) n;
					a->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.node) = (Node *) a;
				}
#line 47909 "gram.c" /* yacc.c:1646  */
    break;

  case 2067:
#line 15172 "gram.y" /* yacc.c:1646  */
    {
					SubLink	   *n = makeNode(SubLink);

					n->subLinkType = EXISTS_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 47925 "gram.c" /* yacc.c:1646  */
    break;

  case 2068:
#line 15184 "gram.y" /* yacc.c:1646  */
    {
					SubLink	   *n = makeNode(SubLink);

					n->subLinkType = ARRAY_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 47941 "gram.c" /* yacc.c:1646  */
    break;

  case 2069:
#line 15196 "gram.y" /* yacc.c:1646  */
    {
					A_ArrayExpr *n = castNode(A_ArrayExpr, (yyvsp[0].node));

					/* point outermost A_ArrayExpr to the ARRAY keyword */
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 47953 "gram.c" /* yacc.c:1646  */
    break;

  case 2070:
#line 15204 "gram.y" /* yacc.c:1646  */
    {
					RowExpr	   *r = makeNode(RowExpr);

					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->row_format = COERCE_EXPLICIT_CALL; /* abuse */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *) r;
				}
#line 47968 "gram.c" /* yacc.c:1646  */
    break;

  case 2071:
#line 15215 "gram.y" /* yacc.c:1646  */
    {
					RowExpr	   *r = makeNode(RowExpr);

					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->row_format = COERCE_IMPLICIT_CAST; /* abuse */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *) r;
				}
#line 47983 "gram.c" /* yacc.c:1646  */
    break;

  case 2072:
#line 15226 "gram.y" /* yacc.c:1646  */
    {
				  GroupingFunc *g = makeNode(GroupingFunc);

				  g->args = (yyvsp[-1].list);
				  g->location = (yylsp[-3]);
				  (yyval.node) = (Node *) g;
			  }
#line 47995 "gram.c" /* yacc.c:1646  */
    break;

  case 2073:
#line 15236 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall((yyvsp[-2].list), NIL,
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-2]));
				}
#line 48005 "gram.c" /* yacc.c:1646  */
    break;

  case 2074:
#line 15242 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall((yyvsp[-4].list), (yyvsp[-2].list),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-4]));

					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 48018 "gram.c" /* yacc.c:1646  */
    break;

  case 2075:
#line 15251 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall((yyvsp[-5].list), list_make1((yyvsp[-2].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-5]));

					n->func_variadic = true;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 48032 "gram.c" /* yacc.c:1646  */
    break;

  case 2076:
#line 15261 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall((yyvsp[-7].list), lappend((yyvsp[-5].list), (yyvsp[-2].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-7]));

					n->func_variadic = true;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 48046 "gram.c" /* yacc.c:1646  */
    break;

  case 2077:
#line 15271 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-5]));

					n->agg_order = (yyvsp[-1].list);
					/* Ideally we'd mark the FuncCall node to indicate
					 * "must be an aggregate", but there's no provision
					 * for that in FuncCall at the moment.
					 */
					(yyval.node) = (Node *) n;
				}
#line 48063 "gram.c" /* yacc.c:1646  */
    break;

  case 2078:
#line 15284 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-5]));

					n->agg_order = (yyvsp[-1].list);
					n->agg_distinct = true;
					(yyval.node) = (Node *) n;
				}
#line 48077 "gram.c" /* yacc.c:1646  */
    break;

  case 2079:
#line 15294 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We consider AGGREGATE(*) to invoke a parameterless
					 * aggregate.  This does the right thing for COUNT(*),
					 * and there are no other aggregates in SQL that accept
					 * '*' as parameter.
					 *
					 * The FuncCall node is also marked agg_star = true,
					 * so that later processing can detect what the argument
					 * really was.
					 */
					FuncCall   *n = makeFuncCall((yyvsp[-3].list), NIL,
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-3]));

					n->agg_star = true;
					(yyval.node) = (Node *) n;
				}
#line 48100 "gram.c" /* yacc.c:1646  */
    break;

  case 2080:
#line 15325 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = (FuncCall *) (yyvsp[-3].node);

					/*
					 * The order clause for WITHIN GROUP and the one for
					 * plain-aggregate ORDER BY share a field, so we have to
					 * check here that at most one is present.  We also check
					 * for DISTINCT and VARIADIC here to give a better error
					 * location.  Other consistency checks are deferred to
					 * parse analysis.
					 */
					if ((yyvsp[-2].list) != NIL)
					{
						if (n->agg_order != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use multiple ORDER BY clauses with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->agg_distinct)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use DISTINCT with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->func_variadic)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use VARIADIC with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						n->agg_order = (yyvsp[-2].list);
						n->agg_within_group = true;
					}
					n->agg_filter = (yyvsp[-1].node);
					n->over = (yyvsp[0].windef);
					(yyval.node) = (Node *) n;
				}
#line 48140 "gram.c" /* yacc.c:1646  */
    break;

  case 2081:
#line 15361 "gram.y" /* yacc.c:1646  */
    {
					JsonAggConstructor *n = IsA((yyvsp[-2].node), JsonObjectAgg) ?
						((JsonObjectAgg *) (yyvsp[-2].node))->constructor :
						((JsonArrayAgg *) (yyvsp[-2].node))->constructor;

					n->agg_filter = (yyvsp[-1].node);
					n->over = (yyvsp[0].windef);
					(yyval.node) = (Node *) (yyvsp[-2].node);
				}
#line 48154 "gram.c" /* yacc.c:1646  */
    break;

  case 2082:
#line 15371 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 48160 "gram.c" /* yacc.c:1646  */
    break;

  case 2083:
#line 15381 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 48166 "gram.c" /* yacc.c:1646  */
    break;

  case 2084:
#line 15382 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 48172 "gram.c" /* yacc.c:1646  */
    break;

  case 2085:
#line 15383 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 48178 "gram.c" /* yacc.c:1646  */
    break;

  case 2086:
#line 15391 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("pg_collation_for"),
											   list_make1((yyvsp[-1].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 48189 "gram.c" /* yacc.c:1646  */
    break;

  case 2087:
#line 15398 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_DATE, -1, (yylsp[0]));
				}
#line 48197 "gram.c" /* yacc.c:1646  */
    break;

  case 2088:
#line 15402 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIME, -1, (yylsp[0]));
				}
#line 48205 "gram.c" /* yacc.c:1646  */
    break;

  case 2089:
#line 15406 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIME_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 48213 "gram.c" /* yacc.c:1646  */
    break;

  case 2090:
#line 15410 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIMESTAMP, -1, (yylsp[0]));
				}
#line 48221 "gram.c" /* yacc.c:1646  */
    break;

  case 2091:
#line 15414 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIMESTAMP_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 48229 "gram.c" /* yacc.c:1646  */
    break;

  case 2092:
#line 15418 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIME, -1, (yylsp[0]));
				}
#line 48237 "gram.c" /* yacc.c:1646  */
    break;

  case 2093:
#line 15422 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIME_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 48245 "gram.c" /* yacc.c:1646  */
    break;

  case 2094:
#line 15426 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIMESTAMP, -1, (yylsp[0]));
				}
#line 48253 "gram.c" /* yacc.c:1646  */
    break;

  case 2095:
#line 15430 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIMESTAMP_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 48261 "gram.c" /* yacc.c:1646  */
    break;

  case 2096:
#line 15434 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_ROLE, -1, (yylsp[0]));
				}
#line 48269 "gram.c" /* yacc.c:1646  */
    break;

  case 2097:
#line 15438 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_USER, -1, (yylsp[0]));
				}
#line 48277 "gram.c" /* yacc.c:1646  */
    break;

  case 2098:
#line 15442 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_SESSION_USER, -1, (yylsp[0]));
				}
#line 48285 "gram.c" /* yacc.c:1646  */
    break;

  case 2099:
#line 15446 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("system_user"),
											   NIL,
											   COERCE_SQL_SYNTAX,
											   (yylsp[0]));
				}
#line 48296 "gram.c" /* yacc.c:1646  */
    break;

  case 2100:
#line 15453 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_USER, -1, (yylsp[0]));
				}
#line 48304 "gram.c" /* yacc.c:1646  */
    break;

  case 2101:
#line 15457 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_CATALOG, -1, (yylsp[0]));
				}
#line 48312 "gram.c" /* yacc.c:1646  */
    break;

  case 2102:
#line 15461 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_SCHEMA, -1, (yylsp[0]));
				}
#line 48320 "gram.c" /* yacc.c:1646  */
    break;

  case 2103:
#line 15465 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-3].node), (yyvsp[-1].typnam), (yylsp[-5])); }
#line 48326 "gram.c" /* yacc.c:1646  */
    break;

  case 2104:
#line 15467 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("extract"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 48337 "gram.c" /* yacc.c:1646  */
    break;

  case 2105:
#line 15474 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("normalize"),
											   list_make1((yyvsp[-1].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 48348 "gram.c" /* yacc.c:1646  */
    break;

  case 2106:
#line 15481 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("normalize"),
											   list_make2((yyvsp[-3].node), makeStringConst((yyvsp[-1].str), (yylsp[-1]))),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-5]));
				}
#line 48359 "gram.c" /* yacc.c:1646  */
    break;

  case 2107:
#line 15488 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlay"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 48370 "gram.c" /* yacc.c:1646  */
    break;

  case 2108:
#line 15495 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * allow functions named overlay() to be called without
					 * special syntax
					 */
					(yyval.node) = (Node *) makeFuncCall(list_make1(makeString("overlay")),
											   (yyvsp[-1].list),
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-3]));
				}
#line 48385 "gram.c" /* yacc.c:1646  */
    break;

  case 2109:
#line 15506 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * position(A in B) is converted to position(B, A)
					 *
					 * We deliberately don't offer a "plain syntax" option
					 * for position(), because the reversal of the arguments
					 * creates too much risk of confusion.
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("position"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 48403 "gram.c" /* yacc.c:1646  */
    break;

  case 2110:
#line 15520 "gram.y" /* yacc.c:1646  */
    {
					/* substring(A from B for C) is converted to
					 * substring(A, B, C) - thomas 2000-11-28
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("substring"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 48417 "gram.c" /* yacc.c:1646  */
    break;

  case 2111:
#line 15530 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * allow functions named substring() to be called without
					 * special syntax
					 */
					(yyval.node) = (Node *) makeFuncCall(list_make1(makeString("substring")),
											   (yyvsp[-1].list),
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-3]));
				}
#line 48432 "gram.c" /* yacc.c:1646  */
    break;

  case 2112:
#line 15541 "gram.y" /* yacc.c:1646  */
    {
					/* TREAT(expr AS target) converts expr of a particular type to target,
					 * which is defined to be a subtype of the original expression.
					 * In SQL99, this is intended for use with structured UDTs,
					 * but let's make this a generally useful form allowing stronger
					 * coercions than are handled by implicit casting.
					 *
					 * Convert SystemTypeName() to SystemFuncName() even though
					 * at the moment they result in the same thing.
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName(strVal(llast((yyvsp[-1].typnam)->names))),
											   list_make1((yyvsp[-3].node)),
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-5]));
				}
#line 48452 "gram.c" /* yacc.c:1646  */
    break;

  case 2113:
#line 15557 "gram.y" /* yacc.c:1646  */
    {
					/* various trim expressions are defined in SQL
					 * - thomas 1997-07-19
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 48466 "gram.c" /* yacc.c:1646  */
    break;

  case 2114:
#line 15567 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("ltrim"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 48477 "gram.c" /* yacc.c:1646  */
    break;

  case 2115:
#line 15574 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("rtrim"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 48488 "gram.c" /* yacc.c:1646  */
    break;

  case 2116:
#line 15581 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 48499 "gram.c" /* yacc.c:1646  */
    break;

  case 2117:
#line 15588 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NULLIF, "=", (yyvsp[-3].node), (yyvsp[-1].node), (yylsp[-5]));
				}
#line 48507 "gram.c" /* yacc.c:1646  */
    break;

  case 2118:
#line 15592 "gram.y" /* yacc.c:1646  */
    {
					CoalesceExpr *c = makeNode(CoalesceExpr);

					c->args = (yyvsp[-1].list);
					c->location = (yylsp[-3]);
					(yyval.node) = (Node *) c;
				}
#line 48519 "gram.c" /* yacc.c:1646  */
    break;

  case 2119:
#line 15600 "gram.y" /* yacc.c:1646  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);

					v->args = (yyvsp[-1].list);
					v->op = IS_GREATEST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *) v;
				}
#line 48532 "gram.c" /* yacc.c:1646  */
    break;

  case 2120:
#line 15609 "gram.y" /* yacc.c:1646  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);

					v->args = (yyvsp[-1].list);
					v->op = IS_LEAST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *) v;
				}
#line 48545 "gram.c" /* yacc.c:1646  */
    break;

  case 2121:
#line 15618 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLCONCAT, NULL, NIL, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 48553 "gram.c" /* yacc.c:1646  */
    break;

  case 2122:
#line 15622 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-1].str), NIL, NIL, (yylsp[-4]));
				}
#line 48561 "gram.c" /* yacc.c:1646  */
    break;

  case 2123:
#line 15626 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), (yyvsp[-1].list), NIL, (yylsp[-6]));
				}
#line 48569 "gram.c" /* yacc.c:1646  */
    break;

  case 2124:
#line 15630 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), NIL, (yyvsp[-1].list), (yylsp[-6]));
				}
#line 48577 "gram.c" /* yacc.c:1646  */
    break;

  case 2125:
#line 15634 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-5].str), (yyvsp[-3].list), (yyvsp[-1].list), (yylsp[-8]));
				}
#line 48585 "gram.c" /* yacc.c:1646  */
    break;

  case 2126:
#line 15638 "gram.y" /* yacc.c:1646  */
    {
					/* xmlexists(A PASSING [BY REF] B [BY REF]) is
					 * converted to xmlexists(A, B)*/
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("xmlexists"),
											   list_make2((yyvsp[-2].node), (yyvsp[-1].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 48598 "gram.c" /* yacc.c:1646  */
    break;

  case 2127:
#line 15647 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLFOREST, NULL, (yyvsp[-1].list), NIL, (yylsp[-3]));
				}
#line 48606 "gram.c" /* yacc.c:1646  */
    break;

  case 2128:
#line 15651 "gram.y" /* yacc.c:1646  */
    {
					XmlExpr *x = (XmlExpr *)
						makeXmlExpr(IS_XMLPARSE, NULL, NIL,
									list_make2((yyvsp[-2].node), makeBoolAConst((yyvsp[-1].boolean), -1)),
									(yylsp[-5]));

					x->xmloption = (yyvsp[-3].ival);
					(yyval.node) = (Node *) x;
				}
#line 48620 "gram.c" /* yacc.c:1646  */
    break;

  case 2129:
#line 15661 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-1].str), NULL, NIL, (yylsp[-4]));
				}
#line 48628 "gram.c" /* yacc.c:1646  */
    break;

  case 2130:
#line 15665 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-3].str), NULL, list_make1((yyvsp[-1].node)), (yylsp[-6]));
				}
#line 48636 "gram.c" /* yacc.c:1646  */
    break;

  case 2131:
#line 15669 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLROOT, NULL, NIL,
									 list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[-1].node)), (yylsp[-6]));
				}
#line 48645 "gram.c" /* yacc.c:1646  */
    break;

  case 2132:
#line 15674 "gram.y" /* yacc.c:1646  */
    {
					XmlSerialize *n = makeNode(XmlSerialize);

					n->xmloption = (yyvsp[-5].ival);
					n->expr = (yyvsp[-4].node);
					n->typeName = (yyvsp[-2].typnam);
					n->indent = (yyvsp[-1].boolean);
					n->location = (yylsp[-7]);
					(yyval.node) = (Node *) n;
				}
#line 48660 "gram.c" /* yacc.c:1646  */
    break;

  case 2133:
#line 15685 "gram.y" /* yacc.c:1646  */
    {
					/* Support for legacy (non-standard) json_object() */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("json_object"),
											   (yyvsp[-1].list), COERCE_EXPLICIT_CALL, (yylsp[-3]));
				}
#line 48670 "gram.c" /* yacc.c:1646  */
    break;

  case 2134:
#line 15694 "gram.y" /* yacc.c:1646  */
    {
					JsonObjectConstructor *n = makeNode(JsonObjectConstructor);

					n->exprs = (yyvsp[-4].list);
					n->absent_on_null = (yyvsp[-3].boolean);
					n->unique = (yyvsp[-2].boolean);
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *) n;
				}
#line 48685 "gram.c" /* yacc.c:1646  */
    break;

  case 2135:
#line 15705 "gram.y" /* yacc.c:1646  */
    {
					JsonObjectConstructor *n = makeNode(JsonObjectConstructor);

					n->exprs = NULL;
					n->absent_on_null = false;
					n->unique = false;
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) n;
				}
#line 48700 "gram.c" /* yacc.c:1646  */
    break;

  case 2136:
#line 15720 "gram.y" /* yacc.c:1646  */
    {
					JsonArrayConstructor *n = makeNode(JsonArrayConstructor);

					n->exprs = (yyvsp[-3].list);
					n->absent_on_null = (yyvsp[-2].boolean);
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 48714 "gram.c" /* yacc.c:1646  */
    break;

  case 2137:
#line 15735 "gram.y" /* yacc.c:1646  */
    {
					JsonArrayQueryConstructor *n = makeNode(JsonArrayQueryConstructor);

					n->query = (yyvsp[-3].node);
					n->format = (JsonFormat *) (yyvsp[-2].node);
					n->absent_on_null = true;	/* XXX */
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 48729 "gram.c" /* yacc.c:1646  */
    break;

  case 2138:
#line 15748 "gram.y" /* yacc.c:1646  */
    {
					JsonArrayConstructor *n = makeNode(JsonArrayConstructor);

					n->exprs = NIL;
					n->absent_on_null = true;
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) n;
				}
#line 48743 "gram.c" /* yacc.c:1646  */
    break;

  case 2139:
#line 15758 "gram.y" /* yacc.c:1646  */
    {
					JsonParseExpr *n = makeNode(JsonParseExpr);

					n->expr = (JsonValueExpr *) (yyvsp[-2].node);
					n->unique_keys = (yyvsp[-1].boolean);
					n->output = NULL;
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 48757 "gram.c" /* yacc.c:1646  */
    break;

  case 2140:
#line 15768 "gram.y" /* yacc.c:1646  */
    {
					JsonScalarExpr *n = makeNode(JsonScalarExpr);

					n->expr = (Expr *) (yyvsp[-1].node);
					n->output = NULL;
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) n;
				}
#line 48770 "gram.c" /* yacc.c:1646  */
    break;

  case 2141:
#line 15777 "gram.y" /* yacc.c:1646  */
    {
					JsonSerializeExpr *n = makeNode(JsonSerializeExpr);

					n->expr = (JsonValueExpr *) (yyvsp[-2].node);
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 48783 "gram.c" /* yacc.c:1646  */
    break;

  case 2142:
#line 15792 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 48789 "gram.c" /* yacc.c:1646  */
    break;

  case 2143:
#line 15794 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNullAConst(-1); }
#line 48795 "gram.c" /* yacc.c:1646  */
    break;

  case 2144:
#line 15798 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_YES, -1); }
#line 48801 "gram.c" /* yacc.c:1646  */
    break;

  case 2145:
#line 15800 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO, -1); }
#line 48807 "gram.c" /* yacc.c:1646  */
    break;

  case 2146:
#line 15802 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO_VALUE, -1); }
#line 48813 "gram.c" /* yacc.c:1646  */
    break;

  case 2147:
#line 15804 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_OMITTED, -1); }
#line 48819 "gram.c" /* yacc.c:1646  */
    break;

  case 2148:
#line 15807 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 48825 "gram.c" /* yacc.c:1646  */
    break;

  case 2149:
#line 15810 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 48831 "gram.c" /* yacc.c:1646  */
    break;

  case 2150:
#line 15811 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 48837 "gram.c" /* yacc.c:1646  */
    break;

  case 2151:
#line 15815 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 48849 "gram.c" /* yacc.c:1646  */
    break;

  case 2152:
#line 15823 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 48861 "gram.c" /* yacc.c:1646  */
    break;

  case 2153:
#line 15832 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = XMLOPTION_DOCUMENT; }
#line 48867 "gram.c" /* yacc.c:1646  */
    break;

  case 2154:
#line 15833 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = XMLOPTION_CONTENT; }
#line 48873 "gram.c" /* yacc.c:1646  */
    break;

  case 2155:
#line 15836 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 48879 "gram.c" /* yacc.c:1646  */
    break;

  case 2156:
#line 15837 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 48885 "gram.c" /* yacc.c:1646  */
    break;

  case 2157:
#line 15838 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 48891 "gram.c" /* yacc.c:1646  */
    break;

  case 2158:
#line 15841 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 48897 "gram.c" /* yacc.c:1646  */
    break;

  case 2159:
#line 15842 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 48903 "gram.c" /* yacc.c:1646  */
    break;

  case 2160:
#line 15843 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 48909 "gram.c" /* yacc.c:1646  */
    break;

  case 2161:
#line 15849 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 48917 "gram.c" /* yacc.c:1646  */
    break;

  case 2162:
#line 15853 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[-1].node);
				}
#line 48925 "gram.c" /* yacc.c:1646  */
    break;

  case 2163:
#line 15857 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 48933 "gram.c" /* yacc.c:1646  */
    break;

  case 2164:
#line 15861 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[-1].node);
				}
#line 48941 "gram.c" /* yacc.c:1646  */
    break;

  case 2167:
#line 15876 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 48947 "gram.c" /* yacc.c:1646  */
    break;

  case 2168:
#line 15877 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 48953 "gram.c" /* yacc.c:1646  */
    break;

  case 2169:
#line 15881 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 48959 "gram.c" /* yacc.c:1646  */
    break;

  case 2170:
#line 15882 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 48965 "gram.c" /* yacc.c:1646  */
    break;

  case 2171:
#line 15890 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 48971 "gram.c" /* yacc.c:1646  */
    break;

  case 2172:
#line 15891 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 48977 "gram.c" /* yacc.c:1646  */
    break;

  case 2173:
#line 15895 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].windef)); }
#line 48983 "gram.c" /* yacc.c:1646  */
    break;

  case 2174:
#line 15897 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].windef)); }
#line 48989 "gram.c" /* yacc.c:1646  */
    break;

  case 2175:
#line 15902 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = (yyvsp[0].windef);

					n->name = (yyvsp[-2].str);
					(yyval.windef) = n;
				}
#line 49000 "gram.c" /* yacc.c:1646  */
    break;

  case 2176:
#line 15911 "gram.y" /* yacc.c:1646  */
    { (yyval.windef) = (yyvsp[0].windef); }
#line 49006 "gram.c" /* yacc.c:1646  */
    break;

  case 2177:
#line 15913 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->name = (yyvsp[0].str);
					n->refname = NULL;
					n->partitionClause = NIL;
					n->orderClause = NIL;
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					n->location = (yylsp[0]);
					(yyval.windef) = n;
				}
#line 49024 "gram.c" /* yacc.c:1646  */
    break;

  case 2178:
#line 15927 "gram.y" /* yacc.c:1646  */
    { (yyval.windef) = NULL; }
#line 49030 "gram.c" /* yacc.c:1646  */
    break;

  case 2179:
#line 15932 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->name = NULL;
					n->refname = (yyvsp[-4].str);
					n->partitionClause = (yyvsp[-3].list);
					n->orderClause = (yyvsp[-2].list);
					/* copy relevant fields of opt_frame_clause */
					n->frameOptions = (yyvsp[-1].windef)->frameOptions;
					n->startOffset = (yyvsp[-1].windef)->startOffset;
					n->endOffset = (yyvsp[-1].windef)->endOffset;
					n->location = (yylsp[-5]);
					(yyval.windef) = n;
				}
#line 49049 "gram.c" /* yacc.c:1646  */
    break;

  case 2180:
#line 15958 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49055 "gram.c" /* yacc.c:1646  */
    break;

  case 2181:
#line 15959 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 49061 "gram.c" /* yacc.c:1646  */
    break;

  case 2182:
#line 15962 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 49067 "gram.c" /* yacc.c:1646  */
    break;

  case 2183:
#line 15963 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 49073 "gram.c" /* yacc.c:1646  */
    break;

  case 2184:
#line 15972 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = (yyvsp[-1].windef);

					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_RANGE;
					n->frameOptions |= (yyvsp[0].ival);
					(yyval.windef) = n;
				}
#line 49085 "gram.c" /* yacc.c:1646  */
    break;

  case 2185:
#line 15980 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = (yyvsp[-1].windef);

					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_ROWS;
					n->frameOptions |= (yyvsp[0].ival);
					(yyval.windef) = n;
				}
#line 49097 "gram.c" /* yacc.c:1646  */
    break;

  case 2186:
#line 15988 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = (yyvsp[-1].windef);

					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_GROUPS;
					n->frameOptions |= (yyvsp[0].ival);
					(yyval.windef) = n;
				}
#line 49109 "gram.c" /* yacc.c:1646  */
    break;

  case 2187:
#line 15996 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 49122 "gram.c" /* yacc.c:1646  */
    break;

  case 2188:
#line 16007 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = (yyvsp[0].windef);

					/* reject invalid cases */
					if (n->frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[0]))));
					if (n->frameOptions & FRAMEOPTION_START_OFFSET_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot end with current row"),
								 parser_errposition((yylsp[0]))));
					n->frameOptions |= FRAMEOPTION_END_CURRENT_ROW;
					(yyval.windef) = n;
				}
#line 49144 "gram.c" /* yacc.c:1646  */
    break;

  case 2189:
#line 16025 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n1 = (yyvsp[-2].windef);
					WindowDef  *n2 = (yyvsp[0].windef);

					/* form merged options */
					int		frameOptions = n1->frameOptions;
					/* shift converts START_ options to END_ options */
					frameOptions |= n2->frameOptions << 1;
					frameOptions |= FRAMEOPTION_BETWEEN;
					/* reject invalid cases */
					if (frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[-2]))));
					if (frameOptions & FRAMEOPTION_END_UNBOUNDED_PRECEDING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame end cannot be UNBOUNDED PRECEDING"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_CURRENT_ROW) &&
						(frameOptions & FRAMEOPTION_END_OFFSET_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from current row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_OFFSET_FOLLOWING) &&
						(frameOptions & (FRAMEOPTION_END_OFFSET_PRECEDING |
										 FRAMEOPTION_END_CURRENT_ROW)))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					n1->frameOptions = frameOptions;
					n1->endOffset = n2->startOffset;
					(yyval.windef) = n1;
				}
#line 49186 "gram.c" /* yacc.c:1646  */
    break;

  case 2190:
#line 16071 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_PRECEDING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 49199 "gram.c" /* yacc.c:1646  */
    break;

  case 2191:
#line 16080 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_FOLLOWING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 49212 "gram.c" /* yacc.c:1646  */
    break;

  case 2192:
#line 16089 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_START_CURRENT_ROW;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 49225 "gram.c" /* yacc.c:1646  */
    break;

  case 2193:
#line 16098 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_START_OFFSET_PRECEDING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 49238 "gram.c" /* yacc.c:1646  */
    break;

  case 2194:
#line 16107 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_START_OFFSET_FOLLOWING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 49251 "gram.c" /* yacc.c:1646  */
    break;

  case 2195:
#line 16118 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FRAMEOPTION_EXCLUDE_CURRENT_ROW; }
#line 49257 "gram.c" /* yacc.c:1646  */
    break;

  case 2196:
#line 16119 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FRAMEOPTION_EXCLUDE_GROUP; }
#line 49263 "gram.c" /* yacc.c:1646  */
    break;

  case 2197:
#line 16120 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FRAMEOPTION_EXCLUDE_TIES; }
#line 49269 "gram.c" /* yacc.c:1646  */
    break;

  case 2198:
#line 16121 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 49275 "gram.c" /* yacc.c:1646  */
    break;

  case 2199:
#line 16122 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 49281 "gram.c" /* yacc.c:1646  */
    break;

  case 2200:
#line 16136 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 49287 "gram.c" /* yacc.c:1646  */
    break;

  case 2201:
#line 16137 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 49293 "gram.c" /* yacc.c:1646  */
    break;

  case 2202:
#line 16138 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 49299 "gram.c" /* yacc.c:1646  */
    break;

  case 2203:
#line 16141 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 49305 "gram.c" /* yacc.c:1646  */
    break;

  case 2204:
#line 16142 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 49311 "gram.c" /* yacc.c:1646  */
    break;

  case 2205:
#line 16145 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 49317 "gram.c" /* yacc.c:1646  */
    break;

  case 2206:
#line 16148 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 49323 "gram.c" /* yacc.c:1646  */
    break;

  case 2207:
#line 16149 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 49329 "gram.c" /* yacc.c:1646  */
    break;

  case 2208:
#line 16150 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ALL_SUBLINK; }
#line 49335 "gram.c" /* yacc.c:1646  */
    break;

  case 2209:
#line 16153 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49341 "gram.c" /* yacc.c:1646  */
    break;

  case 2210:
#line 16154 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49347 "gram.c" /* yacc.c:1646  */
    break;

  case 2211:
#line 16157 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "+"; }
#line 49353 "gram.c" /* yacc.c:1646  */
    break;

  case 2212:
#line 16158 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "-"; }
#line 49359 "gram.c" /* yacc.c:1646  */
    break;

  case 2213:
#line 16159 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "*"; }
#line 49365 "gram.c" /* yacc.c:1646  */
    break;

  case 2214:
#line 16160 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "/"; }
#line 49371 "gram.c" /* yacc.c:1646  */
    break;

  case 2215:
#line 16161 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "%"; }
#line 49377 "gram.c" /* yacc.c:1646  */
    break;

  case 2216:
#line 16162 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "^"; }
#line 49383 "gram.c" /* yacc.c:1646  */
    break;

  case 2217:
#line 16163 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "<"; }
#line 49389 "gram.c" /* yacc.c:1646  */
    break;

  case 2218:
#line 16164 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = ">"; }
#line 49395 "gram.c" /* yacc.c:1646  */
    break;

  case 2219:
#line 16165 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "="; }
#line 49401 "gram.c" /* yacc.c:1646  */
    break;

  case 2220:
#line 16166 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "<="; }
#line 49407 "gram.c" /* yacc.c:1646  */
    break;

  case 2221:
#line 16167 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = ">="; }
#line 49413 "gram.c" /* yacc.c:1646  */
    break;

  case 2222:
#line 16168 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "<>"; }
#line 49419 "gram.c" /* yacc.c:1646  */
    break;

  case 2223:
#line 16172 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 49425 "gram.c" /* yacc.c:1646  */
    break;

  case 2224:
#line 16174 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 49431 "gram.c" /* yacc.c:1646  */
    break;

  case 2225:
#line 16179 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 49437 "gram.c" /* yacc.c:1646  */
    break;

  case 2226:
#line 16181 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 49443 "gram.c" /* yacc.c:1646  */
    break;

  case 2227:
#line 16186 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 49449 "gram.c" /* yacc.c:1646  */
    break;

  case 2228:
#line 16188 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 49455 "gram.c" /* yacc.c:1646  */
    break;

  case 2229:
#line 16190 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("~~")); }
#line 49461 "gram.c" /* yacc.c:1646  */
    break;

  case 2230:
#line 16192 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("!~~")); }
#line 49467 "gram.c" /* yacc.c:1646  */
    break;

  case 2231:
#line 16194 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("~~*")); }
#line 49473 "gram.c" /* yacc.c:1646  */
    break;

  case 2232:
#line 16196 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("!~~*")); }
#line 49479 "gram.c" /* yacc.c:1646  */
    break;

  case 2233:
#line 16208 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 49487 "gram.c" /* yacc.c:1646  */
    break;

  case 2234:
#line 16212 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 49495 "gram.c" /* yacc.c:1646  */
    break;

  case 2235:
#line 16219 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 49503 "gram.c" /* yacc.c:1646  */
    break;

  case 2236:
#line 16223 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 49511 "gram.c" /* yacc.c:1646  */
    break;

  case 2237:
#line 16229 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 49519 "gram.c" /* yacc.c:1646  */
    break;

  case 2238:
#line 16233 "gram.y" /* yacc.c:1646  */
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);

					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 49533 "gram.c" /* yacc.c:1646  */
    break;

  case 2239:
#line 16243 "gram.y" /* yacc.c:1646  */
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);

					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 49547 "gram.c" /* yacc.c:1646  */
    break;

  case 2240:
#line 16254 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 49553 "gram.c" /* yacc.c:1646  */
    break;

  case 2241:
#line 16255 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 49559 "gram.c" /* yacc.c:1646  */
    break;

  case 2242:
#line 16258 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 49565 "gram.c" /* yacc.c:1646  */
    break;

  case 2243:
#line 16259 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].typnam)); }
#line 49571 "gram.c" /* yacc.c:1646  */
    break;

  case 2244:
#line 16263 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 49579 "gram.c" /* yacc.c:1646  */
    break;

  case 2245:
#line 16267 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 49587 "gram.c" /* yacc.c:1646  */
    break;

  case 2246:
#line 16271 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr(NIL, (yylsp[-1]));
				}
#line 49595 "gram.c" /* yacc.c:1646  */
    break;

  case 2247:
#line 16276 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 49601 "gram.c" /* yacc.c:1646  */
    break;

  case 2248:
#line 16277 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 49607 "gram.c" /* yacc.c:1646  */
    break;

  case 2249:
#line 16283 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeStringConst((yyvsp[-2].str), (yylsp[-2])), (yyvsp[0].node));
				}
#line 49615 "gram.c" /* yacc.c:1646  */
    break;

  case 2250:
#line 16292 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49621 "gram.c" /* yacc.c:1646  */
    break;

  case 2251:
#line 16293 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "year"; }
#line 49627 "gram.c" /* yacc.c:1646  */
    break;

  case 2252:
#line 16294 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "month"; }
#line 49633 "gram.c" /* yacc.c:1646  */
    break;

  case 2253:
#line 16295 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "day"; }
#line 49639 "gram.c" /* yacc.c:1646  */
    break;

  case 2254:
#line 16296 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "hour"; }
#line 49645 "gram.c" /* yacc.c:1646  */
    break;

  case 2255:
#line 16297 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "minute"; }
#line 49651 "gram.c" /* yacc.c:1646  */
    break;

  case 2256:
#line 16298 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "second"; }
#line 49657 "gram.c" /* yacc.c:1646  */
    break;

  case 2257:
#line 16299 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49663 "gram.c" /* yacc.c:1646  */
    break;

  case 2258:
#line 16303 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "NFC"; }
#line 49669 "gram.c" /* yacc.c:1646  */
    break;

  case 2259:
#line 16304 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "NFD"; }
#line 49675 "gram.c" /* yacc.c:1646  */
    break;

  case 2260:
#line 16305 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "NFKC"; }
#line 49681 "gram.c" /* yacc.c:1646  */
    break;

  case 2261:
#line 16306 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "NFKD"; }
#line 49687 "gram.c" /* yacc.c:1646  */
    break;

  case 2262:
#line 16312 "gram.y" /* yacc.c:1646  */
    {
					/* overlay(A PLACING B FROM C FOR D) is converted to overlay(A, B, C, D) */
					(yyval.list) = list_make4((yyvsp[-6].node), (yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[0].node));
				}
#line 49696 "gram.c" /* yacc.c:1646  */
    break;

  case 2263:
#line 16317 "gram.y" /* yacc.c:1646  */
    {
					/* overlay(A PLACING B FROM C) is converted to overlay(A, B, C) */
					(yyval.list) = list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[0].node));
				}
#line 49705 "gram.c" /* yacc.c:1646  */
    break;

  case 2264:
#line 16325 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), (yyvsp[-2].node)); }
#line 49711 "gram.c" /* yacc.c:1646  */
    break;

  case 2265:
#line 16347 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[0].node));
				}
#line 49719 "gram.c" /* yacc.c:1646  */
    break;

  case 2266:
#line 16351 "gram.y" /* yacc.c:1646  */
    {
					/* not legal per SQL, but might as well allow it */
					(yyval.list) = list_make3((yyvsp[-4].node), (yyvsp[0].node), (yyvsp[-2].node));
				}
#line 49728 "gram.c" /* yacc.c:1646  */
    break;

  case 2267:
#line 16356 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Because we aren't restricting data types here, this
					 * syntax can end up resolving to textregexsubstr().
					 * We've historically allowed that to happen, so continue
					 * to accept it.  However, ruleutils.c will reverse-list
					 * such a call in regular function call syntax.
					 */
					(yyval.list) = list_make2((yyvsp[-2].node), (yyvsp[0].node));
				}
#line 49743 "gram.c" /* yacc.c:1646  */
    break;

  case 2268:
#line 16367 "gram.y" /* yacc.c:1646  */
    {
					/* not legal per SQL */

					/*
					 * Since there are no cases where this syntax allows
					 * a textual FOR value, we forcibly cast the argument
					 * to int4.  The possible matches in pg_proc are
					 * substring(text,int4) and substring(text,text),
					 * and we don't want the parser to choose the latter,
					 * which it is likely to do if the second argument
					 * is unknown or doesn't have an implicit cast to int4.
					 */
					(yyval.list) = list_make3((yyvsp[-2].node), makeIntConst(1, -1),
									makeTypeCast((yyvsp[0].node),
												 SystemTypeName("int4"), -1));
				}
#line 49764 "gram.c" /* yacc.c:1646  */
    break;

  case 2269:
#line 16384 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[0].node));
				}
#line 49772 "gram.c" /* yacc.c:1646  */
    break;

  case 2270:
#line 16389 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[0].list), (yyvsp[-2].node)); }
#line 49778 "gram.c" /* yacc.c:1646  */
    break;

  case 2271:
#line 16390 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 49784 "gram.c" /* yacc.c:1646  */
    break;

  case 2272:
#line 16391 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 49790 "gram.c" /* yacc.c:1646  */
    break;

  case 2273:
#line 16395 "gram.y" /* yacc.c:1646  */
    {
					SubLink	   *n = makeNode(SubLink);

					n->subselect = (yyvsp[0].node);
					/* other fields will be filled later */
					(yyval.node) = (Node *) n;
				}
#line 49802 "gram.c" /* yacc.c:1646  */
    break;

  case 2274:
#line 16402 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 49808 "gram.c" /* yacc.c:1646  */
    break;

  case 2275:
#line 16413 "gram.y" /* yacc.c:1646  */
    {
					CaseExpr   *c = makeNode(CaseExpr);

					c->casetype = InvalidOid; /* not analyzed yet */
					c->arg = (Expr *) (yyvsp[-3].node);
					c->args = (yyvsp[-2].list);
					c->defresult = (Expr *) (yyvsp[-1].node);
					c->location = (yylsp[-4]);
					(yyval.node) = (Node *) c;
				}
#line 49823 "gram.c" /* yacc.c:1646  */
    break;

  case 2276:
#line 16427 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 49829 "gram.c" /* yacc.c:1646  */
    break;

  case 2277:
#line 16428 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 49835 "gram.c" /* yacc.c:1646  */
    break;

  case 2278:
#line 16433 "gram.y" /* yacc.c:1646  */
    {
					CaseWhen   *w = makeNode(CaseWhen);

					w->expr = (Expr *) (yyvsp[-2].node);
					w->result = (Expr *) (yyvsp[0].node);
					w->location = (yylsp[-3]);
					(yyval.node) = (Node *) w;
				}
#line 49848 "gram.c" /* yacc.c:1646  */
    break;

  case 2279:
#line 16444 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 49854 "gram.c" /* yacc.c:1646  */
    break;

  case 2280:
#line 16445 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 49860 "gram.c" /* yacc.c:1646  */
    break;

  case 2281:
#line 16448 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 49866 "gram.c" /* yacc.c:1646  */
    break;

  case 2282:
#line 16449 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 49872 "gram.c" /* yacc.c:1646  */
    break;

  case 2283:
#line 16453 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeColumnRef((yyvsp[0].str), NIL, (yylsp[0]), yyscanner);
				}
#line 49880 "gram.c" /* yacc.c:1646  */
    break;

  case 2284:
#line 16457 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeColumnRef((yyvsp[-1].str), (yyvsp[0].list), (yylsp[-1]), yyscanner);
				}
#line 49888 "gram.c" /* yacc.c:1646  */
    break;

  case 2285:
#line 16464 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 49896 "gram.c" /* yacc.c:1646  */
    break;

  case 2286:
#line 16468 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeNode(A_Star);
				}
#line 49904 "gram.c" /* yacc.c:1646  */
    break;

  case 2287:
#line 16472 "gram.y" /* yacc.c:1646  */
    {
					A_Indices *ai = makeNode(A_Indices);

					ai->is_slice = false;
					ai->lidx = NULL;
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 49917 "gram.c" /* yacc.c:1646  */
    break;

  case 2288:
#line 16481 "gram.y" /* yacc.c:1646  */
    {
					A_Indices *ai = makeNode(A_Indices);

					ai->is_slice = true;
					ai->lidx = (yyvsp[-3].node);
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 49930 "gram.c" /* yacc.c:1646  */
    break;

  case 2289:
#line 16492 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 49936 "gram.c" /* yacc.c:1646  */
    break;

  case 2290:
#line 16493 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 49942 "gram.c" /* yacc.c:1646  */
    break;

  case 2291:
#line 16497 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 49948 "gram.c" /* yacc.c:1646  */
    break;

  case 2292:
#line 16498 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 49954 "gram.c" /* yacc.c:1646  */
    break;

  case 2293:
#line 16502 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 49960 "gram.c" /* yacc.c:1646  */
    break;

  case 2294:
#line 16503 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 49966 "gram.c" /* yacc.c:1646  */
    break;

  case 2297:
#line 16513 "gram.y" /* yacc.c:1646  */
    {
				/* formatted_expr will be set during parse-analysis. */
				(yyval.node) = (Node *) makeJsonValueExpr((Expr *) (yyvsp[-1].node), NULL,
												castNode(JsonFormat, (yyvsp[0].node)));
			}
#line 49976 "gram.c" /* yacc.c:1646  */
    break;

  case 2298:
#line 16522 "gram.y" /* yacc.c:1646  */
    {
					int		encoding;

					if (!pg_strcasecmp((yyvsp[0].str), "utf8"))
						encoding = JS_ENC_UTF8;
					else if (!pg_strcasecmp((yyvsp[0].str), "utf16"))
						encoding = JS_ENC_UTF16;
					else if (!pg_strcasecmp((yyvsp[0].str), "utf32"))
						encoding = JS_ENC_UTF32;
					else
						ereport(ERROR,
								errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								errmsg("unrecognized JSON encoding: %s", (yyvsp[0].str)));

					(yyval.node) = (Node *) makeJsonFormat(JS_FORMAT_JSON, encoding, (yylsp[-3]));
				}
#line 49997 "gram.c" /* yacc.c:1646  */
    break;

  case 2299:
#line 16539 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeJsonFormat(JS_FORMAT_JSON, JS_ENC_DEFAULT, (yylsp[-1]));
				}
#line 50005 "gram.c" /* yacc.c:1646  */
    break;

  case 2300:
#line 16546 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 50013 "gram.c" /* yacc.c:1646  */
    break;

  case 2301:
#line 16550 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeJsonFormat(JS_FORMAT_DEFAULT, JS_ENC_DEFAULT, -1);
				}
#line 50021 "gram.c" /* yacc.c:1646  */
    break;

  case 2302:
#line 16557 "gram.y" /* yacc.c:1646  */
    {
					JsonOutput *n = makeNode(JsonOutput);

					n->typeName = (yyvsp[-1].typnam);
					n->returning = makeNode(JsonReturning);
					n->returning->format = (JsonFormat *) (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 50034 "gram.c" /* yacc.c:1646  */
    break;

  case 2303:
#line 16565 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 50040 "gram.c" /* yacc.c:1646  */
    break;

  case 2304:
#line 16579 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_TYPE_ANY; }
#line 50046 "gram.c" /* yacc.c:1646  */
    break;

  case 2305:
#line 16580 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_TYPE_ANY; }
#line 50052 "gram.c" /* yacc.c:1646  */
    break;

  case 2306:
#line 16581 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_TYPE_ARRAY; }
#line 50058 "gram.c" /* yacc.c:1646  */
    break;

  case 2307:
#line 16582 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_TYPE_OBJECT; }
#line 50064 "gram.c" /* yacc.c:1646  */
    break;

  case 2308:
#line 16583 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_TYPE_SCALAR; }
#line 50070 "gram.c" /* yacc.c:1646  */
    break;

  case 2309:
#line 16592 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 50076 "gram.c" /* yacc.c:1646  */
    break;

  case 2310:
#line 16593 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 50082 "gram.c" /* yacc.c:1646  */
    break;

  case 2311:
#line 16594 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 50088 "gram.c" /* yacc.c:1646  */
    break;

  case 2312:
#line 16595 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 50094 "gram.c" /* yacc.c:1646  */
    break;

  case 2313:
#line 16596 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 50100 "gram.c" /* yacc.c:1646  */
    break;

  case 2314:
#line 16601 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 50106 "gram.c" /* yacc.c:1646  */
    break;

  case 2315:
#line 16603 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 50112 "gram.c" /* yacc.c:1646  */
    break;

  case 2316:
#line 16613 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeJsonKeyValue((yyvsp[-2].node), (yyvsp[0].node)); }
#line 50118 "gram.c" /* yacc.c:1646  */
    break;

  case 2317:
#line 16616 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeJsonKeyValue((yyvsp[-2].node), (yyvsp[0].node)); }
#line 50124 "gram.c" /* yacc.c:1646  */
    break;

  case 2318:
#line 16621 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 50130 "gram.c" /* yacc.c:1646  */
    break;

  case 2319:
#line 16622 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 50136 "gram.c" /* yacc.c:1646  */
    break;

  case 2320:
#line 16623 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 50142 "gram.c" /* yacc.c:1646  */
    break;

  case 2321:
#line 16627 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 50148 "gram.c" /* yacc.c:1646  */
    break;

  case 2322:
#line 16628 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 50154 "gram.c" /* yacc.c:1646  */
    break;

  case 2323:
#line 16629 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 50160 "gram.c" /* yacc.c:1646  */
    break;

  case 2324:
#line 16633 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 50166 "gram.c" /* yacc.c:1646  */
    break;

  case 2325:
#line 16634 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));}
#line 50172 "gram.c" /* yacc.c:1646  */
    break;

  case 2326:
#line 16644 "gram.y" /* yacc.c:1646  */
    {
					JsonObjectAgg *n = makeNode(JsonObjectAgg);

					n->arg = (JsonKeyValue *) (yyvsp[-4].node);
					n->absent_on_null = (yyvsp[-3].boolean);
					n->unique = (yyvsp[-2].boolean);
					n->constructor = makeNode(JsonAggConstructor);
					n->constructor->output = (JsonOutput *) (yyvsp[-1].node);
					n->constructor->agg_order = NULL;
					n->constructor->location = (yylsp[-6]);
					(yyval.node) = (Node *) n;
				}
#line 50189 "gram.c" /* yacc.c:1646  */
    break;

  case 2327:
#line 16662 "gram.y" /* yacc.c:1646  */
    {
					JsonArrayAgg *n = makeNode(JsonArrayAgg);

					n->arg = (JsonValueExpr *) (yyvsp[-4].node);
					n->absent_on_null = (yyvsp[-2].boolean);
					n->constructor = makeNode(JsonAggConstructor);
					n->constructor->agg_order = (yyvsp[-3].list);
					n->constructor->output = (JsonOutput *) (yyvsp[-1].node);
					n->constructor->location = (yylsp[-6]);
					(yyval.node) = (Node *) n;
				}
#line 50205 "gram.c" /* yacc.c:1646  */
    break;

  case 2328:
#line 16676 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 50211 "gram.c" /* yacc.c:1646  */
    break;

  case 2329:
#line 16677 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 50217 "gram.c" /* yacc.c:1646  */
    break;

  case 2330:
#line 16686 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 50223 "gram.c" /* yacc.c:1646  */
    break;

  case 2331:
#line 16687 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 50229 "gram.c" /* yacc.c:1646  */
    break;

  case 2332:
#line 16691 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 50235 "gram.c" /* yacc.c:1646  */
    break;

  case 2333:
#line 16692 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 50241 "gram.c" /* yacc.c:1646  */
    break;

  case 2334:
#line 16696 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 50253 "gram.c" /* yacc.c:1646  */
    break;

  case 2335:
#line 16704 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[-1].node);
					(yyval.target)->location = (yylsp[-1]);
				}
#line 50265 "gram.c" /* yacc.c:1646  */
    break;

  case 2336:
#line 16712 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 50277 "gram.c" /* yacc.c:1646  */
    break;

  case 2337:
#line 16720 "gram.y" /* yacc.c:1646  */
    {
					ColumnRef  *n = makeNode(ColumnRef);

					n->fields = list_make1(makeNode(A_Star));
					n->location = (yylsp[0]);

					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) n;
					(yyval.target)->location = (yylsp[0]);
				}
#line 50294 "gram.c" /* yacc.c:1646  */
    break;

  case 2338:
#line 16742 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 50300 "gram.c" /* yacc.c:1646  */
    break;

  case 2339:
#line 16743 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 50306 "gram.c" /* yacc.c:1646  */
    break;

  case 2340:
#line 16755 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = makeRangeVar(NULL, (yyvsp[0].str), (yylsp[0]));
				}
#line 50314 "gram.c" /* yacc.c:1646  */
    break;

  case 2341:
#line 16759 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = makeRangeVarFromQualifiedName((yyvsp[-1].str), (yyvsp[0].list), (yylsp[-1]), yyscanner);
				}
#line 50322 "gram.c" /* yacc.c:1646  */
    break;

  case 2342:
#line 16765 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 50328 "gram.c" /* yacc.c:1646  */
    break;

  case 2343:
#line 16767 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 50334 "gram.c" /* yacc.c:1646  */
    break;

  case 2344:
#line 16771 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50340 "gram.c" /* yacc.c:1646  */
    break;

  case 2345:
#line 16773 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50346 "gram.c" /* yacc.c:1646  */
    break;

  case 2346:
#line 16775 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50352 "gram.c" /* yacc.c:1646  */
    break;

  case 2347:
#line 16786 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 50358 "gram.c" /* yacc.c:1646  */
    break;

  case 2348:
#line 16788 "gram.y" /* yacc.c:1646  */
    {
						(yyval.list) = check_func_name(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)),
											 yyscanner);
					}
#line 50367 "gram.c" /* yacc.c:1646  */
    break;

  case 2349:
#line 16799 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeIntConst((yyvsp[0].ival), (yylsp[0]));
				}
#line 50375 "gram.c" /* yacc.c:1646  */
    break;

  case 2350:
#line 16803 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeFloatConst((yyvsp[0].str), (yylsp[0]));
				}
#line 50383 "gram.c" /* yacc.c:1646  */
    break;

  case 2351:
#line 16807 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 50391 "gram.c" /* yacc.c:1646  */
    break;

  case 2352:
#line 16811 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 50399 "gram.c" /* yacc.c:1646  */
    break;

  case 2353:
#line 16815 "gram.y" /* yacc.c:1646  */
    {
					/* This is a bit constant per SQL99:
					 * Without Feature F511, "BIT data type",
					 * a <general literal> shall not be a
					 * <bit string literal> or a <hex string literal>.
					 */
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 50412 "gram.c" /* yacc.c:1646  */
    break;

  case 2354:
#line 16824 "gram.y" /* yacc.c:1646  */
    {
					/* generic type 'literal' syntax */
					TypeName   *t = makeTypeNameFromNameList((yyvsp[-1].list));

					t->location = (yylsp[-1]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 50424 "gram.c" /* yacc.c:1646  */
    break;

  case 2355:
#line 16832 "gram.y" /* yacc.c:1646  */
    {
					/* generic syntax with a type modifier */
					TypeName   *t = makeTypeNameFromNameList((yyvsp[-5].list));
					ListCell   *lc;

					/*
					 * We must use func_arg_list and opt_sort_clause in the
					 * production to avoid reduce/reduce conflicts, but we
					 * don't actually wish to allow NamedArgExpr in this
					 * context, nor ORDER BY.
					 */
					foreach(lc, (yyvsp[-3].list))
					{
						NamedArgExpr *arg = (NamedArgExpr *) lfirst(lc);

						if (IsA(arg, NamedArgExpr))
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have parameter name"),
									 parser_errposition(arg->location)));
					}
					if ((yyvsp[-2].list) != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have ORDER BY"),
									 parser_errposition((yylsp[-2]))));

					t->typmods = (yyvsp[-3].list);
					t->location = (yylsp[-5]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 50460 "gram.c" /* yacc.c:1646  */
    break;

  case 2356:
#line 16864 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), (yyvsp[-1].typnam));
				}
#line 50468 "gram.c" /* yacc.c:1646  */
    break;

  case 2357:
#line 16868 "gram.y" /* yacc.c:1646  */
    {
					TypeName   *t = (yyvsp[-2].typnam);

					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 50479 "gram.c" /* yacc.c:1646  */
    break;

  case 2358:
#line 16875 "gram.y" /* yacc.c:1646  */
    {
					TypeName   *t = (yyvsp[-4].typnam);

					t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 50491 "gram.c" /* yacc.c:1646  */
    break;

  case 2359:
#line 16883 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBoolAConst(true, (yylsp[0]));
				}
#line 50499 "gram.c" /* yacc.c:1646  */
    break;

  case 2360:
#line 16887 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBoolAConst(false, (yylsp[0]));
				}
#line 50507 "gram.c" /* yacc.c:1646  */
    break;

  case 2361:
#line 16891 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 50515 "gram.c" /* yacc.c:1646  */
    break;

  case 2362:
#line 16896 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 50521 "gram.c" /* yacc.c:1646  */
    break;

  case 2363:
#line 16897 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50527 "gram.c" /* yacc.c:1646  */
    break;

  case 2364:
#line 16899 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 50533 "gram.c" /* yacc.c:1646  */
    break;

  case 2365:
#line 16900 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = + (yyvsp[0].ival); }
#line 50539 "gram.c" /* yacc.c:1646  */
    break;

  case 2366:
#line 16901 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = - (yyvsp[0].ival); }
#line 50545 "gram.c" /* yacc.c:1646  */
    break;

  case 2367:
#line 16906 "gram.y" /* yacc.c:1646  */
    {
					RoleSpec   *spc = (RoleSpec *) (yyvsp[0].rolespec);

					switch (spc->roletype)
					{
						case ROLESPEC_CSTRING:
							(yyval.str) = spc->rolename;
							break;
						case ROLESPEC_PUBLIC:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("role name \"%s\" is reserved",
											"public"),
									 parser_errposition((yylsp[0]))));
							break;
						case ROLESPEC_SESSION_USER:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"SESSION_USER"),
									 parser_errposition((yylsp[0]))));
							break;
						case ROLESPEC_CURRENT_USER:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"CURRENT_USER"),
									 parser_errposition((yylsp[0]))));
							break;
						case ROLESPEC_CURRENT_ROLE:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"CURRENT_ROLE"),
									 parser_errposition((yylsp[0]))));
							break;
					}
				}
#line 50588 "gram.c" /* yacc.c:1646  */
    break;

  case 2368:
#line 16947 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * "public" and "none" are not keywords, but they must
					 * be treated specially here.
					 */
					RoleSpec   *n;

					if (strcmp((yyvsp[0].str), "public") == 0)
					{
						n = (RoleSpec *) makeRoleSpec(ROLESPEC_PUBLIC, (yylsp[0]));
						n->roletype = ROLESPEC_PUBLIC;
					}
					else if (strcmp((yyvsp[0].str), "none") == 0)
					{
						ereport(ERROR,
								(errcode(ERRCODE_RESERVED_NAME),
								 errmsg("role name \"%s\" is reserved",
										"none"),
								 parser_errposition((yylsp[0]))));
					}
					else
					{
						n = makeRoleSpec(ROLESPEC_CSTRING, (yylsp[0]));
						n->rolename = pstrdup((yyvsp[0].str));
					}
					(yyval.rolespec) = n;
				}
#line 50620 "gram.c" /* yacc.c:1646  */
    break;

  case 2369:
#line 16975 "gram.y" /* yacc.c:1646  */
    {
					(yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_ROLE, (yylsp[0]));
				}
#line 50628 "gram.c" /* yacc.c:1646  */
    break;

  case 2370:
#line 16979 "gram.y" /* yacc.c:1646  */
    {
					(yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_USER, (yylsp[0]));
				}
#line 50636 "gram.c" /* yacc.c:1646  */
    break;

  case 2371:
#line 16983 "gram.y" /* yacc.c:1646  */
    {
					(yyval.rolespec) = makeRoleSpec(ROLESPEC_SESSION_USER, (yylsp[0]));
				}
#line 50644 "gram.c" /* yacc.c:1646  */
    break;

  case 2372:
#line 16989 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].rolespec)); }
#line 50650 "gram.c" /* yacc.c:1646  */
    break;

  case 2373:
#line 16991 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].rolespec)); }
#line 50656 "gram.c" /* yacc.c:1646  */
    break;

  case 2374:
#line 17008 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);

					n->distinctClause = (yyvsp[-9].list);
					n->targetList = (yyvsp[-8].list);
					n->fromClause = (yyvsp[-7].list);
					n->whereClause = (yyvsp[-6].node);
					n->groupClause = ((yyvsp[-5].groupclause))->list;
					n->groupDistinct = ((yyvsp[-5].groupclause))->distinct;
					n->havingClause = (yyvsp[-4].node);
					n->windowClause = (yyvsp[-3].list);
					n->sortClause = (yyvsp[-2].list);
					if ((yyvsp[-1].selectlimit))
					{
						n->limitOffset = (yyvsp[-1].selectlimit)->limitOffset;
						n->limitCount = (yyvsp[-1].selectlimit)->limitCount;
						if (!n->sortClause &&
							(yyvsp[-1].selectlimit)->limitOption == LIMIT_OPTION_WITH_TIES)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("WITH TIES cannot be specified without ORDER BY clause")));
						n->limitOption = (yyvsp[-1].selectlimit)->limitOption;
					}
					n->lockingClause = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 50687 "gram.c" /* yacc.c:1646  */
    break;

  case 2375:
#line 17041 "gram.y" /* yacc.c:1646  */
    {
					PLAssignStmt *n = makeNode(PLAssignStmt);

					n->name = (yyvsp[-3].str);
					n->indirection = check_indirection((yyvsp[-2].list), yyscanner);
					/* nnames will be filled by calling production */
					n->val = (SelectStmt *) (yyvsp[0].node);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) n;
				}
#line 50702 "gram.c" /* yacc.c:1646  */
    break;

  case 2376:
#line 17053 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50708 "gram.c" /* yacc.c:1646  */
    break;

  case 2377:
#line 17054 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = psprintf("$%d", (yyvsp[0].ival)); }
#line 50714 "gram.c" /* yacc.c:1646  */
    break;

  case 2380:
#line 17075 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50720 "gram.c" /* yacc.c:1646  */
    break;

  case 2381:
#line 17076 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 50726 "gram.c" /* yacc.c:1646  */
    break;

  case 2382:
#line 17077 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 50732 "gram.c" /* yacc.c:1646  */
    break;

  case 2383:
#line 17082 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50738 "gram.c" /* yacc.c:1646  */
    break;

  case 2384:
#line 17083 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 50744 "gram.c" /* yacc.c:1646  */
    break;

  case 2385:
#line 17084 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 50750 "gram.c" /* yacc.c:1646  */
    break;

  case 2386:
#line 17089 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50756 "gram.c" /* yacc.c:1646  */
    break;

  case 2387:
#line 17090 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 50762 "gram.c" /* yacc.c:1646  */
    break;

  case 2388:
#line 17091 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 50768 "gram.c" /* yacc.c:1646  */
    break;

  case 2389:
#line 17092 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 50774 "gram.c" /* yacc.c:1646  */
    break;

  case 2390:
#line 17098 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50780 "gram.c" /* yacc.c:1646  */
    break;

  case 2391:
#line 17099 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 50786 "gram.c" /* yacc.c:1646  */
    break;

  case 2392:
#line 17100 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 50792 "gram.c" /* yacc.c:1646  */
    break;

  case 2393:
#line 17101 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 50798 "gram.c" /* yacc.c:1646  */
    break;

  case 2394:
#line 17102 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 50804 "gram.c" /* yacc.c:1646  */
    break;

  case 2395:
#line 17108 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50810 "gram.c" /* yacc.c:1646  */
    break;

  case 2396:
#line 17109 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 50816 "gram.c" /* yacc.c:1646  */
    break;


#line 50820 "gram.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (&yylloc, yyscanner, YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (&yylloc, yyscanner, yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc, yyscanner);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, yyscanner, YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc, yyscanner);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 18085 "gram.y" /* yacc.c:1906  */


/*
 * The signature of this function is required by bison.  However, we
 * ignore the passed yylloc and instead use the last token position
 * available from the scanner.
 */
static void
base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner, const char *msg)
{
	parser_yyerror(msg);
}

static RawStmt *
makeRawStmt(Node *stmt, int stmt_location)
{
	RawStmt    *rs = makeNode(RawStmt);

	rs->stmt = stmt;
	rs->stmt_location = stmt_location;
	rs->stmt_len = 0;			/* might get changed later */
	return rs;
}

/* Adjust a RawStmt to reflect that it doesn't run to the end of the string */
static void
updateRawStmtEnd(RawStmt *rs, int end_location)
{
	/*
	 * If we already set the length, don't change it.  This is for situations
	 * like "select foo ;; select bar" where the same statement will be last
	 * in the string for more than one semicolon.
	 */
	if (rs->stmt_len > 0)
		return;

	/* OK, update length of RawStmt */
	rs->stmt_len = end_location - rs->stmt_location;
}

static Node *
makeColumnRef(char *colname, List *indirection,
			  int location, core_yyscan_t yyscanner)
{
	/*
	 * Generate a ColumnRef node, with an A_Indirection node added if there
	 * is any subscripting in the specified indirection list.  However,
	 * any field selection at the start of the indirection list must be
	 * transposed into the "fields" part of the ColumnRef node.
	 */
	ColumnRef  *c = makeNode(ColumnRef);
	int			nfields = 0;
	ListCell   *l;

	c->location = location;
	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Indices))
		{
			A_Indirection *i = makeNode(A_Indirection);

			if (nfields == 0)
			{
				/* easy case - all indirection goes to A_Indirection */
				c->fields = list_make1(makeString(colname));
				i->indirection = check_indirection(indirection, yyscanner);
			}
			else
			{
				/* got to split the list in two */
				i->indirection = check_indirection(list_copy_tail(indirection,
																  nfields),
												   yyscanner);
				indirection = list_truncate(indirection, nfields);
				c->fields = lcons(makeString(colname), indirection);
			}
			i->arg = (Node *) c;
			return (Node *) i;
		}
		else if (IsA(lfirst(l), A_Star))
		{
			/* We only allow '*' at the end of a ColumnRef */
			if (lnext(indirection, l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
		nfields++;
	}
	/* No subscripting, so all indirection gets added to field list */
	c->fields = lcons(makeString(colname), indirection);
	return (Node *) c;
}

static Node *
makeTypeCast(Node *arg, TypeName *typename, int location)
{
	TypeCast   *n = makeNode(TypeCast);

	n->arg = arg;
	n->typeName = typename;
	n->location = location;
	return (Node *) n;
}

static Node *
makeStringConst(char *str, int location)
{
	A_Const	   *n = makeNode(A_Const);

	n->val.sval.type = T_String;
	n->val.sval.sval = str;
	n->location = location;

   return (Node *) n;
}

static Node *
makeStringConstCast(char *str, int location, TypeName *typename)
{
	Node	   *s = makeStringConst(str, location);

	return makeTypeCast(s, typename, -1);
}

static Node *
makeIntConst(int val, int location)
{
	A_Const	   *n = makeNode(A_Const);

	n->val.ival.type = T_Integer;
	n->val.ival.ival = val;
	n->location = location;

   return (Node *) n;
}

static Node *
makeFloatConst(char *str, int location)
{
	A_Const	   *n = makeNode(A_Const);

	n->val.fval.type = T_Float;
	n->val.fval.fval = str;
	n->location = location;

   return (Node *) n;
}

static Node *
makeBoolAConst(bool state, int location)
{
	A_Const	   *n = makeNode(A_Const);

	n->val.boolval.type = T_Boolean;
	n->val.boolval.boolval = state;
	n->location = location;

   return (Node *) n;
}

static Node *
makeBitStringConst(char *str, int location)
{
	A_Const	   *n = makeNode(A_Const);

	n->val.bsval.type = T_BitString;
	n->val.bsval.bsval = str;
	n->location = location;

   return (Node *) n;
}

static Node *
makeNullAConst(int location)
{
	A_Const	   *n = makeNode(A_Const);

	n->isnull = true;
	n->location = location;

	return (Node *) n;
}

static Node *
makeAConst(Node *v, int location)
{
	Node	   *n;

	switch (v->type)
	{
		case T_Float:
			n = makeFloatConst(castNode(Float, v)->fval, location);
			break;

		case T_Integer:
			n = makeIntConst(castNode(Integer, v)->ival, location);
			break;

		default:
			/* currently not used */
			Assert(false);
			n = NULL;
	}

	return n;
}

/* makeRoleSpec
 * Create a RoleSpec with the given type
 */
static RoleSpec *
makeRoleSpec(RoleSpecType type, int location)
{
	RoleSpec   *spec = makeNode(RoleSpec);

	spec->roletype = type;
	spec->location = location;

	return spec;
}

/* check_qualified_name --- check the result of qualified_name production
 *
 * It's easiest to let the grammar production for qualified_name allow
 * subscripts and '*', which we then must reject here.
 */
static void
check_qualified_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
}

/* check_func_name --- check the result of func_name production
 *
 * It's easiest to let the grammar production for func_name allow subscripts
 * and '*', which we then must reject here.
 */
static List *
check_func_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
	return names;
}

/* check_indirection --- check the result of indirection production
 *
 * We only allow '*' at the end of the list, but it's hard to enforce that
 * in the grammar, so do it here.
 */
static List *
check_indirection(List *indirection, core_yyscan_t yyscanner)
{
	ListCell *l;

	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Star))
		{
			if (lnext(indirection, l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
	}
	return indirection;
}

/* extractArgTypes()
 * Given a list of FunctionParameter nodes, extract a list of just the
 * argument types (TypeNames) for input parameters only.  This is what
 * is needed to look up an existing function, which is what is wanted by
 * the productions that use this call.
 */
static List *
extractArgTypes(List *parameters)
{
	List	   *result = NIL;
	ListCell   *i;

	foreach(i, parameters)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(i);

		if (p->mode != FUNC_PARAM_OUT && p->mode != FUNC_PARAM_TABLE)
			result = lappend(result, p->argType);
	}
	return result;
}

/* extractAggrArgTypes()
 * As above, but work from the output of the aggr_args production.
 */
static List *
extractAggrArgTypes(List *aggrargs)
{
	Assert(list_length(aggrargs) == 2);
	return extractArgTypes((List *) linitial(aggrargs));
}

/* makeOrderedSetArgs()
 * Build the result of the aggr_args production (which see the comments for).
 * This handles only the case where both given lists are nonempty, so that
 * we have to deal with multiple VARIADIC arguments.
 */
static List *
makeOrderedSetArgs(List *directargs, List *orderedargs,
				   core_yyscan_t yyscanner)
{
	FunctionParameter *lastd = (FunctionParameter *) llast(directargs);
	Integer	   *ndirectargs;

	/* No restriction unless last direct arg is VARIADIC */
	if (lastd->mode == FUNC_PARAM_VARIADIC)
	{
		FunctionParameter *firsto = (FunctionParameter *) linitial(orderedargs);

		/*
		 * We ignore the names, though the aggr_arg production allows them;
		 * it doesn't allow default values, so those need not be checked.
		 */
		if (list_length(orderedargs) != 1 ||
			firsto->mode != FUNC_PARAM_VARIADIC ||
			!equal(lastd->argType, firsto->argType))
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 errmsg("an ordered-set aggregate with a VARIADIC direct argument must have one VARIADIC aggregated argument of the same data type"),
					 parser_errposition(exprLocation((Node *) firsto))));

		/* OK, drop the duplicate VARIADIC argument from the internal form */
		orderedargs = NIL;
	}

	/* don't merge into the next line, as list_concat changes directargs */
	ndirectargs = makeInteger(list_length(directargs));

	return list_make2(list_concat(directargs, orderedargs),
					  ndirectargs);
}

/* insertSelectOptions()
 * Insert ORDER BY, etc into an already-constructed SelectStmt.
 *
 * This routine is just to avoid duplicating code in SelectStmt productions.
 */
static void
insertSelectOptions(SelectStmt *stmt,
					List *sortClause, List *lockingClause,
					SelectLimit *limitClause,
					WithClause *withClause,
					core_yyscan_t yyscanner)
{
	Assert(IsA(stmt, SelectStmt));

	/*
	 * Tests here are to reject constructs like
	 *	(SELECT foo ORDER BY bar) ORDER BY baz
	 */
	if (sortClause)
	{
		if (stmt->sortClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple ORDER BY clauses not allowed"),
					 parser_errposition(exprLocation((Node *) sortClause))));
		stmt->sortClause = sortClause;
	}
	/* We can handle multiple locking clauses, though */
	stmt->lockingClause = list_concat(stmt->lockingClause, lockingClause);
	if (limitClause && limitClause->limitOffset)
	{
		if (stmt->limitOffset)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple OFFSET clauses not allowed"),
					 parser_errposition(exprLocation(limitClause->limitOffset))));
		stmt->limitOffset = limitClause->limitOffset;
	}
	if (limitClause && limitClause->limitCount)
	{
		if (stmt->limitCount)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple LIMIT clauses not allowed"),
					 parser_errposition(exprLocation(limitClause->limitCount))));
		stmt->limitCount = limitClause->limitCount;
	}
	if (limitClause)
	{
		if (stmt->limitOption)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple limit options not allowed")));
		if (!stmt->sortClause && limitClause->limitOption == LIMIT_OPTION_WITH_TIES)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("WITH TIES cannot be specified without ORDER BY clause")));
		if (limitClause->limitOption == LIMIT_OPTION_WITH_TIES && stmt->lockingClause)
		{
			ListCell   *lc;

			foreach(lc, stmt->lockingClause)
			{
				LockingClause *lock = lfirst_node(LockingClause, lc);

				if (lock->waitPolicy == LockWaitSkip)
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("%s and %s options cannot be used together",
									"SKIP LOCKED", "WITH TIES")));
			}
		}
		stmt->limitOption = limitClause->limitOption;
	}
	if (withClause)
	{
		if (stmt->withClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple WITH clauses not allowed"),
					 parser_errposition(exprLocation((Node *) withClause))));
		stmt->withClause = withClause;
	}
}

static Node *
makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg)
{
	SelectStmt *n = makeNode(SelectStmt);

	n->op = op;
	n->all = all;
	n->larg = (SelectStmt *) larg;
	n->rarg = (SelectStmt *) rarg;
	return (Node *) n;
}

/* SystemFuncName()
 * Build a properly-qualified reference to a built-in function.
 */
List *
SystemFuncName(char *name)
{
	return list_make2(makeString("pg_catalog"), makeString(name));
}

/* SystemTypeName()
 * Build a properly-qualified reference to a built-in type.
 *
 * typmod is defaulted, but may be changed afterwards by caller.
 * Likewise for the location.
 */
TypeName *
SystemTypeName(char *name)
{
	return makeTypeNameFromNameList(list_make2(makeString("pg_catalog"),
											   makeString(name)));
}

/* doNegate()
 * Handle negation of a numeric constant.
 *
 * Formerly, we did this here because the optimizer couldn't cope with
 * indexquals that looked like "var = -4" --- it wants "var = const"
 * and a unary minus operator applied to a constant didn't qualify.
 * As of Postgres 7.0, that problem doesn't exist anymore because there
 * is a constant-subexpression simplifier in the optimizer.  However,
 * there's still a good reason for doing this here, which is that we can
 * postpone committing to a particular internal representation for simple
 * negative constants.	It's better to leave "-123.456" in string form
 * until we know what the desired type is.
 */
static Node *
doNegate(Node *n, int location)
{
	if (IsA(n, A_Const))
	{
		A_Const	   *con = (A_Const *) n;

		/* report the constant's location as that of the '-' sign */
		con->location = location;

		if (IsA(&con->val, Integer))
		{
			con->val.ival.ival = -con->val.ival.ival;
			return n;
		}
		if (IsA(&con->val, Float))
		{
			doNegateFloat(&con->val.fval);
			return n;
		}
	}

	return (Node *) makeSimpleA_Expr(AEXPR_OP, "-", NULL, n, location);
}

static void
doNegateFloat(Float *v)
{
	char	   *oldval = v->fval;

	if (*oldval == '+')
		oldval++;
	if (*oldval == '-')
		v->fval = oldval+1;	/* just strip the '-' */
	else
		v->fval = psprintf("-%s", oldval);
}

static Node *
makeAndExpr(Node *lexpr, Node *rexpr, int location)
{
	/* Flatten "a AND b AND c ..." to a single BoolExpr on sight */
	if (IsA(lexpr, BoolExpr))
	{
		BoolExpr   *blexpr = (BoolExpr *) lexpr;

		if (blexpr->boolop == AND_EXPR)
		{
			blexpr->args = lappend(blexpr->args, rexpr);
			return (Node *) blexpr;
		}
	}
	return (Node *) makeBoolExpr(AND_EXPR, list_make2(lexpr, rexpr), location);
}

static Node *
makeOrExpr(Node *lexpr, Node *rexpr, int location)
{
	/* Flatten "a OR b OR c ..." to a single BoolExpr on sight */
	if (IsA(lexpr, BoolExpr))
	{
		BoolExpr   *blexpr = (BoolExpr *) lexpr;

		if (blexpr->boolop == OR_EXPR)
		{
			blexpr->args = lappend(blexpr->args, rexpr);
			return (Node *) blexpr;
		}
	}
	return (Node *) makeBoolExpr(OR_EXPR, list_make2(lexpr, rexpr), location);
}

static Node *
makeNotExpr(Node *expr, int location)
{
	return (Node *) makeBoolExpr(NOT_EXPR, list_make1(expr), location);
}

static Node *
makeAArrayExpr(List *elements, int location)
{
	A_ArrayExpr *n = makeNode(A_ArrayExpr);

	n->elements = elements;
	n->location = location;
	return (Node *) n;
}

static Node *
makeSQLValueFunction(SQLValueFunctionOp op, int32 typmod, int location)
{
	SQLValueFunction *svf = makeNode(SQLValueFunction);

	svf->op = op;
	/* svf->type will be filled during parse analysis */
	svf->typmod = typmod;
	svf->location = location;
	return (Node *) svf;
}

static Node *
makeXmlExpr(XmlExprOp op, char *name, List *named_args, List *args,
			int location)
{
	XmlExpr		*x = makeNode(XmlExpr);

	x->op = op;
	x->name = name;
	/*
	 * named_args is a list of ResTarget; it'll be split apart into separate
	 * expression and name lists in transformXmlExpr().
	 */
	x->named_args = named_args;
	x->arg_names = NIL;
	x->args = args;
	/* xmloption, if relevant, must be filled in by caller */
	/* type and typmod will be filled in during parse analysis */
	x->type = InvalidOid;			/* marks the node as not analyzed */
	x->location = location;
	return (Node *) x;
}

/*
 * Merge the input and output parameters of a table function.
 */
static List *
mergeTableFuncParameters(List *func_args, List *columns)
{
	ListCell   *lc;

	/* Explicit OUT and INOUT parameters shouldn't be used in this syntax */
	foreach(lc, func_args)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(lc);

		if (p->mode != FUNC_PARAM_DEFAULT &&
			p->mode != FUNC_PARAM_IN &&
			p->mode != FUNC_PARAM_VARIADIC)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("OUT and INOUT arguments aren't allowed in TABLE functions")));
	}

	return list_concat(func_args, columns);
}

/*
 * Determine return type of a TABLE function.  A single result column
 * returns setof that column's type; otherwise return setof record.
 */
static TypeName *
TableFuncTypeName(List *columns)
{
	TypeName   *result;

	if (list_length(columns) == 1)
	{
		FunctionParameter *p = (FunctionParameter *) linitial(columns);

		result = copyObject(p->argType);
	}
	else
		result = SystemTypeName("record");

	result->setof = true;

	return result;
}

/*
 * Convert a list of (dotted) names to a RangeVar (like
 * makeRangeVarFromNameList, but with position support).  The
 * "AnyName" refers to the any_name production in the grammar.
 */
static RangeVar *
makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner)
{
	RangeVar   *r = makeNode(RangeVar);

	switch (list_length(names))
	{
		case 1:
			r->catalogname = NULL;
			r->schemaname = NULL;
			r->relname = strVal(linitial(names));
			break;
		case 2:
			r->catalogname = NULL;
			r->schemaname = strVal(linitial(names));
			r->relname = strVal(lsecond(names));
			break;
		case 3:
			r->catalogname = strVal(linitial(names));
			r->schemaname = strVal(lsecond(names));
			r->relname = strVal(lthird(names));
			break;
		default:
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("improper qualified name (too many dotted names): %s",
							NameListToString(names)),
					 parser_errposition(position)));
			break;
	}

	r->relpersistence = RELPERSISTENCE_PERMANENT;
	r->location = position;

	return r;
}

/*
 * Convert a relation_name with name and namelist to a RangeVar using
 * makeRangeVar.
 */
static RangeVar *
makeRangeVarFromQualifiedName(char *name, List *namelist, int location,
							  core_yyscan_t yyscanner)
{
	RangeVar   *r;

	check_qualified_name(namelist, yyscanner);
	r = makeRangeVar(NULL, NULL, location);

	switch (list_length(namelist))
	{
		case 1:
			r->catalogname = NULL;
			r->schemaname = name;
			r->relname = strVal(linitial(namelist));
			break;
		case 2:
			r->catalogname = name;
			r->schemaname = strVal(linitial(namelist));
			r->relname = strVal(lsecond(namelist));
			break;
		default:
			ereport(ERROR,
					errcode(ERRCODE_SYNTAX_ERROR),
					errmsg("improper qualified name (too many dotted names): %s",
						   NameListToString(lcons(makeString(name), namelist))),
						   parser_errposition(location));
			break;
	}

	return r;
}

/* Separate Constraint nodes from COLLATE clauses in a ColQualList */
static void
SplitColQualList(List *qualList,
				 List **constraintList, CollateClause **collClause,
				 core_yyscan_t yyscanner)
{
	ListCell   *cell;

	*collClause = NULL;
	foreach(cell, qualList)
	{
		Node	   *n = (Node *) lfirst(cell);

		if (IsA(n, Constraint))
		{
			/* keep it in list */
			continue;
		}
		if (IsA(n, CollateClause))
		{
			CollateClause *c = (CollateClause *) n;

			if (*collClause)
				ereport(ERROR,
						(errcode(ERRCODE_SYNTAX_ERROR),
						 errmsg("multiple COLLATE clauses not allowed"),
						 parser_errposition(c->location)));
			*collClause = c;
		}
		else
			elog(ERROR, "unexpected node type %d", (int) n->type);
		/* remove non-Constraint nodes from qualList */
		qualList = foreach_delete_current(qualList, cell);
	}
	*constraintList = qualList;
}

/*
 * Process result of ConstraintAttributeSpec, and set appropriate bool flags
 * in the output command node.  Pass NULL for any flags the particular
 * command doesn't support.
 */
static void
processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner)
{
	/* defaults */
	if (deferrable)
		*deferrable = false;
	if (initdeferred)
		*initdeferred = false;
	if (not_valid)
		*not_valid = false;

	if (cas_bits & (CAS_DEFERRABLE | CAS_INITIALLY_DEFERRED))
	{
		if (deferrable)
			*deferrable = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_INITIALLY_DEFERRED)
	{
		if (initdeferred)
			*initdeferred = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NOT_VALID)
	{
		if (not_valid)
			*not_valid = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NOT VALID",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NO_INHERIT)
	{
		if (no_inherit)
			*no_inherit = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NO INHERIT",
							constrType),
					 parser_errposition(location)));
	}
}

/*
 * Parse a user-supplied partition strategy string into parse node
 * PartitionStrategy representation, or die trying.
 */
static PartitionStrategy
parsePartitionStrategy(char *strategy)
{
	if (pg_strcasecmp(strategy, "list") == 0)
		return PARTITION_STRATEGY_LIST;
	else if (pg_strcasecmp(strategy, "range") == 0)
		return PARTITION_STRATEGY_RANGE;
	else if (pg_strcasecmp(strategy, "hash") == 0)
		return PARTITION_STRATEGY_HASH;

	ereport(ERROR,
			(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
			 errmsg("unrecognized partitioning strategy \"%s\"",
					strategy)));
	return PARTITION_STRATEGY_LIST;		/* keep compiler quiet */

}

/*
 * Process pubobjspec_list to check for errors in any of the objects and
 * convert PUBLICATIONOBJ_CONTINUATION into appropriate PublicationObjSpecType.
 */
static void
preprocess_pubobj_list(List *pubobjspec_list, core_yyscan_t yyscanner)
{
	ListCell   *cell;
	PublicationObjSpec *pubobj;
	PublicationObjSpecType prevobjtype = PUBLICATIONOBJ_CONTINUATION;

	if (!pubobjspec_list)
		return;

	pubobj = (PublicationObjSpec *) linitial(pubobjspec_list);
	if (pubobj->pubobjtype == PUBLICATIONOBJ_CONTINUATION)
		ereport(ERROR,
				errcode(ERRCODE_SYNTAX_ERROR),
				errmsg("invalid publication object list"),
				errdetail("One of TABLE or TABLES IN SCHEMA must be specified before a standalone table or schema name."),
				parser_errposition(pubobj->location));

	foreach(cell, pubobjspec_list)
	{
		pubobj = (PublicationObjSpec *) lfirst(cell);

		if (pubobj->pubobjtype == PUBLICATIONOBJ_CONTINUATION)
			pubobj->pubobjtype = prevobjtype;

		if (pubobj->pubobjtype == PUBLICATIONOBJ_TABLE)
		{
			/* relation name or pubtable must be set for this type of object */
			if (!pubobj->name && !pubobj->pubtable)
				ereport(ERROR,
						errcode(ERRCODE_SYNTAX_ERROR),
						errmsg("invalid table name"),
						parser_errposition(pubobj->location));

			if (pubobj->name)
			{
				/* convert it to PublicationTable */
				PublicationTable *pubtable = makeNode(PublicationTable);

				pubtable->relation =
					makeRangeVar(NULL, pubobj->name, pubobj->location);
				pubobj->pubtable = pubtable;
				pubobj->name = NULL;
			}
		}
		else if (pubobj->pubobjtype == PUBLICATIONOBJ_TABLES_IN_SCHEMA ||
				 pubobj->pubobjtype == PUBLICATIONOBJ_TABLES_IN_CUR_SCHEMA)
		{
			/* WHERE clause is not allowed on a schema object */
			if (pubobj->pubtable && pubobj->pubtable->whereClause)
				ereport(ERROR,
						errcode(ERRCODE_SYNTAX_ERROR),
						errmsg("WHERE clause not allowed for schema"),
						parser_errposition(pubobj->location));

			/* Column list is not allowed on a schema object */
			if (pubobj->pubtable && pubobj->pubtable->columns)
				ereport(ERROR,
						errcode(ERRCODE_SYNTAX_ERROR),
						errmsg("column specification not allowed for schema"),
						parser_errposition(pubobj->location));

			/*
			 * We can distinguish between the different type of schema
			 * objects based on whether name and pubtable is set.
			 */
			if (pubobj->name)
				pubobj->pubobjtype = PUBLICATIONOBJ_TABLES_IN_SCHEMA;
			else if (!pubobj->name && !pubobj->pubtable)
				pubobj->pubobjtype = PUBLICATIONOBJ_TABLES_IN_CUR_SCHEMA;
			else
				ereport(ERROR,
						errcode(ERRCODE_SYNTAX_ERROR),
						errmsg("invalid schema name"),
						parser_errposition(pubobj->location));
		}

		prevobjtype = pubobj->pubobjtype;
	}
}

/*----------
 * Recursive view transformation
 *
 * Convert
 *
 *     CREATE RECURSIVE VIEW relname (aliases) AS query
 *
 * to
 *
 *     CREATE VIEW relname (aliases) AS
 *         WITH RECURSIVE relname (aliases) AS (query)
 *         SELECT aliases FROM relname
 *
 * Actually, just the WITH ... part, which is then inserted into the original
 * view definition as the query.
 * ----------
 */
static Node *
makeRecursiveViewSelect(char *relname, List *aliases, Node *query)
{
	SelectStmt *s = makeNode(SelectStmt);
	WithClause *w = makeNode(WithClause);
	CommonTableExpr *cte = makeNode(CommonTableExpr);
	List	   *tl = NIL;
	ListCell   *lc;

	/* create common table expression */
	cte->ctename = relname;
	cte->aliascolnames = aliases;
	cte->ctematerialized = CTEMaterializeDefault;
	cte->ctequery = query;
	cte->location = -1;

	/* create WITH clause and attach CTE */
	w->recursive = true;
	w->ctes = list_make1(cte);
	w->location = -1;

	/* create target list for the new SELECT from the alias list of the
	 * recursive view specification */
	foreach (lc, aliases)
	{
		ResTarget *rt = makeNode(ResTarget);

		rt->name = NULL;
		rt->indirection = NIL;
		rt->val = makeColumnRef(strVal(lfirst(lc)), NIL, -1, 0);
		rt->location = -1;

		tl = lappend(tl, rt);
	}

	/* create new SELECT combining WITH clause, target list, and fake FROM
	 * clause */
	s->withClause = w;
	s->targetList = tl;
	s->fromClause = list_make1(makeRangeVar(NULL, relname, -1));

	return (Node *) s;
}

/* parser_init()
 * Initialize to parse one query string
 */
void
parser_init(base_yy_extra_type *yyext)
{
	yyext->parsetree = NIL;		/* in case grammar forgets to set it */
}
